import Api
from Api import Api
from Api import Function, Typedef, Enum
from Api import Return, Parameter, Input, Output, InputOutput
from Api import Enumerant
from Api import Extension
from Api import StateType, State

regal_gl = Api()

defines = Enum('defines')
regal_gl.add(defines)

# GL_VERSION_1_1

GL_ALPHA = Enumerant('GL_ALPHA', 0x1906, 'GL_VERSION_1_1')
GL_ALPHA.esVersions = [2.0]
GL_ALPHA.internalformat = True
GL_ALPHA_BITS = Enumerant('GL_ALPHA_BITS', 0x0d55, 'GL_VERSION_1_1')
GL_ALPHA_BITS.esVersions = [2.0]
GL_ALWAYS = Enumerant('GL_ALWAYS', 0x0207, 'GL_VERSION_1_1')
GL_ALWAYS.esVersions = [2.0]
GL_BACK = Enumerant('GL_BACK', 0x0405, 'GL_VERSION_1_1')
GL_BACK.esVersions = [2.0]
GL_BLEND = Enumerant('GL_BLEND', 0x0be2, 'GL_VERSION_1_1')
GL_BLEND.esVersions = [2.0]
GL_BLEND.enableCap = True
GL_BLUE_BITS = Enumerant('GL_BLUE_BITS', 0x0d54, 'GL_VERSION_1_1')
GL_BLUE_BITS.esVersions = [2.0]
GL_BYTE = Enumerant('GL_BYTE', 0x1400, 'GL_VERSION_1_1')
GL_BYTE.group = ['pathCoord']
GL_BYTE.esVersions = [2.0]
GL_CCW = Enumerant('GL_CCW', 0x0901, 'GL_VERSION_1_1')
GL_CCW.esVersions = [2.0]
GL_CLIP_PLANE6 = Enumerant('GL_CLIP_PLANE6', 0x3006, 'GL_VERSION_1_1')
GL_CLIP_PLANE7 = Enumerant('GL_CLIP_PLANE7', 0x3007, 'GL_VERSION_1_1')
GL_COLOR_BUFFER_BIT = Enumerant('GL_COLOR_BUFFER_BIT', 0x4000, 'GL_VERSION_1_1')
GL_COLOR_BUFFER_BIT.esVersions = [2.0]
GL_COLOR_CLEAR_VALUE = Enumerant('GL_COLOR_CLEAR_VALUE', 0x0c22, 'GL_VERSION_1_1')
GL_COLOR_CLEAR_VALUE.esVersions = [2.0]
GL_COLOR_LOGIC_OP = Enumerant('GL_COLOR_LOGIC_OP', 0x0bf2, 'GL_VERSION_1_1')
GL_COLOR_LOGIC_OP.enableCap = True
GL_COLOR_WRITEMASK = Enumerant('GL_COLOR_WRITEMASK', 0x0c23, 'GL_VERSION_1_1')
GL_COLOR_WRITEMASK.esVersions = [2.0]
GL_CULL_FACE = Enumerant('GL_CULL_FACE', 0x0b44, 'GL_VERSION_1_1')
GL_CULL_FACE.esVersions = [2.0]
GL_CULL_FACE.enableCap = True
GL_CULL_FACE_MODE = Enumerant('GL_CULL_FACE_MODE', 0x0b45, 'GL_VERSION_1_1')
GL_CULL_FACE_MODE.esVersions = [2.0]
GL_CW = Enumerant('GL_CW', 0x0900, 'GL_VERSION_1_1')
GL_CW.esVersions = [2.0]
GL_DECR = Enumerant('GL_DECR', 0x1e03, 'GL_VERSION_1_1')
GL_DECR.esVersions = [2.0]
GL_DEPTH_BITS = Enumerant('GL_DEPTH_BITS', 0x0d56, 'GL_VERSION_1_1')
GL_DEPTH_BITS.esVersions = [2.0]
GL_DEPTH_BUFFER_BIT = Enumerant('GL_DEPTH_BUFFER_BIT', 0x0100, 'GL_VERSION_1_1')
GL_DEPTH_BUFFER_BIT.esVersions = [2.0]
GL_DEPTH_CLEAR_VALUE = Enumerant('GL_DEPTH_CLEAR_VALUE', 0x0b73, 'GL_VERSION_1_1')
GL_DEPTH_CLEAR_VALUE.esVersions = [2.0]
GL_DEPTH_COMPONENT = Enumerant('GL_DEPTH_COMPONENT', 0x1902, 'GL_VERSION_1_1')
GL_DEPTH_COMPONENT.esVersions = [2.0]
GL_DEPTH_FUNC = Enumerant('GL_DEPTH_FUNC', 0x0b74, 'GL_VERSION_1_1')
GL_DEPTH_FUNC.esVersions = [2.0]
GL_DEPTH_RANGE = Enumerant('GL_DEPTH_RANGE', 0x0b70, 'GL_VERSION_1_1')
GL_DEPTH_RANGE.esVersions = [2.0]
GL_DEPTH_TEST = Enumerant('GL_DEPTH_TEST', 0x0b71, 'GL_VERSION_1_1')
GL_DEPTH_TEST.esVersions = [2.0]
GL_DEPTH_TEST.enableCap = True
GL_DEPTH_WRITEMASK = Enumerant('GL_DEPTH_WRITEMASK', 0x0b72, 'GL_VERSION_1_1')
GL_DEPTH_WRITEMASK.esVersions = [2.0]
GL_DITHER = Enumerant('GL_DITHER', 0x0bd0, 'GL_VERSION_1_1')
GL_DITHER.esVersions = [2.0]
GL_DITHER.enableCap = True
GL_DONT_CARE = Enumerant('GL_DONT_CARE', 0x1100, 'GL_VERSION_1_1')
GL_DONT_CARE.esVersions = [2.0]
GL_DST_ALPHA = Enumerant('GL_DST_ALPHA', 0x0304, 'GL_VERSION_1_1')
GL_DST_ALPHA.esVersions = [2.0]
GL_DST_COLOR = Enumerant('GL_DST_COLOR', 0x0306, 'GL_VERSION_1_1')
GL_DST_COLOR.esVersions = [2.0]
GL_EQUAL = Enumerant('GL_EQUAL', 0x0202, 'GL_VERSION_1_1')
GL_EQUAL.esVersions = [2.0]
GL_EXTENSIONS = Enumerant('GL_EXTENSIONS', 0x1f03, 'GL_VERSION_1_1')
GL_EXTENSIONS.esVersions = [2.0]
GL_FALSE = Enumerant('GL_FALSE', 0x0000, 'GL_VERSION_1_1')
GL_FALSE.esVersions = [2.0]
GL_FASTEST = Enumerant('GL_FASTEST', 0x1101, 'GL_VERSION_1_1')
GL_FASTEST.esVersions = [2.0]
GL_FLOAT = Enumerant('GL_FLOAT', 0x1406, 'GL_VERSION_1_1')
GL_FLOAT.group = ['pathCoord']
GL_FLOAT.esVersions = [2.0]
GL_FRONT = Enumerant('GL_FRONT', 0x0404, 'GL_VERSION_1_1')
GL_FRONT.esVersions = [2.0]
GL_FRONT_AND_BACK = Enumerant('GL_FRONT_AND_BACK', 0x0408, 'GL_VERSION_1_1')
GL_FRONT_AND_BACK.esVersions = [2.0]
GL_FRONT_FACE = Enumerant('GL_FRONT_FACE', 0x0b46, 'GL_VERSION_1_1')
GL_FRONT_FACE.esVersions = [2.0]
GL_GEQUAL = Enumerant('GL_GEQUAL', 0x0206, 'GL_VERSION_1_1')
GL_GEQUAL.esVersions = [2.0]
GL_GREATER = Enumerant('GL_GREATER', 0x0204, 'GL_VERSION_1_1')
GL_GREATER.esVersions = [2.0]
GL_GREEN_BITS = Enumerant('GL_GREEN_BITS', 0x0d53, 'GL_VERSION_1_1')
GL_GREEN_BITS.esVersions = [2.0]
GL_INCR = Enumerant('GL_INCR', 0x1e02, 'GL_VERSION_1_1')
GL_INCR.esVersions = [2.0]
GL_INT = Enumerant('GL_INT', 0x1404, 'GL_VERSION_1_1')
GL_INT.esVersions = [2.0]
GL_INVALID_ENUM = Enumerant('GL_INVALID_ENUM', 0x0500, 'GL_VERSION_1_1')
GL_INVALID_ENUM.esVersions = [2.0]
GL_INVALID_ENUM.gluErrorString = 'invalid enumerant'
GL_INVALID_OPERATION = Enumerant('GL_INVALID_OPERATION', 0x0502, 'GL_VERSION_1_1')
GL_INVALID_OPERATION.esVersions = [2.0]
GL_INVALID_OPERATION.gluErrorString = 'invalid operation'
GL_INVALID_VALUE = Enumerant('GL_INVALID_VALUE', 0x0501, 'GL_VERSION_1_1')
GL_INVALID_VALUE.esVersions = [2.0]
GL_INVALID_VALUE.gluErrorString = 'invalid value'
GL_INVERT = Enumerant('GL_INVERT', 0x150a, 'GL_VERSION_1_1')
GL_INVERT.esVersions = [2.0]
GL_KEEP = Enumerant('GL_KEEP', 0x1e00, 'GL_VERSION_1_1')
GL_KEEP.esVersions = [2.0]
GL_LEQUAL = Enumerant('GL_LEQUAL', 0x0203, 'GL_VERSION_1_1')
GL_LEQUAL.esVersions = [2.0]
GL_LESS = Enumerant('GL_LESS', 0x0201, 'GL_VERSION_1_1')
GL_LESS.esVersions = [2.0]
GL_LINEAR = Enumerant('GL_LINEAR', 0x2601, 'GL_VERSION_1_1')
GL_LINEAR.esVersions = [2.0]
GL_LINEAR_MIPMAP_LINEAR = Enumerant('GL_LINEAR_MIPMAP_LINEAR', 0x2703, 'GL_VERSION_1_1')
GL_LINEAR_MIPMAP_LINEAR.esVersions = [2.0]
GL_LINEAR_MIPMAP_NEAREST = Enumerant('GL_LINEAR_MIPMAP_NEAREST', 0x2701, 'GL_VERSION_1_1')
GL_LINEAR_MIPMAP_NEAREST.esVersions = [2.0]
GL_LINES = Enumerant('GL_LINES', 0x0001, 'GL_VERSION_1_1')
GL_LINES.esVersions = [2.0]
GL_LINE_LOOP = Enumerant('GL_LINE_LOOP', 0x0002, 'GL_VERSION_1_1')
GL_LINE_LOOP.esVersions = [2.0]
GL_LINE_SMOOTH = Enumerant('GL_LINE_SMOOTH', 0x0b20, 'GL_VERSION_1_1')
GL_LINE_SMOOTH.enableCap = True
GL_LINE_STRIP = Enumerant('GL_LINE_STRIP', 0x0003, 'GL_VERSION_1_1')
GL_LINE_STRIP.esVersions = [2.0]
GL_LINE_WIDTH = Enumerant('GL_LINE_WIDTH', 0x0b21, 'GL_VERSION_1_1')
GL_LINE_WIDTH.esVersions = [2.0]
GL_LOGIC_OP = Enumerant('GL_LOGIC_OP', 'GL_INDEX_LOGIC_OP', 'GL_VERSION_1_1')
GL_LUMINANCE = Enumerant('GL_LUMINANCE', 0x1909, 'GL_VERSION_1_1')
GL_LUMINANCE.esVersions = [2.0]
GL_LUMINANCE.internalformat = True
GL_LUMINANCE_ALPHA = Enumerant('GL_LUMINANCE_ALPHA', 0x190a, 'GL_VERSION_1_1')
GL_LUMINANCE_ALPHA.esVersions = [2.0]
GL_LUMINANCE_ALPHA.internalformat = True
GL_MAX_TEXTURE_SIZE = Enumerant('GL_MAX_TEXTURE_SIZE', 0x0d33, 'GL_VERSION_1_1')
GL_MAX_TEXTURE_SIZE.esVersions = [2.0]
GL_MAX_VIEWPORT_DIMS = Enumerant('GL_MAX_VIEWPORT_DIMS', 0x0d3a, 'GL_VERSION_1_1')
GL_MAX_VIEWPORT_DIMS.esVersions = [2.0]
GL_NEAREST = Enumerant('GL_NEAREST', 0x2600, 'GL_VERSION_1_1')
GL_NEAREST.esVersions = [2.0]
GL_NEAREST_MIPMAP_LINEAR = Enumerant('GL_NEAREST_MIPMAP_LINEAR', 0x2702, 'GL_VERSION_1_1')
GL_NEAREST_MIPMAP_LINEAR.esVersions = [2.0]
GL_NEAREST_MIPMAP_NEAREST = Enumerant('GL_NEAREST_MIPMAP_NEAREST', 0x2700, 'GL_VERSION_1_1')
GL_NEAREST_MIPMAP_NEAREST.esVersions = [2.0]
GL_NEVER = Enumerant('GL_NEVER', 0x0200, 'GL_VERSION_1_1')
GL_NEVER.esVersions = [2.0]
GL_NICEST = Enumerant('GL_NICEST', 0x1102, 'GL_VERSION_1_1')
GL_NICEST.esVersions = [2.0]
GL_NONE = Enumerant('GL_NONE', 0x0000, 'GL_VERSION_1_1')
GL_NONE.esVersions = [2.0]
GL_NOTEQUAL = Enumerant('GL_NOTEQUAL', 0x0205, 'GL_VERSION_1_1')
GL_NOTEQUAL.esVersions = [2.0]
GL_NO_ERROR = Enumerant('GL_NO_ERROR', 0x0000, 'GL_VERSION_1_1')
GL_NO_ERROR.esVersions = [2.0]
GL_NO_ERROR.gluErrorString = 'no error'
GL_ONE = Enumerant('GL_ONE', 0x0001, 'GL_VERSION_1_1')
GL_ONE.esVersions = [2.0]
GL_ONE_MINUS_DST_ALPHA = Enumerant('GL_ONE_MINUS_DST_ALPHA', 0x0305, 'GL_VERSION_1_1')
GL_ONE_MINUS_DST_ALPHA.esVersions = [2.0]
GL_ONE_MINUS_DST_COLOR = Enumerant('GL_ONE_MINUS_DST_COLOR', 0x0307, 'GL_VERSION_1_1')
GL_ONE_MINUS_DST_COLOR.esVersions = [2.0]
GL_ONE_MINUS_SRC_ALPHA = Enumerant('GL_ONE_MINUS_SRC_ALPHA', 0x0303, 'GL_VERSION_1_1')
GL_ONE_MINUS_SRC_ALPHA.esVersions = [2.0]
GL_ONE_MINUS_SRC_COLOR = Enumerant('GL_ONE_MINUS_SRC_COLOR', 0x0301, 'GL_VERSION_1_1')
GL_ONE_MINUS_SRC_COLOR.esVersions = [2.0]
GL_OUT_OF_MEMORY = Enumerant('GL_OUT_OF_MEMORY', 0x0505, 'GL_VERSION_1_1')
GL_OUT_OF_MEMORY.esVersions = [2.0]
GL_OUT_OF_MEMORY.gluErrorString = 'out of memory'
GL_PACK_ALIGNMENT = Enumerant('GL_PACK_ALIGNMENT', 0x0d05, 'GL_VERSION_1_1')
GL_PACK_ALIGNMENT.esVersions = [2.0]
GL_POINTS = Enumerant('GL_POINTS', 0x0000, 'GL_VERSION_1_1')
GL_POINTS.esVersions = [2.0]
GL_POLYGON_OFFSET_FACTOR = Enumerant('GL_POLYGON_OFFSET_FACTOR', 0x8038, 'GL_VERSION_1_1')
GL_POLYGON_OFFSET_FACTOR.esVersions = [2.0]
GL_POLYGON_OFFSET_FILL = Enumerant('GL_POLYGON_OFFSET_FILL', 0x8037, 'GL_VERSION_1_1')
GL_POLYGON_OFFSET_FILL.esVersions = [2.0]
GL_POLYGON_OFFSET_FILL.enableCap = True
GL_POLYGON_OFFSET_LINE = Enumerant('GL_POLYGON_OFFSET_LINE', 0x2a02, 'GL_VERSION_1_1')
GL_POLYGON_OFFSET_LINE.enableCap = True
GL_POLYGON_OFFSET_POINT = Enumerant('GL_POLYGON_OFFSET_POINT', 0x2a01, 'GL_VERSION_1_1')
GL_POLYGON_OFFSET_POINT.enableCap = True
GL_POLYGON_OFFSET_UNITS = Enumerant('GL_POLYGON_OFFSET_UNITS', 0x2a00, 'GL_VERSION_1_1')
GL_POLYGON_OFFSET_UNITS.esVersions = [2.0]
GL_POLYGON_SMOOTH = Enumerant('GL_POLYGON_SMOOTH', 0x0b41, 'GL_VERSION_1_1')
GL_POLYGON_SMOOTH.enableCap = True
GL_RED_BITS = Enumerant('GL_RED_BITS', 0x0d52, 'GL_VERSION_1_1')
GL_RED_BITS.esVersions = [2.0]
GL_RENDERER = Enumerant('GL_RENDERER', 0x1f01, 'GL_VERSION_1_1')
GL_RENDERER.esVersions = [2.0]
GL_REPEAT = Enumerant('GL_REPEAT', 0x2901, 'GL_VERSION_1_1')
GL_REPEAT.esVersions = [2.0]
GL_REPLACE = Enumerant('GL_REPLACE', 0x1e01, 'GL_VERSION_1_1')
GL_REPLACE.esVersions = [2.0]
GL_RGB = Enumerant('GL_RGB', 0x1907, 'GL_VERSION_1_1')
GL_RGB.esVersions = [2.0]
GL_RGB.internalformat = True
GL_RGB5_A1 = Enumerant('GL_RGB5_A1', 0x8057, 'GL_VERSION_1_1')
GL_RGB5_A1.esVersions = [2.0]
GL_RGBA = Enumerant('GL_RGBA', 0x1908, 'GL_VERSION_1_1')
GL_RGBA.esVersions = [2.0]
GL_RGBA.internalformat = True
GL_RGBA4 = Enumerant('GL_RGBA4', 0x8056, 'GL_VERSION_1_1')
GL_RGBA4.esVersions = [2.0]
GL_SCISSOR_BOX = Enumerant('GL_SCISSOR_BOX', 0x0c10, 'GL_VERSION_1_1')
GL_SCISSOR_BOX.esVersions = [2.0]
GL_SCISSOR_TEST = Enumerant('GL_SCISSOR_TEST', 0x0c11, 'GL_VERSION_1_1')
GL_SCISSOR_TEST.esVersions = [2.0]
GL_SCISSOR_TEST.enableCap = True
GL_SHORT = Enumerant('GL_SHORT', 0x1402, 'GL_VERSION_1_1')
GL_SHORT.group = ['pathCoord']
GL_SHORT.esVersions = [2.0]
GL_SRC_ALPHA = Enumerant('GL_SRC_ALPHA', 0x0302, 'GL_VERSION_1_1')
GL_SRC_ALPHA.esVersions = [2.0]
GL_SRC_ALPHA_SATURATE = Enumerant('GL_SRC_ALPHA_SATURATE', 0x0308, 'GL_VERSION_1_1')
GL_SRC_ALPHA_SATURATE.esVersions = [2.0]
GL_SRC_COLOR = Enumerant('GL_SRC_COLOR', 0x0300, 'GL_VERSION_1_1')
GL_SRC_COLOR.esVersions = [2.0]
GL_STACK_OVERFLOW = Enumerant('GL_STACK_OVERFLOW', 0x0503, 'GL_VERSION_1_1')
GL_STACK_OVERFLOW.gluErrorString = 'stack overflow'
GL_STACK_UNDERFLOW = Enumerant('GL_STACK_UNDERFLOW', 0x0504, 'GL_VERSION_1_1')
GL_STACK_UNDERFLOW.gluErrorString = 'stack underflow'
GL_STENCIL_BITS = Enumerant('GL_STENCIL_BITS', 0x0d57, 'GL_VERSION_1_1')
GL_STENCIL_BITS.esVersions = [2.0]
GL_STENCIL_BUFFER_BIT = Enumerant('GL_STENCIL_BUFFER_BIT', 0x0400, 'GL_VERSION_1_1')
GL_STENCIL_BUFFER_BIT.esVersions = [2.0]
GL_STENCIL_CLEAR_VALUE = Enumerant('GL_STENCIL_CLEAR_VALUE', 0x0b91, 'GL_VERSION_1_1')
GL_STENCIL_CLEAR_VALUE.esVersions = [2.0]
GL_STENCIL_FAIL = Enumerant('GL_STENCIL_FAIL', 0x0b94, 'GL_VERSION_1_1')
GL_STENCIL_FAIL.esVersions = [2.0]
GL_STENCIL_FUNC = Enumerant('GL_STENCIL_FUNC', 0x0b92, 'GL_VERSION_1_1')
GL_STENCIL_FUNC.esVersions = [2.0]
GL_STENCIL_PASS_DEPTH_FAIL = Enumerant('GL_STENCIL_PASS_DEPTH_FAIL', 0x0b95, 'GL_VERSION_1_1')
GL_STENCIL_PASS_DEPTH_FAIL.esVersions = [2.0]
GL_STENCIL_PASS_DEPTH_PASS = Enumerant('GL_STENCIL_PASS_DEPTH_PASS', 0x0b96, 'GL_VERSION_1_1')
GL_STENCIL_PASS_DEPTH_PASS.esVersions = [2.0]
GL_STENCIL_REF = Enumerant('GL_STENCIL_REF', 0x0b97, 'GL_VERSION_1_1')
GL_STENCIL_REF.esVersions = [2.0]
GL_STENCIL_TEST = Enumerant('GL_STENCIL_TEST', 0x0b90, 'GL_VERSION_1_1')
GL_STENCIL_TEST.esVersions = [2.0]
GL_STENCIL_TEST.enableCap = True
GL_STENCIL_VALUE_MASK = Enumerant('GL_STENCIL_VALUE_MASK', 0x0b93, 'GL_VERSION_1_1')
GL_STENCIL_VALUE_MASK.esVersions = [2.0]
GL_STENCIL_WRITEMASK = Enumerant('GL_STENCIL_WRITEMASK', 0x0b98, 'GL_VERSION_1_1')
GL_STENCIL_WRITEMASK.esVersions = [2.0]
GL_SUBPIXEL_BITS = Enumerant('GL_SUBPIXEL_BITS', 0x0d50, 'GL_VERSION_1_1')
GL_SUBPIXEL_BITS.esVersions = [2.0]
GL_TEXTURE = Enumerant('GL_TEXTURE', 0x1702, 'GL_VERSION_1_1')
GL_TEXTURE.esVersions = [2.0]
GL_TEXTURE_2D = Enumerant('GL_TEXTURE_2D', 0x0de1, 'GL_VERSION_1_1')
GL_TEXTURE_2D.esVersions = [2.0]
GL_TEXTURE_2D.enableCap = True
GL_TEXTURE_2D.bindTexture = True
GL_TEXTURE_2D.texImage = True
GL_TEXTURE_BINDING_2D = Enumerant('GL_TEXTURE_BINDING_2D', 0x8069, 'GL_VERSION_1_1')
GL_TEXTURE_BINDING_2D.esVersions = [2.0]
GL_TEXTURE_COMPONENTS = Enumerant('GL_TEXTURE_COMPONENTS', 'GL_TEXTURE_INTERNAL_FORMAT', 'GL_VERSION_1_1')
GL_TEXTURE_MAG_FILTER = Enumerant('GL_TEXTURE_MAG_FILTER', 0x2800, 'GL_VERSION_1_1')
GL_TEXTURE_MAG_FILTER.esVersions = [2.0]
GL_TEXTURE_MIN_FILTER = Enumerant('GL_TEXTURE_MIN_FILTER', 0x2801, 'GL_VERSION_1_1')
GL_TEXTURE_MIN_FILTER.esVersions = [2.0]
GL_TEXTURE_WRAP_S = Enumerant('GL_TEXTURE_WRAP_S', 0x2802, 'GL_VERSION_1_1')
GL_TEXTURE_WRAP_S.esVersions = [2.0]
GL_TEXTURE_WRAP_T = Enumerant('GL_TEXTURE_WRAP_T', 0x2803, 'GL_VERSION_1_1')
GL_TEXTURE_WRAP_T.esVersions = [2.0]
GL_TRIANGLES = Enumerant('GL_TRIANGLES', 0x0004, 'GL_VERSION_1_1')
GL_TRIANGLES.esVersions = [2.0]
GL_TRIANGLE_FAN = Enumerant('GL_TRIANGLE_FAN', 0x0006, 'GL_VERSION_1_1')
GL_TRIANGLE_FAN.esVersions = [2.0]
GL_TRIANGLE_STRIP = Enumerant('GL_TRIANGLE_STRIP', 0x0005, 'GL_VERSION_1_1')
GL_TRIANGLE_STRIP.esVersions = [2.0]
GL_TRUE = Enumerant('GL_TRUE', 0x0001, 'GL_VERSION_1_1')
GL_TRUE.esVersions = [2.0]
GL_UNPACK_ALIGNMENT = Enumerant('GL_UNPACK_ALIGNMENT', 0x0cf5, 'GL_VERSION_1_1')
GL_UNPACK_ALIGNMENT.esVersions = [2.0]
GL_UNSIGNED_BYTE = Enumerant('GL_UNSIGNED_BYTE', 0x1401, 'GL_VERSION_1_1')
GL_UNSIGNED_BYTE.group = ['pathCoord']
GL_UNSIGNED_BYTE.esVersions = [2.0]
GL_UNSIGNED_INT = Enumerant('GL_UNSIGNED_INT', 0x1405, 'GL_VERSION_1_1')
GL_UNSIGNED_INT.esVersions = [2.0]
GL_UNSIGNED_SHORT = Enumerant('GL_UNSIGNED_SHORT', 0x1403, 'GL_VERSION_1_1')
GL_UNSIGNED_SHORT.group = ['pathCoord']
GL_UNSIGNED_SHORT.esVersions = [2.0]
GL_VENDOR = Enumerant('GL_VENDOR', 0x1f00, 'GL_VERSION_1_1')
GL_VENDOR.esVersions = [2.0]
GL_VERSION = Enumerant('GL_VERSION', 0x1f02, 'GL_VERSION_1_1')
GL_VERSION.esVersions = [2.0]
GL_VIEWPORT = Enumerant('GL_VIEWPORT', 0x0ba2, 'GL_VERSION_1_1')
GL_VIEWPORT.esVersions = [2.0]
GL_ZERO = Enumerant('GL_ZERO', 0x0000, 'GL_VERSION_1_1')
GL_ZERO.esVersions = [2.0]

defines.add(GL_ALPHA)
defines.add(GL_ALPHA_BITS)
defines.add(GL_ALWAYS)
defines.add(GL_BACK)
defines.add(GL_BLEND)
defines.add(GL_BLUE_BITS)
defines.add(GL_BYTE)
defines.add(GL_CCW)
defines.add(GL_CLIP_PLANE6)
defines.add(GL_CLIP_PLANE7)
defines.add(GL_COLOR_BUFFER_BIT)
defines.add(GL_COLOR_CLEAR_VALUE)
defines.add(GL_COLOR_LOGIC_OP)
defines.add(GL_COLOR_WRITEMASK)
defines.add(GL_CULL_FACE)
defines.add(GL_CULL_FACE_MODE)
defines.add(GL_CW)
defines.add(GL_DECR)
defines.add(GL_DEPTH_BITS)
defines.add(GL_DEPTH_BUFFER_BIT)
defines.add(GL_DEPTH_CLEAR_VALUE)
defines.add(GL_DEPTH_COMPONENT)
defines.add(GL_DEPTH_FUNC)
defines.add(GL_DEPTH_RANGE)
defines.add(GL_DEPTH_TEST)
defines.add(GL_DEPTH_WRITEMASK)
defines.add(GL_DITHER)
defines.add(GL_DONT_CARE)
defines.add(GL_DST_ALPHA)
defines.add(GL_DST_COLOR)
defines.add(GL_EQUAL)
defines.add(GL_EXTENSIONS)
defines.add(GL_FALSE)
defines.add(GL_FASTEST)
defines.add(GL_FLOAT)
defines.add(GL_FRONT)
defines.add(GL_FRONT_AND_BACK)
defines.add(GL_FRONT_FACE)
defines.add(GL_GEQUAL)
defines.add(GL_GREATER)
defines.add(GL_GREEN_BITS)
defines.add(GL_INCR)
defines.add(GL_INT)
defines.add(GL_INVALID_ENUM)
defines.add(GL_INVALID_OPERATION)
defines.add(GL_INVALID_VALUE)
defines.add(GL_INVERT)
defines.add(GL_KEEP)
defines.add(GL_LEQUAL)
defines.add(GL_LESS)
defines.add(GL_LINEAR)
defines.add(GL_LINEAR_MIPMAP_LINEAR)
defines.add(GL_LINEAR_MIPMAP_NEAREST)
defines.add(GL_LINES)
defines.add(GL_LINE_LOOP)
defines.add(GL_LINE_SMOOTH)
defines.add(GL_LINE_STRIP)
defines.add(GL_LINE_WIDTH)
defines.add(GL_LOGIC_OP)
defines.add(GL_LUMINANCE)
defines.add(GL_LUMINANCE_ALPHA)
defines.add(GL_MAX_TEXTURE_SIZE)
defines.add(GL_MAX_VIEWPORT_DIMS)
defines.add(GL_NEAREST)
defines.add(GL_NEAREST_MIPMAP_LINEAR)
defines.add(GL_NEAREST_MIPMAP_NEAREST)
defines.add(GL_NEVER)
defines.add(GL_NICEST)
defines.add(GL_NONE)
defines.add(GL_NOTEQUAL)
defines.add(GL_NO_ERROR)
defines.add(GL_ONE)
defines.add(GL_ONE_MINUS_DST_ALPHA)
defines.add(GL_ONE_MINUS_DST_COLOR)
defines.add(GL_ONE_MINUS_SRC_ALPHA)
defines.add(GL_ONE_MINUS_SRC_COLOR)
defines.add(GL_OUT_OF_MEMORY)
defines.add(GL_PACK_ALIGNMENT)
defines.add(GL_POINTS)
defines.add(GL_POLYGON_OFFSET_FACTOR)
defines.add(GL_POLYGON_OFFSET_FILL)
defines.add(GL_POLYGON_OFFSET_LINE)
defines.add(GL_POLYGON_OFFSET_POINT)
defines.add(GL_POLYGON_OFFSET_UNITS)
defines.add(GL_POLYGON_SMOOTH)
defines.add(GL_RED_BITS)
defines.add(GL_RENDERER)
defines.add(GL_REPEAT)
defines.add(GL_REPLACE)
defines.add(GL_RGB)
defines.add(GL_RGB5_A1)
defines.add(GL_RGBA)
defines.add(GL_RGBA4)
defines.add(GL_SCISSOR_BOX)
defines.add(GL_SCISSOR_TEST)
defines.add(GL_SHORT)
defines.add(GL_SRC_ALPHA)
defines.add(GL_SRC_ALPHA_SATURATE)
defines.add(GL_SRC_COLOR)
defines.add(GL_STACK_OVERFLOW)
defines.add(GL_STACK_UNDERFLOW)
defines.add(GL_STENCIL_BITS)
defines.add(GL_STENCIL_BUFFER_BIT)
defines.add(GL_STENCIL_CLEAR_VALUE)
defines.add(GL_STENCIL_FAIL)
defines.add(GL_STENCIL_FUNC)
defines.add(GL_STENCIL_PASS_DEPTH_FAIL)
defines.add(GL_STENCIL_PASS_DEPTH_PASS)
defines.add(GL_STENCIL_REF)
defines.add(GL_STENCIL_TEST)
defines.add(GL_STENCIL_VALUE_MASK)
defines.add(GL_STENCIL_WRITEMASK)
defines.add(GL_SUBPIXEL_BITS)
defines.add(GL_TEXTURE)
defines.add(GL_TEXTURE_2D)
defines.add(GL_TEXTURE_BINDING_2D)
defines.add(GL_TEXTURE_COMPONENTS)
defines.add(GL_TEXTURE_MAG_FILTER)
defines.add(GL_TEXTURE_MIN_FILTER)
defines.add(GL_TEXTURE_WRAP_S)
defines.add(GL_TEXTURE_WRAP_T)
defines.add(GL_TRIANGLES)
defines.add(GL_TRIANGLE_FAN)
defines.add(GL_TRIANGLE_STRIP)
defines.add(GL_TRUE)
defines.add(GL_UNPACK_ALIGNMENT)
defines.add(GL_UNSIGNED_BYTE)
defines.add(GL_UNSIGNED_INT)
defines.add(GL_UNSIGNED_SHORT)
defines.add(GL_VENDOR)
defines.add(GL_VERSION)
defines.add(GL_VIEWPORT)
defines.add(GL_ZERO)

# GL_VERSION_1_2

GL_ALIASED_LINE_WIDTH_RANGE = Enumerant('GL_ALIASED_LINE_WIDTH_RANGE', 0x846e, 'GL_VERSION_1_2')
GL_ALIASED_LINE_WIDTH_RANGE.esVersions = [2.0]
GL_ALIASED_POINT_SIZE_RANGE = Enumerant('GL_ALIASED_POINT_SIZE_RANGE', 0x846d, 'GL_VERSION_1_2')
GL_ALIASED_POINT_SIZE_RANGE.esVersions = [2.0]
GL_CLAMP_TO_EDGE = Enumerant('GL_CLAMP_TO_EDGE', 0x812f, 'GL_VERSION_1_2')
GL_CLAMP_TO_EDGE.esVersions = [2.0]
GL_RESCALE_NORMAL = Enumerant('GL_RESCALE_NORMAL', 0x803a, 'GL_VERSION_1_2')
GL_RESCALE_NORMAL.enableCap = True
GL_UNSIGNED_SHORT_4_4_4_4 = Enumerant('GL_UNSIGNED_SHORT_4_4_4_4', 0x8033, 'GL_VERSION_1_2')
GL_UNSIGNED_SHORT_4_4_4_4.esVersions = [2.0]
GL_UNSIGNED_SHORT_5_5_5_1 = Enumerant('GL_UNSIGNED_SHORT_5_5_5_1', 0x8034, 'GL_VERSION_1_2')
GL_UNSIGNED_SHORT_5_5_5_1.esVersions = [2.0]
GL_UNSIGNED_SHORT_5_6_5 = Enumerant('GL_UNSIGNED_SHORT_5_6_5', 0x8363, 'GL_VERSION_1_2')
GL_UNSIGNED_SHORT_5_6_5.esVersions = [2.0]

defines.add(GL_ALIASED_LINE_WIDTH_RANGE)
defines.add(GL_ALIASED_POINT_SIZE_RANGE)
defines.add(GL_CLAMP_TO_EDGE)
defines.add(GL_RESCALE_NORMAL)
defines.add(GL_UNSIGNED_SHORT_4_4_4_4)
defines.add(GL_UNSIGNED_SHORT_5_5_5_1)
defines.add(GL_UNSIGNED_SHORT_5_6_5)

# GL_VERSION_1_3

GL_ACTIVE_TEXTURE = Enumerant('GL_ACTIVE_TEXTURE', 0x84e0, 'GL_VERSION_1_3')
GL_ACTIVE_TEXTURE.esVersions = [2.0]
GL_COMPRESSED_TEXTURE_FORMATS = Enumerant('GL_COMPRESSED_TEXTURE_FORMATS', 0x86a3, 'GL_VERSION_1_3')
GL_COMPRESSED_TEXTURE_FORMATS.esVersions = [2.0]
GL_MAX_CUBE_MAP_TEXTURE_SIZE = Enumerant('GL_MAX_CUBE_MAP_TEXTURE_SIZE', 0x851c, 'GL_VERSION_1_3')
GL_MAX_CUBE_MAP_TEXTURE_SIZE.esVersions = [2.0]
GL_MULTISAMPLE = Enumerant('GL_MULTISAMPLE', 0x809d, 'GL_VERSION_1_3')
GL_MULTISAMPLE.enableCap = True
GL_NUM_COMPRESSED_TEXTURE_FORMATS = Enumerant('GL_NUM_COMPRESSED_TEXTURE_FORMATS', 0x86a2, 'GL_VERSION_1_3')
GL_NUM_COMPRESSED_TEXTURE_FORMATS.esVersions = [2.0]
GL_SAMPLES = Enumerant('GL_SAMPLES', 0x80a9, 'GL_VERSION_1_3')
GL_SAMPLES.esVersions = [2.0]
GL_SAMPLE_ALPHA_TO_COVERAGE = Enumerant('GL_SAMPLE_ALPHA_TO_COVERAGE', 0x809e, 'GL_VERSION_1_3')
GL_SAMPLE_ALPHA_TO_COVERAGE.esVersions = [2.0]
GL_SAMPLE_ALPHA_TO_COVERAGE.enableCap = True
GL_SAMPLE_ALPHA_TO_ONE = Enumerant('GL_SAMPLE_ALPHA_TO_ONE', 0x809f, 'GL_VERSION_1_3')
GL_SAMPLE_ALPHA_TO_ONE.enableCap = True
GL_SAMPLE_BUFFERS = Enumerant('GL_SAMPLE_BUFFERS', 0x80a8, 'GL_VERSION_1_3')
GL_SAMPLE_BUFFERS.esVersions = [2.0]
GL_SAMPLE_COVERAGE = Enumerant('GL_SAMPLE_COVERAGE', 0x80a0, 'GL_VERSION_1_3')
GL_SAMPLE_COVERAGE.esVersions = [2.0]
GL_SAMPLE_COVERAGE.enableCap = True
GL_SAMPLE_COVERAGE_INVERT = Enumerant('GL_SAMPLE_COVERAGE_INVERT', 0x80ab, 'GL_VERSION_1_3')
GL_SAMPLE_COVERAGE_INVERT.esVersions = [2.0]
GL_SAMPLE_COVERAGE_VALUE = Enumerant('GL_SAMPLE_COVERAGE_VALUE', 0x80aa, 'GL_VERSION_1_3')
GL_SAMPLE_COVERAGE_VALUE.esVersions = [2.0]
GL_TEXTURE0 = Enumerant('GL_TEXTURE0', 0x84c0, 'GL_VERSION_1_3')
GL_TEXTURE0.esVersions = [2.0]
GL_TEXTURE1 = Enumerant('GL_TEXTURE1', 0x84c1, 'GL_VERSION_1_3')
GL_TEXTURE1.esVersions = [2.0]
GL_TEXTURE10 = Enumerant('GL_TEXTURE10', 0x84ca, 'GL_VERSION_1_3')
GL_TEXTURE10.esVersions = [2.0]
GL_TEXTURE11 = Enumerant('GL_TEXTURE11', 0x84cb, 'GL_VERSION_1_3')
GL_TEXTURE11.esVersions = [2.0]
GL_TEXTURE12 = Enumerant('GL_TEXTURE12', 0x84cc, 'GL_VERSION_1_3')
GL_TEXTURE12.esVersions = [2.0]
GL_TEXTURE13 = Enumerant('GL_TEXTURE13', 0x84cd, 'GL_VERSION_1_3')
GL_TEXTURE13.esVersions = [2.0]
GL_TEXTURE14 = Enumerant('GL_TEXTURE14', 0x84ce, 'GL_VERSION_1_3')
GL_TEXTURE14.esVersions = [2.0]
GL_TEXTURE15 = Enumerant('GL_TEXTURE15', 0x84cf, 'GL_VERSION_1_3')
GL_TEXTURE15.esVersions = [2.0]
GL_TEXTURE16 = Enumerant('GL_TEXTURE16', 0x84d0, 'GL_VERSION_1_3')
GL_TEXTURE16.esVersions = [2.0]
GL_TEXTURE17 = Enumerant('GL_TEXTURE17', 0x84d1, 'GL_VERSION_1_3')
GL_TEXTURE17.esVersions = [2.0]
GL_TEXTURE18 = Enumerant('GL_TEXTURE18', 0x84d2, 'GL_VERSION_1_3')
GL_TEXTURE18.esVersions = [2.0]
GL_TEXTURE19 = Enumerant('GL_TEXTURE19', 0x84d3, 'GL_VERSION_1_3')
GL_TEXTURE19.esVersions = [2.0]
GL_TEXTURE2 = Enumerant('GL_TEXTURE2', 0x84c2, 'GL_VERSION_1_3')
GL_TEXTURE2.esVersions = [2.0]
GL_TEXTURE20 = Enumerant('GL_TEXTURE20', 0x84d4, 'GL_VERSION_1_3')
GL_TEXTURE20.esVersions = [2.0]
GL_TEXTURE21 = Enumerant('GL_TEXTURE21', 0x84d5, 'GL_VERSION_1_3')
GL_TEXTURE21.esVersions = [2.0]
GL_TEXTURE22 = Enumerant('GL_TEXTURE22', 0x84d6, 'GL_VERSION_1_3')
GL_TEXTURE22.esVersions = [2.0]
GL_TEXTURE23 = Enumerant('GL_TEXTURE23', 0x84d7, 'GL_VERSION_1_3')
GL_TEXTURE23.esVersions = [2.0]
GL_TEXTURE24 = Enumerant('GL_TEXTURE24', 0x84d8, 'GL_VERSION_1_3')
GL_TEXTURE24.esVersions = [2.0]
GL_TEXTURE25 = Enumerant('GL_TEXTURE25', 0x84d9, 'GL_VERSION_1_3')
GL_TEXTURE25.esVersions = [2.0]
GL_TEXTURE26 = Enumerant('GL_TEXTURE26', 0x84da, 'GL_VERSION_1_3')
GL_TEXTURE26.esVersions = [2.0]
GL_TEXTURE27 = Enumerant('GL_TEXTURE27', 0x84db, 'GL_VERSION_1_3')
GL_TEXTURE27.esVersions = [2.0]
GL_TEXTURE28 = Enumerant('GL_TEXTURE28', 0x84dc, 'GL_VERSION_1_3')
GL_TEXTURE28.esVersions = [2.0]
GL_TEXTURE29 = Enumerant('GL_TEXTURE29', 0x84dd, 'GL_VERSION_1_3')
GL_TEXTURE29.esVersions = [2.0]
GL_TEXTURE3 = Enumerant('GL_TEXTURE3', 0x84c3, 'GL_VERSION_1_3')
GL_TEXTURE3.esVersions = [2.0]
GL_TEXTURE30 = Enumerant('GL_TEXTURE30', 0x84de, 'GL_VERSION_1_3')
GL_TEXTURE30.esVersions = [2.0]
GL_TEXTURE31 = Enumerant('GL_TEXTURE31', 0x84df, 'GL_VERSION_1_3')
GL_TEXTURE31.esVersions = [2.0]
GL_TEXTURE4 = Enumerant('GL_TEXTURE4', 0x84c4, 'GL_VERSION_1_3')
GL_TEXTURE4.esVersions = [2.0]
GL_TEXTURE5 = Enumerant('GL_TEXTURE5', 0x84c5, 'GL_VERSION_1_3')
GL_TEXTURE5.esVersions = [2.0]
GL_TEXTURE6 = Enumerant('GL_TEXTURE6', 0x84c6, 'GL_VERSION_1_3')
GL_TEXTURE6.esVersions = [2.0]
GL_TEXTURE7 = Enumerant('GL_TEXTURE7', 0x84c7, 'GL_VERSION_1_3')
GL_TEXTURE7.esVersions = [2.0]
GL_TEXTURE8 = Enumerant('GL_TEXTURE8', 0x84c8, 'GL_VERSION_1_3')
GL_TEXTURE8.esVersions = [2.0]
GL_TEXTURE9 = Enumerant('GL_TEXTURE9', 0x84c9, 'GL_VERSION_1_3')
GL_TEXTURE9.esVersions = [2.0]
GL_TEXTURE_BINDING_CUBE_MAP = Enumerant('GL_TEXTURE_BINDING_CUBE_MAP', 0x8514, 'GL_VERSION_1_3')
GL_TEXTURE_BINDING_CUBE_MAP.esVersions = [2.0]
GL_TEXTURE_CUBE_MAP = Enumerant('GL_TEXTURE_CUBE_MAP', 0x8513, 'GL_VERSION_1_3')
GL_TEXTURE_CUBE_MAP.esVersions = [2.0]
GL_TEXTURE_CUBE_MAP.bindTexture = True
GL_TEXTURE_CUBE_MAP_NEGATIVE_X = Enumerant('GL_TEXTURE_CUBE_MAP_NEGATIVE_X', 0x8516, 'GL_VERSION_1_3')
GL_TEXTURE_CUBE_MAP_NEGATIVE_X.esVersions = [2.0]
GL_TEXTURE_CUBE_MAP_NEGATIVE_X.texImage = True
GL_TEXTURE_CUBE_MAP_NEGATIVE_Y = Enumerant('GL_TEXTURE_CUBE_MAP_NEGATIVE_Y', 0x8518, 'GL_VERSION_1_3')
GL_TEXTURE_CUBE_MAP_NEGATIVE_Y.esVersions = [2.0]
GL_TEXTURE_CUBE_MAP_NEGATIVE_Y.texImage = True
GL_TEXTURE_CUBE_MAP_NEGATIVE_Z = Enumerant('GL_TEXTURE_CUBE_MAP_NEGATIVE_Z', 0x851a, 'GL_VERSION_1_3')
GL_TEXTURE_CUBE_MAP_NEGATIVE_Z.esVersions = [2.0]
GL_TEXTURE_CUBE_MAP_NEGATIVE_Z.texImage = True
GL_TEXTURE_CUBE_MAP_POSITIVE_X = Enumerant('GL_TEXTURE_CUBE_MAP_POSITIVE_X', 0x8515, 'GL_VERSION_1_3')
GL_TEXTURE_CUBE_MAP_POSITIVE_X.esVersions = [2.0]
GL_TEXTURE_CUBE_MAP_POSITIVE_X.texImage = True
GL_TEXTURE_CUBE_MAP_POSITIVE_Y = Enumerant('GL_TEXTURE_CUBE_MAP_POSITIVE_Y', 0x8517, 'GL_VERSION_1_3')
GL_TEXTURE_CUBE_MAP_POSITIVE_Y.esVersions = [2.0]
GL_TEXTURE_CUBE_MAP_POSITIVE_Y.texImage = True
GL_TEXTURE_CUBE_MAP_POSITIVE_Z = Enumerant('GL_TEXTURE_CUBE_MAP_POSITIVE_Z', 0x8519, 'GL_VERSION_1_3')
GL_TEXTURE_CUBE_MAP_POSITIVE_Z.esVersions = [2.0]
GL_TEXTURE_CUBE_MAP_POSITIVE_Z.texImage = True

defines.add(GL_ACTIVE_TEXTURE)
defines.add(GL_COMPRESSED_TEXTURE_FORMATS)
defines.add(GL_MAX_CUBE_MAP_TEXTURE_SIZE)
defines.add(GL_MULTISAMPLE)
defines.add(GL_NUM_COMPRESSED_TEXTURE_FORMATS)
defines.add(GL_SAMPLES)
defines.add(GL_SAMPLE_ALPHA_TO_COVERAGE)
defines.add(GL_SAMPLE_ALPHA_TO_ONE)
defines.add(GL_SAMPLE_BUFFERS)
defines.add(GL_SAMPLE_COVERAGE)
defines.add(GL_SAMPLE_COVERAGE_INVERT)
defines.add(GL_SAMPLE_COVERAGE_VALUE)
defines.add(GL_TEXTURE0)
defines.add(GL_TEXTURE1)
defines.add(GL_TEXTURE10)
defines.add(GL_TEXTURE11)
defines.add(GL_TEXTURE12)
defines.add(GL_TEXTURE13)
defines.add(GL_TEXTURE14)
defines.add(GL_TEXTURE15)
defines.add(GL_TEXTURE16)
defines.add(GL_TEXTURE17)
defines.add(GL_TEXTURE18)
defines.add(GL_TEXTURE19)
defines.add(GL_TEXTURE2)
defines.add(GL_TEXTURE20)
defines.add(GL_TEXTURE21)
defines.add(GL_TEXTURE22)
defines.add(GL_TEXTURE23)
defines.add(GL_TEXTURE24)
defines.add(GL_TEXTURE25)
defines.add(GL_TEXTURE26)
defines.add(GL_TEXTURE27)
defines.add(GL_TEXTURE28)
defines.add(GL_TEXTURE29)
defines.add(GL_TEXTURE3)
defines.add(GL_TEXTURE30)
defines.add(GL_TEXTURE31)
defines.add(GL_TEXTURE4)
defines.add(GL_TEXTURE5)
defines.add(GL_TEXTURE6)
defines.add(GL_TEXTURE7)
defines.add(GL_TEXTURE8)
defines.add(GL_TEXTURE9)
defines.add(GL_TEXTURE_BINDING_CUBE_MAP)
defines.add(GL_TEXTURE_CUBE_MAP)
defines.add(GL_TEXTURE_CUBE_MAP_NEGATIVE_X)
defines.add(GL_TEXTURE_CUBE_MAP_NEGATIVE_Y)
defines.add(GL_TEXTURE_CUBE_MAP_NEGATIVE_Z)
defines.add(GL_TEXTURE_CUBE_MAP_POSITIVE_X)
defines.add(GL_TEXTURE_CUBE_MAP_POSITIVE_Y)
defines.add(GL_TEXTURE_CUBE_MAP_POSITIVE_Z)

# GL_VERSION_1_4

GL_BLEND_DST_ALPHA = Enumerant('GL_BLEND_DST_ALPHA', 0x80ca, 'GL_VERSION_1_4')
GL_BLEND_DST_ALPHA.esVersions = [2.0]
GL_BLEND_DST_RGB = Enumerant('GL_BLEND_DST_RGB', 0x80c8, 'GL_VERSION_1_4')
GL_BLEND_DST_RGB.esVersions = [2.0]
GL_BLEND_SRC_ALPHA = Enumerant('GL_BLEND_SRC_ALPHA', 0x80cb, 'GL_VERSION_1_4')
GL_BLEND_SRC_ALPHA.esVersions = [2.0]
GL_BLEND_SRC_RGB = Enumerant('GL_BLEND_SRC_RGB', 0x80c9, 'GL_VERSION_1_4')
GL_BLEND_SRC_RGB.esVersions = [2.0]
GL_DECR_WRAP = Enumerant('GL_DECR_WRAP', 0x8508, 'GL_VERSION_1_4')
GL_DECR_WRAP.esVersions = [2.0]
GL_DEPTH_COMPONENT16 = Enumerant('GL_DEPTH_COMPONENT16', 0x81a5, 'GL_VERSION_1_4')
GL_DEPTH_COMPONENT16.esVersions = [2.0]
GL_GENERATE_MIPMAP_HINT = Enumerant('GL_GENERATE_MIPMAP_HINT', 0x8192, 'GL_VERSION_1_4')
GL_GENERATE_MIPMAP_HINT.esVersions = [2.0]
GL_INCR_WRAP = Enumerant('GL_INCR_WRAP', 0x8507, 'GL_VERSION_1_4')
GL_INCR_WRAP.esVersions = [2.0]
GL_MIRRORED_REPEAT = Enumerant('GL_MIRRORED_REPEAT', 0x8370, 'GL_VERSION_1_4')
GL_MIRRORED_REPEAT.esVersions = [2.0]

defines.add(GL_BLEND_DST_ALPHA)
defines.add(GL_BLEND_DST_RGB)
defines.add(GL_BLEND_SRC_ALPHA)
defines.add(GL_BLEND_SRC_RGB)
defines.add(GL_DECR_WRAP)
defines.add(GL_DEPTH_COMPONENT16)
defines.add(GL_GENERATE_MIPMAP_HINT)
defines.add(GL_INCR_WRAP)
defines.add(GL_MIRRORED_REPEAT)

# GL_VERSION_1_5

GL_ARRAY_BUFFER = Enumerant('GL_ARRAY_BUFFER', 0x8892, 'GL_VERSION_1_5')
GL_ARRAY_BUFFER.esVersions = [2.0]
GL_ARRAY_BUFFER_BINDING = Enumerant('GL_ARRAY_BUFFER_BINDING', 0x8894, 'GL_VERSION_1_5')
GL_ARRAY_BUFFER_BINDING.esVersions = [2.0]
GL_BUFFER_SIZE = Enumerant('GL_BUFFER_SIZE', 0x8764, 'GL_VERSION_1_5')
GL_BUFFER_SIZE.esVersions = [2.0]
GL_BUFFER_USAGE = Enumerant('GL_BUFFER_USAGE', 0x8765, 'GL_VERSION_1_5')
GL_BUFFER_USAGE.esVersions = [2.0]
GL_CURRENT_FOG_COORD = Enumerant('GL_CURRENT_FOG_COORD', 'GL_CURRENT_FOG_COORDINATE', 'GL_VERSION_1_5')
GL_DYNAMIC_DRAW = Enumerant('GL_DYNAMIC_DRAW', 0x88e8, 'GL_VERSION_1_5')
GL_DYNAMIC_DRAW.esVersions = [2.0]
GL_ELEMENT_ARRAY_BUFFER = Enumerant('GL_ELEMENT_ARRAY_BUFFER', 0x8893, 'GL_VERSION_1_5')
GL_ELEMENT_ARRAY_BUFFER.esVersions = [2.0]
GL_ELEMENT_ARRAY_BUFFER_BINDING = Enumerant('GL_ELEMENT_ARRAY_BUFFER_BINDING', 0x8895, 'GL_VERSION_1_5')
GL_ELEMENT_ARRAY_BUFFER_BINDING.esVersions = [2.0]
GL_FOG_COORD = Enumerant('GL_FOG_COORD', 'GL_FOG_COORDINATE', 'GL_VERSION_1_5')
GL_FOG_COORD_ARRAY = Enumerant('GL_FOG_COORD_ARRAY', 'GL_FOG_COORDINATE_ARRAY', 'GL_VERSION_1_5')
GL_FOG_COORD_ARRAY_BUFFER_BINDING = Enumerant('GL_FOG_COORD_ARRAY_BUFFER_BINDING', 'GL_FOG_COORDINATE_ARRAY_BUFFER_BINDING', 'GL_VERSION_1_5')
GL_FOG_COORD_ARRAY_POINTER = Enumerant('GL_FOG_COORD_ARRAY_POINTER', 'GL_FOG_COORDINATE_ARRAY_POINTER', 'GL_VERSION_1_5')
GL_FOG_COORD_ARRAY_STRIDE = Enumerant('GL_FOG_COORD_ARRAY_STRIDE', 'GL_FOG_COORDINATE_ARRAY_STRIDE', 'GL_VERSION_1_5')
GL_FOG_COORD_ARRAY_TYPE = Enumerant('GL_FOG_COORD_ARRAY_TYPE', 'GL_FOG_COORDINATE_ARRAY_TYPE', 'GL_VERSION_1_5')
GL_FOG_COORD_SRC = Enumerant('GL_FOG_COORD_SRC', 'GL_FOG_COORDINATE_SOURCE', 'GL_VERSION_1_5')
GL_SRC0_ALPHA = Enumerant('GL_SRC0_ALPHA', 'GL_SOURCE0_ALPHA', 'GL_VERSION_1_5')
GL_SRC0_RGB = Enumerant('GL_SRC0_RGB', 'GL_SOURCE0_RGB', 'GL_VERSION_1_5')
GL_SRC1_ALPHA = Enumerant('GL_SRC1_ALPHA', 'GL_SOURCE1_ALPHA', 'GL_VERSION_1_5')
GL_SRC1_RGB = Enumerant('GL_SRC1_RGB', 'GL_SOURCE1_RGB', 'GL_VERSION_1_5')
GL_SRC2_ALPHA = Enumerant('GL_SRC2_ALPHA', 'GL_SOURCE2_ALPHA', 'GL_VERSION_1_5')
GL_SRC2_RGB = Enumerant('GL_SRC2_RGB', 'GL_SOURCE2_RGB', 'GL_VERSION_1_5')
GL_STATIC_DRAW = Enumerant('GL_STATIC_DRAW', 0x88e4, 'GL_VERSION_1_5')
GL_STATIC_DRAW.esVersions = [2.0]
GL_STREAM_DRAW = Enumerant('GL_STREAM_DRAW', 0x88e0, 'GL_VERSION_1_5')
GL_STREAM_DRAW.esVersions = [2.0]
GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING = Enumerant('GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING', 0x889f, 'GL_VERSION_1_5')
GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING.esVersions = [2.0]

defines.add(GL_ARRAY_BUFFER)
defines.add(GL_ARRAY_BUFFER_BINDING)
defines.add(GL_BUFFER_SIZE)
defines.add(GL_BUFFER_USAGE)
defines.add(GL_CURRENT_FOG_COORD)
defines.add(GL_DYNAMIC_DRAW)
defines.add(GL_ELEMENT_ARRAY_BUFFER)
defines.add(GL_ELEMENT_ARRAY_BUFFER_BINDING)
defines.add(GL_FOG_COORD)
defines.add(GL_FOG_COORD_ARRAY)
defines.add(GL_FOG_COORD_ARRAY_BUFFER_BINDING)
defines.add(GL_FOG_COORD_ARRAY_POINTER)
defines.add(GL_FOG_COORD_ARRAY_STRIDE)
defines.add(GL_FOG_COORD_ARRAY_TYPE)
defines.add(GL_FOG_COORD_SRC)
defines.add(GL_SRC0_ALPHA)
defines.add(GL_SRC0_RGB)
defines.add(GL_SRC1_ALPHA)
defines.add(GL_SRC1_RGB)
defines.add(GL_SRC2_ALPHA)
defines.add(GL_SRC2_RGB)
defines.add(GL_STATIC_DRAW)
defines.add(GL_STREAM_DRAW)
defines.add(GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING)

# GL_VERSION_2_0

GL_ACTIVE_ATTRIBUTES = Enumerant('GL_ACTIVE_ATTRIBUTES', 0x8b89, 'GL_VERSION_2_0')
GL_ACTIVE_ATTRIBUTES.esVersions = [2.0]
GL_ACTIVE_ATTRIBUTE_MAX_LENGTH = Enumerant('GL_ACTIVE_ATTRIBUTE_MAX_LENGTH', 0x8b8a, 'GL_VERSION_2_0')
GL_ACTIVE_ATTRIBUTE_MAX_LENGTH.esVersions = [2.0]
GL_ACTIVE_UNIFORMS = Enumerant('GL_ACTIVE_UNIFORMS', 0x8b86, 'GL_VERSION_2_0')
GL_ACTIVE_UNIFORMS.esVersions = [2.0]
GL_ACTIVE_UNIFORM_MAX_LENGTH = Enumerant('GL_ACTIVE_UNIFORM_MAX_LENGTH', 0x8b87, 'GL_VERSION_2_0')
GL_ACTIVE_UNIFORM_MAX_LENGTH.esVersions = [2.0]
GL_ATTACHED_SHADERS = Enumerant('GL_ATTACHED_SHADERS', 0x8b85, 'GL_VERSION_2_0')
GL_ATTACHED_SHADERS.esVersions = [2.0]
GL_BLEND_EQUATION_ALPHA = Enumerant('GL_BLEND_EQUATION_ALPHA', 0x883d, 'GL_VERSION_2_0')
GL_BLEND_EQUATION_ALPHA.esVersions = [2.0]
GL_BLEND_EQUATION_RGB = Enumerant('GL_BLEND_EQUATION_RGB', 'GL_BLEND_EQUATION', 'GL_VERSION_2_0')
GL_BLEND_EQUATION_RGB.esVersions = [2.0]
GL_BOOL = Enumerant('GL_BOOL', 0x8b56, 'GL_VERSION_2_0')
GL_BOOL.esVersions = [2.0]
GL_BOOL_VEC2 = Enumerant('GL_BOOL_VEC2', 0x8b57, 'GL_VERSION_2_0')
GL_BOOL_VEC2.esVersions = [2.0]
GL_BOOL_VEC3 = Enumerant('GL_BOOL_VEC3', 0x8b58, 'GL_VERSION_2_0')
GL_BOOL_VEC3.esVersions = [2.0]
GL_BOOL_VEC4 = Enumerant('GL_BOOL_VEC4', 0x8b59, 'GL_VERSION_2_0')
GL_BOOL_VEC4.esVersions = [2.0]
GL_COMPILE_STATUS = Enumerant('GL_COMPILE_STATUS', 0x8b81, 'GL_VERSION_2_0')
GL_COMPILE_STATUS.esVersions = [2.0]
GL_CURRENT_PROGRAM = Enumerant('GL_CURRENT_PROGRAM', 0x8b8d, 'GL_VERSION_2_0')
GL_CURRENT_PROGRAM.esVersions = [2.0]
GL_CURRENT_VERTEX_ATTRIB = Enumerant('GL_CURRENT_VERTEX_ATTRIB', 0x8626, 'GL_VERSION_2_0')
GL_CURRENT_VERTEX_ATTRIB.esVersions = [2.0]
GL_DELETE_STATUS = Enumerant('GL_DELETE_STATUS', 0x8b80, 'GL_VERSION_2_0')
GL_DELETE_STATUS.esVersions = [2.0]
GL_FLOAT_MAT2 = Enumerant('GL_FLOAT_MAT2', 0x8b5a, 'GL_VERSION_2_0')
GL_FLOAT_MAT2.esVersions = [2.0]
GL_FLOAT_MAT3 = Enumerant('GL_FLOAT_MAT3', 0x8b5b, 'GL_VERSION_2_0')
GL_FLOAT_MAT3.esVersions = [2.0]
GL_FLOAT_MAT4 = Enumerant('GL_FLOAT_MAT4', 0x8b5c, 'GL_VERSION_2_0')
GL_FLOAT_MAT4.esVersions = [2.0]
GL_FLOAT_VEC2 = Enumerant('GL_FLOAT_VEC2', 0x8b50, 'GL_VERSION_2_0')
GL_FLOAT_VEC2.esVersions = [2.0]
GL_FLOAT_VEC3 = Enumerant('GL_FLOAT_VEC3', 0x8b51, 'GL_VERSION_2_0')
GL_FLOAT_VEC3.esVersions = [2.0]
GL_FLOAT_VEC4 = Enumerant('GL_FLOAT_VEC4', 0x8b52, 'GL_VERSION_2_0')
GL_FLOAT_VEC4.esVersions = [2.0]
GL_FRAGMENT_SHADER = Enumerant('GL_FRAGMENT_SHADER', 0x8b30, 'GL_VERSION_2_0')
GL_FRAGMENT_SHADER.esVersions = [2.0]
GL_INFO_LOG_LENGTH = Enumerant('GL_INFO_LOG_LENGTH', 0x8b84, 'GL_VERSION_2_0')
GL_INFO_LOG_LENGTH.esVersions = [2.0]
GL_INT_VEC2 = Enumerant('GL_INT_VEC2', 0x8b53, 'GL_VERSION_2_0')
GL_INT_VEC2.esVersions = [2.0]
GL_INT_VEC3 = Enumerant('GL_INT_VEC3', 0x8b54, 'GL_VERSION_2_0')
GL_INT_VEC3.esVersions = [2.0]
GL_INT_VEC4 = Enumerant('GL_INT_VEC4', 0x8b55, 'GL_VERSION_2_0')
GL_INT_VEC4.esVersions = [2.0]
GL_LINK_STATUS = Enumerant('GL_LINK_STATUS', 0x8b82, 'GL_VERSION_2_0')
GL_LINK_STATUS.esVersions = [2.0]
GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS = Enumerant('GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS', 0x8b4d, 'GL_VERSION_2_0')
GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS.esVersions = [2.0]
GL_MAX_TEXTURE_IMAGE_UNITS = Enumerant('GL_MAX_TEXTURE_IMAGE_UNITS', 0x8872, 'GL_VERSION_2_0')
GL_MAX_TEXTURE_IMAGE_UNITS.esVersions = [2.0]
GL_MAX_VERTEX_ATTRIBS = Enumerant('GL_MAX_VERTEX_ATTRIBS', 0x8869, 'GL_VERSION_2_0')
GL_MAX_VERTEX_ATTRIBS.esVersions = [2.0]
GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS = Enumerant('GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS', 0x8b4c, 'GL_VERSION_2_0')
GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS.esVersions = [2.0]
GL_SAMPLER_2D = Enumerant('GL_SAMPLER_2D', 0x8b5e, 'GL_VERSION_2_0')
GL_SAMPLER_2D.esVersions = [2.0]
GL_SAMPLER_CUBE = Enumerant('GL_SAMPLER_CUBE', 0x8b60, 'GL_VERSION_2_0')
GL_SAMPLER_CUBE.esVersions = [2.0]
GL_SHADER_SOURCE_LENGTH = Enumerant('GL_SHADER_SOURCE_LENGTH', 0x8b88, 'GL_VERSION_2_0')
GL_SHADER_SOURCE_LENGTH.esVersions = [2.0]
GL_SHADER_TYPE = Enumerant('GL_SHADER_TYPE', 0x8b4f, 'GL_VERSION_2_0')
GL_SHADER_TYPE.esVersions = [2.0]
GL_SHADING_LANGUAGE_VERSION = Enumerant('GL_SHADING_LANGUAGE_VERSION', 0x8b8c, 'GL_VERSION_2_0')
GL_SHADING_LANGUAGE_VERSION.esVersions = [2.0]
GL_STENCIL_BACK_FAIL = Enumerant('GL_STENCIL_BACK_FAIL', 0x8801, 'GL_VERSION_2_0')
GL_STENCIL_BACK_FAIL.esVersions = [2.0]
GL_STENCIL_BACK_FUNC = Enumerant('GL_STENCIL_BACK_FUNC', 0x8800, 'GL_VERSION_2_0')
GL_STENCIL_BACK_FUNC.esVersions = [2.0]
GL_STENCIL_BACK_PASS_DEPTH_FAIL = Enumerant('GL_STENCIL_BACK_PASS_DEPTH_FAIL', 0x8802, 'GL_VERSION_2_0')
GL_STENCIL_BACK_PASS_DEPTH_FAIL.esVersions = [2.0]
GL_STENCIL_BACK_PASS_DEPTH_PASS = Enumerant('GL_STENCIL_BACK_PASS_DEPTH_PASS', 0x8803, 'GL_VERSION_2_0')
GL_STENCIL_BACK_PASS_DEPTH_PASS.esVersions = [2.0]
GL_STENCIL_BACK_REF = Enumerant('GL_STENCIL_BACK_REF', 0x8ca3, 'GL_VERSION_2_0')
GL_STENCIL_BACK_REF.esVersions = [2.0]
GL_STENCIL_BACK_VALUE_MASK = Enumerant('GL_STENCIL_BACK_VALUE_MASK', 0x8ca4, 'GL_VERSION_2_0')
GL_STENCIL_BACK_VALUE_MASK.esVersions = [2.0]
GL_STENCIL_BACK_WRITEMASK = Enumerant('GL_STENCIL_BACK_WRITEMASK', 0x8ca5, 'GL_VERSION_2_0')
GL_STENCIL_BACK_WRITEMASK.esVersions = [2.0]
GL_VALIDATE_STATUS = Enumerant('GL_VALIDATE_STATUS', 0x8b83, 'GL_VERSION_2_0')
GL_VALIDATE_STATUS.esVersions = [2.0]
GL_VERTEX_ATTRIB_ARRAY_ENABLED = Enumerant('GL_VERTEX_ATTRIB_ARRAY_ENABLED', 0x8622, 'GL_VERSION_2_0')
GL_VERTEX_ATTRIB_ARRAY_ENABLED.esVersions = [2.0]
GL_VERTEX_ATTRIB_ARRAY_NORMALIZED = Enumerant('GL_VERTEX_ATTRIB_ARRAY_NORMALIZED', 0x886a, 'GL_VERSION_2_0')
GL_VERTEX_ATTRIB_ARRAY_NORMALIZED.esVersions = [2.0]
GL_VERTEX_ATTRIB_ARRAY_POINTER = Enumerant('GL_VERTEX_ATTRIB_ARRAY_POINTER', 0x8645, 'GL_VERSION_2_0')
GL_VERTEX_ATTRIB_ARRAY_POINTER.esVersions = [2.0]
GL_VERTEX_ATTRIB_ARRAY_SIZE = Enumerant('GL_VERTEX_ATTRIB_ARRAY_SIZE', 0x8623, 'GL_VERSION_2_0')
GL_VERTEX_ATTRIB_ARRAY_SIZE.esVersions = [2.0]
GL_VERTEX_ATTRIB_ARRAY_STRIDE = Enumerant('GL_VERTEX_ATTRIB_ARRAY_STRIDE', 0x8624, 'GL_VERSION_2_0')
GL_VERTEX_ATTRIB_ARRAY_STRIDE.esVersions = [2.0]
GL_VERTEX_ATTRIB_ARRAY_TYPE = Enumerant('GL_VERTEX_ATTRIB_ARRAY_TYPE', 0x8625, 'GL_VERSION_2_0')
GL_VERTEX_ATTRIB_ARRAY_TYPE.esVersions = [2.0]
GL_VERTEX_SHADER = Enumerant('GL_VERTEX_SHADER', 0x8b31, 'GL_VERSION_2_0')
GL_VERTEX_SHADER.esVersions = [2.0]

defines.add(GL_ACTIVE_ATTRIBUTES)
defines.add(GL_ACTIVE_ATTRIBUTE_MAX_LENGTH)
defines.add(GL_ACTIVE_UNIFORMS)
defines.add(GL_ACTIVE_UNIFORM_MAX_LENGTH)
defines.add(GL_ATTACHED_SHADERS)
defines.add(GL_BLEND_EQUATION_ALPHA)
defines.add(GL_BLEND_EQUATION_RGB)
defines.add(GL_BOOL)
defines.add(GL_BOOL_VEC2)
defines.add(GL_BOOL_VEC3)
defines.add(GL_BOOL_VEC4)
defines.add(GL_COMPILE_STATUS)
defines.add(GL_CURRENT_PROGRAM)
defines.add(GL_CURRENT_VERTEX_ATTRIB)
defines.add(GL_DELETE_STATUS)
defines.add(GL_FLOAT_MAT2)
defines.add(GL_FLOAT_MAT3)
defines.add(GL_FLOAT_MAT4)
defines.add(GL_FLOAT_VEC2)
defines.add(GL_FLOAT_VEC3)
defines.add(GL_FLOAT_VEC4)
defines.add(GL_FRAGMENT_SHADER)
defines.add(GL_INFO_LOG_LENGTH)
defines.add(GL_INT_VEC2)
defines.add(GL_INT_VEC3)
defines.add(GL_INT_VEC4)
defines.add(GL_LINK_STATUS)
defines.add(GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS)
defines.add(GL_MAX_TEXTURE_IMAGE_UNITS)
defines.add(GL_MAX_VERTEX_ATTRIBS)
defines.add(GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS)
defines.add(GL_SAMPLER_2D)
defines.add(GL_SAMPLER_CUBE)
defines.add(GL_SHADER_SOURCE_LENGTH)
defines.add(GL_SHADER_TYPE)
defines.add(GL_SHADING_LANGUAGE_VERSION)
defines.add(GL_STENCIL_BACK_FAIL)
defines.add(GL_STENCIL_BACK_FUNC)
defines.add(GL_STENCIL_BACK_PASS_DEPTH_FAIL)
defines.add(GL_STENCIL_BACK_PASS_DEPTH_PASS)
defines.add(GL_STENCIL_BACK_REF)
defines.add(GL_STENCIL_BACK_VALUE_MASK)
defines.add(GL_STENCIL_BACK_WRITEMASK)
defines.add(GL_VALIDATE_STATUS)
defines.add(GL_VERTEX_ATTRIB_ARRAY_ENABLED)
defines.add(GL_VERTEX_ATTRIB_ARRAY_NORMALIZED)
defines.add(GL_VERTEX_ATTRIB_ARRAY_POINTER)
defines.add(GL_VERTEX_ATTRIB_ARRAY_SIZE)
defines.add(GL_VERTEX_ATTRIB_ARRAY_STRIDE)
defines.add(GL_VERTEX_ATTRIB_ARRAY_TYPE)
defines.add(GL_VERTEX_SHADER)

# GL_VERSION_2_1

# GL_VERSION_3_0

GL_CLIP_DISTANCE0 = Enumerant('GL_CLIP_DISTANCE0', 'GL_CLIP_PLANE0', 'GL_VERSION_3_0')
GL_CLIP_DISTANCE0.enableCap = True
GL_CLIP_DISTANCE1 = Enumerant('GL_CLIP_DISTANCE1', 'GL_CLIP_PLANE1', 'GL_VERSION_3_0')
GL_CLIP_DISTANCE1.enableCap = True
GL_CLIP_DISTANCE2 = Enumerant('GL_CLIP_DISTANCE2', 'GL_CLIP_PLANE2', 'GL_VERSION_3_0')
GL_CLIP_DISTANCE2.enableCap = True
GL_CLIP_DISTANCE3 = Enumerant('GL_CLIP_DISTANCE3', 'GL_CLIP_PLANE3', 'GL_VERSION_3_0')
GL_CLIP_DISTANCE3.enableCap = True
GL_CLIP_DISTANCE4 = Enumerant('GL_CLIP_DISTANCE4', 'GL_CLIP_PLANE4', 'GL_VERSION_3_0')
GL_CLIP_DISTANCE4.enableCap = True
GL_CLIP_DISTANCE5 = Enumerant('GL_CLIP_DISTANCE5', 'GL_CLIP_PLANE5', 'GL_VERSION_3_0')
GL_CLIP_DISTANCE5.enableCap = True
GL_CLIP_DISTANCE6 = Enumerant('GL_CLIP_DISTANCE6', 'GL_CLIP_PLANE6', 'GL_VERSION_3_0')
GL_CLIP_DISTANCE6.enableCap = True
GL_CLIP_DISTANCE7 = Enumerant('GL_CLIP_DISTANCE7', 'GL_CLIP_PLANE7', 'GL_VERSION_3_0')
GL_CLIP_DISTANCE7.enableCap = True
GL_COMPARE_REF_TO_TEXTURE = Enumerant('GL_COMPARE_REF_TO_TEXTURE', 'GL_COMPARE_R_TO_TEXTURE_ARB', 'GL_VERSION_3_0')
GL_DEPTH_BUFFER = Enumerant('GL_DEPTH_BUFFER', 0x8223, 'GL_VERSION_3_0')
GL_MAX_CLIP_DISTANCES = Enumerant('GL_MAX_CLIP_DISTANCES', 'GL_MAX_CLIP_PLANES', 'GL_VERSION_3_0')
GL_MAX_VARYING_COMPONENTS = Enumerant('GL_MAX_VARYING_COMPONENTS', 'GL_MAX_VARYING_FLOATS', 'GL_VERSION_3_0')
GL_STENCIL_BUFFER = Enumerant('GL_STENCIL_BUFFER', 0x8224, 'GL_VERSION_3_0')

defines.add(GL_CLIP_DISTANCE0)
defines.add(GL_CLIP_DISTANCE1)
defines.add(GL_CLIP_DISTANCE2)
defines.add(GL_CLIP_DISTANCE3)
defines.add(GL_CLIP_DISTANCE4)
defines.add(GL_CLIP_DISTANCE5)
defines.add(GL_CLIP_DISTANCE6)
defines.add(GL_CLIP_DISTANCE7)
defines.add(GL_COMPARE_REF_TO_TEXTURE)
defines.add(GL_DEPTH_BUFFER)
defines.add(GL_MAX_CLIP_DISTANCES)
defines.add(GL_MAX_VARYING_COMPONENTS)
defines.add(GL_STENCIL_BUFFER)

# GL_VERSION_3_1

GL_BUFFER_ACCESS_FLAGS = Enumerant('GL_BUFFER_ACCESS_FLAGS', 0x911f, 'GL_VERSION_3_1')
GL_BUFFER_MAP_LENGTH = Enumerant('GL_BUFFER_MAP_LENGTH', 0x9120, 'GL_VERSION_3_1')
GL_BUFFER_MAP_OFFSET = Enumerant('GL_BUFFER_MAP_OFFSET', 0x9121, 'GL_VERSION_3_1')
GL_PRIMITIVE_RESTART = Enumerant('GL_PRIMITIVE_RESTART', 0x8f9d, 'GL_VERSION_3_1')
GL_PRIMITIVE_RESTART.enableCap = True
GL_TEXTURE_BUFFER_FORMAT = Enumerant('GL_TEXTURE_BUFFER_FORMAT', 0x8c2e, 'GL_VERSION_3_1')

defines.add(GL_BUFFER_ACCESS_FLAGS)
defines.add(GL_BUFFER_MAP_LENGTH)
defines.add(GL_BUFFER_MAP_OFFSET)
defines.add(GL_PRIMITIVE_RESTART)
defines.add(GL_TEXTURE_BUFFER_FORMAT)

# GL_VERSION_3_2

GL_PROGRAM_POINT_SIZE = Enumerant('GL_PROGRAM_POINT_SIZE', 0x8642, 'GL_VERSION_3_2')
GL_PROGRAM_POINT_SIZE.enableCap = True

defines.add(GL_PROGRAM_POINT_SIZE)

# GL_VERSION_3_3

# GL_VERSION_4_0

GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS = Enumerant('GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS', 0x8f9f, 'GL_VERSION_4_0')

defines.add(GL_MAX_PROGRAM_TEXTURE_GATHER_COMPONENTS)

# GL_VERSION_4_2

# GL_VERSION_4_3

# GL_VERSION_4_4

# GL_VERSION_4_5

# GL_AMD_seamless_cubemap_per_texture

GL_TEXTURE_CUBE_MAP_SEAMLESS_ARB = Enumerant('GL_TEXTURE_CUBE_MAP_SEAMLESS_ARB', 0x884f, 'GL_AMD_seamless_cubemap_per_texture')

defines.add(GL_TEXTURE_CUBE_MAP_SEAMLESS_ARB)

# GL_ANGLE_texture_compression_dxt1

GL_COMPRESSED_RGBA_S3TC_DXT1_ANGLE = Enumerant('GL_COMPRESSED_RGBA_S3TC_DXT1_ANGLE', 0x83f1, 'GL_ANGLE_texture_compression_dxt1')
GL_COMPRESSED_RGB_S3TC_DXT1_ANGLE = Enumerant('GL_COMPRESSED_RGB_S3TC_DXT1_ANGLE', 0x83f0, 'GL_ANGLE_texture_compression_dxt1')

defines.add(GL_COMPRESSED_RGBA_S3TC_DXT1_ANGLE)
defines.add(GL_COMPRESSED_RGB_S3TC_DXT1_ANGLE)

# GL_ANGLE_timer_query

GL_CURRENT_QUERY_ANGLE = Enumerant('GL_CURRENT_QUERY_ANGLE', 0x8865, 'GL_ANGLE_timer_query')
GL_QUERY_COUNTER_BITS_ANGLE = Enumerant('GL_QUERY_COUNTER_BITS_ANGLE', 0x8864, 'GL_ANGLE_timer_query')
GL_QUERY_RESULT_ANGLE = Enumerant('GL_QUERY_RESULT_ANGLE', 0x8866, 'GL_ANGLE_timer_query')
GL_QUERY_RESULT_AVAILABLE_ANGLE = Enumerant('GL_QUERY_RESULT_AVAILABLE_ANGLE', 0x8867, 'GL_ANGLE_timer_query')
GL_TIMESTAMP_ANGLE = Enumerant('GL_TIMESTAMP_ANGLE', 0x8e28, 'GL_ANGLE_timer_query')
GL_TIME_ELAPSED_ANGLE = Enumerant('GL_TIME_ELAPSED_ANGLE', 0x88bf, 'GL_ANGLE_timer_query')

defines.add(GL_CURRENT_QUERY_ANGLE)
defines.add(GL_QUERY_COUNTER_BITS_ANGLE)
defines.add(GL_QUERY_RESULT_ANGLE)
defines.add(GL_QUERY_RESULT_AVAILABLE_ANGLE)
defines.add(GL_TIMESTAMP_ANGLE)
defines.add(GL_TIME_ELAPSED_ANGLE)

# GL_APPLE_pixel_buffer

GL_MIN_PBUFFER_VIEWPORT_DIMS_APPLE = Enumerant('GL_MIN_PBUFFER_VIEWPORT_DIMS_APPLE', 0x8a10, 'GL_APPLE_pixel_buffer')

defines.add(GL_MIN_PBUFFER_VIEWPORT_DIMS_APPLE)

# GL_APPLE_vertex_array_range

GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_APPLE = Enumerant('GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_APPLE', 0x8520, 'GL_APPLE_vertex_array_range')
GL_STORAGE_CACHED_APPLE = Enumerant('GL_STORAGE_CACHED_APPLE', 0x85be, 'GL_APPLE_vertex_array_range')
GL_STORAGE_SHARED_APPLE = Enumerant('GL_STORAGE_SHARED_APPLE', 0x85bf, 'GL_APPLE_vertex_array_range')
GL_VERTEX_ARRAY_RANGE_APPLE = Enumerant('GL_VERTEX_ARRAY_RANGE_APPLE', 0x851d, 'GL_APPLE_vertex_array_range')
GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE = Enumerant('GL_VERTEX_ARRAY_RANGE_LENGTH_APPLE', 0x851e, 'GL_APPLE_vertex_array_range')
GL_VERTEX_ARRAY_RANGE_POINTER_APPLE = Enumerant('GL_VERTEX_ARRAY_RANGE_POINTER_APPLE', 0x8521, 'GL_APPLE_vertex_array_range')
GL_VERTEX_ARRAY_STORAGE_HINT_APPLE = Enumerant('GL_VERTEX_ARRAY_STORAGE_HINT_APPLE', 0x851f, 'GL_APPLE_vertex_array_range')

defines.add(GL_MAX_VERTEX_ARRAY_RANGE_ELEMENT_APPLE)
defines.add(GL_STORAGE_CACHED_APPLE)
defines.add(GL_STORAGE_SHARED_APPLE)

# GL_APPLE_ycbcr_422

GL_UNSIGNED_SHORT_8_8_APPLE = Enumerant('GL_UNSIGNED_SHORT_8_8_APPLE', 0x85ba, 'GL_APPLE_ycbcr_422')
GL_UNSIGNED_SHORT_8_8_REV_APPLE = Enumerant('GL_UNSIGNED_SHORT_8_8_REV_APPLE', 0x85bb, 'GL_APPLE_ycbcr_422')

defines.add(GL_UNSIGNED_SHORT_8_8_APPLE)
defines.add(GL_UNSIGNED_SHORT_8_8_REV_APPLE)

# GL_ARB_ES2_compatibility

GL_FIXED = Enumerant('GL_FIXED', 0x140c, 'GL_ARB_ES2_compatibility')
GL_FIXED.esVersions = [2.0]
GL_HIGH_FLOAT = Enumerant('GL_HIGH_FLOAT', 0x8df2, 'GL_ARB_ES2_compatibility')
GL_HIGH_FLOAT.esVersions = [2.0]
GL_HIGH_INT = Enumerant('GL_HIGH_INT', 0x8df5, 'GL_ARB_ES2_compatibility')
GL_HIGH_INT.esVersions = [2.0]
GL_IMPLEMENTATION_COLOR_READ_FORMAT = Enumerant('GL_IMPLEMENTATION_COLOR_READ_FORMAT', 0x8b9b, 'GL_ARB_ES2_compatibility')
GL_IMPLEMENTATION_COLOR_READ_FORMAT.esVersions = [2.0]
GL_IMPLEMENTATION_COLOR_READ_TYPE = Enumerant('GL_IMPLEMENTATION_COLOR_READ_TYPE', 0x8b9a, 'GL_ARB_ES2_compatibility')
GL_IMPLEMENTATION_COLOR_READ_TYPE.esVersions = [2.0]
GL_LOW_FLOAT = Enumerant('GL_LOW_FLOAT', 0x8df0, 'GL_ARB_ES2_compatibility')
GL_LOW_FLOAT.esVersions = [2.0]
GL_LOW_INT = Enumerant('GL_LOW_INT', 0x8df3, 'GL_ARB_ES2_compatibility')
GL_LOW_INT.esVersions = [2.0]
GL_MAX_FRAGMENT_UNIFORM_VECTORS = Enumerant('GL_MAX_FRAGMENT_UNIFORM_VECTORS', 0x8dfd, 'GL_ARB_ES2_compatibility')
GL_MAX_FRAGMENT_UNIFORM_VECTORS.esVersions = [2.0]
GL_MAX_VARYING_VECTORS = Enumerant('GL_MAX_VARYING_VECTORS', 0x8dfc, 'GL_ARB_ES2_compatibility')
GL_MAX_VARYING_VECTORS.esVersions = [2.0]
GL_MAX_VERTEX_UNIFORM_VECTORS = Enumerant('GL_MAX_VERTEX_UNIFORM_VECTORS', 0x8dfb, 'GL_ARB_ES2_compatibility')
GL_MAX_VERTEX_UNIFORM_VECTORS.esVersions = [2.0]
GL_MEDIUM_FLOAT = Enumerant('GL_MEDIUM_FLOAT', 0x8df1, 'GL_ARB_ES2_compatibility')
GL_MEDIUM_FLOAT.esVersions = [2.0]
GL_MEDIUM_INT = Enumerant('GL_MEDIUM_INT', 0x8df4, 'GL_ARB_ES2_compatibility')
GL_MEDIUM_INT.esVersions = [2.0]
GL_NUM_SHADER_BINARY_FORMATS = Enumerant('GL_NUM_SHADER_BINARY_FORMATS', 0x8df9, 'GL_ARB_ES2_compatibility')
GL_NUM_SHADER_BINARY_FORMATS.esVersions = [2.0]
GL_RGB565 = Enumerant('GL_RGB565', 0x8d62, 'GL_ARB_ES2_compatibility')
GL_RGB565.esVersions = [2.0]
GL_SHADER_BINARY_FORMATS = Enumerant('GL_SHADER_BINARY_FORMATS', 0x8df8, 'GL_ARB_ES2_compatibility')
GL_SHADER_BINARY_FORMATS.esVersions = [2.0]
GL_SHADER_COMPILER = Enumerant('GL_SHADER_COMPILER', 0x8dfa, 'GL_ARB_ES2_compatibility')
GL_SHADER_COMPILER.esVersions = [2.0]

defines.add(GL_FIXED)
defines.add(GL_HIGH_FLOAT)
defines.add(GL_HIGH_INT)
defines.add(GL_IMPLEMENTATION_COLOR_READ_FORMAT)
defines.add(GL_IMPLEMENTATION_COLOR_READ_TYPE)
defines.add(GL_LOW_FLOAT)
defines.add(GL_LOW_INT)
defines.add(GL_MAX_FRAGMENT_UNIFORM_VECTORS)
defines.add(GL_MAX_VARYING_VECTORS)
defines.add(GL_MAX_VERTEX_UNIFORM_VECTORS)
defines.add(GL_MEDIUM_FLOAT)
defines.add(GL_MEDIUM_INT)
defines.add(GL_NUM_SHADER_BINARY_FORMATS)
defines.add(GL_RGB565)
defines.add(GL_SHADER_BINARY_FORMATS)
defines.add(GL_SHADER_COMPILER)

# GL_ARB_ES3_compatibility

GL_ANY_SAMPLES_PASSED_CONSERVATIVE = Enumerant('GL_ANY_SAMPLES_PASSED_CONSERVATIVE', 0x8d6a, 'GL_ARB_ES3_compatibility')
GL_COMPRESSED_R11_EAC = Enumerant('GL_COMPRESSED_R11_EAC', 0x9270, 'GL_ARB_ES3_compatibility')
GL_COMPRESSED_RG11_EAC = Enumerant('GL_COMPRESSED_RG11_EAC', 0x9272, 'GL_ARB_ES3_compatibility')
GL_COMPRESSED_RGB8_ETC2 = Enumerant('GL_COMPRESSED_RGB8_ETC2', 0x9274, 'GL_ARB_ES3_compatibility')
GL_COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2 = Enumerant('GL_COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2', 0x9276, 'GL_ARB_ES3_compatibility')
GL_COMPRESSED_RGBA8_ETC2_EAC = Enumerant('GL_COMPRESSED_RGBA8_ETC2_EAC', 0x9278, 'GL_ARB_ES3_compatibility')
GL_COMPRESSED_SIGNED_R11_EAC = Enumerant('GL_COMPRESSED_SIGNED_R11_EAC', 0x9271, 'GL_ARB_ES3_compatibility')
GL_COMPRESSED_SIGNED_RG11_EAC = Enumerant('GL_COMPRESSED_SIGNED_RG11_EAC', 0x9273, 'GL_ARB_ES3_compatibility')
GL_COMPRESSED_SRGB8_ALPHA8_ETC2_EAC = Enumerant('GL_COMPRESSED_SRGB8_ALPHA8_ETC2_EAC', 0x9279, 'GL_ARB_ES3_compatibility')
GL_COMPRESSED_SRGB8_ETC2 = Enumerant('GL_COMPRESSED_SRGB8_ETC2', 0x9275, 'GL_ARB_ES3_compatibility')
GL_COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2 = Enumerant('GL_COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2', 0x9277, 'GL_ARB_ES3_compatibility')
GL_MAX_ELEMENT_INDEX = Enumerant('GL_MAX_ELEMENT_INDEX', 0x8d6b, 'GL_ARB_ES3_compatibility')
GL_PRIMITIVE_RESTART_FIXED_INDEX = Enumerant('GL_PRIMITIVE_RESTART_FIXED_INDEX', 0x8d69, 'GL_ARB_ES3_compatibility')
GL_PRIMITIVE_RESTART_FIXED_INDEX.enableCap = True

defines.add(GL_ANY_SAMPLES_PASSED_CONSERVATIVE)
defines.add(GL_COMPRESSED_R11_EAC)
defines.add(GL_COMPRESSED_RG11_EAC)
defines.add(GL_COMPRESSED_RGB8_ETC2)
defines.add(GL_COMPRESSED_RGB8_PUNCHTHROUGH_ALPHA1_ETC2)
defines.add(GL_COMPRESSED_RGBA8_ETC2_EAC)
defines.add(GL_COMPRESSED_SIGNED_R11_EAC)
defines.add(GL_COMPRESSED_SIGNED_RG11_EAC)
defines.add(GL_COMPRESSED_SRGB8_ALPHA8_ETC2_EAC)
defines.add(GL_COMPRESSED_SRGB8_ETC2)
defines.add(GL_COMPRESSED_SRGB8_PUNCHTHROUGH_ALPHA1_ETC2)
defines.add(GL_MAX_ELEMENT_INDEX)
defines.add(GL_PRIMITIVE_RESTART_FIXED_INDEX)

# GL_ARB_blend_func_extended

GL_MAX_DUAL_SOURCE_DRAW_BUFFERS = Enumerant('GL_MAX_DUAL_SOURCE_DRAW_BUFFERS', 0x88fc, 'GL_ARB_blend_func_extended')
GL_ONE_MINUS_SRC1_ALPHA = Enumerant('GL_ONE_MINUS_SRC1_ALPHA', 0x88fb, 'GL_ARB_blend_func_extended')
GL_ONE_MINUS_SRC1_COLOR = Enumerant('GL_ONE_MINUS_SRC1_COLOR', 0x88fa, 'GL_ARB_blend_func_extended')
GL_SRC1_COLOR = Enumerant('GL_SRC1_COLOR', 0x88f9, 'GL_ARB_blend_func_extended')

defines.add(GL_MAX_DUAL_SOURCE_DRAW_BUFFERS)
defines.add(GL_ONE_MINUS_SRC1_ALPHA)
defines.add(GL_ONE_MINUS_SRC1_COLOR)
defines.add(GL_SRC1_COLOR)

# GL_ARB_buffer_storage

GL_BUFFER_IMMUTABLE_STORAGE = Enumerant('GL_BUFFER_IMMUTABLE_STORAGE', 0x821f, 'GL_ARB_buffer_storage')
GL_BUFFER_STORAGE_FLAGS = Enumerant('GL_BUFFER_STORAGE_FLAGS', 0x8220, 'GL_ARB_buffer_storage')
GL_CLIENT_MAPPED_BUFFER_BARRIER_BIT = Enumerant('GL_CLIENT_MAPPED_BUFFER_BARRIER_BIT', 0x4000, 'GL_ARB_buffer_storage')
GL_CLIENT_STORAGE_BIT = Enumerant('GL_CLIENT_STORAGE_BIT', 0x0200, 'GL_ARB_buffer_storage')
GL_DYNAMIC_STORAGE_BIT = Enumerant('GL_DYNAMIC_STORAGE_BIT', 0x0100, 'GL_ARB_buffer_storage')
GL_MAP_COHERENT_BIT = Enumerant('GL_MAP_COHERENT_BIT', 0x0080, 'GL_ARB_buffer_storage')
GL_MAP_PERSISTENT_BIT = Enumerant('GL_MAP_PERSISTENT_BIT', 0x0040, 'GL_ARB_buffer_storage')

defines.add(GL_BUFFER_IMMUTABLE_STORAGE)
defines.add(GL_BUFFER_STORAGE_FLAGS)
defines.add(GL_CLIENT_MAPPED_BUFFER_BARRIER_BIT)
defines.add(GL_CLIENT_STORAGE_BIT)
defines.add(GL_DYNAMIC_STORAGE_BIT)
defines.add(GL_MAP_COHERENT_BIT)
defines.add(GL_MAP_PERSISTENT_BIT)

# GL_ARB_clear_texture

GL_CLEAR_TEXTURE = Enumerant('GL_CLEAR_TEXTURE', 0x9365, 'GL_ARB_clear_texture')

defines.add(GL_CLEAR_TEXTURE)

# GL_ARB_clip_control

GL_CLIP_DEPTH_MODE = Enumerant('GL_CLIP_DEPTH_MODE', 0x935d, 'GL_ARB_clip_control')
GL_CLIP_ORIGIN = Enumerant('GL_CLIP_ORIGIN', 0x935c, 'GL_ARB_clip_control')
GL_NEGATIVE_ONE_TO_ONE = Enumerant('GL_NEGATIVE_ONE_TO_ONE', 0x935e, 'GL_ARB_clip_control')
GL_ZERO_TO_ONE = Enumerant('GL_ZERO_TO_ONE', 0x935f, 'GL_ARB_clip_control')

defines.add(GL_CLIP_DEPTH_MODE)
defines.add(GL_CLIP_ORIGIN)
defines.add(GL_NEGATIVE_ONE_TO_ONE)
defines.add(GL_ZERO_TO_ONE)


# GL_ARB_compressed_texture_pixel_storage

GL_PACK_COMPRESSED_BLOCK_DEPTH = Enumerant('GL_PACK_COMPRESSED_BLOCK_DEPTH', 0x912d, 'GL_ARB_compressed_texture_pixel_storage')
GL_PACK_COMPRESSED_BLOCK_HEIGHT = Enumerant('GL_PACK_COMPRESSED_BLOCK_HEIGHT', 0x912c, 'GL_ARB_compressed_texture_pixel_storage')
GL_PACK_COMPRESSED_BLOCK_SIZE = Enumerant('GL_PACK_COMPRESSED_BLOCK_SIZE', 0x912e, 'GL_ARB_compressed_texture_pixel_storage')
GL_PACK_COMPRESSED_BLOCK_WIDTH = Enumerant('GL_PACK_COMPRESSED_BLOCK_WIDTH', 0x912b, 'GL_ARB_compressed_texture_pixel_storage')
GL_UNPACK_COMPRESSED_BLOCK_DEPTH = Enumerant('GL_UNPACK_COMPRESSED_BLOCK_DEPTH', 0x9129, 'GL_ARB_compressed_texture_pixel_storage')
GL_UNPACK_COMPRESSED_BLOCK_HEIGHT = Enumerant('GL_UNPACK_COMPRESSED_BLOCK_HEIGHT', 0x9128, 'GL_ARB_compressed_texture_pixel_storage')
GL_UNPACK_COMPRESSED_BLOCK_SIZE = Enumerant('GL_UNPACK_COMPRESSED_BLOCK_SIZE', 0x912a, 'GL_ARB_compressed_texture_pixel_storage')
GL_UNPACK_COMPRESSED_BLOCK_WIDTH = Enumerant('GL_UNPACK_COMPRESSED_BLOCK_WIDTH', 0x9127, 'GL_ARB_compressed_texture_pixel_storage')

defines.add(GL_PACK_COMPRESSED_BLOCK_DEPTH)
defines.add(GL_PACK_COMPRESSED_BLOCK_HEIGHT)
defines.add(GL_PACK_COMPRESSED_BLOCK_SIZE)
defines.add(GL_PACK_COMPRESSED_BLOCK_WIDTH)
defines.add(GL_UNPACK_COMPRESSED_BLOCK_DEPTH)
defines.add(GL_UNPACK_COMPRESSED_BLOCK_HEIGHT)
defines.add(GL_UNPACK_COMPRESSED_BLOCK_SIZE)
defines.add(GL_UNPACK_COMPRESSED_BLOCK_WIDTH)

# GL_ARB_compute_shader

GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER = Enumerant('GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER', 0x90ed, 'GL_ARB_compute_shader')
GL_COMPUTE_SHADER = Enumerant('GL_COMPUTE_SHADER', 0x91b9, 'GL_ARB_compute_shader')
GL_COMPUTE_SHADER_BIT = Enumerant('GL_COMPUTE_SHADER_BIT', 0x0020, 'GL_ARB_compute_shader')
GL_COMPUTE_WORK_GROUP_SIZE = Enumerant('GL_COMPUTE_WORK_GROUP_SIZE', 0x8267, 'GL_ARB_compute_shader')
GL_DISPATCH_INDIRECT_BUFFER = Enumerant('GL_DISPATCH_INDIRECT_BUFFER', 0x90ee, 'GL_ARB_compute_shader')
GL_DISPATCH_INDIRECT_BUFFER_BINDING = Enumerant('GL_DISPATCH_INDIRECT_BUFFER_BINDING', 0x90ef, 'GL_ARB_compute_shader')
GL_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS = Enumerant('GL_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS', 0x8266, 'GL_ARB_compute_shader')
GL_MAX_COMPUTE_ATOMIC_COUNTERS = Enumerant('GL_MAX_COMPUTE_ATOMIC_COUNTERS', 0x8265, 'GL_ARB_compute_shader')
GL_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS = Enumerant('GL_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS', 0x8264, 'GL_ARB_compute_shader')
GL_MAX_COMPUTE_IMAGE_UNIFORMS = Enumerant('GL_MAX_COMPUTE_IMAGE_UNIFORMS', 0x91bd, 'GL_ARB_compute_shader')
GL_MAX_COMPUTE_SHARED_MEMORY_SIZE = Enumerant('GL_MAX_COMPUTE_SHARED_MEMORY_SIZE', 0x8262, 'GL_ARB_compute_shader')
GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS = Enumerant('GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS', 0x91bc, 'GL_ARB_compute_shader')
GL_MAX_COMPUTE_UNIFORM_BLOCKS = Enumerant('GL_MAX_COMPUTE_UNIFORM_BLOCKS', 0x91bb, 'GL_ARB_compute_shader')
GL_MAX_COMPUTE_UNIFORM_COMPONENTS = Enumerant('GL_MAX_COMPUTE_UNIFORM_COMPONENTS', 0x8263, 'GL_ARB_compute_shader')
GL_MAX_COMPUTE_WORK_GROUP_COUNT = Enumerant('GL_MAX_COMPUTE_WORK_GROUP_COUNT', 0x91be, 'GL_ARB_compute_shader')
GL_MAX_COMPUTE_WORK_GROUP_INVOCATIONS = Enumerant('GL_MAX_COMPUTE_WORK_GROUP_INVOCATIONS', 0x90eb, 'GL_ARB_compute_shader')
GL_MAX_COMPUTE_WORK_GROUP_SIZE = Enumerant('GL_MAX_COMPUTE_WORK_GROUP_SIZE', 0x91bf, 'GL_ARB_compute_shader')
GL_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER = Enumerant('GL_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER', 0x90ec, 'GL_ARB_compute_shader')

defines.add(GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_COMPUTE_SHADER)
defines.add(GL_COMPUTE_SHADER)
defines.add(GL_COMPUTE_SHADER_BIT)
defines.add(GL_COMPUTE_WORK_GROUP_SIZE)
defines.add(GL_DISPATCH_INDIRECT_BUFFER)
defines.add(GL_DISPATCH_INDIRECT_BUFFER_BINDING)
defines.add(GL_MAX_COMBINED_COMPUTE_UNIFORM_COMPONENTS)
defines.add(GL_MAX_COMPUTE_ATOMIC_COUNTERS)
defines.add(GL_MAX_COMPUTE_ATOMIC_COUNTER_BUFFERS)
defines.add(GL_MAX_COMPUTE_IMAGE_UNIFORMS)
defines.add(GL_MAX_COMPUTE_SHARED_MEMORY_SIZE)
defines.add(GL_MAX_COMPUTE_TEXTURE_IMAGE_UNITS)
defines.add(GL_MAX_COMPUTE_UNIFORM_BLOCKS)
defines.add(GL_MAX_COMPUTE_UNIFORM_COMPONENTS)
defines.add(GL_MAX_COMPUTE_WORK_GROUP_COUNT)
defines.add(GL_MAX_COMPUTE_WORK_GROUP_INVOCATIONS)
defines.add(GL_MAX_COMPUTE_WORK_GROUP_SIZE)
defines.add(GL_UNIFORM_BLOCK_REFERENCED_BY_COMPUTE_SHADER)

# GL_ARB_conditional_render_inverted

GL_QUERY_BY_REGION_NO_WAIT_INVERTED = Enumerant('GL_QUERY_BY_REGION_NO_WAIT_INVERTED', 0x8e1a, 'GL_ARB_conditional_render_inverted')
GL_QUERY_BY_REGION_WAIT_INVERTED = Enumerant('GL_QUERY_BY_REGION_WAIT_INVERTED', 0x8e19, 'GL_ARB_conditional_render_inverted')
GL_QUERY_NO_WAIT_INVERTED = Enumerant('GL_QUERY_NO_WAIT_INVERTED', 0x8e18, 'GL_ARB_conditional_render_inverted')
GL_QUERY_WAIT_INVERTED = Enumerant('GL_QUERY_WAIT_INVERTED', 0x8e17, 'GL_ARB_conditional_render_inverted')

defines.add(GL_QUERY_BY_REGION_NO_WAIT_INVERTED)
defines.add(GL_QUERY_BY_REGION_WAIT_INVERTED)
defines.add(GL_QUERY_NO_WAIT_INVERTED)
defines.add(GL_QUERY_WAIT_INVERTED)

# GL_ARB_copy_buffer

GL_COPY_READ_BUFFER = Enumerant('GL_COPY_READ_BUFFER', 0x8f36, 'GL_ARB_copy_buffer')
GL_COPY_WRITE_BUFFER = Enumerant('GL_COPY_WRITE_BUFFER', 0x8f37, 'GL_ARB_copy_buffer')

defines.add(GL_COPY_READ_BUFFER)
defines.add(GL_COPY_WRITE_BUFFER)

# GL_ARB_cull_distance

GL_MAX_COMBINED_CLIP_AND_CULL_DISTANCES = Enumerant('GL_MAX_COMBINED_CLIP_AND_CULL_DISTANCES', 0x82fa, 'GL_ARB_cull_distance')
GL_MAX_CULL_DISTANCES = Enumerant('GL_MAX_CULL_DISTANCES', 0x82f9, 'GL_ARB_cull_distance')

defines.add(GL_MAX_COMBINED_CLIP_AND_CULL_DISTANCES)
defines.add(GL_MAX_CULL_DISTANCES)

# GL_ARB_depth_buffer_float

GL_DEPTH32F_STENCIL8 = Enumerant('GL_DEPTH32F_STENCIL8', 0x8cad, 'GL_ARB_depth_buffer_float')
GL_DEPTH_COMPONENT32F = Enumerant('GL_DEPTH_COMPONENT32F', 0x8cac, 'GL_ARB_depth_buffer_float')
GL_FLOAT_32_UNSIGNED_INT_24_8_REV = Enumerant('GL_FLOAT_32_UNSIGNED_INT_24_8_REV', 0x8dad, 'GL_ARB_depth_buffer_float')

defines.add(GL_DEPTH32F_STENCIL8)
defines.add(GL_DEPTH_COMPONENT32F)
defines.add(GL_FLOAT_32_UNSIGNED_INT_24_8_REV)

# GL_ARB_depth_clamp

GL_DEPTH_CLAMP = Enumerant('GL_DEPTH_CLAMP', 0x864f, 'GL_ARB_depth_clamp')
GL_DEPTH_CLAMP.enableCap = True

defines.add(GL_DEPTH_CLAMP)

# GL_ARB_direct_state_access

GL_QUERY_TARGET = Enumerant('GL_QUERY_TARGET', 0x82ea, 'GL_ARB_direct_state_access')
GL_TEXTURE_BINDING = Enumerant('GL_TEXTURE_BINDING', 0x82eb, 'GL_ARB_direct_state_access')
GL_TEXTURE_TARGET = Enumerant('GL_TEXTURE_TARGET', 0x1006, 'GL_ARB_direct_state_access')

defines.add(GL_QUERY_TARGET)
defines.add(GL_TEXTURE_BINDING)
defines.add(GL_TEXTURE_TARGET)

# GL_ARB_draw_indirect

GL_DRAW_INDIRECT_BUFFER = Enumerant('GL_DRAW_INDIRECT_BUFFER', 0x8f3f, 'GL_ARB_draw_indirect')
GL_DRAW_INDIRECT_BUFFER_BINDING = Enumerant('GL_DRAW_INDIRECT_BUFFER_BINDING', 0x8f43, 'GL_ARB_draw_indirect')

defines.add(GL_DRAW_INDIRECT_BUFFER)
defines.add(GL_DRAW_INDIRECT_BUFFER_BINDING)

# GL_ARB_enhanced_layouts

GL_LOCATION_COMPONENT = Enumerant('GL_LOCATION_COMPONENT', 0x934a, 'GL_ARB_enhanced_layouts')
GL_TRANSFORM_FEEDBACK_BUFFER_INDEX = Enumerant('GL_TRANSFORM_FEEDBACK_BUFFER_INDEX', 0x934b, 'GL_ARB_enhanced_layouts')
GL_TRANSFORM_FEEDBACK_BUFFER_STRIDE = Enumerant('GL_TRANSFORM_FEEDBACK_BUFFER_STRIDE', 0x934c, 'GL_ARB_enhanced_layouts')

defines.add(GL_LOCATION_COMPONENT)
defines.add(GL_TRANSFORM_FEEDBACK_BUFFER_INDEX)
defines.add(GL_TRANSFORM_FEEDBACK_BUFFER_STRIDE)

# GL_ARB_explicit_uniform_location

GL_MAX_UNIFORM_LOCATIONS = Enumerant('GL_MAX_UNIFORM_LOCATIONS', 0x826e, 'GL_ARB_explicit_uniform_location')

defines.add(GL_MAX_UNIFORM_LOCATIONS)


# GL_ARB_framebuffer_no_attachments

GL_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS = Enumerant('GL_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS', 0x9314, 'GL_ARB_framebuffer_no_attachments')
GL_FRAMEBUFFER_DEFAULT_HEIGHT = Enumerant('GL_FRAMEBUFFER_DEFAULT_HEIGHT', 0x9311, 'GL_ARB_framebuffer_no_attachments')
GL_FRAMEBUFFER_DEFAULT_LAYERS = Enumerant('GL_FRAMEBUFFER_DEFAULT_LAYERS', 0x9312, 'GL_ARB_framebuffer_no_attachments')
GL_FRAMEBUFFER_DEFAULT_SAMPLES = Enumerant('GL_FRAMEBUFFER_DEFAULT_SAMPLES', 0x9313, 'GL_ARB_framebuffer_no_attachments')
GL_FRAMEBUFFER_DEFAULT_WIDTH = Enumerant('GL_FRAMEBUFFER_DEFAULT_WIDTH', 0x9310, 'GL_ARB_framebuffer_no_attachments')
GL_MAX_FRAMEBUFFER_HEIGHT = Enumerant('GL_MAX_FRAMEBUFFER_HEIGHT', 0x9316, 'GL_ARB_framebuffer_no_attachments')
GL_MAX_FRAMEBUFFER_LAYERS = Enumerant('GL_MAX_FRAMEBUFFER_LAYERS', 0x9317, 'GL_ARB_framebuffer_no_attachments')
GL_MAX_FRAMEBUFFER_SAMPLES = Enumerant('GL_MAX_FRAMEBUFFER_SAMPLES', 0x9318, 'GL_ARB_framebuffer_no_attachments')
GL_MAX_FRAMEBUFFER_WIDTH = Enumerant('GL_MAX_FRAMEBUFFER_WIDTH', 0x9315, 'GL_ARB_framebuffer_no_attachments')

defines.add(GL_FRAMEBUFFER_DEFAULT_FIXED_SAMPLE_LOCATIONS)
defines.add(GL_FRAMEBUFFER_DEFAULT_HEIGHT)
defines.add(GL_FRAMEBUFFER_DEFAULT_LAYERS)
defines.add(GL_FRAMEBUFFER_DEFAULT_SAMPLES)
defines.add(GL_FRAMEBUFFER_DEFAULT_WIDTH)
defines.add(GL_MAX_FRAMEBUFFER_HEIGHT)
defines.add(GL_MAX_FRAMEBUFFER_LAYERS)
defines.add(GL_MAX_FRAMEBUFFER_SAMPLES)
defines.add(GL_MAX_FRAMEBUFFER_WIDTH)

# GL_ARB_framebuffer_object

GL_COLOR_ATTACHMENT0 = Enumerant('GL_COLOR_ATTACHMENT0', 0x8ce0, 'GL_ARB_framebuffer_object')
GL_COLOR_ATTACHMENT0.esVersions = [2.0]
GL_COLOR_ATTACHMENT1 = Enumerant('GL_COLOR_ATTACHMENT1', 0x8ce1, 'GL_ARB_framebuffer_object')
GL_COLOR_ATTACHMENT10 = Enumerant('GL_COLOR_ATTACHMENT10', 0x8cea, 'GL_ARB_framebuffer_object')
GL_COLOR_ATTACHMENT11 = Enumerant('GL_COLOR_ATTACHMENT11', 0x8ceb, 'GL_ARB_framebuffer_object')
GL_COLOR_ATTACHMENT12 = Enumerant('GL_COLOR_ATTACHMENT12', 0x8cec, 'GL_ARB_framebuffer_object')
GL_COLOR_ATTACHMENT13 = Enumerant('GL_COLOR_ATTACHMENT13', 0x8ced, 'GL_ARB_framebuffer_object')
GL_COLOR_ATTACHMENT14 = Enumerant('GL_COLOR_ATTACHMENT14', 0x8cee, 'GL_ARB_framebuffer_object')
GL_COLOR_ATTACHMENT15 = Enumerant('GL_COLOR_ATTACHMENT15', 0x8cef, 'GL_ARB_framebuffer_object')
GL_COLOR_ATTACHMENT2 = Enumerant('GL_COLOR_ATTACHMENT2', 0x8ce2, 'GL_ARB_framebuffer_object')
GL_COLOR_ATTACHMENT3 = Enumerant('GL_COLOR_ATTACHMENT3', 0x8ce3, 'GL_ARB_framebuffer_object')
GL_COLOR_ATTACHMENT4 = Enumerant('GL_COLOR_ATTACHMENT4', 0x8ce4, 'GL_ARB_framebuffer_object')
GL_COLOR_ATTACHMENT5 = Enumerant('GL_COLOR_ATTACHMENT5', 0x8ce5, 'GL_ARB_framebuffer_object')
GL_COLOR_ATTACHMENT6 = Enumerant('GL_COLOR_ATTACHMENT6', 0x8ce6, 'GL_ARB_framebuffer_object')
GL_COLOR_ATTACHMENT7 = Enumerant('GL_COLOR_ATTACHMENT7', 0x8ce7, 'GL_ARB_framebuffer_object')
GL_COLOR_ATTACHMENT8 = Enumerant('GL_COLOR_ATTACHMENT8', 0x8ce8, 'GL_ARB_framebuffer_object')
GL_COLOR_ATTACHMENT9 = Enumerant('GL_COLOR_ATTACHMENT9', 0x8ce9, 'GL_ARB_framebuffer_object')
GL_DEPTH24_STENCIL8 = Enumerant('GL_DEPTH24_STENCIL8', 0x88f0, 'GL_ARB_framebuffer_object')
GL_DEPTH_ATTACHMENT = Enumerant('GL_DEPTH_ATTACHMENT', 0x8d00, 'GL_ARB_framebuffer_object')
GL_DEPTH_ATTACHMENT.esVersions = [2.0]
GL_DEPTH_STENCIL = Enumerant('GL_DEPTH_STENCIL', 0x84f9, 'GL_ARB_framebuffer_object')
GL_DEPTH_STENCIL_ATTACHMENT = Enumerant('GL_DEPTH_STENCIL_ATTACHMENT', 0x821a, 'GL_ARB_framebuffer_object')
GL_DRAW_FRAMEBUFFER = Enumerant('GL_DRAW_FRAMEBUFFER', 0x8ca9, 'GL_ARB_framebuffer_object')
GL_DRAW_FRAMEBUFFER_BINDING = Enumerant('GL_DRAW_FRAMEBUFFER_BINDING', 0x8ca6, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER = Enumerant('GL_FRAMEBUFFER', 0x8d40, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER.esVersions = [2.0]
GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE', 0x8215, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE', 0x8214, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING', 0x8210, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE', 0x8211, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE', 0x8216, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE', 0x8213, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME', 0x8cd1, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME.esVersions = [2.0]
GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE', 0x8cd0, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE.esVersions = [2.0]
GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE', 0x8212, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE', 0x8217, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE', 0x8cd3, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE.esVersions = [2.0]
GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER', 0x8cd4, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL', 0x8cd2, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL.esVersions = [2.0]
GL_FRAMEBUFFER_BINDING = Enumerant('GL_FRAMEBUFFER_BINDING', 0x8ca6, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_BINDING.esVersions = [2.0]
GL_FRAMEBUFFER_COMPLETE = Enumerant('GL_FRAMEBUFFER_COMPLETE', 0x8cd5, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_COMPLETE.esVersions = [2.0]
GL_FRAMEBUFFER_DEFAULT = Enumerant('GL_FRAMEBUFFER_DEFAULT', 0x8218, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT = Enumerant('GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT', 0x8cd6, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT.esVersions = [2.0]
GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER = Enumerant('GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER', 0x8cdb, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT = Enumerant('GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT', 0x8cd7, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT.esVersions = [2.0]
GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE = Enumerant('GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE', 0x8d56, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER = Enumerant('GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER', 0x8cdc, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_UNDEFINED = Enumerant('GL_FRAMEBUFFER_UNDEFINED', 0x8219, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_UNSUPPORTED = Enumerant('GL_FRAMEBUFFER_UNSUPPORTED', 0x8cdd, 'GL_ARB_framebuffer_object')
GL_FRAMEBUFFER_UNSUPPORTED.esVersions = [2.0]
GL_INDEX = Enumerant('GL_INDEX', 0x8222, 'GL_ARB_framebuffer_object')
GL_INVALID_FRAMEBUFFER_OPERATION = Enumerant('GL_INVALID_FRAMEBUFFER_OPERATION', 0x0506, 'GL_ARB_framebuffer_object')
GL_INVALID_FRAMEBUFFER_OPERATION.esVersions = [2.0]
GL_MAX_COLOR_ATTACHMENTS = Enumerant('GL_MAX_COLOR_ATTACHMENTS', 0x8cdf, 'GL_ARB_framebuffer_object')
GL_MAX_RENDERBUFFER_SIZE = Enumerant('GL_MAX_RENDERBUFFER_SIZE', 0x84e8, 'GL_ARB_framebuffer_object')
GL_MAX_RENDERBUFFER_SIZE.esVersions = [2.0]
GL_MAX_SAMPLES = Enumerant('GL_MAX_SAMPLES', 0x8d57, 'GL_ARB_framebuffer_object')
GL_READ_FRAMEBUFFER = Enumerant('GL_READ_FRAMEBUFFER', 0x8ca8, 'GL_ARB_framebuffer_object')
GL_READ_FRAMEBUFFER_BINDING = Enumerant('GL_READ_FRAMEBUFFER_BINDING', 0x8caa, 'GL_ARB_framebuffer_object')
GL_RENDERBUFFER = Enumerant('GL_RENDERBUFFER', 0x8d41, 'GL_ARB_framebuffer_object')
GL_RENDERBUFFER.esVersions = [2.0]
GL_RENDERBUFFER_ALPHA_SIZE = Enumerant('GL_RENDERBUFFER_ALPHA_SIZE', 0x8d53, 'GL_ARB_framebuffer_object')
GL_RENDERBUFFER_ALPHA_SIZE.esVersions = [2.0]
GL_RENDERBUFFER_BINDING = Enumerant('GL_RENDERBUFFER_BINDING', 0x8ca7, 'GL_ARB_framebuffer_object')
GL_RENDERBUFFER_BINDING.esVersions = [2.0]
GL_RENDERBUFFER_BLUE_SIZE = Enumerant('GL_RENDERBUFFER_BLUE_SIZE', 0x8d52, 'GL_ARB_framebuffer_object')
GL_RENDERBUFFER_BLUE_SIZE.esVersions = [2.0]
GL_RENDERBUFFER_DEPTH_SIZE = Enumerant('GL_RENDERBUFFER_DEPTH_SIZE', 0x8d54, 'GL_ARB_framebuffer_object')
GL_RENDERBUFFER_DEPTH_SIZE.esVersions = [2.0]
GL_RENDERBUFFER_GREEN_SIZE = Enumerant('GL_RENDERBUFFER_GREEN_SIZE', 0x8d51, 'GL_ARB_framebuffer_object')
GL_RENDERBUFFER_GREEN_SIZE.esVersions = [2.0]
GL_RENDERBUFFER_HEIGHT = Enumerant('GL_RENDERBUFFER_HEIGHT', 0x8d43, 'GL_ARB_framebuffer_object')
GL_RENDERBUFFER_HEIGHT.esVersions = [2.0]
GL_RENDERBUFFER_INTERNAL_FORMAT = Enumerant('GL_RENDERBUFFER_INTERNAL_FORMAT', 0x8d44, 'GL_ARB_framebuffer_object')
GL_RENDERBUFFER_INTERNAL_FORMAT.esVersions = [2.0]
GL_RENDERBUFFER_RED_SIZE = Enumerant('GL_RENDERBUFFER_RED_SIZE', 0x8d50, 'GL_ARB_framebuffer_object')
GL_RENDERBUFFER_RED_SIZE.esVersions = [2.0]
GL_RENDERBUFFER_SAMPLES = Enumerant('GL_RENDERBUFFER_SAMPLES', 0x8cab, 'GL_ARB_framebuffer_object')
GL_RENDERBUFFER_STENCIL_SIZE = Enumerant('GL_RENDERBUFFER_STENCIL_SIZE', 0x8d55, 'GL_ARB_framebuffer_object')
GL_RENDERBUFFER_STENCIL_SIZE.esVersions = [2.0]
GL_RENDERBUFFER_WIDTH = Enumerant('GL_RENDERBUFFER_WIDTH', 0x8d42, 'GL_ARB_framebuffer_object')
GL_RENDERBUFFER_WIDTH.esVersions = [2.0]
GL_STENCIL_ATTACHMENT = Enumerant('GL_STENCIL_ATTACHMENT', 0x8d20, 'GL_ARB_framebuffer_object')
GL_STENCIL_ATTACHMENT.esVersions = [2.0]
GL_STENCIL_INDEX1 = Enumerant('GL_STENCIL_INDEX1', 0x8d46, 'GL_ARB_framebuffer_object')
GL_STENCIL_INDEX16 = Enumerant('GL_STENCIL_INDEX16', 0x8d49, 'GL_ARB_framebuffer_object')
GL_STENCIL_INDEX4 = Enumerant('GL_STENCIL_INDEX4', 0x8d47, 'GL_ARB_framebuffer_object')
GL_STENCIL_INDEX8 = Enumerant('GL_STENCIL_INDEX8', 0x8d48, 'GL_ARB_framebuffer_object')
GL_STENCIL_INDEX8.esVersions = [2.0]
GL_TEXTURE_STENCIL_SIZE = Enumerant('GL_TEXTURE_STENCIL_SIZE', 0x88f1, 'GL_ARB_framebuffer_object')
GL_UNSIGNED_INT_24_8 = Enumerant('GL_UNSIGNED_INT_24_8', 0x84fa, 'GL_ARB_framebuffer_object')
GL_UNSIGNED_NORMALIZED = Enumerant('GL_UNSIGNED_NORMALIZED', 0x8c17, 'GL_ARB_framebuffer_object')

defines.add(GL_COLOR_ATTACHMENT0)
defines.add(GL_COLOR_ATTACHMENT1)
defines.add(GL_COLOR_ATTACHMENT10)
defines.add(GL_COLOR_ATTACHMENT11)
defines.add(GL_COLOR_ATTACHMENT12)
defines.add(GL_COLOR_ATTACHMENT13)
defines.add(GL_COLOR_ATTACHMENT14)
defines.add(GL_COLOR_ATTACHMENT15)
defines.add(GL_COLOR_ATTACHMENT2)
defines.add(GL_COLOR_ATTACHMENT3)
defines.add(GL_COLOR_ATTACHMENT4)
defines.add(GL_COLOR_ATTACHMENT5)
defines.add(GL_COLOR_ATTACHMENT6)
defines.add(GL_COLOR_ATTACHMENT7)
defines.add(GL_COLOR_ATTACHMENT8)
defines.add(GL_COLOR_ATTACHMENT9)
defines.add(GL_DEPTH24_STENCIL8)
defines.add(GL_DEPTH_ATTACHMENT)
defines.add(GL_DEPTH_STENCIL)
defines.add(GL_DEPTH_STENCIL_ATTACHMENT)
defines.add(GL_DRAW_FRAMEBUFFER)
defines.add(GL_DRAW_FRAMEBUFFER_BINDING)
defines.add(GL_FRAMEBUFFER)
defines.add(GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE)
defines.add(GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE)
defines.add(GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING)
defines.add(GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE)
defines.add(GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE)
defines.add(GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE)
defines.add(GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME)
defines.add(GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE)
defines.add(GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE)
defines.add(GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE)
defines.add(GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE)
defines.add(GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER)
defines.add(GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL)
defines.add(GL_FRAMEBUFFER_BINDING)
defines.add(GL_FRAMEBUFFER_COMPLETE)
defines.add(GL_FRAMEBUFFER_DEFAULT)
defines.add(GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT)
defines.add(GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER)
defines.add(GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT)
defines.add(GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE)
defines.add(GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER)
defines.add(GL_FRAMEBUFFER_UNDEFINED)
defines.add(GL_FRAMEBUFFER_UNSUPPORTED)
defines.add(GL_INDEX)
defines.add(GL_INVALID_FRAMEBUFFER_OPERATION)
defines.add(GL_MAX_COLOR_ATTACHMENTS)
defines.add(GL_MAX_RENDERBUFFER_SIZE)
defines.add(GL_MAX_SAMPLES)
defines.add(GL_READ_FRAMEBUFFER)
defines.add(GL_READ_FRAMEBUFFER_BINDING)
defines.add(GL_RENDERBUFFER)
defines.add(GL_RENDERBUFFER_ALPHA_SIZE)
defines.add(GL_RENDERBUFFER_BINDING)
defines.add(GL_RENDERBUFFER_BLUE_SIZE)
defines.add(GL_RENDERBUFFER_DEPTH_SIZE)
defines.add(GL_RENDERBUFFER_GREEN_SIZE)
defines.add(GL_RENDERBUFFER_HEIGHT)
defines.add(GL_RENDERBUFFER_INTERNAL_FORMAT)
defines.add(GL_RENDERBUFFER_RED_SIZE)
defines.add(GL_RENDERBUFFER_SAMPLES)
defines.add(GL_RENDERBUFFER_STENCIL_SIZE)
defines.add(GL_RENDERBUFFER_WIDTH)
defines.add(GL_STENCIL_ATTACHMENT)
defines.add(GL_STENCIL_INDEX1)
defines.add(GL_STENCIL_INDEX16)
defines.add(GL_STENCIL_INDEX4)
defines.add(GL_STENCIL_INDEX8)
defines.add(GL_TEXTURE_STENCIL_SIZE)
defines.add(GL_UNSIGNED_INT_24_8)
defines.add(GL_UNSIGNED_NORMALIZED)

# GL_ARB_framebuffer_sRGB

GL_FRAMEBUFFER_SRGB = Enumerant('GL_FRAMEBUFFER_SRGB', 0x8db9, 'GL_ARB_framebuffer_sRGB')
GL_FRAMEBUFFER_SRGB.esVersions = [2.0]
GL_FRAMEBUFFER_SRGB.enableCap = True

defines.add(GL_FRAMEBUFFER_SRGB)

# GL_ARB_get_program_binary

GL_NUM_PROGRAM_BINARY_FORMATS = Enumerant('GL_NUM_PROGRAM_BINARY_FORMATS', 0x87fe, 'GL_ARB_get_program_binary')
GL_PROGRAM_BINARY_FORMATS = Enumerant('GL_PROGRAM_BINARY_FORMATS', 0x87ff, 'GL_ARB_get_program_binary')
GL_PROGRAM_BINARY_LENGTH = Enumerant('GL_PROGRAM_BINARY_LENGTH', 0x8741, 'GL_ARB_get_program_binary')
GL_PROGRAM_BINARY_RETRIEVABLE_HINT = Enumerant('GL_PROGRAM_BINARY_RETRIEVABLE_HINT', 0x8257, 'GL_ARB_get_program_binary')

defines.add(GL_NUM_PROGRAM_BINARY_FORMATS)
defines.add(GL_PROGRAM_BINARY_FORMATS)
defines.add(GL_PROGRAM_BINARY_LENGTH)
defines.add(GL_PROGRAM_BINARY_RETRIEVABLE_HINT)

# GL_ARB_gpu_shader5

GL_FRAGMENT_INTERPOLATION_OFFSET_BITS = Enumerant('GL_FRAGMENT_INTERPOLATION_OFFSET_BITS', 0x8e5d, 'GL_ARB_gpu_shader5')
GL_GEOMETRY_SHADER_INVOCATIONS = Enumerant('GL_GEOMETRY_SHADER_INVOCATIONS', 0x887f, 'GL_ARB_gpu_shader5')
GL_MAX_FRAGMENT_INTERPOLATION_OFFSET = Enumerant('GL_MAX_FRAGMENT_INTERPOLATION_OFFSET', 0x8e5c, 'GL_ARB_gpu_shader5')
GL_MAX_GEOMETRY_SHADER_INVOCATIONS = Enumerant('GL_MAX_GEOMETRY_SHADER_INVOCATIONS', 0x8e5a, 'GL_ARB_gpu_shader5')
GL_MAX_VERTEX_STREAMS = Enumerant('GL_MAX_VERTEX_STREAMS', 0x8e71, 'GL_ARB_gpu_shader5')
GL_MIN_FRAGMENT_INTERPOLATION_OFFSET = Enumerant('GL_MIN_FRAGMENT_INTERPOLATION_OFFSET', 0x8e5b, 'GL_ARB_gpu_shader5')

defines.add(GL_FRAGMENT_INTERPOLATION_OFFSET_BITS)
defines.add(GL_GEOMETRY_SHADER_INVOCATIONS)
defines.add(GL_MAX_FRAGMENT_INTERPOLATION_OFFSET)
defines.add(GL_MAX_GEOMETRY_SHADER_INVOCATIONS)
defines.add(GL_MAX_VERTEX_STREAMS)
defines.add(GL_MIN_FRAGMENT_INTERPOLATION_OFFSET)

# GL_ARB_gpu_shader_fp64

GL_DOUBLE_MAT2 = Enumerant('GL_DOUBLE_MAT2', 0x8f46, 'GL_ARB_gpu_shader_fp64')
GL_DOUBLE_MAT2x3 = Enumerant('GL_DOUBLE_MAT2x3', 0x8f49, 'GL_ARB_gpu_shader_fp64')
GL_DOUBLE_MAT2x4 = Enumerant('GL_DOUBLE_MAT2x4', 0x8f4a, 'GL_ARB_gpu_shader_fp64')
GL_DOUBLE_MAT3 = Enumerant('GL_DOUBLE_MAT3', 0x8f47, 'GL_ARB_gpu_shader_fp64')
GL_DOUBLE_MAT3x2 = Enumerant('GL_DOUBLE_MAT3x2', 0x8f4b, 'GL_ARB_gpu_shader_fp64')
GL_DOUBLE_MAT3x4 = Enumerant('GL_DOUBLE_MAT3x4', 0x8f4c, 'GL_ARB_gpu_shader_fp64')
GL_DOUBLE_MAT4 = Enumerant('GL_DOUBLE_MAT4', 0x8f48, 'GL_ARB_gpu_shader_fp64')
GL_DOUBLE_MAT4x2 = Enumerant('GL_DOUBLE_MAT4x2', 0x8f4d, 'GL_ARB_gpu_shader_fp64')
GL_DOUBLE_MAT4x3 = Enumerant('GL_DOUBLE_MAT4x3', 0x8f4e, 'GL_ARB_gpu_shader_fp64')
GL_DOUBLE_VEC2 = Enumerant('GL_DOUBLE_VEC2', 0x8ffc, 'GL_ARB_gpu_shader_fp64')
GL_DOUBLE_VEC3 = Enumerant('GL_DOUBLE_VEC3', 0x8ffd, 'GL_ARB_gpu_shader_fp64')
GL_DOUBLE_VEC4 = Enumerant('GL_DOUBLE_VEC4', 0x8ffe, 'GL_ARB_gpu_shader_fp64')

defines.add(GL_DOUBLE_MAT2)
defines.add(GL_DOUBLE_MAT2x3)
defines.add(GL_DOUBLE_MAT2x4)
defines.add(GL_DOUBLE_MAT3)
defines.add(GL_DOUBLE_MAT3x2)
defines.add(GL_DOUBLE_MAT3x4)
defines.add(GL_DOUBLE_MAT4)
defines.add(GL_DOUBLE_MAT4x2)
defines.add(GL_DOUBLE_MAT4x3)
defines.add(GL_DOUBLE_VEC2)
defines.add(GL_DOUBLE_VEC3)
defines.add(GL_DOUBLE_VEC4)

# GL_ARB_half_float_vertex

GL_HALF_FLOAT = Enumerant('GL_HALF_FLOAT', 0x140b, 'GL_ARB_half_float_vertex')

defines.add(GL_HALF_FLOAT)

# GL_ARB_imaging

GL_BLEND_COLOR = Enumerant('GL_BLEND_COLOR', 0x8005, 'GL_ARB_imaging')
GL_BLEND_COLOR.esVersions = [2.0]
GL_BLEND_EQUATION = Enumerant('GL_BLEND_EQUATION', 0x8009, 'GL_ARB_imaging')
GL_BLEND_EQUATION.esVersions = [2.0]
GL_CONSTANT_ALPHA = Enumerant('GL_CONSTANT_ALPHA', 0x8003, 'GL_ARB_imaging')
GL_CONSTANT_ALPHA.esVersions = [2.0]
GL_CONSTANT_COLOR = Enumerant('GL_CONSTANT_COLOR', 0x8001, 'GL_ARB_imaging')
GL_CONSTANT_COLOR.esVersions = [2.0]
GL_FUNC_ADD = Enumerant('GL_FUNC_ADD', 0x8006, 'GL_ARB_imaging')
GL_FUNC_ADD.esVersions = [2.0]
GL_FUNC_REVERSE_SUBTRACT = Enumerant('GL_FUNC_REVERSE_SUBTRACT', 0x800b, 'GL_ARB_imaging')
GL_FUNC_REVERSE_SUBTRACT.esVersions = [2.0]
GL_FUNC_SUBTRACT = Enumerant('GL_FUNC_SUBTRACT', 0x800a, 'GL_ARB_imaging')
GL_FUNC_SUBTRACT.esVersions = [2.0]
GL_IGNORE_BORDER = Enumerant('GL_IGNORE_BORDER', 0x8150, 'GL_ARB_imaging')
GL_MAX = Enumerant('GL_MAX', 0x8008, 'GL_ARB_imaging')
GL_MIN = Enumerant('GL_MIN', 0x8007, 'GL_ARB_imaging')
GL_ONE_MINUS_CONSTANT_ALPHA = Enumerant('GL_ONE_MINUS_CONSTANT_ALPHA', 0x8004, 'GL_ARB_imaging')
GL_ONE_MINUS_CONSTANT_ALPHA.esVersions = [2.0]
GL_ONE_MINUS_CONSTANT_COLOR = Enumerant('GL_ONE_MINUS_CONSTANT_COLOR', 0x8002, 'GL_ARB_imaging')
GL_ONE_MINUS_CONSTANT_COLOR.esVersions = [2.0]
GL_TABLE_TOO_LARGE = Enumerant('GL_TABLE_TOO_LARGE', 0x8031, 'GL_ARB_imaging')
GL_TABLE_TOO_LARGE.gluErrorString = 'table too large'
GL_WRAP_BORDER = Enumerant('GL_WRAP_BORDER', 0x8152, 'GL_ARB_imaging')

defines.add(GL_BLEND_COLOR)
defines.add(GL_BLEND_EQUATION)
defines.add(GL_CONSTANT_ALPHA)
defines.add(GL_CONSTANT_COLOR)
defines.add(GL_FUNC_ADD)
defines.add(GL_FUNC_REVERSE_SUBTRACT)
defines.add(GL_FUNC_SUBTRACT)
defines.add(GL_IGNORE_BORDER)
defines.add(GL_MAX)
defines.add(GL_MIN)
defines.add(GL_ONE_MINUS_CONSTANT_ALPHA)
defines.add(GL_ONE_MINUS_CONSTANT_COLOR)
defines.add(GL_TABLE_TOO_LARGE)
defines.add(GL_WRAP_BORDER)

# GL_ARB_internalformat_query

GL_NUM_SAMPLE_COUNTS = Enumerant('GL_NUM_SAMPLE_COUNTS', 0x9380, 'GL_ARB_internalformat_query')

defines.add(GL_NUM_SAMPLE_COUNTS)

# GL_ARB_internalformat_query2

GL_AUTO_GENERATE_MIPMAP = Enumerant('GL_AUTO_GENERATE_MIPMAP', 0x8295, 'GL_ARB_internalformat_query2')
GL_CAVEAT_SUPPORT = Enumerant('GL_CAVEAT_SUPPORT', 0x82b8, 'GL_ARB_internalformat_query2')
GL_CLEAR_BUFFER = Enumerant('GL_CLEAR_BUFFER', 0x82b4, 'GL_ARB_internalformat_query2')
GL_COLOR_COMPONENTS = Enumerant('GL_COLOR_COMPONENTS', 0x8283, 'GL_ARB_internalformat_query2')
GL_COLOR_ENCODING = Enumerant('GL_COLOR_ENCODING', 0x8296, 'GL_ARB_internalformat_query2')
GL_COLOR_RENDERABLE = Enumerant('GL_COLOR_RENDERABLE', 0x8286, 'GL_ARB_internalformat_query2')
GL_COMPUTE_TEXTURE = Enumerant('GL_COMPUTE_TEXTURE', 0x82a0, 'GL_ARB_internalformat_query2')
GL_DEPTH_COMPONENTS = Enumerant('GL_DEPTH_COMPONENTS', 0x8284, 'GL_ARB_internalformat_query2')
GL_DEPTH_RENDERABLE = Enumerant('GL_DEPTH_RENDERABLE', 0x8287, 'GL_ARB_internalformat_query2')
GL_FILTER = Enumerant('GL_FILTER', 0x829a, 'GL_ARB_internalformat_query2')
GL_FRAGMENT_TEXTURE = Enumerant('GL_FRAGMENT_TEXTURE', 0x829f, 'GL_ARB_internalformat_query2')
GL_FRAMEBUFFER_BLEND = Enumerant('GL_FRAMEBUFFER_BLEND', 0x828b, 'GL_ARB_internalformat_query2')
GL_FRAMEBUFFER_RENDERABLE = Enumerant('GL_FRAMEBUFFER_RENDERABLE', 0x8289, 'GL_ARB_internalformat_query2')
GL_FRAMEBUFFER_RENDERABLE_LAYERED = Enumerant('GL_FRAMEBUFFER_RENDERABLE_LAYERED', 0x828a, 'GL_ARB_internalformat_query2')
GL_FULL_SUPPORT = Enumerant('GL_FULL_SUPPORT', 0x82b7, 'GL_ARB_internalformat_query2')
GL_GEOMETRY_TEXTURE = Enumerant('GL_GEOMETRY_TEXTURE', 0x829e, 'GL_ARB_internalformat_query2')
GL_GET_TEXTURE_IMAGE_FORMAT = Enumerant('GL_GET_TEXTURE_IMAGE_FORMAT', 0x8291, 'GL_ARB_internalformat_query2')
GL_GET_TEXTURE_IMAGE_TYPE = Enumerant('GL_GET_TEXTURE_IMAGE_TYPE', 0x8292, 'GL_ARB_internalformat_query2')
GL_IMAGE_CLASS_10_10_10_2 = Enumerant('GL_IMAGE_CLASS_10_10_10_2', 0x82c3, 'GL_ARB_internalformat_query2')
GL_IMAGE_CLASS_11_11_10 = Enumerant('GL_IMAGE_CLASS_11_11_10', 0x82c2, 'GL_ARB_internalformat_query2')
GL_IMAGE_CLASS_1_X_16 = Enumerant('GL_IMAGE_CLASS_1_X_16', 0x82be, 'GL_ARB_internalformat_query2')
GL_IMAGE_CLASS_1_X_32 = Enumerant('GL_IMAGE_CLASS_1_X_32', 0x82bb, 'GL_ARB_internalformat_query2')
GL_IMAGE_CLASS_1_X_8 = Enumerant('GL_IMAGE_CLASS_1_X_8', 0x82c1, 'GL_ARB_internalformat_query2')
GL_IMAGE_CLASS_2_X_16 = Enumerant('GL_IMAGE_CLASS_2_X_16', 0x82bd, 'GL_ARB_internalformat_query2')
GL_IMAGE_CLASS_2_X_32 = Enumerant('GL_IMAGE_CLASS_2_X_32', 0x82ba, 'GL_ARB_internalformat_query2')
GL_IMAGE_CLASS_2_X_8 = Enumerant('GL_IMAGE_CLASS_2_X_8', 0x82c0, 'GL_ARB_internalformat_query2')
GL_IMAGE_CLASS_4_X_16 = Enumerant('GL_IMAGE_CLASS_4_X_16', 0x82bc, 'GL_ARB_internalformat_query2')
GL_IMAGE_CLASS_4_X_32 = Enumerant('GL_IMAGE_CLASS_4_X_32', 0x82b9, 'GL_ARB_internalformat_query2')
GL_IMAGE_CLASS_4_X_8 = Enumerant('GL_IMAGE_CLASS_4_X_8', 0x82bf, 'GL_ARB_internalformat_query2')
GL_IMAGE_COMPATIBILITY_CLASS = Enumerant('GL_IMAGE_COMPATIBILITY_CLASS', 0x82a8, 'GL_ARB_internalformat_query2')
GL_IMAGE_PIXEL_FORMAT = Enumerant('GL_IMAGE_PIXEL_FORMAT', 0x82a9, 'GL_ARB_internalformat_query2')
GL_IMAGE_PIXEL_TYPE = Enumerant('GL_IMAGE_PIXEL_TYPE', 0x82aa, 'GL_ARB_internalformat_query2')
GL_IMAGE_TEXEL_SIZE = Enumerant('GL_IMAGE_TEXEL_SIZE', 0x82a7, 'GL_ARB_internalformat_query2')
GL_INTERNALFORMAT_ALPHA_SIZE = Enumerant('GL_INTERNALFORMAT_ALPHA_SIZE', 0x8274, 'GL_ARB_internalformat_query2')
GL_INTERNALFORMAT_ALPHA_TYPE = Enumerant('GL_INTERNALFORMAT_ALPHA_TYPE', 0x827b, 'GL_ARB_internalformat_query2')
GL_INTERNALFORMAT_BLUE_SIZE = Enumerant('GL_INTERNALFORMAT_BLUE_SIZE', 0x8273, 'GL_ARB_internalformat_query2')
GL_INTERNALFORMAT_BLUE_TYPE = Enumerant('GL_INTERNALFORMAT_BLUE_TYPE', 0x827a, 'GL_ARB_internalformat_query2')
GL_INTERNALFORMAT_DEPTH_SIZE = Enumerant('GL_INTERNALFORMAT_DEPTH_SIZE', 0x8275, 'GL_ARB_internalformat_query2')
GL_INTERNALFORMAT_DEPTH_TYPE = Enumerant('GL_INTERNALFORMAT_DEPTH_TYPE', 0x827c, 'GL_ARB_internalformat_query2')
GL_INTERNALFORMAT_GREEN_SIZE = Enumerant('GL_INTERNALFORMAT_GREEN_SIZE', 0x8272, 'GL_ARB_internalformat_query2')
GL_INTERNALFORMAT_GREEN_TYPE = Enumerant('GL_INTERNALFORMAT_GREEN_TYPE', 0x8279, 'GL_ARB_internalformat_query2')
GL_INTERNALFORMAT_PREFERRED = Enumerant('GL_INTERNALFORMAT_PREFERRED', 0x8270, 'GL_ARB_internalformat_query2')
GL_INTERNALFORMAT_RED_SIZE = Enumerant('GL_INTERNALFORMAT_RED_SIZE', 0x8271, 'GL_ARB_internalformat_query2')
GL_INTERNALFORMAT_RED_TYPE = Enumerant('GL_INTERNALFORMAT_RED_TYPE', 0x8278, 'GL_ARB_internalformat_query2')
GL_INTERNALFORMAT_SHARED_SIZE = Enumerant('GL_INTERNALFORMAT_SHARED_SIZE', 0x8277, 'GL_ARB_internalformat_query2')
GL_INTERNALFORMAT_STENCIL_SIZE = Enumerant('GL_INTERNALFORMAT_STENCIL_SIZE', 0x8276, 'GL_ARB_internalformat_query2')
GL_INTERNALFORMAT_STENCIL_TYPE = Enumerant('GL_INTERNALFORMAT_STENCIL_TYPE', 0x827d, 'GL_ARB_internalformat_query2')
GL_INTERNALFORMAT_SUPPORTED = Enumerant('GL_INTERNALFORMAT_SUPPORTED', 0x826f, 'GL_ARB_internalformat_query2')
GL_MANUAL_GENERATE_MIPMAP = Enumerant('GL_MANUAL_GENERATE_MIPMAP', 0x8294, 'GL_ARB_internalformat_query2')
GL_MAX_COMBINED_DIMENSIONS = Enumerant('GL_MAX_COMBINED_DIMENSIONS', 0x8282, 'GL_ARB_internalformat_query2')
GL_MAX_DEPTH = Enumerant('GL_MAX_DEPTH', 0x8280, 'GL_ARB_internalformat_query2')
GL_MAX_HEIGHT = Enumerant('GL_MAX_HEIGHT', 0x827f, 'GL_ARB_internalformat_query2')
GL_MAX_LAYERS = Enumerant('GL_MAX_LAYERS', 0x8281, 'GL_ARB_internalformat_query2')
GL_MAX_WIDTH = Enumerant('GL_MAX_WIDTH', 0x827e, 'GL_ARB_internalformat_query2')
GL_MIPMAP = Enumerant('GL_MIPMAP', 0x8293, 'GL_ARB_internalformat_query2')
GL_READ_PIXELS = Enumerant('GL_READ_PIXELS', 0x828c, 'GL_ARB_internalformat_query2')
GL_READ_PIXELS_FORMAT = Enumerant('GL_READ_PIXELS_FORMAT', 0x828d, 'GL_ARB_internalformat_query2')
GL_READ_PIXELS_TYPE = Enumerant('GL_READ_PIXELS_TYPE', 0x828e, 'GL_ARB_internalformat_query2')
GL_SHADER_IMAGE_ATOMIC = Enumerant('GL_SHADER_IMAGE_ATOMIC', 0x82a6, 'GL_ARB_internalformat_query2')
GL_SHADER_IMAGE_LOAD = Enumerant('GL_SHADER_IMAGE_LOAD', 0x82a4, 'GL_ARB_internalformat_query2')
GL_SHADER_IMAGE_STORE = Enumerant('GL_SHADER_IMAGE_STORE', 0x82a5, 'GL_ARB_internalformat_query2')
GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_TEST = Enumerant('GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_TEST', 0x82ac, 'GL_ARB_internalformat_query2')
GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_WRITE = Enumerant('GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_WRITE', 0x82ae, 'GL_ARB_internalformat_query2')
GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_TEST = Enumerant('GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_TEST', 0x82ad, 'GL_ARB_internalformat_query2')
GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_WRITE = Enumerant('GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_WRITE', 0x82af, 'GL_ARB_internalformat_query2')
GL_SRGB_READ = Enumerant('GL_SRGB_READ', 0x8297, 'GL_ARB_internalformat_query2')
GL_SRGB_WRITE = Enumerant('GL_SRGB_WRITE', 0x8298, 'GL_ARB_internalformat_query2')
GL_STENCIL_COMPONENTS = Enumerant('GL_STENCIL_COMPONENTS', 0x8285, 'GL_ARB_internalformat_query2')
GL_STENCIL_RENDERABLE = Enumerant('GL_STENCIL_RENDERABLE', 0x8288, 'GL_ARB_internalformat_query2')
GL_TESS_CONTROL_TEXTURE = Enumerant('GL_TESS_CONTROL_TEXTURE', 0x829c, 'GL_ARB_internalformat_query2')
GL_TESS_EVALUATION_TEXTURE = Enumerant('GL_TESS_EVALUATION_TEXTURE', 0x829d, 'GL_ARB_internalformat_query2')
GL_TEXTURE_COMPRESSED_BLOCK_HEIGHT = Enumerant('GL_TEXTURE_COMPRESSED_BLOCK_HEIGHT', 0x82b2, 'GL_ARB_internalformat_query2')
GL_TEXTURE_COMPRESSED_BLOCK_SIZE = Enumerant('GL_TEXTURE_COMPRESSED_BLOCK_SIZE', 0x82b3, 'GL_ARB_internalformat_query2')
GL_TEXTURE_COMPRESSED_BLOCK_WIDTH = Enumerant('GL_TEXTURE_COMPRESSED_BLOCK_WIDTH', 0x82b1, 'GL_ARB_internalformat_query2')
GL_TEXTURE_GATHER = Enumerant('GL_TEXTURE_GATHER', 0x82a2, 'GL_ARB_internalformat_query2')
GL_TEXTURE_GATHER_SHADOW = Enumerant('GL_TEXTURE_GATHER_SHADOW', 0x82a3, 'GL_ARB_internalformat_query2')
GL_TEXTURE_IMAGE_FORMAT = Enumerant('GL_TEXTURE_IMAGE_FORMAT', 0x828f, 'GL_ARB_internalformat_query2')
GL_TEXTURE_IMAGE_TYPE = Enumerant('GL_TEXTURE_IMAGE_TYPE', 0x8290, 'GL_ARB_internalformat_query2')
GL_TEXTURE_SHADOW = Enumerant('GL_TEXTURE_SHADOW', 0x82a1, 'GL_ARB_internalformat_query2')
GL_TEXTURE_VIEW = Enumerant('GL_TEXTURE_VIEW', 0x82b5, 'GL_ARB_internalformat_query2')
GL_VERTEX_TEXTURE = Enumerant('GL_VERTEX_TEXTURE', 0x829b, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_128_BITS = Enumerant('GL_VIEW_CLASS_128_BITS', 0x82c4, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_16_BITS = Enumerant('GL_VIEW_CLASS_16_BITS', 0x82ca, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_24_BITS = Enumerant('GL_VIEW_CLASS_24_BITS', 0x82c9, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_32_BITS = Enumerant('GL_VIEW_CLASS_32_BITS', 0x82c8, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_48_BITS = Enumerant('GL_VIEW_CLASS_48_BITS', 0x82c7, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_64_BITS = Enumerant('GL_VIEW_CLASS_64_BITS', 0x82c6, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_8_BITS = Enumerant('GL_VIEW_CLASS_8_BITS', 0x82cb, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_96_BITS = Enumerant('GL_VIEW_CLASS_96_BITS', 0x82c5, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_BPTC_FLOAT = Enumerant('GL_VIEW_CLASS_BPTC_FLOAT', 0x82d3, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_BPTC_UNORM = Enumerant('GL_VIEW_CLASS_BPTC_UNORM', 0x82d2, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_RGTC1_RED = Enumerant('GL_VIEW_CLASS_RGTC1_RED', 0x82d0, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_RGTC2_RG = Enumerant('GL_VIEW_CLASS_RGTC2_RG', 0x82d1, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_S3TC_DXT1_RGB = Enumerant('GL_VIEW_CLASS_S3TC_DXT1_RGB', 0x82cc, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_S3TC_DXT1_RGBA = Enumerant('GL_VIEW_CLASS_S3TC_DXT1_RGBA', 0x82cd, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_S3TC_DXT3_RGBA = Enumerant('GL_VIEW_CLASS_S3TC_DXT3_RGBA', 0x82ce, 'GL_ARB_internalformat_query2')
GL_VIEW_CLASS_S3TC_DXT5_RGBA = Enumerant('GL_VIEW_CLASS_S3TC_DXT5_RGBA', 0x82cf, 'GL_ARB_internalformat_query2')
GL_VIEW_COMPATIBILITY_CLASS = Enumerant('GL_VIEW_COMPATIBILITY_CLASS', 0x82b6, 'GL_ARB_internalformat_query2')

defines.add(GL_AUTO_GENERATE_MIPMAP)
defines.add(GL_CAVEAT_SUPPORT)
defines.add(GL_CLEAR_BUFFER)
defines.add(GL_COLOR_COMPONENTS)
defines.add(GL_COLOR_ENCODING)
defines.add(GL_COLOR_RENDERABLE)
defines.add(GL_COMPUTE_TEXTURE)
defines.add(GL_DEPTH_COMPONENTS)
defines.add(GL_DEPTH_RENDERABLE)
defines.add(GL_FILTER)
defines.add(GL_FRAGMENT_TEXTURE)
defines.add(GL_FRAMEBUFFER_BLEND)
defines.add(GL_FRAMEBUFFER_RENDERABLE)
defines.add(GL_FRAMEBUFFER_RENDERABLE_LAYERED)
defines.add(GL_FULL_SUPPORT)
defines.add(GL_GEOMETRY_TEXTURE)
defines.add(GL_GET_TEXTURE_IMAGE_FORMAT)
defines.add(GL_GET_TEXTURE_IMAGE_TYPE)
defines.add(GL_IMAGE_CLASS_10_10_10_2)
defines.add(GL_IMAGE_CLASS_11_11_10)
defines.add(GL_IMAGE_CLASS_1_X_16)
defines.add(GL_IMAGE_CLASS_1_X_32)
defines.add(GL_IMAGE_CLASS_1_X_8)
defines.add(GL_IMAGE_CLASS_2_X_16)
defines.add(GL_IMAGE_CLASS_2_X_32)
defines.add(GL_IMAGE_CLASS_2_X_8)
defines.add(GL_IMAGE_CLASS_4_X_16)
defines.add(GL_IMAGE_CLASS_4_X_32)
defines.add(GL_IMAGE_CLASS_4_X_8)
defines.add(GL_IMAGE_COMPATIBILITY_CLASS)
defines.add(GL_IMAGE_PIXEL_FORMAT)
defines.add(GL_IMAGE_PIXEL_TYPE)
defines.add(GL_IMAGE_TEXEL_SIZE)
defines.add(GL_INTERNALFORMAT_ALPHA_SIZE)
defines.add(GL_INTERNALFORMAT_ALPHA_TYPE)
defines.add(GL_INTERNALFORMAT_BLUE_SIZE)
defines.add(GL_INTERNALFORMAT_BLUE_TYPE)
defines.add(GL_INTERNALFORMAT_DEPTH_SIZE)
defines.add(GL_INTERNALFORMAT_DEPTH_TYPE)
defines.add(GL_INTERNALFORMAT_GREEN_SIZE)
defines.add(GL_INTERNALFORMAT_GREEN_TYPE)
defines.add(GL_INTERNALFORMAT_PREFERRED)
defines.add(GL_INTERNALFORMAT_RED_SIZE)
defines.add(GL_INTERNALFORMAT_RED_TYPE)
defines.add(GL_INTERNALFORMAT_SHARED_SIZE)
defines.add(GL_INTERNALFORMAT_STENCIL_SIZE)
defines.add(GL_INTERNALFORMAT_STENCIL_TYPE)
defines.add(GL_INTERNALFORMAT_SUPPORTED)
defines.add(GL_MANUAL_GENERATE_MIPMAP)
defines.add(GL_MAX_COMBINED_DIMENSIONS)
defines.add(GL_MAX_DEPTH)
defines.add(GL_MAX_HEIGHT)
defines.add(GL_MAX_LAYERS)
defines.add(GL_MAX_WIDTH)
defines.add(GL_MIPMAP)
defines.add(GL_READ_PIXELS)
defines.add(GL_READ_PIXELS_FORMAT)
defines.add(GL_READ_PIXELS_TYPE)
defines.add(GL_SHADER_IMAGE_ATOMIC)
defines.add(GL_SHADER_IMAGE_LOAD)
defines.add(GL_SHADER_IMAGE_STORE)
defines.add(GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_TEST)
defines.add(GL_SIMULTANEOUS_TEXTURE_AND_DEPTH_WRITE)
defines.add(GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_TEST)
defines.add(GL_SIMULTANEOUS_TEXTURE_AND_STENCIL_WRITE)
defines.add(GL_SRGB_READ)
defines.add(GL_SRGB_WRITE)
defines.add(GL_STENCIL_COMPONENTS)
defines.add(GL_STENCIL_RENDERABLE)
defines.add(GL_TESS_CONTROL_TEXTURE)
defines.add(GL_TESS_EVALUATION_TEXTURE)
defines.add(GL_TEXTURE_COMPRESSED_BLOCK_HEIGHT)
defines.add(GL_TEXTURE_COMPRESSED_BLOCK_SIZE)
defines.add(GL_TEXTURE_COMPRESSED_BLOCK_WIDTH)
defines.add(GL_TEXTURE_GATHER)
defines.add(GL_TEXTURE_GATHER_SHADOW)
defines.add(GL_TEXTURE_IMAGE_FORMAT)
defines.add(GL_TEXTURE_IMAGE_TYPE)
defines.add(GL_TEXTURE_SHADOW)
defines.add(GL_TEXTURE_VIEW)
defines.add(GL_VERTEX_TEXTURE)
defines.add(GL_VIEW_CLASS_128_BITS)
defines.add(GL_VIEW_CLASS_16_BITS)
defines.add(GL_VIEW_CLASS_24_BITS)
defines.add(GL_VIEW_CLASS_32_BITS)
defines.add(GL_VIEW_CLASS_48_BITS)
defines.add(GL_VIEW_CLASS_64_BITS)
defines.add(GL_VIEW_CLASS_8_BITS)
defines.add(GL_VIEW_CLASS_96_BITS)
defines.add(GL_VIEW_CLASS_BPTC_FLOAT)
defines.add(GL_VIEW_CLASS_BPTC_UNORM)
defines.add(GL_VIEW_CLASS_RGTC1_RED)
defines.add(GL_VIEW_CLASS_RGTC2_RG)
defines.add(GL_VIEW_CLASS_S3TC_DXT1_RGB)
defines.add(GL_VIEW_CLASS_S3TC_DXT1_RGBA)
defines.add(GL_VIEW_CLASS_S3TC_DXT3_RGBA)
defines.add(GL_VIEW_CLASS_S3TC_DXT5_RGBA)
defines.add(GL_VIEW_COMPATIBILITY_CLASS)

# GL_ARB_map_buffer_alignment

GL_MIN_MAP_BUFFER_ALIGNMENT = Enumerant('GL_MIN_MAP_BUFFER_ALIGNMENT', 0x90bc, 'GL_ARB_map_buffer_alignment')

defines.add(GL_MIN_MAP_BUFFER_ALIGNMENT)

# GL_ARB_map_buffer_range

GL_MAP_FLUSH_EXPLICIT_BIT = Enumerant('GL_MAP_FLUSH_EXPLICIT_BIT', 0x0010, 'GL_ARB_map_buffer_range')
GL_MAP_INVALIDATE_BUFFER_BIT = Enumerant('GL_MAP_INVALIDATE_BUFFER_BIT', 0x0008, 'GL_ARB_map_buffer_range')
GL_MAP_INVALIDATE_RANGE_BIT = Enumerant('GL_MAP_INVALIDATE_RANGE_BIT', 0x0004, 'GL_ARB_map_buffer_range')
GL_MAP_READ_BIT = Enumerant('GL_MAP_READ_BIT', 0x0001, 'GL_ARB_map_buffer_range')
GL_MAP_UNSYNCHRONIZED_BIT = Enumerant('GL_MAP_UNSYNCHRONIZED_BIT', 0x0020, 'GL_ARB_map_buffer_range')
GL_MAP_WRITE_BIT = Enumerant('GL_MAP_WRITE_BIT', 0x0002, 'GL_ARB_map_buffer_range')

defines.add(GL_MAP_FLUSH_EXPLICIT_BIT)
defines.add(GL_MAP_INVALIDATE_BUFFER_BIT)
defines.add(GL_MAP_INVALIDATE_RANGE_BIT)
defines.add(GL_MAP_READ_BIT)
defines.add(GL_MAP_UNSYNCHRONIZED_BIT)
defines.add(GL_MAP_WRITE_BIT)

# GL_ARB_occlusion_query2

GL_ANY_SAMPLES_PASSED = Enumerant('GL_ANY_SAMPLES_PASSED', 0x8c2f, 'GL_ARB_occlusion_query2')

defines.add(GL_ANY_SAMPLES_PASSED)

# GL_ARB_program_interface_query

GL_ACTIVE_RESOURCES = Enumerant('GL_ACTIVE_RESOURCES', 0x92f5, 'GL_ARB_program_interface_query')
GL_ACTIVE_VARIABLES = Enumerant('GL_ACTIVE_VARIABLES', 0x9305, 'GL_ARB_program_interface_query')
GL_ARRAY_SIZE = Enumerant('GL_ARRAY_SIZE', 0x92fb, 'GL_ARB_program_interface_query')
GL_ARRAY_STRIDE = Enumerant('GL_ARRAY_STRIDE', 0x92fe, 'GL_ARB_program_interface_query')
GL_ATOMIC_COUNTER_BUFFER_INDEX = Enumerant('GL_ATOMIC_COUNTER_BUFFER_INDEX', 0x9301, 'GL_ARB_program_interface_query')
GL_BLOCK_INDEX = Enumerant('GL_BLOCK_INDEX', 0x92fd, 'GL_ARB_program_interface_query')
GL_BUFFER_BINDING = Enumerant('GL_BUFFER_BINDING', 0x9302, 'GL_ARB_program_interface_query')
GL_BUFFER_DATA_SIZE = Enumerant('GL_BUFFER_DATA_SIZE', 0x9303, 'GL_ARB_program_interface_query')
GL_BUFFER_VARIABLE = Enumerant('GL_BUFFER_VARIABLE', 0x92e5, 'GL_ARB_program_interface_query')
GL_COMPUTE_SUBROUTINE = Enumerant('GL_COMPUTE_SUBROUTINE', 0x92ed, 'GL_ARB_program_interface_query')
GL_COMPUTE_SUBROUTINE_UNIFORM = Enumerant('GL_COMPUTE_SUBROUTINE_UNIFORM', 0x92f3, 'GL_ARB_program_interface_query')
GL_FRAGMENT_SUBROUTINE = Enumerant('GL_FRAGMENT_SUBROUTINE', 0x92ec, 'GL_ARB_program_interface_query')
GL_FRAGMENT_SUBROUTINE_UNIFORM = Enumerant('GL_FRAGMENT_SUBROUTINE_UNIFORM', 0x92f2, 'GL_ARB_program_interface_query')
GL_GEOMETRY_SUBROUTINE = Enumerant('GL_GEOMETRY_SUBROUTINE', 0x92eb, 'GL_ARB_program_interface_query')
GL_GEOMETRY_SUBROUTINE_UNIFORM = Enumerant('GL_GEOMETRY_SUBROUTINE_UNIFORM', 0x92f1, 'GL_ARB_program_interface_query')
GL_IS_PER_PATCH = Enumerant('GL_IS_PER_PATCH', 0x92e7, 'GL_ARB_program_interface_query')
GL_IS_ROW_MAJOR = Enumerant('GL_IS_ROW_MAJOR', 0x9300, 'GL_ARB_program_interface_query')
GL_LOCATION = Enumerant('GL_LOCATION', 0x930e, 'GL_ARB_program_interface_query')
GL_LOCATION_INDEX = Enumerant('GL_LOCATION_INDEX', 0x930f, 'GL_ARB_program_interface_query')
GL_MATRIX_STRIDE = Enumerant('GL_MATRIX_STRIDE', 0x92ff, 'GL_ARB_program_interface_query')
GL_MAX_NAME_LENGTH = Enumerant('GL_MAX_NAME_LENGTH', 0x92f6, 'GL_ARB_program_interface_query')
GL_MAX_NUM_ACTIVE_VARIABLES = Enumerant('GL_MAX_NUM_ACTIVE_VARIABLES', 0x92f7, 'GL_ARB_program_interface_query')
GL_MAX_NUM_COMPATIBLE_SUBROUTINES = Enumerant('GL_MAX_NUM_COMPATIBLE_SUBROUTINES', 0x92f8, 'GL_ARB_program_interface_query')
GL_NAME_LENGTH = Enumerant('GL_NAME_LENGTH', 0x92f9, 'GL_ARB_program_interface_query')
GL_NUM_ACTIVE_VARIABLES = Enumerant('GL_NUM_ACTIVE_VARIABLES', 0x9304, 'GL_ARB_program_interface_query')
GL_OFFSET = Enumerant('GL_OFFSET', 0x92fc, 'GL_ARB_program_interface_query')
GL_PROGRAM_INPUT = Enumerant('GL_PROGRAM_INPUT', 0x92e3, 'GL_ARB_program_interface_query')
GL_PROGRAM_OUTPUT = Enumerant('GL_PROGRAM_OUTPUT', 0x92e4, 'GL_ARB_program_interface_query')
GL_REFERENCED_BY_COMPUTE_SHADER = Enumerant('GL_REFERENCED_BY_COMPUTE_SHADER', 0x930b, 'GL_ARB_program_interface_query')
GL_REFERENCED_BY_FRAGMENT_SHADER = Enumerant('GL_REFERENCED_BY_FRAGMENT_SHADER', 0x930a, 'GL_ARB_program_interface_query')
GL_REFERENCED_BY_GEOMETRY_SHADER = Enumerant('GL_REFERENCED_BY_GEOMETRY_SHADER', 0x9309, 'GL_ARB_program_interface_query')
GL_REFERENCED_BY_TESS_CONTROL_SHADER = Enumerant('GL_REFERENCED_BY_TESS_CONTROL_SHADER', 0x9307, 'GL_ARB_program_interface_query')
GL_REFERENCED_BY_TESS_EVALUATION_SHADER = Enumerant('GL_REFERENCED_BY_TESS_EVALUATION_SHADER', 0x9308, 'GL_ARB_program_interface_query')
GL_REFERENCED_BY_VERTEX_SHADER = Enumerant('GL_REFERENCED_BY_VERTEX_SHADER', 0x9306, 'GL_ARB_program_interface_query')
GL_SHADER_STORAGE_BLOCK = Enumerant('GL_SHADER_STORAGE_BLOCK', 0x92e6, 'GL_ARB_program_interface_query')
GL_TESS_CONTROL_SUBROUTINE = Enumerant('GL_TESS_CONTROL_SUBROUTINE', 0x92e9, 'GL_ARB_program_interface_query')
GL_TESS_CONTROL_SUBROUTINE_UNIFORM = Enumerant('GL_TESS_CONTROL_SUBROUTINE_UNIFORM', 0x92ef, 'GL_ARB_program_interface_query')
GL_TESS_EVALUATION_SUBROUTINE = Enumerant('GL_TESS_EVALUATION_SUBROUTINE', 0x92ea, 'GL_ARB_program_interface_query')
GL_TESS_EVALUATION_SUBROUTINE_UNIFORM = Enumerant('GL_TESS_EVALUATION_SUBROUTINE_UNIFORM', 0x92f0, 'GL_ARB_program_interface_query')
GL_TOP_LEVEL_ARRAY_SIZE = Enumerant('GL_TOP_LEVEL_ARRAY_SIZE', 0x930c, 'GL_ARB_program_interface_query')
GL_TOP_LEVEL_ARRAY_STRIDE = Enumerant('GL_TOP_LEVEL_ARRAY_STRIDE', 0x930d, 'GL_ARB_program_interface_query')
GL_TRANSFORM_FEEDBACK_VARYING = Enumerant('GL_TRANSFORM_FEEDBACK_VARYING', 0x92f4, 'GL_ARB_program_interface_query')
GL_TYPE = Enumerant('GL_TYPE', 0x92fa, 'GL_ARB_program_interface_query')
GL_UNIFORM = Enumerant('GL_UNIFORM', 0x92e1, 'GL_ARB_program_interface_query')
GL_UNIFORM_BLOCK = Enumerant('GL_UNIFORM_BLOCK', 0x92e2, 'GL_ARB_program_interface_query')
GL_VERTEX_SUBROUTINE = Enumerant('GL_VERTEX_SUBROUTINE', 0x92e8, 'GL_ARB_program_interface_query')
GL_VERTEX_SUBROUTINE_UNIFORM = Enumerant('GL_VERTEX_SUBROUTINE_UNIFORM', 0x92ee, 'GL_ARB_program_interface_query')

defines.add(GL_ACTIVE_RESOURCES)
defines.add(GL_ACTIVE_VARIABLES)
defines.add(GL_ARRAY_SIZE)
defines.add(GL_ARRAY_STRIDE)
defines.add(GL_ATOMIC_COUNTER_BUFFER_INDEX)
defines.add(GL_BLOCK_INDEX)
defines.add(GL_BUFFER_BINDING)
defines.add(GL_BUFFER_DATA_SIZE)
defines.add(GL_BUFFER_VARIABLE)
defines.add(GL_COMPUTE_SUBROUTINE)
defines.add(GL_COMPUTE_SUBROUTINE_UNIFORM)
defines.add(GL_FRAGMENT_SUBROUTINE)
defines.add(GL_FRAGMENT_SUBROUTINE_UNIFORM)
defines.add(GL_GEOMETRY_SUBROUTINE)
defines.add(GL_GEOMETRY_SUBROUTINE_UNIFORM)
defines.add(GL_IS_PER_PATCH)
defines.add(GL_IS_ROW_MAJOR)
defines.add(GL_LOCATION)
defines.add(GL_LOCATION_INDEX)
defines.add(GL_MATRIX_STRIDE)
defines.add(GL_MAX_NAME_LENGTH)
defines.add(GL_MAX_NUM_ACTIVE_VARIABLES)
defines.add(GL_MAX_NUM_COMPATIBLE_SUBROUTINES)
defines.add(GL_NAME_LENGTH)
defines.add(GL_NUM_ACTIVE_VARIABLES)
defines.add(GL_OFFSET)
defines.add(GL_PROGRAM_INPUT)
defines.add(GL_PROGRAM_OUTPUT)
defines.add(GL_REFERENCED_BY_COMPUTE_SHADER)
defines.add(GL_REFERENCED_BY_FRAGMENT_SHADER)
defines.add(GL_REFERENCED_BY_GEOMETRY_SHADER)
defines.add(GL_REFERENCED_BY_TESS_CONTROL_SHADER)
defines.add(GL_REFERENCED_BY_TESS_EVALUATION_SHADER)
defines.add(GL_REFERENCED_BY_VERTEX_SHADER)
defines.add(GL_SHADER_STORAGE_BLOCK)
defines.add(GL_TESS_CONTROL_SUBROUTINE)
defines.add(GL_TESS_CONTROL_SUBROUTINE_UNIFORM)
defines.add(GL_TESS_EVALUATION_SUBROUTINE)
defines.add(GL_TESS_EVALUATION_SUBROUTINE_UNIFORM)
defines.add(GL_TOP_LEVEL_ARRAY_SIZE)
defines.add(GL_TOP_LEVEL_ARRAY_STRIDE)
defines.add(GL_TRANSFORM_FEEDBACK_VARYING)
defines.add(GL_TYPE)
defines.add(GL_UNIFORM)
defines.add(GL_UNIFORM_BLOCK)
defines.add(GL_VERTEX_SUBROUTINE)
defines.add(GL_VERTEX_SUBROUTINE_UNIFORM)

# GL_ARB_provoking_vertex

GL_FIRST_VERTEX_CONVENTION = Enumerant('GL_FIRST_VERTEX_CONVENTION', 0x8e4d, 'GL_ARB_provoking_vertex')
GL_LAST_VERTEX_CONVENTION = Enumerant('GL_LAST_VERTEX_CONVENTION', 0x8e4e, 'GL_ARB_provoking_vertex')
GL_PROVOKING_VERTEX = Enumerant('GL_PROVOKING_VERTEX', 0x8e4f, 'GL_ARB_provoking_vertex')
GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION = Enumerant('GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION', 0x8e4c, 'GL_ARB_provoking_vertex')

defines.add(GL_FIRST_VERTEX_CONVENTION)
defines.add(GL_LAST_VERTEX_CONVENTION)
defines.add(GL_PROVOKING_VERTEX)
defines.add(GL_QUADS_FOLLOW_PROVOKING_VERTEX_CONVENTION)

# GL_ARB_sampler_objects

GL_SAMPLER_BINDING = Enumerant('GL_SAMPLER_BINDING', 0x8919, 'GL_ARB_sampler_objects')

defines.add(GL_SAMPLER_BINDING)

# GL_ARB_seamless_cube_map

GL_TEXTURE_CUBE_MAP_SEAMLESS = Enumerant('GL_TEXTURE_CUBE_MAP_SEAMLESS', 0x884f, 'GL_ARB_seamless_cube_map')
GL_TEXTURE_CUBE_MAP_SEAMLESS.enableCap = True

defines.add(GL_TEXTURE_CUBE_MAP_SEAMLESS)

# GL_ARB_separate_shader_objects

GL_ACTIVE_PROGRAM = Enumerant('GL_ACTIVE_PROGRAM', 0x8259, 'GL_ARB_separate_shader_objects')
GL_ALL_SHADER_BITS = Enumerant('GL_ALL_SHADER_BITS', 0xffffffff, 'GL_ARB_separate_shader_objects')
GL_FRAGMENT_SHADER_BIT = Enumerant('GL_FRAGMENT_SHADER_BIT', 0x0002, 'GL_ARB_separate_shader_objects')
GL_GEOMETRY_SHADER_BIT = Enumerant('GL_GEOMETRY_SHADER_BIT', 0x0004, 'GL_ARB_separate_shader_objects')
GL_PROGRAM_PIPELINE_BINDING = Enumerant('GL_PROGRAM_PIPELINE_BINDING', 0x825a, 'GL_ARB_separate_shader_objects')
GL_PROGRAM_SEPARABLE = Enumerant('GL_PROGRAM_SEPARABLE', 0x8258, 'GL_ARB_separate_shader_objects')
GL_TESS_CONTROL_SHADER_BIT = Enumerant('GL_TESS_CONTROL_SHADER_BIT', 0x0008, 'GL_ARB_separate_shader_objects')
GL_TESS_EVALUATION_SHADER_BIT = Enumerant('GL_TESS_EVALUATION_SHADER_BIT', 0x0010, 'GL_ARB_separate_shader_objects')
GL_VERTEX_SHADER_BIT = Enumerant('GL_VERTEX_SHADER_BIT', 0x0001, 'GL_ARB_separate_shader_objects')

defines.add(GL_ACTIVE_PROGRAM)
defines.add(GL_ALL_SHADER_BITS)
defines.add(GL_FRAGMENT_SHADER_BIT)
defines.add(GL_GEOMETRY_SHADER_BIT)
defines.add(GL_PROGRAM_PIPELINE_BINDING)
defines.add(GL_PROGRAM_SEPARABLE)
defines.add(GL_TESS_CONTROL_SHADER_BIT)
defines.add(GL_TESS_EVALUATION_SHADER_BIT)
defines.add(GL_VERTEX_SHADER_BIT)

# GL_ARB_shader_atomic_counters

GL_ACTIVE_ATOMIC_COUNTER_BUFFERS = Enumerant('GL_ACTIVE_ATOMIC_COUNTER_BUFFERS', 0x92d9, 'GL_ARB_shader_atomic_counters')
GL_ATOMIC_COUNTER_BUFFER = Enumerant('GL_ATOMIC_COUNTER_BUFFER', 0x92c0, 'GL_ARB_shader_atomic_counters')
GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTERS = Enumerant('GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTERS', 0x92c5, 'GL_ARB_shader_atomic_counters')
GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTER_INDICES = Enumerant('GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTER_INDICES', 0x92c6, 'GL_ARB_shader_atomic_counters')
GL_ATOMIC_COUNTER_BUFFER_BINDING = Enumerant('GL_ATOMIC_COUNTER_BUFFER_BINDING', 0x92c1, 'GL_ARB_shader_atomic_counters')
GL_ATOMIC_COUNTER_BUFFER_DATA_SIZE = Enumerant('GL_ATOMIC_COUNTER_BUFFER_DATA_SIZE', 0x92c4, 'GL_ARB_shader_atomic_counters')
GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_FRAGMENT_SHADER = Enumerant('GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_FRAGMENT_SHADER', 0x92cb, 'GL_ARB_shader_atomic_counters')
GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_GEOMETRY_SHADER = Enumerant('GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_GEOMETRY_SHADER', 0x92ca, 'GL_ARB_shader_atomic_counters')
GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_CONTROL_SHADER = Enumerant('GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_CONTROL_SHADER', 0x92c8, 'GL_ARB_shader_atomic_counters')
GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_EVALUATION_SHADER = Enumerant('GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_EVALUATION_SHADER', 0x92c9, 'GL_ARB_shader_atomic_counters')
GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_VERTEX_SHADER = Enumerant('GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_VERTEX_SHADER', 0x92c7, 'GL_ARB_shader_atomic_counters')
GL_ATOMIC_COUNTER_BUFFER_SIZE = Enumerant('GL_ATOMIC_COUNTER_BUFFER_SIZE', 0x92c3, 'GL_ARB_shader_atomic_counters')
GL_ATOMIC_COUNTER_BUFFER_START = Enumerant('GL_ATOMIC_COUNTER_BUFFER_START', 0x92c2, 'GL_ARB_shader_atomic_counters')
GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS = Enumerant('GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS', 0x92dc, 'GL_ARB_shader_atomic_counters')
GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE = Enumerant('GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE', 0x92d8, 'GL_ARB_shader_atomic_counters')
GL_MAX_COMBINED_ATOMIC_COUNTERS = Enumerant('GL_MAX_COMBINED_ATOMIC_COUNTERS', 0x92d7, 'GL_ARB_shader_atomic_counters')
GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS = Enumerant('GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS', 0x92d1, 'GL_ARB_shader_atomic_counters')
GL_MAX_FRAGMENT_ATOMIC_COUNTERS = Enumerant('GL_MAX_FRAGMENT_ATOMIC_COUNTERS', 0x92d6, 'GL_ARB_shader_atomic_counters')
GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS = Enumerant('GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS', 0x92d0, 'GL_ARB_shader_atomic_counters')
GL_MAX_GEOMETRY_ATOMIC_COUNTERS = Enumerant('GL_MAX_GEOMETRY_ATOMIC_COUNTERS', 0x92d5, 'GL_ARB_shader_atomic_counters')
GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS = Enumerant('GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS', 0x92cf, 'GL_ARB_shader_atomic_counters')
GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS = Enumerant('GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS', 0x92d3, 'GL_ARB_shader_atomic_counters')
GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS = Enumerant('GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS', 0x92cd, 'GL_ARB_shader_atomic_counters')
GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS = Enumerant('GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS', 0x92d4, 'GL_ARB_shader_atomic_counters')
GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS = Enumerant('GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS', 0x92ce, 'GL_ARB_shader_atomic_counters')
GL_MAX_VERTEX_ATOMIC_COUNTERS = Enumerant('GL_MAX_VERTEX_ATOMIC_COUNTERS', 0x92d2, 'GL_ARB_shader_atomic_counters')
GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS = Enumerant('GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS', 0x92cc, 'GL_ARB_shader_atomic_counters')
GL_UNIFORM_ATOMIC_COUNTER_BUFFER_INDEX = Enumerant('GL_UNIFORM_ATOMIC_COUNTER_BUFFER_INDEX', 0x92da, 'GL_ARB_shader_atomic_counters')
GL_UNSIGNED_INT_ATOMIC_COUNTER = Enumerant('GL_UNSIGNED_INT_ATOMIC_COUNTER', 0x92db, 'GL_ARB_shader_atomic_counters')

defines.add(GL_ACTIVE_ATOMIC_COUNTER_BUFFERS)
defines.add(GL_ATOMIC_COUNTER_BUFFER)
defines.add(GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTERS)
defines.add(GL_ATOMIC_COUNTER_BUFFER_ACTIVE_ATOMIC_COUNTER_INDICES)
defines.add(GL_ATOMIC_COUNTER_BUFFER_BINDING)
defines.add(GL_ATOMIC_COUNTER_BUFFER_DATA_SIZE)
defines.add(GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_FRAGMENT_SHADER)
defines.add(GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_GEOMETRY_SHADER)
defines.add(GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_CONTROL_SHADER)
defines.add(GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_TESS_EVALUATION_SHADER)
defines.add(GL_ATOMIC_COUNTER_BUFFER_REFERENCED_BY_VERTEX_SHADER)
defines.add(GL_ATOMIC_COUNTER_BUFFER_SIZE)
defines.add(GL_ATOMIC_COUNTER_BUFFER_START)
defines.add(GL_MAX_ATOMIC_COUNTER_BUFFER_BINDINGS)
defines.add(GL_MAX_ATOMIC_COUNTER_BUFFER_SIZE)
defines.add(GL_MAX_COMBINED_ATOMIC_COUNTERS)
defines.add(GL_MAX_COMBINED_ATOMIC_COUNTER_BUFFERS)
defines.add(GL_MAX_FRAGMENT_ATOMIC_COUNTERS)
defines.add(GL_MAX_FRAGMENT_ATOMIC_COUNTER_BUFFERS)
defines.add(GL_MAX_GEOMETRY_ATOMIC_COUNTERS)
defines.add(GL_MAX_GEOMETRY_ATOMIC_COUNTER_BUFFERS)
defines.add(GL_MAX_TESS_CONTROL_ATOMIC_COUNTERS)
defines.add(GL_MAX_TESS_CONTROL_ATOMIC_COUNTER_BUFFERS)
defines.add(GL_MAX_TESS_EVALUATION_ATOMIC_COUNTERS)
defines.add(GL_MAX_TESS_EVALUATION_ATOMIC_COUNTER_BUFFERS)
defines.add(GL_MAX_VERTEX_ATOMIC_COUNTERS)
defines.add(GL_MAX_VERTEX_ATOMIC_COUNTER_BUFFERS)
defines.add(GL_UNIFORM_ATOMIC_COUNTER_BUFFER_INDEX)
defines.add(GL_UNSIGNED_INT_ATOMIC_COUNTER)

# GL_ARB_shader_image_load_store

GL_ALL_BARRIER_BITS = Enumerant('GL_ALL_BARRIER_BITS', 0xffffffff, 'GL_ARB_shader_image_load_store')
GL_ATOMIC_COUNTER_BARRIER_BIT = Enumerant('GL_ATOMIC_COUNTER_BARRIER_BIT', 0x1000, 'GL_ARB_shader_image_load_store')
GL_BUFFER_UPDATE_BARRIER_BIT = Enumerant('GL_BUFFER_UPDATE_BARRIER_BIT', 0x0200, 'GL_ARB_shader_image_load_store')
GL_COMMAND_BARRIER_BIT = Enumerant('GL_COMMAND_BARRIER_BIT', 0x0040, 'GL_ARB_shader_image_load_store')
GL_ELEMENT_ARRAY_BARRIER_BIT = Enumerant('GL_ELEMENT_ARRAY_BARRIER_BIT', 0x0002, 'GL_ARB_shader_image_load_store')
GL_FRAMEBUFFER_BARRIER_BIT = Enumerant('GL_FRAMEBUFFER_BARRIER_BIT', 0x0400, 'GL_ARB_shader_image_load_store')
GL_IMAGE_1D = Enumerant('GL_IMAGE_1D', 0x904c, 'GL_ARB_shader_image_load_store')
GL_IMAGE_1D_ARRAY = Enumerant('GL_IMAGE_1D_ARRAY', 0x9052, 'GL_ARB_shader_image_load_store')
GL_IMAGE_2D = Enumerant('GL_IMAGE_2D', 0x904d, 'GL_ARB_shader_image_load_store')
GL_IMAGE_2D_ARRAY = Enumerant('GL_IMAGE_2D_ARRAY', 0x9053, 'GL_ARB_shader_image_load_store')
GL_IMAGE_2D_MULTISAMPLE = Enumerant('GL_IMAGE_2D_MULTISAMPLE', 0x9055, 'GL_ARB_shader_image_load_store')
GL_IMAGE_2D_MULTISAMPLE_ARRAY = Enumerant('GL_IMAGE_2D_MULTISAMPLE_ARRAY', 0x9056, 'GL_ARB_shader_image_load_store')
GL_IMAGE_2D_RECT = Enumerant('GL_IMAGE_2D_RECT', 0x904f, 'GL_ARB_shader_image_load_store')
GL_IMAGE_3D = Enumerant('GL_IMAGE_3D', 0x904e, 'GL_ARB_shader_image_load_store')
GL_IMAGE_BINDING_ACCESS = Enumerant('GL_IMAGE_BINDING_ACCESS', 0x8f3e, 'GL_ARB_shader_image_load_store')
GL_IMAGE_BINDING_FORMAT = Enumerant('GL_IMAGE_BINDING_FORMAT', 0x906e, 'GL_ARB_shader_image_load_store')
GL_IMAGE_BINDING_LAYER = Enumerant('GL_IMAGE_BINDING_LAYER', 0x8f3d, 'GL_ARB_shader_image_load_store')
GL_IMAGE_BINDING_LAYERED = Enumerant('GL_IMAGE_BINDING_LAYERED', 0x8f3c, 'GL_ARB_shader_image_load_store')
GL_IMAGE_BINDING_LEVEL = Enumerant('GL_IMAGE_BINDING_LEVEL', 0x8f3b, 'GL_ARB_shader_image_load_store')
GL_IMAGE_BINDING_NAME = Enumerant('GL_IMAGE_BINDING_NAME', 0x8f3a, 'GL_ARB_shader_image_load_store')
GL_IMAGE_BUFFER = Enumerant('GL_IMAGE_BUFFER', 0x9051, 'GL_ARB_shader_image_load_store')
GL_IMAGE_CUBE = Enumerant('GL_IMAGE_CUBE', 0x9050, 'GL_ARB_shader_image_load_store')
GL_IMAGE_CUBE_MAP_ARRAY = Enumerant('GL_IMAGE_CUBE_MAP_ARRAY', 0x9054, 'GL_ARB_shader_image_load_store')
GL_IMAGE_FORMAT_COMPATIBILITY_BY_CLASS = Enumerant('GL_IMAGE_FORMAT_COMPATIBILITY_BY_CLASS', 0x90c9, 'GL_ARB_shader_image_load_store')
GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE = Enumerant('GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE', 0x90c8, 'GL_ARB_shader_image_load_store')
GL_IMAGE_FORMAT_COMPATIBILITY_TYPE = Enumerant('GL_IMAGE_FORMAT_COMPATIBILITY_TYPE', 0x90c7, 'GL_ARB_shader_image_load_store')
GL_INT_IMAGE_1D = Enumerant('GL_INT_IMAGE_1D', 0x9057, 'GL_ARB_shader_image_load_store')
GL_INT_IMAGE_1D_ARRAY = Enumerant('GL_INT_IMAGE_1D_ARRAY', 0x905d, 'GL_ARB_shader_image_load_store')
GL_INT_IMAGE_2D = Enumerant('GL_INT_IMAGE_2D', 0x9058, 'GL_ARB_shader_image_load_store')
GL_INT_IMAGE_2D_ARRAY = Enumerant('GL_INT_IMAGE_2D_ARRAY', 0x905e, 'GL_ARB_shader_image_load_store')
GL_INT_IMAGE_2D_MULTISAMPLE = Enumerant('GL_INT_IMAGE_2D_MULTISAMPLE', 0x9060, 'GL_ARB_shader_image_load_store')
GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY = Enumerant('GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY', 0x9061, 'GL_ARB_shader_image_load_store')
GL_INT_IMAGE_2D_RECT = Enumerant('GL_INT_IMAGE_2D_RECT', 0x905a, 'GL_ARB_shader_image_load_store')
GL_INT_IMAGE_3D = Enumerant('GL_INT_IMAGE_3D', 0x9059, 'GL_ARB_shader_image_load_store')
GL_INT_IMAGE_BUFFER = Enumerant('GL_INT_IMAGE_BUFFER', 0x905c, 'GL_ARB_shader_image_load_store')
GL_INT_IMAGE_CUBE = Enumerant('GL_INT_IMAGE_CUBE', 0x905b, 'GL_ARB_shader_image_load_store')
GL_INT_IMAGE_CUBE_MAP_ARRAY = Enumerant('GL_INT_IMAGE_CUBE_MAP_ARRAY', 0x905f, 'GL_ARB_shader_image_load_store')
GL_MAX_COMBINED_IMAGE_UNIFORMS = Enumerant('GL_MAX_COMBINED_IMAGE_UNIFORMS', 0x90cf, 'GL_ARB_shader_image_load_store')
GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS = Enumerant('GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS', 0x8f39, 'GL_ARB_shader_image_load_store')
GL_MAX_FRAGMENT_IMAGE_UNIFORMS = Enumerant('GL_MAX_FRAGMENT_IMAGE_UNIFORMS', 0x90ce, 'GL_ARB_shader_image_load_store')
GL_MAX_GEOMETRY_IMAGE_UNIFORMS = Enumerant('GL_MAX_GEOMETRY_IMAGE_UNIFORMS', 0x90cd, 'GL_ARB_shader_image_load_store')
GL_MAX_IMAGE_SAMPLES = Enumerant('GL_MAX_IMAGE_SAMPLES', 0x906d, 'GL_ARB_shader_image_load_store')
GL_MAX_IMAGE_UNITS = Enumerant('GL_MAX_IMAGE_UNITS', 0x8f38, 'GL_ARB_shader_image_load_store')
GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS = Enumerant('GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS', 0x90cb, 'GL_ARB_shader_image_load_store')
GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS = Enumerant('GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS', 0x90cc, 'GL_ARB_shader_image_load_store')
GL_MAX_VERTEX_IMAGE_UNIFORMS = Enumerant('GL_MAX_VERTEX_IMAGE_UNIFORMS', 0x90ca, 'GL_ARB_shader_image_load_store')
GL_PIXEL_BUFFER_BARRIER_BIT = Enumerant('GL_PIXEL_BUFFER_BARRIER_BIT', 0x0080, 'GL_ARB_shader_image_load_store')
GL_SHADER_IMAGE_ACCESS_BARRIER_BIT = Enumerant('GL_SHADER_IMAGE_ACCESS_BARRIER_BIT', 0x0020, 'GL_ARB_shader_image_load_store')
GL_TEXTURE_FETCH_BARRIER_BIT = Enumerant('GL_TEXTURE_FETCH_BARRIER_BIT', 0x0008, 'GL_ARB_shader_image_load_store')
GL_TEXTURE_UPDATE_BARRIER_BIT = Enumerant('GL_TEXTURE_UPDATE_BARRIER_BIT', 0x0100, 'GL_ARB_shader_image_load_store')
GL_TRANSFORM_FEEDBACK_BARRIER_BIT = Enumerant('GL_TRANSFORM_FEEDBACK_BARRIER_BIT', 0x0800, 'GL_ARB_shader_image_load_store')
GL_UNIFORM_BARRIER_BIT = Enumerant('GL_UNIFORM_BARRIER_BIT', 0x0004, 'GL_ARB_shader_image_load_store')
GL_UNSIGNED_INT_IMAGE_1D = Enumerant('GL_UNSIGNED_INT_IMAGE_1D', 0x9062, 'GL_ARB_shader_image_load_store')
GL_UNSIGNED_INT_IMAGE_1D_ARRAY = Enumerant('GL_UNSIGNED_INT_IMAGE_1D_ARRAY', 0x9068, 'GL_ARB_shader_image_load_store')
GL_UNSIGNED_INT_IMAGE_2D = Enumerant('GL_UNSIGNED_INT_IMAGE_2D', 0x9063, 'GL_ARB_shader_image_load_store')
GL_UNSIGNED_INT_IMAGE_2D_ARRAY = Enumerant('GL_UNSIGNED_INT_IMAGE_2D_ARRAY', 0x9069, 'GL_ARB_shader_image_load_store')
GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE = Enumerant('GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE', 0x906b, 'GL_ARB_shader_image_load_store')
GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY = Enumerant('GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY', 0x906c, 'GL_ARB_shader_image_load_store')
GL_UNSIGNED_INT_IMAGE_2D_RECT = Enumerant('GL_UNSIGNED_INT_IMAGE_2D_RECT', 0x9065, 'GL_ARB_shader_image_load_store')
GL_UNSIGNED_INT_IMAGE_3D = Enumerant('GL_UNSIGNED_INT_IMAGE_3D', 0x9064, 'GL_ARB_shader_image_load_store')
GL_UNSIGNED_INT_IMAGE_BUFFER = Enumerant('GL_UNSIGNED_INT_IMAGE_BUFFER', 0x9067, 'GL_ARB_shader_image_load_store')
GL_UNSIGNED_INT_IMAGE_CUBE = Enumerant('GL_UNSIGNED_INT_IMAGE_CUBE', 0x9066, 'GL_ARB_shader_image_load_store')
GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY = Enumerant('GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY', 0x906a, 'GL_ARB_shader_image_load_store')
GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT = Enumerant('GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT', 0x0001, 'GL_ARB_shader_image_load_store')

defines.add(GL_ALL_BARRIER_BITS)
defines.add(GL_ATOMIC_COUNTER_BARRIER_BIT)
defines.add(GL_BUFFER_UPDATE_BARRIER_BIT)
defines.add(GL_COMMAND_BARRIER_BIT)
defines.add(GL_ELEMENT_ARRAY_BARRIER_BIT)
defines.add(GL_FRAMEBUFFER_BARRIER_BIT)
defines.add(GL_IMAGE_1D)
defines.add(GL_IMAGE_1D_ARRAY)
defines.add(GL_IMAGE_2D)
defines.add(GL_IMAGE_2D_ARRAY)
defines.add(GL_IMAGE_2D_MULTISAMPLE)
defines.add(GL_IMAGE_2D_MULTISAMPLE_ARRAY)
defines.add(GL_IMAGE_2D_RECT)
defines.add(GL_IMAGE_3D)
defines.add(GL_IMAGE_BINDING_ACCESS)
defines.add(GL_IMAGE_BINDING_FORMAT)
defines.add(GL_IMAGE_BINDING_LAYER)
defines.add(GL_IMAGE_BINDING_LAYERED)
defines.add(GL_IMAGE_BINDING_LEVEL)
defines.add(GL_IMAGE_BINDING_NAME)
defines.add(GL_IMAGE_BUFFER)
defines.add(GL_IMAGE_CUBE)
defines.add(GL_IMAGE_CUBE_MAP_ARRAY)
defines.add(GL_IMAGE_FORMAT_COMPATIBILITY_BY_CLASS)
defines.add(GL_IMAGE_FORMAT_COMPATIBILITY_BY_SIZE)
defines.add(GL_IMAGE_FORMAT_COMPATIBILITY_TYPE)
defines.add(GL_INT_IMAGE_1D)
defines.add(GL_INT_IMAGE_1D_ARRAY)
defines.add(GL_INT_IMAGE_2D)
defines.add(GL_INT_IMAGE_2D_ARRAY)
defines.add(GL_INT_IMAGE_2D_MULTISAMPLE)
defines.add(GL_INT_IMAGE_2D_MULTISAMPLE_ARRAY)
defines.add(GL_INT_IMAGE_2D_RECT)
defines.add(GL_INT_IMAGE_3D)
defines.add(GL_INT_IMAGE_BUFFER)
defines.add(GL_INT_IMAGE_CUBE)
defines.add(GL_INT_IMAGE_CUBE_MAP_ARRAY)
defines.add(GL_MAX_COMBINED_IMAGE_UNIFORMS)
defines.add(GL_MAX_COMBINED_IMAGE_UNITS_AND_FRAGMENT_OUTPUTS)
defines.add(GL_MAX_FRAGMENT_IMAGE_UNIFORMS)
defines.add(GL_MAX_GEOMETRY_IMAGE_UNIFORMS)
defines.add(GL_MAX_IMAGE_SAMPLES)
defines.add(GL_MAX_IMAGE_UNITS)
defines.add(GL_MAX_TESS_CONTROL_IMAGE_UNIFORMS)
defines.add(GL_MAX_TESS_EVALUATION_IMAGE_UNIFORMS)
defines.add(GL_MAX_VERTEX_IMAGE_UNIFORMS)
defines.add(GL_PIXEL_BUFFER_BARRIER_BIT)
defines.add(GL_SHADER_IMAGE_ACCESS_BARRIER_BIT)
defines.add(GL_TEXTURE_FETCH_BARRIER_BIT)
defines.add(GL_TEXTURE_UPDATE_BARRIER_BIT)
defines.add(GL_TRANSFORM_FEEDBACK_BARRIER_BIT)
defines.add(GL_UNIFORM_BARRIER_BIT)
defines.add(GL_UNSIGNED_INT_IMAGE_1D)
defines.add(GL_UNSIGNED_INT_IMAGE_1D_ARRAY)
defines.add(GL_UNSIGNED_INT_IMAGE_2D)
defines.add(GL_UNSIGNED_INT_IMAGE_2D_ARRAY)
defines.add(GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE)
defines.add(GL_UNSIGNED_INT_IMAGE_2D_MULTISAMPLE_ARRAY)
defines.add(GL_UNSIGNED_INT_IMAGE_2D_RECT)
defines.add(GL_UNSIGNED_INT_IMAGE_3D)
defines.add(GL_UNSIGNED_INT_IMAGE_BUFFER)
defines.add(GL_UNSIGNED_INT_IMAGE_CUBE)
defines.add(GL_UNSIGNED_INT_IMAGE_CUBE_MAP_ARRAY)
defines.add(GL_VERTEX_ATTRIB_ARRAY_BARRIER_BIT)

# GL_ARB_shader_storage_buffer_object

GL_MAX_COMBINED_SHADER_OUTPUT_RESOURCES = Enumerant('GL_MAX_COMBINED_SHADER_OUTPUT_RESOURCES', 0x8f39, 'GL_ARB_shader_storage_buffer_object')
GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS = Enumerant('GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS', 0x90dc, 'GL_ARB_shader_storage_buffer_object')
GL_MAX_COMPUTE_SHADER_STORAGE_BLOCKS = Enumerant('GL_MAX_COMPUTE_SHADER_STORAGE_BLOCKS', 0x90db, 'GL_ARB_shader_storage_buffer_object')
GL_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS = Enumerant('GL_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS', 0x90da, 'GL_ARB_shader_storage_buffer_object')
GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS = Enumerant('GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS', 0x90d7, 'GL_ARB_shader_storage_buffer_object')
GL_MAX_SHADER_STORAGE_BLOCK_SIZE = Enumerant('GL_MAX_SHADER_STORAGE_BLOCK_SIZE', 0x90de, 'GL_ARB_shader_storage_buffer_object')
GL_MAX_SHADER_STORAGE_BUFFER_BINDINGS = Enumerant('GL_MAX_SHADER_STORAGE_BUFFER_BINDINGS', 0x90dd, 'GL_ARB_shader_storage_buffer_object')
GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS = Enumerant('GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS', 0x90d8, 'GL_ARB_shader_storage_buffer_object')
GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS = Enumerant('GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS', 0x90d9, 'GL_ARB_shader_storage_buffer_object')
GL_MAX_VERTEX_SHADER_STORAGE_BLOCKS = Enumerant('GL_MAX_VERTEX_SHADER_STORAGE_BLOCKS', 0x90d6, 'GL_ARB_shader_storage_buffer_object')
GL_SHADER_STORAGE_BARRIER_BIT = Enumerant('GL_SHADER_STORAGE_BARRIER_BIT', 0x2000, 'GL_ARB_shader_storage_buffer_object')
GL_SHADER_STORAGE_BUFFER = Enumerant('GL_SHADER_STORAGE_BUFFER', 0x90d2, 'GL_ARB_shader_storage_buffer_object')
GL_SHADER_STORAGE_BUFFER_BINDING = Enumerant('GL_SHADER_STORAGE_BUFFER_BINDING', 0x90d3, 'GL_ARB_shader_storage_buffer_object')
GL_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT = Enumerant('GL_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT', 0x90df, 'GL_ARB_shader_storage_buffer_object')
GL_SHADER_STORAGE_BUFFER_SIZE = Enumerant('GL_SHADER_STORAGE_BUFFER_SIZE', 0x90d5, 'GL_ARB_shader_storage_buffer_object')
GL_SHADER_STORAGE_BUFFER_START = Enumerant('GL_SHADER_STORAGE_BUFFER_START', 0x90d4, 'GL_ARB_shader_storage_buffer_object')

defines.add(GL_MAX_COMBINED_SHADER_OUTPUT_RESOURCES)
defines.add(GL_MAX_COMBINED_SHADER_STORAGE_BLOCKS)
defines.add(GL_MAX_COMPUTE_SHADER_STORAGE_BLOCKS)
defines.add(GL_MAX_FRAGMENT_SHADER_STORAGE_BLOCKS)
defines.add(GL_MAX_GEOMETRY_SHADER_STORAGE_BLOCKS)
defines.add(GL_MAX_SHADER_STORAGE_BLOCK_SIZE)
defines.add(GL_MAX_SHADER_STORAGE_BUFFER_BINDINGS)
defines.add(GL_MAX_TESS_CONTROL_SHADER_STORAGE_BLOCKS)
defines.add(GL_MAX_TESS_EVALUATION_SHADER_STORAGE_BLOCKS)
defines.add(GL_MAX_VERTEX_SHADER_STORAGE_BLOCKS)
defines.add(GL_SHADER_STORAGE_BARRIER_BIT)
defines.add(GL_SHADER_STORAGE_BUFFER)
defines.add(GL_SHADER_STORAGE_BUFFER_BINDING)
defines.add(GL_SHADER_STORAGE_BUFFER_OFFSET_ALIGNMENT)
defines.add(GL_SHADER_STORAGE_BUFFER_SIZE)
defines.add(GL_SHADER_STORAGE_BUFFER_START)

# GL_ARB_shader_subroutine

GL_ACTIVE_SUBROUTINES = Enumerant('GL_ACTIVE_SUBROUTINES', 0x8de5, 'GL_ARB_shader_subroutine')
GL_ACTIVE_SUBROUTINE_MAX_LENGTH = Enumerant('GL_ACTIVE_SUBROUTINE_MAX_LENGTH', 0x8e48, 'GL_ARB_shader_subroutine')
GL_ACTIVE_SUBROUTINE_UNIFORMS = Enumerant('GL_ACTIVE_SUBROUTINE_UNIFORMS', 0x8de6, 'GL_ARB_shader_subroutine')
GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS = Enumerant('GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS', 0x8e47, 'GL_ARB_shader_subroutine')
GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH = Enumerant('GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH', 0x8e49, 'GL_ARB_shader_subroutine')
GL_COMPATIBLE_SUBROUTINES = Enumerant('GL_COMPATIBLE_SUBROUTINES', 0x8e4b, 'GL_ARB_shader_subroutine')
GL_MAX_SUBROUTINES = Enumerant('GL_MAX_SUBROUTINES', 0x8de7, 'GL_ARB_shader_subroutine')
GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS = Enumerant('GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS', 0x8de8, 'GL_ARB_shader_subroutine')
GL_NUM_COMPATIBLE_SUBROUTINES = Enumerant('GL_NUM_COMPATIBLE_SUBROUTINES', 0x8e4a, 'GL_ARB_shader_subroutine')

defines.add(GL_ACTIVE_SUBROUTINES)
defines.add(GL_ACTIVE_SUBROUTINE_MAX_LENGTH)
defines.add(GL_ACTIVE_SUBROUTINE_UNIFORMS)
defines.add(GL_ACTIVE_SUBROUTINE_UNIFORM_LOCATIONS)
defines.add(GL_ACTIVE_SUBROUTINE_UNIFORM_MAX_LENGTH)
defines.add(GL_COMPATIBLE_SUBROUTINES)
defines.add(GL_MAX_SUBROUTINES)
defines.add(GL_MAX_SUBROUTINE_UNIFORM_LOCATIONS)
defines.add(GL_NUM_COMPATIBLE_SUBROUTINES)

# GL_ARB_sparse_texture

GL_NUM_SPARSE_LEVELS_ARB = Enumerant('GL_NUM_SPARSE_LEVELS_ARB', 0x91aa, 'GL_ARB_sparse_texture')

defines.add(GL_NUM_SPARSE_LEVELS_ARB)

# GL_ARB_stencil_texturing

GL_DEPTH_STENCIL_TEXTURE_MODE = Enumerant('GL_DEPTH_STENCIL_TEXTURE_MODE', 0x90ea, 'GL_ARB_stencil_texturing')

defines.add(GL_DEPTH_STENCIL_TEXTURE_MODE)

# GL_ARB_sync

GL_ALREADY_SIGNALED = Enumerant('GL_ALREADY_SIGNALED', 0x911a, 'GL_ARB_sync')
GL_CONDITION_SATISFIED = Enumerant('GL_CONDITION_SATISFIED', 0x911c, 'GL_ARB_sync')
GL_MAX_SERVER_WAIT_TIMEOUT = Enumerant('GL_MAX_SERVER_WAIT_TIMEOUT', 0x9111, 'GL_ARB_sync')
GL_OBJECT_TYPE = Enumerant('GL_OBJECT_TYPE', 0x9112, 'GL_ARB_sync')
GL_SIGNALED = Enumerant('GL_SIGNALED', 0x9119, 'GL_ARB_sync')
GL_SYNC_CONDITION = Enumerant('GL_SYNC_CONDITION', 0x9113, 'GL_ARB_sync')
GL_SYNC_FENCE = Enumerant('GL_SYNC_FENCE', 0x9116, 'GL_ARB_sync')
GL_SYNC_FLAGS = Enumerant('GL_SYNC_FLAGS', 0x9115, 'GL_ARB_sync')
GL_SYNC_FLUSH_COMMANDS_BIT = Enumerant('GL_SYNC_FLUSH_COMMANDS_BIT', 0x0001, 'GL_ARB_sync')
GL_SYNC_GPU_COMMANDS_COMPLETE = Enumerant('GL_SYNC_GPU_COMMANDS_COMPLETE', 0x9117, 'GL_ARB_sync')
GL_SYNC_STATUS = Enumerant('GL_SYNC_STATUS', 0x9114, 'GL_ARB_sync')
GL_TIMEOUT_EXPIRED = Enumerant('GL_TIMEOUT_EXPIRED', 0x911b, 'GL_ARB_sync')
GL_TIMEOUT_IGNORED = Enumerant('GL_TIMEOUT_IGNORED', 0xffffffffffffffff, 'GL_ARB_sync')
GL_UNSIGNALED = Enumerant('GL_UNSIGNALED', 0x9118, 'GL_ARB_sync')
GL_WAIT_FAILED = Enumerant('GL_WAIT_FAILED', 0x911d, 'GL_ARB_sync')

defines.add(GL_ALREADY_SIGNALED)
defines.add(GL_CONDITION_SATISFIED)
defines.add(GL_MAX_SERVER_WAIT_TIMEOUT)
defines.add(GL_OBJECT_TYPE)
defines.add(GL_SIGNALED)
defines.add(GL_SYNC_CONDITION)
defines.add(GL_SYNC_FENCE)
defines.add(GL_SYNC_FLAGS)
defines.add(GL_SYNC_FLUSH_COMMANDS_BIT)
defines.add(GL_SYNC_GPU_COMMANDS_COMPLETE)
defines.add(GL_SYNC_STATUS)
defines.add(GL_TIMEOUT_EXPIRED)
defines.add(GL_TIMEOUT_IGNORED)
defines.add(GL_UNSIGNALED)
defines.add(GL_WAIT_FAILED)

# GL_ARB_tessellation_shader

GL_FRACTIONAL_EVEN = Enumerant('GL_FRACTIONAL_EVEN', 0x8e7c, 'GL_ARB_tessellation_shader')
GL_FRACTIONAL_ODD = Enumerant('GL_FRACTIONAL_ODD', 0x8e7b, 'GL_ARB_tessellation_shader')
GL_ISOLINES = Enumerant('GL_ISOLINES', 0x8e7a, 'GL_ARB_tessellation_shader')
GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS = Enumerant('GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS', 0x8e1e, 'GL_ARB_tessellation_shader')
GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS = Enumerant('GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS', 0x8e1f, 'GL_ARB_tessellation_shader')
GL_MAX_PATCH_VERTICES = Enumerant('GL_MAX_PATCH_VERTICES', 0x8e7d, 'GL_ARB_tessellation_shader')
GL_MAX_TESS_CONTROL_INPUT_COMPONENTS = Enumerant('GL_MAX_TESS_CONTROL_INPUT_COMPONENTS', 0x886c, 'GL_ARB_tessellation_shader')
GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS = Enumerant('GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS', 0x8e83, 'GL_ARB_tessellation_shader')
GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS = Enumerant('GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS', 0x8e81, 'GL_ARB_tessellation_shader')
GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS = Enumerant('GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS', 0x8e85, 'GL_ARB_tessellation_shader')
GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS = Enumerant('GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS', 0x8e89, 'GL_ARB_tessellation_shader')
GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS = Enumerant('GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS', 0x8e7f, 'GL_ARB_tessellation_shader')
GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS = Enumerant('GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS', 0x886d, 'GL_ARB_tessellation_shader')
GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS = Enumerant('GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS', 0x8e86, 'GL_ARB_tessellation_shader')
GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS = Enumerant('GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS', 0x8e82, 'GL_ARB_tessellation_shader')
GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS = Enumerant('GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS', 0x8e8a, 'GL_ARB_tessellation_shader')
GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS = Enumerant('GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS', 0x8e80, 'GL_ARB_tessellation_shader')
GL_MAX_TESS_GEN_LEVEL = Enumerant('GL_MAX_TESS_GEN_LEVEL', 0x8e7e, 'GL_ARB_tessellation_shader')
GL_MAX_TESS_PATCH_COMPONENTS = Enumerant('GL_MAX_TESS_PATCH_COMPONENTS', 0x8e84, 'GL_ARB_tessellation_shader')
GL_PATCHES = Enumerant('GL_PATCHES', 0x000e, 'GL_ARB_tessellation_shader')
GL_PATCH_DEFAULT_INNER_LEVEL = Enumerant('GL_PATCH_DEFAULT_INNER_LEVEL', 0x8e73, 'GL_ARB_tessellation_shader')
GL_PATCH_DEFAULT_OUTER_LEVEL = Enumerant('GL_PATCH_DEFAULT_OUTER_LEVEL', 0x8e74, 'GL_ARB_tessellation_shader')
GL_PATCH_VERTICES = Enumerant('GL_PATCH_VERTICES', 0x8e72, 'GL_ARB_tessellation_shader')
GL_TESS_CONTROL_OUTPUT_VERTICES = Enumerant('GL_TESS_CONTROL_OUTPUT_VERTICES', 0x8e75, 'GL_ARB_tessellation_shader')
GL_TESS_CONTROL_SHADER = Enumerant('GL_TESS_CONTROL_SHADER', 0x8e88, 'GL_ARB_tessellation_shader')
GL_TESS_EVALUATION_SHADER = Enumerant('GL_TESS_EVALUATION_SHADER', 0x8e87, 'GL_ARB_tessellation_shader')
GL_TESS_GEN_MODE = Enumerant('GL_TESS_GEN_MODE', 0x8e76, 'GL_ARB_tessellation_shader')
GL_TESS_GEN_POINT_MODE = Enumerant('GL_TESS_GEN_POINT_MODE', 0x8e79, 'GL_ARB_tessellation_shader')
GL_TESS_GEN_SPACING = Enumerant('GL_TESS_GEN_SPACING', 0x8e77, 'GL_ARB_tessellation_shader')
GL_TESS_GEN_VERTEX_ORDER = Enumerant('GL_TESS_GEN_VERTEX_ORDER', 0x8e78, 'GL_ARB_tessellation_shader')
GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER = Enumerant('GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER', 0x84f0, 'GL_ARB_tessellation_shader')
GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER = Enumerant('GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER', 0x84f1, 'GL_ARB_tessellation_shader')

defines.add(GL_FRACTIONAL_EVEN)
defines.add(GL_FRACTIONAL_ODD)
defines.add(GL_ISOLINES)
defines.add(GL_MAX_COMBINED_TESS_CONTROL_UNIFORM_COMPONENTS)
defines.add(GL_MAX_COMBINED_TESS_EVALUATION_UNIFORM_COMPONENTS)
defines.add(GL_MAX_PATCH_VERTICES)
defines.add(GL_MAX_TESS_CONTROL_INPUT_COMPONENTS)
defines.add(GL_MAX_TESS_CONTROL_OUTPUT_COMPONENTS)
defines.add(GL_MAX_TESS_CONTROL_TEXTURE_IMAGE_UNITS)
defines.add(GL_MAX_TESS_CONTROL_TOTAL_OUTPUT_COMPONENTS)
defines.add(GL_MAX_TESS_CONTROL_UNIFORM_BLOCKS)
defines.add(GL_MAX_TESS_CONTROL_UNIFORM_COMPONENTS)
defines.add(GL_MAX_TESS_EVALUATION_INPUT_COMPONENTS)
defines.add(GL_MAX_TESS_EVALUATION_OUTPUT_COMPONENTS)
defines.add(GL_MAX_TESS_EVALUATION_TEXTURE_IMAGE_UNITS)
defines.add(GL_MAX_TESS_EVALUATION_UNIFORM_BLOCKS)
defines.add(GL_MAX_TESS_EVALUATION_UNIFORM_COMPONENTS)
defines.add(GL_MAX_TESS_GEN_LEVEL)
defines.add(GL_MAX_TESS_PATCH_COMPONENTS)
defines.add(GL_PATCHES)
defines.add(GL_PATCH_DEFAULT_INNER_LEVEL)
defines.add(GL_PATCH_DEFAULT_OUTER_LEVEL)
defines.add(GL_PATCH_VERTICES)
defines.add(GL_TESS_CONTROL_OUTPUT_VERTICES)
defines.add(GL_TESS_CONTROL_SHADER)
defines.add(GL_TESS_EVALUATION_SHADER)
defines.add(GL_TESS_GEN_MODE)
defines.add(GL_TESS_GEN_POINT_MODE)
defines.add(GL_TESS_GEN_SPACING)
defines.add(GL_TESS_GEN_VERTEX_ORDER)
defines.add(GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_CONTROL_SHADER)
defines.add(GL_UNIFORM_BLOCK_REFERENCED_BY_TESS_EVALUATION_SHADER)

# GL_ARB_texture_buffer_range

GL_TEXTURE_BUFFER_OFFSET = Enumerant('GL_TEXTURE_BUFFER_OFFSET', 0x919d, 'GL_ARB_texture_buffer_range')
GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT = Enumerant('GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT', 0x919f, 'GL_ARB_texture_buffer_range')
GL_TEXTURE_BUFFER_SIZE = Enumerant('GL_TEXTURE_BUFFER_SIZE', 0x919e, 'GL_ARB_texture_buffer_range')

defines.add(GL_TEXTURE_BUFFER_OFFSET)
defines.add(GL_TEXTURE_BUFFER_OFFSET_ALIGNMENT)
defines.add(GL_TEXTURE_BUFFER_SIZE)

# GL_ARB_texture_compression_rgtc

GL_COMPRESSED_RED_RGTC1 = Enumerant('GL_COMPRESSED_RED_RGTC1', 0x8dbb, 'GL_ARB_texture_compression_rgtc')
GL_COMPRESSED_RG_RGTC2 = Enumerant('GL_COMPRESSED_RG_RGTC2', 0x8dbd, 'GL_ARB_texture_compression_rgtc')
GL_COMPRESSED_SIGNED_RED_RGTC1 = Enumerant('GL_COMPRESSED_SIGNED_RED_RGTC1', 0x8dbc, 'GL_ARB_texture_compression_rgtc')
GL_COMPRESSED_SIGNED_RG_RGTC2 = Enumerant('GL_COMPRESSED_SIGNED_RG_RGTC2', 0x8dbe, 'GL_ARB_texture_compression_rgtc')

defines.add(GL_COMPRESSED_RED_RGTC1)
defines.add(GL_COMPRESSED_RG_RGTC2)
defines.add(GL_COMPRESSED_SIGNED_RED_RGTC1)
defines.add(GL_COMPRESSED_SIGNED_RG_RGTC2)

# GL_ARB_texture_mirror_clamp_to_edge

GL_MIRROR_CLAMP_TO_EDGE = Enumerant('GL_MIRROR_CLAMP_TO_EDGE', 0x8743, 'GL_ARB_texture_mirror_clamp_to_edge')

defines.add(GL_MIRROR_CLAMP_TO_EDGE)

# GL_ARB_texture_multisample

GL_INT_SAMPLER_2D_MULTISAMPLE = Enumerant('GL_INT_SAMPLER_2D_MULTISAMPLE', 0x9109, 'GL_ARB_texture_multisample')
GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY = Enumerant('GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY', 0x910c, 'GL_ARB_texture_multisample')
GL_MAX_COLOR_TEXTURE_SAMPLES = Enumerant('GL_MAX_COLOR_TEXTURE_SAMPLES', 0x910e, 'GL_ARB_texture_multisample')
GL_MAX_DEPTH_TEXTURE_SAMPLES = Enumerant('GL_MAX_DEPTH_TEXTURE_SAMPLES', 0x910f, 'GL_ARB_texture_multisample')
GL_MAX_INTEGER_SAMPLES = Enumerant('GL_MAX_INTEGER_SAMPLES', 0x9110, 'GL_ARB_texture_multisample')
GL_MAX_SAMPLE_MASK_WORDS = Enumerant('GL_MAX_SAMPLE_MASK_WORDS', 0x8e59, 'GL_ARB_texture_multisample')
GL_PROXY_TEXTURE_2D_MULTISAMPLE = Enumerant('GL_PROXY_TEXTURE_2D_MULTISAMPLE', 0x9101, 'GL_ARB_texture_multisample')
GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY = Enumerant('GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY', 0x9103, 'GL_ARB_texture_multisample')
GL_SAMPLER_2D_MULTISAMPLE = Enumerant('GL_SAMPLER_2D_MULTISAMPLE', 0x9108, 'GL_ARB_texture_multisample')
GL_SAMPLER_2D_MULTISAMPLE_ARRAY = Enumerant('GL_SAMPLER_2D_MULTISAMPLE_ARRAY', 0x910b, 'GL_ARB_texture_multisample')
GL_SAMPLE_MASK = Enumerant('GL_SAMPLE_MASK', 0x8e51, 'GL_ARB_texture_multisample')
GL_SAMPLE_MASK.enableCap = True
GL_SAMPLE_MASK_VALUE = Enumerant('GL_SAMPLE_MASK_VALUE', 0x8e52, 'GL_ARB_texture_multisample')
GL_SAMPLE_POSITION = Enumerant('GL_SAMPLE_POSITION', 0x8e50, 'GL_ARB_texture_multisample')
GL_TEXTURE_2D_MULTISAMPLE = Enumerant('GL_TEXTURE_2D_MULTISAMPLE', 0x9100, 'GL_ARB_texture_multisample')
GL_TEXTURE_2D_MULTISAMPLE_ARRAY = Enumerant('GL_TEXTURE_2D_MULTISAMPLE_ARRAY', 0x9102, 'GL_ARB_texture_multisample')
GL_TEXTURE_BINDING_2D_MULTISAMPLE = Enumerant('GL_TEXTURE_BINDING_2D_MULTISAMPLE', 0x9104, 'GL_ARB_texture_multisample')
GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY = Enumerant('GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY', 0x9105, 'GL_ARB_texture_multisample')
GL_TEXTURE_FIXED_SAMPLE_LOCATIONS = Enumerant('GL_TEXTURE_FIXED_SAMPLE_LOCATIONS', 0x9107, 'GL_ARB_texture_multisample')
GL_TEXTURE_SAMPLES = Enumerant('GL_TEXTURE_SAMPLES', 0x9106, 'GL_ARB_texture_multisample')
GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE = Enumerant('GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE', 0x910a, 'GL_ARB_texture_multisample')
GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY = Enumerant('GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY', 0x910d, 'GL_ARB_texture_multisample')

defines.add(GL_INT_SAMPLER_2D_MULTISAMPLE)
defines.add(GL_INT_SAMPLER_2D_MULTISAMPLE_ARRAY)
defines.add(GL_MAX_COLOR_TEXTURE_SAMPLES)
defines.add(GL_MAX_DEPTH_TEXTURE_SAMPLES)
defines.add(GL_MAX_INTEGER_SAMPLES)
defines.add(GL_MAX_SAMPLE_MASK_WORDS)
defines.add(GL_PROXY_TEXTURE_2D_MULTISAMPLE)
defines.add(GL_PROXY_TEXTURE_2D_MULTISAMPLE_ARRAY)
defines.add(GL_SAMPLER_2D_MULTISAMPLE)
defines.add(GL_SAMPLER_2D_MULTISAMPLE_ARRAY)
defines.add(GL_SAMPLE_MASK)
defines.add(GL_SAMPLE_MASK_VALUE)
defines.add(GL_SAMPLE_POSITION)
defines.add(GL_TEXTURE_2D_MULTISAMPLE)
defines.add(GL_TEXTURE_2D_MULTISAMPLE_ARRAY)
defines.add(GL_TEXTURE_BINDING_2D_MULTISAMPLE)
defines.add(GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY)
defines.add(GL_TEXTURE_FIXED_SAMPLE_LOCATIONS)
defines.add(GL_TEXTURE_SAMPLES)
defines.add(GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE)
defines.add(GL_UNSIGNED_INT_SAMPLER_2D_MULTISAMPLE_ARRAY)

# GL_ARB_texture_rg

GL_COMPRESSED_RED = Enumerant('GL_COMPRESSED_RED', 0x8225, 'GL_ARB_texture_rg')
GL_COMPRESSED_RG = Enumerant('GL_COMPRESSED_RG', 0x8226, 'GL_ARB_texture_rg')
GL_R16 = Enumerant('GL_R16', 0x822a, 'GL_ARB_texture_rg')
GL_R16F = Enumerant('GL_R16F', 0x822d, 'GL_ARB_texture_rg')
GL_R16I = Enumerant('GL_R16I', 0x8233, 'GL_ARB_texture_rg')
GL_R16UI = Enumerant('GL_R16UI', 0x8234, 'GL_ARB_texture_rg')
GL_R32F = Enumerant('GL_R32F', 0x822e, 'GL_ARB_texture_rg')
GL_R32I = Enumerant('GL_R32I', 0x8235, 'GL_ARB_texture_rg')
GL_R32UI = Enumerant('GL_R32UI', 0x8236, 'GL_ARB_texture_rg')
GL_R8 = Enumerant('GL_R8', 0x8229, 'GL_ARB_texture_rg')
GL_R8I = Enumerant('GL_R8I', 0x8231, 'GL_ARB_texture_rg')
GL_R8UI = Enumerant('GL_R8UI', 0x8232, 'GL_ARB_texture_rg')
GL_RG = Enumerant('GL_RG', 0x8227, 'GL_ARB_texture_rg')
GL_RG16 = Enumerant('GL_RG16', 0x822c, 'GL_ARB_texture_rg')
GL_RG16F = Enumerant('GL_RG16F', 0x822f, 'GL_ARB_texture_rg')
GL_RG16I = Enumerant('GL_RG16I', 0x8239, 'GL_ARB_texture_rg')
GL_RG16UI = Enumerant('GL_RG16UI', 0x823a, 'GL_ARB_texture_rg')
GL_RG32F = Enumerant('GL_RG32F', 0x8230, 'GL_ARB_texture_rg')
GL_RG32I = Enumerant('GL_RG32I', 0x823b, 'GL_ARB_texture_rg')
GL_RG32UI = Enumerant('GL_RG32UI', 0x823c, 'GL_ARB_texture_rg')
GL_RG8 = Enumerant('GL_RG8', 0x822b, 'GL_ARB_texture_rg')
GL_RG8I = Enumerant('GL_RG8I', 0x8237, 'GL_ARB_texture_rg')
GL_RG8UI = Enumerant('GL_RG8UI', 0x8238, 'GL_ARB_texture_rg')
GL_RG_INTEGER = Enumerant('GL_RG_INTEGER', 0x8228, 'GL_ARB_texture_rg')

defines.add(GL_COMPRESSED_RED)
defines.add(GL_COMPRESSED_RG)
defines.add(GL_R16)
defines.add(GL_R16F)
defines.add(GL_R16I)
defines.add(GL_R16UI)
defines.add(GL_R32F)
defines.add(GL_R32I)
defines.add(GL_R32UI)
defines.add(GL_R8)
defines.add(GL_R8I)
defines.add(GL_R8UI)
defines.add(GL_RG)
defines.add(GL_RG16)
defines.add(GL_RG16F)
defines.add(GL_RG16I)
defines.add(GL_RG16UI)
defines.add(GL_RG32F)
defines.add(GL_RG32I)
defines.add(GL_RG32UI)
defines.add(GL_RG8)
defines.add(GL_RG8I)
defines.add(GL_RG8UI)
defines.add(GL_RG_INTEGER)

# GL_ARB_texture_rgb10_a2ui

GL_RGB10_A2UI = Enumerant('GL_RGB10_A2UI', 0x906f, 'GL_ARB_texture_rgb10_a2ui')

defines.add(GL_RGB10_A2UI)

# GL_ARB_texture_storage

GL_TEXTURE_IMMUTABLE_FORMAT = Enumerant('GL_TEXTURE_IMMUTABLE_FORMAT', 0x912f, 'GL_ARB_texture_storage')

defines.add(GL_TEXTURE_IMMUTABLE_FORMAT)

# GL_ARB_texture_swizzle

GL_TEXTURE_SWIZZLE_A = Enumerant('GL_TEXTURE_SWIZZLE_A', 0x8e45, 'GL_ARB_texture_swizzle')
GL_TEXTURE_SWIZZLE_B = Enumerant('GL_TEXTURE_SWIZZLE_B', 0x8e44, 'GL_ARB_texture_swizzle')
GL_TEXTURE_SWIZZLE_G = Enumerant('GL_TEXTURE_SWIZZLE_G', 0x8e43, 'GL_ARB_texture_swizzle')
GL_TEXTURE_SWIZZLE_R = Enumerant('GL_TEXTURE_SWIZZLE_R', 0x8e42, 'GL_ARB_texture_swizzle')
GL_TEXTURE_SWIZZLE_RGBA = Enumerant('GL_TEXTURE_SWIZZLE_RGBA', 0x8e46, 'GL_ARB_texture_swizzle')

defines.add(GL_TEXTURE_SWIZZLE_A)
defines.add(GL_TEXTURE_SWIZZLE_B)
defines.add(GL_TEXTURE_SWIZZLE_G)
defines.add(GL_TEXTURE_SWIZZLE_R)
defines.add(GL_TEXTURE_SWIZZLE_RGBA)

# GL_ARB_texture_view

GL_TEXTURE_IMMUTABLE_LEVELS = Enumerant('GL_TEXTURE_IMMUTABLE_LEVELS', 0x82df, 'GL_ARB_texture_view')
GL_TEXTURE_VIEW_MIN_LAYER = Enumerant('GL_TEXTURE_VIEW_MIN_LAYER', 0x82dd, 'GL_ARB_texture_view')
GL_TEXTURE_VIEW_MIN_LEVEL = Enumerant('GL_TEXTURE_VIEW_MIN_LEVEL', 0x82db, 'GL_ARB_texture_view')
GL_TEXTURE_VIEW_NUM_LAYERS = Enumerant('GL_TEXTURE_VIEW_NUM_LAYERS', 0x82de, 'GL_ARB_texture_view')
GL_TEXTURE_VIEW_NUM_LEVELS = Enumerant('GL_TEXTURE_VIEW_NUM_LEVELS', 0x82dc, 'GL_ARB_texture_view')

defines.add(GL_TEXTURE_IMMUTABLE_LEVELS)
defines.add(GL_TEXTURE_VIEW_MIN_LAYER)
defines.add(GL_TEXTURE_VIEW_MIN_LEVEL)
defines.add(GL_TEXTURE_VIEW_NUM_LAYERS)
defines.add(GL_TEXTURE_VIEW_NUM_LEVELS)

# GL_ARB_timer_query

GL_TIMESTAMP = Enumerant('GL_TIMESTAMP', 0x8e28, 'GL_ARB_timer_query')
GL_TIME_ELAPSED = Enumerant('GL_TIME_ELAPSED', 0x88bf, 'GL_ARB_timer_query')

defines.add(GL_TIMESTAMP)
defines.add(GL_TIME_ELAPSED)
# GL_ARB_transform_feedback2

GL_TRANSFORM_FEEDBACK = Enumerant('GL_TRANSFORM_FEEDBACK', 0x8e22, 'GL_ARB_transform_feedback2')
GL_TRANSFORM_FEEDBACK_BINDING = Enumerant('GL_TRANSFORM_FEEDBACK_BINDING', 0x8e25, 'GL_ARB_transform_feedback2')
GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE = Enumerant('GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE', 0x8e24, 'GL_ARB_transform_feedback2')
GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED = Enumerant('GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED', 0x8e23, 'GL_ARB_transform_feedback2')

defines.add(GL_TRANSFORM_FEEDBACK)
defines.add(GL_TRANSFORM_FEEDBACK_BINDING)
defines.add(GL_TRANSFORM_FEEDBACK_BUFFER_ACTIVE)
defines.add(GL_TRANSFORM_FEEDBACK_BUFFER_PAUSED)

# GL_ARB_transform_feedback3

GL_MAX_TRANSFORM_FEEDBACK_BUFFERS = Enumerant('GL_MAX_TRANSFORM_FEEDBACK_BUFFERS', 0x8e70, 'GL_ARB_transform_feedback3')

defines.add(GL_MAX_TRANSFORM_FEEDBACK_BUFFERS)

# GL_ARB_query_buffer_object

GL_QUERY_BUFFER = Enumerant('GL_QUERY_BUFFER', 0x9192, 'GL_ARB_query_buffer_object')
GL_QUERY_BUFFER_BARRIER_BIT = Enumerant('GL_QUERY_BUFFER_BARRIER_BIT', 0x8000, 'GL_ARB_query_buffer_object')
GL_QUERY_BUFFER_BINDING = Enumerant('GL_QUERY_BUFFER_BINDING', 0x9193, 'GL_ARB_query_buffer_object')
GL_QUERY_RESULT_NO_WAIT = Enumerant('GL_QUERY_RESULT_NO_WAIT', 0x9194, 'GL_ARB_query_buffer_object')

defines.add(GL_QUERY_BUFFER)
defines.add(GL_QUERY_BUFFER_BARRIER_BIT)
defines.add(GL_QUERY_BUFFER_BINDING)
defines.add(GL_QUERY_RESULT_NO_WAIT)
# GL_ARB_uniform_buffer_object

GL_ACTIVE_UNIFORM_BLOCKS = Enumerant('GL_ACTIVE_UNIFORM_BLOCKS', 0x8a36, 'GL_ARB_uniform_buffer_object')
GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH = Enumerant('GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH', 0x8a35, 'GL_ARB_uniform_buffer_object')
GL_INVALID_INDEX = Enumerant('GL_INVALID_INDEX', 0xffffffff, 'GL_ARB_uniform_buffer_object')
GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS = Enumerant('GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS', 0x8a33, 'GL_ARB_uniform_buffer_object')
GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS = Enumerant('GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS', 0x8a32, 'GL_ARB_uniform_buffer_object')
GL_MAX_COMBINED_UNIFORM_BLOCKS = Enumerant('GL_MAX_COMBINED_UNIFORM_BLOCKS', 0x8a2e, 'GL_ARB_uniform_buffer_object')
GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS = Enumerant('GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS', 0x8a31, 'GL_ARB_uniform_buffer_object')
GL_MAX_FRAGMENT_UNIFORM_BLOCKS = Enumerant('GL_MAX_FRAGMENT_UNIFORM_BLOCKS', 0x8a2d, 'GL_ARB_uniform_buffer_object')
GL_MAX_GEOMETRY_UNIFORM_BLOCKS = Enumerant('GL_MAX_GEOMETRY_UNIFORM_BLOCKS', 0x8a2c, 'GL_ARB_uniform_buffer_object')
GL_MAX_UNIFORM_BLOCK_SIZE = Enumerant('GL_MAX_UNIFORM_BLOCK_SIZE', 0x8a30, 'GL_ARB_uniform_buffer_object')
GL_MAX_UNIFORM_BUFFER_BINDINGS = Enumerant('GL_MAX_UNIFORM_BUFFER_BINDINGS', 0x8a2f, 'GL_ARB_uniform_buffer_object')
GL_MAX_VERTEX_UNIFORM_BLOCKS = Enumerant('GL_MAX_VERTEX_UNIFORM_BLOCKS', 0x8a2b, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_ARRAY_STRIDE = Enumerant('GL_UNIFORM_ARRAY_STRIDE', 0x8a3c, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS = Enumerant('GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS', 0x8a42, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES = Enumerant('GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES', 0x8a43, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_BLOCK_BINDING = Enumerant('GL_UNIFORM_BLOCK_BINDING', 0x8a3f, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_BLOCK_DATA_SIZE = Enumerant('GL_UNIFORM_BLOCK_DATA_SIZE', 0x8a40, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_BLOCK_INDEX = Enumerant('GL_UNIFORM_BLOCK_INDEX', 0x8a3a, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_BLOCK_NAME_LENGTH = Enumerant('GL_UNIFORM_BLOCK_NAME_LENGTH', 0x8a41, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER = Enumerant('GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER', 0x8a46, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER = Enumerant('GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER', 0x8a45, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER = Enumerant('GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER', 0x8a44, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_BUFFER = Enumerant('GL_UNIFORM_BUFFER', 0x8a11, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_BUFFER_BINDING = Enumerant('GL_UNIFORM_BUFFER_BINDING', 0x8a28, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT = Enumerant('GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT', 0x8a34, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_BUFFER_SIZE = Enumerant('GL_UNIFORM_BUFFER_SIZE', 0x8a2a, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_BUFFER_START = Enumerant('GL_UNIFORM_BUFFER_START', 0x8a29, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_IS_ROW_MAJOR = Enumerant('GL_UNIFORM_IS_ROW_MAJOR', 0x8a3e, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_MATRIX_STRIDE = Enumerant('GL_UNIFORM_MATRIX_STRIDE', 0x8a3d, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_NAME_LENGTH = Enumerant('GL_UNIFORM_NAME_LENGTH', 0x8a39, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_OFFSET = Enumerant('GL_UNIFORM_OFFSET', 0x8a3b, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_SIZE = Enumerant('GL_UNIFORM_SIZE', 0x8a38, 'GL_ARB_uniform_buffer_object')
GL_UNIFORM_TYPE = Enumerant('GL_UNIFORM_TYPE', 0x8a37, 'GL_ARB_uniform_buffer_object')

defines.add(GL_ACTIVE_UNIFORM_BLOCKS)
defines.add(GL_ACTIVE_UNIFORM_BLOCK_MAX_NAME_LENGTH)
defines.add(GL_INVALID_INDEX)
defines.add(GL_MAX_COMBINED_FRAGMENT_UNIFORM_COMPONENTS)
defines.add(GL_MAX_COMBINED_GEOMETRY_UNIFORM_COMPONENTS)
defines.add(GL_MAX_COMBINED_UNIFORM_BLOCKS)
defines.add(GL_MAX_COMBINED_VERTEX_UNIFORM_COMPONENTS)
defines.add(GL_MAX_FRAGMENT_UNIFORM_BLOCKS)
defines.add(GL_MAX_GEOMETRY_UNIFORM_BLOCKS)
defines.add(GL_MAX_UNIFORM_BLOCK_SIZE)
defines.add(GL_MAX_UNIFORM_BUFFER_BINDINGS)
defines.add(GL_MAX_VERTEX_UNIFORM_BLOCKS)
defines.add(GL_UNIFORM_ARRAY_STRIDE)
defines.add(GL_UNIFORM_BLOCK_ACTIVE_UNIFORMS)
defines.add(GL_UNIFORM_BLOCK_ACTIVE_UNIFORM_INDICES)
defines.add(GL_UNIFORM_BLOCK_BINDING)
defines.add(GL_UNIFORM_BLOCK_DATA_SIZE)
defines.add(GL_UNIFORM_BLOCK_INDEX)
defines.add(GL_UNIFORM_BLOCK_NAME_LENGTH)
defines.add(GL_UNIFORM_BLOCK_REFERENCED_BY_FRAGMENT_SHADER)
defines.add(GL_UNIFORM_BLOCK_REFERENCED_BY_GEOMETRY_SHADER)
defines.add(GL_UNIFORM_BLOCK_REFERENCED_BY_VERTEX_SHADER)
defines.add(GL_UNIFORM_BUFFER)
defines.add(GL_UNIFORM_BUFFER_BINDING)
defines.add(GL_UNIFORM_BUFFER_OFFSET_ALIGNMENT)
defines.add(GL_UNIFORM_BUFFER_SIZE)
defines.add(GL_UNIFORM_BUFFER_START)
defines.add(GL_UNIFORM_IS_ROW_MAJOR)
defines.add(GL_UNIFORM_MATRIX_STRIDE)
defines.add(GL_UNIFORM_NAME_LENGTH)
defines.add(GL_UNIFORM_OFFSET)
defines.add(GL_UNIFORM_SIZE)
defines.add(GL_UNIFORM_TYPE)

# GL_ARB_vertex_array_object

GL_VERTEX_ARRAY_BINDING = Enumerant('GL_VERTEX_ARRAY_BINDING', 0x85b5, 'GL_ARB_vertex_array_object')

defines.add(GL_VERTEX_ARRAY_BINDING)

# GL_ARB_vertex_attrib_binding

GL_MAX_VERTEX_ATTRIB_BINDINGS = Enumerant('GL_MAX_VERTEX_ATTRIB_BINDINGS', 0x82da, 'GL_ARB_vertex_attrib_binding')
GL_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET = Enumerant('GL_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET', 0x82d9, 'GL_ARB_vertex_attrib_binding')
GL_VERTEX_ATTRIB_BINDING = Enumerant('GL_VERTEX_ATTRIB_BINDING', 0x82d4, 'GL_ARB_vertex_attrib_binding')
GL_VERTEX_ATTRIB_RELATIVE_OFFSET = Enumerant('GL_VERTEX_ATTRIB_RELATIVE_OFFSET', 0x82d5, 'GL_ARB_vertex_attrib_binding')
GL_VERTEX_BINDING_DIVISOR = Enumerant('GL_VERTEX_BINDING_DIVISOR', 0x82d6, 'GL_ARB_vertex_attrib_binding')
GL_VERTEX_BINDING_OFFSET = Enumerant('GL_VERTEX_BINDING_OFFSET', 0x82d7, 'GL_ARB_vertex_attrib_binding')
GL_VERTEX_BINDING_STRIDE = Enumerant('GL_VERTEX_BINDING_STRIDE', 0x82d8, 'GL_ARB_vertex_attrib_binding')

defines.add(GL_MAX_VERTEX_ATTRIB_BINDINGS)
defines.add(GL_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET)
defines.add(GL_VERTEX_ATTRIB_BINDING)
defines.add(GL_VERTEX_ATTRIB_RELATIVE_OFFSET)
defines.add(GL_VERTEX_BINDING_DIVISOR)
defines.add(GL_VERTEX_BINDING_OFFSET)
defines.add(GL_VERTEX_BINDING_STRIDE)


# GL_ARB_vertex_program

GL_CURRENT_MATRIX_ARB = Enumerant('GL_CURRENT_MATRIX_ARB', 0x8641, 'GL_ARB_vertex_program')
GL_CURRENT_MATRIX_STACK_DEPTH_ARB = Enumerant('GL_CURRENT_MATRIX_STACK_DEPTH_ARB', 0x8640, 'GL_ARB_vertex_program')
GL_MATRIX0_ARB = Enumerant('GL_MATRIX0_ARB', 0x88c0, 'GL_ARB_vertex_program')
GL_MATRIX10_ARB = Enumerant('GL_MATRIX10_ARB', 0x88ca, 'GL_ARB_vertex_program')
GL_MATRIX11_ARB = Enumerant('GL_MATRIX11_ARB', 0x88cb, 'GL_ARB_vertex_program')
GL_MATRIX12_ARB = Enumerant('GL_MATRIX12_ARB', 0x88cc, 'GL_ARB_vertex_program')
GL_MATRIX13_ARB = Enumerant('GL_MATRIX13_ARB', 0x88cd, 'GL_ARB_vertex_program')
GL_MATRIX14_ARB = Enumerant('GL_MATRIX14_ARB', 0x88ce, 'GL_ARB_vertex_program')
GL_MATRIX15_ARB = Enumerant('GL_MATRIX15_ARB', 0x88cf, 'GL_ARB_vertex_program')
GL_MATRIX16_ARB = Enumerant('GL_MATRIX16_ARB', 0x88d0, 'GL_ARB_vertex_program')
GL_MATRIX17_ARB = Enumerant('GL_MATRIX17_ARB', 0x88d1, 'GL_ARB_vertex_program')
GL_MATRIX18_ARB = Enumerant('GL_MATRIX18_ARB', 0x88d2, 'GL_ARB_vertex_program')
GL_MATRIX19_ARB = Enumerant('GL_MATRIX19_ARB', 0x88d3, 'GL_ARB_vertex_program')
GL_MATRIX1_ARB = Enumerant('GL_MATRIX1_ARB', 0x88c1, 'GL_ARB_vertex_program')
GL_MATRIX20_ARB = Enumerant('GL_MATRIX20_ARB', 0x88d4, 'GL_ARB_vertex_program')
GL_MATRIX21_ARB = Enumerant('GL_MATRIX21_ARB', 0x88d5, 'GL_ARB_vertex_program')
GL_MATRIX22_ARB = Enumerant('GL_MATRIX22_ARB', 0x88d6, 'GL_ARB_vertex_program')
GL_MATRIX23_ARB = Enumerant('GL_MATRIX23_ARB', 0x88d7, 'GL_ARB_vertex_program')
GL_MATRIX24_ARB = Enumerant('GL_MATRIX24_ARB', 0x88d8, 'GL_ARB_vertex_program')
GL_MATRIX25_ARB = Enumerant('GL_MATRIX25_ARB', 0x88d9, 'GL_ARB_vertex_program')
GL_MATRIX26_ARB = Enumerant('GL_MATRIX26_ARB', 0x88da, 'GL_ARB_vertex_program')
GL_MATRIX27_ARB = Enumerant('GL_MATRIX27_ARB', 0x88db, 'GL_ARB_vertex_program')
GL_MATRIX28_ARB = Enumerant('GL_MATRIX28_ARB', 0x88dc, 'GL_ARB_vertex_program')
GL_MATRIX29_ARB = Enumerant('GL_MATRIX29_ARB', 0x88dd, 'GL_ARB_vertex_program')
GL_MATRIX2_ARB = Enumerant('GL_MATRIX2_ARB', 0x88c2, 'GL_ARB_vertex_program')
GL_MATRIX30_ARB = Enumerant('GL_MATRIX30_ARB', 0x88de, 'GL_ARB_vertex_program')
GL_MATRIX31_ARB = Enumerant('GL_MATRIX31_ARB', 0x88df, 'GL_ARB_vertex_program')
GL_MATRIX3_ARB = Enumerant('GL_MATRIX3_ARB', 0x88c3, 'GL_ARB_vertex_program')
GL_MATRIX4_ARB = Enumerant('GL_MATRIX4_ARB', 0x88c4, 'GL_ARB_vertex_program')
GL_MATRIX5_ARB = Enumerant('GL_MATRIX5_ARB', 0x88c5, 'GL_ARB_vertex_program')
GL_MATRIX6_ARB = Enumerant('GL_MATRIX6_ARB', 0x88c6, 'GL_ARB_vertex_program')
GL_MATRIX7_ARB = Enumerant('GL_MATRIX7_ARB', 0x88c7, 'GL_ARB_vertex_program')
GL_MATRIX8_ARB = Enumerant('GL_MATRIX8_ARB', 0x88c8, 'GL_ARB_vertex_program')
GL_MATRIX9_ARB = Enumerant('GL_MATRIX9_ARB', 0x88c9, 'GL_ARB_vertex_program')
GL_MAX_PROGRAM_ATTRIBS_ARB = Enumerant('GL_MAX_PROGRAM_ATTRIBS_ARB', 0x88ad, 'GL_ARB_vertex_program')
GL_MAX_PROGRAM_ENV_PARAMETERS_ARB = Enumerant('GL_MAX_PROGRAM_ENV_PARAMETERS_ARB', 0x88b5, 'GL_ARB_vertex_program')
GL_MAX_PROGRAM_INSTRUCTIONS_ARB = Enumerant('GL_MAX_PROGRAM_INSTRUCTIONS_ARB', 0x88a1, 'GL_ARB_vertex_program')
GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB = Enumerant('GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB', 0x88b4, 'GL_ARB_vertex_program')
GL_MAX_PROGRAM_MATRICES_ARB = Enumerant('GL_MAX_PROGRAM_MATRICES_ARB', 0x862f, 'GL_ARB_vertex_program')
GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB = Enumerant('GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB', 0x862e, 'GL_ARB_vertex_program')
GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB = Enumerant('GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB', 0x88af, 'GL_ARB_vertex_program')
GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB = Enumerant('GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB', 0x88a3, 'GL_ARB_vertex_program')
GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB = Enumerant('GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB', 0x88ab, 'GL_ARB_vertex_program')
GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB = Enumerant('GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB', 0x88a7, 'GL_ARB_vertex_program')
GL_MAX_PROGRAM_PARAMETERS_ARB = Enumerant('GL_MAX_PROGRAM_PARAMETERS_ARB', 0x88a9, 'GL_ARB_vertex_program')
GL_MAX_PROGRAM_TEMPORARIES_ARB = Enumerant('GL_MAX_PROGRAM_TEMPORARIES_ARB', 0x88a5, 'GL_ARB_vertex_program')
GL_PROGRAM_ATTRIBS_ARB = Enumerant('GL_PROGRAM_ATTRIBS_ARB', 0x88ac, 'GL_ARB_vertex_program')
GL_PROGRAM_BINDING_ARB = Enumerant('GL_PROGRAM_BINDING_ARB', 0x8677, 'GL_ARB_vertex_program')
GL_PROGRAM_ERROR_POSITION_ARB = Enumerant('GL_PROGRAM_ERROR_POSITION_ARB', 0x864b, 'GL_ARB_vertex_program')
GL_PROGRAM_ERROR_STRING_ARB = Enumerant('GL_PROGRAM_ERROR_STRING_ARB', 0x8874, 'GL_ARB_vertex_program')
GL_PROGRAM_FORMAT_ARB = Enumerant('GL_PROGRAM_FORMAT_ARB', 0x8876, 'GL_ARB_vertex_program')
GL_PROGRAM_FORMAT_ASCII_ARB = Enumerant('GL_PROGRAM_FORMAT_ASCII_ARB', 0x8875, 'GL_ARB_vertex_program')
GL_PROGRAM_INSTRUCTIONS_ARB = Enumerant('GL_PROGRAM_INSTRUCTIONS_ARB', 0x88a0, 'GL_ARB_vertex_program')
GL_PROGRAM_LENGTH_ARB = Enumerant('GL_PROGRAM_LENGTH_ARB', 0x8627, 'GL_ARB_vertex_program')
GL_PROGRAM_NATIVE_ATTRIBS_ARB = Enumerant('GL_PROGRAM_NATIVE_ATTRIBS_ARB', 0x88ae, 'GL_ARB_vertex_program')
GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB = Enumerant('GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB', 0x88a2, 'GL_ARB_vertex_program')
GL_PROGRAM_NATIVE_PARAMETERS_ARB = Enumerant('GL_PROGRAM_NATIVE_PARAMETERS_ARB', 0x88aa, 'GL_ARB_vertex_program')
GL_PROGRAM_NATIVE_TEMPORARIES_ARB = Enumerant('GL_PROGRAM_NATIVE_TEMPORARIES_ARB', 0x88a6, 'GL_ARB_vertex_program')
GL_PROGRAM_PARAMETERS_ARB = Enumerant('GL_PROGRAM_PARAMETERS_ARB', 0x88a8, 'GL_ARB_vertex_program')
GL_PROGRAM_STRING_ARB = Enumerant('GL_PROGRAM_STRING_ARB', 0x8628, 'GL_ARB_vertex_program')
GL_PROGRAM_TEMPORARIES_ARB = Enumerant('GL_PROGRAM_TEMPORARIES_ARB', 0x88a4, 'GL_ARB_vertex_program')
GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB = Enumerant('GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB', 0x88b6, 'GL_ARB_vertex_program')
GL_TRANSPOSE_CURRENT_MATRIX_ARB = Enumerant('GL_TRANSPOSE_CURRENT_MATRIX_ARB', 0x88b7, 'GL_ARB_vertex_program')

defines.add(GL_CURRENT_MATRIX_ARB)
defines.add(GL_CURRENT_MATRIX_STACK_DEPTH_ARB)
defines.add(GL_MATRIX0_ARB)
defines.add(GL_MATRIX10_ARB)
defines.add(GL_MATRIX11_ARB)
defines.add(GL_MATRIX12_ARB)
defines.add(GL_MATRIX13_ARB)
defines.add(GL_MATRIX14_ARB)
defines.add(GL_MATRIX15_ARB)
defines.add(GL_MATRIX16_ARB)
defines.add(GL_MATRIX17_ARB)
defines.add(GL_MATRIX18_ARB)
defines.add(GL_MATRIX19_ARB)
defines.add(GL_MATRIX1_ARB)
defines.add(GL_MATRIX20_ARB)
defines.add(GL_MATRIX21_ARB)
defines.add(GL_MATRIX22_ARB)
defines.add(GL_MATRIX23_ARB)
defines.add(GL_MATRIX24_ARB)
defines.add(GL_MATRIX25_ARB)
defines.add(GL_MATRIX26_ARB)
defines.add(GL_MATRIX27_ARB)
defines.add(GL_MATRIX28_ARB)
defines.add(GL_MATRIX29_ARB)
defines.add(GL_MATRIX2_ARB)
defines.add(GL_MATRIX30_ARB)
defines.add(GL_MATRIX31_ARB)
defines.add(GL_MATRIX3_ARB)
defines.add(GL_MATRIX4_ARB)
defines.add(GL_MATRIX5_ARB)
defines.add(GL_MATRIX6_ARB)
defines.add(GL_MATRIX7_ARB)
defines.add(GL_MATRIX8_ARB)
defines.add(GL_MATRIX9_ARB)
defines.add(GL_MAX_PROGRAM_ATTRIBS_ARB)
defines.add(GL_MAX_PROGRAM_ENV_PARAMETERS_ARB)
defines.add(GL_MAX_PROGRAM_INSTRUCTIONS_ARB)
defines.add(GL_MAX_PROGRAM_LOCAL_PARAMETERS_ARB)
defines.add(GL_MAX_PROGRAM_MATRICES_ARB)
defines.add(GL_MAX_PROGRAM_MATRIX_STACK_DEPTH_ARB)
defines.add(GL_MAX_PROGRAM_NATIVE_ATTRIBS_ARB)
defines.add(GL_MAX_PROGRAM_NATIVE_INSTRUCTIONS_ARB)
defines.add(GL_MAX_PROGRAM_NATIVE_PARAMETERS_ARB)
defines.add(GL_MAX_PROGRAM_NATIVE_TEMPORARIES_ARB)
defines.add(GL_MAX_PROGRAM_PARAMETERS_ARB)
defines.add(GL_MAX_PROGRAM_TEMPORARIES_ARB)
defines.add(GL_PROGRAM_ATTRIBS_ARB)
defines.add(GL_PROGRAM_BINDING_ARB)
defines.add(GL_PROGRAM_ERROR_POSITION_ARB)
defines.add(GL_PROGRAM_ERROR_STRING_ARB)
defines.add(GL_PROGRAM_FORMAT_ARB)
defines.add(GL_PROGRAM_FORMAT_ASCII_ARB)
defines.add(GL_PROGRAM_INSTRUCTIONS_ARB)
defines.add(GL_PROGRAM_LENGTH_ARB)
defines.add(GL_PROGRAM_NATIVE_ATTRIBS_ARB)
defines.add(GL_PROGRAM_NATIVE_INSTRUCTIONS_ARB)
defines.add(GL_PROGRAM_NATIVE_PARAMETERS_ARB)
defines.add(GL_PROGRAM_NATIVE_TEMPORARIES_ARB)
defines.add(GL_PROGRAM_PARAMETERS_ARB)
defines.add(GL_PROGRAM_STRING_ARB)
defines.add(GL_PROGRAM_TEMPORARIES_ARB)
defines.add(GL_PROGRAM_UNDER_NATIVE_LIMITS_ARB)
defines.add(GL_TRANSPOSE_CURRENT_MATRIX_ARB)

# GL_ARB_vertex_type_2_10_10_10_rev

GL_INT_2_10_10_10_REV = Enumerant('GL_INT_2_10_10_10_REV', 0x8d9f, 'GL_ARB_vertex_type_2_10_10_10_rev')

defines.add(GL_INT_2_10_10_10_REV)

# GL_ARB_viewport_array

GL_LAYER_PROVOKING_VERTEX = Enumerant('GL_LAYER_PROVOKING_VERTEX', 0x825e, 'GL_ARB_viewport_array')
GL_MAX_VIEWPORTS = Enumerant('GL_MAX_VIEWPORTS', 0x825b, 'GL_ARB_viewport_array')
GL_UNDEFINED_VERTEX = Enumerant('GL_UNDEFINED_VERTEX', 0x8260, 'GL_ARB_viewport_array')
GL_VIEWPORT_BOUNDS_RANGE = Enumerant('GL_VIEWPORT_BOUNDS_RANGE', 0x825d, 'GL_ARB_viewport_array')
GL_VIEWPORT_INDEX_PROVOKING_VERTEX = Enumerant('GL_VIEWPORT_INDEX_PROVOKING_VERTEX', 0x825f, 'GL_ARB_viewport_array')
GL_VIEWPORT_SUBPIXEL_BITS = Enumerant('GL_VIEWPORT_SUBPIXEL_BITS', 0x825c, 'GL_ARB_viewport_array')

defines.add(GL_LAYER_PROVOKING_VERTEX)
defines.add(GL_MAX_VIEWPORTS)
defines.add(GL_UNDEFINED_VERTEX)
defines.add(GL_VIEWPORT_BOUNDS_RANGE)
defines.add(GL_VIEWPORT_INDEX_PROVOKING_VERTEX)
defines.add(GL_VIEWPORT_SUBPIXEL_BITS)

# GL_ATI_texture_compression_3dc

GL_COMPRESSED_LUMINANCE_ALPHA_3DC_ATI = Enumerant('GL_COMPRESSED_LUMINANCE_ALPHA_3DC_ATI', 0x8837, 'GL_ATI_texture_compression_3dc')

defines.add(GL_COMPRESSED_LUMINANCE_ALPHA_3DC_ATI)

# GL_EXT_Cg_shader

GL_CG_FRAGMENT_SHADER_EXT = Enumerant('GL_CG_FRAGMENT_SHADER_EXT', 0x890f, 'GL_EXT_Cg_shader')
GL_CG_VERTEX_SHADER_EXT = Enumerant('GL_CG_VERTEX_SHADER_EXT', 0x890e, 'GL_EXT_Cg_shader')

defines.add(GL_CG_FRAGMENT_SHADER_EXT)
defines.add(GL_CG_VERTEX_SHADER_EXT)

# GL_EXT_bgra

GL_BGRA_EXT = Enumerant('GL_BGRA_EXT', 0x80e1, 'GL_EXT_bgra')

defines.add(GL_BGRA_EXT)

# GL_EXT_fragment_lighting

GL_CURRENT_RASTER_NORMAL_EXT = Enumerant('GL_CURRENT_RASTER_NORMAL_EXT', 0x8406, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_COLOR_MATERIAL_EXT = Enumerant('GL_FRAGMENT_COLOR_MATERIAL_EXT', 0x8401, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_COLOR_MATERIAL_FACE_EXT = Enumerant('GL_FRAGMENT_COLOR_MATERIAL_FACE_EXT', 0x8402, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_COLOR_MATERIAL_PARAMETER_EXT = Enumerant('GL_FRAGMENT_COLOR_MATERIAL_PARAMETER_EXT', 0x8403, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_LIGHT0_EXT = Enumerant('GL_FRAGMENT_LIGHT0_EXT', 0x840c, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_LIGHT1_EXT = Enumerant('GL_FRAGMENT_LIGHT1_EXT', 0x840d, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_LIGHT2_EXT = Enumerant('GL_FRAGMENT_LIGHT2_EXT', 0x840e, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_LIGHT3_EXT = Enumerant('GL_FRAGMENT_LIGHT3_EXT', 0x840f, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_LIGHT4_EXT = Enumerant('GL_FRAGMENT_LIGHT4_EXT', 0x8410, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_LIGHT5_EXT = Enumerant('GL_FRAGMENT_LIGHT5_EXT', 0x8411, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_LIGHT6_EXT = Enumerant('GL_FRAGMENT_LIGHT6_EXT', 0x8412, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_LIGHT7_EXT = Enumerant('GL_FRAGMENT_LIGHT7_EXT', 0x8413, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_LIGHTING_EXT = Enumerant('GL_FRAGMENT_LIGHTING_EXT', 0x8400, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_LIGHT_MODEL_AMBIENT_EXT = Enumerant('GL_FRAGMENT_LIGHT_MODEL_AMBIENT_EXT', 0x840a, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_LIGHT_MODEL_LOCAL_VIEWER_EXT = Enumerant('GL_FRAGMENT_LIGHT_MODEL_LOCAL_VIEWER_EXT', 0x8408, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_LIGHT_MODEL_NORMAL_INTERPOLATION_EXT = Enumerant('GL_FRAGMENT_LIGHT_MODEL_NORMAL_INTERPOLATION_EXT', 0x840b, 'GL_EXT_fragment_lighting')
GL_FRAGMENT_LIGHT_MODEL_TWO_SIDE_EXT = Enumerant('GL_FRAGMENT_LIGHT_MODEL_TWO_SIDE_EXT', 0x8409, 'GL_EXT_fragment_lighting')
GL_LIGHT_ENV_MODE_EXT = Enumerant('GL_LIGHT_ENV_MODE_EXT', 0x8407, 'GL_EXT_fragment_lighting')
GL_MAX_ACTIVE_LIGHTS_EXT = Enumerant('GL_MAX_ACTIVE_LIGHTS_EXT', 0x8405, 'GL_EXT_fragment_lighting')
GL_MAX_FRAGMENT_LIGHTS_EXT = Enumerant('GL_MAX_FRAGMENT_LIGHTS_EXT', 0x8404, 'GL_EXT_fragment_lighting')

defines.add(GL_CURRENT_RASTER_NORMAL_EXT)
defines.add(GL_FRAGMENT_COLOR_MATERIAL_EXT)
defines.add(GL_FRAGMENT_COLOR_MATERIAL_FACE_EXT)
defines.add(GL_FRAGMENT_COLOR_MATERIAL_PARAMETER_EXT)
defines.add(GL_FRAGMENT_LIGHT0_EXT)
defines.add(GL_FRAGMENT_LIGHT1_EXT)
defines.add(GL_FRAGMENT_LIGHT2_EXT)
defines.add(GL_FRAGMENT_LIGHT3_EXT)
defines.add(GL_FRAGMENT_LIGHT4_EXT)
defines.add(GL_FRAGMENT_LIGHT5_EXT)
defines.add(GL_FRAGMENT_LIGHT6_EXT)
defines.add(GL_FRAGMENT_LIGHT7_EXT)
defines.add(GL_FRAGMENT_LIGHTING_EXT)
defines.add(GL_FRAGMENT_LIGHT_MODEL_AMBIENT_EXT)
defines.add(GL_FRAGMENT_LIGHT_MODEL_LOCAL_VIEWER_EXT)
defines.add(GL_FRAGMENT_LIGHT_MODEL_NORMAL_INTERPOLATION_EXT)
defines.add(GL_FRAGMENT_LIGHT_MODEL_TWO_SIDE_EXT)
defines.add(GL_LIGHT_ENV_MODE_EXT)
defines.add(GL_MAX_ACTIVE_LIGHTS_EXT)
defines.add(GL_MAX_FRAGMENT_LIGHTS_EXT)


# GL_EXT_framebuffer_object

GL_COLOR_ATTACHMENT0_EXT = Enumerant('GL_COLOR_ATTACHMENT0_EXT', 0x8ce0, 'GL_EXT_framebuffer_object')
GL_COLOR_ATTACHMENT10_EXT = Enumerant('GL_COLOR_ATTACHMENT10_EXT', 0x8cea, 'GL_EXT_framebuffer_object')
GL_COLOR_ATTACHMENT11_EXT = Enumerant('GL_COLOR_ATTACHMENT11_EXT', 0x8ceb, 'GL_EXT_framebuffer_object')
GL_COLOR_ATTACHMENT12_EXT = Enumerant('GL_COLOR_ATTACHMENT12_EXT', 0x8cec, 'GL_EXT_framebuffer_object')
GL_COLOR_ATTACHMENT13_EXT = Enumerant('GL_COLOR_ATTACHMENT13_EXT', 0x8ced, 'GL_EXT_framebuffer_object')
GL_COLOR_ATTACHMENT14_EXT = Enumerant('GL_COLOR_ATTACHMENT14_EXT', 0x8cee, 'GL_EXT_framebuffer_object')
GL_COLOR_ATTACHMENT15_EXT = Enumerant('GL_COLOR_ATTACHMENT15_EXT', 0x8cef, 'GL_EXT_framebuffer_object')
GL_COLOR_ATTACHMENT1_EXT = Enumerant('GL_COLOR_ATTACHMENT1_EXT', 0x8ce1, 'GL_EXT_framebuffer_object')
GL_COLOR_ATTACHMENT2_EXT = Enumerant('GL_COLOR_ATTACHMENT2_EXT', 0x8ce2, 'GL_EXT_framebuffer_object')
GL_COLOR_ATTACHMENT3_EXT = Enumerant('GL_COLOR_ATTACHMENT3_EXT', 0x8ce3, 'GL_EXT_framebuffer_object')
GL_COLOR_ATTACHMENT4_EXT = Enumerant('GL_COLOR_ATTACHMENT4_EXT', 0x8ce4, 'GL_EXT_framebuffer_object')
GL_COLOR_ATTACHMENT5_EXT = Enumerant('GL_COLOR_ATTACHMENT5_EXT', 0x8ce5, 'GL_EXT_framebuffer_object')
GL_COLOR_ATTACHMENT6_EXT = Enumerant('GL_COLOR_ATTACHMENT6_EXT', 0x8ce6, 'GL_EXT_framebuffer_object')
GL_COLOR_ATTACHMENT7_EXT = Enumerant('GL_COLOR_ATTACHMENT7_EXT', 0x8ce7, 'GL_EXT_framebuffer_object')
GL_COLOR_ATTACHMENT8_EXT = Enumerant('GL_COLOR_ATTACHMENT8_EXT', 0x8ce8, 'GL_EXT_framebuffer_object')
GL_COLOR_ATTACHMENT9_EXT = Enumerant('GL_COLOR_ATTACHMENT9_EXT', 0x8ce9, 'GL_EXT_framebuffer_object')
GL_INVALID_FRAMEBUFFER_OPERATION_EXT = Enumerant('GL_INVALID_FRAMEBUFFER_OPERATION_EXT', 0x0506, 'GL_EXT_framebuffer_object')
GL_INVALID_FRAMEBUFFER_OPERATION_EXT.gluErrorString = 'invalid framebuffer operation'
GL_MAX_COLOR_ATTACHMENTS_EXT = Enumerant('GL_MAX_COLOR_ATTACHMENTS_EXT', 0x8cdf, 'GL_EXT_framebuffer_object')

defines.add(GL_COLOR_ATTACHMENT0_EXT)
defines.add(GL_COLOR_ATTACHMENT10_EXT)
defines.add(GL_COLOR_ATTACHMENT11_EXT)
defines.add(GL_COLOR_ATTACHMENT12_EXT)
defines.add(GL_COLOR_ATTACHMENT13_EXT)
defines.add(GL_COLOR_ATTACHMENT14_EXT)
defines.add(GL_COLOR_ATTACHMENT15_EXT)
defines.add(GL_COLOR_ATTACHMENT1_EXT)
defines.add(GL_COLOR_ATTACHMENT2_EXT)
defines.add(GL_COLOR_ATTACHMENT3_EXT)
defines.add(GL_COLOR_ATTACHMENT4_EXT)
defines.add(GL_COLOR_ATTACHMENT5_EXT)
defines.add(GL_COLOR_ATTACHMENT6_EXT)
defines.add(GL_COLOR_ATTACHMENT7_EXT)
defines.add(GL_COLOR_ATTACHMENT8_EXT)
defines.add(GL_COLOR_ATTACHMENT9_EXT)
defines.add(GL_INVALID_FRAMEBUFFER_OPERATION_EXT)
defines.add(GL_MAX_COLOR_ATTACHMENTS_EXT)

# GL_EXT_geometry_shader4

GL_FRAMEBUFFER_ATTACHMENT_LAYERED_EXT = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_LAYERED_EXT', 0x8da7, 'GL_EXT_geometry_shader4')
GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_EXT = Enumerant('GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_EXT', 0x8da8, 'GL_EXT_geometry_shader4')
GL_GEOMETRY_SHADER_EXT = Enumerant('GL_GEOMETRY_SHADER_EXT', 0x8dd9, 'GL_EXT_geometry_shader4')
GL_LINES_ADJACENCY_EXT = Enumerant('GL_LINES_ADJACENCY_EXT', 0x000a, 'GL_EXT_geometry_shader4')
GL_LINE_STRIP_ADJACENCY_EXT = Enumerant('GL_LINE_STRIP_ADJACENCY_EXT', 0x000b, 'GL_EXT_geometry_shader4')
GL_MAX_GEOMETRY_OUTPUT_VERTICES_EXT = Enumerant('GL_MAX_GEOMETRY_OUTPUT_VERTICES_EXT', 0x8de0, 'GL_EXT_geometry_shader4')
GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_EXT = Enumerant('GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_EXT', 0x8c29, 'GL_EXT_geometry_shader4')
GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_EXT = Enumerant('GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_EXT', 0x8de1, 'GL_EXT_geometry_shader4')
GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_EXT = Enumerant('GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_EXT', 0x8ddf, 'GL_EXT_geometry_shader4')
GL_TRIANGLES_ADJACENCY_EXT = Enumerant('GL_TRIANGLES_ADJACENCY_EXT', 0x000c, 'GL_EXT_geometry_shader4')
GL_TRIANGLE_STRIP_ADJACENCY_EXT = Enumerant('GL_TRIANGLE_STRIP_ADJACENCY_EXT', 0x000d, 'GL_EXT_geometry_shader4')

defines.add(GL_FRAMEBUFFER_ATTACHMENT_LAYERED_EXT)
defines.add(GL_FRAMEBUFFER_INCOMPLETE_LAYER_TARGETS_EXT)
defines.add(GL_GEOMETRY_SHADER_EXT)
defines.add(GL_LINES_ADJACENCY_EXT)
defines.add(GL_LINE_STRIP_ADJACENCY_EXT)
defines.add(GL_MAX_GEOMETRY_OUTPUT_VERTICES_EXT)
defines.add(GL_MAX_GEOMETRY_TEXTURE_IMAGE_UNITS_EXT)
defines.add(GL_MAX_GEOMETRY_TOTAL_OUTPUT_COMPONENTS_EXT)
defines.add(GL_MAX_GEOMETRY_UNIFORM_COMPONENTS_EXT)
defines.add(GL_TRIANGLES_ADJACENCY_EXT)
defines.add(GL_TRIANGLE_STRIP_ADJACENCY_EXT)

# GL_EXT_occlusion_query_boolean

GL_CURRENT_QUERY_EXT = Enumerant('GL_CURRENT_QUERY_EXT', 0x8865, 'GL_EXT_occlusion_query_boolean')
GL_QUERY_RESULT_AVAILABLE_EXT = Enumerant('GL_QUERY_RESULT_AVAILABLE_EXT', 0x8867, 'GL_EXT_occlusion_query_boolean')
GL_QUERY_RESULT_EXT = Enumerant('GL_QUERY_RESULT_EXT', 0x8866, 'GL_EXT_occlusion_query_boolean')

defines.add(GL_CURRENT_QUERY_EXT)
defines.add(GL_QUERY_RESULT_AVAILABLE_EXT)
defines.add(GL_QUERY_RESULT_EXT)

# GL_EXT_paletted_texture

GL_COLOR_TABLE_ALPHA_SIZE_EXT = Enumerant('GL_COLOR_TABLE_ALPHA_SIZE_EXT', 0x80dd, 'GL_EXT_paletted_texture')
GL_COLOR_TABLE_BLUE_SIZE_EXT = Enumerant('GL_COLOR_TABLE_BLUE_SIZE_EXT', 0x80dc, 'GL_EXT_paletted_texture')
GL_COLOR_TABLE_FORMAT_EXT = Enumerant('GL_COLOR_TABLE_FORMAT_EXT', 0x80d8, 'GL_EXT_paletted_texture')
GL_COLOR_TABLE_GREEN_SIZE_EXT = Enumerant('GL_COLOR_TABLE_GREEN_SIZE_EXT', 0x80db, 'GL_EXT_paletted_texture')
GL_COLOR_TABLE_INTENSITY_SIZE_EXT = Enumerant('GL_COLOR_TABLE_INTENSITY_SIZE_EXT', 0x80df, 'GL_EXT_paletted_texture')
GL_COLOR_TABLE_LUMINANCE_SIZE_EXT = Enumerant('GL_COLOR_TABLE_LUMINANCE_SIZE_EXT', 0x80de, 'GL_EXT_paletted_texture')
GL_COLOR_TABLE_RED_SIZE_EXT = Enumerant('GL_COLOR_TABLE_RED_SIZE_EXT', 0x80da, 'GL_EXT_paletted_texture')
GL_COLOR_TABLE_WIDTH_EXT = Enumerant('GL_COLOR_TABLE_WIDTH_EXT', 0x80d9, 'GL_EXT_paletted_texture')

defines.add(GL_COLOR_TABLE_ALPHA_SIZE_EXT)
defines.add(GL_COLOR_TABLE_BLUE_SIZE_EXT)
defines.add(GL_COLOR_TABLE_FORMAT_EXT)
defines.add(GL_COLOR_TABLE_GREEN_SIZE_EXT)
defines.add(GL_COLOR_TABLE_INTENSITY_SIZE_EXT)
defines.add(GL_COLOR_TABLE_LUMINANCE_SIZE_EXT)
defines.add(GL_COLOR_TABLE_RED_SIZE_EXT)
defines.add(GL_COLOR_TABLE_WIDTH_EXT)

# GL_EXT_provoking_vertex

GL_FIRST_VERTEX_CONVENTION_EXT = Enumerant('GL_FIRST_VERTEX_CONVENTION_EXT', 0x8e4d, 'GL_EXT_provoking_vertex')
GL_LAST_VERTEX_CONVENTION_EXT = Enumerant('GL_LAST_VERTEX_CONVENTION_EXT', 0x8e4e, 'GL_EXT_provoking_vertex')

defines.add(GL_FIRST_VERTEX_CONVENTION_EXT)
defines.add(GL_LAST_VERTEX_CONVENTION_EXT)

# GL_EXT_texture

GL_RGB10_A2_EXT = Enumerant('GL_RGB10_A2_EXT', 0x8059, 'GL_EXT_texture')
GL_RGB10_EXT = Enumerant('GL_RGB10_EXT', 0x8052, 'GL_EXT_texture')

defines.add(GL_RGB10_A2_EXT)
defines.add(GL_RGB10_EXT)

# GL_EXT_texture_buffer_object

GL_MAX_TEXTURE_BUFFER_SIZE_EXT = Enumerant('GL_MAX_TEXTURE_BUFFER_SIZE_EXT', 0x8c2b, 'GL_EXT_texture_buffer_object')
GL_TEXTURE_BINDING_BUFFER_EXT = Enumerant('GL_TEXTURE_BINDING_BUFFER_EXT', 0x8c2c, 'GL_EXT_texture_buffer_object')
GL_TEXTURE_BUFFER_DATA_STORE_BINDING_EXT = Enumerant('GL_TEXTURE_BUFFER_DATA_STORE_BINDING_EXT', 0x8c2d, 'GL_EXT_texture_buffer_object')
GL_TEXTURE_BUFFER_EXT = Enumerant('GL_TEXTURE_BUFFER_EXT', 0x8c2a, 'GL_EXT_texture_buffer_object')

defines.add(GL_MAX_TEXTURE_BUFFER_SIZE_EXT)
defines.add(GL_TEXTURE_BINDING_BUFFER_EXT)
defines.add(GL_TEXTURE_BUFFER_DATA_STORE_BINDING_EXT)
defines.add(GL_TEXTURE_BUFFER_EXT)

# GL_EXT_texture_compression_s3tc

GL_COMPRESSED_RGBA_S3TC_DXT1_EXT = Enumerant('GL_COMPRESSED_RGBA_S3TC_DXT1_EXT', 0x83f1, 'GL_EXT_texture_compression_s3tc')
GL_COMPRESSED_RGB_S3TC_DXT1_EXT = Enumerant('GL_COMPRESSED_RGB_S3TC_DXT1_EXT', 0x83f0, 'GL_EXT_texture_compression_s3tc')

defines.add(GL_COMPRESSED_RGBA_S3TC_DXT1_EXT)
defines.add(GL_COMPRESSED_RGB_S3TC_DXT1_EXT)

# GL_EXT_texture_edge_clamp

GL_CLAMP_TO_EDGE_EXT = Enumerant('GL_CLAMP_TO_EDGE_EXT', 0x812f, 'GL_EXT_texture_edge_clamp')

defines.add(GL_CLAMP_TO_EDGE_EXT)

# GL_EXT_texture_rectangle

GL_MAX_RECTANGLE_TEXTURE_SIZE_EXT = Enumerant('GL_MAX_RECTANGLE_TEXTURE_SIZE_EXT', 0x84f8, 'GL_EXT_texture_rectangle')
GL_PROXY_TEXTURE_RECTANGLE_EXT = Enumerant('GL_PROXY_TEXTURE_RECTANGLE_EXT', 0x84f7, 'GL_EXT_texture_rectangle')
GL_TEXTURE_BINDING_RECTANGLE_EXT = Enumerant('GL_TEXTURE_BINDING_RECTANGLE_EXT', 0x84f6, 'GL_EXT_texture_rectangle')
GL_TEXTURE_RECTANGLE_EXT = Enumerant('GL_TEXTURE_RECTANGLE_EXT', 0x84f5, 'GL_EXT_texture_rectangle')

defines.add(GL_MAX_RECTANGLE_TEXTURE_SIZE_EXT)
defines.add(GL_PROXY_TEXTURE_RECTANGLE_EXT)
defines.add(GL_TEXTURE_BINDING_RECTANGLE_EXT)
defines.add(GL_TEXTURE_RECTANGLE_EXT)

# GL_EXT_texture_sRGB

GL_SRGB8_ALPHA8_EXT = Enumerant('GL_SRGB8_ALPHA8_EXT', 0x8c43, 'GL_EXT_texture_sRGB')
GL_SRGB_ALPHA_EXT = Enumerant('GL_SRGB_ALPHA_EXT', 0x8c42, 'GL_EXT_texture_sRGB')
GL_SRGB_EXT = Enumerant('GL_SRGB_EXT', 0x8c40, 'GL_EXT_texture_sRGB')

defines.add(GL_SRGB8_ALPHA8_EXT)
defines.add(GL_SRGB_ALPHA_EXT)
defines.add(GL_SRGB_EXT)

# GL_EXT_texture_snorm

GL_R16_SNORM = Enumerant('GL_R16_SNORM', 0x8f98, 'GL_EXT_texture_snorm')
GL_R8_SNORM = Enumerant('GL_R8_SNORM', 0x8f94, 'GL_EXT_texture_snorm')
GL_RG16_SNORM = Enumerant('GL_RG16_SNORM', 0x8f99, 'GL_EXT_texture_snorm')
GL_RG8_SNORM = Enumerant('GL_RG8_SNORM', 0x8f95, 'GL_EXT_texture_snorm')
GL_RGB16_SNORM = Enumerant('GL_RGB16_SNORM', 0x8f9a, 'GL_EXT_texture_snorm')
GL_RGB8_SNORM = Enumerant('GL_RGB8_SNORM', 0x8f96, 'GL_EXT_texture_snorm')
GL_RGBA16_SNORM = Enumerant('GL_RGBA16_SNORM', 0x8f9b, 'GL_EXT_texture_snorm')
GL_RGBA8_SNORM = Enumerant('GL_RGBA8_SNORM', 0x8f97, 'GL_EXT_texture_snorm')
GL_SIGNED_NORMALIZED = Enumerant('GL_SIGNED_NORMALIZED', 0x8f9c, 'GL_EXT_texture_snorm')

defines.add(GL_R16_SNORM)
defines.add(GL_R8_SNORM)
defines.add(GL_RG16_SNORM)
defines.add(GL_RG8_SNORM)
defines.add(GL_RGB16_SNORM)
defines.add(GL_RGB8_SNORM)
defines.add(GL_RGBA16_SNORM)
defines.add(GL_RGBA8_SNORM)
defines.add(GL_SIGNED_NORMALIZED)

# GL_EXT_texture_storage

GL_BGRA8_EXT = Enumerant('GL_BGRA8_EXT', 0x93a1, 'GL_EXT_texture_storage')
GL_R16F_EXT = Enumerant('GL_R16F_EXT', 0x822d, 'GL_EXT_texture_storage')
GL_R8_EXT = Enumerant('GL_R8_EXT', 0x8229, 'GL_EXT_texture_storage')
GL_RG16F_EXT = Enumerant('GL_RG16F_EXT', 0x822f, 'GL_EXT_texture_storage')
GL_RG8_EXT = Enumerant('GL_RG8_EXT', 0x822b, 'GL_EXT_texture_storage')
GL_RGB16F_EXT = Enumerant('GL_RGB16F_EXT', 0x881b, 'GL_EXT_texture_storage')
GL_RGBA16F_EXT = Enumerant('GL_RGBA16F_EXT', 0x881a, 'GL_EXT_texture_storage')

defines.add(GL_BGRA8_EXT)
defines.add(GL_R16F_EXT)
defines.add(GL_R8_EXT)
defines.add(GL_RG16F_EXT)
defines.add(GL_RG8_EXT)
defines.add(GL_RGB16F_EXT)
defines.add(GL_RGBA16F_EXT)

# GL_EXT_timer_query

GL_TIME_ELAPSED_EXT = Enumerant('GL_TIME_ELAPSED_EXT', 0x88bf, 'GL_EXT_timer_query')

defines.add(GL_TIME_ELAPSED_EXT)

# GL_EXT_transform_feedback

GL_PRIMITIVES_GENERATED_EXT = Enumerant('GL_PRIMITIVES_GENERATED_EXT', 0x8c87, 'GL_EXT_transform_feedback')

defines.add(GL_PRIMITIVES_GENERATED_EXT)

# GL_EXT_vertex_array

GL_DOUBLE_EXT = Enumerant('GL_DOUBLE_EXT', 0x140a, 'GL_EXT_vertex_array')

defines.add(GL_DOUBLE_EXT)

# GL_KHR_blend_equation_advanced

GL_BLEND_ADVANCED_COHERENT_KHR = Enumerant('GL_BLEND_ADVANCED_COHERENT_KHR', 0x9285, 'GL_KHR_blend_equation_advanced')

defines.add(GL_BLEND_ADVANCED_COHERENT_KHR)

# GL_KTX_buffer_region

GL_KTX_BACK_REGION = Enumerant('GL_KTX_BACK_REGION', 0x0001, 'GL_KTX_buffer_region')
GL_KTX_FRONT_REGION = Enumerant('GL_KTX_FRONT_REGION', 0x0000, 'GL_KTX_buffer_region')
GL_KTX_STENCIL_REGION = Enumerant('GL_KTX_STENCIL_REGION', 0x0003, 'GL_KTX_buffer_region')
GL_KTX_Z_REGION = Enumerant('GL_KTX_Z_REGION', 0x0002, 'GL_KTX_buffer_region')

defines.add(GL_KTX_BACK_REGION)
defines.add(GL_KTX_FRONT_REGION)
defines.add(GL_KTX_STENCIL_REGION)
defines.add(GL_KTX_Z_REGION)

# GL_NV_3dvision_settings

GL_3DVISION_STEREO_NV = Enumerant('GL_3DVISION_STEREO_NV', 0x90f4, 'GL_NV_3dvision_settings')
GL_STEREO_CONVERGENCE_NV = Enumerant('GL_STEREO_CONVERGENCE_NV', 0x90f6, 'GL_NV_3dvision_settings')
GL_STEREO_CUTOFF_NV = Enumerant('GL_STEREO_CUTOFF_NV', 0x90f7, 'GL_NV_3dvision_settings')
GL_STEREO_PROJECTION_NV = Enumerant('GL_STEREO_PROJECTION_NV', 0x90f8, 'GL_NV_3dvision_settings')
GL_STEREO_PROJECTION_ORTHO_NV = Enumerant('GL_STEREO_PROJECTION_ORTHO_NV', 0x90fa, 'GL_NV_3dvision_settings')
GL_STEREO_PROJECTION_PERSPECTIVE_NV = Enumerant('GL_STEREO_PROJECTION_PERSPECTIVE_NV', 0x90f9, 'GL_NV_3dvision_settings')
GL_STEREO_SEPARATION_NV = Enumerant('GL_STEREO_SEPARATION_NV', 0x90f5, 'GL_NV_3dvision_settings')

defines.add(GL_3DVISION_STEREO_NV)
defines.add(GL_STEREO_CONVERGENCE_NV)
defines.add(GL_STEREO_CUTOFF_NV)
defines.add(GL_STEREO_PROJECTION_NV)
defines.add(GL_STEREO_PROJECTION_ORTHO_NV)
defines.add(GL_STEREO_PROJECTION_PERSPECTIVE_NV)
defines.add(GL_STEREO_SEPARATION_NV)

# GL_NV_bgr

GL_BGR_NV = Enumerant('GL_BGR_NV', 0x80e0, 'GL_NV_bgr')

defines.add(GL_BGR_NV)

# GL_NV_blend_equation_advanced

GL_BLEND_ADVANCED_COHERENT_NV = Enumerant('GL_BLEND_ADVANCED_COHERENT_NV', 0x9285, 'GL_NV_blend_equation_advanced')

defines.add(GL_BLEND_ADVANCED_COHERENT_NV)

# GL_NV_depth_nonlinear

GL_EGL_DEPTH_ENCODING_NONE_NV = Enumerant('GL_EGL_DEPTH_ENCODING_NONE_NV', 0x0000, 'GL_NV_depth_nonlinear')
GL_EGL_DEPTH_ENCODING_NONLINEAR_NV = Enumerant('GL_EGL_DEPTH_ENCODING_NONLINEAR_NV', 0x30e3, 'GL_NV_depth_nonlinear')
GL_EGL_DEPTH_ENCODING_NV = Enumerant('GL_EGL_DEPTH_ENCODING_NV', 0x30e2, 'GL_NV_depth_nonlinear')

defines.add(GL_EGL_DEPTH_ENCODING_NONE_NV)
defines.add(GL_EGL_DEPTH_ENCODING_NONLINEAR_NV)
defines.add(GL_EGL_DEPTH_ENCODING_NV)

# GL_NV_depth_range_unclamped

GL_CURRENT_SAMPLE_COUNT_QUERY_NV = Enumerant('GL_CURRENT_SAMPLE_COUNT_QUERY_NV', 0x8865, 'GL_NV_depth_range_unclamped')
GL_QUERY_RESULT_AVAILABLE_NV = Enumerant('GL_QUERY_RESULT_AVAILABLE_NV', 0x8867, 'GL_NV_depth_range_unclamped')
GL_QUERY_RESULT_NV = Enumerant('GL_QUERY_RESULT_NV', 0x8866, 'GL_NV_depth_range_unclamped')
GL_SAMPLE_COUNT_BITS_NV = Enumerant('GL_SAMPLE_COUNT_BITS_NV', 0x8864, 'GL_NV_depth_range_unclamped')
GL_SAMPLE_COUNT_NV = Enumerant('GL_SAMPLE_COUNT_NV', 0x8914, 'GL_NV_depth_range_unclamped')

defines.add(GL_CURRENT_SAMPLE_COUNT_QUERY_NV)
defines.add(GL_QUERY_RESULT_AVAILABLE_NV)
defines.add(GL_QUERY_RESULT_NV)
defines.add(GL_SAMPLE_COUNT_BITS_NV)
defines.add(GL_SAMPLE_COUNT_NV)

# GL_NV_fbo_color_attachments

GL_COLOR_ATTACHMENT0_NV = Enumerant('GL_COLOR_ATTACHMENT0_NV', 0x8ce0, 'GL_NV_fbo_color_attachments')
GL_COLOR_ATTACHMENT10_NV = Enumerant('GL_COLOR_ATTACHMENT10_NV', 0x8cea, 'GL_NV_fbo_color_attachments')
GL_COLOR_ATTACHMENT11_NV = Enumerant('GL_COLOR_ATTACHMENT11_NV', 0x8ceb, 'GL_NV_fbo_color_attachments')
GL_COLOR_ATTACHMENT12_NV = Enumerant('GL_COLOR_ATTACHMENT12_NV', 0x8cec, 'GL_NV_fbo_color_attachments')
GL_COLOR_ATTACHMENT13_NV = Enumerant('GL_COLOR_ATTACHMENT13_NV', 0x8ced, 'GL_NV_fbo_color_attachments')
GL_COLOR_ATTACHMENT14_NV = Enumerant('GL_COLOR_ATTACHMENT14_NV', 0x8cee, 'GL_NV_fbo_color_attachments')
GL_COLOR_ATTACHMENT15_NV = Enumerant('GL_COLOR_ATTACHMENT15_NV', 0x8cef, 'GL_NV_fbo_color_attachments')
GL_COLOR_ATTACHMENT1_NV = Enumerant('GL_COLOR_ATTACHMENT1_NV', 0x8ce1, 'GL_NV_fbo_color_attachments')
GL_COLOR_ATTACHMENT2_NV = Enumerant('GL_COLOR_ATTACHMENT2_NV', 0x8ce2, 'GL_NV_fbo_color_attachments')
GL_COLOR_ATTACHMENT3_NV = Enumerant('GL_COLOR_ATTACHMENT3_NV', 0x8ce3, 'GL_NV_fbo_color_attachments')
GL_COLOR_ATTACHMENT4_NV = Enumerant('GL_COLOR_ATTACHMENT4_NV', 0x8ce4, 'GL_NV_fbo_color_attachments')
GL_COLOR_ATTACHMENT5_NV = Enumerant('GL_COLOR_ATTACHMENT5_NV', 0x8ce5, 'GL_NV_fbo_color_attachments')
GL_COLOR_ATTACHMENT6_NV = Enumerant('GL_COLOR_ATTACHMENT6_NV', 0x8ce6, 'GL_NV_fbo_color_attachments')
GL_COLOR_ATTACHMENT7_NV = Enumerant('GL_COLOR_ATTACHMENT7_NV', 0x8ce7, 'GL_NV_fbo_color_attachments')
GL_COLOR_ATTACHMENT8_NV = Enumerant('GL_COLOR_ATTACHMENT8_NV', 0x8ce8, 'GL_NV_fbo_color_attachments')
GL_COLOR_ATTACHMENT9_NV = Enumerant('GL_COLOR_ATTACHMENT9_NV', 0x8ce9, 'GL_NV_fbo_color_attachments')

defines.add(GL_COLOR_ATTACHMENT0_NV)
defines.add(GL_COLOR_ATTACHMENT10_NV)
defines.add(GL_COLOR_ATTACHMENT11_NV)
defines.add(GL_COLOR_ATTACHMENT12_NV)
defines.add(GL_COLOR_ATTACHMENT13_NV)
defines.add(GL_COLOR_ATTACHMENT14_NV)
defines.add(GL_COLOR_ATTACHMENT15_NV)
defines.add(GL_COLOR_ATTACHMENT1_NV)
defines.add(GL_COLOR_ATTACHMENT2_NV)
defines.add(GL_COLOR_ATTACHMENT3_NV)
defines.add(GL_COLOR_ATTACHMENT4_NV)
defines.add(GL_COLOR_ATTACHMENT5_NV)
defines.add(GL_COLOR_ATTACHMENT6_NV)
defines.add(GL_COLOR_ATTACHMENT7_NV)
defines.add(GL_COLOR_ATTACHMENT8_NV)
defines.add(GL_COLOR_ATTACHMENT9_NV)

# GL_NV_gpu_shader5

GL_FLOAT16_NV = Enumerant('GL_FLOAT16_NV', 0x8ff8, 'GL_NV_gpu_shader5')
GL_FLOAT16_VEC2_NV = Enumerant('GL_FLOAT16_VEC2_NV', 0x8ff9, 'GL_NV_gpu_shader5')
GL_FLOAT16_VEC3_NV = Enumerant('GL_FLOAT16_VEC3_NV', 0x8ffa, 'GL_NV_gpu_shader5')
GL_FLOAT16_VEC4_NV = Enumerant('GL_FLOAT16_VEC4_NV', 0x8ffb, 'GL_NV_gpu_shader5')
GL_INT16_NV = Enumerant('GL_INT16_NV', 0x8fe4, 'GL_NV_gpu_shader5')
GL_INT16_VEC2_NV = Enumerant('GL_INT16_VEC2_NV', 0x8fe5, 'GL_NV_gpu_shader5')
GL_INT16_VEC3_NV = Enumerant('GL_INT16_VEC3_NV', 0x8fe6, 'GL_NV_gpu_shader5')
GL_INT16_VEC4_NV = Enumerant('GL_INT16_VEC4_NV', 0x8fe7, 'GL_NV_gpu_shader5')
GL_INT64_VEC2_NV = Enumerant('GL_INT64_VEC2_NV', 0x8fe9, 'GL_NV_gpu_shader5')
GL_INT64_VEC3_NV = Enumerant('GL_INT64_VEC3_NV', 0x8fea, 'GL_NV_gpu_shader5')
GL_INT64_VEC4_NV = Enumerant('GL_INT64_VEC4_NV', 0x8feb, 'GL_NV_gpu_shader5')
GL_INT8_NV = Enumerant('GL_INT8_NV', 0x8fe0, 'GL_NV_gpu_shader5')
GL_INT8_VEC2_NV = Enumerant('GL_INT8_VEC2_NV', 0x8fe1, 'GL_NV_gpu_shader5')
GL_INT8_VEC3_NV = Enumerant('GL_INT8_VEC3_NV', 0x8fe2, 'GL_NV_gpu_shader5')
GL_INT8_VEC4_NV = Enumerant('GL_INT8_VEC4_NV', 0x8fe3, 'GL_NV_gpu_shader5')
GL_UNSIGNED_INT16_NV = Enumerant('GL_UNSIGNED_INT16_NV', 0x8ff0, 'GL_NV_gpu_shader5')
GL_UNSIGNED_INT16_VEC2_NV = Enumerant('GL_UNSIGNED_INT16_VEC2_NV', 0x8ff1, 'GL_NV_gpu_shader5')
GL_UNSIGNED_INT16_VEC3_NV = Enumerant('GL_UNSIGNED_INT16_VEC3_NV', 0x8ff2, 'GL_NV_gpu_shader5')
GL_UNSIGNED_INT16_VEC4_NV = Enumerant('GL_UNSIGNED_INT16_VEC4_NV', 0x8ff3, 'GL_NV_gpu_shader5')
GL_UNSIGNED_INT64_VEC2_NV = Enumerant('GL_UNSIGNED_INT64_VEC2_NV', 0x8ff5, 'GL_NV_gpu_shader5')
GL_UNSIGNED_INT64_VEC3_NV = Enumerant('GL_UNSIGNED_INT64_VEC3_NV', 0x8ff6, 'GL_NV_gpu_shader5')
GL_UNSIGNED_INT64_VEC4_NV = Enumerant('GL_UNSIGNED_INT64_VEC4_NV', 0x8ff7, 'GL_NV_gpu_shader5')
GL_UNSIGNED_INT8_NV = Enumerant('GL_UNSIGNED_INT8_NV', 0x8fec, 'GL_NV_gpu_shader5')
GL_UNSIGNED_INT8_VEC2_NV = Enumerant('GL_UNSIGNED_INT8_VEC2_NV', 0x8fed, 'GL_NV_gpu_shader5')
GL_UNSIGNED_INT8_VEC3_NV = Enumerant('GL_UNSIGNED_INT8_VEC3_NV', 0x8fee, 'GL_NV_gpu_shader5')
GL_UNSIGNED_INT8_VEC4_NV = Enumerant('GL_UNSIGNED_INT8_VEC4_NV', 0x8fef, 'GL_NV_gpu_shader5')

defines.add(GL_FLOAT16_NV)
defines.add(GL_FLOAT16_VEC2_NV)
defines.add(GL_FLOAT16_VEC3_NV)
defines.add(GL_FLOAT16_VEC4_NV)
defines.add(GL_INT16_NV)
defines.add(GL_INT16_VEC2_NV)
defines.add(GL_INT16_VEC3_NV)
defines.add(GL_INT16_VEC4_NV)
defines.add(GL_INT64_VEC2_NV)
defines.add(GL_INT64_VEC3_NV)
defines.add(GL_INT64_VEC4_NV)
defines.add(GL_INT8_NV)
defines.add(GL_INT8_VEC2_NV)
defines.add(GL_INT8_VEC3_NV)
defines.add(GL_INT8_VEC4_NV)
defines.add(GL_UNSIGNED_INT16_NV)
defines.add(GL_UNSIGNED_INT16_VEC2_NV)
defines.add(GL_UNSIGNED_INT16_VEC3_NV)
defines.add(GL_UNSIGNED_INT16_VEC4_NV)
defines.add(GL_UNSIGNED_INT64_VEC2_NV)
defines.add(GL_UNSIGNED_INT64_VEC3_NV)
defines.add(GL_UNSIGNED_INT64_VEC4_NV)
defines.add(GL_UNSIGNED_INT8_NV)
defines.add(GL_UNSIGNED_INT8_VEC2_NV)
defines.add(GL_UNSIGNED_INT8_VEC3_NV)
defines.add(GL_UNSIGNED_INT8_VEC4_NV)

# GL_NV_multisample_coverage

GL_COVERAGE_SAMPLES_NV = Enumerant('GL_COVERAGE_SAMPLES_NV', 0x80a9, 'GL_NV_multisample_coverage')

defines.add(GL_COVERAGE_SAMPLES_NV)

# GL_NV_pack_subimage

GL_PACK_ROW_LENGTH_NV = Enumerant('GL_PACK_ROW_LENGTH_NV', 0x0d02, 'GL_NV_pack_subimage')
GL_PACK_SKIP_PIXELS_NV = Enumerant('GL_PACK_SKIP_PIXELS_NV', 0x0d04, 'GL_NV_pack_subimage')
GL_PACK_SKIP_ROWS_NV = Enumerant('GL_PACK_SKIP_ROWS_NV', 0x0d03, 'GL_NV_pack_subimage')

defines.add(GL_PACK_ROW_LENGTH_NV)
defines.add(GL_PACK_SKIP_PIXELS_NV)
defines.add(GL_PACK_SKIP_ROWS_NV)

# GL_NV_packed_float_linear

GL_R11F_G11F_B10F_NV = Enumerant('GL_R11F_G11F_B10F_NV', 0x8c3a, 'GL_NV_packed_float_linear')
GL_UNSIGNED_INT_10F_11F_11F_REV_NV = Enumerant('GL_UNSIGNED_INT_10F_11F_11F_REV_NV', 0x8c3b, 'GL_NV_packed_float_linear')

defines.add(GL_R11F_G11F_B10F_NV)
defines.add(GL_UNSIGNED_INT_10F_11F_11F_REV_NV)

# GL_NV_path_rendering

GL_ARC_TO_NV = Enumerant('GL_ARC_TO_NV', 0x00fe, 'GL_NV_path_rendering')
GL_ARC_TO_NV.group = ['pathCommand']
GL_ARC_TO_NV.alias = ['A']
GL_CIRCULAR_CCW_ARC_TO_NV = Enumerant('GL_CIRCULAR_CCW_ARC_TO_NV', 0x00f8, 'GL_NV_path_rendering')
GL_CIRCULAR_CCW_ARC_TO_NV.group = ['pathCommand']
GL_CIRCULAR_CW_ARC_TO_NV = Enumerant('GL_CIRCULAR_CW_ARC_TO_NV', 0x00fa, 'GL_NV_path_rendering')
GL_CIRCULAR_CW_ARC_TO_NV.group = ['pathCommand']
GL_CIRCULAR_TANGENT_ARC_TO_NV = Enumerant('GL_CIRCULAR_TANGENT_ARC_TO_NV', 0x00fc, 'GL_NV_path_rendering')
GL_CIRCULAR_TANGENT_ARC_TO_NV.group = ['pathCommand']
GL_CLOSE_PATH_NV = Enumerant('GL_CLOSE_PATH_NV', 0x0000, 'GL_NV_path_rendering')
GL_CLOSE_PATH_NV.group = ['pathCommand']
GL_CLOSE_PATH_NV.alias = ['z','Z']
GL_CUBIC_CURVE_TO_NV = Enumerant('GL_CUBIC_CURVE_TO_NV', 0x000c, 'GL_NV_path_rendering')
GL_CUBIC_CURVE_TO_NV.group = ['pathCommand']
GL_CUBIC_CURVE_TO_NV.alias = ['C']
GL_DUP_FIRST_CUBIC_CURVE_TO_NV = Enumerant('GL_DUP_FIRST_CUBIC_CURVE_TO_NV', 0x00f2, 'GL_NV_path_rendering')
GL_DUP_FIRST_CUBIC_CURVE_TO_NV.group = ['pathCommand']
GL_DUP_LAST_CUBIC_CURVE_TO_NV = Enumerant('GL_DUP_LAST_CUBIC_CURVE_TO_NV', 0x00f4, 'GL_NV_path_rendering')
GL_DUP_LAST_CUBIC_CURVE_TO_NV.group = ['pathCommand']
GL_HORIZONTAL_LINE_TO_NV = Enumerant('GL_HORIZONTAL_LINE_TO_NV', 0x0006, 'GL_NV_path_rendering')
GL_HORIZONTAL_LINE_TO_NV.group = ['pathCommand']
GL_HORIZONTAL_LINE_TO_NV.alias = ['H']
GL_LARGE_CCW_ARC_TO_NV = Enumerant('GL_LARGE_CCW_ARC_TO_NV', 0x0016, 'GL_NV_path_rendering')
GL_LARGE_CCW_ARC_TO_NV.group = ['pathCommand']
GL_LARGE_CW_ARC_TO_NV = Enumerant('GL_LARGE_CW_ARC_TO_NV', 0x0018, 'GL_NV_path_rendering')
GL_LARGE_CW_ARC_TO_NV.group = ['pathCommand']
GL_LINE_TO_NV = Enumerant('GL_LINE_TO_NV', 0x0004, 'GL_NV_path_rendering')
GL_LINE_TO_NV.group = ['pathCommand']
GL_LINE_TO_NV.alias = ['L']
GL_MOVE_TO_NV = Enumerant('GL_MOVE_TO_NV', 0x0002, 'GL_NV_path_rendering')
GL_MOVE_TO_NV.group = ['pathCommand']
GL_MOVE_TO_NV.alias = ['M']

GL_QUADRATIC_CURVE_TO_NV = Enumerant('GL_QUADRATIC_CURVE_TO_NV', 0x000a, 'GL_NV_path_rendering')
GL_QUADRATIC_CURVE_TO_NV.group = ['pathCommand']
GL_QUADRATIC_CURVE_TO_NV.alias = ['Q']
GL_RECT_NV = Enumerant('GL_RECT_NV', 0x00f6, 'GL_NV_path_rendering')
GL_RECT_NV.group = ['pathCommand']
GL_RELATIVE_ARC_TO_NV = Enumerant('GL_RELATIVE_ARC_TO_NV', 0x00ff, 'GL_NV_path_rendering')
GL_RELATIVE_ARC_TO_NV.group = ['pathCommand']
GL_RELATIVE_ARC_TO_NV.alias = ['a']
GL_RELATIVE_CUBIC_CURVE_TO_NV = Enumerant('GL_RELATIVE_CUBIC_CURVE_TO_NV', 0x000d, 'GL_NV_path_rendering')
GL_RELATIVE_CUBIC_CURVE_TO_NV.group = ['pathCommand']
GL_RELATIVE_CUBIC_CURVE_TO_NV.alias = ['c']
GL_RELATIVE_HORIZONTAL_LINE_TO_NV = Enumerant('GL_RELATIVE_HORIZONTAL_LINE_TO_NV', 0x0007, 'GL_NV_path_rendering')
GL_RELATIVE_HORIZONTAL_LINE_TO_NV.group = ['pathCommand']
GL_RELATIVE_HORIZONTAL_LINE_TO_NV.alias = ['h']
GL_RELATIVE_LARGE_CCW_ARC_TO_NV = Enumerant('GL_RELATIVE_LARGE_CCW_ARC_TO_NV', 0x0017, 'GL_NV_path_rendering')
GL_RELATIVE_LARGE_CCW_ARC_TO_NV.group = ['pathCommand']
GL_RELATIVE_LARGE_CW_ARC_TO_NV = Enumerant('GL_RELATIVE_LARGE_CW_ARC_TO_NV', 0x0019, 'GL_NV_path_rendering')
GL_RELATIVE_LARGE_CW_ARC_TO_NV.group = ['pathCommand']
GL_RELATIVE_LINE_TO_NV = Enumerant('GL_RELATIVE_LINE_TO_NV', 0x0005, 'GL_NV_path_rendering')
GL_RELATIVE_LINE_TO_NV.group = ['pathCommand']
GL_RELATIVE_LINE_TO_NV.alias = ['l']
GL_RELATIVE_MOVE_TO_NV = Enumerant('GL_RELATIVE_MOVE_TO_NV', 0x0003, 'GL_NV_path_rendering')
GL_RELATIVE_MOVE_TO_NV.group = ['pathCommand']
GL_RELATIVE_MOVE_TO_NV.alias = ['m']
GL_RELATIVE_QUADRATIC_CURVE_TO_NV = Enumerant('GL_RELATIVE_QUADRATIC_CURVE_TO_NV', 0x000b, 'GL_NV_path_rendering')
GL_RELATIVE_QUADRATIC_CURVE_TO_NV.group = ['pathCommand']
GL_RELATIVE_QUADRATIC_CURVE_TO_NV.alias = ['q']
GL_RELATIVE_SMALL_CCW_ARC_TO_NV = Enumerant('GL_RELATIVE_SMALL_CCW_ARC_TO_NV', 0x0013, 'GL_NV_path_rendering')
GL_RELATIVE_SMALL_CCW_ARC_TO_NV.group = ['pathCommand']
GL_RELATIVE_SMALL_CW_ARC_TO_NV = Enumerant('GL_RELATIVE_SMALL_CW_ARC_TO_NV', 0x0015, 'GL_NV_path_rendering')
GL_RELATIVE_SMALL_CW_ARC_TO_NV.group = ['pathCommand']
GL_RELATIVE_SMOOTH_CUBIC_CURVE_TO_NV = Enumerant('GL_RELATIVE_SMOOTH_CUBIC_CURVE_TO_NV', 0x0011, 'GL_NV_path_rendering')
GL_RELATIVE_SMOOTH_CUBIC_CURVE_TO_NV.group = ['pathCommand']
GL_RELATIVE_SMOOTH_CUBIC_CURVE_TO_NV.alias = ['s']
GL_RELATIVE_SMOOTH_QUADRATIC_CURVE_TO_NV = Enumerant('GL_RELATIVE_SMOOTH_QUADRATIC_CURVE_TO_NV', 0x000f, 'GL_NV_path_rendering')
GL_RELATIVE_SMOOTH_QUADRATIC_CURVE_TO_NV.group = ['pathCommand']
GL_RELATIVE_SMOOTH_QUADRATIC_CURVE_TO_NV.alias = ['t']
GL_RELATIVE_VERTICAL_LINE_TO_NV = Enumerant('GL_RELATIVE_VERTICAL_LINE_TO_NV', 0x0009, 'GL_NV_path_rendering')
GL_RELATIVE_VERTICAL_LINE_TO_NV.group = ['pathCommand']
GL_RELATIVE_VERTICAL_LINE_TO_NV.alias = ['v']
GL_RESTART_PATH_NV = Enumerant('GL_RESTART_PATH_NV', 0x00f0, 'GL_NV_path_rendering')
GL_RESTART_PATH_NV.group = ['pathCommand']
GL_SMALL_CCW_ARC_TO_NV = Enumerant('GL_SMALL_CCW_ARC_TO_NV', 0x0012, 'GL_NV_path_rendering')
GL_SMALL_CCW_ARC_TO_NV.group = ['pathCommand']
GL_SMALL_CW_ARC_TO_NV = Enumerant('GL_SMALL_CW_ARC_TO_NV', 0x0014, 'GL_NV_path_rendering')
GL_SMALL_CW_ARC_TO_NV.group = ['pathCommand']
GL_SMOOTH_CUBIC_CURVE_TO_NV = Enumerant('GL_SMOOTH_CUBIC_CURVE_TO_NV', 0x0010, 'GL_NV_path_rendering')
GL_SMOOTH_CUBIC_CURVE_TO_NV.group = ['pathCommand']
GL_SMOOTH_CUBIC_CURVE_TO_NV.alias = ['S']
GL_SMOOTH_QUADRATIC_CURVE_TO_NV = Enumerant('GL_SMOOTH_QUADRATIC_CURVE_TO_NV', 0x000e, 'GL_NV_path_rendering')
GL_SMOOTH_QUADRATIC_CURVE_TO_NV.group = ['pathCommand']
GL_SMOOTH_QUADRATIC_CURVE_TO_NV.alias = ['T']
GL_VERTICAL_LINE_TO_NV = Enumerant('GL_VERTICAL_LINE_TO_NV', 0x0008, 'GL_NV_path_rendering')
GL_VERTICAL_LINE_TO_NV.group = ['pathCommand']
GL_VERTICAL_LINE_TO_NV.alias = ['V']

defines.add(GL_ARC_TO_NV)
defines.add(GL_CIRCULAR_CCW_ARC_TO_NV)
defines.add(GL_CIRCULAR_CW_ARC_TO_NV)
defines.add(GL_CIRCULAR_TANGENT_ARC_TO_NV)
defines.add(GL_CLOSE_PATH_NV)
defines.add(GL_CUBIC_CURVE_TO_NV)
defines.add(GL_DUP_FIRST_CUBIC_CURVE_TO_NV)
defines.add(GL_DUP_LAST_CUBIC_CURVE_TO_NV)
defines.add(GL_HORIZONTAL_LINE_TO_NV)
defines.add(GL_LARGE_CCW_ARC_TO_NV)
defines.add(GL_LARGE_CW_ARC_TO_NV)
defines.add(GL_LINE_TO_NV)
defines.add(GL_MOVE_TO_NV)
defines.add(GL_QUADRATIC_CURVE_TO_NV)
defines.add(GL_RECT_NV)
defines.add(GL_RELATIVE_ARC_TO_NV)
defines.add(GL_RELATIVE_CUBIC_CURVE_TO_NV)
defines.add(GL_RELATIVE_HORIZONTAL_LINE_TO_NV)
defines.add(GL_RELATIVE_LARGE_CCW_ARC_TO_NV)
defines.add(GL_RELATIVE_LARGE_CW_ARC_TO_NV)
defines.add(GL_RELATIVE_LINE_TO_NV)
defines.add(GL_RELATIVE_MOVE_TO_NV)
defines.add(GL_RELATIVE_QUADRATIC_CURVE_TO_NV)
defines.add(GL_RELATIVE_SMALL_CCW_ARC_TO_NV)
defines.add(GL_RELATIVE_SMALL_CW_ARC_TO_NV)
defines.add(GL_RELATIVE_SMOOTH_CUBIC_CURVE_TO_NV)
defines.add(GL_RELATIVE_SMOOTH_QUADRATIC_CURVE_TO_NV)
defines.add(GL_RELATIVE_VERTICAL_LINE_TO_NV)
defines.add(GL_RESTART_PATH_NV)
defines.add(GL_SMALL_CCW_ARC_TO_NV)
defines.add(GL_SMALL_CW_ARC_TO_NV)
defines.add(GL_SMOOTH_CUBIC_CURVE_TO_NV)
defines.add(GL_SMOOTH_QUADRATIC_CURVE_TO_NV)
defines.add(GL_VERTICAL_LINE_TO_NV)

# GL_NV_pixel_buffer_object

GL_PIXEL_PACK_BUFFER_BINDING_NV = Enumerant('GL_PIXEL_PACK_BUFFER_BINDING_NV', 0x88ed, 'GL_NV_pixel_buffer_object')
GL_PIXEL_PACK_BUFFER_NV = Enumerant('GL_PIXEL_PACK_BUFFER_NV', 0x88eb, 'GL_NV_pixel_buffer_object')
GL_PIXEL_UNPACK_BUFFER_BINDING_NV = Enumerant('GL_PIXEL_UNPACK_BUFFER_BINDING_NV', 0x88ef, 'GL_NV_pixel_buffer_object')
GL_PIXEL_UNPACK_BUFFER_NV = Enumerant('GL_PIXEL_UNPACK_BUFFER_NV', 0x88ec, 'GL_NV_pixel_buffer_object')

defines.add(GL_PIXEL_PACK_BUFFER_BINDING_NV)
defines.add(GL_PIXEL_PACK_BUFFER_NV)
defines.add(GL_PIXEL_UNPACK_BUFFER_BINDING_NV)
defines.add(GL_PIXEL_UNPACK_BUFFER_NV)

# GL_NV_platform_binary

GL_NVIDIA_PLATFORM_BINARY_NV = Enumerant('GL_NVIDIA_PLATFORM_BINARY_NV', 0x890b, 'GL_NV_platform_binary')

defines.add(GL_NVIDIA_PLATFORM_BINARY_NV)

# GL_NV_coverage_sample

GL_EGL_COVERAGE_BUFFERS_NV = Enumerant('GL_EGL_COVERAGE_BUFFERS_NV', 0x30e0, 'GL_NV_coverage_sample')
GL_EGL_COVERAGE_SAMPLES_NV = Enumerant('GL_EGL_COVERAGE_SAMPLES_NV', 0x30e1, 'GL_NV_coverage_sample')

defines.add(GL_EGL_COVERAGE_BUFFERS_NV)
defines.add(GL_EGL_COVERAGE_SAMPLES_NV)

# GL_NV_register_combiners

GL_PRIMARY_COLOR_NV = Enumerant('GL_PRIMARY_COLOR_NV', 0x852c, 'GL_NV_register_combiners')
GL_SECONDARY_COLOR_NV = Enumerant('GL_SECONDARY_COLOR_NV', 0x852d, 'GL_NV_register_combiners')

defines.add(GL_PRIMARY_COLOR_NV)
defines.add(GL_SECONDARY_COLOR_NV)

# GL_NV_texture_array

GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_NV = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_NV', 0x8cd4, 'GL_NV_texture_array')
GL_MAX_ARRAY_TEXTURE_LAYERS_NV = Enumerant('GL_MAX_ARRAY_TEXTURE_LAYERS_NV', 0x88ff, 'GL_NV_texture_array')
GL_SAMPLER_2D_ARRAY_NV = Enumerant('GL_SAMPLER_2D_ARRAY_NV', 0x8dc1, 'GL_NV_texture_array')
GL_TEXTURE_2D_ARRAY_NV = Enumerant('GL_TEXTURE_2D_ARRAY_NV', 0x8c1a, 'GL_NV_texture_array')
GL_TEXTURE_BINDING_2D_ARRAY_NV = Enumerant('GL_TEXTURE_BINDING_2D_ARRAY_NV', 0x8c1d, 'GL_NV_texture_array')
GL_UNPACK_IMAGE_HEIGHT_NV = Enumerant('GL_UNPACK_IMAGE_HEIGHT_NV', 0x806e, 'GL_NV_texture_array')
GL_UNPACK_SKIP_IMAGES_NV = Enumerant('GL_UNPACK_SKIP_IMAGES_NV', 0x806d, 'GL_NV_texture_array')

defines.add(GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER_NV)
defines.add(GL_MAX_ARRAY_TEXTURE_LAYERS_NV)
defines.add(GL_SAMPLER_2D_ARRAY_NV)
defines.add(GL_TEXTURE_2D_ARRAY_NV)
defines.add(GL_TEXTURE_BINDING_2D_ARRAY_NV)
defines.add(GL_UNPACK_IMAGE_HEIGHT_NV)
defines.add(GL_UNPACK_SKIP_IMAGES_NV)

# GL_NV_texture_compression_latc

GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_NV = Enumerant('GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_NV', 0x8c72, 'GL_NV_texture_compression_latc')
GL_COMPRESSED_LUMINANCE_LATC1_NV = Enumerant('GL_COMPRESSED_LUMINANCE_LATC1_NV', 0x8c70, 'GL_NV_texture_compression_latc')
GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_NV = Enumerant('GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_NV', 0x8c73, 'GL_NV_texture_compression_latc')
GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_NV = Enumerant('GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_NV', 0x8c71, 'GL_NV_texture_compression_latc')

defines.add(GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_NV)
defines.add(GL_COMPRESSED_LUMINANCE_LATC1_NV)
defines.add(GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_NV)
defines.add(GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_NV)

# GL_NV_texture_compression_s3tc

GL_COMPRESSED_RGBA_S3TC_DXT1_NV = Enumerant('GL_COMPRESSED_RGBA_S3TC_DXT1_NV', 0x83f1, 'GL_NV_texture_compression_s3tc')
GL_COMPRESSED_RGBA_S3TC_DXT3_NV = Enumerant('GL_COMPRESSED_RGBA_S3TC_DXT3_NV', 0x83f2, 'GL_NV_texture_compression_s3tc')
GL_COMPRESSED_RGBA_S3TC_DXT5_NV = Enumerant('GL_COMPRESSED_RGBA_S3TC_DXT5_NV', 0x83f3, 'GL_NV_texture_compression_s3tc')
GL_COMPRESSED_RGB_S3TC_DXT1_NV = Enumerant('GL_COMPRESSED_RGB_S3TC_DXT1_NV', 0x83f0, 'GL_NV_texture_compression_s3tc')

defines.add(GL_COMPRESSED_RGBA_S3TC_DXT1_NV)
defines.add(GL_COMPRESSED_RGBA_S3TC_DXT3_NV)
defines.add(GL_COMPRESSED_RGBA_S3TC_DXT5_NV)
defines.add(GL_COMPRESSED_RGB_S3TC_DXT1_NV)

# GL_NV_texture_compression_latc

GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_NV = Enumerant('GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_NV', 0x8c72, 'GL_NV_texture_compression_latc')
GL_COMPRESSED_LUMINANCE_LATC1_NV = Enumerant('GL_COMPRESSED_LUMINANCE_LATC1_NV', 0x8c70, 'GL_NV_texture_compression_latc')
GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_NV = Enumerant('GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_NV', 0x8c73, 'GL_NV_texture_compression_latc')
GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_NV = Enumerant('GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_NV', 0x8c71, 'GL_NV_texture_compression_latc')

defines.add(GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_NV)
defines.add(GL_COMPRESSED_LUMINANCE_LATC1_NV)
defines.add(GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_NV)
defines.add(GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_NV)

# GL_NV_texture_compression_s3tc

GL_COMPRESSED_RGBA_S3TC_DXT1_NV = Enumerant('GL_COMPRESSED_RGBA_S3TC_DXT1_NV', 0x83f1, 'GL_NV_texture_compression_s3tc')
GL_COMPRESSED_RGBA_S3TC_DXT3_NV = Enumerant('GL_COMPRESSED_RGBA_S3TC_DXT3_NV', 0x83f2, 'GL_NV_texture_compression_s3tc')
GL_COMPRESSED_RGBA_S3TC_DXT5_NV = Enumerant('GL_COMPRESSED_RGBA_S3TC_DXT5_NV', 0x83f3, 'GL_NV_texture_compression_s3tc')
GL_COMPRESSED_RGB_S3TC_DXT1_NV = Enumerant('GL_COMPRESSED_RGB_S3TC_DXT1_NV', 0x83f0, 'GL_NV_texture_compression_s3tc')

defines.add(GL_COMPRESSED_RGBA_S3TC_DXT1_NV)
defines.add(GL_COMPRESSED_RGBA_S3TC_DXT3_NV)
defines.add(GL_COMPRESSED_RGBA_S3TC_DXT5_NV)
defines.add(GL_COMPRESSED_RGB_S3TC_DXT1_NV)

# GL_NV_texture_compression_latc

GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_NV = Enumerant('GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_NV', 0x8c72, 'GL_NV_texture_compression_latc')
GL_COMPRESSED_LUMINANCE_LATC1_NV = Enumerant('GL_COMPRESSED_LUMINANCE_LATC1_NV', 0x8c70, 'GL_NV_texture_compression_latc')
GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_NV = Enumerant('GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_NV', 0x8c73, 'GL_NV_texture_compression_latc')
GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_NV = Enumerant('GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_NV', 0x8c71, 'GL_NV_texture_compression_latc')

defines.add(GL_COMPRESSED_LUMINANCE_ALPHA_LATC2_NV)
defines.add(GL_COMPRESSED_LUMINANCE_LATC1_NV)
defines.add(GL_COMPRESSED_SIGNED_LUMINANCE_ALPHA_LATC2_NV)
defines.add(GL_COMPRESSED_SIGNED_LUMINANCE_LATC1_NV)

# GL_NV_texture_compression_s3tc

GL_COMPRESSED_RGBA_S3TC_DXT1_NV = Enumerant('GL_COMPRESSED_RGBA_S3TC_DXT1_NV', 0x83f1, 'GL_NV_texture_compression_s3tc')
GL_COMPRESSED_RGBA_S3TC_DXT3_NV = Enumerant('GL_COMPRESSED_RGBA_S3TC_DXT3_NV', 0x83f2, 'GL_NV_texture_compression_s3tc')
GL_COMPRESSED_RGBA_S3TC_DXT5_NV = Enumerant('GL_COMPRESSED_RGBA_S3TC_DXT5_NV', 0x83f3, 'GL_NV_texture_compression_s3tc')
GL_COMPRESSED_RGB_S3TC_DXT1_NV = Enumerant('GL_COMPRESSED_RGB_S3TC_DXT1_NV', 0x83f0, 'GL_NV_texture_compression_s3tc')

defines.add(GL_COMPRESSED_RGBA_S3TC_DXT1_NV)
defines.add(GL_COMPRESSED_RGBA_S3TC_DXT3_NV)
defines.add(GL_COMPRESSED_RGBA_S3TC_DXT5_NV)
defines.add(GL_COMPRESSED_RGB_S3TC_DXT1_NV)

# GL_NV_texture_shader

GL_TEXTURE_BORDER_VALUES_NV = Enumerant('GL_TEXTURE_BORDER_VALUES_NV', 0x871a, 'GL_NV_texture_shader')
GL_TEXTURE_DS_SIZE_NV = Enumerant('GL_TEXTURE_DS_SIZE_NV', 0x871d, 'GL_NV_texture_shader')
GL_TEXTURE_DT_SIZE_NV = Enumerant('GL_TEXTURE_DT_SIZE_NV', 0x871e, 'GL_NV_texture_shader')
GL_TEXTURE_HI_SIZE_NV = Enumerant('GL_TEXTURE_HI_SIZE_NV', 0x871b, 'GL_NV_texture_shader')
GL_TEXTURE_LO_SIZE_NV = Enumerant('GL_TEXTURE_LO_SIZE_NV', 0x871c, 'GL_NV_texture_shader')
GL_TEXTURE_MAG_SIZE_NV = Enumerant('GL_TEXTURE_MAG_SIZE_NV', 0x871f, 'GL_NV_texture_shader')
GL_TEXTURE_SHADER_NV = Enumerant('GL_TEXTURE_SHADER_NV', 0x86de, 'GL_NV_texture_shader')
GL_VIBRANCE_BIAS_NV = Enumerant('GL_VIBRANCE_BIAS_NV', 0x8719, 'GL_NV_texture_shader')
GL_VIBRANCE_SCALE_NV = Enumerant('GL_VIBRANCE_SCALE_NV', 0x8713, 'GL_NV_texture_shader')

defines.add(GL_TEXTURE_BORDER_VALUES_NV)
defines.add(GL_TEXTURE_DS_SIZE_NV)
defines.add(GL_TEXTURE_DT_SIZE_NV)
defines.add(GL_TEXTURE_HI_SIZE_NV)
defines.add(GL_TEXTURE_LO_SIZE_NV)
defines.add(GL_TEXTURE_MAG_SIZE_NV)
defines.add(GL_TEXTURE_SHADER_NV)
defines.add(GL_VIBRANCE_BIAS_NV)
defines.add(GL_VIBRANCE_SCALE_NV)

# GL_NV_texture_shader2

GL_DOT_PRODUCT_TEXTURE_3D_NV = Enumerant('GL_DOT_PRODUCT_TEXTURE_3D_NV', 0x86ef, 'GL_NV_texture_shader2')
GL_DSDT8_MAG8_INTENSITY8_NV = Enumerant('GL_DSDT8_MAG8_INTENSITY8_NV', 0x870b, 'GL_NV_texture_shader2')
GL_DSDT8_MAG8_NV = Enumerant('GL_DSDT8_MAG8_NV', 0x870a, 'GL_NV_texture_shader2')
GL_DSDT8_NV = Enumerant('GL_DSDT8_NV', 0x8709, 'GL_NV_texture_shader2')
GL_DSDT_MAG_INTENSITY_NV = Enumerant('GL_DSDT_MAG_INTENSITY_NV', 0x86dc, 'GL_NV_texture_shader2')
GL_DSDT_MAG_NV = Enumerant('GL_DSDT_MAG_NV', 0x86f6, 'GL_NV_texture_shader2')
GL_DSDT_MAG_VIB_NV = Enumerant('GL_DSDT_MAG_VIB_NV', 0x86f7, 'GL_NV_texture_shader2')
GL_DSDT_NV = Enumerant('GL_DSDT_NV', 0x86f5, 'GL_NV_texture_shader2')
GL_HILO16_NV = Enumerant('GL_HILO16_NV', 0x86f8, 'GL_NV_texture_shader2')
GL_HILO_NV = Enumerant('GL_HILO_NV', 0x86f4, 'GL_NV_texture_shader2')
GL_SIGNED_ALPHA8_NV = Enumerant('GL_SIGNED_ALPHA8_NV', 0x8706, 'GL_NV_texture_shader2')
GL_SIGNED_ALPHA_NV = Enumerant('GL_SIGNED_ALPHA_NV', 0x8705, 'GL_NV_texture_shader2')
GL_SIGNED_HILO16_NV = Enumerant('GL_SIGNED_HILO16_NV', 0x86fa, 'GL_NV_texture_shader2')
GL_SIGNED_HILO_NV = Enumerant('GL_SIGNED_HILO_NV', 0x86f9, 'GL_NV_texture_shader2')
GL_SIGNED_INTENSITY8_NV = Enumerant('GL_SIGNED_INTENSITY8_NV', 0x8708, 'GL_NV_texture_shader2')
GL_SIGNED_INTENSITY_NV = Enumerant('GL_SIGNED_INTENSITY_NV', 0x8707, 'GL_NV_texture_shader2')
GL_SIGNED_LUMINANCE8_ALPHA8_NV = Enumerant('GL_SIGNED_LUMINANCE8_ALPHA8_NV', 0x8704, 'GL_NV_texture_shader2')
GL_SIGNED_LUMINANCE8_NV = Enumerant('GL_SIGNED_LUMINANCE8_NV', 0x8702, 'GL_NV_texture_shader2')
GL_SIGNED_LUMINANCE_ALPHA_NV = Enumerant('GL_SIGNED_LUMINANCE_ALPHA_NV', 0x8703, 'GL_NV_texture_shader2')
GL_SIGNED_LUMINANCE_NV = Enumerant('GL_SIGNED_LUMINANCE_NV', 0x8701, 'GL_NV_texture_shader2')
GL_SIGNED_RGB8_NV = Enumerant('GL_SIGNED_RGB8_NV', 0x86ff, 'GL_NV_texture_shader2')
GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV = Enumerant('GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV', 0x870d, 'GL_NV_texture_shader2')
GL_SIGNED_RGBA8_NV = Enumerant('GL_SIGNED_RGBA8_NV', 0x86fc, 'GL_NV_texture_shader2')
GL_SIGNED_RGBA_NV = Enumerant('GL_SIGNED_RGBA_NV', 0x86fb, 'GL_NV_texture_shader2')
GL_SIGNED_RGB_NV = Enumerant('GL_SIGNED_RGB_NV', 0x86fe, 'GL_NV_texture_shader2')
GL_SIGNED_RGB_UNSIGNED_ALPHA_NV = Enumerant('GL_SIGNED_RGB_UNSIGNED_ALPHA_NV', 0x870c, 'GL_NV_texture_shader2')
GL_UNSIGNED_INT_8_8_S8_S8_REV_NV = Enumerant('GL_UNSIGNED_INT_8_8_S8_S8_REV_NV', 0x86db, 'GL_NV_texture_shader2')
GL_UNSIGNED_INT_S8_S8_8_8_NV = Enumerant('GL_UNSIGNED_INT_S8_S8_8_8_NV', 0x86da, 'GL_NV_texture_shader2')

defines.add(GL_DOT_PRODUCT_TEXTURE_3D_NV)
defines.add(GL_DSDT8_MAG8_INTENSITY8_NV)
defines.add(GL_DSDT8_MAG8_NV)
defines.add(GL_DSDT8_NV)
defines.add(GL_DSDT_MAG_INTENSITY_NV)
defines.add(GL_DSDT_MAG_NV)
defines.add(GL_DSDT_MAG_VIB_NV)
defines.add(GL_DSDT_NV)
defines.add(GL_HILO16_NV)
defines.add(GL_HILO_NV)
defines.add(GL_SIGNED_ALPHA8_NV)
defines.add(GL_SIGNED_ALPHA_NV)
defines.add(GL_SIGNED_HILO16_NV)
defines.add(GL_SIGNED_HILO_NV)
defines.add(GL_SIGNED_INTENSITY8_NV)
defines.add(GL_SIGNED_INTENSITY_NV)
defines.add(GL_SIGNED_LUMINANCE8_ALPHA8_NV)
defines.add(GL_SIGNED_LUMINANCE8_NV)
defines.add(GL_SIGNED_LUMINANCE_ALPHA_NV)
defines.add(GL_SIGNED_LUMINANCE_NV)
defines.add(GL_SIGNED_RGB8_NV)
defines.add(GL_SIGNED_RGB8_UNSIGNED_ALPHA8_NV)
defines.add(GL_SIGNED_RGBA8_NV)
defines.add(GL_SIGNED_RGBA_NV)
defines.add(GL_SIGNED_RGB_NV)
defines.add(GL_SIGNED_RGB_UNSIGNED_ALPHA_NV)
defines.add(GL_UNSIGNED_INT_8_8_S8_S8_REV_NV)
defines.add(GL_UNSIGNED_INT_S8_S8_8_8_NV)

# GL_NV_vertex_attrib_integer_64bit

GL_INT64_NV = Enumerant('GL_INT64_NV', 0x140e, 'GL_NV_vertex_attrib_integer_64bit')
GL_UNSIGNED_INT64_NV = Enumerant('GL_UNSIGNED_INT64_NV', 0x140f, 'GL_NV_vertex_attrib_integer_64bit')

defines.add(GL_INT64_NV)
defines.add(GL_UNSIGNED_INT64_NV)

# GL_NV_vertex_program2_option

GL_MAX_PROGRAM_CALL_DEPTH_NV = Enumerant('GL_MAX_PROGRAM_CALL_DEPTH_NV', 0x88f5, 'GL_NV_vertex_program2_option')
GL_MAX_PROGRAM_EXEC_INSTRUCTIONS_NV = Enumerant('GL_MAX_PROGRAM_EXEC_INSTRUCTIONS_NV', 0x88f4, 'GL_NV_vertex_program2_option')

defines.add(GL_MAX_PROGRAM_CALL_DEPTH_NV)
defines.add(GL_MAX_PROGRAM_EXEC_INSTRUCTIONS_NV)

# GL_NV_vertex_program3

MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB = Enumerant('MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB', 0x8b4c, 'GL_NV_vertex_program3')

defines.add(MAX_VERTEX_TEXTURE_IMAGE_UNITS_ARB)

# GL_OES_framebuffer_object

GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_OES = Enumerant('GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_OES', 0x8cd4, 'GL_OES_framebuffer_object')
GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_OES = Enumerant('GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_OES', 0x8cdb, 'GL_OES_framebuffer_object')
GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_OES = Enumerant('GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_OES', 0x8cdc, 'GL_OES_framebuffer_object')

defines.add(GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_3D_ZOFFSET_OES)
defines.add(GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER_OES)
defines.add(GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER_OES)

# GL_OES_packed_depth_stencil

GL_DEPTH_STENCIL_OES = Enumerant('GL_DEPTH_STENCIL_OES', 0x84f9, 'GL_OES_packed_depth_stencil')
GL_UNSIGNED_INT_24_8_OES = Enumerant('GL_UNSIGNED_INT_24_8_OES', 0x84fa, 'GL_OES_packed_depth_stencil')

defines.add(GL_DEPTH_STENCIL_OES)
defines.add(GL_UNSIGNED_INT_24_8_OES)

# GL_OES_required_internalformat

GL_DEPTH24_STENCIL8_OES = Enumerant('GL_DEPTH24_STENCIL8_OES', 0x88f0, 'GL_OES_required_internalformat')
GL_DEPTH_COMPONENT16_OES = Enumerant('GL_DEPTH_COMPONENT16_OES', 0x81a5, 'GL_OES_required_internalformat')
GL_DEPTH_COMPONENT24_OES = Enumerant('GL_DEPTH_COMPONENT24_OES', 0x81a6, 'GL_OES_required_internalformat')
GL_DEPTH_COMPONENT32_OES = Enumerant('GL_DEPTH_COMPONENT32_OES', 0x81a7, 'GL_OES_required_internalformat')
GL_RGB565_OES = Enumerant('GL_RGB565_OES', 0x8d62, 'GL_OES_required_internalformat')
GL_RGB5_A1_OES = Enumerant('GL_RGB5_A1_OES', 0x8057, 'GL_OES_required_internalformat')
GL_RGBA4_OES = Enumerant('GL_RGBA4_OES', 0x8056, 'GL_OES_required_internalformat')
GL_RGB8_OES = Enumerant('GL_RGB8_OES', 0x8051, 'GL_OES_required_internalformat')
GL_RGBA8_OES = Enumerant('GL_RGBA8_OES', 0x8058, 'GL_OES_required_internalformat')
# GL_RGB10_EXT = Enumerant('GL_RGB10_EXT', 0x8052, 'GL_OES_required_internalformat')
# GL_RGB10_A2_EXT = Enumerant('GL_RGB10_A2_EXT', 0x8059, 'GL_OES_required_internalformat')

defines.add(GL_DEPTH24_STENCIL8_OES)
defines.add(GL_DEPTH_COMPONENT16_OES)
defines.add(GL_DEPTH_COMPONENT24_OES)
defines.add(GL_DEPTH_COMPONENT32_OES)
defines.add(GL_RGB565_OES)
defines.add(GL_RGB5_A1_OES)
defines.add(GL_RGBA4_OES)
defines.add(GL_RGB8_OES)
defines.add(GL_RGBA8_OES)
# defines.add(GL_RGB10_EXT)
# defines.add(GL_RGB10_A2_EXT)

# GL_OES_rgb8_rgba8

GL_RGB8_OES = Enumerant('GL_RGB8_OES', 0x8051, 'GL_OES_rgb8_rgba8')
GL_RGBA8_OES = Enumerant('GL_RGBA8_OES', 0x8058, 'GL_OES_rgb8_rgba8')

defines.add(GL_RGB8_OES)
defines.add(GL_RGBA8_OES)

# GL_OES_vertex_half_float

GL_HALF_FLOAT_OES = Enumerant('GL_HALF_FLOAT_OES', 0x8d61, 'GL_OES_vertex_half_float')

defines.add(GL_HALF_FLOAT_OES)

# GL_REGAL_enable

GL_CACHE_REGAL = Enumerant('GL_CACHE_REGAL', 0x9362, 'GL_REGAL_enable')
GL_CODE_REGAL = Enumerant('GL_CODE_REGAL', 0x9363, 'GL_REGAL_enable')
GL_DEBUG_REGAL = Enumerant('GL_DEBUG_REGAL', 0x9323, 'GL_REGAL_enable')
GL_DRIVER_REGAL = Enumerant('GL_DRIVER_REGAL', 0x9326, 'GL_REGAL_enable')
GL_EMULATION_REGAL = Enumerant('GL_EMULATION_REGAL', 0x9325, 'GL_REGAL_enable')
GL_ERROR_REGAL = Enumerant('GL_ERROR_REGAL', 0x9322, 'GL_REGAL_enable')
GL_LOG_REGAL = Enumerant('GL_LOG_REGAL', 0x9324, 'GL_REGAL_enable')
GL_MISSING_REGAL = Enumerant('GL_MISSING_REGAL', 0x9360, 'GL_REGAL_enable')
GL_STATISTICS_REGAL = Enumerant('GL_STATISTICS_REGAL', 0x9364, 'GL_REGAL_enable')
GL_TRACE_REGAL = Enumerant('GL_TRACE_REGAL', 0x9361, 'GL_REGAL_enable')

defines.add(GL_CACHE_REGAL)
defines.add(GL_CODE_REGAL)
defines.add(GL_DEBUG_REGAL)
defines.add(GL_DRIVER_REGAL)
defines.add(GL_EMULATION_REGAL)
defines.add(GL_ERROR_REGAL)
defines.add(GL_LOG_REGAL)
defines.add(GL_MISSING_REGAL)
defines.add(GL_STATISTICS_REGAL)
defines.add(GL_TRACE_REGAL)

# GL_REGAL_log

GL_LOG_APP_REGAL = Enumerant('GL_LOG_APP_REGAL', 0x931c, 'GL_REGAL_log')
GL_LOG_DEBUG_REGAL = Enumerant('GL_LOG_DEBUG_REGAL', 0x931f, 'GL_REGAL_log')
GL_LOG_DRIVER_REGAL = Enumerant('GL_LOG_DRIVER_REGAL', 0x931d, 'GL_REGAL_log')
GL_LOG_ERROR_REGAL = Enumerant('GL_LOG_ERROR_REGAL', 0x9319, 'GL_REGAL_log')
GL_LOG_HTTP_REGAL = Enumerant('GL_LOG_HTTP_REGAL', 0x9321, 'GL_REGAL_log')
GL_LOG_INFO_REGAL = Enumerant('GL_LOG_INFO_REGAL', 0x931b, 'GL_REGAL_log')
GL_LOG_INTERNAL_REGAL = Enumerant('GL_LOG_INTERNAL_REGAL', 0x931e, 'GL_REGAL_log')
GL_LOG_STATUS_REGAL = Enumerant('GL_LOG_STATUS_REGAL', 0x9320, 'GL_REGAL_log')
GL_LOG_WARNING_REGAL = Enumerant('GL_LOG_WARNING_REGAL', 0x931a, 'GL_REGAL_log')

defines.add(GL_LOG_APP_REGAL)
defines.add(GL_LOG_DEBUG_REGAL)
defines.add(GL_LOG_DRIVER_REGAL)
defines.add(GL_LOG_ERROR_REGAL)
defines.add(GL_LOG_HTTP_REGAL)
defines.add(GL_LOG_INFO_REGAL)
defines.add(GL_LOG_INTERNAL_REGAL)
defines.add(GL_LOG_STATUS_REGAL)
defines.add(GL_LOG_WARNING_REGAL)

# GL_SGIS_color_range

GL_EXTENDED_RANGE_SGIS = Enumerant('GL_EXTENDED_RANGE_SGIS', 0x85a5, 'GL_SGIS_color_range')
GL_MAX_ALPHA_SGIS = Enumerant('GL_MAX_ALPHA_SGIS', 0x85ad, 'GL_SGIS_color_range')
GL_MAX_BLUE_SGIS = Enumerant('GL_MAX_BLUE_SGIS', 0x85ab, 'GL_SGIS_color_range')
GL_MAX_GREEN_SGIS = Enumerant('GL_MAX_GREEN_SGIS', 0x85a9, 'GL_SGIS_color_range')
GL_MAX_RED_SGIS = Enumerant('GL_MAX_RED_SGIS', 0x85a7, 'GL_SGIS_color_range')
GL_MIN_ALPHA_SGIS = Enumerant('GL_MIN_ALPHA_SGIS', 0x85ac, 'GL_SGIS_color_range')
GL_MIN_BLUE_SGIS = Enumerant('GL_MIN_BLUE_SGIS', 0x85aa, 'GL_SGIS_color_range')
GL_MIN_GREEN_SGIS = Enumerant('GL_MIN_GREEN_SGIS', 0x85a8, 'GL_SGIS_color_range')
GL_MIN_RED_SGIS = Enumerant('GL_MIN_RED_SGIS', 0x85a6, 'GL_SGIS_color_range')

defines.add(GL_EXTENDED_RANGE_SGIS)
defines.add(GL_MAX_ALPHA_SGIS)
defines.add(GL_MAX_BLUE_SGIS)
defines.add(GL_MAX_GREEN_SGIS)
defines.add(GL_MAX_RED_SGIS)
defines.add(GL_MIN_ALPHA_SGIS)
defines.add(GL_MIN_BLUE_SGIS)
defines.add(GL_MIN_GREEN_SGIS)
defines.add(GL_MIN_RED_SGIS)

# these SGIX_resample values can be removed once khronos fixes the values in their gl.xml file
# see khronos bug 12653 - SGIX_resample in gl.xml
#    https://cvs.khronos.org/bugzilla/show_bug.cgi?id=12653

# GL_SGIX_resample

GL_PACK_RESAMPLE_SGIX = Enumerant('GL_PACK_RESAMPLE_SGIX', 0x842e, 'GL_SGIX_resample')
GL_RESAMPLE_DECIMATE_SGIX = Enumerant('GL_RESAMPLE_DECIMATE_SGIX', 0x8430, 'GL_SGIX_resample')
GL_RESAMPLE_REPLICATE_SGIX = Enumerant('GL_RESAMPLE_REPLICATE_SGIX', 0x8433, 'GL_SGIX_resample')
GL_RESAMPLE_ZERO_FILL_SGIX = Enumerant('GL_RESAMPLE_ZERO_FILL_SGIX', 0x8434, 'GL_SGIX_resample')
GL_UNPACK_RESAMPLE_SGIX = Enumerant('GL_UNPACK_RESAMPLE_SGIX', 0x842f, 'GL_SGIX_resample')

defines.add(GL_PACK_RESAMPLE_SGIX)
defines.add(GL_RESAMPLE_DECIMATE_SGIX)
defines.add(GL_RESAMPLE_REPLICATE_SGIX)
defines.add(GL_RESAMPLE_ZERO_FILL_SGIX)
defines.add(GL_UNPACK_RESAMPLE_SGIX)

# GL_SGIX_texture_range

GL_ALPHA16_EXTENDED_RANGE_SGIX = Enumerant('GL_ALPHA16_EXTENDED_RANGE_SGIX', 0x85f4, 'GL_SGIX_texture_range')
GL_ALPHA16_SIGNED_SGIX = Enumerant('GL_ALPHA16_SIGNED_SGIX', 0x85e8, 'GL_SGIX_texture_range')
GL_ALPHA_EXTENDED_RANGE_SGIX = Enumerant('GL_ALPHA_EXTENDED_RANGE_SGIX', 0x85ee, 'GL_SGIX_texture_range')
GL_ALPHA_SIGNED_SGIX = Enumerant('GL_ALPHA_SIGNED_SGIX', 0x85e2, 'GL_SGIX_texture_range')
GL_INTENSITY16_EXTENDED_RANGE_SGIX = Enumerant('GL_INTENSITY16_EXTENDED_RANGE_SGIX', 0x85f6, 'GL_SGIX_texture_range')
GL_INTENSITY16_SIGNED_SGIX = Enumerant('GL_INTENSITY16_SIGNED_SGIX', 0x85ea, 'GL_SGIX_texture_range')
GL_INTENSITY_EXTENDED_RANGE_SGIX = Enumerant('GL_INTENSITY_EXTENDED_RANGE_SGIX', 0x85f0, 'GL_SGIX_texture_range')
GL_INTENSITY_SIGNED_SGIX = Enumerant('GL_INTENSITY_SIGNED_SGIX', 0x85e4, 'GL_SGIX_texture_range')
GL_LUMINANCE16_ALPHA16_EXTENDED_RANGE_SGIX = Enumerant('GL_LUMINANCE16_ALPHA16_EXTENDED_RANGE_SGIX', 0x85f7, 'GL_SGIX_texture_range')
GL_LUMINANCE16_ALPHA16_SIGNED_SGIX = Enumerant('GL_LUMINANCE16_ALPHA16_SIGNED_SGIX', 0x85eb, 'GL_SGIX_texture_range')
GL_LUMINANCE16_EXTENDED_RANGE_SGIX = Enumerant('GL_LUMINANCE16_EXTENDED_RANGE_SGIX', 0x85f5, 'GL_SGIX_texture_range')
GL_LUMINANCE16_SIGNED_SGIX = Enumerant('GL_LUMINANCE16_SIGNED_SGIX', 0x85e9, 'GL_SGIX_texture_range')
GL_LUMINANCE_ALPHA_EXTENDED_RANGE_SGIX = Enumerant('GL_LUMINANCE_ALPHA_EXTENDED_RANGE_SGIX', 0x85f1, 'GL_SGIX_texture_range')
GL_LUMINANCE_ALPHA_SIGNED_SGIX = Enumerant('GL_LUMINANCE_ALPHA_SIGNED_SGIX', 0x85e5, 'GL_SGIX_texture_range')
GL_LUMINANCE_EXTENDED_RANGE_SGIX = Enumerant('GL_LUMINANCE_EXTENDED_RANGE_SGIX', 0x85ef, 'GL_SGIX_texture_range')
GL_LUMINANCE_SIGNED_SGIX = Enumerant('GL_LUMINANCE_SIGNED_SGIX', 0x85e3, 'GL_SGIX_texture_range')
GL_MAX_INTENSITY_SGIS = Enumerant('GL_MAX_INTENSITY_SGIS', 0x85fb, 'GL_SGIX_texture_range')
GL_MAX_LUMINANCE_SGIS = Enumerant('GL_MAX_LUMINANCE_SGIS', 0x85f9, 'GL_SGIX_texture_range')
GL_MIN_INTENSITY_SGIS = Enumerant('GL_MIN_INTENSITY_SGIS', 0x85fa, 'GL_SGIX_texture_range')
GL_MIN_LUMINANCE_SGIS = Enumerant('GL_MIN_LUMINANCE_SGIS', 0x85f8, 'GL_SGIX_texture_range')
GL_RGB16_EXTENDED_RANGE_SGIX = Enumerant('GL_RGB16_EXTENDED_RANGE_SGIX', 0x85f2, 'GL_SGIX_texture_range')
GL_RGB16_SIGNED_SGIX = Enumerant('GL_RGB16_SIGNED_SGIX', 0x85e6, 'GL_SGIX_texture_range')
GL_RGBA16_EXTENDED_RANGE_SGIX = Enumerant('GL_RGBA16_EXTENDED_RANGE_SGIX', 0x85f3, 'GL_SGIX_texture_range')
GL_RGBA16_SIGNED_SGIX = Enumerant('GL_RGBA16_SIGNED_SGIX', 0x85e7, 'GL_SGIX_texture_range')
GL_RGBA_EXTENDED_RANGE_SGIX = Enumerant('GL_RGBA_EXTENDED_RANGE_SGIX', 0x85ed, 'GL_SGIX_texture_range')
GL_RGBA_SIGNED_SGIX = Enumerant('GL_RGBA_SIGNED_SGIX', 0x85e1, 'GL_SGIX_texture_range')
GL_RGB_EXTENDED_RANGE_SGIX = Enumerant('GL_RGB_EXTENDED_RANGE_SGIX', 0x85ec, 'GL_SGIX_texture_range')
GL_RGB_SIGNED_SGIX = Enumerant('GL_RGB_SIGNED_SGIX', 0x85e0, 'GL_SGIX_texture_range')

defines.add(GL_ALPHA16_EXTENDED_RANGE_SGIX)
defines.add(GL_ALPHA16_SIGNED_SGIX)
defines.add(GL_ALPHA_EXTENDED_RANGE_SGIX)
defines.add(GL_ALPHA_SIGNED_SGIX)
defines.add(GL_INTENSITY16_EXTENDED_RANGE_SGIX)
defines.add(GL_INTENSITY16_SIGNED_SGIX)
defines.add(GL_INTENSITY_EXTENDED_RANGE_SGIX)
defines.add(GL_INTENSITY_SIGNED_SGIX)
defines.add(GL_LUMINANCE16_ALPHA16_EXTENDED_RANGE_SGIX)
defines.add(GL_LUMINANCE16_ALPHA16_SIGNED_SGIX)
defines.add(GL_LUMINANCE16_EXTENDED_RANGE_SGIX)
defines.add(GL_LUMINANCE16_SIGNED_SGIX)
defines.add(GL_LUMINANCE_ALPHA_EXTENDED_RANGE_SGIX)
defines.add(GL_LUMINANCE_ALPHA_SIGNED_SGIX)
defines.add(GL_LUMINANCE_EXTENDED_RANGE_SGIX)
defines.add(GL_LUMINANCE_SIGNED_SGIX)
defines.add(GL_MAX_INTENSITY_SGIS)
defines.add(GL_MAX_LUMINANCE_SGIS)
defines.add(GL_MIN_INTENSITY_SGIS)
defines.add(GL_MIN_LUMINANCE_SGIS)
defines.add(GL_RGB16_EXTENDED_RANGE_SGIX)
defines.add(GL_RGB16_SIGNED_SGIX)
defines.add(GL_RGBA16_EXTENDED_RANGE_SGIX)
defines.add(GL_RGBA16_SIGNED_SGIX)
defines.add(GL_RGBA_EXTENDED_RANGE_SGIX)
defines.add(GL_RGBA_SIGNED_SGIX)
defines.add(GL_RGB_EXTENDED_RANGE_SGIX)
defines.add(GL_RGB_SIGNED_SGIX)

glAccum = Function('glAccum')
regal_gl.add(glAccum)

glAlphaFunc = Function('glAlphaFunc')
glAlphaFunc.esVersions = [1.0, 1.1]
regal_gl.add(glAlphaFunc)

glBegin = Function('glBegin')
glBegin.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
regal_gl.add(glBegin)

glBitmap = Function('glBitmap')
glBitmap.add( Input( 'bitmap','const GLubyte *' ,size = 'helperGLPixelImageSize(width, height, 0, GL_COLOR_INDEX, GL_BITMAP, 0, GL_BITMAP)' ))
regal_gl.add(glBitmap)

glBlendFunc = Function('glBlendFunc')
glBlendFunc.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glBlendFunc)

glCallList = Function('glCallList')
regal_gl.add(glCallList)

glCallLists = Function('glCallLists')
glCallLists.add( Input( 'lists','const GLvoid *' ,size = 'helperGLCallListsSize(n, type)' ,cast = 'const GLubyte *' ))
regal_gl.add(glCallLists)

glClear = Function('glClear')
glClear.add( Input( 'mask','GLbitfield' ,regalLog = 'GLclearToString(mask)' ))
glClear.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glClear)

glClearAccum = Function('glClearAccum')
regal_gl.add(glClearAccum)

glClearColor = Function('glClearColor')
glClearColor.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glClearColor)

glClearDepth = Function('glClearDepth')
glClearDepth.regalRemap = {'ES2.0': 'glClearDepthf((GLfloat)depth)'}
regal_gl.add(glClearDepth)

glClearIndex = Function('glClearIndex')
regal_gl.add(glClearIndex)

glClearStencil = Function('glClearStencil')
glClearStencil.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glClearStencil)

glClipPlane = Function('glClipPlane')
glClipPlane.add( Input( 'equation','const GLdouble *' ,size = 4 ))
regal_gl.add(glClipPlane)

glColor3b = Function('glColor3b')
regal_gl.add(glColor3b)

glColor3bv = Function('glColor3bv')
glColor3bv.add( Input( 'v','const GLbyte *' ,size = 3 ))
regal_gl.add(glColor3bv)

glColor3d = Function('glColor3d')
regal_gl.add(glColor3d)

glColor3dv = Function('glColor3dv')
glColor3dv.add( Input( 'v','const GLdouble *' ,size = 3 ))
regal_gl.add(glColor3dv)

glColor3f = Function('glColor3f')
regal_gl.add(glColor3f)

glColor3fv = Function('glColor3fv')
glColor3fv.add( Input( 'v','const GLfloat *' ,size = 3 ))
regal_gl.add(glColor3fv)

glColor3i = Function('glColor3i')
regal_gl.add(glColor3i)

glColor3iv = Function('glColor3iv')
glColor3iv.add( Input( 'v','const GLint *' ,size = 3 ))
regal_gl.add(glColor3iv)

glColor3s = Function('glColor3s')
regal_gl.add(glColor3s)

glColor3sv = Function('glColor3sv')
glColor3sv.add( Input( 'v','const GLshort *' ,size = 3 ))
regal_gl.add(glColor3sv)

glColor3ub = Function('glColor3ub')
regal_gl.add(glColor3ub)

glColor3ubv = Function('glColor3ubv')
glColor3ubv.add( Input( 'v','const GLubyte *' ,size = 3 ))
regal_gl.add(glColor3ubv)

glColor3ui = Function('glColor3ui')
regal_gl.add(glColor3ui)

glColor3uiv = Function('glColor3uiv')
glColor3uiv.add( Input( 'v','const GLuint *' ,size = 3 ))
regal_gl.add(glColor3uiv)

glColor3us = Function('glColor3us')
regal_gl.add(glColor3us)

glColor3usv = Function('glColor3usv')
glColor3usv.add( Input( 'v','const GLushort *' ,size = 3 ))
regal_gl.add(glColor3usv)

glColor4b = Function('glColor4b')
regal_gl.add(glColor4b)

glColor4bv = Function('glColor4bv')
glColor4bv.add( Input( 'v','const GLbyte *' ,size = 4 ))
regal_gl.add(glColor4bv)

glColor4d = Function('glColor4d')
regal_gl.add(glColor4d)

glColor4dv = Function('glColor4dv')
glColor4dv.add( Input( 'v','const GLdouble *' ,size = 4 ))
regal_gl.add(glColor4dv)

glColor4f = Function('glColor4f')
glColor4f.esVersions = [1.0, 1.1]
regal_gl.add(glColor4f)

glColor4fv = Function('glColor4fv')
glColor4fv.add( Input( 'v','const GLfloat *' ,size = 4 ))
regal_gl.add(glColor4fv)

glColor4i = Function('glColor4i')
regal_gl.add(glColor4i)

glColor4iv = Function('glColor4iv')
glColor4iv.add( Input( 'v','const GLint *' ,size = 4 ))
regal_gl.add(glColor4iv)

glColor4s = Function('glColor4s')
regal_gl.add(glColor4s)

glColor4sv = Function('glColor4sv')
glColor4sv.add( Input( 'v','const GLshort *' ,size = 4 ))
regal_gl.add(glColor4sv)

glColor4ub = Function('glColor4ub')
glColor4ub.esVersions = [1.1]
regal_gl.add(glColor4ub)

glColor4ubv = Function('glColor4ubv')
glColor4ubv.add( Input( 'v','const GLubyte *' ,size = 4 ))
regal_gl.add(glColor4ubv)

glColor4ui = Function('glColor4ui')
regal_gl.add(glColor4ui)

glColor4uiv = Function('glColor4uiv')
glColor4uiv.add( Input( 'v','const GLuint *' ,size = 4 ))
regal_gl.add(glColor4uiv)

glColor4us = Function('glColor4us')
regal_gl.add(glColor4us)

glColor4usv = Function('glColor4usv')
glColor4usv.add( Input( 'v','const GLushort *' ,size = 4 ))
regal_gl.add(glColor4usv)

glColorMask = Function('glColorMask')
glColorMask.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glColorMask)

glColorMaterial = Function('glColorMaterial')
glColorMaterial.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
regal_gl.add(glColorMaterial)

glCopyPixels = Function('glCopyPixels')
regal_gl.add(glCopyPixels)

glCullFace = Function('glCullFace')
glCullFace.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glCullFace.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glCullFace)

glDeleteLists = Function('glDeleteLists')
regal_gl.add(glDeleteLists)

glDepthFunc = Function('glDepthFunc')
glDepthFunc.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glDepthFunc)

glDepthMask = Function('glDepthMask')
glDepthMask.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glDepthMask)

glDepthRange = Function('glDepthRange')
glDepthRange.regalRemap = {'ES2.0': 'glDepthRangef((GLfloat)near,(GLfloat)far)'}
regal_gl.add(glDepthRange)

glDisable = Function('glDisable')
glDisable.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glDisable)

glDrawBuffer = Function('glDrawBuffer')
regal_gl.add(glDrawBuffer)

glDrawPixels = Function('glDrawPixels')
glDrawPixels.add( Input( 'pixels','const GLvoid *' ,size = 'helperGLPixelImageSize(width, height, 0, format, type, 0, 0)' ,cast = 'const GLubyte *' ))
regal_gl.add(glDrawPixels)

glEdgeFlag = Function('glEdgeFlag')
regal_gl.add(glEdgeFlag)

glEdgeFlagv = Function('glEdgeFlagv')
glEdgeFlagv.add( Input( 'flag','const GLboolean *' ,size = 1 ))
regal_gl.add(glEdgeFlagv)

glEnable = Function('glEnable')
glEnable.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glEnable)

glEnd = Function('glEnd')
regal_gl.add(glEnd)

glEndList = Function('glEndList')
regal_gl.add(glEndList)

glEvalCoord1d = Function('glEvalCoord1d')
regal_gl.add(glEvalCoord1d)

glEvalCoord1dv = Function('glEvalCoord1dv')
glEvalCoord1dv.add( Input( 'u','const GLdouble *' ,size = 1 ))
regal_gl.add(glEvalCoord1dv)

glEvalCoord1f = Function('glEvalCoord1f')
regal_gl.add(glEvalCoord1f)

glEvalCoord1fv = Function('glEvalCoord1fv')
glEvalCoord1fv.add( Input( 'u','const GLfloat *' ,size = 1 ))
regal_gl.add(glEvalCoord1fv)

glEvalCoord2d = Function('glEvalCoord2d')
regal_gl.add(glEvalCoord2d)

glEvalCoord2dv = Function('glEvalCoord2dv')
glEvalCoord2dv.add( Input( 'u','const GLdouble *' ,size = 2 ))
regal_gl.add(glEvalCoord2dv)

glEvalCoord2f = Function('glEvalCoord2f')
regal_gl.add(glEvalCoord2f)

glEvalCoord2fv = Function('glEvalCoord2fv')
glEvalCoord2fv.add( Input( 'u','const GLfloat *' ,size = 2 ))
regal_gl.add(glEvalCoord2fv)

glEvalMesh1 = Function('glEvalMesh1')
glEvalMesh1.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
regal_gl.add(glEvalMesh1)

glEvalMesh2 = Function('glEvalMesh2')
glEvalMesh2.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
regal_gl.add(glEvalMesh2)

glEvalPoint1 = Function('glEvalPoint1')
regal_gl.add(glEvalPoint1)

glEvalPoint2 = Function('glEvalPoint2')
regal_gl.add(glEvalPoint2)

glFeedbackBuffer = Function('glFeedbackBuffer')
glFeedbackBuffer.add( Output( 'buffer','GLfloat *' ))
regal_gl.add(glFeedbackBuffer)

glFinish = Function('glFinish')
glFinish.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glFinish)

glFlush = Function('glFlush')
glFlush.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glFlush)

glFogf = Function('glFogf')
glFogf.esVersions = [1.0, 1.1]
regal_gl.add(glFogf)

glFogfv = Function('glFogfv')
glFogfv.add( Input( 'params','const GLfloat *' ,size = 'helperGLFogvSize(pname)' ))
glFogfv.esVersions = [1.0, 1.1]
regal_gl.add(glFogfv)

glFogi = Function('glFogi')
regal_gl.add(glFogi)

glFogiv = Function('glFogiv')
glFogiv.add( Input( 'params','const GLint *' ,size = 'helperGLFogvSize(pname)' ))
regal_gl.add(glFogiv)

glFrontFace = Function('glFrontFace')
glFrontFace.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glFrontFace.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glFrontFace)

glFrustum = Function('glFrustum')
regal_gl.add(glFrustum)

glGenLists = Function('glGenLists')
regal_gl.add(glGenLists)

glGetBooleanv = Function('glGetBooleanv')
glGetBooleanv.add( Output( 'data','GLboolean *' ))
glGetBooleanv.esVersions = [1.1, 2.0]
glGetBooleanv.play = False
regal_gl.add(glGetBooleanv)

glGetClipPlane = Function('glGetClipPlane')
glGetClipPlane.add( Output( 'equation','GLdouble *' ,size = 4 ))
regal_gl.add(glGetClipPlane)

glGetDoublev = Function('glGetDoublev')
glGetDoublev.add( Output( 'data','GLdouble *' ))
glGetDoublev.play = False
regal_gl.add(glGetDoublev)

glGetError = Function('glGetError')
glGetError.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glGetError)

glGetFloatv = Function('glGetFloatv')
glGetFloatv.add( Output( 'data','GLfloat *' ,size = 'helperGLGetSize(pname)' ))
glGetFloatv.esVersions = [1.1, 2.0]
glGetFloatv.play = False
regal_gl.add(glGetFloatv)

glGetIntegerv = Function('glGetIntegerv')
glGetIntegerv.add( Output( 'data','GLint *' ,size = 'helperGLGetSize(pname)' ))
glGetIntegerv.esVersions = [1.0, 1.1, 2.0]
glGetIntegerv.play = False
regal_gl.add(glGetIntegerv)

glGetLightfv = Function('glGetLightfv')
glGetLightfv.add( Output( 'params','GLfloat *' ))
glGetLightfv.esVersions = [1.1]
glGetLightfv.play = False
regal_gl.add(glGetLightfv)

glGetLightiv = Function('glGetLightiv')
glGetLightiv.add( Output( 'params','GLint *' ))
glGetLightiv.play = False
regal_gl.add(glGetLightiv)

glGetMapdv = Function('glGetMapdv')
glGetMapdv.add( Output( 'v','GLdouble *' ))
glGetMapdv.play = False
regal_gl.add(glGetMapdv)

glGetMapfv = Function('glGetMapfv')
glGetMapfv.add( Output( 'v','GLfloat *' ))
glGetMapfv.play = False
regal_gl.add(glGetMapfv)

glGetMapiv = Function('glGetMapiv')
glGetMapiv.add( Output( 'v','GLint *' ))
glGetMapiv.play = False
regal_gl.add(glGetMapiv)

glGetMaterialfv = Function('glGetMaterialfv')
glGetMaterialfv.add( Output( 'params','GLfloat *' ))
glGetMaterialfv.esVersions = [1.1]
glGetMaterialfv.play = False
regal_gl.add(glGetMaterialfv)

glGetMaterialiv = Function('glGetMaterialiv')
glGetMaterialiv.add( Output( 'params','GLint *' ))
glGetMaterialiv.play = False
regal_gl.add(glGetMaterialiv)

glGetPixelMapfv = Function('glGetPixelMapfv')
glGetPixelMapfv.add( Output( 'values','GLfloat *' ))
glGetPixelMapfv.play = False
regal_gl.add(glGetPixelMapfv)

glGetPixelMapuiv = Function('glGetPixelMapuiv')
glGetPixelMapuiv.add( Output( 'values','GLuint *' ))
glGetPixelMapuiv.play = False
regal_gl.add(glGetPixelMapuiv)

glGetPixelMapusv = Function('glGetPixelMapusv')
glGetPixelMapusv.add( Output( 'values','GLushort *' ))
glGetPixelMapusv.play = False
regal_gl.add(glGetPixelMapusv)

glGetPolygonStipple = Function('glGetPolygonStipple')
glGetPolygonStipple.add( Output( 'mask','GLubyte *' ))
glGetPolygonStipple.play = False
regal_gl.add(glGetPolygonStipple)

glGetString = Function('glGetString')
glGetString.ret = Return('const GLubyte *')
glGetString.ret.cast = 'const GLchar *'
glGetString.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glGetString)

glGetTexEnvfv = Function('glGetTexEnvfv')
glGetTexEnvfv.add( Output( 'params','GLfloat *' ))
glGetTexEnvfv.esVersions = [1.1]
glGetTexEnvfv.play = False
regal_gl.add(glGetTexEnvfv)

glGetTexEnviv = Function('glGetTexEnviv')
glGetTexEnviv.add( Output( 'params','GLint *' ))
glGetTexEnviv.esVersions = [1.1]
glGetTexEnviv.play = False
regal_gl.add(glGetTexEnviv)

glGetTexGendv = Function('glGetTexGendv')
glGetTexGendv.add( Output( 'params','GLdouble *' ))
glGetTexGendv.play = False
regal_gl.add(glGetTexGendv)

glGetTexGenfv = Function('glGetTexGenfv')
glGetTexGenfv.add( Output( 'params','GLfloat *' ))
glGetTexGenfv.play = False
regal_gl.add(glGetTexGenfv)

glGetTexGeniv = Function('glGetTexGeniv')
glGetTexGeniv.add( Output( 'params','GLint *' ))
glGetTexGeniv.play = False
regal_gl.add(glGetTexGeniv)

glGetTexImage = Function('glGetTexImage')
glGetTexImage.add( Output( 'pixels','GLvoid *' ))
glGetTexImage.play = False
regal_gl.add(glGetTexImage)

glGetTexLevelParameterfv = Function('glGetTexLevelParameterfv')
glGetTexLevelParameterfv.add( Output( 'params','GLfloat *' ))
glGetTexLevelParameterfv.play = False
regal_gl.add(glGetTexLevelParameterfv)

glGetTexLevelParameteriv = Function('glGetTexLevelParameteriv')
glGetTexLevelParameteriv.add( Output( 'params','GLint *' ))
glGetTexLevelParameteriv.play = False
regal_gl.add(glGetTexLevelParameteriv)

glGetTexParameterfv = Function('glGetTexParameterfv')
glGetTexParameterfv.add( Output( 'params','GLfloat *' ))
glGetTexParameterfv.esVersions = [1.1, 2.0]
glGetTexParameterfv.play = False
regal_gl.add(glGetTexParameterfv)

glGetTexParameteriv = Function('glGetTexParameteriv')
glGetTexParameteriv.add( Output( 'params','GLint *' ))
glGetTexParameteriv.esVersions = [1.1, 2.0]
glGetTexParameteriv.play = False
regal_gl.add(glGetTexParameteriv)

glHint = Function('glHint')
glHint.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glHint.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glHint)

glIndexMask = Function('glIndexMask')
regal_gl.add(glIndexMask)

glIndexd = Function('glIndexd')
regal_gl.add(glIndexd)

glIndexdv = Function('glIndexdv')
glIndexdv.add( Input( 'c','const GLdouble *' ,size = 1 ))
regal_gl.add(glIndexdv)

glIndexf = Function('glIndexf')
regal_gl.add(glIndexf)

glIndexfv = Function('glIndexfv')
glIndexfv.add( Input( 'c','const GLfloat *' ,size = 1 ))
regal_gl.add(glIndexfv)

glIndexi = Function('glIndexi')
regal_gl.add(glIndexi)

glIndexiv = Function('glIndexiv')
glIndexiv.add( Input( 'c','const GLint *' ,size = 1 ))
regal_gl.add(glIndexiv)

glIndexs = Function('glIndexs')
regal_gl.add(glIndexs)

glIndexsv = Function('glIndexsv')
glIndexsv.add( Input( 'c','const GLshort *' ,size = 1 ))
regal_gl.add(glIndexsv)

glInitNames = Function('glInitNames')
regal_gl.add(glInitNames)

glIsEnabled = Function('glIsEnabled')
glIsEnabled.esVersions = [1.1, 2.0]
regal_gl.add(glIsEnabled)

glIsList = Function('glIsList')
regal_gl.add(glIsList)

glLightModelf = Function('glLightModelf')
glLightModelf.esVersions = [1.0, 1.1]
regal_gl.add(glLightModelf)

glLightModelfv = Function('glLightModelfv')
glLightModelfv.add( Input( 'params','const GLfloat *' ,size = 'helperGLLightModelvSize(pname)' ))
glLightModelfv.esVersions = [1.0, 1.1]
regal_gl.add(glLightModelfv)

glLightModeli = Function('glLightModeli')
regal_gl.add(glLightModeli)

glLightModeliv = Function('glLightModeliv')
glLightModeliv.add( Input( 'params','const GLint *' ,size = 'helperGLLightModelvSize(pname)' ))
regal_gl.add(glLightModeliv)

glLightf = Function('glLightf')
glLightf.esVersions = [1.0, 1.1]
regal_gl.add(glLightf)

glLightfv = Function('glLightfv')
glLightfv.add( Input( 'params','const GLfloat *' ,size = 'helperGLLightvSize(pname)' ))
glLightfv.esVersions = [1.0, 1.1]
regal_gl.add(glLightfv)

glLighti = Function('glLighti')
regal_gl.add(glLighti)

glLightiv = Function('glLightiv')
glLightiv.add( Input( 'params','const GLint *' ,size = 'helperGLLightvSize(pname)' ))
regal_gl.add(glLightiv)

glLineStipple = Function('glLineStipple')
regal_gl.add(glLineStipple)

glLineWidth = Function('glLineWidth')
glLineWidth.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glLineWidth)

glListBase = Function('glListBase')
regal_gl.add(glListBase)

glLoadIdentity = Function('glLoadIdentity')
glLoadIdentity.esVersions = [1.0, 1.1]
regal_gl.add(glLoadIdentity)

glLoadMatrixd = Function('glLoadMatrixd')
glLoadMatrixd.add( Input( 'm','const GLdouble *' ,size = 16 ))
regal_gl.add(glLoadMatrixd)

glLoadMatrixf = Function('glLoadMatrixf')
glLoadMatrixf.add( Input( 'm','const GLfloat *' ,size = 16 ))
glLoadMatrixf.esVersions = [1.0, 1.1]
regal_gl.add(glLoadMatrixf)

glLoadName = Function('glLoadName')
regal_gl.add(glLoadName)

glLogicOp = Function('glLogicOp')
glLogicOp.esVersions = [1.0, 1.1]
regal_gl.add(glLogicOp)

glMap1d = Function('glMap1d')
glMap1d.add( Input( 'points','const GLdouble *' ))
regal_gl.add(glMap1d)

glMap1f = Function('glMap1f')
glMap1f.add( Input( 'points','const GLfloat *' ))
regal_gl.add(glMap1f)

glMap2d = Function('glMap2d')
glMap2d.add( Input( 'points','const GLdouble *' ))
regal_gl.add(glMap2d)

glMap2f = Function('glMap2f')
glMap2f.add( Input( 'points','const GLfloat *' ))
regal_gl.add(glMap2f)

glMapGrid1d = Function('glMapGrid1d')
regal_gl.add(glMapGrid1d)

glMapGrid1f = Function('glMapGrid1f')
regal_gl.add(glMapGrid1f)

glMapGrid2d = Function('glMapGrid2d')
regal_gl.add(glMapGrid2d)

glMapGrid2f = Function('glMapGrid2f')
regal_gl.add(glMapGrid2f)

glMaterialf = Function('glMaterialf')
glMaterialf.esVersions = [1.0, 1.1]
regal_gl.add(glMaterialf)

glMaterialfv = Function('glMaterialfv')
glMaterialfv.add( Input( 'params','const GLfloat *' ,size = 'helperGLMaterialvSize(pname)' ))
glMaterialfv.esVersions = [1.0, 1.1]
regal_gl.add(glMaterialfv)

glMateriali = Function('glMateriali')
regal_gl.add(glMateriali)

glMaterialiv = Function('glMaterialiv')
glMaterialiv.add( Input( 'params','const GLint *' ,size = 'helperGLMaterialvSize(pname)' ))
regal_gl.add(glMaterialiv)

glMatrixMode = Function('glMatrixMode')
glMatrixMode.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixMode.esVersions = [1.0, 1.1]
regal_gl.add(glMatrixMode)

glMultMatrixd = Function('glMultMatrixd')
glMultMatrixd.add( Input( 'm','const GLdouble *' ,size = 16 ))
regal_gl.add(glMultMatrixd)

glMultMatrixf = Function('glMultMatrixf')
glMultMatrixf.add( Input( 'm','const GLfloat *' ,size = 16 ))
glMultMatrixf.esVersions = [1.0, 1.1]
regal_gl.add(glMultMatrixf)

glNewList = Function('glNewList')
glNewList.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
regal_gl.add(glNewList)

glNormal3b = Function('glNormal3b')
regal_gl.add(glNormal3b)

glNormal3bv = Function('glNormal3bv')
glNormal3bv.add( Input( 'v','const GLbyte *' ,size = 3 ))
regal_gl.add(glNormal3bv)

glNormal3d = Function('glNormal3d')
regal_gl.add(glNormal3d)

glNormal3dv = Function('glNormal3dv')
glNormal3dv.add( Input( 'v','const GLdouble *' ,size = 3 ))
regal_gl.add(glNormal3dv)

glNormal3f = Function('glNormal3f')
glNormal3f.esVersions = [1.0, 1.1]
regal_gl.add(glNormal3f)

glNormal3fv = Function('glNormal3fv')
glNormal3fv.add( Input( 'v','const GLfloat *' ,size = 3 ))
regal_gl.add(glNormal3fv)

glNormal3i = Function('glNormal3i')
regal_gl.add(glNormal3i)

glNormal3iv = Function('glNormal3iv')
glNormal3iv.add( Input( 'v','const GLint *' ,size = 3 ))
regal_gl.add(glNormal3iv)

glNormal3s = Function('glNormal3s')
regal_gl.add(glNormal3s)

glNormal3sv = Function('glNormal3sv')
glNormal3sv.add( Input( 'v','const GLshort *' ,size = 3 ))
regal_gl.add(glNormal3sv)

glOrtho = Function('glOrtho')
regal_gl.add(glOrtho)

glPassThrough = Function('glPassThrough')
regal_gl.add(glPassThrough)

glPixelMapfv = Function('glPixelMapfv')
glPixelMapfv.add( Input( 'values','const GLfloat *' ,size = 'mapsize' ))
regal_gl.add(glPixelMapfv)

glPixelMapuiv = Function('glPixelMapuiv')
glPixelMapuiv.add( Input( 'values','const GLuint *' ,size = 'mapsize' ))
regal_gl.add(glPixelMapuiv)

glPixelMapusv = Function('glPixelMapusv')
glPixelMapusv.add( Input( 'values','const GLushort *' ,size = 'mapsize' ))
regal_gl.add(glPixelMapusv)

glPixelStoref = Function('glPixelStoref')
regal_gl.add(glPixelStoref)

glPixelStorei = Function('glPixelStorei')
glPixelStorei.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glPixelStorei)

glPixelTransferf = Function('glPixelTransferf')
regal_gl.add(glPixelTransferf)

glPixelTransferi = Function('glPixelTransferi')
regal_gl.add(glPixelTransferi)

glPixelZoom = Function('glPixelZoom')
regal_gl.add(glPixelZoom)

glPointSize = Function('glPointSize')
glPointSize.esVersions = [1.0, 1.1]
regal_gl.add(glPointSize)

glPolygonMode = Function('glPolygonMode')
glPolygonMode.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
regal_gl.add(glPolygonMode)

glPolygonStipple = Function('glPolygonStipple')
glPolygonStipple.add( Input( 'mask','const GLubyte *' ,size = 'helperGLPixelImageSize(32, 32, 0, GL_COLOR_INDEX, GL_BITMAP, 0, GL_BITMAP)' ))
regal_gl.add(glPolygonStipple)

glPopAttrib = Function('glPopAttrib')
regal_gl.add(glPopAttrib)

glPopMatrix = Function('glPopMatrix')
glPopMatrix.esVersions = [1.0, 1.1]
regal_gl.add(glPopMatrix)

glPopName = Function('glPopName')
regal_gl.add(glPopName)

glPushAttrib = Function('glPushAttrib')
glPushAttrib.add( Input( 'mask','GLbitfield' ,regalLog = 'GLpushAttribToString(mask)' ))
regal_gl.add(glPushAttrib)

glPushMatrix = Function('glPushMatrix')
glPushMatrix.esVersions = [1.0, 1.1]
regal_gl.add(glPushMatrix)

glPushName = Function('glPushName')
regal_gl.add(glPushName)

glRasterPos2d = Function('glRasterPos2d')
regal_gl.add(glRasterPos2d)

glRasterPos2dv = Function('glRasterPos2dv')
glRasterPos2dv.add( Input( 'v','const GLdouble *' ,size = 2 ))
regal_gl.add(glRasterPos2dv)

glRasterPos2f = Function('glRasterPos2f')
regal_gl.add(glRasterPos2f)

glRasterPos2fv = Function('glRasterPos2fv')
glRasterPos2fv.add( Input( 'v','const GLfloat *' ,size = 2 ))
regal_gl.add(glRasterPos2fv)

glRasterPos2i = Function('glRasterPos2i')
regal_gl.add(glRasterPos2i)

glRasterPos2iv = Function('glRasterPos2iv')
glRasterPos2iv.add( Input( 'v','const GLint *' ,size = 2 ))
regal_gl.add(glRasterPos2iv)

glRasterPos2s = Function('glRasterPos2s')
regal_gl.add(glRasterPos2s)

glRasterPos2sv = Function('glRasterPos2sv')
glRasterPos2sv.add( Input( 'v','const GLshort *' ,size = 2 ))
regal_gl.add(glRasterPos2sv)

glRasterPos3d = Function('glRasterPos3d')
regal_gl.add(glRasterPos3d)

glRasterPos3dv = Function('glRasterPos3dv')
glRasterPos3dv.add( Input( 'v','const GLdouble *' ,size = 3 ))
regal_gl.add(glRasterPos3dv)

glRasterPos3f = Function('glRasterPos3f')
regal_gl.add(glRasterPos3f)

glRasterPos3fv = Function('glRasterPos3fv')
glRasterPos3fv.add( Input( 'v','const GLfloat *' ,size = 3 ))
regal_gl.add(glRasterPos3fv)

glRasterPos3i = Function('glRasterPos3i')
regal_gl.add(glRasterPos3i)

glRasterPos3iv = Function('glRasterPos3iv')
glRasterPos3iv.add( Input( 'v','const GLint *' ,size = 3 ))
regal_gl.add(glRasterPos3iv)

glRasterPos3s = Function('glRasterPos3s')
regal_gl.add(glRasterPos3s)

glRasterPos3sv = Function('glRasterPos3sv')
glRasterPos3sv.add( Input( 'v','const GLshort *' ,size = 3 ))
regal_gl.add(glRasterPos3sv)

glRasterPos4d = Function('glRasterPos4d')
regal_gl.add(glRasterPos4d)

glRasterPos4dv = Function('glRasterPos4dv')
glRasterPos4dv.add( Input( 'v','const GLdouble *' ,size = 4 ))
regal_gl.add(glRasterPos4dv)

glRasterPos4f = Function('glRasterPos4f')
regal_gl.add(glRasterPos4f)

glRasterPos4fv = Function('glRasterPos4fv')
glRasterPos4fv.add( Input( 'v','const GLfloat *' ,size = 4 ))
regal_gl.add(glRasterPos4fv)

glRasterPos4i = Function('glRasterPos4i')
regal_gl.add(glRasterPos4i)

glRasterPos4iv = Function('glRasterPos4iv')
glRasterPos4iv.add( Input( 'v','const GLint *' ,size = 4 ))
regal_gl.add(glRasterPos4iv)

glRasterPos4s = Function('glRasterPos4s')
regal_gl.add(glRasterPos4s)

glRasterPos4sv = Function('glRasterPos4sv')
glRasterPos4sv.add( Input( 'v','const GLshort *' ,size = 4 ))
regal_gl.add(glRasterPos4sv)

glReadBuffer = Function('glReadBuffer')
glReadBuffer.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
regal_gl.add(glReadBuffer)

glReadPixels = Function('glReadPixels')
glReadPixels.add( Output( 'pixels','GLvoid *' ,size = 'helperGLPixelImageSize(width, height, 0, format, type, 1, 0)' ,cast = 'GLubyte *' ))
glReadPixels.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glReadPixels)

glRectd = Function('glRectd')
regal_gl.add(glRectd)

glRectdv = Function('glRectdv')
glRectdv.add( Input( 'v1','const GLdouble *' ,size = 2 ))
glRectdv.add( Input( 'v2','const GLdouble *' ,size = 2 ))
regal_gl.add(glRectdv)

glRectf = Function('glRectf')
regal_gl.add(glRectf)

glRectfv = Function('glRectfv')
glRectfv.add( Input( 'v1','const GLfloat *' ,size = 2 ))
glRectfv.add( Input( 'v2','const GLfloat *' ,size = 2 ))
regal_gl.add(glRectfv)

glRecti = Function('glRecti')
regal_gl.add(glRecti)

glRectiv = Function('glRectiv')
glRectiv.add( Input( 'v1','const GLint *' ,size = 2 ))
glRectiv.add( Input( 'v2','const GLint *' ,size = 2 ))
regal_gl.add(glRectiv)

glRects = Function('glRects')
regal_gl.add(glRects)

glRectsv = Function('glRectsv')
glRectsv.add( Input( 'v1','const GLshort *' ,size = 2 ))
glRectsv.add( Input( 'v2','const GLshort *' ,size = 2 ))
regal_gl.add(glRectsv)

glRenderMode = Function('glRenderMode')
glRenderMode.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
regal_gl.add(glRenderMode)

glRotated = Function('glRotated')
regal_gl.add(glRotated)

glRotatef = Function('glRotatef')
glRotatef.esVersions = [1.0, 1.1]
regal_gl.add(glRotatef)

glScaled = Function('glScaled')
regal_gl.add(glScaled)

glScalef = Function('glScalef')
glScalef.esVersions = [1.0, 1.1]
regal_gl.add(glScalef)

glScissor = Function('glScissor')
glScissor.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glScissor)

glSelectBuffer = Function('glSelectBuffer')
glSelectBuffer.add( Output( 'buffer','GLuint *' ,size = 'size' ))
regal_gl.add(glSelectBuffer)

glShadeModel = Function('glShadeModel')
glShadeModel.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glShadeModel.esVersions = [1.0, 1.1]
regal_gl.add(glShadeModel)

glStencilFunc = Function('glStencilFunc')
glStencilFunc.add( Input( 'ref','GLint' ,regalLog = 'boost::print::hex(ref)' ))
glStencilFunc.add( Input( 'mask','GLuint' ,regalLog = 'boost::print::hex(mask)' ))
glStencilFunc.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glStencilFunc)

glStencilMask = Function('glStencilMask')
glStencilMask.add( Input( 'mask','GLuint' ,regalLog = 'boost::print::hex(mask)' ))
glStencilMask.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glStencilMask)

glStencilOp = Function('glStencilOp')
glStencilOp.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glStencilOp)

glTexCoord1d = Function('glTexCoord1d')
regal_gl.add(glTexCoord1d)

glTexCoord1dv = Function('glTexCoord1dv')
glTexCoord1dv.add( Input( 'v','const GLdouble *' ,size = 1 ))
regal_gl.add(glTexCoord1dv)

glTexCoord1f = Function('glTexCoord1f')
regal_gl.add(glTexCoord1f)

glTexCoord1fv = Function('glTexCoord1fv')
glTexCoord1fv.add( Input( 'v','const GLfloat *' ,size = 1 ))
regal_gl.add(glTexCoord1fv)

glTexCoord1i = Function('glTexCoord1i')
regal_gl.add(glTexCoord1i)

glTexCoord1iv = Function('glTexCoord1iv')
glTexCoord1iv.add( Input( 'v','const GLint *' ,size = 1 ))
regal_gl.add(glTexCoord1iv)

glTexCoord1s = Function('glTexCoord1s')
regal_gl.add(glTexCoord1s)

glTexCoord1sv = Function('glTexCoord1sv')
glTexCoord1sv.add( Input( 'v','const GLshort *' ,size = 1 ))
regal_gl.add(glTexCoord1sv)

glTexCoord2d = Function('glTexCoord2d')
regal_gl.add(glTexCoord2d)

glTexCoord2dv = Function('glTexCoord2dv')
glTexCoord2dv.add( Input( 'v','const GLdouble *' ,size = 2 ))
regal_gl.add(glTexCoord2dv)

glTexCoord2f = Function('glTexCoord2f')
regal_gl.add(glTexCoord2f)

glTexCoord2fv = Function('glTexCoord2fv')
glTexCoord2fv.add( Input( 'v','const GLfloat *' ,size = 2 ))
regal_gl.add(glTexCoord2fv)

glTexCoord2i = Function('glTexCoord2i')
regal_gl.add(glTexCoord2i)

glTexCoord2iv = Function('glTexCoord2iv')
glTexCoord2iv.add( Input( 'v','const GLint *' ,size = 2 ))
regal_gl.add(glTexCoord2iv)

glTexCoord2s = Function('glTexCoord2s')
regal_gl.add(glTexCoord2s)

glTexCoord2sv = Function('glTexCoord2sv')
glTexCoord2sv.add( Input( 'v','const GLshort *' ,size = 2 ))
regal_gl.add(glTexCoord2sv)

glTexCoord3d = Function('glTexCoord3d')
regal_gl.add(glTexCoord3d)

glTexCoord3dv = Function('glTexCoord3dv')
glTexCoord3dv.add( Input( 'v','const GLdouble *' ,size = 3 ))
regal_gl.add(glTexCoord3dv)

glTexCoord3f = Function('glTexCoord3f')
regal_gl.add(glTexCoord3f)

glTexCoord3fv = Function('glTexCoord3fv')
glTexCoord3fv.add( Input( 'v','const GLfloat *' ,size = 3 ))
regal_gl.add(glTexCoord3fv)

glTexCoord3i = Function('glTexCoord3i')
regal_gl.add(glTexCoord3i)

glTexCoord3iv = Function('glTexCoord3iv')
glTexCoord3iv.add( Input( 'v','const GLint *' ,size = 3 ))
regal_gl.add(glTexCoord3iv)

glTexCoord3s = Function('glTexCoord3s')
regal_gl.add(glTexCoord3s)

glTexCoord3sv = Function('glTexCoord3sv')
glTexCoord3sv.add( Input( 'v','const GLshort *' ,size = 3 ))
regal_gl.add(glTexCoord3sv)

glTexCoord4d = Function('glTexCoord4d')
regal_gl.add(glTexCoord4d)

glTexCoord4dv = Function('glTexCoord4dv')
glTexCoord4dv.add( Input( 'v','const GLdouble *' ,size = 4 ))
regal_gl.add(glTexCoord4dv)

glTexCoord4f = Function('glTexCoord4f')
regal_gl.add(glTexCoord4f)

glTexCoord4fv = Function('glTexCoord4fv')
glTexCoord4fv.add( Input( 'v','const GLfloat *' ,size = 4 ))
regal_gl.add(glTexCoord4fv)

glTexCoord4i = Function('glTexCoord4i')
regal_gl.add(glTexCoord4i)

glTexCoord4iv = Function('glTexCoord4iv')
glTexCoord4iv.add( Input( 'v','const GLint *' ,size = 4 ))
regal_gl.add(glTexCoord4iv)

glTexCoord4s = Function('glTexCoord4s')
regal_gl.add(glTexCoord4s)

glTexCoord4sv = Function('glTexCoord4sv')
glTexCoord4sv.add( Input( 'v','const GLshort *' ,size = 4 ))
regal_gl.add(glTexCoord4sv)

glTexEnvf = Function('glTexEnvf')
glTexEnvf.esVersions = [1.0, 1.1]
regal_gl.add(glTexEnvf)

glTexEnvfv = Function('glTexEnvfv')
glTexEnvfv.add( Input( 'params','const GLfloat *' ,size = 'helperGLTexEnvvSize(target, pname)' ))
glTexEnvfv.esVersions = [1.0, 1.1]
regal_gl.add(glTexEnvfv)

glTexEnvi = Function('glTexEnvi')
glTexEnvi.esVersions = [1.1]
regal_gl.add(glTexEnvi)

glTexEnviv = Function('glTexEnviv')
glTexEnviv.add( Input( 'params','const GLint *' ,size = 'helperGLTexEnvvSize(target, pname)' ))
glTexEnviv.esVersions = [1.1]
regal_gl.add(glTexEnviv)

glTexGend = Function('glTexGend')
regal_gl.add(glTexGend)

glTexGendv = Function('glTexGendv')
glTexGendv.add( Input( 'params','const GLdouble *' ,size = 'helperGLTexGenvSize(pname)' ))
regal_gl.add(glTexGendv)

glTexGenf = Function('glTexGenf')
regal_gl.add(glTexGenf)

glTexGenfv = Function('glTexGenfv')
glTexGenfv.add( Input( 'params','const GLfloat *' ,size = 'helperGLTexGenvSize(pname)' ))
regal_gl.add(glTexGenfv)

glTexGeni = Function('glTexGeni')
glTexGeni.add( Input( 'param','GLint' ,regalLog = 'GLenumToString(static_cast<GLenum>(param))' ))
regal_gl.add(glTexGeni)

glTexGeniv = Function('glTexGeniv')
glTexGeniv.add( Input( 'params','const GLint *' ,size = 'helperGLTexGenvSize(pname)' ))
regal_gl.add(glTexGeniv)

glTexImage1D = Function('glTexImage1D')
glTexImage1D.add( Input( 'internalformat','GLint' ,regalLog = 'internalFormatToString(internalformat)' ))
glTexImage1D.add( Input( 'pixels','const GLvoid *' ,size = 'helperGLPixelImageSize(width, 0, 0, format, type, 0, target)' ,cast = 'const GLubyte *' ))
regal_gl.add(glTexImage1D)

glTexImage2D = Function('glTexImage2D')
glTexImage2D.add( Input( 'internalformat','GLint' ,regalLog = 'internalFormatToString(internalformat)' ))
glTexImage2D.add( Input( 'pixels','const GLvoid *' ,size = 'helperGLPixelImageSize(width, height, 0, format, type, 0, target)' ,cast = 'const GLubyte *' ))
glTexImage2D.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glTexImage2D)

glTexParameterf = Function('glTexParameterf')
glTexParameterf.add( Input( 'param','GLfloat' ,regalLog = 'GLTexParameterToString(pname,param)' ))
glTexParameterf.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glTexParameterf)

glTexParameterfv = Function('glTexParameterfv')
glTexParameterfv.add( Input( 'params','const GLfloat *' ,size = 'helperGLTexParametervSize(pname)' ,regalLog = 'GLTexParameterToString(pname,params)' ))
glTexParameterfv.esVersions = [1.1, 2.0]
regal_gl.add(glTexParameterfv)

glTexParameteri = Function('glTexParameteri')
glTexParameteri.add( Input( 'param','GLint' ,regalLog = 'GLTexParameterToString(pname,param)' ))
glTexParameteri.esVersions = [1.1, 2.0]
regal_gl.add(glTexParameteri)

glTexParameteriv = Function('glTexParameteriv')
glTexParameteriv.add( Input( 'params','const GLint *' ,size = 'helperGLTexParametervSize(pname)' ,regalLog = 'GLTexParameterToString(pname,params)' ))
glTexParameteriv.esVersions = [1.1, 2.0]
regal_gl.add(glTexParameteriv)

glTranslated = Function('glTranslated')
regal_gl.add(glTranslated)

glTranslatef = Function('glTranslatef')
glTranslatef.esVersions = [1.0, 1.1]
regal_gl.add(glTranslatef)

glVertex2d = Function('glVertex2d')
regal_gl.add(glVertex2d)

glVertex2dv = Function('glVertex2dv')
glVertex2dv.add( Input( 'v','const GLdouble *' ,size = 2 ))
regal_gl.add(glVertex2dv)

glVertex2f = Function('glVertex2f')
regal_gl.add(glVertex2f)

glVertex2fv = Function('glVertex2fv')
glVertex2fv.add( Input( 'v','const GLfloat *' ,size = 2 ))
regal_gl.add(glVertex2fv)

glVertex2i = Function('glVertex2i')
regal_gl.add(glVertex2i)

glVertex2iv = Function('glVertex2iv')
glVertex2iv.add( Input( 'v','const GLint *' ,size = 2 ))
regal_gl.add(glVertex2iv)

glVertex2s = Function('glVertex2s')
regal_gl.add(glVertex2s)

glVertex2sv = Function('glVertex2sv')
glVertex2sv.add( Input( 'v','const GLshort *' ,size = 2 ))
regal_gl.add(glVertex2sv)

glVertex3d = Function('glVertex3d')
regal_gl.add(glVertex3d)

glVertex3dv = Function('glVertex3dv')
glVertex3dv.add( Input( 'v','const GLdouble *' ,size = 3 ))
regal_gl.add(glVertex3dv)

glVertex3f = Function('glVertex3f')
regal_gl.add(glVertex3f)

glVertex3fv = Function('glVertex3fv')
glVertex3fv.add( Input( 'v','const GLfloat *' ,size = 3 ))
regal_gl.add(glVertex3fv)

glVertex3i = Function('glVertex3i')
regal_gl.add(glVertex3i)

glVertex3iv = Function('glVertex3iv')
glVertex3iv.add( Input( 'v','const GLint *' ,size = 3 ))
regal_gl.add(glVertex3iv)

glVertex3s = Function('glVertex3s')
regal_gl.add(glVertex3s)

glVertex3sv = Function('glVertex3sv')
glVertex3sv.add( Input( 'v','const GLshort *' ,size = 3 ))
regal_gl.add(glVertex3sv)

glVertex4d = Function('glVertex4d')
regal_gl.add(glVertex4d)

glVertex4dv = Function('glVertex4dv')
glVertex4dv.add( Input( 'v','const GLdouble *' ,size = 4 ))
regal_gl.add(glVertex4dv)

glVertex4f = Function('glVertex4f')
regal_gl.add(glVertex4f)

glVertex4fv = Function('glVertex4fv')
glVertex4fv.add( Input( 'v','const GLfloat *' ,size = 4 ))
regal_gl.add(glVertex4fv)

glVertex4i = Function('glVertex4i')
regal_gl.add(glVertex4i)

glVertex4iv = Function('glVertex4iv')
glVertex4iv.add( Input( 'v','const GLint *' ,size = 4 ))
regal_gl.add(glVertex4iv)

glVertex4s = Function('glVertex4s')
regal_gl.add(glVertex4s)

glVertex4sv = Function('glVertex4sv')
glVertex4sv.add( Input( 'v','const GLshort *' ,size = 4 ))
regal_gl.add(glVertex4sv)

glViewport = Function('glViewport')
glViewport.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glViewport)

glAreTexturesResident = Function('glAreTexturesResident')
glAreTexturesResident.add( Input( 'textures','const GLuint *' ,size = 'n' ))
glAreTexturesResident.add( Output( 'residences','GLboolean *' ,size = 'n' ))
regal_gl.add(glAreTexturesResident)

glArrayElement = Function('glArrayElement')
regal_gl.add(glArrayElement)

glBindTexture = Function('glBindTexture')
glBindTexture.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glBindTexture)

glColorPointer = Function('glColorPointer')
glColorPointer.add( Input( 'pointer','const GLvoid *' ))
glColorPointer.esVersions = [1.0, 1.1]
regal_gl.add(glColorPointer)

glCopyTexImage1D = Function('glCopyTexImage1D')
regal_gl.add(glCopyTexImage1D)

glCopyTexImage2D = Function('glCopyTexImage2D')
glCopyTexImage2D.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glCopyTexImage2D)

glCopyTexSubImage1D = Function('glCopyTexSubImage1D')
regal_gl.add(glCopyTexSubImage1D)

glCopyTexSubImage2D = Function('glCopyTexSubImage2D')
glCopyTexSubImage2D.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glCopyTexSubImage2D)

glDeleteTextures = Function('glDeleteTextures')
glDeleteTextures.add( Input( 'textures','const GLuint *' ,size = 'n' ))
glDeleteTextures.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glDeleteTextures)

glDisableClientState = Function('glDisableClientState')
glDisableClientState.esVersions = [1.0, 1.1]
regal_gl.add(glDisableClientState)

glDrawArrays = Function('glDrawArrays')
glDrawArrays.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawArrays.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glDrawArrays)

glDrawElements = Function('glDrawElements')
glDrawElements.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawElements.add( Input( 'indices','const GLvoid *' ,size = 'helperGLDrawElementsSize(mode, count, type)' ,cast = 'const GLubyte *' ))
glDrawElements.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glDrawElements)

glEdgeFlagPointer = Function('glEdgeFlagPointer')
glEdgeFlagPointer.add( Input( 'pointer','const GLvoid *' ))
regal_gl.add(glEdgeFlagPointer)

glEnableClientState = Function('glEnableClientState')
glEnableClientState.esVersions = [1.0, 1.1]
regal_gl.add(glEnableClientState)

glGenTextures = Function('glGenTextures')
glGenTextures.add( Output( 'textures','GLuint *' ,size = 'n' ))
glGenTextures.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glGenTextures)

glGetPointerv = Function('glGetPointerv')
glGetPointerv.add( Output( 'params','GLvoid **' ,size = 1 ))
glGetPointerv.esVersions = [1.1]
glGetPointerv.play = False
regal_gl.add(glGetPointerv)

glIndexPointer = Function('glIndexPointer')
glIndexPointer.add( Input( 'pointer','const GLvoid *' ))
regal_gl.add(glIndexPointer)

glIndexub = Function('glIndexub')
regal_gl.add(glIndexub)

glIndexubv = Function('glIndexubv')
glIndexubv.add( Input( 'c','const GLubyte *' ,size = 1 ))
regal_gl.add(glIndexubv)

glInterleavedArrays = Function('glInterleavedArrays')
glInterleavedArrays.add( Input( 'pointer','const GLvoid *' ))
regal_gl.add(glInterleavedArrays)

glIsTexture = Function('glIsTexture')
glIsTexture.esVersions = [1.1, 2.0]
regal_gl.add(glIsTexture)

glNormalPointer = Function('glNormalPointer')
glNormalPointer.add( Input( 'pointer','const GLvoid *' ))
glNormalPointer.esVersions = [1.0, 1.1]
regal_gl.add(glNormalPointer)

glPolygonOffset = Function('glPolygonOffset')
glPolygonOffset.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glPolygonOffset)

glPopClientAttrib = Function('glPopClientAttrib')
regal_gl.add(glPopClientAttrib)

glPrioritizeTextures = Function('glPrioritizeTextures')
glPrioritizeTextures.add( Input( 'textures','const GLuint *' ,size = 'n' ))
glPrioritizeTextures.add( Input( 'priorities','const GLfloat *' ,size = 'n' ))
regal_gl.add(glPrioritizeTextures)

glPushClientAttrib = Function('glPushClientAttrib')
glPushClientAttrib.add( Input( 'mask','GLbitfield' ,regalLog = 'GLpushClientAttribToString(mask)' ))
regal_gl.add(glPushClientAttrib)

glTexCoordPointer = Function('glTexCoordPointer')
glTexCoordPointer.add( Input( 'pointer','const GLvoid *' ))
glTexCoordPointer.esVersions = [1.0, 1.1]
regal_gl.add(glTexCoordPointer)

glTexSubImage1D = Function('glTexSubImage1D')
glTexSubImage1D.add( Input( 'pixels','const GLvoid *' ,size = 'helperGLPixelImageSize(width, 0, 0, format, type, 0, target)' ,cast = 'const GLubyte *' ))
regal_gl.add(glTexSubImage1D)

glTexSubImage2D = Function('glTexSubImage2D')
glTexSubImage2D.add( Input( 'pixels','const GLvoid *' ,size = 'helperGLPixelImageSize(width, height, 0, format, type, 0, target)' ,cast = 'const GLubyte *' ))
glTexSubImage2D.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glTexSubImage2D)

glVertexPointer = Function('glVertexPointer')
glVertexPointer.add( Input( 'pointer','const GLvoid *' ))
glVertexPointer.esVersions = [1.0, 1.1]
glVertexPointer.play = False
regal_gl.add(glVertexPointer)

glBlendColor = Function('glBlendColor')
glBlendColor.version = 1.4
glBlendColor.esVersions = [2.0]
regal_gl.add(glBlendColor)

glBlendEquation = Function('glBlendEquation')
glBlendEquation.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glBlendEquation.version = 1.4
glBlendEquation.esVersions = [2.0]
regal_gl.add(glBlendEquation)

glCopyTexSubImage3D = Function('glCopyTexSubImage3D')
glCopyTexSubImage3D.version = '1.2'
regal_gl.add(glCopyTexSubImage3D)

glDrawRangeElements = Function('glDrawRangeElements')
glDrawRangeElements.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawRangeElements.add( Input( 'indices','const GLvoid *' ))
glDrawRangeElements.version = '1.2'
regal_gl.add(glDrawRangeElements)

glTexImage3D = Function('glTexImage3D')
glTexImage3D.add( Input( 'internalformat','GLint' ,regalLog = 'internalFormatToString(internalformat)' ))
glTexImage3D.add( Input( 'pixels','const GLvoid *' ,size = 'helperGLPixelImageSize(width, height, depth, format, type, 0, target)' ,cast = 'const GLubyte *' ))
glTexImage3D.version = '1.2'
regal_gl.add(glTexImage3D)

glTexSubImage3D = Function('glTexSubImage3D')
glTexSubImage3D.add( Input( 'pixels','const GLvoid *' ,size = 'helperGLPixelImageSize(width, height, depth, format, type, 0, target)' ,cast = 'const GLubyte *' ))
glTexSubImage3D.version = '1.2'
regal_gl.add(glTexSubImage3D)

glActiveTexture = Function('glActiveTexture')
glActiveTexture.version = '1.3'
glActiveTexture.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glActiveTexture)

glClientActiveTexture = Function('glClientActiveTexture')
glClientActiveTexture.version = '1.3'
glClientActiveTexture.esVersions = [1.0, 1.1]
regal_gl.add(glClientActiveTexture)

glCompressedTexImage1D = Function('glCompressedTexImage1D')
glCompressedTexImage1D.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedTexImage1D.version = '1.3'
regal_gl.add(glCompressedTexImage1D)

glCompressedTexImage2D = Function('glCompressedTexImage2D')
glCompressedTexImage2D.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedTexImage2D.version = '1.3'
glCompressedTexImage2D.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glCompressedTexImage2D)

glCompressedTexImage3D = Function('glCompressedTexImage3D')
glCompressedTexImage3D.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedTexImage3D.version = '1.3'
regal_gl.add(glCompressedTexImage3D)

glCompressedTexSubImage1D = Function('glCompressedTexSubImage1D')
glCompressedTexSubImage1D.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedTexSubImage1D.version = '1.3'
regal_gl.add(glCompressedTexSubImage1D)

glCompressedTexSubImage2D = Function('glCompressedTexSubImage2D')
glCompressedTexSubImage2D.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedTexSubImage2D.version = '1.3'
glCompressedTexSubImage2D.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glCompressedTexSubImage2D)

glCompressedTexSubImage3D = Function('glCompressedTexSubImage3D')
glCompressedTexSubImage3D.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedTexSubImage3D.version = '1.3'
regal_gl.add(glCompressedTexSubImage3D)

glGetCompressedTexImage = Function('glGetCompressedTexImage')
glGetCompressedTexImage.add( Output( 'img','GLvoid *' ))
glGetCompressedTexImage.version = '1.3'
regal_gl.add(glGetCompressedTexImage)

glLoadTransposeMatrixd = Function('glLoadTransposeMatrixd')
glLoadTransposeMatrixd.add( Input( 'm','const GLdouble *' ,size = 16 ))
glLoadTransposeMatrixd.version = '1.3'
regal_gl.add(glLoadTransposeMatrixd)

glLoadTransposeMatrixf = Function('glLoadTransposeMatrixf')
glLoadTransposeMatrixf.add( Input( 'm','const GLfloat *' ,size = 16 ))
glLoadTransposeMatrixf.version = '1.3'
regal_gl.add(glLoadTransposeMatrixf)

glMultTransposeMatrixd = Function('glMultTransposeMatrixd')
glMultTransposeMatrixd.add( Input( 'm','const GLdouble *' ,size = 16 ))
glMultTransposeMatrixd.version = '1.3'
regal_gl.add(glMultTransposeMatrixd)

glMultTransposeMatrixf = Function('glMultTransposeMatrixf')
glMultTransposeMatrixf.add( Input( 'm','const GLfloat *' ,size = 16 ))
glMultTransposeMatrixf.version = '1.3'
regal_gl.add(glMultTransposeMatrixf)

glMultiTexCoord1d = Function('glMultiTexCoord1d')
glMultiTexCoord1d.version = '1.3'
regal_gl.add(glMultiTexCoord1d)

glMultiTexCoord1dv = Function('glMultiTexCoord1dv')
glMultiTexCoord1dv.add( Input( 'v','const GLdouble *' ,size = 1 ))
glMultiTexCoord1dv.version = '1.3'
regal_gl.add(glMultiTexCoord1dv)

glMultiTexCoord1f = Function('glMultiTexCoord1f')
glMultiTexCoord1f.version = '1.3'
regal_gl.add(glMultiTexCoord1f)

glMultiTexCoord1fv = Function('glMultiTexCoord1fv')
glMultiTexCoord1fv.add( Input( 'v','const GLfloat *' ,size = 1 ))
glMultiTexCoord1fv.version = '1.3'
regal_gl.add(glMultiTexCoord1fv)

glMultiTexCoord1i = Function('glMultiTexCoord1i')
glMultiTexCoord1i.version = '1.3'
regal_gl.add(glMultiTexCoord1i)

glMultiTexCoord1iv = Function('glMultiTexCoord1iv')
glMultiTexCoord1iv.add( Input( 'v','const GLint *' ,size = 1 ))
glMultiTexCoord1iv.version = '1.3'
regal_gl.add(glMultiTexCoord1iv)

glMultiTexCoord1s = Function('glMultiTexCoord1s')
glMultiTexCoord1s.version = '1.3'
regal_gl.add(glMultiTexCoord1s)

glMultiTexCoord1sv = Function('glMultiTexCoord1sv')
glMultiTexCoord1sv.add( Input( 'v','const GLshort *' ,size = 1 ))
glMultiTexCoord1sv.version = '1.3'
regal_gl.add(glMultiTexCoord1sv)

glMultiTexCoord2d = Function('glMultiTexCoord2d')
glMultiTexCoord2d.version = '1.3'
regal_gl.add(glMultiTexCoord2d)

glMultiTexCoord2dv = Function('glMultiTexCoord2dv')
glMultiTexCoord2dv.add( Input( 'v','const GLdouble *' ,size = 2 ))
glMultiTexCoord2dv.version = '1.3'
regal_gl.add(glMultiTexCoord2dv)

glMultiTexCoord2f = Function('glMultiTexCoord2f')
glMultiTexCoord2f.version = '1.3'
regal_gl.add(glMultiTexCoord2f)

glMultiTexCoord2fv = Function('glMultiTexCoord2fv')
glMultiTexCoord2fv.add( Input( 'v','const GLfloat *' ,size = 2 ))
glMultiTexCoord2fv.version = '1.3'
regal_gl.add(glMultiTexCoord2fv)

glMultiTexCoord2i = Function('glMultiTexCoord2i')
glMultiTexCoord2i.version = '1.3'
regal_gl.add(glMultiTexCoord2i)

glMultiTexCoord2iv = Function('glMultiTexCoord2iv')
glMultiTexCoord2iv.add( Input( 'v','const GLint *' ,size = 2 ))
glMultiTexCoord2iv.version = '1.3'
regal_gl.add(glMultiTexCoord2iv)

glMultiTexCoord2s = Function('glMultiTexCoord2s')
glMultiTexCoord2s.version = '1.3'
regal_gl.add(glMultiTexCoord2s)

glMultiTexCoord2sv = Function('glMultiTexCoord2sv')
glMultiTexCoord2sv.add( Input( 'v','const GLshort *' ,size = 2 ))
glMultiTexCoord2sv.version = '1.3'
regal_gl.add(glMultiTexCoord2sv)

glMultiTexCoord3d = Function('glMultiTexCoord3d')
glMultiTexCoord3d.version = '1.3'
regal_gl.add(glMultiTexCoord3d)

glMultiTexCoord3dv = Function('glMultiTexCoord3dv')
glMultiTexCoord3dv.add( Input( 'v','const GLdouble *' ,size = 3 ))
glMultiTexCoord3dv.version = '1.3'
regal_gl.add(glMultiTexCoord3dv)

glMultiTexCoord3f = Function('glMultiTexCoord3f')
glMultiTexCoord3f.version = '1.3'
regal_gl.add(glMultiTexCoord3f)

glMultiTexCoord3fv = Function('glMultiTexCoord3fv')
glMultiTexCoord3fv.add( Input( 'v','const GLfloat *' ,size = 3 ))
glMultiTexCoord3fv.version = '1.3'
regal_gl.add(glMultiTexCoord3fv)

glMultiTexCoord3i = Function('glMultiTexCoord3i')
glMultiTexCoord3i.version = '1.3'
regal_gl.add(glMultiTexCoord3i)

glMultiTexCoord3iv = Function('glMultiTexCoord3iv')
glMultiTexCoord3iv.add( Input( 'v','const GLint *' ,size = 3 ))
glMultiTexCoord3iv.version = '1.3'
regal_gl.add(glMultiTexCoord3iv)

glMultiTexCoord3s = Function('glMultiTexCoord3s')
glMultiTexCoord3s.version = '1.3'
regal_gl.add(glMultiTexCoord3s)

glMultiTexCoord3sv = Function('glMultiTexCoord3sv')
glMultiTexCoord3sv.add( Input( 'v','const GLshort *' ,size = 3 ))
glMultiTexCoord3sv.version = '1.3'
regal_gl.add(glMultiTexCoord3sv)

glMultiTexCoord4d = Function('glMultiTexCoord4d')
glMultiTexCoord4d.version = '1.3'
regal_gl.add(glMultiTexCoord4d)

glMultiTexCoord4dv = Function('glMultiTexCoord4dv')
glMultiTexCoord4dv.add( Input( 'v','const GLdouble *' ,size = 4 ))
glMultiTexCoord4dv.version = '1.3'
regal_gl.add(glMultiTexCoord4dv)

glMultiTexCoord4f = Function('glMultiTexCoord4f')
glMultiTexCoord4f.version = '1.3'
glMultiTexCoord4f.esVersions = [1.0, 1.1]
regal_gl.add(glMultiTexCoord4f)

glMultiTexCoord4fv = Function('glMultiTexCoord4fv')
glMultiTexCoord4fv.add( Input( 'v','const GLfloat *' ,size = 4 ))
glMultiTexCoord4fv.version = '1.3'
regal_gl.add(glMultiTexCoord4fv)

glMultiTexCoord4i = Function('glMultiTexCoord4i')
glMultiTexCoord4i.version = '1.3'
regal_gl.add(glMultiTexCoord4i)

glMultiTexCoord4iv = Function('glMultiTexCoord4iv')
glMultiTexCoord4iv.add( Input( 'v','const GLint *' ,size = 4 ))
glMultiTexCoord4iv.version = '1.3'
regal_gl.add(glMultiTexCoord4iv)

glMultiTexCoord4s = Function('glMultiTexCoord4s')
glMultiTexCoord4s.version = '1.3'
regal_gl.add(glMultiTexCoord4s)

glMultiTexCoord4sv = Function('glMultiTexCoord4sv')
glMultiTexCoord4sv.add( Input( 'v','const GLshort *' ,size = 4 ))
glMultiTexCoord4sv.version = '1.3'
regal_gl.add(glMultiTexCoord4sv)

glBlendFuncSeparate = Function('glBlendFuncSeparate')
glBlendFuncSeparate.version = '1.4'
glBlendFuncSeparate.esVersions = [2.0]
regal_gl.add(glBlendFuncSeparate)

glFogCoordPointer = Function('glFogCoordPointer')
glFogCoordPointer.add( Input( 'pointer','const GLvoid *' ))
glFogCoordPointer.version = '1.4'
regal_gl.add(glFogCoordPointer)

glFogCoordd = Function('glFogCoordd')
glFogCoordd.version = '1.4'
regal_gl.add(glFogCoordd)

glFogCoorddv = Function('glFogCoorddv')
glFogCoorddv.add( Input( 'coord','const GLdouble *' ,size = 1 ))
glFogCoorddv.version = '1.4'
regal_gl.add(glFogCoorddv)

glFogCoordf = Function('glFogCoordf')
glFogCoordf.version = '1.4'
regal_gl.add(glFogCoordf)

glFogCoordfv = Function('glFogCoordfv')
glFogCoordfv.add( Input( 'coord','const GLfloat *' ,size = 1 ))
glFogCoordfv.version = '1.4'
regal_gl.add(glFogCoordfv)

glMultiDrawArrays = Function('glMultiDrawArrays')
glMultiDrawArrays.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMultiDrawArrays.add( Input( 'first','const GLint *' ,size = 'drawcount' ))
glMultiDrawArrays.add( Input( 'count','const GLsizei *' ,size = 'drawcount' ))
glMultiDrawArrays.version = '1.4'
regal_gl.add(glMultiDrawArrays)

glMultiDrawElements = Function('glMultiDrawElements')
glMultiDrawElements.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMultiDrawElements.add( Input( 'count','const GLsizei *' ,size = 'drawcount' ))
glMultiDrawElements.add( Input( 'indices','const GLvoid * const *' ,size = 'drawcount' ))
glMultiDrawElements.version = '1.4'
regal_gl.add(glMultiDrawElements)

glPointParameterf = Function('glPointParameterf')
glPointParameterf.version = '1.4'
glPointParameterf.esVersions = [1.1]
regal_gl.add(glPointParameterf)

glPointParameterfv = Function('glPointParameterfv')
glPointParameterfv.add( Input( 'params','const GLfloat *' ))
glPointParameterfv.version = '1.4'
glPointParameterfv.esVersions = [1.1]
regal_gl.add(glPointParameterfv)

glPointParameteri = Function('glPointParameteri')
glPointParameteri.version = '1.4'
regal_gl.add(glPointParameteri)

glPointParameteriv = Function('glPointParameteriv')
glPointParameteriv.add( Input( 'params','const GLint *' ))
glPointParameteriv.version = '1.4'
regal_gl.add(glPointParameteriv)

glSecondaryColor3b = Function('glSecondaryColor3b')
glSecondaryColor3b.version = '1.4'
regal_gl.add(glSecondaryColor3b)

glSecondaryColor3bv = Function('glSecondaryColor3bv')
glSecondaryColor3bv.add( Input( 'v','const GLbyte *' ,size = 3 ))
glSecondaryColor3bv.version = '1.4'
regal_gl.add(glSecondaryColor3bv)

glSecondaryColor3d = Function('glSecondaryColor3d')
glSecondaryColor3d.version = '1.4'
regal_gl.add(glSecondaryColor3d)

glSecondaryColor3dv = Function('glSecondaryColor3dv')
glSecondaryColor3dv.add( Input( 'v','const GLdouble *' ,size = 3 ))
glSecondaryColor3dv.version = '1.4'
regal_gl.add(glSecondaryColor3dv)

glSecondaryColor3f = Function('glSecondaryColor3f')
glSecondaryColor3f.version = '1.4'
regal_gl.add(glSecondaryColor3f)

glSecondaryColor3fv = Function('glSecondaryColor3fv')
glSecondaryColor3fv.add( Input( 'v','const GLfloat *' ,size = 3 ))
glSecondaryColor3fv.version = '1.4'
regal_gl.add(glSecondaryColor3fv)

glSecondaryColor3i = Function('glSecondaryColor3i')
glSecondaryColor3i.version = '1.4'
regal_gl.add(glSecondaryColor3i)

glSecondaryColor3iv = Function('glSecondaryColor3iv')
glSecondaryColor3iv.add( Input( 'v','const GLint *' ,size = 3 ))
glSecondaryColor3iv.version = '1.4'
regal_gl.add(glSecondaryColor3iv)

glSecondaryColor3s = Function('glSecondaryColor3s')
glSecondaryColor3s.version = '1.4'
regal_gl.add(glSecondaryColor3s)

glSecondaryColor3sv = Function('glSecondaryColor3sv')
glSecondaryColor3sv.add( Input( 'v','const GLshort *' ,size = 3 ))
glSecondaryColor3sv.version = '1.4'
regal_gl.add(glSecondaryColor3sv)

glSecondaryColor3ub = Function('glSecondaryColor3ub')
glSecondaryColor3ub.version = '1.4'
regal_gl.add(glSecondaryColor3ub)

glSecondaryColor3ubv = Function('glSecondaryColor3ubv')
glSecondaryColor3ubv.add( Input( 'v','const GLubyte *' ,size = 3 ))
glSecondaryColor3ubv.version = '1.4'
regal_gl.add(glSecondaryColor3ubv)

glSecondaryColor3ui = Function('glSecondaryColor3ui')
glSecondaryColor3ui.version = '1.4'
regal_gl.add(glSecondaryColor3ui)

glSecondaryColor3uiv = Function('glSecondaryColor3uiv')
glSecondaryColor3uiv.add( Input( 'v','const GLuint *' ,size = 3 ))
glSecondaryColor3uiv.version = '1.4'
regal_gl.add(glSecondaryColor3uiv)

glSecondaryColor3us = Function('glSecondaryColor3us')
glSecondaryColor3us.version = '1.4'
regal_gl.add(glSecondaryColor3us)

glSecondaryColor3usv = Function('glSecondaryColor3usv')
glSecondaryColor3usv.add( Input( 'v','const GLushort *' ,size = 3 ))
glSecondaryColor3usv.version = '1.4'
regal_gl.add(glSecondaryColor3usv)

glSecondaryColorPointer = Function('glSecondaryColorPointer')
glSecondaryColorPointer.add( Input( 'pointer','const GLvoid *' ))
glSecondaryColorPointer.version = '1.4'
regal_gl.add(glSecondaryColorPointer)

glWindowPos2d = Function('glWindowPos2d')
glWindowPos2d.version = '1.4'
regal_gl.add(glWindowPos2d)

glWindowPos2dv = Function('glWindowPos2dv')
glWindowPos2dv.add( Input( 'p','const GLdouble *' ,size = 2 ))
glWindowPos2dv.version = '1.4'
regal_gl.add(glWindowPos2dv)

glWindowPos2f = Function('glWindowPos2f')
glWindowPos2f.version = '1.4'
regal_gl.add(glWindowPos2f)

glWindowPos2fv = Function('glWindowPos2fv')
glWindowPos2fv.add( Input( 'p','const GLfloat *' ,size = 2 ))
glWindowPos2fv.version = '1.4'
regal_gl.add(glWindowPos2fv)

glWindowPos2i = Function('glWindowPos2i')
glWindowPos2i.version = '1.4'
regal_gl.add(glWindowPos2i)

glWindowPos2iv = Function('glWindowPos2iv')
glWindowPos2iv.add( Input( 'p','const GLint *' ,size = 2 ))
glWindowPos2iv.version = '1.4'
regal_gl.add(glWindowPos2iv)

glWindowPos2s = Function('glWindowPos2s')
glWindowPos2s.version = '1.4'
regal_gl.add(glWindowPos2s)

glWindowPos2sv = Function('glWindowPos2sv')
glWindowPos2sv.add( Input( 'p','const GLshort *' ,size = 2 ))
glWindowPos2sv.version = '1.4'
regal_gl.add(glWindowPos2sv)

glWindowPos3d = Function('glWindowPos3d')
glWindowPos3d.version = '1.4'
regal_gl.add(glWindowPos3d)

glWindowPos3dv = Function('glWindowPos3dv')
glWindowPos3dv.add( Input( 'p','const GLdouble *' ,size = 3 ))
glWindowPos3dv.version = '1.4'
regal_gl.add(glWindowPos3dv)

glWindowPos3f = Function('glWindowPos3f')
glWindowPos3f.version = '1.4'
regal_gl.add(glWindowPos3f)

glWindowPos3fv = Function('glWindowPos3fv')
glWindowPos3fv.add( Input( 'p','const GLfloat *' ,size = 3 ))
glWindowPos3fv.version = '1.4'
regal_gl.add(glWindowPos3fv)

glWindowPos3i = Function('glWindowPos3i')
glWindowPos3i.version = '1.4'
regal_gl.add(glWindowPos3i)

glWindowPos3iv = Function('glWindowPos3iv')
glWindowPos3iv.add( Input( 'p','const GLint *' ,size = 3 ))
glWindowPos3iv.version = '1.4'
regal_gl.add(glWindowPos3iv)

glWindowPos3s = Function('glWindowPos3s')
glWindowPos3s.version = '1.4'
regal_gl.add(glWindowPos3s)

glWindowPos3sv = Function('glWindowPos3sv')
glWindowPos3sv.add( Input( 'p','const GLshort *' ,size = 3 ))
glWindowPos3sv.version = '1.4'
regal_gl.add(glWindowPos3sv)

glBeginQuery = Function('glBeginQuery')
glBeginQuery.version = '1.5'
regal_gl.add(glBeginQuery)

glBindBuffer = Function('glBindBuffer')
glBindBuffer.version = '1.5'
glBindBuffer.esVersions = [1.1, 2.0]
regal_gl.add(glBindBuffer)

glBufferData = Function('glBufferData')
glBufferData.add( Input( 'data','const GLvoid *' ))
glBufferData.version = '1.5'
glBufferData.esVersions = [1.1, 2.0]
regal_gl.add(glBufferData)

glBufferSubData = Function('glBufferSubData')
glBufferSubData.add( Input( 'data','const GLvoid *' ))
glBufferSubData.version = '1.5'
glBufferSubData.esVersions = [1.1, 2.0]
regal_gl.add(glBufferSubData)

glDeleteBuffers = Function('glDeleteBuffers')
glDeleteBuffers.add( Input( 'buffers','const GLuint *' ,size = 'n' ))
glDeleteBuffers.version = '1.5'
glDeleteBuffers.esVersions = [1.1, 2.0]
regal_gl.add(glDeleteBuffers)

glDeleteQueries = Function('glDeleteQueries')
glDeleteQueries.add( Input( 'ids','const GLuint *' ,size = 'n' ))
glDeleteQueries.version = '1.5'
regal_gl.add(glDeleteQueries)

glEndQuery = Function('glEndQuery')
glEndQuery.version = '1.5'
regal_gl.add(glEndQuery)

glGenBuffers = Function('glGenBuffers')
glGenBuffers.add( Output( 'buffers','GLuint *' ,size = 'n' ))
glGenBuffers.version = '1.5'
glGenBuffers.esVersions = [1.1, 2.0]
regal_gl.add(glGenBuffers)

glGenQueries = Function('glGenQueries')
glGenQueries.add( Output( 'ids','GLuint *' ,size = 'n' ))
glGenQueries.version = '1.5'
regal_gl.add(glGenQueries)

glGetBufferParameteriv = Function('glGetBufferParameteriv')
glGetBufferParameteriv.add( Output( 'params','GLint *' ))
glGetBufferParameteriv.version = '1.5'
glGetBufferParameteriv.esVersions = [1.1, 2.0]
regal_gl.add(glGetBufferParameteriv)

glGetBufferPointerv = Function('glGetBufferPointerv')
glGetBufferPointerv.add( Output( 'params','GLvoid **' ,size = 1 ))
glGetBufferPointerv.version = '1.5'
regal_gl.add(glGetBufferPointerv)

glGetBufferSubData = Function('glGetBufferSubData')
glGetBufferSubData.add( Output( 'data','GLvoid *' ))
glGetBufferSubData.version = '1.5'
regal_gl.add(glGetBufferSubData)

glGetQueryObjectiv = Function('glGetQueryObjectiv')
glGetQueryObjectiv.add( Output( 'params','GLint *' ))
glGetQueryObjectiv.version = '1.5'
glGetQueryObjectiv.play = False
regal_gl.add(glGetQueryObjectiv)

glGetQueryObjectuiv = Function('glGetQueryObjectuiv')
glGetQueryObjectuiv.add( Output( 'params','GLuint *' ))
glGetQueryObjectuiv.version = '1.5'
glGetQueryObjectuiv.play = False
regal_gl.add(glGetQueryObjectuiv)

glGetQueryiv = Function('glGetQueryiv')
glGetQueryiv.add( Output( 'params','GLint *' ))
glGetQueryiv.version = '1.5'
glGetQueryiv.play = False
regal_gl.add(glGetQueryiv)

glIsBuffer = Function('glIsBuffer')
glIsBuffer.version = '1.5'
glIsBuffer.esVersions = [1.1, 2.0]
regal_gl.add(glIsBuffer)

glIsQuery = Function('glIsQuery')
glIsQuery.version = '1.5'
regal_gl.add(glIsQuery)

glMapBuffer = Function('glMapBuffer')
glMapBuffer.version = '1.5'
regal_gl.add(glMapBuffer)

glUnmapBuffer = Function('glUnmapBuffer')
glUnmapBuffer.version = '1.5'
regal_gl.add(glUnmapBuffer)

glAttachShader = Function('glAttachShader')
glAttachShader.version = '2.0'
glAttachShader.esVersions = [2.0]
regal_gl.add(glAttachShader)

glBindAttribLocation = Function('glBindAttribLocation')
glBindAttribLocation.add( Input( 'name','const GLchar *' ))
glBindAttribLocation.version = '2.0'
glBindAttribLocation.esVersions = [2.0]
regal_gl.add(glBindAttribLocation)

glBlendEquationSeparate = Function('glBlendEquationSeparate')
glBlendEquationSeparate.add( Input( 'modeRGB','GLenum' ,regalLog = 'GLmodeToString(modeRGB)' ))
glBlendEquationSeparate.add( Input( 'modeAlpha','GLenum' ,regalLog = 'GLmodeToString(modeAlpha)' ))
glBlendEquationSeparate.version = '2.0'
glBlendEquationSeparate.esVersions = [2.0]
regal_gl.add(glBlendEquationSeparate)

glCompileShader = Function('glCompileShader')
glCompileShader.version = '2.0'
glCompileShader.esVersions = [2.0]
regal_gl.add(glCompileShader)

glCreateProgram = Function('glCreateProgram')
glCreateProgram.version = '2.0'
glCreateProgram.esVersions = [2.0]
regal_gl.add(glCreateProgram)

glCreateShader = Function('glCreateShader')
glCreateShader.version = '2.0'
glCreateShader.esVersions = [2.0]
regal_gl.add(glCreateShader)

glDeleteProgram = Function('glDeleteProgram')
glDeleteProgram.version = '2.0'
glDeleteProgram.esVersions = [2.0]
regal_gl.add(glDeleteProgram)

glDeleteShader = Function('glDeleteShader')
glDeleteShader.version = '2.0'
glDeleteShader.esVersions = [2.0]
regal_gl.add(glDeleteShader)

glDetachShader = Function('glDetachShader')
glDetachShader.version = '2.0'
glDetachShader.esVersions = [2.0]
regal_gl.add(glDetachShader)

glDisableVertexAttribArray = Function('glDisableVertexAttribArray')
glDisableVertexAttribArray.version = '2.0'
glDisableVertexAttribArray.esVersions = [2.0]
regal_gl.add(glDisableVertexAttribArray)

glDrawBuffers = Function('glDrawBuffers')
glDrawBuffers.add( Input( 'bufs','const GLenum *' ,size = 'n' ))
glDrawBuffers.version = '2.0'
regal_gl.add(glDrawBuffers)

glEnableVertexAttribArray = Function('glEnableVertexAttribArray')
glEnableVertexAttribArray.version = '2.0'
glEnableVertexAttribArray.esVersions = [2.0]
regal_gl.add(glEnableVertexAttribArray)

glGetActiveAttrib = Function('glGetActiveAttrib')
glGetActiveAttrib.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetActiveAttrib.add( Output( 'size','GLint *' ,size = 1 ))
glGetActiveAttrib.add( Output( 'type','GLenum *' ,size = 1 ))
glGetActiveAttrib.add( Output( 'name','GLchar *' ,maxSize = 'bufSize' ))
glGetActiveAttrib.version = '2.0'
glGetActiveAttrib.esVersions = [2.0]
glGetActiveAttrib.play = False
regal_gl.add(glGetActiveAttrib)

glGetActiveUniform = Function('glGetActiveUniform')
glGetActiveUniform.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetActiveUniform.add( Output( 'size','GLint *' ,size = 1 ))
glGetActiveUniform.add( Output( 'type','GLenum *' ,size = 1 ))
glGetActiveUniform.add( Output( 'name','GLchar *' ,maxSize = 'bufSize' ))
glGetActiveUniform.version = '2.0'
glGetActiveUniform.esVersions = [2.0]
glGetActiveUniform.play = False
regal_gl.add(glGetActiveUniform)

glGetAttachedShaders = Function('glGetAttachedShaders')
glGetAttachedShaders.add( Output( 'count','GLsizei *' ,size = 1 ))
glGetAttachedShaders.add( Output( 'shaders','GLuint *' ,size = 'count ? *count : 0' ))
glGetAttachedShaders.version = '2.0'
glGetAttachedShaders.esVersions = [2.0]
glGetAttachedShaders.play = False
regal_gl.add(glGetAttachedShaders)

glGetAttribLocation = Function('glGetAttribLocation')
glGetAttribLocation.add( Input( 'name','const GLchar *' ))
glGetAttribLocation.version = '2.0'
glGetAttribLocation.esVersions = [2.0]
glGetAttribLocation.play = False
regal_gl.add(glGetAttribLocation)

glGetProgramInfoLog = Function('glGetProgramInfoLog')
glGetProgramInfoLog.add( Output( 'length','GLsizei *' ,size = 'length ? 1 : 0' ))
glGetProgramInfoLog.add( Output( 'infoLog','GLchar *' ,maxSize = 'bufSize' ))
glGetProgramInfoLog.version = '2.0'
glGetProgramInfoLog.esVersions = [2.0]
glGetProgramInfoLog.play = False
regal_gl.add(glGetProgramInfoLog)

glGetProgramiv = Function('glGetProgramiv')
glGetProgramiv.add( Output( 'params','GLint *' ,size = 1 ))
glGetProgramiv.version = '2.0'
glGetProgramiv.esVersions = [2.0]
glGetProgramiv.play = False
regal_gl.add(glGetProgramiv)

glGetShaderInfoLog = Function('glGetShaderInfoLog')
glGetShaderInfoLog.add( Output( 'length','GLsizei *' ,size = 'length ? 1 : 0' ))
glGetShaderInfoLog.add( Output( 'infoLog','GLchar *' ,maxSize = 'bufSize' ))
glGetShaderInfoLog.version = '2.0'
glGetShaderInfoLog.esVersions = [2.0]
glGetShaderInfoLog.play = False
regal_gl.add(glGetShaderInfoLog)

glGetShaderSource = Function('glGetShaderSource')
glGetShaderSource.add( Output( 'length','GLsizei *' ,size = 'length ? 1 : 0' ))
glGetShaderSource.add( Output( 'source','GLchar *' ,maxSize = 'bufSize' ))
glGetShaderSource.version = '2.0'
glGetShaderSource.esVersions = [2.0]
glGetShaderSource.play = False
regal_gl.add(glGetShaderSource)

glGetShaderiv = Function('glGetShaderiv')
glGetShaderiv.add( Output( 'params','GLint *' ,size = 1 ))
glGetShaderiv.version = '2.0'
glGetShaderiv.esVersions = [2.0]
glGetShaderiv.play = False
regal_gl.add(glGetShaderiv)

glGetUniformLocation = Function('glGetUniformLocation')
glGetUniformLocation.add( Input( 'name','const GLchar *' ,cast = 'const char *' ))
glGetUniformLocation.version = '2.0'
glGetUniformLocation.esVersions = [2.0]
glGetUniformLocation.play = False
regal_gl.add(glGetUniformLocation)

glGetUniformfv = Function('glGetUniformfv')
glGetUniformfv.add( Output( 'params','GLfloat *' ))
glGetUniformfv.version = '2.0'
glGetUniformfv.esVersions = [2.0]
glGetUniformfv.play = False
regal_gl.add(glGetUniformfv)

glGetUniformiv = Function('glGetUniformiv')
glGetUniformiv.add( Output( 'params','GLint *' ))
glGetUniformiv.version = '2.0'
glGetUniformiv.esVersions = [2.0]
glGetUniformiv.play = False
regal_gl.add(glGetUniformiv)

glGetVertexAttribPointerv = Function('glGetVertexAttribPointerv')
glGetVertexAttribPointerv.add( Output( 'pointer','GLvoid **' ,size = 1 ))
glGetVertexAttribPointerv.version = '2.0'
glGetVertexAttribPointerv.esVersions = [2.0]
glGetVertexAttribPointerv.play = False
regal_gl.add(glGetVertexAttribPointerv)

glGetVertexAttribdv = Function('glGetVertexAttribdv')
glGetVertexAttribdv.add( Output( 'params','GLdouble *' ,size = 4 ))
glGetVertexAttribdv.version = '2.0'
glGetVertexAttribdv.play = False
regal_gl.add(glGetVertexAttribdv)

glGetVertexAttribfv = Function('glGetVertexAttribfv')
glGetVertexAttribfv.add( Output( 'params','GLfloat *' ,size = 4 ))
glGetVertexAttribfv.version = '2.0'
glGetVertexAttribfv.esVersions = [2.0]
glGetVertexAttribfv.play = False
regal_gl.add(glGetVertexAttribfv)

glGetVertexAttribiv = Function('glGetVertexAttribiv')
glGetVertexAttribiv.add( Output( 'params','GLint *' ,size = 4 ))
glGetVertexAttribiv.version = '2.0'
glGetVertexAttribiv.esVersions = [2.0]
glGetVertexAttribiv.play = False
regal_gl.add(glGetVertexAttribiv)

glIsProgram = Function('glIsProgram')
glIsProgram.version = '2.0'
glIsProgram.esVersions = [2.0]
regal_gl.add(glIsProgram)

glIsShader = Function('glIsShader')
glIsShader.version = '2.0'
glIsShader.esVersions = [2.0]
regal_gl.add(glIsShader)

glLinkProgram = Function('glLinkProgram')
glLinkProgram.version = '2.0'
glLinkProgram.esVersions = [2.0]
regal_gl.add(glLinkProgram)

glShaderSource = Function('glShaderSource')
glShaderSource.add( Input( 'string','const GLchar * const *' ,size = 'string ? count : 0' ,cast = 'const char * const *' ))
glShaderSource.add( Input( 'length','const GLint *' ,size = 'length ? count : 0' ))
glShaderSource.version = '2.0'
glShaderSource.esVersions = [2.0]
glShaderSource.play = False
regal_gl.add(glShaderSource)

glStencilFuncSeparate = Function('glStencilFuncSeparate')
glStencilFuncSeparate.add( Input( 'ref','GLint' ,regalLog = 'boost::print::hex(ref)' ))
glStencilFuncSeparate.add( Input( 'mask','GLuint' ,regalLog = 'boost::print::hex(mask)' ))
glStencilFuncSeparate.version = '2.0'
glStencilFuncSeparate.esVersions = [2.0]
regal_gl.add(glStencilFuncSeparate)

glStencilMaskSeparate = Function('glStencilMaskSeparate')
glStencilMaskSeparate.add( Input( 'mask','GLuint' ,regalLog = 'boost::print::hex(mask)' ))
glStencilMaskSeparate.version = '2.0'
glStencilMaskSeparate.esVersions = [2.0]
regal_gl.add(glStencilMaskSeparate)

glStencilOpSeparate = Function('glStencilOpSeparate')
glStencilOpSeparate.version = '2.0'
glStencilOpSeparate.esVersions = [2.0]
regal_gl.add(glStencilOpSeparate)

glUniform1f = Function('glUniform1f')
glUniform1f.version = '2.0'
glUniform1f.esVersions = [2.0]
regal_gl.add(glUniform1f)

glUniform1fv = Function('glUniform1fv')
glUniform1fv.add( Input( 'value','const GLfloat *' ,size = '1 * count' ))
glUniform1fv.version = '2.0'
glUniform1fv.esVersions = [2.0]
regal_gl.add(glUniform1fv)

glUniform1i = Function('glUniform1i')
glUniform1i.version = '2.0'
glUniform1i.esVersions = [2.0]
regal_gl.add(glUniform1i)

glUniform1iv = Function('glUniform1iv')
glUniform1iv.add( Input( 'value','const GLint *' ,size = 'count' ))
glUniform1iv.version = '2.0'
glUniform1iv.esVersions = [2.0]
regal_gl.add(glUniform1iv)

glUniform2f = Function('glUniform2f')
glUniform2f.version = '2.0'
glUniform2f.esVersions = [2.0]
regal_gl.add(glUniform2f)

glUniform2fv = Function('glUniform2fv')
glUniform2fv.add( Input( 'value','const GLfloat *' ,size = 'count' ))
glUniform2fv.version = '2.0'
glUniform2fv.esVersions = [2.0]
regal_gl.add(glUniform2fv)

glUniform2i = Function('glUniform2i')
glUniform2i.version = '2.0'
glUniform2i.esVersions = [2.0]
regal_gl.add(glUniform2i)

glUniform2iv = Function('glUniform2iv')
glUniform2iv.add( Input( 'value','const GLint *' ,size = '2 * count' ))
glUniform2iv.version = '2.0'
glUniform2iv.esVersions = [2.0]
regal_gl.add(glUniform2iv)

glUniform3f = Function('glUniform3f')
glUniform3f.version = '2.0'
glUniform3f.esVersions = [2.0]
regal_gl.add(glUniform3f)

glUniform3fv = Function('glUniform3fv')
glUniform3fv.add( Input( 'value','const GLfloat *' ,size = '3 * count' ))
glUniform3fv.version = '2.0'
glUniform3fv.esVersions = [2.0]
regal_gl.add(glUniform3fv)

glUniform3i = Function('glUniform3i')
glUniform3i.version = '2.0'
glUniform3i.esVersions = [2.0]
regal_gl.add(glUniform3i)

glUniform3iv = Function('glUniform3iv')
glUniform3iv.add( Input( 'value','const GLint *' ,size = '3 * count' ))
glUniform3iv.version = '2.0'
glUniform3iv.esVersions = [2.0]
regal_gl.add(glUniform3iv)

glUniform4f = Function('glUniform4f')
glUniform4f.version = '2.0'
glUniform4f.esVersions = [2.0]
regal_gl.add(glUniform4f)

glUniform4fv = Function('glUniform4fv')
glUniform4fv.add( Input( 'value','const GLfloat *' ,size = '4 * count' ))
glUniform4fv.version = '2.0'
glUniform4fv.esVersions = [2.0]
regal_gl.add(glUniform4fv)

glUniform4i = Function('glUniform4i')
glUniform4i.version = '2.0'
glUniform4i.esVersions = [2.0]
regal_gl.add(glUniform4i)

glUniform4iv = Function('glUniform4iv')
glUniform4iv.add( Input( 'value','const GLint *' ,size = '4 * count' ))
glUniform4iv.version = '2.0'
glUniform4iv.esVersions = [2.0]
regal_gl.add(glUniform4iv)

glUniformMatrix2fv = Function('glUniformMatrix2fv')
glUniformMatrix2fv.add( Input( 'value','const GLfloat *' ,size = '2 * 2 * count' ))
glUniformMatrix2fv.version = '2.0'
glUniformMatrix2fv.esVersions = [2.0]
regal_gl.add(glUniformMatrix2fv)

glUniformMatrix3fv = Function('glUniformMatrix3fv')
glUniformMatrix3fv.add( Input( 'value','const GLfloat *' ,size = '3 * 3 * count' ))
glUniformMatrix3fv.version = '2.0'
glUniformMatrix3fv.esVersions = [2.0]
regal_gl.add(glUniformMatrix3fv)

glUniformMatrix4fv = Function('glUniformMatrix4fv')
glUniformMatrix4fv.add( Input( 'value','const GLfloat *' ,size = '4 * 4 * count' ))
glUniformMatrix4fv.version = '2.0'
glUniformMatrix4fv.esVersions = [2.0]
regal_gl.add(glUniformMatrix4fv)

glUseProgram = Function('glUseProgram')
glUseProgram.version = '2.0'
glUseProgram.esVersions = [2.0]
regal_gl.add(glUseProgram)

glValidateProgram = Function('glValidateProgram')
glValidateProgram.version = '2.0'
glValidateProgram.esVersions = [2.0]
regal_gl.add(glValidateProgram)

glVertexAttrib1d = Function('glVertexAttrib1d')
glVertexAttrib1d.version = '2.0'
regal_gl.add(glVertexAttrib1d)

glVertexAttrib1dv = Function('glVertexAttrib1dv')
glVertexAttrib1dv.add( Input( 'v','const GLdouble *' ,size = 1 ))
glVertexAttrib1dv.version = '2.0'
regal_gl.add(glVertexAttrib1dv)

glVertexAttrib1f = Function('glVertexAttrib1f')
glVertexAttrib1f.version = '2.0'
glVertexAttrib1f.esVersions = [2.0]
regal_gl.add(glVertexAttrib1f)

glVertexAttrib1fv = Function('glVertexAttrib1fv')
glVertexAttrib1fv.add( Input( 'v','const GLfloat *' ,size = 1 ))
glVertexAttrib1fv.version = '2.0'
glVertexAttrib1fv.esVersions = [2.0]
regal_gl.add(glVertexAttrib1fv)

glVertexAttrib1s = Function('glVertexAttrib1s')
glVertexAttrib1s.version = '2.0'
regal_gl.add(glVertexAttrib1s)

glVertexAttrib1sv = Function('glVertexAttrib1sv')
glVertexAttrib1sv.add( Input( 'v','const GLshort *' ,size = 1 ))
glVertexAttrib1sv.version = '2.0'
regal_gl.add(glVertexAttrib1sv)

glVertexAttrib2d = Function('glVertexAttrib2d')
glVertexAttrib2d.version = '2.0'
regal_gl.add(glVertexAttrib2d)

glVertexAttrib2dv = Function('glVertexAttrib2dv')
glVertexAttrib2dv.add( Input( 'v','const GLdouble *' ,size = 2 ))
glVertexAttrib2dv.version = '2.0'
regal_gl.add(glVertexAttrib2dv)

glVertexAttrib2f = Function('glVertexAttrib2f')
glVertexAttrib2f.version = '2.0'
glVertexAttrib2f.esVersions = [2.0]
regal_gl.add(glVertexAttrib2f)

glVertexAttrib2fv = Function('glVertexAttrib2fv')
glVertexAttrib2fv.add( Input( 'v','const GLfloat *' ,size = 2 ))
glVertexAttrib2fv.version = '2.0'
glVertexAttrib2fv.esVersions = [2.0]
regal_gl.add(glVertexAttrib2fv)

glVertexAttrib2s = Function('glVertexAttrib2s')
glVertexAttrib2s.version = '2.0'
regal_gl.add(glVertexAttrib2s)

glVertexAttrib2sv = Function('glVertexAttrib2sv')
glVertexAttrib2sv.add( Input( 'v','const GLshort *' ,size = 2 ))
glVertexAttrib2sv.version = '2.0'
regal_gl.add(glVertexAttrib2sv)

glVertexAttrib3d = Function('glVertexAttrib3d')
glVertexAttrib3d.version = '2.0'
regal_gl.add(glVertexAttrib3d)

glVertexAttrib3dv = Function('glVertexAttrib3dv')
glVertexAttrib3dv.add( Input( 'v','const GLdouble *' ,size = 3 ))
glVertexAttrib3dv.version = '2.0'
regal_gl.add(glVertexAttrib3dv)

glVertexAttrib3f = Function('glVertexAttrib3f')
glVertexAttrib3f.version = '2.0'
glVertexAttrib3f.esVersions = [2.0]
regal_gl.add(glVertexAttrib3f)

glVertexAttrib3fv = Function('glVertexAttrib3fv')
glVertexAttrib3fv.add( Input( 'v','const GLfloat *' ,size = 3 ))
glVertexAttrib3fv.version = '2.0'
glVertexAttrib3fv.esVersions = [2.0]
regal_gl.add(glVertexAttrib3fv)

glVertexAttrib3s = Function('glVertexAttrib3s')
glVertexAttrib3s.version = '2.0'
regal_gl.add(glVertexAttrib3s)

glVertexAttrib3sv = Function('glVertexAttrib3sv')
glVertexAttrib3sv.add( Input( 'v','const GLshort *' ,size = 3 ))
glVertexAttrib3sv.version = '2.0'
regal_gl.add(glVertexAttrib3sv)

glVertexAttrib4Nbv = Function('glVertexAttrib4Nbv')
glVertexAttrib4Nbv.add( Input( 'v','const GLbyte *' ,size = 4 ))
glVertexAttrib4Nbv.version = '2.0'
regal_gl.add(glVertexAttrib4Nbv)

glVertexAttrib4Niv = Function('glVertexAttrib4Niv')
glVertexAttrib4Niv.add( Input( 'v','const GLint *' ,size = 4 ))
glVertexAttrib4Niv.version = '2.0'
regal_gl.add(glVertexAttrib4Niv)

glVertexAttrib4Nsv = Function('glVertexAttrib4Nsv')
glVertexAttrib4Nsv.add( Input( 'v','const GLshort *' ,size = 4 ))
glVertexAttrib4Nsv.version = '2.0'
regal_gl.add(glVertexAttrib4Nsv)

glVertexAttrib4Nub = Function('glVertexAttrib4Nub')
glVertexAttrib4Nub.version = '2.0'
regal_gl.add(glVertexAttrib4Nub)

glVertexAttrib4Nubv = Function('glVertexAttrib4Nubv')
glVertexAttrib4Nubv.add( Input( 'v','const GLubyte *' ,size = 4 ))
glVertexAttrib4Nubv.version = '2.0'
regal_gl.add(glVertexAttrib4Nubv)

glVertexAttrib4Nuiv = Function('glVertexAttrib4Nuiv')
glVertexAttrib4Nuiv.add( Input( 'v','const GLuint *' ,size = 4 ))
glVertexAttrib4Nuiv.version = '2.0'
regal_gl.add(glVertexAttrib4Nuiv)

glVertexAttrib4Nusv = Function('glVertexAttrib4Nusv')
glVertexAttrib4Nusv.add( Input( 'v','const GLushort *' ,size = 4 ))
glVertexAttrib4Nusv.version = '2.0'
regal_gl.add(glVertexAttrib4Nusv)

glVertexAttrib4bv = Function('glVertexAttrib4bv')
glVertexAttrib4bv.add( Input( 'v','const GLbyte *' ,size = 4 ))
glVertexAttrib4bv.version = '2.0'
regal_gl.add(glVertexAttrib4bv)

glVertexAttrib4d = Function('glVertexAttrib4d')
glVertexAttrib4d.version = '2.0'
regal_gl.add(glVertexAttrib4d)

glVertexAttrib4dv = Function('glVertexAttrib4dv')
glVertexAttrib4dv.add( Input( 'v','const GLdouble *' ,size = 4 ))
glVertexAttrib4dv.version = '2.0'
regal_gl.add(glVertexAttrib4dv)

glVertexAttrib4f = Function('glVertexAttrib4f')
glVertexAttrib4f.version = '2.0'
glVertexAttrib4f.esVersions = [2.0]
regal_gl.add(glVertexAttrib4f)

glVertexAttrib4fv = Function('glVertexAttrib4fv')
glVertexAttrib4fv.add( Input( 'v','const GLfloat *' ,size = 4 ))
glVertexAttrib4fv.version = '2.0'
glVertexAttrib4fv.esVersions = [2.0]
regal_gl.add(glVertexAttrib4fv)

glVertexAttrib4iv = Function('glVertexAttrib4iv')
glVertexAttrib4iv.add( Input( 'v','const GLint *' ,size = 4 ))
glVertexAttrib4iv.version = '2.0'
regal_gl.add(glVertexAttrib4iv)

glVertexAttrib4s = Function('glVertexAttrib4s')
glVertexAttrib4s.version = '2.0'
regal_gl.add(glVertexAttrib4s)

glVertexAttrib4sv = Function('glVertexAttrib4sv')
glVertexAttrib4sv.add( Input( 'v','const GLshort *' ,size = 4 ))
glVertexAttrib4sv.version = '2.0'
regal_gl.add(glVertexAttrib4sv)

glVertexAttrib4ubv = Function('glVertexAttrib4ubv')
glVertexAttrib4ubv.add( Input( 'v','const GLubyte *' ,size = 4 ))
glVertexAttrib4ubv.version = '2.0'
regal_gl.add(glVertexAttrib4ubv)

glVertexAttrib4uiv = Function('glVertexAttrib4uiv')
glVertexAttrib4uiv.add( Input( 'v','const GLuint *' ,size = 4 ))
glVertexAttrib4uiv.version = '2.0'
regal_gl.add(glVertexAttrib4uiv)

glVertexAttrib4usv = Function('glVertexAttrib4usv')
glVertexAttrib4usv.add( Input( 'v','const GLushort *' ,size = 4 ))
glVertexAttrib4usv.version = '2.0'
regal_gl.add(glVertexAttrib4usv)

glVertexAttribPointer = Function('glVertexAttribPointer')
glVertexAttribPointer.add( Input( 'pointer','const GLvoid *' ))
glVertexAttribPointer.version = '2.0'
glVertexAttribPointer.esVersions = [2.0]
regal_gl.add(glVertexAttribPointer)

glUniformMatrix2x3fv = Function('glUniformMatrix2x3fv')
glUniformMatrix2x3fv.add( Input( 'value','const GLfloat *' ,size = '2 * 3 * count' ))
glUniformMatrix2x3fv.version = '2.1'
regal_gl.add(glUniformMatrix2x3fv)

glUniformMatrix2x4fv = Function('glUniformMatrix2x4fv')
glUniformMatrix2x4fv.add( Input( 'value','const GLfloat *' ,size = '2 * 4 * count' ))
glUniformMatrix2x4fv.version = '2.1'
regal_gl.add(glUniformMatrix2x4fv)

glUniformMatrix3x2fv = Function('glUniformMatrix3x2fv')
glUniformMatrix3x2fv.add( Input( 'value','const GLfloat *' ,size = '3 * 2 * count' ))
glUniformMatrix3x2fv.version = '2.1'
regal_gl.add(glUniformMatrix3x2fv)

glUniformMatrix3x4fv = Function('glUniformMatrix3x4fv')
glUniformMatrix3x4fv.add( Input( 'value','const GLfloat *' ,size = '3 * 4 * count' ))
glUniformMatrix3x4fv.version = '2.1'
regal_gl.add(glUniformMatrix3x4fv)

glUniformMatrix4x2fv = Function('glUniformMatrix4x2fv')
glUniformMatrix4x2fv.add( Input( 'value','const GLfloat *' ,size = '4 * 2 * count' ))
glUniformMatrix4x2fv.version = '2.1'
regal_gl.add(glUniformMatrix4x2fv)

glUniformMatrix4x3fv = Function('glUniformMatrix4x3fv')
glUniformMatrix4x3fv.add( Input( 'value','const GLfloat *' ,size = '4 * 3 * count' ))
glUniformMatrix4x3fv.version = '2.1'
regal_gl.add(glUniformMatrix4x3fv)

glBeginConditionalRender = Function('glBeginConditionalRender')
glBeginConditionalRender.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glBeginConditionalRender.version = '3.0'
regal_gl.add(glBeginConditionalRender)

glBeginTransformFeedback = Function('glBeginTransformFeedback')
glBeginTransformFeedback.version = '3.0'
regal_gl.add(glBeginTransformFeedback)

glBindFragDataLocation = Function('glBindFragDataLocation')
glBindFragDataLocation.add( Input( 'name','const GLchar *' ))
glBindFragDataLocation.version = '3.0'
regal_gl.add(glBindFragDataLocation)

glClampColor = Function('glClampColor')
glClampColor.version = '3.0'
regal_gl.add(glClampColor)

glClearBufferfi = Function('glClearBufferfi')
glClearBufferfi.version = '3.0'
regal_gl.add(glClearBufferfi)

glClearBufferfv = Function('glClearBufferfv')
glClearBufferfv.add( Input( 'value','const GLfloat *' ))
glClearBufferfv.version = '3.0'
regal_gl.add(glClearBufferfv)

glClearBufferiv = Function('glClearBufferiv')
glClearBufferiv.add( Input( 'value','const GLint *' ))
glClearBufferiv.version = '3.0'
regal_gl.add(glClearBufferiv)

glClearBufferuiv = Function('glClearBufferuiv')
glClearBufferuiv.add( Input( 'value','const GLuint *' ))
glClearBufferuiv.version = '3.0'
regal_gl.add(glClearBufferuiv)

glColorMaski = Function('glColorMaski')
glColorMaski.version = '3.0'
regal_gl.add(glColorMaski)

glDisablei = Function('glDisablei')
glDisablei.version = '3.0'
regal_gl.add(glDisablei)

glEnablei = Function('glEnablei')
glEnablei.version = '3.0'
regal_gl.add(glEnablei)

glEndConditionalRender = Function('glEndConditionalRender')
glEndConditionalRender.version = '3.0'
regal_gl.add(glEndConditionalRender)

glEndTransformFeedback = Function('glEndTransformFeedback')
glEndTransformFeedback.version = '3.0'
regal_gl.add(glEndTransformFeedback)

glGetBooleani_v = Function('glGetBooleani_v')
glGetBooleani_v.add( Output( 'data','GLboolean *' ))
glGetBooleani_v.version = '3.0'
glGetBooleani_v.play = False
regal_gl.add(glGetBooleani_v)

glGetFragDataLocation = Function('glGetFragDataLocation')
glGetFragDataLocation.add( Input( 'name','const GLchar *' ))
glGetFragDataLocation.version = '3.0'
regal_gl.add(glGetFragDataLocation)

glGetStringi = Function('glGetStringi')
glGetStringi.ret = Return('const GLubyte *')
glGetStringi.ret.cast = 'const GLchar *'
glGetStringi.version = '3.0'
regal_gl.add(glGetStringi)

glGetTexParameterIiv = Function('glGetTexParameterIiv')
glGetTexParameterIiv.add( Output( 'params','GLint *' ))
glGetTexParameterIiv.version = '3.0'
regal_gl.add(glGetTexParameterIiv)

glGetTexParameterIuiv = Function('glGetTexParameterIuiv')
glGetTexParameterIuiv.add( Output( 'params','GLuint *' ))
glGetTexParameterIuiv.version = '3.0'
regal_gl.add(glGetTexParameterIuiv)

glGetTransformFeedbackVarying = Function('glGetTransformFeedbackVarying')
glGetTransformFeedbackVarying.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetTransformFeedbackVarying.add( Output( 'size','GLsizei *' ,size = 1 ))
glGetTransformFeedbackVarying.add( Output( 'type','GLenum *' ,size = 1 ))
glGetTransformFeedbackVarying.add( Output( 'name','GLchar *' ,size = 'bufSize' ))
glGetTransformFeedbackVarying.version = '3.0'
regal_gl.add(glGetTransformFeedbackVarying)

glGetUniformuiv = Function('glGetUniformuiv')
glGetUniformuiv.add( Output( 'params','GLuint *' ))
glGetUniformuiv.version = '3.0'
regal_gl.add(glGetUniformuiv)

glGetVertexAttribIiv = Function('glGetVertexAttribIiv')
glGetVertexAttribIiv.add( Output( 'params','GLint *' ,size = 1 ))
glGetVertexAttribIiv.version = '3.0'
regal_gl.add(glGetVertexAttribIiv)

glGetVertexAttribIuiv = Function('glGetVertexAttribIuiv')
glGetVertexAttribIuiv.add( Output( 'params','GLuint *' ,size = 1 ))
glGetVertexAttribIuiv.version = '3.0'
regal_gl.add(glGetVertexAttribIuiv)

glIsEnabledi = Function('glIsEnabledi')
glIsEnabledi.version = '3.0'
regal_gl.add(glIsEnabledi)

glTexParameterIiv = Function('glTexParameterIiv')
glTexParameterIiv.add( Input( 'params','const GLint *' ,regalLog = 'GLTexParameterToString(pname,params)' ))
glTexParameterIiv.version = '3.0'
regal_gl.add(glTexParameterIiv)

glTexParameterIuiv = Function('glTexParameterIuiv')
glTexParameterIuiv.add( Input( 'params','const GLuint *' ,regalLog = 'GLTexParameterToString(pname,params)' ))
glTexParameterIuiv.version = '3.0'
regal_gl.add(glTexParameterIuiv)

glTransformFeedbackVaryings = Function('glTransformFeedbackVaryings')
glTransformFeedbackVaryings.add( Input( 'varyings','const GLchar * const *' ,size = 'count' ))
glTransformFeedbackVaryings.version = '3.0'
regal_gl.add(glTransformFeedbackVaryings)

glUniform1ui = Function('glUniform1ui')
glUniform1ui.version = '3.0'
regal_gl.add(glUniform1ui)

glUniform1uiv = Function('glUniform1uiv')
glUniform1uiv.add( Input( 'value','const GLuint *' ,size = 'count' ))
glUniform1uiv.version = '3.0'
regal_gl.add(glUniform1uiv)

glUniform2ui = Function('glUniform2ui')
glUniform2ui.version = '3.0'
regal_gl.add(glUniform2ui)

glUniform2uiv = Function('glUniform2uiv')
glUniform2uiv.add( Input( 'value','const GLuint *' ,size = 'count * 2' ))
glUniform2uiv.version = '3.0'
regal_gl.add(glUniform2uiv)

glUniform3ui = Function('glUniform3ui')
glUniform3ui.version = '3.0'
regal_gl.add(glUniform3ui)

glUniform3uiv = Function('glUniform3uiv')
glUniform3uiv.add( Input( 'value','const GLuint *' ,size = 'count * 3' ))
glUniform3uiv.version = '3.0'
regal_gl.add(glUniform3uiv)

glUniform4ui = Function('glUniform4ui')
glUniform4ui.version = '3.0'
regal_gl.add(glUniform4ui)

glUniform4uiv = Function('glUniform4uiv')
glUniform4uiv.add( Input( 'value','const GLuint *' ,size = 'count * 4' ))
glUniform4uiv.version = '3.0'
regal_gl.add(glUniform4uiv)

glVertexAttribI1i = Function('glVertexAttribI1i')
glVertexAttribI1i.version = '3.0'
regal_gl.add(glVertexAttribI1i)

glVertexAttribI1iv = Function('glVertexAttribI1iv')
glVertexAttribI1iv.add( Input( 'v','const GLint *' ,size = 1 ))
glVertexAttribI1iv.version = '3.0'
regal_gl.add(glVertexAttribI1iv)

glVertexAttribI1ui = Function('glVertexAttribI1ui')
glVertexAttribI1ui.version = '3.0'
regal_gl.add(glVertexAttribI1ui)

glVertexAttribI1uiv = Function('glVertexAttribI1uiv')
glVertexAttribI1uiv.add( Input( 'v','const GLuint *' ,size = 1 ))
glVertexAttribI1uiv.version = '3.0'
regal_gl.add(glVertexAttribI1uiv)

glVertexAttribI2i = Function('glVertexAttribI2i')
glVertexAttribI2i.version = '3.0'
regal_gl.add(glVertexAttribI2i)

glVertexAttribI2iv = Function('glVertexAttribI2iv')
glVertexAttribI2iv.add( Input( 'v','const GLint *' ,size = 2 ))
glVertexAttribI2iv.version = '3.0'
regal_gl.add(glVertexAttribI2iv)

glVertexAttribI2ui = Function('glVertexAttribI2ui')
glVertexAttribI2ui.version = '3.0'
regal_gl.add(glVertexAttribI2ui)

glVertexAttribI2uiv = Function('glVertexAttribI2uiv')
glVertexAttribI2uiv.add( Input( 'v','const GLuint *' ,size = 2 ))
glVertexAttribI2uiv.version = '3.0'
regal_gl.add(glVertexAttribI2uiv)

glVertexAttribI3i = Function('glVertexAttribI3i')
glVertexAttribI3i.version = '3.0'
regal_gl.add(glVertexAttribI3i)

glVertexAttribI3iv = Function('glVertexAttribI3iv')
glVertexAttribI3iv.add( Input( 'v','const GLint *' ,size = 3 ))
glVertexAttribI3iv.version = '3.0'
regal_gl.add(glVertexAttribI3iv)

glVertexAttribI3ui = Function('glVertexAttribI3ui')
glVertexAttribI3ui.version = '3.0'
regal_gl.add(glVertexAttribI3ui)

glVertexAttribI3uiv = Function('glVertexAttribI3uiv')
glVertexAttribI3uiv.add( Input( 'v','const GLuint *' ,size = 3 ))
glVertexAttribI3uiv.version = '3.0'
regal_gl.add(glVertexAttribI3uiv)

glVertexAttribI4bv = Function('glVertexAttribI4bv')
glVertexAttribI4bv.add( Input( 'v','const GLbyte *' ,size = 4 ))
glVertexAttribI4bv.version = '3.0'
regal_gl.add(glVertexAttribI4bv)

glVertexAttribI4i = Function('glVertexAttribI4i')
glVertexAttribI4i.version = '3.0'
regal_gl.add(glVertexAttribI4i)

glVertexAttribI4iv = Function('glVertexAttribI4iv')
glVertexAttribI4iv.add( Input( 'v','const GLint *' ,size = 4 ))
glVertexAttribI4iv.version = '3.0'
regal_gl.add(glVertexAttribI4iv)

glVertexAttribI4sv = Function('glVertexAttribI4sv')
glVertexAttribI4sv.add( Input( 'v','const GLshort *' ,size = 4 ))
glVertexAttribI4sv.version = '3.0'
regal_gl.add(glVertexAttribI4sv)

glVertexAttribI4ubv = Function('glVertexAttribI4ubv')
glVertexAttribI4ubv.add( Input( 'v','const GLubyte *' ,size = 4 ))
glVertexAttribI4ubv.version = '3.0'
regal_gl.add(glVertexAttribI4ubv)

glVertexAttribI4ui = Function('glVertexAttribI4ui')
glVertexAttribI4ui.version = '3.0'
regal_gl.add(glVertexAttribI4ui)

glVertexAttribI4uiv = Function('glVertexAttribI4uiv')
glVertexAttribI4uiv.add( Input( 'v','const GLuint *' ,size = 4 ))
glVertexAttribI4uiv.version = '3.0'
regal_gl.add(glVertexAttribI4uiv)

glVertexAttribI4usv = Function('glVertexAttribI4usv')
glVertexAttribI4usv.add( Input( 'v','const GLushort *' ,size = 4 ))
glVertexAttribI4usv.version = '3.0'
regal_gl.add(glVertexAttribI4usv)

glVertexAttribIPointer = Function('glVertexAttribIPointer')
glVertexAttribIPointer.add( Input( 'pointer','const GLvoid *' ))
glVertexAttribIPointer.version = '3.0'
regal_gl.add(glVertexAttribIPointer)

glDrawArraysInstanced = Function('glDrawArraysInstanced')
glDrawArraysInstanced.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawArraysInstanced.version = '3.1'
regal_gl.add(glDrawArraysInstanced)

glDrawElementsInstanced = Function('glDrawElementsInstanced')
glDrawElementsInstanced.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawElementsInstanced.add( Input( 'indices','const GLvoid *' ))
glDrawElementsInstanced.version = '3.1'
regal_gl.add(glDrawElementsInstanced)

glPrimitiveRestartIndex = Function('glPrimitiveRestartIndex')
glPrimitiveRestartIndex.version = '3.1'
regal_gl.add(glPrimitiveRestartIndex)

glTexBuffer = Function('glTexBuffer')
glTexBuffer.version = '3.1'
regal_gl.add(glTexBuffer)

glFramebufferTexture = Function('glFramebufferTexture')
glFramebufferTexture.version = '3.2'
regal_gl.add(glFramebufferTexture)

glGetBufferParameteri64v = Function('glGetBufferParameteri64v')
glGetBufferParameteri64v.add( Output( 'params','GLint64 *' ))
glGetBufferParameteri64v.version = '3.2'
glGetBufferParameteri64v.play = False
regal_gl.add(glGetBufferParameteri64v)

glGetInteger64i_v = Function('glGetInteger64i_v')
glGetInteger64i_v.add( Output( 'data','GLint64 *' ))
glGetInteger64i_v.version = '3.2'
glGetInteger64i_v.play = False
regal_gl.add(glGetInteger64i_v)

glVertexAttribDivisor = Function('glVertexAttribDivisor')
glVertexAttribDivisor.version = '3.3'
regal_gl.add(glVertexAttribDivisor)

glBlendEquationSeparatei = Function('glBlendEquationSeparatei')
glBlendEquationSeparatei.add( Input( 'modeRGB','GLenum' ,regalLog = 'GLmodeToString(modeRGB)' ))
glBlendEquationSeparatei.add( Input( 'modeAlpha','GLenum' ,regalLog = 'GLmodeToString(modeAlpha)' ))
glBlendEquationSeparatei.version = '4.0'
regal_gl.add(glBlendEquationSeparatei)

glBlendEquationi = Function('glBlendEquationi')
glBlendEquationi.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glBlendEquationi.version = '4.0'
regal_gl.add(glBlendEquationi)

glBlendFuncSeparatei = Function('glBlendFuncSeparatei')
glBlendFuncSeparatei.version = '4.0'
regal_gl.add(glBlendFuncSeparatei)

glBlendFunci = Function('glBlendFunci')
glBlendFunci.version = '4.0'
regal_gl.add(glBlendFunci)

glSampleCoverage = Function('glSampleCoverage')
glSampleCoverage.version = '1.3'
glSampleCoverage.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glSampleCoverage)

glTbufferMask3DFX = Function('glTbufferMask3DFX')
glTbufferMask3DFX.version = '1.2'
regal_gl.add(glTbufferMask3DFX)

glDebugMessageCallbackAMD = Function('glDebugMessageCallbackAMD')
glDebugMessageCallbackAMD.add( Input( 'userParam','void *' ))
regal_gl.add(glDebugMessageCallbackAMD)

glDebugMessageEnableAMD = Function('glDebugMessageEnableAMD')
glDebugMessageEnableAMD.add( Input( 'ids','const GLuint *' ))
regal_gl.add(glDebugMessageEnableAMD)

glDebugMessageInsertAMD = Function('glDebugMessageInsertAMD')
glDebugMessageInsertAMD.add( Input( 'buf','const GLchar *' ))
regal_gl.add(glDebugMessageInsertAMD)

glGetDebugMessageLogAMD = Function('glGetDebugMessageLogAMD')
glGetDebugMessageLogAMD.add( Input( 'categories','GLenum *' ))
glGetDebugMessageLogAMD.add( Input( 'severities','GLuint *' ))
glGetDebugMessageLogAMD.add( Input( 'ids','GLuint *' ))
glGetDebugMessageLogAMD.add( Input( 'lengths','GLsizei *' ))
glGetDebugMessageLogAMD.add( Input( 'message','GLchar *' ))
glGetDebugMessageLogAMD.play = False
regal_gl.add(glGetDebugMessageLogAMD)

glBlendEquationIndexedAMD = Function('glBlendEquationIndexedAMD')
glBlendEquationIndexedAMD.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glBlendEquationIndexedAMD.version = '2.0'
regal_gl.add(glBlendEquationIndexedAMD)

glBlendEquationSeparateIndexedAMD = Function('glBlendEquationSeparateIndexedAMD')
glBlendEquationSeparateIndexedAMD.add( Input( 'modeRGB','GLenum' ,regalLog = 'GLmodeToString(modeRGB)' ))
glBlendEquationSeparateIndexedAMD.add( Input( 'modeAlpha','GLenum' ,regalLog = 'GLmodeToString(modeAlpha)' ))
glBlendEquationSeparateIndexedAMD.version = '2.0'
regal_gl.add(glBlendEquationSeparateIndexedAMD)

glBlendFuncIndexedAMD = Function('glBlendFuncIndexedAMD')
glBlendFuncIndexedAMD.version = '2.0'
regal_gl.add(glBlendFuncIndexedAMD)

glBlendFuncSeparateIndexedAMD = Function('glBlendFuncSeparateIndexedAMD')
glBlendFuncSeparateIndexedAMD.version = '2.0'
regal_gl.add(glBlendFuncSeparateIndexedAMD)

glVertexAttribParameteriAMD = Function('glVertexAttribParameteriAMD')
regal_gl.add(glVertexAttribParameteriAMD)

glMultiDrawArraysIndirectAMD = Function('glMultiDrawArraysIndirectAMD')
glMultiDrawArraysIndirectAMD.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMultiDrawArraysIndirectAMD.add( Input( 'indirect','const GLvoid *' ))
regal_gl.add(glMultiDrawArraysIndirectAMD)

glMultiDrawElementsIndirectAMD = Function('glMultiDrawElementsIndirectAMD')
glMultiDrawElementsIndirectAMD.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMultiDrawElementsIndirectAMD.add( Input( 'indirect','const GLvoid *' ))
regal_gl.add(glMultiDrawElementsIndirectAMD)

glDeleteNamesAMD = Function('glDeleteNamesAMD')
glDeleteNamesAMD.add( Input( 'names','const GLuint *' ))
regal_gl.add(glDeleteNamesAMD)

glGenNamesAMD = Function('glGenNamesAMD')
glGenNamesAMD.add( Input( 'names','GLuint *' ))
regal_gl.add(glGenNamesAMD)

glIsNameAMD = Function('glIsNameAMD')
regal_gl.add(glIsNameAMD)

glBeginPerfMonitorAMD = Function('glBeginPerfMonitorAMD')
glBeginPerfMonitorAMD.version = '1.2'
regal_gl.add(glBeginPerfMonitorAMD)

glDeletePerfMonitorsAMD = Function('glDeletePerfMonitorsAMD')
glDeletePerfMonitorsAMD.add( Output( 'monitors','GLuint *' ))
glDeletePerfMonitorsAMD.version = '1.2'
regal_gl.add(glDeletePerfMonitorsAMD)

glEndPerfMonitorAMD = Function('glEndPerfMonitorAMD')
glEndPerfMonitorAMD.version = '1.2'
regal_gl.add(glEndPerfMonitorAMD)

glGenPerfMonitorsAMD = Function('glGenPerfMonitorsAMD')
glGenPerfMonitorsAMD.add( Output( 'monitors','GLuint *' ))
glGenPerfMonitorsAMD.version = '1.2'
regal_gl.add(glGenPerfMonitorsAMD)

glGetPerfMonitorCounterDataAMD = Function('glGetPerfMonitorCounterDataAMD')
glGetPerfMonitorCounterDataAMD.add( Output( 'data','GLuint *' ))
glGetPerfMonitorCounterDataAMD.add( Output( 'bytesWritten','GLint *' ,size = 1 ))
glGetPerfMonitorCounterDataAMD.version = '1.2'
regal_gl.add(glGetPerfMonitorCounterDataAMD)

glGetPerfMonitorCounterInfoAMD = Function('glGetPerfMonitorCounterInfoAMD')
glGetPerfMonitorCounterInfoAMD.add( Output( 'data','GLvoid *' ))
glGetPerfMonitorCounterInfoAMD.version = '1.2'
regal_gl.add(glGetPerfMonitorCounterInfoAMD)

glGetPerfMonitorCounterStringAMD = Function('glGetPerfMonitorCounterStringAMD')
glGetPerfMonitorCounterStringAMD.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetPerfMonitorCounterStringAMD.add( Output( 'counterString','GLchar *' ,maxSize = 'bufSize' ))
glGetPerfMonitorCounterStringAMD.version = '1.2'
glGetPerfMonitorCounterStringAMD.play = False
regal_gl.add(glGetPerfMonitorCounterStringAMD)

glGetPerfMonitorCountersAMD = Function('glGetPerfMonitorCountersAMD')
glGetPerfMonitorCountersAMD.add( Output( 'numCounters','GLint *' ,size = 1 ))
glGetPerfMonitorCountersAMD.add( Output( 'maxActiveCounters','GLint *' ,size = 1 ))
glGetPerfMonitorCountersAMD.add( Output( 'counters','GLuint *' ))
glGetPerfMonitorCountersAMD.version = '1.2'
regal_gl.add(glGetPerfMonitorCountersAMD)

glGetPerfMonitorGroupStringAMD = Function('glGetPerfMonitorGroupStringAMD')
glGetPerfMonitorGroupStringAMD.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetPerfMonitorGroupStringAMD.add( Output( 'groupString','GLchar *' ,maxSize = 'bufSize' ))
glGetPerfMonitorGroupStringAMD.version = '1.2'
glGetPerfMonitorGroupStringAMD.play = False
regal_gl.add(glGetPerfMonitorGroupStringAMD)

glGetPerfMonitorGroupsAMD = Function('glGetPerfMonitorGroupsAMD')
glGetPerfMonitorGroupsAMD.add( Output( 'numGroups','GLint *' ,size = 1 ))
glGetPerfMonitorGroupsAMD.add( Output( 'groups','GLuint *' ))
glGetPerfMonitorGroupsAMD.version = '1.2'
regal_gl.add(glGetPerfMonitorGroupsAMD)

glSelectPerfMonitorCountersAMD = Function('glSelectPerfMonitorCountersAMD')
glSelectPerfMonitorCountersAMD.add( Output( 'counterList','GLuint *' ))
glSelectPerfMonitorCountersAMD.version = '1.2'
regal_gl.add(glSelectPerfMonitorCountersAMD)

glSetMultisamplefvAMD = Function('glSetMultisamplefvAMD')
glSetMultisamplefvAMD.add( Input( 'val','const GLfloat *' ))
regal_gl.add(glSetMultisamplefvAMD)

glTexStorageSparseAMD = Function('glTexStorageSparseAMD')
glTexStorageSparseAMD.add( Input( 'flags','GLbitfield' ,regalLog = 'GLtexStorageSparseAMDToString(flags)' ))
regal_gl.add(glTexStorageSparseAMD)

glTextureStorageSparseAMD = Function('glTextureStorageSparseAMD')
glTextureStorageSparseAMD.add( Input( 'flags','GLbitfield' ,regalLog = 'GLtexStorageSparseAMDToString(flags)' ))
regal_gl.add(glTextureStorageSparseAMD)

glStencilOpValueAMD = Function('glStencilOpValueAMD')
regal_gl.add(glStencilOpValueAMD)

glTessellationFactorAMD = Function('glTessellationFactorAMD')
glTessellationFactorAMD.version = '2.0'
regal_gl.add(glTessellationFactorAMD)

glTessellationModeAMD = Function('glTessellationModeAMD')
glTessellationModeAMD.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glTessellationModeAMD.version = '2.0'
regal_gl.add(glTessellationModeAMD)

glBlitFramebufferANGLE = Function('glBlitFramebufferANGLE')
glBlitFramebufferANGLE.add( Input( 'mask','GLbitfield' ,regalLog = 'GLblitFramebufferToString(mask)' ))
regal_gl.add(glBlitFramebufferANGLE)

glRenderbufferStorageMultisampleANGLE = Function('glRenderbufferStorageMultisampleANGLE')
regal_gl.add(glRenderbufferStorageMultisampleANGLE)

glDrawArraysInstancedANGLE = Function('glDrawArraysInstancedANGLE')
glDrawArraysInstancedANGLE.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
regal_gl.add(glDrawArraysInstancedANGLE)

glDrawElementsInstancedANGLE = Function('glDrawElementsInstancedANGLE')
glDrawElementsInstancedANGLE.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawElementsInstancedANGLE.add( Input( 'indices','const GLvoid *' ))
regal_gl.add(glDrawElementsInstancedANGLE)

glVertexAttribDivisorANGLE = Function('glVertexAttribDivisorANGLE')
regal_gl.add(glVertexAttribDivisorANGLE)

glBeginQueryANGLE = Function('glBeginQueryANGLE')
regal_gl.add(glBeginQueryANGLE)

glDeleteQueriesANGLE = Function('glDeleteQueriesANGLE')
glDeleteQueriesANGLE.add( Input( 'ids','const GLuint *' ))
regal_gl.add(glDeleteQueriesANGLE)

glEndQueryANGLE = Function('glEndQueryANGLE')
regal_gl.add(glEndQueryANGLE)

glGenQueriesANGLE = Function('glGenQueriesANGLE')
glGenQueriesANGLE.add( Output( 'ids','GLuint *' ))
regal_gl.add(glGenQueriesANGLE)

glGetQueryObjecti64vANGLE = Function('glGetQueryObjecti64vANGLE')
glGetQueryObjecti64vANGLE.add( Output( 'params','GLint64 *' ))
regal_gl.add(glGetQueryObjecti64vANGLE)

glGetQueryObjectivANGLE = Function('glGetQueryObjectivANGLE')
glGetQueryObjectivANGLE.add( Output( 'params','GLint *' ))
regal_gl.add(glGetQueryObjectivANGLE)

glGetQueryObjectui64vANGLE = Function('glGetQueryObjectui64vANGLE')
glGetQueryObjectui64vANGLE.add( Output( 'params','GLuint64 *' ))
regal_gl.add(glGetQueryObjectui64vANGLE)

glGetQueryObjectuivANGLE = Function('glGetQueryObjectuivANGLE')
glGetQueryObjectuivANGLE.add( Output( 'params','GLuint *' ))
regal_gl.add(glGetQueryObjectuivANGLE)

glGetQueryivANGLE = Function('glGetQueryivANGLE')
glGetQueryivANGLE.add( Output( 'params','GLint *' ))
regal_gl.add(glGetQueryivANGLE)

glIsQueryANGLE = Function('glIsQueryANGLE')
regal_gl.add(glIsQueryANGLE)

glQueryCounterANGLE = Function('glQueryCounterANGLE')
regal_gl.add(glQueryCounterANGLE)

glGetTranslatedShaderSourceANGLE = Function('glGetTranslatedShaderSourceANGLE')
glGetTranslatedShaderSourceANGLE.add( Input( 'length','GLsizei *' ))
glGetTranslatedShaderSourceANGLE.add( Input( 'source','GLchar *' ))
regal_gl.add(glGetTranslatedShaderSourceANGLE)

glCopyTextureLevelsAPPLE = Function('glCopyTextureLevelsAPPLE')
regal_gl.add(glCopyTextureLevelsAPPLE)

glDrawElementArrayAPPLE = Function('glDrawElementArrayAPPLE')
glDrawElementArrayAPPLE.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawElementArrayAPPLE.version = '1.2'
regal_gl.add(glDrawElementArrayAPPLE)

glDrawRangeElementArrayAPPLE = Function('glDrawRangeElementArrayAPPLE')
glDrawRangeElementArrayAPPLE.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawRangeElementArrayAPPLE.version = '1.2'
regal_gl.add(glDrawRangeElementArrayAPPLE)

glElementPointerAPPLE = Function('glElementPointerAPPLE')
glElementPointerAPPLE.add( Input( 'pointer','const GLvoid *' ))
glElementPointerAPPLE.version = '1.2'
regal_gl.add(glElementPointerAPPLE)

glMultiDrawElementArrayAPPLE = Function('glMultiDrawElementArrayAPPLE')
glMultiDrawElementArrayAPPLE.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMultiDrawElementArrayAPPLE.add( Input( 'first','const GLint *' ))
glMultiDrawElementArrayAPPLE.add( Input( 'count','const GLsizei *' ))
glMultiDrawElementArrayAPPLE.version = '1.2'
regal_gl.add(glMultiDrawElementArrayAPPLE)

glMultiDrawRangeElementArrayAPPLE = Function('glMultiDrawRangeElementArrayAPPLE')
glMultiDrawRangeElementArrayAPPLE.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMultiDrawRangeElementArrayAPPLE.add( Input( 'first','const GLint *' ))
glMultiDrawRangeElementArrayAPPLE.add( Input( 'count','const GLsizei *' ))
glMultiDrawRangeElementArrayAPPLE.version = '1.2'
regal_gl.add(glMultiDrawRangeElementArrayAPPLE)

glDeleteFencesAPPLE = Function('glDeleteFencesAPPLE')
glDeleteFencesAPPLE.add( Input( 'fences','const GLuint *' ))
glDeleteFencesAPPLE.version = '1.2'
regal_gl.add(glDeleteFencesAPPLE)

glFinishFenceAPPLE = Function('glFinishFenceAPPLE')
glFinishFenceAPPLE.version = '1.2'
regal_gl.add(glFinishFenceAPPLE)

glFinishObjectAPPLE = Function('glFinishObjectAPPLE')
glFinishObjectAPPLE.version = '1.2'
regal_gl.add(glFinishObjectAPPLE)

glGenFencesAPPLE = Function('glGenFencesAPPLE')
glGenFencesAPPLE.add( Output( 'fences','GLuint *' ))
glGenFencesAPPLE.version = '1.2'
regal_gl.add(glGenFencesAPPLE)

glIsFenceAPPLE = Function('glIsFenceAPPLE')
glIsFenceAPPLE.version = '1.2'
regal_gl.add(glIsFenceAPPLE)

glSetFenceAPPLE = Function('glSetFenceAPPLE')
glSetFenceAPPLE.version = '1.2'
regal_gl.add(glSetFenceAPPLE)

glTestFenceAPPLE = Function('glTestFenceAPPLE')
glTestFenceAPPLE.version = '1.2'
regal_gl.add(glTestFenceAPPLE)

glTestObjectAPPLE = Function('glTestObjectAPPLE')
glTestObjectAPPLE.version = '1.2'
regal_gl.add(glTestObjectAPPLE)

glBufferParameteriAPPLE = Function('glBufferParameteriAPPLE')
glBufferParameteriAPPLE.version = '1.5'
regal_gl.add(glBufferParameteriAPPLE)

glFlushMappedBufferRangeAPPLE = Function('glFlushMappedBufferRangeAPPLE')
glFlushMappedBufferRangeAPPLE.version = '1.5'
regal_gl.add(glFlushMappedBufferRangeAPPLE)

glFinishRenderAPPLE = Function('glFinishRenderAPPLE')
regal_gl.add(glFinishRenderAPPLE)

glFlushRenderAPPLE = Function('glFlushRenderAPPLE')
regal_gl.add(glFlushRenderAPPLE)

glSwapAPPLE = Function('glSwapAPPLE')
regal_gl.add(glSwapAPPLE)

glRenderbufferStorageMultisampleAPPLE = Function('glRenderbufferStorageMultisampleAPPLE')
regal_gl.add(glRenderbufferStorageMultisampleAPPLE)

glResolveMultisampleFramebufferAPPLE = Function('glResolveMultisampleFramebufferAPPLE')
regal_gl.add(glResolveMultisampleFramebufferAPPLE)

glGetObjectParameterivAPPLE = Function('glGetObjectParameterivAPPLE')
glGetObjectParameterivAPPLE.add( Output( 'params','GLint *' ))
glGetObjectParameterivAPPLE.version = '1.5'
regal_gl.add(glGetObjectParameterivAPPLE)

glObjectPurgeableAPPLE = Function('glObjectPurgeableAPPLE')
glObjectPurgeableAPPLE.version = '1.5'
regal_gl.add(glObjectPurgeableAPPLE)

glObjectUnpurgeableAPPLE = Function('glObjectUnpurgeableAPPLE')
glObjectUnpurgeableAPPLE.version = '1.5'
regal_gl.add(glObjectUnpurgeableAPPLE)

glClientWaitSyncAPPLE = Function('glClientWaitSyncAPPLE')
glClientWaitSyncAPPLE.add( Input( 'flags','GLbitfield' ,regalLog = 'GLclientWaitSyncToString(flags)' ))
regal_gl.add(glClientWaitSyncAPPLE)

glDeleteSyncAPPLE = Function('glDeleteSyncAPPLE')
regal_gl.add(glDeleteSyncAPPLE)

glFenceSyncAPPLE = Function('glFenceSyncAPPLE')
glFenceSyncAPPLE.add( Input( 'flags','GLbitfield' ,regalLog = 'GLfenceSyncToString(flags)' ))
regal_gl.add(glFenceSyncAPPLE)

glGetInteger64vAPPLE = Function('glGetInteger64vAPPLE')
glGetInteger64vAPPLE.add( Input( 'params','GLint64 *' ))
regal_gl.add(glGetInteger64vAPPLE)

glGetSyncivAPPLE = Function('glGetSyncivAPPLE')
glGetSyncivAPPLE.add( Input( 'length','GLsizei *' ))
glGetSyncivAPPLE.add( Input( 'values','GLint *' ))
regal_gl.add(glGetSyncivAPPLE)

glIsSyncAPPLE = Function('glIsSyncAPPLE')
regal_gl.add(glIsSyncAPPLE)

glWaitSyncAPPLE = Function('glWaitSyncAPPLE')
glWaitSyncAPPLE.add( Input( 'flags','GLbitfield' ,regalLog = 'GLwaitSyncToString(flags)' ))
regal_gl.add(glWaitSyncAPPLE)

glGetTexParameterPointervAPPLE = Function('glGetTexParameterPointervAPPLE')
glGetTexParameterPointervAPPLE.add( Output( 'params','GLvoid **' ,size = 1 ))
glGetTexParameterPointervAPPLE.version = '1.2'
regal_gl.add(glGetTexParameterPointervAPPLE)

glTextureRangeAPPLE = Function('glTextureRangeAPPLE')
glTextureRangeAPPLE.add( Input( 'pointer','const GLvoid *' ))
glTextureRangeAPPLE.version = '1.2'
regal_gl.add(glTextureRangeAPPLE)

glBindVertexArrayAPPLE = Function('glBindVertexArrayAPPLE')
glBindVertexArrayAPPLE.version = '1.2'
regal_gl.add(glBindVertexArrayAPPLE)

glDeleteVertexArraysAPPLE = Function('glDeleteVertexArraysAPPLE')
glDeleteVertexArraysAPPLE.add( Input( 'arrays','const GLuint *' ))
glDeleteVertexArraysAPPLE.version = '1.2'
regal_gl.add(glDeleteVertexArraysAPPLE)

glGenVertexArraysAPPLE = Function('glGenVertexArraysAPPLE')
glGenVertexArraysAPPLE.add( Output( 'arrays','GLuint *' ))
glGenVertexArraysAPPLE.version = '1.2'
regal_gl.add(glGenVertexArraysAPPLE)

glIsVertexArrayAPPLE = Function('glIsVertexArrayAPPLE')
glIsVertexArrayAPPLE.version = '1.2'
regal_gl.add(glIsVertexArrayAPPLE)

glFlushVertexArrayRangeAPPLE = Function('glFlushVertexArrayRangeAPPLE')
glFlushVertexArrayRangeAPPLE.add( Output( 'pointer','GLvoid *' ))
glFlushVertexArrayRangeAPPLE.version = '1.2'
regal_gl.add(glFlushVertexArrayRangeAPPLE)

glVertexArrayParameteriAPPLE = Function('glVertexArrayParameteriAPPLE')
glVertexArrayParameteriAPPLE.version = '1.2'
regal_gl.add(glVertexArrayParameteriAPPLE)

glVertexArrayRangeAPPLE = Function('glVertexArrayRangeAPPLE')
glVertexArrayRangeAPPLE.add( Output( 'pointer','GLvoid *' ))
glVertexArrayRangeAPPLE.version = '1.2'
regal_gl.add(glVertexArrayRangeAPPLE)

glDisableVertexAttribAPPLE = Function('glDisableVertexAttribAPPLE')
glDisableVertexAttribAPPLE.version = '1.5'
regal_gl.add(glDisableVertexAttribAPPLE)

glEnableVertexAttribAPPLE = Function('glEnableVertexAttribAPPLE')
glEnableVertexAttribAPPLE.version = '1.5'
regal_gl.add(glEnableVertexAttribAPPLE)

glIsVertexAttribEnabledAPPLE = Function('glIsVertexAttribEnabledAPPLE')
glIsVertexAttribEnabledAPPLE.version = '1.5'
regal_gl.add(glIsVertexAttribEnabledAPPLE)

glMapVertexAttrib1dAPPLE = Function('glMapVertexAttrib1dAPPLE')
glMapVertexAttrib1dAPPLE.add( Input( 'points','const GLdouble *' ))
glMapVertexAttrib1dAPPLE.version = '1.5'
regal_gl.add(glMapVertexAttrib1dAPPLE)

glMapVertexAttrib1fAPPLE = Function('glMapVertexAttrib1fAPPLE')
glMapVertexAttrib1fAPPLE.add( Input( 'points','const GLfloat *' ))
glMapVertexAttrib1fAPPLE.version = '1.5'
regal_gl.add(glMapVertexAttrib1fAPPLE)

glMapVertexAttrib2dAPPLE = Function('glMapVertexAttrib2dAPPLE')
glMapVertexAttrib2dAPPLE.add( Input( 'points','const GLdouble *' ))
glMapVertexAttrib2dAPPLE.version = '1.5'
regal_gl.add(glMapVertexAttrib2dAPPLE)

glMapVertexAttrib2fAPPLE = Function('glMapVertexAttrib2fAPPLE')
glMapVertexAttrib2fAPPLE.add( Input( 'points','const GLfloat *' ))
glMapVertexAttrib2fAPPLE.version = '1.5'
regal_gl.add(glMapVertexAttrib2fAPPLE)

glClearDepthf = Function('glClearDepthf')
glClearDepthf.version = '4.1'
glClearDepthf.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glClearDepthf)

glDepthRangef = Function('glDepthRangef')
glDepthRangef.version = '4.1'
glDepthRangef.esVersions = [1.0, 1.1, 2.0]
regal_gl.add(glDepthRangef)

glGetShaderPrecisionFormat = Function('glGetShaderPrecisionFormat')
glGetShaderPrecisionFormat.add( Output( 'range','GLint *' ,size = 2 ))
glGetShaderPrecisionFormat.add( Output( 'precision','GLint *' ,size = 1 ))
glGetShaderPrecisionFormat.version = '4.1'
glGetShaderPrecisionFormat.esVersions = [2.0]
regal_gl.add(glGetShaderPrecisionFormat)

glReleaseShaderCompiler = Function('glReleaseShaderCompiler')
glReleaseShaderCompiler.version = '4.1'
glReleaseShaderCompiler.esVersions = [2.0]
regal_gl.add(glReleaseShaderCompiler)

glShaderBinary = Function('glShaderBinary')
glShaderBinary.add( Input( 'shaders','const GLuint *' ,size = 'count' ))
glShaderBinary.add( Input( 'binary','const GLvoid *' ,size = 'length' ))
glShaderBinary.version = '4.1'
glShaderBinary.esVersions = [2.0]
regal_gl.add(glShaderBinary)

glMemoryBarrierByRegion = Function('glMemoryBarrierByRegion')
regal_gl.add(glMemoryBarrierByRegion)

glDrawArraysInstancedBaseInstance = Function('glDrawArraysInstancedBaseInstance')
glDrawArraysInstancedBaseInstance.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
regal_gl.add(glDrawArraysInstancedBaseInstance)

glDrawElementsInstancedBaseInstance = Function('glDrawElementsInstancedBaseInstance')
glDrawElementsInstancedBaseInstance.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawElementsInstancedBaseInstance.add( Input( 'indices','const GLvoid *' ))
regal_gl.add(glDrawElementsInstancedBaseInstance)

glDrawElementsInstancedBaseVertexBaseInstance = Function('glDrawElementsInstancedBaseVertexBaseInstance')
glDrawElementsInstancedBaseVertexBaseInstance.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawElementsInstancedBaseVertexBaseInstance.add( Input( 'indices','const GLvoid *' ))
regal_gl.add(glDrawElementsInstancedBaseVertexBaseInstance)

glGetImageHandleARB = Function('glGetImageHandleARB')
regal_gl.add(glGetImageHandleARB)

glGetTextureHandleARB = Function('glGetTextureHandleARB')
regal_gl.add(glGetTextureHandleARB)

glGetTextureSamplerHandleARB = Function('glGetTextureSamplerHandleARB')
regal_gl.add(glGetTextureSamplerHandleARB)

glGetVertexAttribLui64vARB = Function('glGetVertexAttribLui64vARB')
glGetVertexAttribLui64vARB.add( Output( 'params','GLuint64EXT *' ))
regal_gl.add(glGetVertexAttribLui64vARB)

glIsImageHandleResidentARB = Function('glIsImageHandleResidentARB')
regal_gl.add(glIsImageHandleResidentARB)

glIsTextureHandleResidentARB = Function('glIsTextureHandleResidentARB')
regal_gl.add(glIsTextureHandleResidentARB)

glMakeImageHandleNonResidentARB = Function('glMakeImageHandleNonResidentARB')
regal_gl.add(glMakeImageHandleNonResidentARB)

glMakeImageHandleResidentARB = Function('glMakeImageHandleResidentARB')
regal_gl.add(glMakeImageHandleResidentARB)

glMakeTextureHandleNonResidentARB = Function('glMakeTextureHandleNonResidentARB')
regal_gl.add(glMakeTextureHandleNonResidentARB)

glMakeTextureHandleResidentARB = Function('glMakeTextureHandleResidentARB')
regal_gl.add(glMakeTextureHandleResidentARB)

glProgramUniformHandleui64ARB = Function('glProgramUniformHandleui64ARB')
regal_gl.add(glProgramUniformHandleui64ARB)

glProgramUniformHandleui64vARB = Function('glProgramUniformHandleui64vARB')
glProgramUniformHandleui64vARB.add( Input( 'values','const GLuint64 *' ))
regal_gl.add(glProgramUniformHandleui64vARB)

glUniformHandleui64ARB = Function('glUniformHandleui64ARB')
regal_gl.add(glUniformHandleui64ARB)

glUniformHandleui64vARB = Function('glUniformHandleui64vARB')
glUniformHandleui64vARB.add( Input( 'value','const GLuint64 *' ))
regal_gl.add(glUniformHandleui64vARB)

glVertexAttribL1ui64ARB = Function('glVertexAttribL1ui64ARB')
regal_gl.add(glVertexAttribL1ui64ARB)

glVertexAttribL1ui64vARB = Function('glVertexAttribL1ui64vARB')
glVertexAttribL1ui64vARB.add( Input( 'v','const GLuint64EXT *' ))
regal_gl.add(glVertexAttribL1ui64vARB)

glBindFragDataLocationIndexed = Function('glBindFragDataLocationIndexed')
glBindFragDataLocationIndexed.add( Input( 'name','const GLchar *' ))
glBindFragDataLocationIndexed.version = '3.3'
regal_gl.add(glBindFragDataLocationIndexed)

glGetFragDataIndex = Function('glGetFragDataIndex')
glGetFragDataIndex.add( Input( 'name','const GLchar *' ))
glGetFragDataIndex.version = '3.3'
regal_gl.add(glGetFragDataIndex)

glBufferStorage = Function('glBufferStorage')
glBufferStorage.add( Input( 'data','const GLvoid *' ))
glBufferStorage.add( Input( 'flags','GLbitfield' ,regalLog = 'GLbufferStorageToString(flags)' ))
glBufferStorage.version = '4.4'
regal_gl.add(glBufferStorage)

glNamedBufferStorageEXT = Function('glNamedBufferStorageEXT')
glNamedBufferStorageEXT.add( Input( 'data','const GLvoid *' ))
glNamedBufferStorageEXT.add( Input( 'flags','GLbitfield' ,regalLog = 'GLbufferStorageToString(flags)' ))
regal_gl.add(glNamedBufferStorageEXT)

glCreateSyncFromCLeventARB = Function('glCreateSyncFromCLeventARB')
glCreateSyncFromCLeventARB.add( Input( 'context','cl_context' ))
glCreateSyncFromCLeventARB.add( Input( 'event','cl_event' ))
glCreateSyncFromCLeventARB.add( Input( 'flags','GLbitfield' ,regalLog = 'GLcreateSyncFromCLeventARBToString(flags)' ))
regal_gl.add(glCreateSyncFromCLeventARB)

glClearBufferData = Function('glClearBufferData')
glClearBufferData.add( Input( 'data','const GLvoid *' ))
regal_gl.add(glClearBufferData)

glClearBufferSubData = Function('glClearBufferSubData')
glClearBufferSubData.add( Input( 'data','const GLvoid *' ))
regal_gl.add(glClearBufferSubData)

glClearNamedBufferDataEXT = Function('glClearNamedBufferDataEXT')
glClearNamedBufferDataEXT.add( Input( 'data','const GLvoid *' ))
regal_gl.add(glClearNamedBufferDataEXT)

glClearNamedBufferSubDataEXT = Function('glClearNamedBufferSubDataEXT')
glClearNamedBufferSubDataEXT.add( Input( 'data','const GLvoid *' ))
regal_gl.add(glClearNamedBufferSubDataEXT)

glClearTexImage = Function('glClearTexImage')
glClearTexImage.add( Input( 'data','const GLvoid *' ))
glClearTexImage.version = '4.4'
regal_gl.add(glClearTexImage)

glClearTexSubImage = Function('glClearTexSubImage')
glClearTexSubImage.add( Input( 'data','const GLvoid *' ))
glClearTexSubImage.version = '4.4'
regal_gl.add(glClearTexSubImage)

glClipControl = Function('glClipControl')
regal_gl.add(glClipControl)

glClampColorARB = Function('glClampColorARB')
glClampColorARB.version = '2.0'
regal_gl.add(glClampColorARB)

glDispatchCompute = Function('glDispatchCompute')
regal_gl.add(glDispatchCompute)

glDispatchComputeIndirect = Function('glDispatchComputeIndirect')
regal_gl.add(glDispatchComputeIndirect)

glDispatchComputeGroupSizeARB = Function('glDispatchComputeGroupSizeARB')
regal_gl.add(glDispatchComputeGroupSizeARB)

glCopyBufferSubData = Function('glCopyBufferSubData')
glCopyBufferSubData.version = '3.1'
regal_gl.add(glCopyBufferSubData)

glCopyImageSubData = Function('glCopyImageSubData')
regal_gl.add(glCopyImageSubData)

glDebugMessageCallbackARB = Function('glDebugMessageCallbackARB')
glDebugMessageCallbackARB.add( Input( 'userParam','const void *' ))
glDebugMessageCallbackARB.version = '4.1'
regal_gl.add(glDebugMessageCallbackARB)

glDebugMessageControlARB = Function('glDebugMessageControlARB')
glDebugMessageControlARB.add( Input( 'ids','const GLuint *' ,size = 'count>0 && ids ? count : 0' ))
glDebugMessageControlARB.version = '4.1'
regal_gl.add(glDebugMessageControlARB)

glDebugMessageInsertARB = Function('glDebugMessageInsertARB')
glDebugMessageInsertARB.add( Input( 'buf','const GLchar *' ))
glDebugMessageInsertARB.version = '4.1'
regal_gl.add(glDebugMessageInsertARB)

glGetDebugMessageLogARB = Function('glGetDebugMessageLogARB')
glGetDebugMessageLogARB.add( Output( 'sources','GLenum *' ,size = 'ret' ,maxSize = 'count' ))
glGetDebugMessageLogARB.add( Output( 'types','GLenum *' ,size = 'ret' ,maxSize = 'count' ))
glGetDebugMessageLogARB.add( Output( 'ids','GLuint *' ,size = 'ret' ,maxSize = 'count' ))
glGetDebugMessageLogARB.add( Output( 'severities','GLenum *' ,size = 'ret' ,maxSize = 'count' ))
glGetDebugMessageLogARB.add( Output( 'lengths','GLsizei *' ,size = 'ret' ,maxSize = 'count' ))
glGetDebugMessageLogARB.add( Output( 'messageLog','GLchar *' ,maxSize = 'logsize' ))
glGetDebugMessageLogARB.version = '4.1'
glGetDebugMessageLogARB.play = False
regal_gl.add(glGetDebugMessageLogARB)

glBindTextureUnit = Function('glBindTextureUnit')
regal_gl.add(glBindTextureUnit)

glBlitNamedFramebuffer = Function('glBlitNamedFramebuffer')
regal_gl.add(glBlitNamedFramebuffer)

glCheckNamedFramebufferStatus = Function('glCheckNamedFramebufferStatus')
regal_gl.add(glCheckNamedFramebufferStatus)

glClearNamedBufferData = Function('glClearNamedBufferData')
glClearNamedBufferData.add( Input( 'data','const GLvoid *' ))
regal_gl.add(glClearNamedBufferData)

glClearNamedBufferSubData = Function('glClearNamedBufferSubData')
glClearNamedBufferSubData.add( Input( 'data','const GLvoid *' ))
regal_gl.add(glClearNamedBufferSubData)

glClearNamedFramebufferfi = Function('glClearNamedFramebufferfi')
regal_gl.add(glClearNamedFramebufferfi)

glClearNamedFramebufferfv = Function('glClearNamedFramebufferfv')
glClearNamedFramebufferfv.add( Input( 'value','const GLfloat *' ))
regal_gl.add(glClearNamedFramebufferfv)

glClearNamedFramebufferiv = Function('glClearNamedFramebufferiv')
glClearNamedFramebufferiv.add( Input( 'value','const GLint *' ))
regal_gl.add(glClearNamedFramebufferiv)

glClearNamedFramebufferuiv = Function('glClearNamedFramebufferuiv')
glClearNamedFramebufferuiv.add( Input( 'value','const GLuint *' ))
regal_gl.add(glClearNamedFramebufferuiv)

glCompressedTextureSubImage1D = Function('glCompressedTextureSubImage1D')
glCompressedTextureSubImage1D.add( Input( 'data','const GLvoid *' ))
regal_gl.add(glCompressedTextureSubImage1D)

glCompressedTextureSubImage2D = Function('glCompressedTextureSubImage2D')
glCompressedTextureSubImage2D.add( Input( 'data','const GLvoid *' ))
regal_gl.add(glCompressedTextureSubImage2D)

glCompressedTextureSubImage3D = Function('glCompressedTextureSubImage3D')
glCompressedTextureSubImage3D.add( Input( 'data','const GLvoid *' ))
regal_gl.add(glCompressedTextureSubImage3D)

glCopyNamedBufferSubData = Function('glCopyNamedBufferSubData')
regal_gl.add(glCopyNamedBufferSubData)

glCopyTextureSubImage1D = Function('glCopyTextureSubImage1D')
regal_gl.add(glCopyTextureSubImage1D)

glCopyTextureSubImage2D = Function('glCopyTextureSubImage2D')
regal_gl.add(glCopyTextureSubImage2D)

glCopyTextureSubImage3D = Function('glCopyTextureSubImage3D')
regal_gl.add(glCopyTextureSubImage3D)

glCreateBuffers = Function('glCreateBuffers')
glCreateBuffers.add( Input( 'buffers','GLuint *' ))
regal_gl.add(glCreateBuffers)

glCreateFramebuffers = Function('glCreateFramebuffers')
glCreateFramebuffers.add( Input( 'framebuffers','GLuint *' ))
regal_gl.add(glCreateFramebuffers)

glCreateProgramPipelines = Function('glCreateProgramPipelines')
glCreateProgramPipelines.add( Input( 'pipelines','GLuint *' ))
regal_gl.add(glCreateProgramPipelines)

glCreateQueries = Function('glCreateQueries')
glCreateQueries.add( Input( 'ids','GLuint *' ))
regal_gl.add(glCreateQueries)

glCreateRenderbuffers = Function('glCreateRenderbuffers')
glCreateRenderbuffers.add( Input( 'renderbuffers','GLuint *' ))
regal_gl.add(glCreateRenderbuffers)

glCreateSamplers = Function('glCreateSamplers')
glCreateSamplers.add( Input( 'samplers','GLuint *' ))
regal_gl.add(glCreateSamplers)

glCreateTextures = Function('glCreateTextures')
glCreateTextures.add( Input( 'textures','GLuint *' ))
regal_gl.add(glCreateTextures)

glCreateTransformFeedbacks = Function('glCreateTransformFeedbacks')
glCreateTransformFeedbacks.add( Input( 'ids','GLuint *' ))
regal_gl.add(glCreateTransformFeedbacks)

glCreateVertexArrays = Function('glCreateVertexArrays')
glCreateVertexArrays.add( Input( 'arrays','GLuint *' ))
regal_gl.add(glCreateVertexArrays)

glDisableVertexArrayAttrib = Function('glDisableVertexArrayAttrib')
regal_gl.add(glDisableVertexArrayAttrib)

glEnableVertexArrayAttrib = Function('glEnableVertexArrayAttrib')
regal_gl.add(glEnableVertexArrayAttrib)

glFlushMappedNamedBufferRange = Function('glFlushMappedNamedBufferRange')
regal_gl.add(glFlushMappedNamedBufferRange)

glGenerateTextureMipmap = Function('glGenerateTextureMipmap')
regal_gl.add(glGenerateTextureMipmap)

glGetCompressedTextureImage = Function('glGetCompressedTextureImage')
glGetCompressedTextureImage.add( Input( 'pixels','GLvoid *' ))
regal_gl.add(glGetCompressedTextureImage)

glGetNamedBufferParameteri64v = Function('glGetNamedBufferParameteri64v')
glGetNamedBufferParameteri64v.add( Input( 'params','GLint64 *' ))
regal_gl.add(glGetNamedBufferParameteri64v)

glGetNamedBufferParameteriv = Function('glGetNamedBufferParameteriv')
glGetNamedBufferParameteriv.add( Input( 'params','GLint *' ))
regal_gl.add(glGetNamedBufferParameteriv)

glGetNamedBufferPointerv = Function('glGetNamedBufferPointerv')
glGetNamedBufferPointerv.add( Input( 'params','GLvoid **' ))
regal_gl.add(glGetNamedBufferPointerv)

glGetNamedBufferSubData = Function('glGetNamedBufferSubData')
glGetNamedBufferSubData.add( Input( 'data','GLvoid *' ))
regal_gl.add(glGetNamedBufferSubData)

glGetNamedFramebufferAttachmentParameteriv = Function('glGetNamedFramebufferAttachmentParameteriv')
glGetNamedFramebufferAttachmentParameteriv.add( Input( 'params','GLint *' ))
regal_gl.add(glGetNamedFramebufferAttachmentParameteriv)

glGetNamedFramebufferParameteriv = Function('glGetNamedFramebufferParameteriv')
glGetNamedFramebufferParameteriv.add( Input( 'param','GLint *' ))
regal_gl.add(glGetNamedFramebufferParameteriv)

glGetNamedRenderbufferParameteriv = Function('glGetNamedRenderbufferParameteriv')
glGetNamedRenderbufferParameteriv.add( Input( 'params','GLint *' ))
regal_gl.add(glGetNamedRenderbufferParameteriv)

glGetTextureImage = Function('glGetTextureImage')
glGetTextureImage.add( Input( 'pixels','GLvoid *' ))
regal_gl.add(glGetTextureImage)

glGetTextureLevelParameterfv = Function('glGetTextureLevelParameterfv')
glGetTextureLevelParameterfv.add( Input( 'params','GLfloat *' ))
regal_gl.add(glGetTextureLevelParameterfv)

glGetTextureLevelParameteriv = Function('glGetTextureLevelParameteriv')
glGetTextureLevelParameteriv.add( Input( 'params','GLint *' ))
regal_gl.add(glGetTextureLevelParameteriv)

glGetTextureParameterIiv = Function('glGetTextureParameterIiv')
glGetTextureParameterIiv.add( Input( 'params','GLint *' ))
regal_gl.add(glGetTextureParameterIiv)

glGetTextureParameterIuiv = Function('glGetTextureParameterIuiv')
glGetTextureParameterIuiv.add( Input( 'params','GLuint *' ))
regal_gl.add(glGetTextureParameterIuiv)

glGetTextureParameterfv = Function('glGetTextureParameterfv')
glGetTextureParameterfv.add( Input( 'params','GLfloat *' ))
regal_gl.add(glGetTextureParameterfv)

glGetTextureParameteriv = Function('glGetTextureParameteriv')
glGetTextureParameteriv.add( Input( 'params','GLint *' ))
regal_gl.add(glGetTextureParameteriv)

glGetTransformFeedbacki64_v = Function('glGetTransformFeedbacki64_v')
glGetTransformFeedbacki64_v.add( Input( 'param','GLint64 *' ))
regal_gl.add(glGetTransformFeedbacki64_v)

glGetTransformFeedbacki_v = Function('glGetTransformFeedbacki_v')
glGetTransformFeedbacki_v.add( Input( 'param','GLint *' ))
regal_gl.add(glGetTransformFeedbacki_v)

glGetTransformFeedbackiv = Function('glGetTransformFeedbackiv')
glGetTransformFeedbackiv.add( Input( 'param','GLint *' ))
regal_gl.add(glGetTransformFeedbackiv)

glGetVertexArrayIndexed64iv = Function('glGetVertexArrayIndexed64iv')
glGetVertexArrayIndexed64iv.add( Input( 'param','GLint64 *' ))
regal_gl.add(glGetVertexArrayIndexed64iv)

glGetVertexArrayIndexediv = Function('glGetVertexArrayIndexediv')
glGetVertexArrayIndexediv.add( Input( 'param','GLint *' ))
regal_gl.add(glGetVertexArrayIndexediv)

glGetVertexArrayiv = Function('glGetVertexArrayiv')
glGetVertexArrayiv.add( Input( 'param','GLint *' ))
regal_gl.add(glGetVertexArrayiv)

glInvalidateNamedFramebufferData = Function('glInvalidateNamedFramebufferData')
glInvalidateNamedFramebufferData.add( Input( 'attachments','const GLenum *' ))
regal_gl.add(glInvalidateNamedFramebufferData)

glInvalidateNamedFramebufferSubData = Function('glInvalidateNamedFramebufferSubData')
glInvalidateNamedFramebufferSubData.add( Input( 'attachments','const GLenum *' ))
regal_gl.add(glInvalidateNamedFramebufferSubData)

glMapNamedBuffer = Function('glMapNamedBuffer')
regal_gl.add(glMapNamedBuffer)

glMapNamedBufferRange = Function('glMapNamedBufferRange')
regal_gl.add(glMapNamedBufferRange)

glNamedBufferData = Function('glNamedBufferData')
glNamedBufferData.add( Input( 'data','const GLvoid *' ))
regal_gl.add(glNamedBufferData)

glNamedBufferStorage = Function('glNamedBufferStorage')
glNamedBufferStorage.add( Input( 'data','const GLvoid *' ))
regal_gl.add(glNamedBufferStorage)

glNamedBufferSubData = Function('glNamedBufferSubData')
glNamedBufferSubData.add( Input( 'data','const GLvoid *' ))
regal_gl.add(glNamedBufferSubData)

glNamedFramebufferDrawBuffer = Function('glNamedFramebufferDrawBuffer')
regal_gl.add(glNamedFramebufferDrawBuffer)

glNamedFramebufferDrawBuffers = Function('glNamedFramebufferDrawBuffers')
glNamedFramebufferDrawBuffers.add( Input( 'bufs','const GLenum *' ))
regal_gl.add(glNamedFramebufferDrawBuffers)

glNamedFramebufferParameteri = Function('glNamedFramebufferParameteri')
regal_gl.add(glNamedFramebufferParameteri)

glNamedFramebufferReadBuffer = Function('glNamedFramebufferReadBuffer')
regal_gl.add(glNamedFramebufferReadBuffer)

glNamedFramebufferRenderbuffer = Function('glNamedFramebufferRenderbuffer')
regal_gl.add(glNamedFramebufferRenderbuffer)

glNamedFramebufferTexture = Function('glNamedFramebufferTexture')
regal_gl.add(glNamedFramebufferTexture)

glNamedFramebufferTextureLayer = Function('glNamedFramebufferTextureLayer')
regal_gl.add(glNamedFramebufferTextureLayer)

glNamedRenderbufferStorage = Function('glNamedRenderbufferStorage')
regal_gl.add(glNamedRenderbufferStorage)

glNamedRenderbufferStorageMultisample = Function('glNamedRenderbufferStorageMultisample')
regal_gl.add(glNamedRenderbufferStorageMultisample)

glTextureBuffer = Function('glTextureBuffer')
regal_gl.add(glTextureBuffer)

glTextureBufferRange = Function('glTextureBufferRange')
regal_gl.add(glTextureBufferRange)

glTextureParameterIiv = Function('glTextureParameterIiv')
glTextureParameterIiv.add( Input( 'params','const GLint *' ))
regal_gl.add(glTextureParameterIiv)

glTextureParameterIuiv = Function('glTextureParameterIuiv')
glTextureParameterIuiv.add( Input( 'params','const GLuint *' ))
regal_gl.add(glTextureParameterIuiv)

glTextureParameterf = Function('glTextureParameterf')
regal_gl.add(glTextureParameterf)

glTextureParameterfv = Function('glTextureParameterfv')
glTextureParameterfv.add( Input( 'param','const GLfloat *' ))
regal_gl.add(glTextureParameterfv)

glTextureParameteri = Function('glTextureParameteri')
regal_gl.add(glTextureParameteri)

glTextureParameteriv = Function('glTextureParameteriv')
glTextureParameteriv.add( Input( 'param','const GLint *' ))
regal_gl.add(glTextureParameteriv)

glTextureStorage1D = Function('glTextureStorage1D')
regal_gl.add(glTextureStorage1D)

glTextureStorage2D = Function('glTextureStorage2D')
regal_gl.add(glTextureStorage2D)

glTextureStorage2DMultisample = Function('glTextureStorage2DMultisample')
regal_gl.add(glTextureStorage2DMultisample)

glTextureStorage3D = Function('glTextureStorage3D')
regal_gl.add(glTextureStorage3D)

glTextureStorage3DMultisample = Function('glTextureStorage3DMultisample')
regal_gl.add(glTextureStorage3DMultisample)

glTextureSubImage1D = Function('glTextureSubImage1D')
glTextureSubImage1D.add( Input( 'pixels','const GLvoid *' ))
regal_gl.add(glTextureSubImage1D)

glTextureSubImage2D = Function('glTextureSubImage2D')
glTextureSubImage2D.add( Input( 'pixels','const GLvoid *' ))
regal_gl.add(glTextureSubImage2D)

glTextureSubImage3D = Function('glTextureSubImage3D')
glTextureSubImage3D.add( Input( 'pixels','const GLvoid *' ))
regal_gl.add(glTextureSubImage3D)

glTransformFeedbackBufferBase = Function('glTransformFeedbackBufferBase')
regal_gl.add(glTransformFeedbackBufferBase)

glTransformFeedbackBufferRange = Function('glTransformFeedbackBufferRange')
regal_gl.add(glTransformFeedbackBufferRange)

glUnmapNamedBuffer = Function('glUnmapNamedBuffer')
regal_gl.add(glUnmapNamedBuffer)

glVertexArrayAttribBinding = Function('glVertexArrayAttribBinding')
regal_gl.add(glVertexArrayAttribBinding)

glVertexArrayAttribFormat = Function('glVertexArrayAttribFormat')
regal_gl.add(glVertexArrayAttribFormat)

glVertexArrayAttribIFormat = Function('glVertexArrayAttribIFormat')
regal_gl.add(glVertexArrayAttribIFormat)

glVertexArrayAttribLFormat = Function('glVertexArrayAttribLFormat')
regal_gl.add(glVertexArrayAttribLFormat)

glVertexArrayBindingDivisor = Function('glVertexArrayBindingDivisor')
regal_gl.add(glVertexArrayBindingDivisor)

glVertexArrayElementBuffer = Function('glVertexArrayElementBuffer')
regal_gl.add(glVertexArrayElementBuffer)

glVertexArrayVertexBuffer = Function('glVertexArrayVertexBuffer')
regal_gl.add(glVertexArrayVertexBuffer)

glVertexArrayVertexBuffers = Function('glVertexArrayVertexBuffers')
glVertexArrayVertexBuffers.add( Input( 'buffers','const GLuint *' ))
glVertexArrayVertexBuffers.add( Input( 'offsets','const GLintptr *' ))
glVertexArrayVertexBuffers.add( Input( 'strides','const GLsizei *' ))
regal_gl.add(glVertexArrayVertexBuffers)

glDrawBuffersARB = Function('glDrawBuffersARB')
glDrawBuffersARB.add( Input( 'bufs','const GLenum *' ,size = 'n' ))
glDrawBuffersARB.version = '1.2'
regal_gl.add(glDrawBuffersARB)

glBlendEquationSeparateiARB = Function('glBlendEquationSeparateiARB')
glBlendEquationSeparateiARB.add( Input( 'modeRGB','GLenum' ,regalLog = 'GLmodeToString(modeRGB)' ))
glBlendEquationSeparateiARB.add( Input( 'modeAlpha','GLenum' ,regalLog = 'GLmodeToString(modeAlpha)' ))
glBlendEquationSeparateiARB.version = '2.0'
regal_gl.add(glBlendEquationSeparateiARB)

glBlendEquationiARB = Function('glBlendEquationiARB')
glBlendEquationiARB.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glBlendEquationiARB.version = '2.0'
regal_gl.add(glBlendEquationiARB)

glBlendFuncSeparateiARB = Function('glBlendFuncSeparateiARB')
glBlendFuncSeparateiARB.version = '2.0'
regal_gl.add(glBlendFuncSeparateiARB)

glBlendFunciARB = Function('glBlendFunciARB')
glBlendFunciARB.version = '2.0'
regal_gl.add(glBlendFunciARB)

glDrawElementsBaseVertex = Function('glDrawElementsBaseVertex')
glDrawElementsBaseVertex.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawElementsBaseVertex.add( Input( 'indices','const GLvoid *' ))
glDrawElementsBaseVertex.version = '3.2'
regal_gl.add(glDrawElementsBaseVertex)

glDrawElementsInstancedBaseVertex = Function('glDrawElementsInstancedBaseVertex')
glDrawElementsInstancedBaseVertex.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawElementsInstancedBaseVertex.add( Input( 'indices','const GLvoid *' ))
glDrawElementsInstancedBaseVertex.version = '3.2'
regal_gl.add(glDrawElementsInstancedBaseVertex)

glDrawRangeElementsBaseVertex = Function('glDrawRangeElementsBaseVertex')
glDrawRangeElementsBaseVertex.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawRangeElementsBaseVertex.add( Input( 'indices','const GLvoid *' ))
glDrawRangeElementsBaseVertex.version = '3.2'
regal_gl.add(glDrawRangeElementsBaseVertex)

glMultiDrawElementsBaseVertex = Function('glMultiDrawElementsBaseVertex')
glMultiDrawElementsBaseVertex.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMultiDrawElementsBaseVertex.add( Input( 'count','const GLsizei *' ,size = 'primcount' ))
glMultiDrawElementsBaseVertex.add( Input( 'indices','const GLvoid * const *' ,size = 'primcount' ))
glMultiDrawElementsBaseVertex.add( Input( 'basevertex','const GLint *' ,size = 'primcount' ))
glMultiDrawElementsBaseVertex.version = '3.2'
glMultiDrawElementsBaseVertex.play = False
regal_gl.add(glMultiDrawElementsBaseVertex)

glDrawArraysIndirect = Function('glDrawArraysIndirect')
glDrawArraysIndirect.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawArraysIndirect.add( Input( 'indirect','const GLvoid *' ))
glDrawArraysIndirect.version = '4.0'
regal_gl.add(glDrawArraysIndirect)

glDrawElementsIndirect = Function('glDrawElementsIndirect')
glDrawElementsIndirect.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawElementsIndirect.add( Input( 'indirect','const GLvoid *' ))
glDrawElementsIndirect.version = '4.0'
regal_gl.add(glDrawElementsIndirect)

glDrawArraysInstancedARB = Function('glDrawArraysInstancedARB')
glDrawArraysInstancedARB.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawArraysInstancedARB.version = '2.0'
regal_gl.add(glDrawArraysInstancedARB)

glDrawElementsInstancedARB = Function('glDrawElementsInstancedARB')
glDrawElementsInstancedARB.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawElementsInstancedARB.add( Input( 'indices','const GLvoid *' ))
glDrawElementsInstancedARB.version = '2.0'
regal_gl.add(glDrawElementsInstancedARB)

glFramebufferParameteri = Function('glFramebufferParameteri')
regal_gl.add(glFramebufferParameteri)

glGetFramebufferParameteriv = Function('glGetFramebufferParameteriv')
glGetFramebufferParameteriv.add( Input( 'params','GLint *' ))
regal_gl.add(glGetFramebufferParameteriv)

glGetNamedFramebufferParameterivEXT = Function('glGetNamedFramebufferParameterivEXT')
glGetNamedFramebufferParameterivEXT.add( Input( 'params','GLint *' ))
regal_gl.add(glGetNamedFramebufferParameterivEXT)

glNamedFramebufferParameteriEXT = Function('glNamedFramebufferParameteriEXT')
regal_gl.add(glNamedFramebufferParameteriEXT)

glBindFramebuffer = Function('glBindFramebuffer')
glBindFramebuffer.version = '3.0'
glBindFramebuffer.esVersions = [2.0]
regal_gl.add(glBindFramebuffer)

glBindRenderbuffer = Function('glBindRenderbuffer')
glBindRenderbuffer.version = '3.0'
glBindRenderbuffer.esVersions = [2.0]
regal_gl.add(glBindRenderbuffer)

glBlitFramebuffer = Function('glBlitFramebuffer')
glBlitFramebuffer.add( Input( 'mask','GLbitfield' ,regalLog = 'GLblitFramebufferToString(mask)' ))
glBlitFramebuffer.version = '3.0'
regal_gl.add(glBlitFramebuffer)

glCheckFramebufferStatus = Function('glCheckFramebufferStatus')
glCheckFramebufferStatus.version = '3.0'
glCheckFramebufferStatus.esVersions = [2.0]
regal_gl.add(glCheckFramebufferStatus)

glDeleteFramebuffers = Function('glDeleteFramebuffers')
glDeleteFramebuffers.add( Input( 'framebuffers','const GLuint *' ,size = 'n' ))
glDeleteFramebuffers.version = '3.0'
glDeleteFramebuffers.esVersions = [2.0]
regal_gl.add(glDeleteFramebuffers)

glDeleteRenderbuffers = Function('glDeleteRenderbuffers')
glDeleteRenderbuffers.add( Input( 'renderbuffers','const GLuint *' ,size = 'n' ))
glDeleteRenderbuffers.version = '3.0'
glDeleteRenderbuffers.esVersions = [2.0]
regal_gl.add(glDeleteRenderbuffers)

glFramebufferRenderbuffer = Function('glFramebufferRenderbuffer')
glFramebufferRenderbuffer.version = '3.0'
glFramebufferRenderbuffer.esVersions = [2.0]
regal_gl.add(glFramebufferRenderbuffer)

glFramebufferTexture1D = Function('glFramebufferTexture1D')
glFramebufferTexture1D.version = '3.0'
regal_gl.add(glFramebufferTexture1D)

glFramebufferTexture2D = Function('glFramebufferTexture2D')
glFramebufferTexture2D.version = '3.0'
glFramebufferTexture2D.esVersions = [2.0]
regal_gl.add(glFramebufferTexture2D)

glFramebufferTexture3D = Function('glFramebufferTexture3D')
glFramebufferTexture3D.version = '3.0'
regal_gl.add(glFramebufferTexture3D)

glFramebufferTextureLayer = Function('glFramebufferTextureLayer')
glFramebufferTextureLayer.version = '3.0'
regal_gl.add(glFramebufferTextureLayer)

glGenFramebuffers = Function('glGenFramebuffers')
glGenFramebuffers.add( Output( 'framebuffers','GLuint *' ,size = 'n' ))
glGenFramebuffers.version = '3.0'
glGenFramebuffers.esVersions = [2.0]
regal_gl.add(glGenFramebuffers)

glGenRenderbuffers = Function('glGenRenderbuffers')
glGenRenderbuffers.add( Output( 'renderbuffers','GLuint *' ,size = 'n' ))
glGenRenderbuffers.version = '3.0'
glGenRenderbuffers.esVersions = [2.0]
regal_gl.add(glGenRenderbuffers)

glGenerateMipmap = Function('glGenerateMipmap')
glGenerateMipmap.version = '3.0'
glGenerateMipmap.esVersions = [2.0]
regal_gl.add(glGenerateMipmap)

glGetFramebufferAttachmentParameteriv = Function('glGetFramebufferAttachmentParameteriv')
glGetFramebufferAttachmentParameteriv.add( Output( 'params','GLint *' ))
glGetFramebufferAttachmentParameteriv.version = '3.0'
glGetFramebufferAttachmentParameteriv.esVersions = [2.0]
regal_gl.add(glGetFramebufferAttachmentParameteriv)

glGetRenderbufferParameteriv = Function('glGetRenderbufferParameteriv')
glGetRenderbufferParameteriv.add( Output( 'params','GLint *' ))
glGetRenderbufferParameteriv.version = '3.0'
glGetRenderbufferParameteriv.esVersions = [2.0]
regal_gl.add(glGetRenderbufferParameteriv)

glIsFramebuffer = Function('glIsFramebuffer')
glIsFramebuffer.version = '3.0'
glIsFramebuffer.esVersions = [2.0]
regal_gl.add(glIsFramebuffer)

glIsRenderbuffer = Function('glIsRenderbuffer')
glIsRenderbuffer.version = '3.0'
glIsRenderbuffer.esVersions = [2.0]
regal_gl.add(glIsRenderbuffer)

glRenderbufferStorage = Function('glRenderbufferStorage')
glRenderbufferStorage.version = '3.0'
glRenderbufferStorage.esVersions = [2.0]
regal_gl.add(glRenderbufferStorage)

glRenderbufferStorageMultisample = Function('glRenderbufferStorageMultisample')
glRenderbufferStorageMultisample.version = '3.0'
regal_gl.add(glRenderbufferStorageMultisample)

glFramebufferTextureARB = Function('glFramebufferTextureARB')
glFramebufferTextureARB.version = '3.0'
regal_gl.add(glFramebufferTextureARB)

glFramebufferTextureFaceARB = Function('glFramebufferTextureFaceARB')
glFramebufferTextureFaceARB.version = '3.0'
regal_gl.add(glFramebufferTextureFaceARB)

glFramebufferTextureLayerARB = Function('glFramebufferTextureLayerARB')
glFramebufferTextureLayerARB.version = '3.0'
regal_gl.add(glFramebufferTextureLayerARB)

glProgramParameteriARB = Function('glProgramParameteriARB')
glProgramParameteriARB.version = '3.0'
regal_gl.add(glProgramParameteriARB)

glGetProgramBinary = Function('glGetProgramBinary')
glGetProgramBinary.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetProgramBinary.add( Output( 'binaryFormat','GLenum *' ,size = 1 ))
glGetProgramBinary.add( Output( 'binary','GLvoid *' ,maxSize = 'bufSize' ))
glGetProgramBinary.version = '4.1'
regal_gl.add(glGetProgramBinary)

glProgramBinary = Function('glProgramBinary')
glProgramBinary.add( Input( 'binary','const GLvoid *' ,size = 'length' ))
glProgramBinary.version = '4.1'
regal_gl.add(glProgramBinary)

glProgramParameteri = Function('glProgramParameteri')
glProgramParameteri.version = '4.1'
regal_gl.add(glProgramParameteri)

glGetCompressedTextureSubImage = Function('glGetCompressedTextureSubImage')
glGetCompressedTextureSubImage.add( Input( 'pixels','GLvoid *' ))
regal_gl.add(glGetCompressedTextureSubImage)

glGetTextureSubImage = Function('glGetTextureSubImage')
glGetTextureSubImage.add( Input( 'pixels','GLvoid *' ))
regal_gl.add(glGetTextureSubImage)

glGetUniformdv = Function('glGetUniformdv')
glGetUniformdv.add( Output( 'params','GLdouble *' ))
glGetUniformdv.version = '4.0'
regal_gl.add(glGetUniformdv)

glUniform1d = Function('glUniform1d')
glUniform1d.version = '4.0'
regal_gl.add(glUniform1d)

glUniform1dv = Function('glUniform1dv')
glUniform1dv.add( Input( 'value','const GLdouble *' ,size = 'count' ))
glUniform1dv.version = '4.0'
regal_gl.add(glUniform1dv)

glUniform2d = Function('glUniform2d')
glUniform2d.version = '4.0'
regal_gl.add(glUniform2d)

glUniform2dv = Function('glUniform2dv')
glUniform2dv.add( Input( 'value','const GLdouble *' ,size = 'count * 2' ))
glUniform2dv.version = '4.0'
regal_gl.add(glUniform2dv)

glUniform3d = Function('glUniform3d')
glUniform3d.version = '4.0'
regal_gl.add(glUniform3d)

glUniform3dv = Function('glUniform3dv')
glUniform3dv.add( Input( 'value','const GLdouble *' ,size = 'count * 3' ))
glUniform3dv.version = '4.0'
regal_gl.add(glUniform3dv)

glUniform4d = Function('glUniform4d')
glUniform4d.version = '4.0'
regal_gl.add(glUniform4d)

glUniform4dv = Function('glUniform4dv')
glUniform4dv.add( Input( 'value','const GLdouble *' ,size = 'count * 4' ))
glUniform4dv.version = '4.0'
regal_gl.add(glUniform4dv)

glUniformMatrix2dv = Function('glUniformMatrix2dv')
glUniformMatrix2dv.add( Input( 'value','const GLdouble *' ,size = '2 * 2 * count' ))
glUniformMatrix2dv.version = '4.0'
regal_gl.add(glUniformMatrix2dv)

glUniformMatrix2x3dv = Function('glUniformMatrix2x3dv')
glUniformMatrix2x3dv.add( Input( 'value','const GLdouble *' ,size = '2 * 3 * count' ))
glUniformMatrix2x3dv.version = '4.0'
regal_gl.add(glUniformMatrix2x3dv)

glUniformMatrix2x4dv = Function('glUniformMatrix2x4dv')
glUniformMatrix2x4dv.add( Input( 'value','const GLdouble *' ,size = '2 * 4 * count' ))
glUniformMatrix2x4dv.version = '4.0'
regal_gl.add(glUniformMatrix2x4dv)

glUniformMatrix3dv = Function('glUniformMatrix3dv')
glUniformMatrix3dv.add( Input( 'value','const GLdouble *' ,size = '3 * 3 * count' ))
glUniformMatrix3dv.version = '4.0'
regal_gl.add(glUniformMatrix3dv)

glUniformMatrix3x2dv = Function('glUniformMatrix3x2dv')
glUniformMatrix3x2dv.add( Input( 'value','const GLdouble *' ,size = '3 * 2 * count' ))
glUniformMatrix3x2dv.version = '4.0'
regal_gl.add(glUniformMatrix3x2dv)

glUniformMatrix3x4dv = Function('glUniformMatrix3x4dv')
glUniformMatrix3x4dv.add( Input( 'value','const GLdouble *' ,size = '3 * 4 * count' ))
glUniformMatrix3x4dv.version = '4.0'
regal_gl.add(glUniformMatrix3x4dv)

glUniformMatrix4dv = Function('glUniformMatrix4dv')
glUniformMatrix4dv.add( Input( 'value','const GLdouble *' ,size = '4 * 4 * count' ))
glUniformMatrix4dv.version = '4.0'
regal_gl.add(glUniformMatrix4dv)

glUniformMatrix4x2dv = Function('glUniformMatrix4x2dv')
glUniformMatrix4x2dv.add( Input( 'value','const GLdouble *' ,size = '4 * 2 * count' ))
glUniformMatrix4x2dv.version = '4.0'
regal_gl.add(glUniformMatrix4x2dv)

glUniformMatrix4x3dv = Function('glUniformMatrix4x3dv')
glUniformMatrix4x3dv.add( Input( 'value','const GLdouble *' ,size = '4 * 3 * count' ))
glUniformMatrix4x3dv.version = '4.0'
regal_gl.add(glUniformMatrix4x3dv)

glColorSubTable = Function('glColorSubTable')
glColorSubTable.add( Input( 'data','const GLvoid *' ))
glColorSubTable.version = '1.2'
regal_gl.add(glColorSubTable)

glColorTable = Function('glColorTable')
glColorTable.add( Input( 'table','const GLvoid *' ))
glColorTable.version = '1.2'
regal_gl.add(glColorTable)

glColorTableParameterfv = Function('glColorTableParameterfv')
glColorTableParameterfv.add( Input( 'params','const GLfloat *' ))
glColorTableParameterfv.version = '1.2'
regal_gl.add(glColorTableParameterfv)

glColorTableParameteriv = Function('glColorTableParameteriv')
glColorTableParameteriv.add( Input( 'params','const GLint *' ))
glColorTableParameteriv.version = '1.2'
regal_gl.add(glColorTableParameteriv)

glConvolutionFilter1D = Function('glConvolutionFilter1D')
glConvolutionFilter1D.add( Input( 'image','const GLvoid *' ))
glConvolutionFilter1D.version = '1.2'
regal_gl.add(glConvolutionFilter1D)

glConvolutionFilter2D = Function('glConvolutionFilter2D')
glConvolutionFilter2D.add( Input( 'image','const GLvoid *' ))
glConvolutionFilter2D.version = '1.2'
regal_gl.add(glConvolutionFilter2D)

glConvolutionParameterf = Function('glConvolutionParameterf')
glConvolutionParameterf.version = '1.2'
regal_gl.add(glConvolutionParameterf)

glConvolutionParameterfv = Function('glConvolutionParameterfv')
glConvolutionParameterfv.add( Input( 'params','const GLfloat *' ))
glConvolutionParameterfv.version = '1.2'
regal_gl.add(glConvolutionParameterfv)

glConvolutionParameteri = Function('glConvolutionParameteri')
glConvolutionParameteri.version = '1.2'
regal_gl.add(glConvolutionParameteri)

glConvolutionParameteriv = Function('glConvolutionParameteriv')
glConvolutionParameteriv.add( Input( 'params','const GLint *' ))
glConvolutionParameteriv.version = '1.2'
regal_gl.add(glConvolutionParameteriv)

glCopyColorSubTable = Function('glCopyColorSubTable')
glCopyColorSubTable.version = '1.2'
regal_gl.add(glCopyColorSubTable)

glCopyColorTable = Function('glCopyColorTable')
glCopyColorTable.version = '1.2'
regal_gl.add(glCopyColorTable)

glCopyConvolutionFilter1D = Function('glCopyConvolutionFilter1D')
glCopyConvolutionFilter1D.version = '1.2'
regal_gl.add(glCopyConvolutionFilter1D)

glCopyConvolutionFilter2D = Function('glCopyConvolutionFilter2D')
glCopyConvolutionFilter2D.version = '1.2'
regal_gl.add(glCopyConvolutionFilter2D)

glGetColorTable = Function('glGetColorTable')
glGetColorTable.add( Output( 'table','GLvoid *' ))
glGetColorTable.version = '1.2'
regal_gl.add(glGetColorTable)

glGetColorTableParameterfv = Function('glGetColorTableParameterfv')
glGetColorTableParameterfv.add( Output( 'params','GLfloat *' ))
glGetColorTableParameterfv.version = '1.2'
regal_gl.add(glGetColorTableParameterfv)

glGetColorTableParameteriv = Function('glGetColorTableParameteriv')
glGetColorTableParameteriv.add( Output( 'params','GLint *' ))
glGetColorTableParameteriv.version = '1.2'
regal_gl.add(glGetColorTableParameteriv)

glGetConvolutionFilter = Function('glGetConvolutionFilter')
glGetConvolutionFilter.add( Output( 'image','GLvoid *' ))
glGetConvolutionFilter.version = '1.2'
glGetConvolutionFilter.play = False
regal_gl.add(glGetConvolutionFilter)

glGetConvolutionParameterfv = Function('glGetConvolutionParameterfv')
glGetConvolutionParameterfv.add( Output( 'params','GLfloat *' ))
glGetConvolutionParameterfv.version = '1.2'
glGetConvolutionParameterfv.play = False
regal_gl.add(glGetConvolutionParameterfv)

glGetConvolutionParameteriv = Function('glGetConvolutionParameteriv')
glGetConvolutionParameteriv.add( Output( 'params','GLint *' ))
glGetConvolutionParameteriv.version = '1.2'
glGetConvolutionParameteriv.play = False
regal_gl.add(glGetConvolutionParameteriv)

glGetHistogram = Function('glGetHistogram')
glGetHistogram.add( Output( 'values','GLvoid *' ))
glGetHistogram.version = '1.2'
glGetHistogram.play = False
regal_gl.add(glGetHistogram)

glGetHistogramParameterfv = Function('glGetHistogramParameterfv')
glGetHistogramParameterfv.add( Output( 'params','GLfloat *' ))
glGetHistogramParameterfv.version = '1.2'
glGetHistogramParameterfv.play = False
regal_gl.add(glGetHistogramParameterfv)

glGetHistogramParameteriv = Function('glGetHistogramParameteriv')
glGetHistogramParameteriv.add( Output( 'params','GLint *' ))
glGetHistogramParameteriv.version = '1.2'
glGetHistogramParameteriv.play = False
regal_gl.add(glGetHistogramParameteriv)

glGetMinmax = Function('glGetMinmax')
glGetMinmax.add( Output( 'values','GLvoid *' ))
glGetMinmax.version = '1.2'
glGetMinmax.play = False
regal_gl.add(glGetMinmax)

glGetMinmaxParameterfv = Function('glGetMinmaxParameterfv')
glGetMinmaxParameterfv.add( Output( 'params','GLfloat *' ))
glGetMinmaxParameterfv.version = '1.2'
glGetMinmaxParameterfv.play = False
regal_gl.add(glGetMinmaxParameterfv)

glGetMinmaxParameteriv = Function('glGetMinmaxParameteriv')
glGetMinmaxParameteriv.add( Output( 'params','GLint *' ))
glGetMinmaxParameteriv.version = '1.2'
glGetMinmaxParameteriv.play = False
regal_gl.add(glGetMinmaxParameteriv)

glGetSeparableFilter = Function('glGetSeparableFilter')
glGetSeparableFilter.add( Output( 'row','GLvoid *' ))
glGetSeparableFilter.add( Output( 'column','GLvoid *' ))
glGetSeparableFilter.add( Output( 'span','GLvoid *' ))
glGetSeparableFilter.version = '1.2'
glGetSeparableFilter.play = False
regal_gl.add(glGetSeparableFilter)

glHistogram = Function('glHistogram')
glHistogram.version = '1.2'
regal_gl.add(glHistogram)

glMinmax = Function('glMinmax')
glMinmax.version = '1.2'
regal_gl.add(glMinmax)

glResetHistogram = Function('glResetHistogram')
glResetHistogram.version = '1.2'
regal_gl.add(glResetHistogram)

glResetMinmax = Function('glResetMinmax')
glResetMinmax.version = '1.2'
regal_gl.add(glResetMinmax)

glSeparableFilter2D = Function('glSeparableFilter2D')
glSeparableFilter2D.add( Input( 'row','const GLvoid *' ))
glSeparableFilter2D.add( Input( 'column','const GLvoid *' ))
glSeparableFilter2D.version = '1.2'
regal_gl.add(glSeparableFilter2D)

glMultiDrawArraysIndirectCountARB = Function('glMultiDrawArraysIndirectCountARB')
glMultiDrawArraysIndirectCountARB.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMultiDrawArraysIndirectCountARB.add( Input( 'indirect','const GLvoid *' ))
regal_gl.add(glMultiDrawArraysIndirectCountARB)

glMultiDrawElementsIndirectCountARB = Function('glMultiDrawElementsIndirectCountARB')
glMultiDrawElementsIndirectCountARB.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMultiDrawElementsIndirectCountARB.add( Input( 'indirect','const GLvoid *' ))
regal_gl.add(glMultiDrawElementsIndirectCountARB)

glVertexAttribDivisorARB = Function('glVertexAttribDivisorARB')
glVertexAttribDivisorARB.version = '3.3'
regal_gl.add(glVertexAttribDivisorARB)

glGetInternalformativ = Function('glGetInternalformativ')
glGetInternalformativ.add( Input( 'params','GLint *' ))
regal_gl.add(glGetInternalformativ)

glGetInternalformati64v = Function('glGetInternalformati64v')
glGetInternalformati64v.add( Input( 'params','GLint64 *' ))
regal_gl.add(glGetInternalformati64v)

glInvalidateBufferData = Function('glInvalidateBufferData')
regal_gl.add(glInvalidateBufferData)

glInvalidateBufferSubData = Function('glInvalidateBufferSubData')
regal_gl.add(glInvalidateBufferSubData)

glInvalidateFramebuffer = Function('glInvalidateFramebuffer')
glInvalidateFramebuffer.add( Input( 'attachments','const GLenum *' ))
regal_gl.add(glInvalidateFramebuffer)

glInvalidateSubFramebuffer = Function('glInvalidateSubFramebuffer')
glInvalidateSubFramebuffer.add( Input( 'attachments','const GLenum *' ))
regal_gl.add(glInvalidateSubFramebuffer)

glInvalidateTexImage = Function('glInvalidateTexImage')
regal_gl.add(glInvalidateTexImage)

glInvalidateTexSubImage = Function('glInvalidateTexSubImage')
regal_gl.add(glInvalidateTexSubImage)

glFlushMappedBufferRange = Function('glFlushMappedBufferRange')
glFlushMappedBufferRange.version = '3.0'
regal_gl.add(glFlushMappedBufferRange)

glMapBufferRange = Function('glMapBufferRange')
glMapBufferRange.add( Input( 'access','GLbitfield' ,regalLog = 'GLmapBufferRangeToString(access)' ))
glMapBufferRange.version = '3.0'
regal_gl.add(glMapBufferRange)

glCurrentPaletteMatrixARB = Function('glCurrentPaletteMatrixARB')
glCurrentPaletteMatrixARB.version = '1.1'
regal_gl.add(glCurrentPaletteMatrixARB)

glMatrixIndexPointerARB = Function('glMatrixIndexPointerARB')
glMatrixIndexPointerARB.add( Input( 'pointer','const GLvoid *' ))
glMatrixIndexPointerARB.version = '1.1'
regal_gl.add(glMatrixIndexPointerARB)

glMatrixIndexubvARB = Function('glMatrixIndexubvARB')
glMatrixIndexubvARB.add( Input( 'indices','const GLubyte *' ))
glMatrixIndexubvARB.version = '1.1'
glMatrixIndexubvARB.play = False
regal_gl.add(glMatrixIndexubvARB)

glMatrixIndexuivARB = Function('glMatrixIndexuivARB')
glMatrixIndexuivARB.add( Input( 'indices','const GLuint *' ))
glMatrixIndexuivARB.version = '1.1'
regal_gl.add(glMatrixIndexuivARB)

glMatrixIndexusvARB = Function('glMatrixIndexusvARB')
glMatrixIndexusvARB.add( Input( 'indices','const GLushort *' ))
glMatrixIndexusvARB.version = '1.1'
regal_gl.add(glMatrixIndexusvARB)

glBindBuffersBase = Function('glBindBuffersBase')
glBindBuffersBase.add( Input( 'buffers','const GLuint *' ))
glBindBuffersBase.version = '4.4'
regal_gl.add(glBindBuffersBase)

glBindBuffersRange = Function('glBindBuffersRange')
glBindBuffersRange.add( Input( 'buffers','const GLuint *' ))
glBindBuffersRange.add( Input( 'offsets','const GLintptr *' ))
glBindBuffersRange.add( Input( 'sizes','const GLsizeiptr *' ))
glBindBuffersRange.version = '4.4'
regal_gl.add(glBindBuffersRange)

glBindImageTextures = Function('glBindImageTextures')
glBindImageTextures.add( Input( 'textures','const GLuint *' ))
glBindImageTextures.version = '4.4'
regal_gl.add(glBindImageTextures)

glBindSamplers = Function('glBindSamplers')
glBindSamplers.add( Input( 'samplers','const GLuint *' ))
glBindSamplers.version = '4.4'
regal_gl.add(glBindSamplers)

glBindTextures = Function('glBindTextures')
glBindTextures.add( Input( 'textures','const GLuint *' ))
glBindTextures.version = '4.4'
regal_gl.add(glBindTextures)

glBindVertexBuffers = Function('glBindVertexBuffers')
glBindVertexBuffers.add( Input( 'buffers','const GLuint *' ))
glBindVertexBuffers.add( Input( 'offsets','const GLintptr *' ))
glBindVertexBuffers.add( Input( 'strides','const GLsizei *' ))
glBindVertexBuffers.version = '4.4'
regal_gl.add(glBindVertexBuffers)

glMultiDrawArraysIndirect = Function('glMultiDrawArraysIndirect')
glMultiDrawArraysIndirect.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMultiDrawArraysIndirect.add( Input( 'indirect','const GLvoid *' ))
regal_gl.add(glMultiDrawArraysIndirect)

glMultiDrawElementsIndirect = Function('glMultiDrawElementsIndirect')
glMultiDrawElementsIndirect.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMultiDrawElementsIndirect.add( Input( 'indirect','const GLvoid *' ))
regal_gl.add(glMultiDrawElementsIndirect)

glSampleCoverageARB = Function('glSampleCoverageARB')
glSampleCoverageARB.version = '1.2'
regal_gl.add(glSampleCoverageARB)

glActiveTextureARB = Function('glActiveTextureARB')
glActiveTextureARB.version = '1.2'
regal_gl.add(glActiveTextureARB)

glClientActiveTextureARB = Function('glClientActiveTextureARB')
glClientActiveTextureARB.version = '1.2'
regal_gl.add(glClientActiveTextureARB)

glMultiTexCoord1dARB = Function('glMultiTexCoord1dARB')
glMultiTexCoord1dARB.version = '1.2'
regal_gl.add(glMultiTexCoord1dARB)

glMultiTexCoord1dvARB = Function('glMultiTexCoord1dvARB')
glMultiTexCoord1dvARB.add( Input( 'v','const GLdouble *' ,size = 1 ))
glMultiTexCoord1dvARB.version = '1.2'
regal_gl.add(glMultiTexCoord1dvARB)

glMultiTexCoord1fARB = Function('glMultiTexCoord1fARB')
glMultiTexCoord1fARB.version = '1.2'
regal_gl.add(glMultiTexCoord1fARB)

glMultiTexCoord1fvARB = Function('glMultiTexCoord1fvARB')
glMultiTexCoord1fvARB.add( Input( 'v','const GLfloat *' ,size = 1 ))
glMultiTexCoord1fvARB.version = '1.2'
regal_gl.add(glMultiTexCoord1fvARB)

glMultiTexCoord1iARB = Function('glMultiTexCoord1iARB')
glMultiTexCoord1iARB.version = '1.2'
regal_gl.add(glMultiTexCoord1iARB)

glMultiTexCoord1ivARB = Function('glMultiTexCoord1ivARB')
glMultiTexCoord1ivARB.add( Input( 'v','const GLint *' ,size = 1 ))
glMultiTexCoord1ivARB.version = '1.2'
regal_gl.add(glMultiTexCoord1ivARB)

glMultiTexCoord1sARB = Function('glMultiTexCoord1sARB')
glMultiTexCoord1sARB.version = '1.2'
regal_gl.add(glMultiTexCoord1sARB)

glMultiTexCoord1svARB = Function('glMultiTexCoord1svARB')
glMultiTexCoord1svARB.add( Input( 'v','const GLshort *' ,size = 1 ))
glMultiTexCoord1svARB.version = '1.2'
regal_gl.add(glMultiTexCoord1svARB)

glMultiTexCoord2dARB = Function('glMultiTexCoord2dARB')
glMultiTexCoord2dARB.version = '1.2'
regal_gl.add(glMultiTexCoord2dARB)

glMultiTexCoord2dvARB = Function('glMultiTexCoord2dvARB')
glMultiTexCoord2dvARB.add( Input( 'v','const GLdouble *' ,size = 2 ))
glMultiTexCoord2dvARB.version = '1.2'
regal_gl.add(glMultiTexCoord2dvARB)

glMultiTexCoord2fARB = Function('glMultiTexCoord2fARB')
glMultiTexCoord2fARB.version = '1.2'
regal_gl.add(glMultiTexCoord2fARB)

glMultiTexCoord2fvARB = Function('glMultiTexCoord2fvARB')
glMultiTexCoord2fvARB.add( Input( 'v','const GLfloat *' ,size = 2 ))
glMultiTexCoord2fvARB.version = '1.2'
regal_gl.add(glMultiTexCoord2fvARB)

glMultiTexCoord2iARB = Function('glMultiTexCoord2iARB')
glMultiTexCoord2iARB.version = '1.2'
regal_gl.add(glMultiTexCoord2iARB)

glMultiTexCoord2ivARB = Function('glMultiTexCoord2ivARB')
glMultiTexCoord2ivARB.add( Input( 'v','const GLint *' ,size = 2 ))
glMultiTexCoord2ivARB.version = '1.2'
regal_gl.add(glMultiTexCoord2ivARB)

glMultiTexCoord2sARB = Function('glMultiTexCoord2sARB')
glMultiTexCoord2sARB.version = '1.2'
regal_gl.add(glMultiTexCoord2sARB)

glMultiTexCoord2svARB = Function('glMultiTexCoord2svARB')
glMultiTexCoord2svARB.add( Input( 'v','const GLshort *' ,size = 2 ))
glMultiTexCoord2svARB.version = '1.2'
regal_gl.add(glMultiTexCoord2svARB)

glMultiTexCoord3dARB = Function('glMultiTexCoord3dARB')
glMultiTexCoord3dARB.version = '1.2'
regal_gl.add(glMultiTexCoord3dARB)

glMultiTexCoord3dvARB = Function('glMultiTexCoord3dvARB')
glMultiTexCoord3dvARB.add( Input( 'v','const GLdouble *' ,size = 3 ))
glMultiTexCoord3dvARB.version = '1.2'
regal_gl.add(glMultiTexCoord3dvARB)

glMultiTexCoord3fARB = Function('glMultiTexCoord3fARB')
glMultiTexCoord3fARB.version = '1.2'
regal_gl.add(glMultiTexCoord3fARB)

glMultiTexCoord3fvARB = Function('glMultiTexCoord3fvARB')
glMultiTexCoord3fvARB.add( Input( 'v','const GLfloat *' ,size = 3 ))
glMultiTexCoord3fvARB.version = '1.2'
regal_gl.add(glMultiTexCoord3fvARB)

glMultiTexCoord3iARB = Function('glMultiTexCoord3iARB')
glMultiTexCoord3iARB.version = '1.2'
regal_gl.add(glMultiTexCoord3iARB)

glMultiTexCoord3ivARB = Function('glMultiTexCoord3ivARB')
glMultiTexCoord3ivARB.add( Input( 'v','const GLint *' ,size = 3 ))
glMultiTexCoord3ivARB.version = '1.2'
regal_gl.add(glMultiTexCoord3ivARB)

glMultiTexCoord3sARB = Function('glMultiTexCoord3sARB')
glMultiTexCoord3sARB.version = '1.2'
regal_gl.add(glMultiTexCoord3sARB)

glMultiTexCoord3svARB = Function('glMultiTexCoord3svARB')
glMultiTexCoord3svARB.add( Input( 'v','const GLshort *' ,size = 3 ))
glMultiTexCoord3svARB.version = '1.2'
regal_gl.add(glMultiTexCoord3svARB)

glMultiTexCoord4dARB = Function('glMultiTexCoord4dARB')
glMultiTexCoord4dARB.version = '1.2'
regal_gl.add(glMultiTexCoord4dARB)

glMultiTexCoord4dvARB = Function('glMultiTexCoord4dvARB')
glMultiTexCoord4dvARB.add( Input( 'v','const GLdouble *' ,size = 4 ))
glMultiTexCoord4dvARB.version = '1.2'
regal_gl.add(glMultiTexCoord4dvARB)

glMultiTexCoord4fARB = Function('glMultiTexCoord4fARB')
glMultiTexCoord4fARB.version = '1.2'
regal_gl.add(glMultiTexCoord4fARB)

glMultiTexCoord4fvARB = Function('glMultiTexCoord4fvARB')
glMultiTexCoord4fvARB.add( Input( 'v','const GLfloat *' ,size = 4 ))
glMultiTexCoord4fvARB.version = '1.2'
regal_gl.add(glMultiTexCoord4fvARB)

glMultiTexCoord4iARB = Function('glMultiTexCoord4iARB')
glMultiTexCoord4iARB.version = '1.2'
regal_gl.add(glMultiTexCoord4iARB)

glMultiTexCoord4ivARB = Function('glMultiTexCoord4ivARB')
glMultiTexCoord4ivARB.add( Input( 'v','const GLint *' ,size = 4 ))
glMultiTexCoord4ivARB.version = '1.2'
regal_gl.add(glMultiTexCoord4ivARB)

glMultiTexCoord4sARB = Function('glMultiTexCoord4sARB')
glMultiTexCoord4sARB.version = '1.2'
regal_gl.add(glMultiTexCoord4sARB)

glMultiTexCoord4svARB = Function('glMultiTexCoord4svARB')
glMultiTexCoord4svARB.add( Input( 'v','const GLshort *' ,size = 4 ))
glMultiTexCoord4svARB.version = '1.2'
regal_gl.add(glMultiTexCoord4svARB)

glBeginQueryARB = Function('glBeginQueryARB')
glBeginQueryARB.version = '1.2'
regal_gl.add(glBeginQueryARB)

glDeleteQueriesARB = Function('glDeleteQueriesARB')
glDeleteQueriesARB.add( Input( 'ids','const GLuint *' ,size = 'n' ))
glDeleteQueriesARB.version = '1.2'
regal_gl.add(glDeleteQueriesARB)

glEndQueryARB = Function('glEndQueryARB')
glEndQueryARB.version = '1.2'
regal_gl.add(glEndQueryARB)

glGenQueriesARB = Function('glGenQueriesARB')
glGenQueriesARB.add( Output( 'ids','GLuint *' ,size = 'n' ))
glGenQueriesARB.version = '1.2'
regal_gl.add(glGenQueriesARB)

glGetQueryObjectivARB = Function('glGetQueryObjectivARB')
glGetQueryObjectivARB.add( Output( 'params','GLint *' ))
glGetQueryObjectivARB.version = '1.2'
glGetQueryObjectivARB.play = False
regal_gl.add(glGetQueryObjectivARB)

glGetQueryObjectuivARB = Function('glGetQueryObjectuivARB')
glGetQueryObjectuivARB.add( Output( 'params','GLuint *' ))
glGetQueryObjectuivARB.version = '1.2'
glGetQueryObjectuivARB.play = False
regal_gl.add(glGetQueryObjectuivARB)

glGetQueryivARB = Function('glGetQueryivARB')
glGetQueryivARB.add( Output( 'params','GLint *' ))
glGetQueryivARB.version = '1.2'
glGetQueryivARB.play = False
regal_gl.add(glGetQueryivARB)

glIsQueryARB = Function('glIsQueryARB')
glIsQueryARB.version = '1.2'
regal_gl.add(glIsQueryARB)

glPointParameterfARB = Function('glPointParameterfARB')
glPointParameterfARB.version = '1.1'
regal_gl.add(glPointParameterfARB)

glPointParameterfvARB = Function('glPointParameterfvARB')
glPointParameterfvARB.add( Input( 'params','const GLfloat *' ))
glPointParameterfvARB.version = '1.1'
regal_gl.add(glPointParameterfvARB)

glGetProgramInterfaceiv = Function('glGetProgramInterfaceiv')
glGetProgramInterfaceiv.add( Input( 'params','GLint *' ))
regal_gl.add(glGetProgramInterfaceiv)

glGetProgramResourceIndex = Function('glGetProgramResourceIndex')
glGetProgramResourceIndex.add( Input( 'name','const GLchar *' ))
regal_gl.add(glGetProgramResourceIndex)

glGetProgramResourceLocation = Function('glGetProgramResourceLocation')
glGetProgramResourceLocation.add( Input( 'name','const GLchar *' ))
regal_gl.add(glGetProgramResourceLocation)

glGetProgramResourceLocationIndex = Function('glGetProgramResourceLocationIndex')
glGetProgramResourceLocationIndex.add( Input( 'name','const GLchar *' ))
regal_gl.add(glGetProgramResourceLocationIndex)

glGetProgramResourceName = Function('glGetProgramResourceName')
glGetProgramResourceName.add( Input( 'length','GLsizei *' ))
glGetProgramResourceName.add( Input( 'name','GLchar *' ))
regal_gl.add(glGetProgramResourceName)

glGetProgramResourceiv = Function('glGetProgramResourceiv')
glGetProgramResourceiv.add( Input( 'props','const GLenum *' ))
glGetProgramResourceiv.add( Input( 'length','GLsizei *' ))
glGetProgramResourceiv.add( Input( 'params','GLint *' ))
regal_gl.add(glGetProgramResourceiv)

glProvokingVertex = Function('glProvokingVertex')
glProvokingVertex.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glProvokingVertex.version = '3.2'
regal_gl.add(glProvokingVertex)

glGetGraphicsResetStatusARB = Function('glGetGraphicsResetStatusARB')
glGetGraphicsResetStatusARB.version = '4.1'
regal_gl.add(glGetGraphicsResetStatusARB)

glGetnColorTableARB = Function('glGetnColorTableARB')
glGetnColorTableARB.add( Output( 'table','GLvoid *' ))
glGetnColorTableARB.version = '4.1'
regal_gl.add(glGetnColorTableARB)

glGetnCompressedTexImageARB = Function('glGetnCompressedTexImageARB')
glGetnCompressedTexImageARB.add( Output( 'img','GLvoid *' ))
glGetnCompressedTexImageARB.version = '4.1'
regal_gl.add(glGetnCompressedTexImageARB)

glGetnConvolutionFilterARB = Function('glGetnConvolutionFilterARB')
glGetnConvolutionFilterARB.add( Output( 'image','GLvoid *' ))
glGetnConvolutionFilterARB.version = '4.1'
regal_gl.add(glGetnConvolutionFilterARB)

glGetnHistogramARB = Function('glGetnHistogramARB')
glGetnHistogramARB.add( Output( 'values','GLvoid *' ))
glGetnHistogramARB.version = '4.1'
regal_gl.add(glGetnHistogramARB)

glGetnMapdvARB = Function('glGetnMapdvARB')
glGetnMapdvARB.add( Output( 'v','GLdouble *' ))
glGetnMapdvARB.version = '4.1'
regal_gl.add(glGetnMapdvARB)

glGetnMapfvARB = Function('glGetnMapfvARB')
glGetnMapfvARB.add( Output( 'v','GLfloat *' ))
glGetnMapfvARB.version = '4.1'
regal_gl.add(glGetnMapfvARB)

glGetnMapivARB = Function('glGetnMapivARB')
glGetnMapivARB.add( Output( 'v','GLint *' ))
glGetnMapivARB.version = '4.1'
regal_gl.add(glGetnMapivARB)

glGetnMinmaxARB = Function('glGetnMinmaxARB')
glGetnMinmaxARB.add( Output( 'values','GLvoid *' ))
glGetnMinmaxARB.version = '4.1'
regal_gl.add(glGetnMinmaxARB)

glGetnPixelMapfvARB = Function('glGetnPixelMapfvARB')
glGetnPixelMapfvARB.add( Output( 'values','GLfloat *' ))
glGetnPixelMapfvARB.version = '4.1'
regal_gl.add(glGetnPixelMapfvARB)

glGetnPixelMapuivARB = Function('glGetnPixelMapuivARB')
glGetnPixelMapuivARB.add( Output( 'values','GLuint *' ))
glGetnPixelMapuivARB.version = '4.1'
regal_gl.add(glGetnPixelMapuivARB)

glGetnPixelMapusvARB = Function('glGetnPixelMapusvARB')
glGetnPixelMapusvARB.add( Output( 'values','GLushort *' ))
glGetnPixelMapusvARB.version = '4.1'
regal_gl.add(glGetnPixelMapusvARB)

glGetnPolygonStippleARB = Function('glGetnPolygonStippleARB')
glGetnPolygonStippleARB.add( Output( 'pattern','GLubyte *' ))
glGetnPolygonStippleARB.version = '4.1'
glGetnPolygonStippleARB.play = False
regal_gl.add(glGetnPolygonStippleARB)

glGetnSeparableFilterARB = Function('glGetnSeparableFilterARB')
glGetnSeparableFilterARB.add( Output( 'row','GLvoid *' ))
glGetnSeparableFilterARB.add( Output( 'column','GLvoid *' ))
glGetnSeparableFilterARB.add( Input( 'span','GLvoid *' ))
glGetnSeparableFilterARB.version = '4.1'
regal_gl.add(glGetnSeparableFilterARB)

glGetnTexImageARB = Function('glGetnTexImageARB')
glGetnTexImageARB.add( Output( 'img','GLvoid *' ))
glGetnTexImageARB.version = '4.1'
regal_gl.add(glGetnTexImageARB)

glGetnUniformdvARB = Function('glGetnUniformdvARB')
glGetnUniformdvARB.add( Output( 'params','GLdouble *' ))
glGetnUniformdvARB.version = '4.1'
regal_gl.add(glGetnUniformdvARB)

glGetnUniformfvARB = Function('glGetnUniformfvARB')
glGetnUniformfvARB.add( Output( 'params','GLfloat *' ))
glGetnUniformfvARB.version = '4.1'
regal_gl.add(glGetnUniformfvARB)

glGetnUniformivARB = Function('glGetnUniformivARB')
glGetnUniformivARB.add( Output( 'params','GLint *' ))
glGetnUniformivARB.version = '4.1'
regal_gl.add(glGetnUniformivARB)

glGetnUniformuivARB = Function('glGetnUniformuivARB')
glGetnUniformuivARB.add( Output( 'params','GLuint *' ))
glGetnUniformuivARB.version = '4.1'
regal_gl.add(glGetnUniformuivARB)

glReadnPixelsARB = Function('glReadnPixelsARB')
glReadnPixelsARB.add( Output( 'data','GLvoid *' ))
glReadnPixelsARB.version = '4.1'
regal_gl.add(glReadnPixelsARB)

glMinSampleShading = Function('glMinSampleShading')
glMinSampleShading.version = '4.0'
regal_gl.add(glMinSampleShading)

glMinSampleShadingARB = Function('glMinSampleShadingARB')
glMinSampleShadingARB.version = '2.0'
regal_gl.add(glMinSampleShadingARB)

glBindSampler = Function('glBindSampler')
glBindSampler.version = '3.3'
regal_gl.add(glBindSampler)

glDeleteSamplers = Function('glDeleteSamplers')
glDeleteSamplers.add( Input( 'samplers','const GLuint *' ,size = 'count' ))
glDeleteSamplers.version = '3.3'
regal_gl.add(glDeleteSamplers)

glGenSamplers = Function('glGenSamplers')
glGenSamplers.add( Output( 'samplers','GLuint *' ,size = 'count' ))
glGenSamplers.version = '3.3'
regal_gl.add(glGenSamplers)

glGetSamplerParameterIiv = Function('glGetSamplerParameterIiv')
glGetSamplerParameterIiv.add( Output( 'params','GLint *' ,size = 'helperGLSamplerParametervSize(pname)' ))
glGetSamplerParameterIiv.version = '3.3'
regal_gl.add(glGetSamplerParameterIiv)

glGetSamplerParameterIuiv = Function('glGetSamplerParameterIuiv')
glGetSamplerParameterIuiv.add( Output( 'params','GLuint *' ,size = 'helperGLSamplerParametervSize(pname)' ))
glGetSamplerParameterIuiv.version = '3.3'
regal_gl.add(glGetSamplerParameterIuiv)

glGetSamplerParameterfv = Function('glGetSamplerParameterfv')
glGetSamplerParameterfv.add( Output( 'params','GLfloat *' ,size = 'helperGLSamplerParametervSize(pname)' ))
glGetSamplerParameterfv.version = '3.3'
regal_gl.add(glGetSamplerParameterfv)

glGetSamplerParameteriv = Function('glGetSamplerParameteriv')
glGetSamplerParameteriv.add( Output( 'params','GLint *' ,size = 'helperGLSamplerParametervSize(pname)' ))
glGetSamplerParameteriv.version = '3.3'
regal_gl.add(glGetSamplerParameteriv)

glIsSampler = Function('glIsSampler')
glIsSampler.version = '3.3'
regal_gl.add(glIsSampler)

glSamplerParameterIiv = Function('glSamplerParameterIiv')
glSamplerParameterIiv.add( Input( 'params','const GLint *' ,size = 'helperGLSamplerParametervSize(pname)' ,regalLog = 'GLTexParameterToString(pname,params)' ))
glSamplerParameterIiv.version = '3.3'
regal_gl.add(glSamplerParameterIiv)

glSamplerParameterIuiv = Function('glSamplerParameterIuiv')
glSamplerParameterIuiv.add( Input( 'params','const GLuint *' ,size = 'helperGLSamplerParametervSize(pname)' ,regalLog = 'GLTexParameterToString(pname,params)' ))
glSamplerParameterIuiv.version = '3.3'
regal_gl.add(glSamplerParameterIuiv)

glSamplerParameterf = Function('glSamplerParameterf')
glSamplerParameterf.add( Input( 'param','GLfloat' ,regalLog = 'GLTexParameterToString(pname,param)' ))
glSamplerParameterf.version = '3.3'
regal_gl.add(glSamplerParameterf)

glSamplerParameterfv = Function('glSamplerParameterfv')
glSamplerParameterfv.add( Input( 'params','const GLfloat *' ,size = 'helperGLSamplerParametervSize(pname)' ,regalLog = 'GLTexParameterToString(pname,params)' ))
glSamplerParameterfv.version = '3.3'
regal_gl.add(glSamplerParameterfv)

glSamplerParameteri = Function('glSamplerParameteri')
glSamplerParameteri.add( Input( 'param','GLint' ,regalLog = 'GLTexParameterToString(pname,param)' ))
glSamplerParameteri.version = '3.3'
regal_gl.add(glSamplerParameteri)

glSamplerParameteriv = Function('glSamplerParameteriv')
glSamplerParameteriv.add( Input( 'params','const GLint *' ,size = 'helperGLSamplerParametervSize(pname)' ,regalLog = 'GLTexParameterToString(pname,params)' ))
glSamplerParameteriv.version = '3.3'
regal_gl.add(glSamplerParameteriv)

glActiveShaderProgram = Function('glActiveShaderProgram')
glActiveShaderProgram.version = '4.1'
regal_gl.add(glActiveShaderProgram)

glBindProgramPipeline = Function('glBindProgramPipeline')
glBindProgramPipeline.version = '4.1'
regal_gl.add(glBindProgramPipeline)

glCreateShaderProgramv = Function('glCreateShaderProgramv')
glCreateShaderProgramv.add( Input( 'strings','const GLchar * const *' ,size = 'count' ))
glCreateShaderProgramv.version = '4.1'
regal_gl.add(glCreateShaderProgramv)

glDeleteProgramPipelines = Function('glDeleteProgramPipelines')
glDeleteProgramPipelines.add( Input( 'pipelines','const GLuint *' ,size = 'n' ))
glDeleteProgramPipelines.version = '4.1'
regal_gl.add(glDeleteProgramPipelines)

glGenProgramPipelines = Function('glGenProgramPipelines')
glGenProgramPipelines.add( Output( 'pipelines','GLuint *' ,size = 'n' ))
glGenProgramPipelines.version = '4.1'
regal_gl.add(glGenProgramPipelines)

glGetProgramPipelineInfoLog = Function('glGetProgramPipelineInfoLog')
glGetProgramPipelineInfoLog.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetProgramPipelineInfoLog.add( Output( 'infoLog','GLchar *' ,maxSize = 'bufSize' ))
glGetProgramPipelineInfoLog.version = '4.1'
regal_gl.add(glGetProgramPipelineInfoLog)

glGetProgramPipelineiv = Function('glGetProgramPipelineiv')
glGetProgramPipelineiv.add( Output( 'params','GLint *' ))
glGetProgramPipelineiv.version = '4.1'
regal_gl.add(glGetProgramPipelineiv)

glIsProgramPipeline = Function('glIsProgramPipeline')
glIsProgramPipeline.version = '4.1'
regal_gl.add(glIsProgramPipeline)

glProgramUniform1d = Function('glProgramUniform1d')
glProgramUniform1d.version = '4.1'
regal_gl.add(glProgramUniform1d)

glProgramUniform1dv = Function('glProgramUniform1dv')
glProgramUniform1dv.add( Input( 'value','const GLdouble *' ,size = 'count' ))
glProgramUniform1dv.version = '4.1'
regal_gl.add(glProgramUniform1dv)

glProgramUniform1f = Function('glProgramUniform1f')
glProgramUniform1f.version = '4.1'
regal_gl.add(glProgramUniform1f)

glProgramUniform1fv = Function('glProgramUniform1fv')
glProgramUniform1fv.add( Input( 'value','const GLfloat *' ,size = 'count' ))
glProgramUniform1fv.version = '4.1'
regal_gl.add(glProgramUniform1fv)

glProgramUniform1i = Function('glProgramUniform1i')
glProgramUniform1i.version = '4.1'
regal_gl.add(glProgramUniform1i)

glProgramUniform1iv = Function('glProgramUniform1iv')
glProgramUniform1iv.add( Input( 'value','const GLint *' ,size = 'count' ))
glProgramUniform1iv.version = '4.1'
regal_gl.add(glProgramUniform1iv)

glProgramUniform1ui = Function('glProgramUniform1ui')
glProgramUniform1ui.version = '4.1'
regal_gl.add(glProgramUniform1ui)

glProgramUniform1uiv = Function('glProgramUniform1uiv')
glProgramUniform1uiv.add( Input( 'value','const GLuint *' ,size = 'count' ))
glProgramUniform1uiv.version = '4.1'
regal_gl.add(glProgramUniform1uiv)

glProgramUniform2d = Function('glProgramUniform2d')
glProgramUniform2d.version = '4.1'
regal_gl.add(glProgramUniform2d)

glProgramUniform2dv = Function('glProgramUniform2dv')
glProgramUniform2dv.add( Input( 'value','const GLdouble *' ,size = 'count * 2' ))
glProgramUniform2dv.version = '4.1'
regal_gl.add(glProgramUniform2dv)

glProgramUniform2f = Function('glProgramUniform2f')
glProgramUniform2f.version = '4.1'
regal_gl.add(glProgramUniform2f)

glProgramUniform2fv = Function('glProgramUniform2fv')
glProgramUniform2fv.add( Input( 'value','const GLfloat *' ,size = 'count * 2' ))
glProgramUniform2fv.version = '4.1'
regal_gl.add(glProgramUniform2fv)

glProgramUniform2i = Function('glProgramUniform2i')
glProgramUniform2i.version = '4.1'
regal_gl.add(glProgramUniform2i)

glProgramUniform2iv = Function('glProgramUniform2iv')
glProgramUniform2iv.add( Input( 'value','const GLint *' ,size = 'count * 2' ))
glProgramUniform2iv.version = '4.1'
regal_gl.add(glProgramUniform2iv)

glProgramUniform2ui = Function('glProgramUniform2ui')
glProgramUniform2ui.version = '4.1'
regal_gl.add(glProgramUniform2ui)

glProgramUniform2uiv = Function('glProgramUniform2uiv')
glProgramUniform2uiv.add( Input( 'value','const GLuint *' ,size = 'count * 2' ))
glProgramUniform2uiv.version = '4.1'
regal_gl.add(glProgramUniform2uiv)

glProgramUniform3d = Function('glProgramUniform3d')
glProgramUniform3d.version = '4.1'
regal_gl.add(glProgramUniform3d)

glProgramUniform3dv = Function('glProgramUniform3dv')
glProgramUniform3dv.add( Input( 'value','const GLdouble *' ,size = 'count * 3' ))
glProgramUniform3dv.version = '4.1'
regal_gl.add(glProgramUniform3dv)

glProgramUniform3f = Function('glProgramUniform3f')
glProgramUniform3f.version = '4.1'
regal_gl.add(glProgramUniform3f)

glProgramUniform3fv = Function('glProgramUniform3fv')
glProgramUniform3fv.add( Input( 'value','const GLfloat *' ,size = 'count * 3' ))
glProgramUniform3fv.version = '4.1'
regal_gl.add(glProgramUniform3fv)

glProgramUniform3i = Function('glProgramUniform3i')
glProgramUniform3i.version = '4.1'
regal_gl.add(glProgramUniform3i)

glProgramUniform3iv = Function('glProgramUniform3iv')
glProgramUniform3iv.add( Input( 'value','const GLint *' ,size = 'count * 3' ))
glProgramUniform3iv.version = '4.1'
regal_gl.add(glProgramUniform3iv)

glProgramUniform3ui = Function('glProgramUniform3ui')
glProgramUniform3ui.version = '4.1'
regal_gl.add(glProgramUniform3ui)

glProgramUniform3uiv = Function('glProgramUniform3uiv')
glProgramUniform3uiv.add( Input( 'value','const GLuint *' ,size = 'count * 3' ))
glProgramUniform3uiv.version = '4.1'
regal_gl.add(glProgramUniform3uiv)

glProgramUniform4d = Function('glProgramUniform4d')
glProgramUniform4d.version = '4.1'
regal_gl.add(glProgramUniform4d)

glProgramUniform4dv = Function('glProgramUniform4dv')
glProgramUniform4dv.add( Input( 'value','const GLdouble *' ,size = 'count * 4' ))
glProgramUniform4dv.version = '4.1'
regal_gl.add(glProgramUniform4dv)

glProgramUniform4f = Function('glProgramUniform4f')
glProgramUniform4f.version = '4.1'
regal_gl.add(glProgramUniform4f)

glProgramUniform4fv = Function('glProgramUniform4fv')
glProgramUniform4fv.add( Input( 'value','const GLfloat *' ,size = 'count * 4' ))
glProgramUniform4fv.version = '4.1'
regal_gl.add(glProgramUniform4fv)

glProgramUniform4i = Function('glProgramUniform4i')
glProgramUniform4i.version = '4.1'
regal_gl.add(glProgramUniform4i)

glProgramUniform4iv = Function('glProgramUniform4iv')
glProgramUniform4iv.add( Input( 'value','const GLint *' ,size = 'count * 4' ))
glProgramUniform4iv.version = '4.1'
regal_gl.add(glProgramUniform4iv)

glProgramUniform4ui = Function('glProgramUniform4ui')
glProgramUniform4ui.version = '4.1'
regal_gl.add(glProgramUniform4ui)

glProgramUniform4uiv = Function('glProgramUniform4uiv')
glProgramUniform4uiv.add( Input( 'value','const GLuint *' ,size = 'count * 4' ))
glProgramUniform4uiv.version = '4.1'
regal_gl.add(glProgramUniform4uiv)

glProgramUniformMatrix2dv = Function('glProgramUniformMatrix2dv')
glProgramUniformMatrix2dv.add( Input( 'value','const GLdouble *' ,size = 'count * 4' ))
glProgramUniformMatrix2dv.version = '4.1'
regal_gl.add(glProgramUniformMatrix2dv)

glProgramUniformMatrix2fv = Function('glProgramUniformMatrix2fv')
glProgramUniformMatrix2fv.add( Input( 'value','const GLfloat *' ,size = 'count * 4' ))
glProgramUniformMatrix2fv.version = '4.1'
regal_gl.add(glProgramUniformMatrix2fv)

glProgramUniformMatrix2x3dv = Function('glProgramUniformMatrix2x3dv')
glProgramUniformMatrix2x3dv.add( Input( 'value','const GLdouble *' ,size = 'count * 6' ))
glProgramUniformMatrix2x3dv.version = '4.1'
regal_gl.add(glProgramUniformMatrix2x3dv)

glProgramUniformMatrix2x3fv = Function('glProgramUniformMatrix2x3fv')
glProgramUniformMatrix2x3fv.add( Input( 'value','const GLfloat *' ,size = 'count * 6' ))
glProgramUniformMatrix2x3fv.version = '4.1'
regal_gl.add(glProgramUniformMatrix2x3fv)

glProgramUniformMatrix2x4dv = Function('glProgramUniformMatrix2x4dv')
glProgramUniformMatrix2x4dv.add( Input( 'value','const GLdouble *' ,size = 'count * 8' ))
glProgramUniformMatrix2x4dv.version = '4.1'
regal_gl.add(glProgramUniformMatrix2x4dv)

glProgramUniformMatrix2x4fv = Function('glProgramUniformMatrix2x4fv')
glProgramUniformMatrix2x4fv.add( Input( 'value','const GLfloat *' ,size = 'count * 8' ))
glProgramUniformMatrix2x4fv.version = '4.1'
regal_gl.add(glProgramUniformMatrix2x4fv)

glProgramUniformMatrix3dv = Function('glProgramUniformMatrix3dv')
glProgramUniformMatrix3dv.add( Input( 'value','const GLdouble *' ,size = 'count * 9' ))
glProgramUniformMatrix3dv.version = '4.1'
regal_gl.add(glProgramUniformMatrix3dv)

glProgramUniformMatrix3fv = Function('glProgramUniformMatrix3fv')
glProgramUniformMatrix3fv.add( Input( 'value','const GLfloat *' ,size = 'count * 9' ))
glProgramUniformMatrix3fv.version = '4.1'
regal_gl.add(glProgramUniformMatrix3fv)

glProgramUniformMatrix3x2dv = Function('glProgramUniformMatrix3x2dv')
glProgramUniformMatrix3x2dv.add( Input( 'value','const GLdouble *' ,size = 'count * 6' ))
glProgramUniformMatrix3x2dv.version = '4.1'
regal_gl.add(glProgramUniformMatrix3x2dv)

glProgramUniformMatrix3x2fv = Function('glProgramUniformMatrix3x2fv')
glProgramUniformMatrix3x2fv.add( Input( 'value','const GLfloat *' ,size = 'count * 6' ))
glProgramUniformMatrix3x2fv.version = '4.1'
regal_gl.add(glProgramUniformMatrix3x2fv)

glProgramUniformMatrix3x4dv = Function('glProgramUniformMatrix3x4dv')
glProgramUniformMatrix3x4dv.add( Input( 'value','const GLdouble *' ,size = 'count * 12' ))
glProgramUniformMatrix3x4dv.version = '4.1'
regal_gl.add(glProgramUniformMatrix3x4dv)

glProgramUniformMatrix3x4fv = Function('glProgramUniformMatrix3x4fv')
glProgramUniformMatrix3x4fv.add( Input( 'value','const GLfloat *' ,size = 'count * 12' ))
glProgramUniformMatrix3x4fv.version = '4.1'
regal_gl.add(glProgramUniformMatrix3x4fv)

glProgramUniformMatrix4dv = Function('glProgramUniformMatrix4dv')
glProgramUniformMatrix4dv.add( Input( 'value','const GLdouble *' ,size = 'count * 16' ))
glProgramUniformMatrix4dv.version = '4.1'
regal_gl.add(glProgramUniformMatrix4dv)

glProgramUniformMatrix4fv = Function('glProgramUniformMatrix4fv')
glProgramUniformMatrix4fv.add( Input( 'value','const GLfloat *' ,size = 'count * 16' ))
glProgramUniformMatrix4fv.version = '4.1'
regal_gl.add(glProgramUniformMatrix4fv)

glProgramUniformMatrix4x2dv = Function('glProgramUniformMatrix4x2dv')
glProgramUniformMatrix4x2dv.add( Input( 'value','const GLdouble *' ,size = 'count * 8' ))
glProgramUniformMatrix4x2dv.version = '4.1'
regal_gl.add(glProgramUniformMatrix4x2dv)

glProgramUniformMatrix4x2fv = Function('glProgramUniformMatrix4x2fv')
glProgramUniformMatrix4x2fv.add( Input( 'value','const GLfloat *' ,size = 'count * 8' ))
glProgramUniformMatrix4x2fv.version = '4.1'
regal_gl.add(glProgramUniformMatrix4x2fv)

glProgramUniformMatrix4x3dv = Function('glProgramUniformMatrix4x3dv')
glProgramUniformMatrix4x3dv.add( Input( 'value','const GLdouble *' ,size = 'count * 12' ))
glProgramUniformMatrix4x3dv.version = '4.1'
regal_gl.add(glProgramUniformMatrix4x3dv)

glProgramUniformMatrix4x3fv = Function('glProgramUniformMatrix4x3fv')
glProgramUniformMatrix4x3fv.add( Input( 'value','const GLfloat *' ,size = 'count * 12' ))
glProgramUniformMatrix4x3fv.version = '4.1'
regal_gl.add(glProgramUniformMatrix4x3fv)

glUseProgramStages = Function('glUseProgramStages')
glUseProgramStages.add( Input( 'stages','GLbitfield' ,regalLog = 'GLuseProgramStagesToString(stages)' ))
glUseProgramStages.version = '4.1'
regal_gl.add(glUseProgramStages)

glValidateProgramPipeline = Function('glValidateProgramPipeline')
glValidateProgramPipeline.version = '4.1'
regal_gl.add(glValidateProgramPipeline)

glGetActiveAtomicCounterBufferiv = Function('glGetActiveAtomicCounterBufferiv')
glGetActiveAtomicCounterBufferiv.add( Input( 'params','GLint *' ))
regal_gl.add(glGetActiveAtomicCounterBufferiv)

glBindImageTexture = Function('glBindImageTexture')
regal_gl.add(glBindImageTexture)

glMemoryBarrier = Function('glMemoryBarrier')
glMemoryBarrier.add( Input( 'barriers','GLbitfield' ,regalLog = 'GLmemoryBarrierToString(barriers)' ))
regal_gl.add(glMemoryBarrier)

glAttachObjectARB = Function('glAttachObjectARB')
glAttachObjectARB.version = '1.1'
regal_gl.add(glAttachObjectARB)

glCompileShaderARB = Function('glCompileShaderARB')
glCompileShaderARB.version = '1.1'
regal_gl.add(glCompileShaderARB)

glCreateProgramObjectARB = Function('glCreateProgramObjectARB')
glCreateProgramObjectARB.version = '1.1'
regal_gl.add(glCreateProgramObjectARB)

glCreateShaderObjectARB = Function('glCreateShaderObjectARB')
glCreateShaderObjectARB.version = '1.1'
regal_gl.add(glCreateShaderObjectARB)

glDeleteObjectARB = Function('glDeleteObjectARB')
glDeleteObjectARB.version = '1.1'
regal_gl.add(glDeleteObjectARB)

glDetachObjectARB = Function('glDetachObjectARB')
glDetachObjectARB.version = '1.1'
regal_gl.add(glDetachObjectARB)

glGetActiveUniformARB = Function('glGetActiveUniformARB')
glGetActiveUniformARB.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetActiveUniformARB.add( Output( 'size','GLint *' ,size = 1 ))
glGetActiveUniformARB.add( Output( 'type','GLenum *' ,size = 1 ))
glGetActiveUniformARB.add( Output( 'name','GLcharARB *' ,maxSize = 'maxLength' ))
glGetActiveUniformARB.version = '1.1'
glGetActiveUniformARB.play = False
regal_gl.add(glGetActiveUniformARB)

glGetAttachedObjectsARB = Function('glGetAttachedObjectsARB')
glGetAttachedObjectsARB.add( Output( 'count','GLsizei *' ,size = 1 ))
glGetAttachedObjectsARB.add( Output( 'obj','GLhandleARB *' ))
glGetAttachedObjectsARB.version = '1.1'
glGetAttachedObjectsARB.play = False
regal_gl.add(glGetAttachedObjectsARB)

glGetHandleARB = Function('glGetHandleARB')
glGetHandleARB.version = '1.1'
regal_gl.add(glGetHandleARB)

glGetInfoLogARB = Function('glGetInfoLogARB')
glGetInfoLogARB.add( Output( 'length','GLsizei *' ,size = 'length ? 1 : 0' ))
glGetInfoLogARB.add( Output( 'infoLog','GLcharARB *' ,maxSize = 'maxLength' ))
glGetInfoLogARB.version = '1.1'
glGetInfoLogARB.play = False
regal_gl.add(glGetInfoLogARB)

glGetObjectParameterfvARB = Function('glGetObjectParameterfvARB')
glGetObjectParameterfvARB.add( Output( 'params','GLfloat *' ))
glGetObjectParameterfvARB.version = '1.1'
regal_gl.add(glGetObjectParameterfvARB)

glGetObjectParameterivARB = Function('glGetObjectParameterivARB')
glGetObjectParameterivARB.add( Output( 'params','GLint *' ))
glGetObjectParameterivARB.version = '1.1'
regal_gl.add(glGetObjectParameterivARB)

glGetShaderSourceARB = Function('glGetShaderSourceARB')
glGetShaderSourceARB.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetShaderSourceARB.add( Output( 'source','GLcharARB *' ,maxSize = 'maxLength' ))
glGetShaderSourceARB.version = '1.1'
glGetShaderSourceARB.play = False
regal_gl.add(glGetShaderSourceARB)

glGetUniformLocationARB = Function('glGetUniformLocationARB')
glGetUniformLocationARB.add( Input( 'name','const GLcharARB *' ))
glGetUniformLocationARB.version = '1.1'
glGetUniformLocationARB.play = False
regal_gl.add(glGetUniformLocationARB)

glGetUniformfvARB = Function('glGetUniformfvARB')
glGetUniformfvARB.add( Output( 'params','GLfloat *' ))
glGetUniformfvARB.version = '1.1'
glGetUniformfvARB.play = False
regal_gl.add(glGetUniformfvARB)

glGetUniformivARB = Function('glGetUniformivARB')
glGetUniformivARB.add( Output( 'params','GLint *' ))
glGetUniformivARB.version = '1.1'
glGetUniformivARB.play = False
regal_gl.add(glGetUniformivARB)

glLinkProgramARB = Function('glLinkProgramARB')
glLinkProgramARB.version = '1.1'
regal_gl.add(glLinkProgramARB)

glShaderSourceARB = Function('glShaderSourceARB')
glShaderSourceARB.add( Input( 'string','const GLcharARB ** const' ,size = 'string ? count : 0' ,cast = 'const char ** const' ))
glShaderSourceARB.add( Input( 'length','const GLint *' ,size = 'length ? count : 0' ))
glShaderSourceARB.version = '1.1'
glShaderSourceARB.play = False
regal_gl.add(glShaderSourceARB)

glUniform1fARB = Function('glUniform1fARB')
glUniform1fARB.version = '1.1'
regal_gl.add(glUniform1fARB)

glUniform1fvARB = Function('glUniform1fvARB')
glUniform1fvARB.add( Input( 'value','const GLfloat *' ))
glUniform1fvARB.version = '1.1'
regal_gl.add(glUniform1fvARB)

glUniform1iARB = Function('glUniform1iARB')
glUniform1iARB.version = '1.1'
regal_gl.add(glUniform1iARB)

glUniform1ivARB = Function('glUniform1ivARB')
glUniform1ivARB.add( Input( 'value','const GLint *' ))
glUniform1ivARB.version = '1.1'
regal_gl.add(glUniform1ivARB)

glUniform2fARB = Function('glUniform2fARB')
glUniform2fARB.version = '1.1'
regal_gl.add(glUniform2fARB)

glUniform2fvARB = Function('glUniform2fvARB')
glUniform2fvARB.add( Input( 'value','const GLfloat *' ))
glUniform2fvARB.version = '1.1'
regal_gl.add(glUniform2fvARB)

glUniform2iARB = Function('glUniform2iARB')
glUniform2iARB.version = '1.1'
regal_gl.add(glUniform2iARB)

glUniform2ivARB = Function('glUniform2ivARB')
glUniform2ivARB.add( Input( 'value','const GLint *' ))
glUniform2ivARB.version = '1.1'
regal_gl.add(glUniform2ivARB)

glUniform3fARB = Function('glUniform3fARB')
glUniform3fARB.version = '1.1'
regal_gl.add(glUniform3fARB)

glUniform3fvARB = Function('glUniform3fvARB')
glUniform3fvARB.add( Input( 'value','const GLfloat *' ))
glUniform3fvARB.version = '1.1'
regal_gl.add(glUniform3fvARB)

glUniform3iARB = Function('glUniform3iARB')
glUniform3iARB.version = '1.1'
regal_gl.add(glUniform3iARB)

glUniform3ivARB = Function('glUniform3ivARB')
glUniform3ivARB.add( Input( 'value','const GLint *' ))
glUniform3ivARB.version = '1.1'
regal_gl.add(glUniform3ivARB)

glUniform4fARB = Function('glUniform4fARB')
glUniform4fARB.version = '1.1'
regal_gl.add(glUniform4fARB)

glUniform4fvARB = Function('glUniform4fvARB')
glUniform4fvARB.add( Input( 'value','const GLfloat *' ))
glUniform4fvARB.version = '1.1'
regal_gl.add(glUniform4fvARB)

glUniform4iARB = Function('glUniform4iARB')
glUniform4iARB.version = '1.1'
regal_gl.add(glUniform4iARB)

glUniform4ivARB = Function('glUniform4ivARB')
glUniform4ivARB.add( Input( 'value','const GLint *' ))
glUniform4ivARB.version = '1.1'
regal_gl.add(glUniform4ivARB)

glUniformMatrix2fvARB = Function('glUniformMatrix2fvARB')
glUniformMatrix2fvARB.add( Input( 'value','const GLfloat *' ,size = '2 * 2 * count' ))
glUniformMatrix2fvARB.version = '1.1'
regal_gl.add(glUniformMatrix2fvARB)

glUniformMatrix3fvARB = Function('glUniformMatrix3fvARB')
glUniformMatrix3fvARB.add( Input( 'value','const GLfloat *' ,size = '3 * 3 * count' ))
glUniformMatrix3fvARB.version = '1.1'
regal_gl.add(glUniformMatrix3fvARB)

glUniformMatrix4fvARB = Function('glUniformMatrix4fvARB')
glUniformMatrix4fvARB.add( Input( 'value','const GLfloat *' ,size = '4 * 4 * count' ))
glUniformMatrix4fvARB.version = '1.1'
regal_gl.add(glUniformMatrix4fvARB)

glUseProgramObjectARB = Function('glUseProgramObjectARB')
glUseProgramObjectARB.version = '1.1'
regal_gl.add(glUseProgramObjectARB)

glValidateProgramARB = Function('glValidateProgramARB')
glValidateProgramARB.version = '1.1'
regal_gl.add(glValidateProgramARB)

glShaderStorageBlockBinding = Function('glShaderStorageBlockBinding')
regal_gl.add(glShaderStorageBlockBinding)

glGetActiveSubroutineName = Function('glGetActiveSubroutineName')
glGetActiveSubroutineName.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetActiveSubroutineName.add( Output( 'name','GLchar *' ,maxSize = 'bufSize' ))
glGetActiveSubroutineName.version = '4.0'
regal_gl.add(glGetActiveSubroutineName)

glGetActiveSubroutineUniformName = Function('glGetActiveSubroutineUniformName')
glGetActiveSubroutineUniformName.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetActiveSubroutineUniformName.add( Output( 'name','GLchar *' ,maxSize = 'bufSize' ))
glGetActiveSubroutineUniformName.version = '4.0'
regal_gl.add(glGetActiveSubroutineUniformName)

glGetActiveSubroutineUniformiv = Function('glGetActiveSubroutineUniformiv')
glGetActiveSubroutineUniformiv.add( Output( 'values','GLint *' ))
glGetActiveSubroutineUniformiv.version = '4.0'
regal_gl.add(glGetActiveSubroutineUniformiv)

glGetProgramStageiv = Function('glGetProgramStageiv')
glGetProgramStageiv.add( Output( 'values','GLint *' ,size = 1 ))
glGetProgramStageiv.version = '4.0'
regal_gl.add(glGetProgramStageiv)

glGetProgramSubroutineParameteruivNV = Function('glGetProgramSubroutineParameteruivNV')
glGetProgramSubroutineParameteruivNV.add( Output( 'params','GLuint *' ,size = 1 ))
glGetProgramSubroutineParameteruivNV.version = '4.0'
regal_gl.add(glGetProgramSubroutineParameteruivNV)

glGetSubroutineIndex = Function('glGetSubroutineIndex')
glGetSubroutineIndex.add( Input( 'name','const GLchar *' ))
glGetSubroutineIndex.version = '4.0'
regal_gl.add(glGetSubroutineIndex)

glGetSubroutineUniformLocation = Function('glGetSubroutineUniformLocation')
glGetSubroutineUniformLocation.add( Input( 'name','const GLchar *' ))
glGetSubroutineUniformLocation.version = '4.0'
regal_gl.add(glGetSubroutineUniformLocation)

glGetUniformSubroutineuiv = Function('glGetUniformSubroutineuiv')
glGetUniformSubroutineuiv.add( Output( 'params','GLuint *' ,size = 1 ))
glGetUniformSubroutineuiv.version = '4.0'
regal_gl.add(glGetUniformSubroutineuiv)

glProgramSubroutineParametersuivNV = Function('glProgramSubroutineParametersuivNV')
glProgramSubroutineParametersuivNV.add( Input( 'params','const GLuint *' ,size = 'count' ))
glProgramSubroutineParametersuivNV.version = '4.0'
regal_gl.add(glProgramSubroutineParametersuivNV)

glUniformSubroutinesuiv = Function('glUniformSubroutinesuiv')
glUniformSubroutinesuiv.add( Input( 'indices','const GLuint *' ,size = 'count' ))
glUniformSubroutinesuiv.version = '4.0'
regal_gl.add(glUniformSubroutinesuiv)

glCompileShaderIncludeARB = Function('glCompileShaderIncludeARB')
glCompileShaderIncludeARB.add( Input( 'path','const GLchar * const *' ,size = 'count' ))
glCompileShaderIncludeARB.add( Input( 'length','const GLint *' ,size = 'count' ))
glCompileShaderIncludeARB.version = '4.0'
regal_gl.add(glCompileShaderIncludeARB)

glDeleteNamedStringARB = Function('glDeleteNamedStringARB')
glDeleteNamedStringARB.add( Input( 'name','const GLchar *' ,size = 'helperGLNamedStringSize(namelen, name)' ))
glDeleteNamedStringARB.version = '4.0'
regal_gl.add(glDeleteNamedStringARB)

glGetNamedStringARB = Function('glGetNamedStringARB')
glGetNamedStringARB.add( Input( 'name','const GLchar *' ,size = 'helperGLNamedStringSize(namelen, name)' ))
glGetNamedStringARB.add( Output( 'stringlen','GLint *' ,size = 1 ))
glGetNamedStringARB.add( Output( 'string','GLchar *' ,maxSize = 'bufSize' ))
glGetNamedStringARB.version = '4.0'
regal_gl.add(glGetNamedStringARB)

glGetNamedStringivARB = Function('glGetNamedStringivARB')
glGetNamedStringivARB.add( Input( 'name','const GLchar *' ,size = 'helperGLNamedStringSize(namelen, name)' ))
glGetNamedStringivARB.add( Output( 'params','GLint *' ,size = 'helperGLNamedStringParamsSize(pname)' ))
glGetNamedStringivARB.version = '4.0'
regal_gl.add(glGetNamedStringivARB)

glIsNamedStringARB = Function('glIsNamedStringARB')
glIsNamedStringARB.add( Input( 'name','const GLchar *' ,size = 'helperGLNamedStringSize(namelen, name)' ))
glIsNamedStringARB.version = '4.0'
regal_gl.add(glIsNamedStringARB)

glNamedStringARB = Function('glNamedStringARB')
glNamedStringARB.add( Input( 'name','const GLchar *' ,size = 'helperGLNamedStringSize(namelen, name)' ))
glNamedStringARB.add( Input( 'string','const GLchar *' ,size = 'helperGLNamedStringSize(stringlen, string)' ))
glNamedStringARB.version = '4.0'
regal_gl.add(glNamedStringARB)

glBufferPageCommitmentARB = Function('glBufferPageCommitmentARB')
glBufferPageCommitmentARB.add( Input( 'size','GLsizeiptr' ))
regal_gl.add(glBufferPageCommitmentARB)

glTexPageCommitmentARB = Function('glTexPageCommitmentARB')
regal_gl.add(glTexPageCommitmentARB)

glTexturePageCommitmentEXT = Function('glTexturePageCommitmentEXT')
regal_gl.add(glTexturePageCommitmentEXT)

glClientWaitSync = Function('glClientWaitSync')
glClientWaitSync.add( Input( 'sync','GLsync' ,cast = 'void *' ))
glClientWaitSync.add( Input( 'flags','GLbitfield' ,regalLog = 'GLclientWaitSyncToString(flags)' ))
glClientWaitSync.version = '3.2'
regal_gl.add(glClientWaitSync)

glDeleteSync = Function('glDeleteSync')
glDeleteSync.add( Input( 'sync','GLsync' ,cast = 'void *' ))
glDeleteSync.version = '3.2'
regal_gl.add(glDeleteSync)

glFenceSync = Function('glFenceSync')
glFenceSync.ret = Return('GLsync')
glFenceSync.ret.cast = 'void *'
glFenceSync.add( Input( 'flags','GLbitfield' ,regalLog = 'GLfenceSyncToString(flags)' ))
glFenceSync.version = '3.2'
regal_gl.add(glFenceSync)

glGetInteger64v = Function('glGetInteger64v')
glGetInteger64v.add( Output( 'params','GLint64 *' ))
glGetInteger64v.version = '3.2'
glGetInteger64v.play = False
regal_gl.add(glGetInteger64v)

glGetSynciv = Function('glGetSynciv')
glGetSynciv.add( Input( 'sync','GLsync' ,cast = 'void *' ))
glGetSynciv.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetSynciv.add( Output( 'values','GLint *' ,size = 'bufSize' ))
glGetSynciv.version = '3.2'
regal_gl.add(glGetSynciv)

glIsSync = Function('glIsSync')
glIsSync.add( Input( 'sync','GLsync' ,cast = 'void *' ))
glIsSync.version = '3.2'
regal_gl.add(glIsSync)

glWaitSync = Function('glWaitSync')
glWaitSync.add( Input( 'sync','GLsync' ,cast = 'void *' ))
glWaitSync.add( Input( 'flags','GLbitfield' ,regalLog = 'GLwaitSyncToString(flags)' ))
glWaitSync.version = '3.2'
regal_gl.add(glWaitSync)

glPatchParameterfv = Function('glPatchParameterfv')
glPatchParameterfv.add( Input( 'values','const GLfloat *' ,size = '1' ))
glPatchParameterfv.version = '4.0'
regal_gl.add(glPatchParameterfv)

glPatchParameteri = Function('glPatchParameteri')
glPatchParameteri.version = '4.0'
regal_gl.add(glPatchParameteri)

glTextureBarrier = Function('glTextureBarrier')
regal_gl.add(glTextureBarrier)

glTexBufferARB = Function('glTexBufferARB')
glTexBufferARB.version = '3.0'
regal_gl.add(glTexBufferARB)

glTexBufferRange = Function('glTexBufferRange')
regal_gl.add(glTexBufferRange)

glTextureBufferRangeEXT = Function('glTextureBufferRangeEXT')
regal_gl.add(glTextureBufferRangeEXT)

glCompressedTexImage1DARB = Function('glCompressedTexImage1DARB')
glCompressedTexImage1DARB.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedTexImage1DARB.version = '1.1'
regal_gl.add(glCompressedTexImage1DARB)

glCompressedTexImage2DARB = Function('glCompressedTexImage2DARB')
glCompressedTexImage2DARB.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedTexImage2DARB.version = '1.1'
regal_gl.add(glCompressedTexImage2DARB)

glCompressedTexImage3DARB = Function('glCompressedTexImage3DARB')
glCompressedTexImage3DARB.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedTexImage3DARB.version = '1.1'
regal_gl.add(glCompressedTexImage3DARB)

glCompressedTexSubImage1DARB = Function('glCompressedTexSubImage1DARB')
glCompressedTexSubImage1DARB.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedTexSubImage1DARB.version = '1.1'
regal_gl.add(glCompressedTexSubImage1DARB)

glCompressedTexSubImage2DARB = Function('glCompressedTexSubImage2DARB')
glCompressedTexSubImage2DARB.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedTexSubImage2DARB.version = '1.1'
regal_gl.add(glCompressedTexSubImage2DARB)

glCompressedTexSubImage3DARB = Function('glCompressedTexSubImage3DARB')
glCompressedTexSubImage3DARB.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedTexSubImage3DARB.version = '1.1'
regal_gl.add(glCompressedTexSubImage3DARB)

glGetCompressedTexImageARB = Function('glGetCompressedTexImageARB')
glGetCompressedTexImageARB.add( Output( 'img','GLvoid *' ))
glGetCompressedTexImageARB.version = '1.1'
regal_gl.add(glGetCompressedTexImageARB)

glGetMultisamplefv = Function('glGetMultisamplefv')
glGetMultisamplefv.add( Output( 'val','GLfloat *' ))
glGetMultisamplefv.version = '3.2'
regal_gl.add(glGetMultisamplefv)

glSampleMaski = Function('glSampleMaski')
glSampleMaski.version = '3.2'
regal_gl.add(glSampleMaski)

glTexImage2DMultisample = Function('glTexImage2DMultisample')
glTexImage2DMultisample.version = '3.2'
regal_gl.add(glTexImage2DMultisample)

glTexImage3DMultisample = Function('glTexImage3DMultisample')
glTexImage3DMultisample.version = '3.2'
regal_gl.add(glTexImage3DMultisample)

glTexStorage1D = Function('glTexStorage1D')
regal_gl.add(glTexStorage1D)

glTexStorage2D = Function('glTexStorage2D')
regal_gl.add(glTexStorage2D)

glTexStorage3D = Function('glTexStorage3D')
regal_gl.add(glTexStorage3D)

glTextureStorage1DEXT = Function('glTextureStorage1DEXT')
regal_gl.add(glTextureStorage1DEXT)

glTextureStorage2DEXT = Function('glTextureStorage2DEXT')
regal_gl.add(glTextureStorage2DEXT)

glTextureStorage3DEXT = Function('glTextureStorage3DEXT')
regal_gl.add(glTextureStorage3DEXT)

glTexStorage2DMultisample = Function('glTexStorage2DMultisample')
regal_gl.add(glTexStorage2DMultisample)

glTexStorage3DMultisample = Function('glTexStorage3DMultisample')
regal_gl.add(glTexStorage3DMultisample)

glTextureStorage2DMultisampleEXT = Function('glTextureStorage2DMultisampleEXT')
regal_gl.add(glTextureStorage2DMultisampleEXT)

glTextureStorage3DMultisampleEXT = Function('glTextureStorage3DMultisampleEXT')
regal_gl.add(glTextureStorage3DMultisampleEXT)

glTextureView = Function('glTextureView')
regal_gl.add(glTextureView)

glGetQueryObjecti64v = Function('glGetQueryObjecti64v')
glGetQueryObjecti64v.add( Output( 'params','GLint64 *' ))
glGetQueryObjecti64v.version = '3.3'
glGetQueryObjecti64v.play = False
regal_gl.add(glGetQueryObjecti64v)

glGetQueryObjectui64v = Function('glGetQueryObjectui64v')
glGetQueryObjectui64v.add( Output( 'params','GLuint64 *' ))
glGetQueryObjectui64v.version = '3.3'
glGetQueryObjectui64v.play = False
regal_gl.add(glGetQueryObjectui64v)

glQueryCounter = Function('glQueryCounter')
glQueryCounter.version = '3.3'
regal_gl.add(glQueryCounter)

glBindTransformFeedback = Function('glBindTransformFeedback')
glBindTransformFeedback.version = '4.0'
regal_gl.add(glBindTransformFeedback)

glDeleteTransformFeedbacks = Function('glDeleteTransformFeedbacks')
glDeleteTransformFeedbacks.add( Input( 'ids','const GLuint *' ,size = 'n' ))
glDeleteTransformFeedbacks.version = '4.0'
regal_gl.add(glDeleteTransformFeedbacks)

glDrawTransformFeedback = Function('glDrawTransformFeedback')
glDrawTransformFeedback.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawTransformFeedback.version = '4.0'
regal_gl.add(glDrawTransformFeedback)

glGenTransformFeedbacks = Function('glGenTransformFeedbacks')
glGenTransformFeedbacks.add( Output( 'ids','GLuint *' ,size = 'n' ))
glGenTransformFeedbacks.version = '4.0'
regal_gl.add(glGenTransformFeedbacks)

glIsTransformFeedback = Function('glIsTransformFeedback')
glIsTransformFeedback.version = '4.0'
regal_gl.add(glIsTransformFeedback)

glPauseTransformFeedback = Function('glPauseTransformFeedback')
glPauseTransformFeedback.version = '4.0'
regal_gl.add(glPauseTransformFeedback)

glResumeTransformFeedback = Function('glResumeTransformFeedback')
glResumeTransformFeedback.version = '4.0'
regal_gl.add(glResumeTransformFeedback)

glBeginQueryIndexed = Function('glBeginQueryIndexed')
glBeginQueryIndexed.version = '4.0'
regal_gl.add(glBeginQueryIndexed)

glDrawTransformFeedbackStream = Function('glDrawTransformFeedbackStream')
glDrawTransformFeedbackStream.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawTransformFeedbackStream.version = '4.0'
regal_gl.add(glDrawTransformFeedbackStream)

glEndQueryIndexed = Function('glEndQueryIndexed')
glEndQueryIndexed.version = '4.0'
regal_gl.add(glEndQueryIndexed)

glGetQueryIndexediv = Function('glGetQueryIndexediv')
glGetQueryIndexediv.add( Output( 'params','GLint *' ))
glGetQueryIndexediv.version = '4.0'
glGetQueryIndexediv.play = False
regal_gl.add(glGetQueryIndexediv)

glDrawTransformFeedbackInstanced = Function('glDrawTransformFeedbackInstanced')
glDrawTransformFeedbackInstanced.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
regal_gl.add(glDrawTransformFeedbackInstanced)

glDrawTransformFeedbackStreamInstanced = Function('glDrawTransformFeedbackStreamInstanced')
glDrawTransformFeedbackStreamInstanced.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
regal_gl.add(glDrawTransformFeedbackStreamInstanced)

glLoadTransposeMatrixdARB = Function('glLoadTransposeMatrixdARB')
glLoadTransposeMatrixdARB.add( Input( 'm','const GLdouble *' ,size = 16 ))
glLoadTransposeMatrixdARB.version = '1.1'
regal_gl.add(glLoadTransposeMatrixdARB)

glLoadTransposeMatrixfARB = Function('glLoadTransposeMatrixfARB')
glLoadTransposeMatrixfARB.add( Input( 'm','const GLfloat *' ,size = 16 ))
glLoadTransposeMatrixfARB.version = '1.1'
regal_gl.add(glLoadTransposeMatrixfARB)

glMultTransposeMatrixdARB = Function('glMultTransposeMatrixdARB')
glMultTransposeMatrixdARB.add( Input( 'm','const GLdouble *' ,size = 16 ))
glMultTransposeMatrixdARB.version = '1.1'
regal_gl.add(glMultTransposeMatrixdARB)

glMultTransposeMatrixfARB = Function('glMultTransposeMatrixfARB')
glMultTransposeMatrixfARB.add( Input( 'm','const GLfloat *' ,size = 16 ))
glMultTransposeMatrixfARB.version = '1.1'
regal_gl.add(glMultTransposeMatrixfARB)

glBindBufferBase = Function('glBindBufferBase')
glBindBufferBase.version = '3.0'
regal_gl.add(glBindBufferBase)

glBindBufferRange = Function('glBindBufferRange')
glBindBufferRange.version = '3.0'
regal_gl.add(glBindBufferRange)

glGetActiveUniformBlockName = Function('glGetActiveUniformBlockName')
glGetActiveUniformBlockName.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetActiveUniformBlockName.add( Output( 'uniformBlockName','GLchar *' ,maxSize = 'bufSize' ))
glGetActiveUniformBlockName.version = '3.1'
glGetActiveUniformBlockName.play = False
regal_gl.add(glGetActiveUniformBlockName)

glGetActiveUniformBlockiv = Function('glGetActiveUniformBlockiv')
glGetActiveUniformBlockiv.add( Output( 'params','GLint *' ))
glGetActiveUniformBlockiv.version = '3.1'
glGetActiveUniformBlockiv.play = False
regal_gl.add(glGetActiveUniformBlockiv)

glGetActiveUniformName = Function('glGetActiveUniformName')
glGetActiveUniformName.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetActiveUniformName.add( Output( 'uniformName','GLchar *' ,maxSize = 'bufSize' ))
glGetActiveUniformName.version = '3.1'
glGetActiveUniformName.play = False
regal_gl.add(glGetActiveUniformName)

glGetActiveUniformsiv = Function('glGetActiveUniformsiv')
glGetActiveUniformsiv.add( Input( 'uniformIndices','const GLuint *' ))
glGetActiveUniformsiv.add( Output( 'params','GLint *' ))
glGetActiveUniformsiv.version = '3.1'
regal_gl.add(glGetActiveUniformsiv)

glGetIntegeri_v = Function('glGetIntegeri_v')
glGetIntegeri_v.add( Output( 'data','GLint *' ))
glGetIntegeri_v.version = '3.0'
glGetIntegeri_v.play = False
regal_gl.add(glGetIntegeri_v)

glGetUniformBlockIndex = Function('glGetUniformBlockIndex')
glGetUniformBlockIndex.add( Input( 'uniformBlockName','const GLchar *' ))
glGetUniformBlockIndex.version = '3.1'
glGetUniformBlockIndex.play = False
regal_gl.add(glGetUniformBlockIndex)

glGetUniformIndices = Function('glGetUniformIndices')
glGetUniformIndices.add( Input( 'uniformNames','const GLchar * const *' ))
glGetUniformIndices.add( Output( 'uniformIndices','GLuint *' ))
glGetUniformIndices.version = '3.1'
regal_gl.add(glGetUniformIndices)

glUniformBlockBinding = Function('glUniformBlockBinding')
glUniformBlockBinding.version = '3.1'
regal_gl.add(glUniformBlockBinding)

glBindVertexArray = Function('glBindVertexArray')
glBindVertexArray.version = '3.0'
regal_gl.add(glBindVertexArray)

glDeleteVertexArrays = Function('glDeleteVertexArrays')
glDeleteVertexArrays.add( Input( 'arrays','const GLuint *' ,size = 'n' ))
glDeleteVertexArrays.version = '3.0'
regal_gl.add(glDeleteVertexArrays)

glGenVertexArrays = Function('glGenVertexArrays')
glGenVertexArrays.add( Output( 'arrays','GLuint *' ,size = 'n' ))
glGenVertexArrays.version = '3.0'
regal_gl.add(glGenVertexArrays)

glIsVertexArray = Function('glIsVertexArray')
glIsVertexArray.version = '3.0'
regal_gl.add(glIsVertexArray)

glGetVertexAttribLdv = Function('glGetVertexAttribLdv')
glGetVertexAttribLdv.add( Output( 'params','GLdouble *' ,size = 1 ))
glGetVertexAttribLdv.version = '4.1'
regal_gl.add(glGetVertexAttribLdv)

glVertexAttribL1d = Function('glVertexAttribL1d')
glVertexAttribL1d.version = '4.1'
regal_gl.add(glVertexAttribL1d)

glVertexAttribL1dv = Function('glVertexAttribL1dv')
glVertexAttribL1dv.add( Input( 'v','const GLdouble *' ,size = 1 ))
glVertexAttribL1dv.version = '4.1'
regal_gl.add(glVertexAttribL1dv)

glVertexAttribL2d = Function('glVertexAttribL2d')
glVertexAttribL2d.version = '4.1'
regal_gl.add(glVertexAttribL2d)

glVertexAttribL2dv = Function('glVertexAttribL2dv')
glVertexAttribL2dv.add( Input( 'v','const GLdouble *' ,size = 2 ))
glVertexAttribL2dv.version = '4.1'
regal_gl.add(glVertexAttribL2dv)

glVertexAttribL3d = Function('glVertexAttribL3d')
glVertexAttribL3d.version = '4.1'
regal_gl.add(glVertexAttribL3d)

glVertexAttribL3dv = Function('glVertexAttribL3dv')
glVertexAttribL3dv.add( Input( 'v','const GLdouble *' ,size = 3 ))
glVertexAttribL3dv.version = '4.1'
regal_gl.add(glVertexAttribL3dv)

glVertexAttribL4d = Function('glVertexAttribL4d')
glVertexAttribL4d.version = '4.1'
regal_gl.add(glVertexAttribL4d)

glVertexAttribL4dv = Function('glVertexAttribL4dv')
glVertexAttribL4dv.add( Input( 'v','const GLdouble *' ,size = 4 ))
glVertexAttribL4dv.version = '4.1'
regal_gl.add(glVertexAttribL4dv)

glVertexAttribLPointer = Function('glVertexAttribLPointer')
glVertexAttribLPointer.add( Input( 'pointer','const GLvoid *' ))
glVertexAttribLPointer.version = '4.1'
regal_gl.add(glVertexAttribLPointer)

glBindVertexBuffer = Function('glBindVertexBuffer')
regal_gl.add(glBindVertexBuffer)

glVertexArrayBindVertexBufferEXT = Function('glVertexArrayBindVertexBufferEXT')
regal_gl.add(glVertexArrayBindVertexBufferEXT)

glVertexArrayVertexAttribBindingEXT = Function('glVertexArrayVertexAttribBindingEXT')
regal_gl.add(glVertexArrayVertexAttribBindingEXT)

glVertexArrayVertexAttribFormatEXT = Function('glVertexArrayVertexAttribFormatEXT')
regal_gl.add(glVertexArrayVertexAttribFormatEXT)

glVertexArrayVertexAttribIFormatEXT = Function('glVertexArrayVertexAttribIFormatEXT')
regal_gl.add(glVertexArrayVertexAttribIFormatEXT)

glVertexArrayVertexAttribLFormatEXT = Function('glVertexArrayVertexAttribLFormatEXT')
regal_gl.add(glVertexArrayVertexAttribLFormatEXT)

glVertexArrayVertexBindingDivisorEXT = Function('glVertexArrayVertexBindingDivisorEXT')
regal_gl.add(glVertexArrayVertexBindingDivisorEXT)

glVertexAttribBinding = Function('glVertexAttribBinding')
regal_gl.add(glVertexAttribBinding)

glVertexAttribFormat = Function('glVertexAttribFormat')
regal_gl.add(glVertexAttribFormat)

glVertexAttribIFormat = Function('glVertexAttribIFormat')
regal_gl.add(glVertexAttribIFormat)

glVertexAttribLFormat = Function('glVertexAttribLFormat')
regal_gl.add(glVertexAttribLFormat)

glVertexBindingDivisor = Function('glVertexBindingDivisor')
regal_gl.add(glVertexBindingDivisor)

glVertexBlendARB = Function('glVertexBlendARB')
glVertexBlendARB.version = '1.1'
regal_gl.add(glVertexBlendARB)

glWeightPointerARB = Function('glWeightPointerARB')
glWeightPointerARB.add( Input( 'pointer','const GLvoid *' ))
glWeightPointerARB.version = '1.1'
regal_gl.add(glWeightPointerARB)

glWeightbvARB = Function('glWeightbvARB')
glWeightbvARB.add( Input( 'weights','const GLbyte *' ))
glWeightbvARB.version = '1.1'
glWeightbvARB.play = False
regal_gl.add(glWeightbvARB)

glWeightdvARB = Function('glWeightdvARB')
glWeightdvARB.add( Input( 'weights','const GLdouble *' ))
glWeightdvARB.version = '1.1'
regal_gl.add(glWeightdvARB)

glWeightfvARB = Function('glWeightfvARB')
glWeightfvARB.add( Input( 'weights','const GLfloat *' ))
glWeightfvARB.version = '1.1'
regal_gl.add(glWeightfvARB)

glWeightivARB = Function('glWeightivARB')
glWeightivARB.add( Input( 'weights','const GLint *' ))
glWeightivARB.version = '1.1'
regal_gl.add(glWeightivARB)

glWeightsvARB = Function('glWeightsvARB')
glWeightsvARB.add( Input( 'weights','const GLshort *' ))
glWeightsvARB.version = '1.1'
regal_gl.add(glWeightsvARB)

glWeightubvARB = Function('glWeightubvARB')
glWeightubvARB.add( Input( 'weights','const GLubyte *' ))
glWeightubvARB.version = '1.1'
glWeightubvARB.play = False
regal_gl.add(glWeightubvARB)

glWeightuivARB = Function('glWeightuivARB')
glWeightuivARB.add( Input( 'weights','const GLuint *' ))
glWeightuivARB.version = '1.1'
regal_gl.add(glWeightuivARB)

glWeightusvARB = Function('glWeightusvARB')
glWeightusvARB.add( Input( 'weights','const GLushort *' ))
glWeightusvARB.version = '1.1'
regal_gl.add(glWeightusvARB)

glBindBufferARB = Function('glBindBufferARB')
glBindBufferARB.version = '1.1'
regal_gl.add(glBindBufferARB)

glBufferDataARB = Function('glBufferDataARB')
glBufferDataARB.add( Input( 'data','const GLvoid *' ))
glBufferDataARB.version = '1.1'
regal_gl.add(glBufferDataARB)

glBufferSubDataARB = Function('glBufferSubDataARB')
glBufferSubDataARB.add( Input( 'data','const GLvoid *' ))
glBufferSubDataARB.version = '1.1'
regal_gl.add(glBufferSubDataARB)

glDeleteBuffersARB = Function('glDeleteBuffersARB')
glDeleteBuffersARB.add( Input( 'buffers','const GLuint *' ,size = 'n' ))
glDeleteBuffersARB.version = '1.1'
regal_gl.add(glDeleteBuffersARB)

glGenBuffersARB = Function('glGenBuffersARB')
glGenBuffersARB.add( Output( 'buffers','GLuint *' ,size = 'n' ))
glGenBuffersARB.version = '1.1'
regal_gl.add(glGenBuffersARB)

glGetBufferParameterivARB = Function('glGetBufferParameterivARB')
glGetBufferParameterivARB.add( Output( 'params','GLint *' ))
glGetBufferParameterivARB.version = '1.1'
regal_gl.add(glGetBufferParameterivARB)

glGetBufferPointervARB = Function('glGetBufferPointervARB')
glGetBufferPointervARB.add( Output( 'params','GLvoid **' ,size = 1 ))
glGetBufferPointervARB.version = '1.1'
regal_gl.add(glGetBufferPointervARB)

glGetBufferSubDataARB = Function('glGetBufferSubDataARB')
glGetBufferSubDataARB.add( Output( 'data','GLvoid *' ))
glGetBufferSubDataARB.version = '1.1'
regal_gl.add(glGetBufferSubDataARB)

glIsBufferARB = Function('glIsBufferARB')
glIsBufferARB.version = '1.1'
regal_gl.add(glIsBufferARB)

glMapBufferARB = Function('glMapBufferARB')
glMapBufferARB.version = '1.1'
regal_gl.add(glMapBufferARB)

glUnmapBufferARB = Function('glUnmapBufferARB')
glUnmapBufferARB.version = '1.1'
regal_gl.add(glUnmapBufferARB)

glBindProgramARB = Function('glBindProgramARB')
glBindProgramARB.version = '1.3'
regal_gl.add(glBindProgramARB)

glDeleteProgramsARB = Function('glDeleteProgramsARB')
glDeleteProgramsARB.add( Input( 'programs','const GLuint *' ,size = 'n' ))
glDeleteProgramsARB.version = '1.3'
regal_gl.add(glDeleteProgramsARB)

glDisableVertexAttribArrayARB = Function('glDisableVertexAttribArrayARB')
glDisableVertexAttribArrayARB.version = '1.3'
regal_gl.add(glDisableVertexAttribArrayARB)

glEnableVertexAttribArrayARB = Function('glEnableVertexAttribArrayARB')
glEnableVertexAttribArrayARB.version = '1.3'
regal_gl.add(glEnableVertexAttribArrayARB)

glGenProgramsARB = Function('glGenProgramsARB')
glGenProgramsARB.add( Output( 'programs','GLuint *' ,size = 'n' ))
glGenProgramsARB.version = '1.3'
regal_gl.add(glGenProgramsARB)

glGetProgramEnvParameterdvARB = Function('glGetProgramEnvParameterdvARB')
glGetProgramEnvParameterdvARB.add( Output( 'params','GLdouble *' ,size = 4 ))
glGetProgramEnvParameterdvARB.version = '1.3'
regal_gl.add(glGetProgramEnvParameterdvARB)

glGetProgramEnvParameterfvARB = Function('glGetProgramEnvParameterfvARB')
glGetProgramEnvParameterfvARB.add( Output( 'params','GLfloat *' ,size = 4 ))
glGetProgramEnvParameterfvARB.version = '1.3'
regal_gl.add(glGetProgramEnvParameterfvARB)

glGetProgramLocalParameterdvARB = Function('glGetProgramLocalParameterdvARB')
glGetProgramLocalParameterdvARB.add( Output( 'params','GLdouble *' ,size = 4 ))
glGetProgramLocalParameterdvARB.version = '1.3'
regal_gl.add(glGetProgramLocalParameterdvARB)

glGetProgramLocalParameterfvARB = Function('glGetProgramLocalParameterfvARB')
glGetProgramLocalParameterfvARB.add( Output( 'params','GLfloat *' ,size = 4 ))
glGetProgramLocalParameterfvARB.version = '1.3'
regal_gl.add(glGetProgramLocalParameterfvARB)

glGetProgramStringARB = Function('glGetProgramStringARB')
glGetProgramStringARB.add( Output( 'string','GLvoid *' ))
glGetProgramStringARB.version = '1.3'
regal_gl.add(glGetProgramStringARB)

glGetProgramivARB = Function('glGetProgramivARB')
glGetProgramivARB.add( Output( 'params','GLint *' ,size = 1 ))
glGetProgramivARB.version = '1.3'
regal_gl.add(glGetProgramivARB)

glGetVertexAttribPointervARB = Function('glGetVertexAttribPointervARB')
glGetVertexAttribPointervARB.add( Output( 'pointer','GLvoid **' ,size = 1 ))
glGetVertexAttribPointervARB.version = '1.3'
glGetVertexAttribPointervARB.play = False
regal_gl.add(glGetVertexAttribPointervARB)

glGetVertexAttribdvARB = Function('glGetVertexAttribdvARB')
glGetVertexAttribdvARB.add( Output( 'params','GLdouble *' ,size = 4 ))
glGetVertexAttribdvARB.version = '1.3'
regal_gl.add(glGetVertexAttribdvARB)

glGetVertexAttribfvARB = Function('glGetVertexAttribfvARB')
glGetVertexAttribfvARB.add( Output( 'params','GLfloat *' ,size = 4 ))
glGetVertexAttribfvARB.version = '1.3'
regal_gl.add(glGetVertexAttribfvARB)

glGetVertexAttribivARB = Function('glGetVertexAttribivARB')
glGetVertexAttribivARB.add( Output( 'params','GLint *' ,size = 4 ))
glGetVertexAttribivARB.version = '1.3'
regal_gl.add(glGetVertexAttribivARB)

glIsProgramARB = Function('glIsProgramARB')
glIsProgramARB.version = '1.3'
regal_gl.add(glIsProgramARB)

glProgramEnvParameter4dARB = Function('glProgramEnvParameter4dARB')
glProgramEnvParameter4dARB.version = '1.3'
regal_gl.add(glProgramEnvParameter4dARB)

glProgramEnvParameter4dvARB = Function('glProgramEnvParameter4dvARB')
glProgramEnvParameter4dvARB.add( Input( 'params','const GLdouble *' ,size = 4 ))
glProgramEnvParameter4dvARB.version = '1.3'
regal_gl.add(glProgramEnvParameter4dvARB)

glProgramEnvParameter4fARB = Function('glProgramEnvParameter4fARB')
glProgramEnvParameter4fARB.version = '1.3'
regal_gl.add(glProgramEnvParameter4fARB)

glProgramEnvParameter4fvARB = Function('glProgramEnvParameter4fvARB')
glProgramEnvParameter4fvARB.add( Input( 'params','const GLfloat *' ,size = 4 ))
glProgramEnvParameter4fvARB.version = '1.3'
regal_gl.add(glProgramEnvParameter4fvARB)

glProgramLocalParameter4dARB = Function('glProgramLocalParameter4dARB')
glProgramLocalParameter4dARB.version = '1.3'
regal_gl.add(glProgramLocalParameter4dARB)

glProgramLocalParameter4dvARB = Function('glProgramLocalParameter4dvARB')
glProgramLocalParameter4dvARB.add( Input( 'params','const GLdouble *' ,size = 4 ))
glProgramLocalParameter4dvARB.version = '1.3'
regal_gl.add(glProgramLocalParameter4dvARB)

glProgramLocalParameter4fARB = Function('glProgramLocalParameter4fARB')
glProgramLocalParameter4fARB.version = '1.3'
regal_gl.add(glProgramLocalParameter4fARB)

glProgramLocalParameter4fvARB = Function('glProgramLocalParameter4fvARB')
glProgramLocalParameter4fvARB.add( Input( 'params','const GLfloat *' ,size = 4 ))
glProgramLocalParameter4fvARB.version = '1.3'
regal_gl.add(glProgramLocalParameter4fvARB)

glProgramStringARB = Function('glProgramStringARB')
glProgramStringARB.add( Input( 'string','const GLvoid *' ,size = 'len' ,cast = 'const char *' ))
glProgramStringARB.version = '1.3'
regal_gl.add(glProgramStringARB)

glVertexAttrib1dARB = Function('glVertexAttrib1dARB')
glVertexAttrib1dARB.version = '1.3'
regal_gl.add(glVertexAttrib1dARB)

glVertexAttrib1dvARB = Function('glVertexAttrib1dvARB')
glVertexAttrib1dvARB.add( Input( 'v','const GLdouble *' ,size = 1 ))
glVertexAttrib1dvARB.version = '1.3'
regal_gl.add(glVertexAttrib1dvARB)

glVertexAttrib1fARB = Function('glVertexAttrib1fARB')
glVertexAttrib1fARB.version = '1.3'
regal_gl.add(glVertexAttrib1fARB)

glVertexAttrib1fvARB = Function('glVertexAttrib1fvARB')
glVertexAttrib1fvARB.add( Input( 'v','const GLfloat *' ,size = 1 ))
glVertexAttrib1fvARB.version = '1.3'
regal_gl.add(glVertexAttrib1fvARB)

glVertexAttrib1sARB = Function('glVertexAttrib1sARB')
glVertexAttrib1sARB.version = '1.3'
regal_gl.add(glVertexAttrib1sARB)

glVertexAttrib1svARB = Function('glVertexAttrib1svARB')
glVertexAttrib1svARB.add( Input( 'v','const GLshort *' ,size = 1 ))
glVertexAttrib1svARB.version = '1.3'
regal_gl.add(glVertexAttrib1svARB)

glVertexAttrib2dARB = Function('glVertexAttrib2dARB')
glVertexAttrib2dARB.version = '1.3'
regal_gl.add(glVertexAttrib2dARB)

glVertexAttrib2dvARB = Function('glVertexAttrib2dvARB')
glVertexAttrib2dvARB.add( Input( 'v','const GLdouble *' ,size = 2 ))
glVertexAttrib2dvARB.version = '1.3'
regal_gl.add(glVertexAttrib2dvARB)

glVertexAttrib2fARB = Function('glVertexAttrib2fARB')
glVertexAttrib2fARB.version = '1.3'
regal_gl.add(glVertexAttrib2fARB)

glVertexAttrib2fvARB = Function('glVertexAttrib2fvARB')
glVertexAttrib2fvARB.add( Input( 'v','const GLfloat *' ,size = 2 ))
glVertexAttrib2fvARB.version = '1.3'
regal_gl.add(glVertexAttrib2fvARB)

glVertexAttrib2sARB = Function('glVertexAttrib2sARB')
glVertexAttrib2sARB.version = '1.3'
regal_gl.add(glVertexAttrib2sARB)

glVertexAttrib2svARB = Function('glVertexAttrib2svARB')
glVertexAttrib2svARB.add( Input( 'v','const GLshort *' ,size = 2 ))
glVertexAttrib2svARB.version = '1.3'
regal_gl.add(glVertexAttrib2svARB)

glVertexAttrib3dARB = Function('glVertexAttrib3dARB')
glVertexAttrib3dARB.version = '1.3'
regal_gl.add(glVertexAttrib3dARB)

glVertexAttrib3dvARB = Function('glVertexAttrib3dvARB')
glVertexAttrib3dvARB.add( Input( 'v','const GLdouble *' ,size = 3 ))
glVertexAttrib3dvARB.version = '1.3'
regal_gl.add(glVertexAttrib3dvARB)

glVertexAttrib3fARB = Function('glVertexAttrib3fARB')
glVertexAttrib3fARB.version = '1.3'
regal_gl.add(glVertexAttrib3fARB)

glVertexAttrib3fvARB = Function('glVertexAttrib3fvARB')
glVertexAttrib3fvARB.add( Input( 'v','const GLfloat *' ,size = 3 ))
glVertexAttrib3fvARB.version = '1.3'
regal_gl.add(glVertexAttrib3fvARB)

glVertexAttrib3sARB = Function('glVertexAttrib3sARB')
glVertexAttrib3sARB.version = '1.3'
regal_gl.add(glVertexAttrib3sARB)

glVertexAttrib3svARB = Function('glVertexAttrib3svARB')
glVertexAttrib3svARB.add( Input( 'v','const GLshort *' ,size = 3 ))
glVertexAttrib3svARB.version = '1.3'
regal_gl.add(glVertexAttrib3svARB)

glVertexAttrib4NbvARB = Function('glVertexAttrib4NbvARB')
glVertexAttrib4NbvARB.add( Input( 'v','const GLbyte *' ,size = 4 ))
glVertexAttrib4NbvARB.version = '1.3'
regal_gl.add(glVertexAttrib4NbvARB)

glVertexAttrib4NivARB = Function('glVertexAttrib4NivARB')
glVertexAttrib4NivARB.add( Input( 'v','const GLint *' ,size = 4 ))
glVertexAttrib4NivARB.version = '1.3'
regal_gl.add(glVertexAttrib4NivARB)

glVertexAttrib4NsvARB = Function('glVertexAttrib4NsvARB')
glVertexAttrib4NsvARB.add( Input( 'v','const GLshort *' ,size = 4 ))
glVertexAttrib4NsvARB.version = '1.3'
regal_gl.add(glVertexAttrib4NsvARB)

glVertexAttrib4NubARB = Function('glVertexAttrib4NubARB')
glVertexAttrib4NubARB.version = '1.3'
regal_gl.add(glVertexAttrib4NubARB)

glVertexAttrib4NubvARB = Function('glVertexAttrib4NubvARB')
glVertexAttrib4NubvARB.add( Input( 'v','const GLubyte *' ,size = 4 ))
glVertexAttrib4NubvARB.version = '1.3'
regal_gl.add(glVertexAttrib4NubvARB)

glVertexAttrib4NuivARB = Function('glVertexAttrib4NuivARB')
glVertexAttrib4NuivARB.add( Input( 'v','const GLuint *' ,size = 4 ))
glVertexAttrib4NuivARB.version = '1.3'
regal_gl.add(glVertexAttrib4NuivARB)

glVertexAttrib4NusvARB = Function('glVertexAttrib4NusvARB')
glVertexAttrib4NusvARB.add( Input( 'v','const GLushort *' ,size = 4 ))
glVertexAttrib4NusvARB.version = '1.3'
regal_gl.add(glVertexAttrib4NusvARB)

glVertexAttrib4bvARB = Function('glVertexAttrib4bvARB')
glVertexAttrib4bvARB.add( Input( 'v','const GLbyte *' ,size = 4 ))
glVertexAttrib4bvARB.version = '1.3'
regal_gl.add(glVertexAttrib4bvARB)

glVertexAttrib4dARB = Function('glVertexAttrib4dARB')
glVertexAttrib4dARB.version = '1.3'
regal_gl.add(glVertexAttrib4dARB)

glVertexAttrib4dvARB = Function('glVertexAttrib4dvARB')
glVertexAttrib4dvARB.add( Input( 'v','const GLdouble *' ,size = 4 ))
glVertexAttrib4dvARB.version = '1.3'
regal_gl.add(glVertexAttrib4dvARB)

glVertexAttrib4fARB = Function('glVertexAttrib4fARB')
glVertexAttrib4fARB.version = '1.3'
regal_gl.add(glVertexAttrib4fARB)

glVertexAttrib4fvARB = Function('glVertexAttrib4fvARB')
glVertexAttrib4fvARB.add( Input( 'v','const GLfloat *' ,size = 4 ))
glVertexAttrib4fvARB.version = '1.3'
regal_gl.add(glVertexAttrib4fvARB)

glVertexAttrib4ivARB = Function('glVertexAttrib4ivARB')
glVertexAttrib4ivARB.add( Input( 'v','const GLint *' ,size = 4 ))
glVertexAttrib4ivARB.version = '1.3'
regal_gl.add(glVertexAttrib4ivARB)

glVertexAttrib4sARB = Function('glVertexAttrib4sARB')
glVertexAttrib4sARB.version = '1.3'
regal_gl.add(glVertexAttrib4sARB)

glVertexAttrib4svARB = Function('glVertexAttrib4svARB')
glVertexAttrib4svARB.add( Input( 'v','const GLshort *' ,size = 4 ))
glVertexAttrib4svARB.version = '1.3'
regal_gl.add(glVertexAttrib4svARB)

glVertexAttrib4ubvARB = Function('glVertexAttrib4ubvARB')
glVertexAttrib4ubvARB.add( Input( 'v','const GLubyte *' ,size = 4 ))
glVertexAttrib4ubvARB.version = '1.3'
regal_gl.add(glVertexAttrib4ubvARB)

glVertexAttrib4uivARB = Function('glVertexAttrib4uivARB')
glVertexAttrib4uivARB.add( Input( 'v','const GLuint *' ,size = 4 ))
glVertexAttrib4uivARB.version = '1.3'
regal_gl.add(glVertexAttrib4uivARB)

glVertexAttrib4usvARB = Function('glVertexAttrib4usvARB')
glVertexAttrib4usvARB.add( Input( 'v','const GLushort *' ,size = 4 ))
glVertexAttrib4usvARB.version = '1.3'
regal_gl.add(glVertexAttrib4usvARB)

glVertexAttribPointerARB = Function('glVertexAttribPointerARB')
glVertexAttribPointerARB.add( Input( 'pointer','const GLvoid *' ))
glVertexAttribPointerARB.version = '1.3'
regal_gl.add(glVertexAttribPointerARB)

glBindAttribLocationARB = Function('glBindAttribLocationARB')
glBindAttribLocationARB.add( Input( 'name','const GLcharARB *' ))
glBindAttribLocationARB.version = '1.1'
regal_gl.add(glBindAttribLocationARB)

glGetActiveAttribARB = Function('glGetActiveAttribARB')
glGetActiveAttribARB.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetActiveAttribARB.add( Output( 'size','GLint *' ,size = 1 ))
glGetActiveAttribARB.add( Output( 'type','GLenum *' ,size = 1 ))
glGetActiveAttribARB.add( Output( 'name','GLcharARB *' ,maxSize = 'maxLength' ))
glGetActiveAttribARB.version = '1.1'
glGetActiveAttribARB.play = False
regal_gl.add(glGetActiveAttribARB)

glGetAttribLocationARB = Function('glGetAttribLocationARB')
glGetAttribLocationARB.add( Input( 'name','const GLcharARB *' ))
glGetAttribLocationARB.version = '1.1'
glGetAttribLocationARB.play = False
regal_gl.add(glGetAttribLocationARB)

glColorP3ui = Function('glColorP3ui')
glColorP3ui.version = '3.3'
regal_gl.add(glColorP3ui)

glColorP3uiv = Function('glColorP3uiv')
glColorP3uiv.add( Input( 'color','const GLuint *' ,size = 1 ))
glColorP3uiv.version = '3.3'
regal_gl.add(glColorP3uiv)

glColorP4ui = Function('glColorP4ui')
glColorP4ui.version = '3.3'
regal_gl.add(glColorP4ui)

glColorP4uiv = Function('glColorP4uiv')
glColorP4uiv.add( Input( 'color','const GLuint *' ,size = 1 ))
glColorP4uiv.version = '3.3'
regal_gl.add(glColorP4uiv)

glMultiTexCoordP1ui = Function('glMultiTexCoordP1ui')
glMultiTexCoordP1ui.version = '3.3'
regal_gl.add(glMultiTexCoordP1ui)

glMultiTexCoordP1uiv = Function('glMultiTexCoordP1uiv')
glMultiTexCoordP1uiv.add( Input( 'coords','const GLuint *' ,size = 1 ))
glMultiTexCoordP1uiv.version = '3.3'
regal_gl.add(glMultiTexCoordP1uiv)

glMultiTexCoordP2ui = Function('glMultiTexCoordP2ui')
glMultiTexCoordP2ui.version = '3.3'
regal_gl.add(glMultiTexCoordP2ui)

glMultiTexCoordP2uiv = Function('glMultiTexCoordP2uiv')
glMultiTexCoordP2uiv.add( Input( 'coords','const GLuint *' ,size = 1 ))
glMultiTexCoordP2uiv.version = '3.3'
regal_gl.add(glMultiTexCoordP2uiv)

glMultiTexCoordP3ui = Function('glMultiTexCoordP3ui')
glMultiTexCoordP3ui.version = '3.3'
regal_gl.add(glMultiTexCoordP3ui)

glMultiTexCoordP3uiv = Function('glMultiTexCoordP3uiv')
glMultiTexCoordP3uiv.add( Input( 'coords','const GLuint *' ,size = 1 ))
glMultiTexCoordP3uiv.version = '3.3'
regal_gl.add(glMultiTexCoordP3uiv)

glMultiTexCoordP4ui = Function('glMultiTexCoordP4ui')
glMultiTexCoordP4ui.version = '3.3'
regal_gl.add(glMultiTexCoordP4ui)

glMultiTexCoordP4uiv = Function('glMultiTexCoordP4uiv')
glMultiTexCoordP4uiv.add( Input( 'coords','const GLuint *' ,size = 1 ))
glMultiTexCoordP4uiv.version = '3.3'
regal_gl.add(glMultiTexCoordP4uiv)

glNormalP3ui = Function('glNormalP3ui')
glNormalP3ui.version = '3.3'
regal_gl.add(glNormalP3ui)

glNormalP3uiv = Function('glNormalP3uiv')
glNormalP3uiv.add( Input( 'coords','const GLuint *' ,size = 1 ))
glNormalP3uiv.version = '3.3'
regal_gl.add(glNormalP3uiv)

glSecondaryColorP3ui = Function('glSecondaryColorP3ui')
glSecondaryColorP3ui.version = '3.3'
regal_gl.add(glSecondaryColorP3ui)

glSecondaryColorP3uiv = Function('glSecondaryColorP3uiv')
glSecondaryColorP3uiv.add( Input( 'color','const GLuint *' ,size = 1 ))
glSecondaryColorP3uiv.version = '3.3'
regal_gl.add(glSecondaryColorP3uiv)

glTexCoordP1ui = Function('glTexCoordP1ui')
glTexCoordP1ui.version = '3.3'
regal_gl.add(glTexCoordP1ui)

glTexCoordP1uiv = Function('glTexCoordP1uiv')
glTexCoordP1uiv.add( Input( 'coords','const GLuint *' ,size = 1 ))
glTexCoordP1uiv.version = '3.3'
regal_gl.add(glTexCoordP1uiv)

glTexCoordP2ui = Function('glTexCoordP2ui')
glTexCoordP2ui.version = '3.3'
regal_gl.add(glTexCoordP2ui)

glTexCoordP2uiv = Function('glTexCoordP2uiv')
glTexCoordP2uiv.add( Input( 'coords','const GLuint *' ,size = 1 ))
glTexCoordP2uiv.version = '3.3'
regal_gl.add(glTexCoordP2uiv)

glTexCoordP3ui = Function('glTexCoordP3ui')
glTexCoordP3ui.version = '3.3'
regal_gl.add(glTexCoordP3ui)

glTexCoordP3uiv = Function('glTexCoordP3uiv')
glTexCoordP3uiv.add( Input( 'coords','const GLuint *' ,size = 1 ))
glTexCoordP3uiv.version = '3.3'
regal_gl.add(glTexCoordP3uiv)

glTexCoordP4ui = Function('glTexCoordP4ui')
glTexCoordP4ui.version = '3.3'
regal_gl.add(glTexCoordP4ui)

glTexCoordP4uiv = Function('glTexCoordP4uiv')
glTexCoordP4uiv.add( Input( 'coords','const GLuint *' ,size = 1 ))
glTexCoordP4uiv.version = '3.3'
regal_gl.add(glTexCoordP4uiv)

glVertexAttribP1ui = Function('glVertexAttribP1ui')
glVertexAttribP1ui.version = '3.3'
regal_gl.add(glVertexAttribP1ui)

glVertexAttribP1uiv = Function('glVertexAttribP1uiv')
glVertexAttribP1uiv.add( Input( 'value','const GLuint *' ,size = 1 ))
glVertexAttribP1uiv.version = '3.3'
regal_gl.add(glVertexAttribP1uiv)

glVertexAttribP2ui = Function('glVertexAttribP2ui')
glVertexAttribP2ui.version = '3.3'
regal_gl.add(glVertexAttribP2ui)

glVertexAttribP2uiv = Function('glVertexAttribP2uiv')
glVertexAttribP2uiv.add( Input( 'value','const GLuint *' ,size = 1 ))
glVertexAttribP2uiv.version = '3.3'
regal_gl.add(glVertexAttribP2uiv)

glVertexAttribP3ui = Function('glVertexAttribP3ui')
glVertexAttribP3ui.version = '3.3'
regal_gl.add(glVertexAttribP3ui)

glVertexAttribP3uiv = Function('glVertexAttribP3uiv')
glVertexAttribP3uiv.add( Input( 'value','const GLuint *' ,size = 1 ))
glVertexAttribP3uiv.version = '3.3'
regal_gl.add(glVertexAttribP3uiv)

glVertexAttribP4ui = Function('glVertexAttribP4ui')
glVertexAttribP4ui.version = '3.3'
regal_gl.add(glVertexAttribP4ui)

glVertexAttribP4uiv = Function('glVertexAttribP4uiv')
glVertexAttribP4uiv.add( Input( 'value','const GLuint *' ,size = 1 ))
glVertexAttribP4uiv.version = '3.3'
regal_gl.add(glVertexAttribP4uiv)

glVertexP2ui = Function('glVertexP2ui')
glVertexP2ui.version = '3.3'
regal_gl.add(glVertexP2ui)

glVertexP2uiv = Function('glVertexP2uiv')
glVertexP2uiv.add( Input( 'coords','const GLuint *' ,size = 1 ))
glVertexP2uiv.version = '3.3'
regal_gl.add(glVertexP2uiv)

glVertexP3ui = Function('glVertexP3ui')
glVertexP3ui.version = '3.3'
regal_gl.add(glVertexP3ui)

glVertexP3uiv = Function('glVertexP3uiv')
glVertexP3uiv.add( Input( 'coords','const GLuint *' ,size = 1 ))
glVertexP3uiv.version = '3.3'
regal_gl.add(glVertexP3uiv)

glVertexP4ui = Function('glVertexP4ui')
glVertexP4ui.version = '3.3'
regal_gl.add(glVertexP4ui)

glVertexP4uiv = Function('glVertexP4uiv')
glVertexP4uiv.add( Input( 'coords','const GLuint *' ,size = 1 ))
glVertexP4uiv.version = '3.3'
regal_gl.add(glVertexP4uiv)

glDepthRangeArrayv = Function('glDepthRangeArrayv')
glDepthRangeArrayv.add( Input( 'v','const GLdouble *' ,size = 'count * 2' ))
glDepthRangeArrayv.version = '4.1'
regal_gl.add(glDepthRangeArrayv)

glDepthRangeIndexed = Function('glDepthRangeIndexed')
glDepthRangeIndexed.version = '4.1'
regal_gl.add(glDepthRangeIndexed)

glGetDoublei_v = Function('glGetDoublei_v')
glGetDoublei_v.add( Output( 'v','GLdouble *' ))
glGetDoublei_v.version = '4.1'
glGetDoublei_v.play = False
regal_gl.add(glGetDoublei_v)

glGetFloati_v = Function('glGetFloati_v')
glGetFloati_v.add( Output( 'v','GLfloat *' ))
glGetFloati_v.version = '4.1'
glGetFloati_v.play = False
regal_gl.add(glGetFloati_v)

glScissorArrayv = Function('glScissorArrayv')
glScissorArrayv.add( Input( 'v','const GLint *' ,size = 'count * 4' ))
glScissorArrayv.version = '4.1'
regal_gl.add(glScissorArrayv)

glScissorIndexed = Function('glScissorIndexed')
glScissorIndexed.version = '4.1'
regal_gl.add(glScissorIndexed)

glScissorIndexedv = Function('glScissorIndexedv')
glScissorIndexedv.add( Input( 'v','const GLint *' ,size = 4 ))
glScissorIndexedv.version = '4.1'
regal_gl.add(glScissorIndexedv)

glViewportArrayv = Function('glViewportArrayv')
glViewportArrayv.add( Input( 'v','const GLfloat *' ,size = 'count * 4' ))
glViewportArrayv.version = '4.1'
regal_gl.add(glViewportArrayv)

glViewportIndexedf = Function('glViewportIndexedf')
glViewportIndexedf.version = '4.1'
regal_gl.add(glViewportIndexedf)

glViewportIndexedfv = Function('glViewportIndexedfv')
glViewportIndexedfv.add( Input( 'v','const GLfloat *' ,size = 4 ))
glViewportIndexedfv.version = '4.1'
regal_gl.add(glViewportIndexedfv)

glWindowPos2dARB = Function('glWindowPos2dARB')
glWindowPos2dARB.version = '1.2'
regal_gl.add(glWindowPos2dARB)

glWindowPos2dvARB = Function('glWindowPos2dvARB')
glWindowPos2dvARB.add( Input( 'p','const GLdouble *' ,size = 2 ))
glWindowPos2dvARB.version = '1.2'
regal_gl.add(glWindowPos2dvARB)

glWindowPos2fARB = Function('glWindowPos2fARB')
glWindowPos2fARB.version = '1.2'
regal_gl.add(glWindowPos2fARB)

glWindowPos2fvARB = Function('glWindowPos2fvARB')
glWindowPos2fvARB.add( Input( 'p','const GLfloat *' ,size = 2 ))
glWindowPos2fvARB.version = '1.2'
regal_gl.add(glWindowPos2fvARB)

glWindowPos2iARB = Function('glWindowPos2iARB')
glWindowPos2iARB.version = '1.2'
regal_gl.add(glWindowPos2iARB)

glWindowPos2ivARB = Function('glWindowPos2ivARB')
glWindowPos2ivARB.add( Input( 'p','const GLint *' ,size = 2 ))
glWindowPos2ivARB.version = '1.2'
regal_gl.add(glWindowPos2ivARB)

glWindowPos2sARB = Function('glWindowPos2sARB')
glWindowPos2sARB.version = '1.2'
regal_gl.add(glWindowPos2sARB)

glWindowPos2svARB = Function('glWindowPos2svARB')
glWindowPos2svARB.add( Input( 'p','const GLshort *' ,size = 2 ))
glWindowPos2svARB.version = '1.2'
regal_gl.add(glWindowPos2svARB)

glWindowPos3dARB = Function('glWindowPos3dARB')
glWindowPos3dARB.version = '1.2'
regal_gl.add(glWindowPos3dARB)

glWindowPos3dvARB = Function('glWindowPos3dvARB')
glWindowPos3dvARB.add( Input( 'p','const GLdouble *' ,size = 3 ))
glWindowPos3dvARB.version = '1.2'
regal_gl.add(glWindowPos3dvARB)

glWindowPos3fARB = Function('glWindowPos3fARB')
glWindowPos3fARB.version = '1.2'
regal_gl.add(glWindowPos3fARB)

glWindowPos3fvARB = Function('glWindowPos3fvARB')
glWindowPos3fvARB.add( Input( 'p','const GLfloat *' ,size = 3 ))
glWindowPos3fvARB.version = '1.2'
regal_gl.add(glWindowPos3fvARB)

glWindowPos3iARB = Function('glWindowPos3iARB')
glWindowPos3iARB.version = '1.2'
regal_gl.add(glWindowPos3iARB)

glWindowPos3ivARB = Function('glWindowPos3ivARB')
glWindowPos3ivARB.add( Input( 'p','const GLint *' ,size = 3 ))
glWindowPos3ivARB.version = '1.2'
regal_gl.add(glWindowPos3ivARB)

glWindowPos3sARB = Function('glWindowPos3sARB')
glWindowPos3sARB.version = '1.2'
regal_gl.add(glWindowPos3sARB)

glWindowPos3svARB = Function('glWindowPos3svARB')
glWindowPos3svARB.add( Input( 'p','const GLshort *' ,size = 3 ))
glWindowPos3svARB.version = '1.2'
regal_gl.add(glWindowPos3svARB)

glDrawBuffersATI = Function('glDrawBuffersATI')
glDrawBuffersATI.add( Input( 'bufs','const GLenum *' ,size = 'n' ))
glDrawBuffersATI.version = '1.2'
regal_gl.add(glDrawBuffersATI)

glDrawElementArrayATI = Function('glDrawElementArrayATI')
glDrawElementArrayATI.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawElementArrayATI.version = '1.2'
regal_gl.add(glDrawElementArrayATI)

glDrawRangeElementArrayATI = Function('glDrawRangeElementArrayATI')
glDrawRangeElementArrayATI.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawRangeElementArrayATI.version = '1.2'
regal_gl.add(glDrawRangeElementArrayATI)

glElementPointerATI = Function('glElementPointerATI')
glElementPointerATI.add( Input( 'pointer','const GLvoid *' ))
glElementPointerATI.version = '1.2'
regal_gl.add(glElementPointerATI)

glGetTexBumpParameterfvATI = Function('glGetTexBumpParameterfvATI')
glGetTexBumpParameterfvATI.add( Output( 'param','GLfloat *' ))
glGetTexBumpParameterfvATI.version = '1.2'
regal_gl.add(glGetTexBumpParameterfvATI)

glGetTexBumpParameterivATI = Function('glGetTexBumpParameterivATI')
glGetTexBumpParameterivATI.add( Output( 'param','GLint *' ))
glGetTexBumpParameterivATI.version = '1.2'
regal_gl.add(glGetTexBumpParameterivATI)

glTexBumpParameterfvATI = Function('glTexBumpParameterfvATI')
glTexBumpParameterfvATI.add( Input( 'param','const GLfloat *' ))
glTexBumpParameterfvATI.version = '1.2'
regal_gl.add(glTexBumpParameterfvATI)

glTexBumpParameterivATI = Function('glTexBumpParameterivATI')
glTexBumpParameterivATI.add( Input( 'param','const GLint *' ))
glTexBumpParameterivATI.version = '1.2'
regal_gl.add(glTexBumpParameterivATI)

glAlphaFragmentOp1ATI = Function('glAlphaFragmentOp1ATI')
glAlphaFragmentOp1ATI.version = '1.2'
regal_gl.add(glAlphaFragmentOp1ATI)

glAlphaFragmentOp2ATI = Function('glAlphaFragmentOp2ATI')
glAlphaFragmentOp2ATI.version = '1.2'
regal_gl.add(glAlphaFragmentOp2ATI)

glAlphaFragmentOp3ATI = Function('glAlphaFragmentOp3ATI')
glAlphaFragmentOp3ATI.version = '1.2'
regal_gl.add(glAlphaFragmentOp3ATI)

glBeginFragmentShaderATI = Function('glBeginFragmentShaderATI')
glBeginFragmentShaderATI.version = '1.2'
regal_gl.add(glBeginFragmentShaderATI)

glBindFragmentShaderATI = Function('glBindFragmentShaderATI')
glBindFragmentShaderATI.version = '1.2'
regal_gl.add(glBindFragmentShaderATI)

glColorFragmentOp1ATI = Function('glColorFragmentOp1ATI')
glColorFragmentOp1ATI.version = '1.2'
regal_gl.add(glColorFragmentOp1ATI)

glColorFragmentOp2ATI = Function('glColorFragmentOp2ATI')
glColorFragmentOp2ATI.version = '1.2'
regal_gl.add(glColorFragmentOp2ATI)

glColorFragmentOp3ATI = Function('glColorFragmentOp3ATI')
glColorFragmentOp3ATI.version = '1.2'
regal_gl.add(glColorFragmentOp3ATI)

glDeleteFragmentShaderATI = Function('glDeleteFragmentShaderATI')
glDeleteFragmentShaderATI.version = '1.2'
regal_gl.add(glDeleteFragmentShaderATI)

glEndFragmentShaderATI = Function('glEndFragmentShaderATI')
glEndFragmentShaderATI.version = '1.2'
regal_gl.add(glEndFragmentShaderATI)

glGenFragmentShadersATI = Function('glGenFragmentShadersATI')
glGenFragmentShadersATI.version = '1.2'
regal_gl.add(glGenFragmentShadersATI)

glPassTexCoordATI = Function('glPassTexCoordATI')
glPassTexCoordATI.version = '1.2'
regal_gl.add(glPassTexCoordATI)

glSampleMapATI = Function('glSampleMapATI')
glSampleMapATI.version = '1.2'
regal_gl.add(glSampleMapATI)

glSetFragmentShaderConstantATI = Function('glSetFragmentShaderConstantATI')
glSetFragmentShaderConstantATI.add( Input( 'value','const GLfloat *' ,size = 4 ))
glSetFragmentShaderConstantATI.version = '1.2'
regal_gl.add(glSetFragmentShaderConstantATI)

glMapObjectBufferATI = Function('glMapObjectBufferATI')
glMapObjectBufferATI.version = '1.2'
regal_gl.add(glMapObjectBufferATI)

glUnmapObjectBufferATI = Function('glUnmapObjectBufferATI')
glUnmapObjectBufferATI.version = '1.2'
regal_gl.add(glUnmapObjectBufferATI)

glPNTrianglesfATI = Function('glPNTrianglesfATI')
glPNTrianglesfATI.version = '1.2'
regal_gl.add(glPNTrianglesfATI)

glPNTrianglesiATI = Function('glPNTrianglesiATI')
glPNTrianglesiATI.version = '1.2'
regal_gl.add(glPNTrianglesiATI)

glStencilFuncSeparateATI = Function('glStencilFuncSeparateATI')
glStencilFuncSeparateATI.add( Input( 'ref','GLint' ,regalLog = 'boost::print::hex(ref)' ))
glStencilFuncSeparateATI.add( Input( 'mask','GLuint' ,regalLog = 'boost::print::hex(mask)' ))
glStencilFuncSeparateATI.version = '1.2'
regal_gl.add(glStencilFuncSeparateATI)

glStencilOpSeparateATI = Function('glStencilOpSeparateATI')
glStencilOpSeparateATI.version = '1.2'
regal_gl.add(glStencilOpSeparateATI)

glArrayObjectATI = Function('glArrayObjectATI')
glArrayObjectATI.version = '1.2'
regal_gl.add(glArrayObjectATI)

glFreeObjectBufferATI = Function('glFreeObjectBufferATI')
glFreeObjectBufferATI.version = '1.2'
regal_gl.add(glFreeObjectBufferATI)

glGetArrayObjectfvATI = Function('glGetArrayObjectfvATI')
glGetArrayObjectfvATI.add( Output( 'params','GLfloat *' ,size = 1 ))
glGetArrayObjectfvATI.version = '1.2'
regal_gl.add(glGetArrayObjectfvATI)

glGetArrayObjectivATI = Function('glGetArrayObjectivATI')
glGetArrayObjectivATI.add( Output( 'params','GLint *' ,size = 1 ))
glGetArrayObjectivATI.version = '1.2'
regal_gl.add(glGetArrayObjectivATI)

glGetObjectBufferfvATI = Function('glGetObjectBufferfvATI')
glGetObjectBufferfvATI.add( Output( 'params','GLfloat *' ,size = 1 ))
glGetObjectBufferfvATI.version = '1.2'
regal_gl.add(glGetObjectBufferfvATI)

glGetObjectBufferivATI = Function('glGetObjectBufferivATI')
glGetObjectBufferivATI.add( Output( 'params','GLint *' ,size = 1 ))
glGetObjectBufferivATI.version = '1.2'
regal_gl.add(glGetObjectBufferivATI)

glGetVariantArrayObjectfvATI = Function('glGetVariantArrayObjectfvATI')
glGetVariantArrayObjectfvATI.add( Output( 'params','GLfloat *' ,size = 1 ))
glGetVariantArrayObjectfvATI.version = '1.2'
regal_gl.add(glGetVariantArrayObjectfvATI)

glGetVariantArrayObjectivATI = Function('glGetVariantArrayObjectivATI')
glGetVariantArrayObjectivATI.add( Output( 'params','GLint *' ,size = 1 ))
glGetVariantArrayObjectivATI.version = '1.2'
regal_gl.add(glGetVariantArrayObjectivATI)

glIsObjectBufferATI = Function('glIsObjectBufferATI')
glIsObjectBufferATI.version = '1.2'
regal_gl.add(glIsObjectBufferATI)

glNewObjectBufferATI = Function('glNewObjectBufferATI')
glNewObjectBufferATI.add( Input( 'pointer','const GLvoid *' ))
glNewObjectBufferATI.version = '1.2'
regal_gl.add(glNewObjectBufferATI)

glUpdateObjectBufferATI = Function('glUpdateObjectBufferATI')
glUpdateObjectBufferATI.add( Input( 'pointer','const GLvoid *' ))
glUpdateObjectBufferATI.version = '1.2'
regal_gl.add(glUpdateObjectBufferATI)

glVariantArrayObjectATI = Function('glVariantArrayObjectATI')
glVariantArrayObjectATI.version = '1.2'
regal_gl.add(glVariantArrayObjectATI)

glGetVertexAttribArrayObjectfvATI = Function('glGetVertexAttribArrayObjectfvATI')
glGetVertexAttribArrayObjectfvATI.add( Output( 'params','GLfloat *' ))
glGetVertexAttribArrayObjectfvATI.version = '1.2'
regal_gl.add(glGetVertexAttribArrayObjectfvATI)

glGetVertexAttribArrayObjectivATI = Function('glGetVertexAttribArrayObjectivATI')
glGetVertexAttribArrayObjectivATI.add( Output( 'params','GLint *' ))
glGetVertexAttribArrayObjectivATI.version = '1.2'
regal_gl.add(glGetVertexAttribArrayObjectivATI)

glVertexAttribArrayObjectATI = Function('glVertexAttribArrayObjectATI')
glVertexAttribArrayObjectATI.version = '1.2'
regal_gl.add(glVertexAttribArrayObjectATI)

glClientActiveVertexStreamATI = Function('glClientActiveVertexStreamATI')
glClientActiveVertexStreamATI.version = '1.2'
regal_gl.add(glClientActiveVertexStreamATI)

glNormalStream3bATI = Function('glNormalStream3bATI')
glNormalStream3bATI.version = '1.2'
regal_gl.add(glNormalStream3bATI)

glNormalStream3bvATI = Function('glNormalStream3bvATI')
glNormalStream3bvATI.add( Input( 'coords','const GLbyte *' ,size = 3 ))
glNormalStream3bvATI.version = '1.2'
regal_gl.add(glNormalStream3bvATI)

glNormalStream3dATI = Function('glNormalStream3dATI')
glNormalStream3dATI.version = '1.2'
regal_gl.add(glNormalStream3dATI)

glNormalStream3dvATI = Function('glNormalStream3dvATI')
glNormalStream3dvATI.add( Input( 'coords','const GLdouble *' ,size = 3 ))
glNormalStream3dvATI.version = '1.2'
regal_gl.add(glNormalStream3dvATI)

glNormalStream3fATI = Function('glNormalStream3fATI')
glNormalStream3fATI.version = '1.2'
regal_gl.add(glNormalStream3fATI)

glNormalStream3fvATI = Function('glNormalStream3fvATI')
glNormalStream3fvATI.add( Input( 'coords','const GLfloat *' ,size = 3 ))
glNormalStream3fvATI.version = '1.2'
regal_gl.add(glNormalStream3fvATI)

glNormalStream3iATI = Function('glNormalStream3iATI')
glNormalStream3iATI.version = '1.2'
regal_gl.add(glNormalStream3iATI)

glNormalStream3ivATI = Function('glNormalStream3ivATI')
glNormalStream3ivATI.add( Input( 'coords','const GLint *' ,size = 3 ))
glNormalStream3ivATI.version = '1.2'
regal_gl.add(glNormalStream3ivATI)

glNormalStream3sATI = Function('glNormalStream3sATI')
glNormalStream3sATI.version = '1.2'
regal_gl.add(glNormalStream3sATI)

glNormalStream3svATI = Function('glNormalStream3svATI')
glNormalStream3svATI.add( Input( 'coords','const GLshort *' ,size = 3 ))
glNormalStream3svATI.version = '1.2'
regal_gl.add(glNormalStream3svATI)

glVertexBlendEnvfATI = Function('glVertexBlendEnvfATI')
glVertexBlendEnvfATI.version = '1.2'
regal_gl.add(glVertexBlendEnvfATI)

glVertexBlendEnviATI = Function('glVertexBlendEnviATI')
glVertexBlendEnviATI.version = '1.2'
regal_gl.add(glVertexBlendEnviATI)

glVertexStream1dATI = Function('glVertexStream1dATI')
glVertexStream1dATI.version = '1.2'
regal_gl.add(glVertexStream1dATI)

glVertexStream1dvATI = Function('glVertexStream1dvATI')
glVertexStream1dvATI.add( Input( 'coords','const GLdouble *' ,size = 1 ))
glVertexStream1dvATI.version = '1.2'
regal_gl.add(glVertexStream1dvATI)

glVertexStream1fATI = Function('glVertexStream1fATI')
glVertexStream1fATI.version = '1.2'
regal_gl.add(glVertexStream1fATI)

glVertexStream1fvATI = Function('glVertexStream1fvATI')
glVertexStream1fvATI.add( Input( 'coords','const GLfloat *' ,size = 1 ))
glVertexStream1fvATI.version = '1.2'
regal_gl.add(glVertexStream1fvATI)

glVertexStream1iATI = Function('glVertexStream1iATI')
glVertexStream1iATI.version = '1.2'
regal_gl.add(glVertexStream1iATI)

glVertexStream1ivATI = Function('glVertexStream1ivATI')
glVertexStream1ivATI.add( Input( 'coords','const GLint *' ,size = 1 ))
glVertexStream1ivATI.version = '1.2'
regal_gl.add(glVertexStream1ivATI)

glVertexStream1sATI = Function('glVertexStream1sATI')
glVertexStream1sATI.version = '1.2'
regal_gl.add(glVertexStream1sATI)

glVertexStream1svATI = Function('glVertexStream1svATI')
glVertexStream1svATI.add( Input( 'coords','const GLshort *' ,size = 1 ))
glVertexStream1svATI.version = '1.2'
regal_gl.add(glVertexStream1svATI)

glVertexStream2dATI = Function('glVertexStream2dATI')
glVertexStream2dATI.version = '1.2'
regal_gl.add(glVertexStream2dATI)

glVertexStream2dvATI = Function('glVertexStream2dvATI')
glVertexStream2dvATI.add( Input( 'coords','const GLdouble *' ,size = 2 ))
glVertexStream2dvATI.version = '1.2'
regal_gl.add(glVertexStream2dvATI)

glVertexStream2fATI = Function('glVertexStream2fATI')
glVertexStream2fATI.version = '1.2'
regal_gl.add(glVertexStream2fATI)

glVertexStream2fvATI = Function('glVertexStream2fvATI')
glVertexStream2fvATI.add( Input( 'coords','const GLfloat *' ,size = 2 ))
glVertexStream2fvATI.version = '1.2'
regal_gl.add(glVertexStream2fvATI)

glVertexStream2iATI = Function('glVertexStream2iATI')
glVertexStream2iATI.version = '1.2'
regal_gl.add(glVertexStream2iATI)

glVertexStream2ivATI = Function('glVertexStream2ivATI')
glVertexStream2ivATI.add( Input( 'coords','const GLint *' ,size = 2 ))
glVertexStream2ivATI.version = '1.2'
regal_gl.add(glVertexStream2ivATI)

glVertexStream2sATI = Function('glVertexStream2sATI')
glVertexStream2sATI.version = '1.2'
regal_gl.add(glVertexStream2sATI)

glVertexStream2svATI = Function('glVertexStream2svATI')
glVertexStream2svATI.add( Input( 'coords','const GLshort *' ,size = 2 ))
glVertexStream2svATI.version = '1.2'
regal_gl.add(glVertexStream2svATI)

glVertexStream3dATI = Function('glVertexStream3dATI')
glVertexStream3dATI.version = '1.2'
regal_gl.add(glVertexStream3dATI)

glVertexStream3dvATI = Function('glVertexStream3dvATI')
glVertexStream3dvATI.add( Input( 'coords','const GLdouble *' ,size = 3 ))
glVertexStream3dvATI.version = '1.2'
regal_gl.add(glVertexStream3dvATI)

glVertexStream3fATI = Function('glVertexStream3fATI')
glVertexStream3fATI.version = '1.2'
regal_gl.add(glVertexStream3fATI)

glVertexStream3fvATI = Function('glVertexStream3fvATI')
glVertexStream3fvATI.add( Input( 'coords','const GLfloat *' ,size = 3 ))
glVertexStream3fvATI.version = '1.2'
regal_gl.add(glVertexStream3fvATI)

glVertexStream3iATI = Function('glVertexStream3iATI')
glVertexStream3iATI.version = '1.2'
regal_gl.add(glVertexStream3iATI)

glVertexStream3ivATI = Function('glVertexStream3ivATI')
glVertexStream3ivATI.add( Input( 'coords','const GLint *' ,size = 3 ))
glVertexStream3ivATI.version = '1.2'
regal_gl.add(glVertexStream3ivATI)

glVertexStream3sATI = Function('glVertexStream3sATI')
glVertexStream3sATI.version = '1.2'
regal_gl.add(glVertexStream3sATI)

glVertexStream3svATI = Function('glVertexStream3svATI')
glVertexStream3svATI.add( Input( 'coords','const GLshort *' ,size = 3 ))
glVertexStream3svATI.version = '1.2'
regal_gl.add(glVertexStream3svATI)

glVertexStream4dATI = Function('glVertexStream4dATI')
glVertexStream4dATI.version = '1.2'
regal_gl.add(glVertexStream4dATI)

glVertexStream4dvATI = Function('glVertexStream4dvATI')
glVertexStream4dvATI.add( Input( 'coords','const GLdouble *' ,size = 4 ))
glVertexStream4dvATI.version = '1.2'
regal_gl.add(glVertexStream4dvATI)

glVertexStream4fATI = Function('glVertexStream4fATI')
glVertexStream4fATI.version = '1.2'
regal_gl.add(glVertexStream4fATI)

glVertexStream4fvATI = Function('glVertexStream4fvATI')
glVertexStream4fvATI.add( Input( 'coords','const GLfloat *' ,size = 4 ))
glVertexStream4fvATI.version = '1.2'
regal_gl.add(glVertexStream4fvATI)

glVertexStream4iATI = Function('glVertexStream4iATI')
glVertexStream4iATI.version = '1.2'
regal_gl.add(glVertexStream4iATI)

glVertexStream4ivATI = Function('glVertexStream4ivATI')
glVertexStream4ivATI.add( Input( 'coords','const GLint *' ,size = 4 ))
glVertexStream4ivATI.version = '1.2'
regal_gl.add(glVertexStream4ivATI)

glVertexStream4sATI = Function('glVertexStream4sATI')
glVertexStream4sATI.version = '1.2'
regal_gl.add(glVertexStream4sATI)

glVertexStream4svATI = Function('glVertexStream4svATI')
glVertexStream4svATI.add( Input( 'coords','const GLshort *' ,size = 4 ))
glVertexStream4svATI.version = '1.2'
regal_gl.add(glVertexStream4svATI)

glGetUniformBufferSizeEXT = Function('glGetUniformBufferSizeEXT')
glGetUniformBufferSizeEXT.version = '2.0'
regal_gl.add(glGetUniformBufferSizeEXT)

glGetUniformOffsetEXT = Function('glGetUniformOffsetEXT')
glGetUniformOffsetEXT.version = '2.0'
regal_gl.add(glGetUniformOffsetEXT)

glUniformBufferEXT = Function('glUniformBufferEXT')
glUniformBufferEXT.version = '2.0'
regal_gl.add(glUniformBufferEXT)

glBlendColorEXT = Function('glBlendColorEXT')
glBlendColorEXT.version = '1.1'
regal_gl.add(glBlendColorEXT)

glBlendEquationSeparateEXT = Function('glBlendEquationSeparateEXT')
glBlendEquationSeparateEXT.add( Input( 'modeRGB','GLenum' ,regalLog = 'GLmodeToString(modeRGB)' ))
glBlendEquationSeparateEXT.add( Input( 'modeAlpha','GLenum' ,regalLog = 'GLmodeToString(modeAlpha)' ))
glBlendEquationSeparateEXT.version = '1.1'
regal_gl.add(glBlendEquationSeparateEXT)

glBlendFuncSeparateEXT = Function('glBlendFuncSeparateEXT')
glBlendFuncSeparateEXT.version = '1.1'
regal_gl.add(glBlendFuncSeparateEXT)

glBlendEquationEXT = Function('glBlendEquationEXT')
glBlendEquationEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glBlendEquationEXT.version = '1.1'
regal_gl.add(glBlendEquationEXT)

glColorSubTableEXT = Function('glColorSubTableEXT')
glColorSubTableEXT.add( Input( 'table','const GLvoid *' ))
glColorSubTableEXT.version = '1.0'
regal_gl.add(glColorSubTableEXT)

glCopyColorSubTableEXT = Function('glCopyColorSubTableEXT')
glCopyColorSubTableEXT.version = '1.0'
regal_gl.add(glCopyColorSubTableEXT)

glLockArraysEXT = Function('glLockArraysEXT')
glLockArraysEXT.version = '1.1'
regal_gl.add(glLockArraysEXT)

glUnlockArraysEXT = Function('glUnlockArraysEXT')
glUnlockArraysEXT.version = '1.1'
regal_gl.add(glUnlockArraysEXT)

glConvolutionFilter1DEXT = Function('glConvolutionFilter1DEXT')
glConvolutionFilter1DEXT.add( Input( 'image','const GLvoid *' ))
glConvolutionFilter1DEXT.version = '1.0'
regal_gl.add(glConvolutionFilter1DEXT)

glConvolutionFilter2DEXT = Function('glConvolutionFilter2DEXT')
glConvolutionFilter2DEXT.add( Input( 'image','const GLvoid *' ))
glConvolutionFilter2DEXT.version = '1.0'
regal_gl.add(glConvolutionFilter2DEXT)

glConvolutionParameterfEXT = Function('glConvolutionParameterfEXT')
glConvolutionParameterfEXT.version = '1.0'
regal_gl.add(glConvolutionParameterfEXT)

glConvolutionParameterfvEXT = Function('glConvolutionParameterfvEXT')
glConvolutionParameterfvEXT.add( Input( 'params','const GLfloat *' ))
glConvolutionParameterfvEXT.version = '1.0'
regal_gl.add(glConvolutionParameterfvEXT)

glConvolutionParameteriEXT = Function('glConvolutionParameteriEXT')
glConvolutionParameteriEXT.version = '1.0'
regal_gl.add(glConvolutionParameteriEXT)

glConvolutionParameterivEXT = Function('glConvolutionParameterivEXT')
glConvolutionParameterivEXT.add( Input( 'params','const GLint *' ))
glConvolutionParameterivEXT.version = '1.0'
regal_gl.add(glConvolutionParameterivEXT)

glCopyConvolutionFilter1DEXT = Function('glCopyConvolutionFilter1DEXT')
glCopyConvolutionFilter1DEXT.version = '1.0'
regal_gl.add(glCopyConvolutionFilter1DEXT)

glCopyConvolutionFilter2DEXT = Function('glCopyConvolutionFilter2DEXT')
glCopyConvolutionFilter2DEXT.version = '1.0'
regal_gl.add(glCopyConvolutionFilter2DEXT)

glGetConvolutionFilterEXT = Function('glGetConvolutionFilterEXT')
glGetConvolutionFilterEXT.add( Output( 'image','GLvoid *' ))
glGetConvolutionFilterEXT.version = '1.0'
regal_gl.add(glGetConvolutionFilterEXT)

glGetConvolutionParameterfvEXT = Function('glGetConvolutionParameterfvEXT')
glGetConvolutionParameterfvEXT.add( Output( 'params','GLfloat *' ))
glGetConvolutionParameterfvEXT.version = '1.0'
regal_gl.add(glGetConvolutionParameterfvEXT)

glGetConvolutionParameterivEXT = Function('glGetConvolutionParameterivEXT')
glGetConvolutionParameterivEXT.add( Output( 'params','GLint *' ))
glGetConvolutionParameterivEXT.version = '1.0'
regal_gl.add(glGetConvolutionParameterivEXT)

glGetSeparableFilterEXT = Function('glGetSeparableFilterEXT')
glGetSeparableFilterEXT.add( Output( 'row','GLvoid *' ))
glGetSeparableFilterEXT.add( Output( 'column','GLvoid *' ))
glGetSeparableFilterEXT.add( Output( 'span','GLvoid *' ))
glGetSeparableFilterEXT.version = '1.0'
regal_gl.add(glGetSeparableFilterEXT)

glSeparableFilter2DEXT = Function('glSeparableFilter2DEXT')
glSeparableFilter2DEXT.add( Input( 'row','const GLvoid *' ))
glSeparableFilter2DEXT.add( Input( 'column','const GLvoid *' ))
glSeparableFilter2DEXT.version = '1.0'
regal_gl.add(glSeparableFilter2DEXT)

glBinormal3bEXT = Function('glBinormal3bEXT')
glBinormal3bEXT.version = '1.1'
regal_gl.add(glBinormal3bEXT)

glBinormal3bvEXT = Function('glBinormal3bvEXT')
glBinormal3bvEXT.add( Input( 'v','const GLbyte *' ,size = 3 ))
glBinormal3bvEXT.version = '1.1'
regal_gl.add(glBinormal3bvEXT)

glBinormal3dEXT = Function('glBinormal3dEXT')
glBinormal3dEXT.version = '1.1'
regal_gl.add(glBinormal3dEXT)

glBinormal3dvEXT = Function('glBinormal3dvEXT')
glBinormal3dvEXT.add( Input( 'v','const GLdouble *' ,size = 3 ))
glBinormal3dvEXT.version = '1.1'
regal_gl.add(glBinormal3dvEXT)

glBinormal3fEXT = Function('glBinormal3fEXT')
glBinormal3fEXT.version = '1.1'
regal_gl.add(glBinormal3fEXT)

glBinormal3fvEXT = Function('glBinormal3fvEXT')
glBinormal3fvEXT.add( Input( 'v','const GLfloat *' ,size = 3 ))
glBinormal3fvEXT.version = '1.1'
regal_gl.add(glBinormal3fvEXT)

glBinormal3iEXT = Function('glBinormal3iEXT')
glBinormal3iEXT.version = '1.1'
regal_gl.add(glBinormal3iEXT)

glBinormal3ivEXT = Function('glBinormal3ivEXT')
glBinormal3ivEXT.add( Input( 'v','const GLint *' ,size = 3 ))
glBinormal3ivEXT.version = '1.1'
regal_gl.add(glBinormal3ivEXT)

glBinormal3sEXT = Function('glBinormal3sEXT')
glBinormal3sEXT.version = '1.1'
regal_gl.add(glBinormal3sEXT)

glBinormal3svEXT = Function('glBinormal3svEXT')
glBinormal3svEXT.add( Input( 'v','const GLshort *' ,size = 3 ))
glBinormal3svEXT.version = '1.1'
regal_gl.add(glBinormal3svEXT)

glBinormalPointerEXT = Function('glBinormalPointerEXT')
glBinormalPointerEXT.add( Input( 'pointer','const GLvoid *' ))
glBinormalPointerEXT.version = '1.1'
regal_gl.add(glBinormalPointerEXT)

glTangent3bEXT = Function('glTangent3bEXT')
glTangent3bEXT.version = '1.1'
regal_gl.add(glTangent3bEXT)

glTangent3bvEXT = Function('glTangent3bvEXT')
glTangent3bvEXT.add( Input( 'v','const GLbyte *' ,size = 3 ))
glTangent3bvEXT.version = '1.1'
regal_gl.add(glTangent3bvEXT)

glTangent3dEXT = Function('glTangent3dEXT')
glTangent3dEXT.version = '1.1'
regal_gl.add(glTangent3dEXT)

glTangent3dvEXT = Function('glTangent3dvEXT')
glTangent3dvEXT.add( Input( 'v','const GLdouble *' ,size = 3 ))
glTangent3dvEXT.version = '1.1'
regal_gl.add(glTangent3dvEXT)

glTangent3fEXT = Function('glTangent3fEXT')
glTangent3fEXT.version = '1.1'
regal_gl.add(glTangent3fEXT)

glTangent3fvEXT = Function('glTangent3fvEXT')
glTangent3fvEXT.add( Input( 'v','const GLfloat *' ,size = 3 ))
glTangent3fvEXT.version = '1.1'
regal_gl.add(glTangent3fvEXT)

glTangent3iEXT = Function('glTangent3iEXT')
glTangent3iEXT.version = '1.1'
regal_gl.add(glTangent3iEXT)

glTangent3ivEXT = Function('glTangent3ivEXT')
glTangent3ivEXT.add( Input( 'v','const GLint *' ,size = 3 ))
glTangent3ivEXT.version = '1.1'
regal_gl.add(glTangent3ivEXT)

glTangent3sEXT = Function('glTangent3sEXT')
glTangent3sEXT.version = '1.1'
regal_gl.add(glTangent3sEXT)

glTangent3svEXT = Function('glTangent3svEXT')
glTangent3svEXT.add( Input( 'v','const GLshort *' ,size = 3 ))
glTangent3svEXT.version = '1.1'
regal_gl.add(glTangent3svEXT)

glTangentPointerEXT = Function('glTangentPointerEXT')
glTangentPointerEXT.add( Input( 'pointer','const GLvoid *' ))
glTangentPointerEXT.version = '1.1'
regal_gl.add(glTangentPointerEXT)

glCopyTexImage1DEXT = Function('glCopyTexImage1DEXT')
glCopyTexImage1DEXT.version = '1.0'
regal_gl.add(glCopyTexImage1DEXT)

glCopyTexImage2DEXT = Function('glCopyTexImage2DEXT')
glCopyTexImage2DEXT.version = '1.0'
regal_gl.add(glCopyTexImage2DEXT)

glCopyTexSubImage1DEXT = Function('glCopyTexSubImage1DEXT')
glCopyTexSubImage1DEXT.version = '1.0'
regal_gl.add(glCopyTexSubImage1DEXT)

glCopyTexSubImage2DEXT = Function('glCopyTexSubImage2DEXT')
glCopyTexSubImage2DEXT.version = '1.0'
regal_gl.add(glCopyTexSubImage2DEXT)

glCopyTexSubImage3DEXT = Function('glCopyTexSubImage3DEXT')
glCopyTexSubImage3DEXT.version = '1.0'
regal_gl.add(glCopyTexSubImage3DEXT)

glCullParameterdvEXT = Function('glCullParameterdvEXT')
glCullParameterdvEXT.add( Output( 'params','GLdouble *' ,size = 4 ))
glCullParameterdvEXT.version = '1.1'
regal_gl.add(glCullParameterdvEXT)

glCullParameterfvEXT = Function('glCullParameterfvEXT')
glCullParameterfvEXT.add( Output( 'params','GLfloat *' ,size = 4 ))
glCullParameterfvEXT.version = '1.1'
regal_gl.add(glCullParameterfvEXT)

glGetObjectLabelEXT = Function('glGetObjectLabelEXT')
glGetObjectLabelEXT.add( Input( 'length','GLsizei *' ))
glGetObjectLabelEXT.add( Input( 'label','GLchar *' ))
regal_gl.add(glGetObjectLabelEXT)

glLabelObjectEXT = Function('glLabelObjectEXT')
glLabelObjectEXT.add( Input( 'label','const GLchar *' ))
regal_gl.add(glLabelObjectEXT)

glInsertEventMarkerEXT = Function('glInsertEventMarkerEXT')
glInsertEventMarkerEXT.add( Input( 'marker','const GLchar *' ))
glInsertEventMarkerEXT.version = 'ES 2.0'
regal_gl.add(glInsertEventMarkerEXT)

glPopGroupMarkerEXT = Function('glPopGroupMarkerEXT')
glPopGroupMarkerEXT.version = 'ES 2.0'
regal_gl.add(glPopGroupMarkerEXT)

glPushGroupMarkerEXT = Function('glPushGroupMarkerEXT')
glPushGroupMarkerEXT.add( Input( 'marker','const GLchar *' ))
glPushGroupMarkerEXT.version = 'ES 2.0'
regal_gl.add(glPushGroupMarkerEXT)

glDepthBoundsEXT = Function('glDepthBoundsEXT')
glDepthBoundsEXT.version = '1.1'
regal_gl.add(glDepthBoundsEXT)

glBindMultiTextureEXT = Function('glBindMultiTextureEXT')
glBindMultiTextureEXT.version = '1.1'
regal_gl.add(glBindMultiTextureEXT)

glCheckNamedFramebufferStatusEXT = Function('glCheckNamedFramebufferStatusEXT')
glCheckNamedFramebufferStatusEXT.version = '1.5'
regal_gl.add(glCheckNamedFramebufferStatusEXT)

glClientAttribDefaultEXT = Function('glClientAttribDefaultEXT')
glClientAttribDefaultEXT.add( Input( 'mask','GLbitfield' ,regalLog = 'GLpushClientAttribToString(mask)' ))
glClientAttribDefaultEXT.version = '1.1'
regal_gl.add(glClientAttribDefaultEXT)

glCompressedMultiTexImage1DEXT = Function('glCompressedMultiTexImage1DEXT')
glCompressedMultiTexImage1DEXT.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedMultiTexImage1DEXT.version = '1.3'
regal_gl.add(glCompressedMultiTexImage1DEXT)

glCompressedMultiTexImage2DEXT = Function('glCompressedMultiTexImage2DEXT')
glCompressedMultiTexImage2DEXT.add( Input( 'bits','const GLvoid *' ,size = 'imageSize' ))
glCompressedMultiTexImage2DEXT.version = '1.3'
regal_gl.add(glCompressedMultiTexImage2DEXT)

glCompressedMultiTexImage3DEXT = Function('glCompressedMultiTexImage3DEXT')
glCompressedMultiTexImage3DEXT.add( Input( 'bits','const GLvoid *' ,size = 'imageSize' ))
glCompressedMultiTexImage3DEXT.version = '1.3'
regal_gl.add(glCompressedMultiTexImage3DEXT)

glCompressedMultiTexSubImage1DEXT = Function('glCompressedMultiTexSubImage1DEXT')
glCompressedMultiTexSubImage1DEXT.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedMultiTexSubImage1DEXT.version = '1.3'
regal_gl.add(glCompressedMultiTexSubImage1DEXT)

glCompressedMultiTexSubImage2DEXT = Function('glCompressedMultiTexSubImage2DEXT')
glCompressedMultiTexSubImage2DEXT.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedMultiTexSubImage2DEXT.version = '1.3'
regal_gl.add(glCompressedMultiTexSubImage2DEXT)

glCompressedMultiTexSubImage3DEXT = Function('glCompressedMultiTexSubImage3DEXT')
glCompressedMultiTexSubImage3DEXT.add( Input( 'data','const GLvoid *' ,size = 'imageSize' ))
glCompressedMultiTexSubImage3DEXT.version = '1.3'
regal_gl.add(glCompressedMultiTexSubImage3DEXT)

glCompressedTextureImage1DEXT = Function('glCompressedTextureImage1DEXT')
glCompressedTextureImage1DEXT.add( Input( 'bits','const GLvoid *' ,size = 'imageSize' ))
glCompressedTextureImage1DEXT.version = '1.3'
regal_gl.add(glCompressedTextureImage1DEXT)

glCompressedTextureImage2DEXT = Function('glCompressedTextureImage2DEXT')
glCompressedTextureImage2DEXT.add( Input( 'bits','const GLvoid *' ,size = 'imageSize' ))
glCompressedTextureImage2DEXT.version = '1.3'
regal_gl.add(glCompressedTextureImage2DEXT)

glCompressedTextureImage3DEXT = Function('glCompressedTextureImage3DEXT')
glCompressedTextureImage3DEXT.add( Input( 'bits','const GLvoid *' ,size = 'imageSize' ))
glCompressedTextureImage3DEXT.version = '1.3'
regal_gl.add(glCompressedTextureImage3DEXT)

glCompressedTextureSubImage1DEXT = Function('glCompressedTextureSubImage1DEXT')
glCompressedTextureSubImage1DEXT.add( Input( 'bits','const GLvoid *' ,size = 'imageSize' ))
glCompressedTextureSubImage1DEXT.version = '1.3'
regal_gl.add(glCompressedTextureSubImage1DEXT)

glCompressedTextureSubImage2DEXT = Function('glCompressedTextureSubImage2DEXT')
glCompressedTextureSubImage2DEXT.add( Input( 'bits','const GLvoid *' ,size = 'imageSize' ))
glCompressedTextureSubImage2DEXT.version = '1.3'
regal_gl.add(glCompressedTextureSubImage2DEXT)

glCompressedTextureSubImage3DEXT = Function('glCompressedTextureSubImage3DEXT')
glCompressedTextureSubImage3DEXT.add( Input( 'bits','const GLvoid *' ,size = 'imageSize' ))
glCompressedTextureSubImage3DEXT.version = '1.3'
regal_gl.add(glCompressedTextureSubImage3DEXT)

glCopyMultiTexImage1DEXT = Function('glCopyMultiTexImage1DEXT')
glCopyMultiTexImage1DEXT.version = '1.1'
regal_gl.add(glCopyMultiTexImage1DEXT)

glCopyMultiTexImage2DEXT = Function('glCopyMultiTexImage2DEXT')
glCopyMultiTexImage2DEXT.version = '1.1'
regal_gl.add(glCopyMultiTexImage2DEXT)

glCopyMultiTexSubImage1DEXT = Function('glCopyMultiTexSubImage1DEXT')
glCopyMultiTexSubImage1DEXT.version = '1.1'
regal_gl.add(glCopyMultiTexSubImage1DEXT)

glCopyMultiTexSubImage2DEXT = Function('glCopyMultiTexSubImage2DEXT')
glCopyMultiTexSubImage2DEXT.version = '1.1'
regal_gl.add(glCopyMultiTexSubImage2DEXT)

glCopyMultiTexSubImage3DEXT = Function('glCopyMultiTexSubImage3DEXT')
glCopyMultiTexSubImage3DEXT.version = '1.2'
regal_gl.add(glCopyMultiTexSubImage3DEXT)

glCopyTextureImage1DEXT = Function('glCopyTextureImage1DEXT')
glCopyTextureImage1DEXT.version = '1.1'
regal_gl.add(glCopyTextureImage1DEXT)

glCopyTextureImage2DEXT = Function('glCopyTextureImage2DEXT')
glCopyTextureImage2DEXT.version = '1.1'
regal_gl.add(glCopyTextureImage2DEXT)

glCopyTextureSubImage1DEXT = Function('glCopyTextureSubImage1DEXT')
glCopyTextureSubImage1DEXT.version = '1.1'
regal_gl.add(glCopyTextureSubImage1DEXT)

glCopyTextureSubImage2DEXT = Function('glCopyTextureSubImage2DEXT')
glCopyTextureSubImage2DEXT.version = '1.1'
regal_gl.add(glCopyTextureSubImage2DEXT)

glCopyTextureSubImage3DEXT = Function('glCopyTextureSubImage3DEXT')
glCopyTextureSubImage3DEXT.version = '1.2'
regal_gl.add(glCopyTextureSubImage3DEXT)

glDisableClientStateIndexedEXT = Function('glDisableClientStateIndexedEXT')
glDisableClientStateIndexedEXT.version = '1.1'
regal_gl.add(glDisableClientStateIndexedEXT)

glDisableClientStateiEXT = Function('glDisableClientStateiEXT')
glDisableClientStateiEXT.version = '1.1'
regal_gl.add(glDisableClientStateiEXT)

glDisableVertexArrayAttribEXT = Function('glDisableVertexArrayAttribEXT')
glDisableVertexArrayAttribEXT.version = '3.0'
regal_gl.add(glDisableVertexArrayAttribEXT)

glDisableVertexArrayEXT = Function('glDisableVertexArrayEXT')
glDisableVertexArrayEXT.version = '3.0'
regal_gl.add(glDisableVertexArrayEXT)

glEnableClientStateIndexedEXT = Function('glEnableClientStateIndexedEXT')
glEnableClientStateIndexedEXT.version = '1.1'
regal_gl.add(glEnableClientStateIndexedEXT)

glEnableClientStateiEXT = Function('glEnableClientStateiEXT')
glEnableClientStateiEXT.version = '1.1'
regal_gl.add(glEnableClientStateiEXT)

glEnableVertexArrayAttribEXT = Function('glEnableVertexArrayAttribEXT')
glEnableVertexArrayAttribEXT.version = '3.0'
regal_gl.add(glEnableVertexArrayAttribEXT)

glEnableVertexArrayEXT = Function('glEnableVertexArrayEXT')
glEnableVertexArrayEXT.version = '3.0'
regal_gl.add(glEnableVertexArrayEXT)

glFlushMappedNamedBufferRangeEXT = Function('glFlushMappedNamedBufferRangeEXT')
glFlushMappedNamedBufferRangeEXT.version = '3.0'
regal_gl.add(glFlushMappedNamedBufferRangeEXT)

glFramebufferDrawBufferEXT = Function('glFramebufferDrawBufferEXT')
glFramebufferDrawBufferEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glFramebufferDrawBufferEXT.version = '1.5'
regal_gl.add(glFramebufferDrawBufferEXT)

glFramebufferDrawBuffersEXT = Function('glFramebufferDrawBuffersEXT')
glFramebufferDrawBuffersEXT.add( Input( 'bufs','const GLenum *' ,size = 'n' ))
glFramebufferDrawBuffersEXT.version = '1.5'
regal_gl.add(glFramebufferDrawBuffersEXT)

glFramebufferReadBufferEXT = Function('glFramebufferReadBufferEXT')
glFramebufferReadBufferEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glFramebufferReadBufferEXT.version = '1.5'
regal_gl.add(glFramebufferReadBufferEXT)

glGenerateMultiTexMipmapEXT = Function('glGenerateMultiTexMipmapEXT')
glGenerateMultiTexMipmapEXT.version = '1.5'
regal_gl.add(glGenerateMultiTexMipmapEXT)

glGenerateTextureMipmapEXT = Function('glGenerateTextureMipmapEXT')
glGenerateTextureMipmapEXT.version = '1.5'
regal_gl.add(glGenerateTextureMipmapEXT)

glGetCompressedMultiTexImageEXT = Function('glGetCompressedMultiTexImageEXT')
glGetCompressedMultiTexImageEXT.add( Output( 'img','GLvoid *' ))
glGetCompressedMultiTexImageEXT.version = '1.3'
regal_gl.add(glGetCompressedMultiTexImageEXT)

glGetCompressedTextureImageEXT = Function('glGetCompressedTextureImageEXT')
glGetCompressedTextureImageEXT.add( Output( 'img','GLvoid *' ))
glGetCompressedTextureImageEXT.version = '1.3'
regal_gl.add(glGetCompressedTextureImageEXT)

glGetDoubleIndexedvEXT = Function('glGetDoubleIndexedvEXT')
glGetDoubleIndexedvEXT.add( Output( 'data','GLdouble *' ))
glGetDoubleIndexedvEXT.version = '2.0'
regal_gl.add(glGetDoubleIndexedvEXT)

glGetDoublei_vEXT = Function('glGetDoublei_vEXT')
glGetDoublei_vEXT.add( Output( 'params','GLdouble *' ))
glGetDoublei_vEXT.version = '2.0'
regal_gl.add(glGetDoublei_vEXT)

glGetFloatIndexedvEXT = Function('glGetFloatIndexedvEXT')
glGetFloatIndexedvEXT.add( Output( 'data','GLfloat *' ))
glGetFloatIndexedvEXT.version = '2.0'
regal_gl.add(glGetFloatIndexedvEXT)

glGetFloati_vEXT = Function('glGetFloati_vEXT')
glGetFloati_vEXT.add( Output( 'params','GLfloat *' ))
glGetFloati_vEXT.version = '2.0'
regal_gl.add(glGetFloati_vEXT)

glGetFramebufferParameterivEXT = Function('glGetFramebufferParameterivEXT')
glGetFramebufferParameterivEXT.add( Output( 'params','GLint *' ))
glGetFramebufferParameterivEXT.version = '1.5'
regal_gl.add(glGetFramebufferParameterivEXT)

glGetMultiTexEnvfvEXT = Function('glGetMultiTexEnvfvEXT')
glGetMultiTexEnvfvEXT.add( Output( 'params','GLfloat *' ))
glGetMultiTexEnvfvEXT.version = '1.3'
regal_gl.add(glGetMultiTexEnvfvEXT)

glGetMultiTexEnvivEXT = Function('glGetMultiTexEnvivEXT')
glGetMultiTexEnvivEXT.add( Output( 'params','GLint *' ))
glGetMultiTexEnvivEXT.version = '1.3'
regal_gl.add(glGetMultiTexEnvivEXT)

glGetMultiTexGendvEXT = Function('glGetMultiTexGendvEXT')
glGetMultiTexGendvEXT.add( Output( 'params','GLdouble *' ))
glGetMultiTexGendvEXT.version = '1.3'
regal_gl.add(glGetMultiTexGendvEXT)

glGetMultiTexGenfvEXT = Function('glGetMultiTexGenfvEXT')
glGetMultiTexGenfvEXT.add( Output( 'params','GLfloat *' ))
glGetMultiTexGenfvEXT.version = '1.3'
regal_gl.add(glGetMultiTexGenfvEXT)

glGetMultiTexGenivEXT = Function('glGetMultiTexGenivEXT')
glGetMultiTexGenivEXT.add( Output( 'params','GLint *' ))
glGetMultiTexGenivEXT.version = '1.3'
regal_gl.add(glGetMultiTexGenivEXT)

glGetMultiTexImageEXT = Function('glGetMultiTexImageEXT')
glGetMultiTexImageEXT.add( Output( 'pixels','GLvoid *' ))
glGetMultiTexImageEXT.version = '1.1'
regal_gl.add(glGetMultiTexImageEXT)

glGetMultiTexLevelParameterfvEXT = Function('glGetMultiTexLevelParameterfvEXT')
glGetMultiTexLevelParameterfvEXT.add( Output( 'params','GLfloat *' ))
glGetMultiTexLevelParameterfvEXT.version = '1.1'
regal_gl.add(glGetMultiTexLevelParameterfvEXT)

glGetMultiTexLevelParameterivEXT = Function('glGetMultiTexLevelParameterivEXT')
glGetMultiTexLevelParameterivEXT.add( Output( 'params','GLint *' ))
glGetMultiTexLevelParameterivEXT.version = '1.1'
regal_gl.add(glGetMultiTexLevelParameterivEXT)

glGetMultiTexParameterIivEXT = Function('glGetMultiTexParameterIivEXT')
glGetMultiTexParameterIivEXT.add( Output( 'params','GLint *' ))
glGetMultiTexParameterIivEXT.version = '1.1'
regal_gl.add(glGetMultiTexParameterIivEXT)

glGetMultiTexParameterIuivEXT = Function('glGetMultiTexParameterIuivEXT')
glGetMultiTexParameterIuivEXT.add( Output( 'params','GLuint *' ))
glGetMultiTexParameterIuivEXT.version = '1.1'
regal_gl.add(glGetMultiTexParameterIuivEXT)

glGetMultiTexParameterfvEXT = Function('glGetMultiTexParameterfvEXT')
glGetMultiTexParameterfvEXT.add( Output( 'params','GLfloat *' ))
glGetMultiTexParameterfvEXT.version = '1.1'
regal_gl.add(glGetMultiTexParameterfvEXT)

glGetMultiTexParameterivEXT = Function('glGetMultiTexParameterivEXT')
glGetMultiTexParameterivEXT.add( Output( 'params','GLint *' ))
glGetMultiTexParameterivEXT.version = '1.1'
regal_gl.add(glGetMultiTexParameterivEXT)

glGetNamedBufferParameterivEXT = Function('glGetNamedBufferParameterivEXT')
glGetNamedBufferParameterivEXT.add( Output( 'params','GLint *' ))
glGetNamedBufferParameterivEXT.version = '1.5'
regal_gl.add(glGetNamedBufferParameterivEXT)

glGetNamedBufferPointervEXT = Function('glGetNamedBufferPointervEXT')
glGetNamedBufferPointervEXT.add( Output( 'params','GLvoid **' ))
glGetNamedBufferPointervEXT.version = '1.5'
regal_gl.add(glGetNamedBufferPointervEXT)

glGetNamedBufferSubDataEXT = Function('glGetNamedBufferSubDataEXT')
glGetNamedBufferSubDataEXT.add( Output( 'data','GLvoid *' ))
glGetNamedBufferSubDataEXT.version = '1.5'
regal_gl.add(glGetNamedBufferSubDataEXT)

glGetNamedFramebufferAttachmentParameterivEXT = Function('glGetNamedFramebufferAttachmentParameterivEXT')
glGetNamedFramebufferAttachmentParameterivEXT.add( Output( 'params','GLint *' ))
glGetNamedFramebufferAttachmentParameterivEXT.version = '1.5'
regal_gl.add(glGetNamedFramebufferAttachmentParameterivEXT)

glGetNamedProgramLocalParameterIivEXT = Function('glGetNamedProgramLocalParameterIivEXT')
glGetNamedProgramLocalParameterIivEXT.add( Output( 'params','GLint *' ,size = 4 ))
glGetNamedProgramLocalParameterIivEXT.version = '1.3'
regal_gl.add(glGetNamedProgramLocalParameterIivEXT)

glGetNamedProgramLocalParameterIuivEXT = Function('glGetNamedProgramLocalParameterIuivEXT')
glGetNamedProgramLocalParameterIuivEXT.add( Output( 'params','GLuint *' ,size = 4 ))
glGetNamedProgramLocalParameterIuivEXT.version = '1.3'
regal_gl.add(glGetNamedProgramLocalParameterIuivEXT)

glGetNamedProgramLocalParameterdvEXT = Function('glGetNamedProgramLocalParameterdvEXT')
glGetNamedProgramLocalParameterdvEXT.add( Output( 'params','GLdouble *' ,size = 4 ))
glGetNamedProgramLocalParameterdvEXT.version = '1.3'
regal_gl.add(glGetNamedProgramLocalParameterdvEXT)

glGetNamedProgramLocalParameterfvEXT = Function('glGetNamedProgramLocalParameterfvEXT')
glGetNamedProgramLocalParameterfvEXT.add( Output( 'params','GLfloat *' ,size = 4 ))
glGetNamedProgramLocalParameterfvEXT.version = '1.3'
regal_gl.add(glGetNamedProgramLocalParameterfvEXT)

glGetNamedProgramStringEXT = Function('glGetNamedProgramStringEXT')
glGetNamedProgramStringEXT.add( Output( 'string','GLvoid *' ))
glGetNamedProgramStringEXT.version = '1.3'
regal_gl.add(glGetNamedProgramStringEXT)

glGetNamedProgramivEXT = Function('glGetNamedProgramivEXT')
glGetNamedProgramivEXT.add( Output( 'params','GLint *' ,size = 1 ))
glGetNamedProgramivEXT.version = '1.3'
regal_gl.add(glGetNamedProgramivEXT)

glGetNamedRenderbufferParameterivEXT = Function('glGetNamedRenderbufferParameterivEXT')
glGetNamedRenderbufferParameterivEXT.add( Output( 'params','GLint *' ))
glGetNamedRenderbufferParameterivEXT.version = '1.5'
regal_gl.add(glGetNamedRenderbufferParameterivEXT)

glGetPointerIndexedvEXT = Function('glGetPointerIndexedvEXT')
glGetPointerIndexedvEXT.add( Output( 'data','GLvoid **' ))
glGetPointerIndexedvEXT.version = '2.0'
regal_gl.add(glGetPointerIndexedvEXT)

glGetPointeri_vEXT = Function('glGetPointeri_vEXT')
glGetPointeri_vEXT.add( Output( 'params','GLvoid **' ))
glGetPointeri_vEXT.version = '2.0'
regal_gl.add(glGetPointeri_vEXT)

glGetTextureImageEXT = Function('glGetTextureImageEXT')
glGetTextureImageEXT.add( Output( 'pixels','GLvoid *' ))
glGetTextureImageEXT.version = '1.1'
regal_gl.add(glGetTextureImageEXT)

glGetTextureLevelParameterfvEXT = Function('glGetTextureLevelParameterfvEXT')
glGetTextureLevelParameterfvEXT.add( Output( 'params','GLfloat *' ))
glGetTextureLevelParameterfvEXT.version = '1.1'
regal_gl.add(glGetTextureLevelParameterfvEXT)

glGetTextureLevelParameterivEXT = Function('glGetTextureLevelParameterivEXT')
glGetTextureLevelParameterivEXT.add( Output( 'params','GLint *' ))
glGetTextureLevelParameterivEXT.version = '1.1'
regal_gl.add(glGetTextureLevelParameterivEXT)

glGetTextureParameterIivEXT = Function('glGetTextureParameterIivEXT')
glGetTextureParameterIivEXT.add( Output( 'params','GLint *' ))
glGetTextureParameterIivEXT.version = '1.1'
regal_gl.add(glGetTextureParameterIivEXT)

glGetTextureParameterIuivEXT = Function('glGetTextureParameterIuivEXT')
glGetTextureParameterIuivEXT.add( Output( 'params','GLuint *' ))
glGetTextureParameterIuivEXT.version = '1.1'
regal_gl.add(glGetTextureParameterIuivEXT)

glGetTextureParameterfvEXT = Function('glGetTextureParameterfvEXT')
glGetTextureParameterfvEXT.add( Output( 'params','GLfloat *' ))
glGetTextureParameterfvEXT.version = '1.1'
regal_gl.add(glGetTextureParameterfvEXT)

glGetTextureParameterivEXT = Function('glGetTextureParameterivEXT')
glGetTextureParameterivEXT.add( Output( 'params','GLint *' ))
glGetTextureParameterivEXT.version = '1.1'
regal_gl.add(glGetTextureParameterivEXT)

glGetVertexArrayIntegeri_vEXT = Function('glGetVertexArrayIntegeri_vEXT')
glGetVertexArrayIntegeri_vEXT.add( Output( 'param','GLint *' ))
glGetVertexArrayIntegeri_vEXT.version = '3.0'
regal_gl.add(glGetVertexArrayIntegeri_vEXT)

glGetVertexArrayIntegervEXT = Function('glGetVertexArrayIntegervEXT')
glGetVertexArrayIntegervEXT.add( Output( 'param','GLint *' ))
glGetVertexArrayIntegervEXT.version = '3.0'
regal_gl.add(glGetVertexArrayIntegervEXT)

glGetVertexArrayPointeri_vEXT = Function('glGetVertexArrayPointeri_vEXT')
glGetVertexArrayPointeri_vEXT.add( Output( 'param','GLvoid **' ,size = 1 ))
glGetVertexArrayPointeri_vEXT.version = '3.0'
regal_gl.add(glGetVertexArrayPointeri_vEXT)

glGetVertexArrayPointervEXT = Function('glGetVertexArrayPointervEXT')
glGetVertexArrayPointervEXT.add( Output( 'param','GLvoid **' ,size = 1 ))
glGetVertexArrayPointervEXT.version = '3.0'
regal_gl.add(glGetVertexArrayPointervEXT)

glMapNamedBufferEXT = Function('glMapNamedBufferEXT')
glMapNamedBufferEXT.version = '1.5'
regal_gl.add(glMapNamedBufferEXT)

glMapNamedBufferRangeEXT = Function('glMapNamedBufferRangeEXT')
glMapNamedBufferRangeEXT.add( Input( 'access','GLbitfield' ,regalLog = 'GLmapBufferRangeToString(access)' ))
glMapNamedBufferRangeEXT.version = '3.0'
regal_gl.add(glMapNamedBufferRangeEXT)

glMatrixFrustumEXT = Function('glMatrixFrustumEXT')
glMatrixFrustumEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixFrustumEXT.version = '1.0'
regal_gl.add(glMatrixFrustumEXT)

glMatrixLoadIdentityEXT = Function('glMatrixLoadIdentityEXT')
glMatrixLoadIdentityEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixLoadIdentityEXT.version = '1.0'
regal_gl.add(glMatrixLoadIdentityEXT)

glMatrixLoadTransposedEXT = Function('glMatrixLoadTransposedEXT')
glMatrixLoadTransposedEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixLoadTransposedEXT.add( Input( 'm','const GLdouble *' ,size = 16 ))
glMatrixLoadTransposedEXT.version = '1.3'
regal_gl.add(glMatrixLoadTransposedEXT)

glMatrixLoadTransposefEXT = Function('glMatrixLoadTransposefEXT')
glMatrixLoadTransposefEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixLoadTransposefEXT.add( Input( 'm','const GLfloat *' ,size = 16 ))
glMatrixLoadTransposefEXT.version = '1.3'
regal_gl.add(glMatrixLoadTransposefEXT)

glMatrixLoaddEXT = Function('glMatrixLoaddEXT')
glMatrixLoaddEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixLoaddEXT.add( Input( 'm','const GLdouble *' ,size = 16 ))
glMatrixLoaddEXT.version = '1.0'
regal_gl.add(glMatrixLoaddEXT)

glMatrixLoadfEXT = Function('glMatrixLoadfEXT')
glMatrixLoadfEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixLoadfEXT.add( Input( 'm','const GLfloat *' ,size = 16 ))
glMatrixLoadfEXT.version = '1.0'
regal_gl.add(glMatrixLoadfEXT)

glMatrixMultTransposedEXT = Function('glMatrixMultTransposedEXT')
glMatrixMultTransposedEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixMultTransposedEXT.add( Input( 'm','const GLdouble *' ,size = 16 ))
glMatrixMultTransposedEXT.version = '1.3'
regal_gl.add(glMatrixMultTransposedEXT)

glMatrixMultTransposefEXT = Function('glMatrixMultTransposefEXT')
glMatrixMultTransposefEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixMultTransposefEXT.add( Input( 'm','const GLfloat *' ,size = 16 ))
glMatrixMultTransposefEXT.version = '1.3'
regal_gl.add(glMatrixMultTransposefEXT)

glMatrixMultdEXT = Function('glMatrixMultdEXT')
glMatrixMultdEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixMultdEXT.add( Input( 'm','const GLdouble *' ,size = 16 ))
glMatrixMultdEXT.version = '1.0'
regal_gl.add(glMatrixMultdEXT)

glMatrixMultfEXT = Function('glMatrixMultfEXT')
glMatrixMultfEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixMultfEXT.add( Input( 'm','const GLfloat *' ,size = 16 ))
glMatrixMultfEXT.version = '1.0'
regal_gl.add(glMatrixMultfEXT)

glMatrixOrthoEXT = Function('glMatrixOrthoEXT')
glMatrixOrthoEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixOrthoEXT.version = '1.0'
regal_gl.add(glMatrixOrthoEXT)

glMatrixPopEXT = Function('glMatrixPopEXT')
glMatrixPopEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixPopEXT.version = '1.0'
regal_gl.add(glMatrixPopEXT)

glMatrixPushEXT = Function('glMatrixPushEXT')
glMatrixPushEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixPushEXT.version = '1.0'
regal_gl.add(glMatrixPushEXT)

glMatrixRotatedEXT = Function('glMatrixRotatedEXT')
glMatrixRotatedEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixRotatedEXT.version = '1.0'
regal_gl.add(glMatrixRotatedEXT)

glMatrixRotatefEXT = Function('glMatrixRotatefEXT')
glMatrixRotatefEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixRotatefEXT.version = '1.0'
regal_gl.add(glMatrixRotatefEXT)

glMatrixScaledEXT = Function('glMatrixScaledEXT')
glMatrixScaledEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixScaledEXT.version = '1.0'
regal_gl.add(glMatrixScaledEXT)

glMatrixScalefEXT = Function('glMatrixScalefEXT')
glMatrixScalefEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixScalefEXT.version = '1.0'
regal_gl.add(glMatrixScalefEXT)

glMatrixTranslatedEXT = Function('glMatrixTranslatedEXT')
glMatrixTranslatedEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixTranslatedEXT.version = '1.0'
regal_gl.add(glMatrixTranslatedEXT)

glMatrixTranslatefEXT = Function('glMatrixTranslatefEXT')
glMatrixTranslatefEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMatrixTranslatefEXT.version = '1.0'
regal_gl.add(glMatrixTranslatefEXT)

glMultiTexBufferEXT = Function('glMultiTexBufferEXT')
glMultiTexBufferEXT.version = '2.0'
regal_gl.add(glMultiTexBufferEXT)

glMultiTexCoordPointerEXT = Function('glMultiTexCoordPointerEXT')
glMultiTexCoordPointerEXT.add( Input( 'pointer','const GLvoid *' ))
glMultiTexCoordPointerEXT.version = '1.1'
regal_gl.add(glMultiTexCoordPointerEXT)

glMultiTexEnvfEXT = Function('glMultiTexEnvfEXT')
glMultiTexEnvfEXT.version = '1.3'
regal_gl.add(glMultiTexEnvfEXT)

glMultiTexEnvfvEXT = Function('glMultiTexEnvfvEXT')
glMultiTexEnvfvEXT.add( Input( 'params','const GLfloat *' ))
glMultiTexEnvfvEXT.version = '1.3'
regal_gl.add(glMultiTexEnvfvEXT)

glMultiTexEnviEXT = Function('glMultiTexEnviEXT')
glMultiTexEnviEXT.version = '1.3'
regal_gl.add(glMultiTexEnviEXT)

glMultiTexEnvivEXT = Function('glMultiTexEnvivEXT')
glMultiTexEnvivEXT.add( Input( 'params','const GLint *' ))
glMultiTexEnvivEXT.version = '1.3'
regal_gl.add(glMultiTexEnvivEXT)

glMultiTexGendEXT = Function('glMultiTexGendEXT')
glMultiTexGendEXT.version = '1.3'
regal_gl.add(glMultiTexGendEXT)

glMultiTexGendvEXT = Function('glMultiTexGendvEXT')
glMultiTexGendvEXT.add( Input( 'params','const GLdouble *' ))
glMultiTexGendvEXT.version = '1.3'
regal_gl.add(glMultiTexGendvEXT)

glMultiTexGenfEXT = Function('glMultiTexGenfEXT')
glMultiTexGenfEXT.version = '1.3'
regal_gl.add(glMultiTexGenfEXT)

glMultiTexGenfvEXT = Function('glMultiTexGenfvEXT')
glMultiTexGenfvEXT.add( Input( 'params','const GLfloat *' ))
glMultiTexGenfvEXT.version = '1.3'
regal_gl.add(glMultiTexGenfvEXT)

glMultiTexGeniEXT = Function('glMultiTexGeniEXT')
glMultiTexGeniEXT.version = '1.3'
regal_gl.add(glMultiTexGeniEXT)

glMultiTexGenivEXT = Function('glMultiTexGenivEXT')
glMultiTexGenivEXT.add( Input( 'params','const GLint *' ))
glMultiTexGenivEXT.version = '1.3'
regal_gl.add(glMultiTexGenivEXT)

glMultiTexImage1DEXT = Function('glMultiTexImage1DEXT')
glMultiTexImage1DEXT.add( Input( 'pixels','const GLvoid *' ))
glMultiTexImage1DEXT.version = '1.1'
regal_gl.add(glMultiTexImage1DEXT)

glMultiTexImage2DEXT = Function('glMultiTexImage2DEXT')
glMultiTexImage2DEXT.add( Input( 'pixels','const GLvoid *' ))
glMultiTexImage2DEXT.version = '1.1'
regal_gl.add(glMultiTexImage2DEXT)

glMultiTexImage3DEXT = Function('glMultiTexImage3DEXT')
glMultiTexImage3DEXT.add( Input( 'pixels','const GLvoid *' ))
glMultiTexImage3DEXT.version = '1.2'
regal_gl.add(glMultiTexImage3DEXT)

glMultiTexParameterIivEXT = Function('glMultiTexParameterIivEXT')
glMultiTexParameterIivEXT.add( Input( 'params','const GLint *' ))
glMultiTexParameterIivEXT.version = '1.1'
regal_gl.add(glMultiTexParameterIivEXT)

glMultiTexParameterIuivEXT = Function('glMultiTexParameterIuivEXT')
glMultiTexParameterIuivEXT.add( Input( 'params','const GLuint *' ))
glMultiTexParameterIuivEXT.version = '1.1'
regal_gl.add(glMultiTexParameterIuivEXT)

glMultiTexParameterfEXT = Function('glMultiTexParameterfEXT')
glMultiTexParameterfEXT.version = '1.1'
regal_gl.add(glMultiTexParameterfEXT)

glMultiTexParameterfvEXT = Function('glMultiTexParameterfvEXT')
glMultiTexParameterfvEXT.add( Input( 'params','const GLfloat *' ,size = 'helperGLTexParametervSize(pname)' ))
glMultiTexParameterfvEXT.version = '1.1'
regal_gl.add(glMultiTexParameterfvEXT)

glMultiTexParameteriEXT = Function('glMultiTexParameteriEXT')
glMultiTexParameteriEXT.version = '1.1'
regal_gl.add(glMultiTexParameteriEXT)

glMultiTexParameterivEXT = Function('glMultiTexParameterivEXT')
glMultiTexParameterivEXT.add( Input( 'params','const GLint *' ,size = 'helperGLTexParametervSize(pname)' ))
glMultiTexParameterivEXT.version = '1.1'
regal_gl.add(glMultiTexParameterivEXT)

glMultiTexRenderbufferEXT = Function('glMultiTexRenderbufferEXT')
glMultiTexRenderbufferEXT.version = '2.0'
regal_gl.add(glMultiTexRenderbufferEXT)

glMultiTexSubImage1DEXT = Function('glMultiTexSubImage1DEXT')
glMultiTexSubImage1DEXT.add( Input( 'pixels','const GLvoid *' ))
glMultiTexSubImage1DEXT.version = '1.1'
regal_gl.add(glMultiTexSubImage1DEXT)

glMultiTexSubImage2DEXT = Function('glMultiTexSubImage2DEXT')
glMultiTexSubImage2DEXT.add( Input( 'pixels','const GLvoid *' ))
glMultiTexSubImage2DEXT.version = '1.1'
regal_gl.add(glMultiTexSubImage2DEXT)

glMultiTexSubImage3DEXT = Function('glMultiTexSubImage3DEXT')
glMultiTexSubImage3DEXT.add( Input( 'pixels','const GLvoid *' ))
glMultiTexSubImage3DEXT.version = '1.2'
regal_gl.add(glMultiTexSubImage3DEXT)

glNamedBufferDataEXT = Function('glNamedBufferDataEXT')
glNamedBufferDataEXT.add( Input( 'data','const GLvoid *' ))
glNamedBufferDataEXT.version = '1.5'
regal_gl.add(glNamedBufferDataEXT)

glNamedBufferSubDataEXT = Function('glNamedBufferSubDataEXT')
glNamedBufferSubDataEXT.add( Input( 'data','const GLvoid *' ))
glNamedBufferSubDataEXT.version = '1.5'
regal_gl.add(glNamedBufferSubDataEXT)

glNamedCopyBufferSubDataEXT = Function('glNamedCopyBufferSubDataEXT')
glNamedCopyBufferSubDataEXT.version = '3.1'
regal_gl.add(glNamedCopyBufferSubDataEXT)

glNamedFramebufferRenderbufferEXT = Function('glNamedFramebufferRenderbufferEXT')
glNamedFramebufferRenderbufferEXT.version = '1.5'
regal_gl.add(glNamedFramebufferRenderbufferEXT)

glNamedFramebufferTexture1DEXT = Function('glNamedFramebufferTexture1DEXT')
glNamedFramebufferTexture1DEXT.version = '1.5'
regal_gl.add(glNamedFramebufferTexture1DEXT)

glNamedFramebufferTexture2DEXT = Function('glNamedFramebufferTexture2DEXT')
glNamedFramebufferTexture2DEXT.version = '1.5'
regal_gl.add(glNamedFramebufferTexture2DEXT)

glNamedFramebufferTexture3DEXT = Function('glNamedFramebufferTexture3DEXT')
glNamedFramebufferTexture3DEXT.version = '1.5'
regal_gl.add(glNamedFramebufferTexture3DEXT)

glNamedFramebufferTextureEXT = Function('glNamedFramebufferTextureEXT')
glNamedFramebufferTextureEXT.version = '2.0'
regal_gl.add(glNamedFramebufferTextureEXT)

glNamedFramebufferTextureFaceEXT = Function('glNamedFramebufferTextureFaceEXT')
glNamedFramebufferTextureFaceEXT.version = '2.0'
regal_gl.add(glNamedFramebufferTextureFaceEXT)

glNamedFramebufferTextureLayerEXT = Function('glNamedFramebufferTextureLayerEXT')
glNamedFramebufferTextureLayerEXT.version = '2.0'
regal_gl.add(glNamedFramebufferTextureLayerEXT)

glNamedProgramLocalParameter4dEXT = Function('glNamedProgramLocalParameter4dEXT')
glNamedProgramLocalParameter4dEXT.version = '1.3'
regal_gl.add(glNamedProgramLocalParameter4dEXT)

glNamedProgramLocalParameter4dvEXT = Function('glNamedProgramLocalParameter4dvEXT')
glNamedProgramLocalParameter4dvEXT.add( Input( 'params','const GLdouble *' ,size = 4 ))
glNamedProgramLocalParameter4dvEXT.version = '1.3'
regal_gl.add(glNamedProgramLocalParameter4dvEXT)

glNamedProgramLocalParameter4fEXT = Function('glNamedProgramLocalParameter4fEXT')
glNamedProgramLocalParameter4fEXT.version = '1.3'
regal_gl.add(glNamedProgramLocalParameter4fEXT)

glNamedProgramLocalParameter4fvEXT = Function('glNamedProgramLocalParameter4fvEXT')
glNamedProgramLocalParameter4fvEXT.add( Input( 'params','const GLfloat *' ,size = 4 ))
glNamedProgramLocalParameter4fvEXT.version = '1.3'
regal_gl.add(glNamedProgramLocalParameter4fvEXT)

glNamedProgramLocalParameterI4iEXT = Function('glNamedProgramLocalParameterI4iEXT')
glNamedProgramLocalParameterI4iEXT.version = '1.3'
regal_gl.add(glNamedProgramLocalParameterI4iEXT)

glNamedProgramLocalParameterI4ivEXT = Function('glNamedProgramLocalParameterI4ivEXT')
glNamedProgramLocalParameterI4ivEXT.add( Input( 'params','const GLint *' ,size = 4 ))
glNamedProgramLocalParameterI4ivEXT.version = '1.3'
regal_gl.add(glNamedProgramLocalParameterI4ivEXT)

glNamedProgramLocalParameterI4uiEXT = Function('glNamedProgramLocalParameterI4uiEXT')
glNamedProgramLocalParameterI4uiEXT.version = '1.3'
regal_gl.add(glNamedProgramLocalParameterI4uiEXT)

glNamedProgramLocalParameterI4uivEXT = Function('glNamedProgramLocalParameterI4uivEXT')
glNamedProgramLocalParameterI4uivEXT.add( Input( 'params','const GLuint *' ,size = 4 ))
glNamedProgramLocalParameterI4uivEXT.version = '1.3'
regal_gl.add(glNamedProgramLocalParameterI4uivEXT)

glNamedProgramLocalParameters4fvEXT = Function('glNamedProgramLocalParameters4fvEXT')
glNamedProgramLocalParameters4fvEXT.add( Input( 'params','const GLfloat *' ,size = 'count * 4' ))
glNamedProgramLocalParameters4fvEXT.version = '1.3'
regal_gl.add(glNamedProgramLocalParameters4fvEXT)

glNamedProgramLocalParametersI4ivEXT = Function('glNamedProgramLocalParametersI4ivEXT')
glNamedProgramLocalParametersI4ivEXT.add( Input( 'params','const GLint *' ,size = 'count * 4' ))
glNamedProgramLocalParametersI4ivEXT.version = '1.3'
regal_gl.add(glNamedProgramLocalParametersI4ivEXT)

glNamedProgramLocalParametersI4uivEXT = Function('glNamedProgramLocalParametersI4uivEXT')
glNamedProgramLocalParametersI4uivEXT.add( Input( 'params','const GLuint *' ,size = 'count * 4' ))
glNamedProgramLocalParametersI4uivEXT.version = '1.3'
regal_gl.add(glNamedProgramLocalParametersI4uivEXT)

glNamedProgramStringEXT = Function('glNamedProgramStringEXT')
glNamedProgramStringEXT.add( Input( 'string','const GLvoid *' ,size = 'len' ,cast = 'const char *' ))
glNamedProgramStringEXT.version = '1.3'
regal_gl.add(glNamedProgramStringEXT)

glNamedRenderbufferStorageEXT = Function('glNamedRenderbufferStorageEXT')
glNamedRenderbufferStorageEXT.version = '1.5'
regal_gl.add(glNamedRenderbufferStorageEXT)

glNamedRenderbufferStorageMultisampleCoverageEXT = Function('glNamedRenderbufferStorageMultisampleCoverageEXT')
glNamedRenderbufferStorageMultisampleCoverageEXT.version = '1.5'
regal_gl.add(glNamedRenderbufferStorageMultisampleCoverageEXT)

glNamedRenderbufferStorageMultisampleEXT = Function('glNamedRenderbufferStorageMultisampleEXT')
glNamedRenderbufferStorageMultisampleEXT.version = '1.5'
regal_gl.add(glNamedRenderbufferStorageMultisampleEXT)

glProgramUniform1dEXT = Function('glProgramUniform1dEXT')
glProgramUniform1dEXT.version = '4.0'
regal_gl.add(glProgramUniform1dEXT)

glProgramUniform1dvEXT = Function('glProgramUniform1dvEXT')
glProgramUniform1dvEXT.add( Input( 'value','const GLdouble *' ,size = 'count' ))
glProgramUniform1dvEXT.version = '4.0'
regal_gl.add(glProgramUniform1dvEXT)

glProgramUniform1fEXT = Function('glProgramUniform1fEXT')
glProgramUniform1fEXT.version = '2.0'
regal_gl.add(glProgramUniform1fEXT)

glProgramUniform1fvEXT = Function('glProgramUniform1fvEXT')
glProgramUniform1fvEXT.add( Input( 'value','const GLfloat *' ,size = 'count' ))
glProgramUniform1fvEXT.version = '2.0'
regal_gl.add(glProgramUniform1fvEXT)

glProgramUniform1iEXT = Function('glProgramUniform1iEXT')
glProgramUniform1iEXT.version = '2.0'
regal_gl.add(glProgramUniform1iEXT)

glProgramUniform1ivEXT = Function('glProgramUniform1ivEXT')
glProgramUniform1ivEXT.add( Input( 'value','const GLint *' ,size = 'count' ))
glProgramUniform1ivEXT.version = '2.0'
regal_gl.add(glProgramUniform1ivEXT)

glProgramUniform1uiEXT = Function('glProgramUniform1uiEXT')
glProgramUniform1uiEXT.version = '2.0'
regal_gl.add(glProgramUniform1uiEXT)

glProgramUniform1uivEXT = Function('glProgramUniform1uivEXT')
glProgramUniform1uivEXT.add( Input( 'value','const GLuint *' ,size = 'count' ))
glProgramUniform1uivEXT.version = '2.0'
regal_gl.add(glProgramUniform1uivEXT)

glProgramUniform2dEXT = Function('glProgramUniform2dEXT')
glProgramUniform2dEXT.version = '4.0'
regal_gl.add(glProgramUniform2dEXT)

glProgramUniform2dvEXT = Function('glProgramUniform2dvEXT')
glProgramUniform2dvEXT.add( Input( 'value','const GLdouble *' ,size = 'count * 2' ))
glProgramUniform2dvEXT.version = '4.0'
regal_gl.add(glProgramUniform2dvEXT)

glProgramUniform2fEXT = Function('glProgramUniform2fEXT')
glProgramUniform2fEXT.version = '2.0'
regal_gl.add(glProgramUniform2fEXT)

glProgramUniform2fvEXT = Function('glProgramUniform2fvEXT')
glProgramUniform2fvEXT.add( Input( 'value','const GLfloat *' ,size = 'count * 2' ))
glProgramUniform2fvEXT.version = '2.0'
regal_gl.add(glProgramUniform2fvEXT)

glProgramUniform2iEXT = Function('glProgramUniform2iEXT')
glProgramUniform2iEXT.version = '2.0'
regal_gl.add(glProgramUniform2iEXT)

glProgramUniform2ivEXT = Function('glProgramUniform2ivEXT')
glProgramUniform2ivEXT.add( Input( 'value','const GLint *' ,size = 'count * 2' ))
glProgramUniform2ivEXT.version = '2.0'
regal_gl.add(glProgramUniform2ivEXT)

glProgramUniform2uiEXT = Function('glProgramUniform2uiEXT')
glProgramUniform2uiEXT.version = '2.0'
regal_gl.add(glProgramUniform2uiEXT)

glProgramUniform2uivEXT = Function('glProgramUniform2uivEXT')
glProgramUniform2uivEXT.add( Input( 'value','const GLuint *' ,size = 'count * 2' ))
glProgramUniform2uivEXT.version = '2.0'
regal_gl.add(glProgramUniform2uivEXT)

glProgramUniform3dEXT = Function('glProgramUniform3dEXT')
glProgramUniform3dEXT.version = '4.0'
regal_gl.add(glProgramUniform3dEXT)

glProgramUniform3dvEXT = Function('glProgramUniform3dvEXT')
glProgramUniform3dvEXT.add( Input( 'value','const GLdouble *' ,size = 'count * 3' ))
glProgramUniform3dvEXT.version = '4.0'
regal_gl.add(glProgramUniform3dvEXT)

glProgramUniform3fEXT = Function('glProgramUniform3fEXT')
glProgramUniform3fEXT.version = '2.0'
regal_gl.add(glProgramUniform3fEXT)

glProgramUniform3fvEXT = Function('glProgramUniform3fvEXT')
glProgramUniform3fvEXT.add( Input( 'value','const GLfloat *' ,size = 'count * 3' ))
glProgramUniform3fvEXT.version = '2.0'
regal_gl.add(glProgramUniform3fvEXT)

glProgramUniform3iEXT = Function('glProgramUniform3iEXT')
glProgramUniform3iEXT.version = '2.0'
regal_gl.add(glProgramUniform3iEXT)

glProgramUniform3ivEXT = Function('glProgramUniform3ivEXT')
glProgramUniform3ivEXT.add( Input( 'value','const GLint *' ,size = 'count * 3' ))
glProgramUniform3ivEXT.version = '2.0'
regal_gl.add(glProgramUniform3ivEXT)

glProgramUniform3uiEXT = Function('glProgramUniform3uiEXT')
glProgramUniform3uiEXT.version = '2.0'
regal_gl.add(glProgramUniform3uiEXT)

glProgramUniform3uivEXT = Function('glProgramUniform3uivEXT')
glProgramUniform3uivEXT.add( Input( 'value','const GLuint *' ,size = 'count * 3' ))
glProgramUniform3uivEXT.version = '2.0'
regal_gl.add(glProgramUniform3uivEXT)

glProgramUniform4dEXT = Function('glProgramUniform4dEXT')
glProgramUniform4dEXT.version = '4.0'
regal_gl.add(glProgramUniform4dEXT)

glProgramUniform4dvEXT = Function('glProgramUniform4dvEXT')
glProgramUniform4dvEXT.add( Input( 'value','const GLdouble *' ,size = 'count * 4' ))
glProgramUniform4dvEXT.version = '4.0'
regal_gl.add(glProgramUniform4dvEXT)

glProgramUniform4fEXT = Function('glProgramUniform4fEXT')
glProgramUniform4fEXT.version = '2.0'
regal_gl.add(glProgramUniform4fEXT)

glProgramUniform4fvEXT = Function('glProgramUniform4fvEXT')
glProgramUniform4fvEXT.add( Input( 'value','const GLfloat *' ,size = 'count * 4' ))
glProgramUniform4fvEXT.version = '2.0'
regal_gl.add(glProgramUniform4fvEXT)

glProgramUniform4iEXT = Function('glProgramUniform4iEXT')
glProgramUniform4iEXT.version = '2.0'
regal_gl.add(glProgramUniform4iEXT)

glProgramUniform4ivEXT = Function('glProgramUniform4ivEXT')
glProgramUniform4ivEXT.add( Input( 'value','const GLint *' ,size = 'count * 4' ))
glProgramUniform4ivEXT.version = '2.0'
regal_gl.add(glProgramUniform4ivEXT)

glProgramUniform4uiEXT = Function('glProgramUniform4uiEXT')
glProgramUniform4uiEXT.version = '2.0'
regal_gl.add(glProgramUniform4uiEXT)

glProgramUniform4uivEXT = Function('glProgramUniform4uivEXT')
glProgramUniform4uivEXT.add( Input( 'value','const GLuint *' ,size = 'count * 4' ))
glProgramUniform4uivEXT.version = '2.0'
regal_gl.add(glProgramUniform4uivEXT)

glProgramUniformMatrix2dvEXT = Function('glProgramUniformMatrix2dvEXT')
glProgramUniformMatrix2dvEXT.add( Input( 'value','const GLdouble *' ,size = 'count * 4' ))
glProgramUniformMatrix2dvEXT.version = '4.0'
regal_gl.add(glProgramUniformMatrix2dvEXT)

glProgramUniformMatrix2fvEXT = Function('glProgramUniformMatrix2fvEXT')
glProgramUniformMatrix2fvEXT.add( Input( 'value','const GLfloat *' ,size = 'count * 4' ))
glProgramUniformMatrix2fvEXT.version = '2.0'
regal_gl.add(glProgramUniformMatrix2fvEXT)

glProgramUniformMatrix2x3dvEXT = Function('glProgramUniformMatrix2x3dvEXT')
glProgramUniformMatrix2x3dvEXT.add( Input( 'value','const GLdouble *' ,size = 'count * 6' ))
glProgramUniformMatrix2x3dvEXT.version = '4.0'
regal_gl.add(glProgramUniformMatrix2x3dvEXT)

glProgramUniformMatrix2x3fvEXT = Function('glProgramUniformMatrix2x3fvEXT')
glProgramUniformMatrix2x3fvEXT.add( Input( 'value','const GLfloat *' ,size = 'count * 6' ))
glProgramUniformMatrix2x3fvEXT.version = '2.1'
regal_gl.add(glProgramUniformMatrix2x3fvEXT)

glProgramUniformMatrix2x4dvEXT = Function('glProgramUniformMatrix2x4dvEXT')
glProgramUniformMatrix2x4dvEXT.add( Input( 'value','const GLdouble *' ,size = 'count * 8' ))
glProgramUniformMatrix2x4dvEXT.version = '4.0'
regal_gl.add(glProgramUniformMatrix2x4dvEXT)

glProgramUniformMatrix2x4fvEXT = Function('glProgramUniformMatrix2x4fvEXT')
glProgramUniformMatrix2x4fvEXT.add( Input( 'value','const GLfloat *' ,size = 'count * 8' ))
glProgramUniformMatrix2x4fvEXT.version = '2.1'
regal_gl.add(glProgramUniformMatrix2x4fvEXT)

glProgramUniformMatrix3dvEXT = Function('glProgramUniformMatrix3dvEXT')
glProgramUniformMatrix3dvEXT.add( Input( 'value','const GLdouble *' ,size = 'count * 9' ))
glProgramUniformMatrix3dvEXT.version = '4.0'
regal_gl.add(glProgramUniformMatrix3dvEXT)

glProgramUniformMatrix3fvEXT = Function('glProgramUniformMatrix3fvEXT')
glProgramUniformMatrix3fvEXT.add( Input( 'value','const GLfloat *' ,size = 'count * 9' ))
glProgramUniformMatrix3fvEXT.version = '2.0'
regal_gl.add(glProgramUniformMatrix3fvEXT)

glProgramUniformMatrix3x2dvEXT = Function('glProgramUniformMatrix3x2dvEXT')
glProgramUniformMatrix3x2dvEXT.add( Input( 'value','const GLdouble *' ,size = 'count * 6' ))
glProgramUniformMatrix3x2dvEXT.version = '4.0'
regal_gl.add(glProgramUniformMatrix3x2dvEXT)

glProgramUniformMatrix3x2fvEXT = Function('glProgramUniformMatrix3x2fvEXT')
glProgramUniformMatrix3x2fvEXT.add( Input( 'value','const GLfloat *' ,size = 'count * 6' ))
glProgramUniformMatrix3x2fvEXT.version = '2.1'
regal_gl.add(glProgramUniformMatrix3x2fvEXT)

glProgramUniformMatrix3x4dvEXT = Function('glProgramUniformMatrix3x4dvEXT')
glProgramUniformMatrix3x4dvEXT.add( Input( 'value','const GLdouble *' ,size = 'count * 12' ))
glProgramUniformMatrix3x4dvEXT.version = '4.0'
regal_gl.add(glProgramUniformMatrix3x4dvEXT)

glProgramUniformMatrix3x4fvEXT = Function('glProgramUniformMatrix3x4fvEXT')
glProgramUniformMatrix3x4fvEXT.add( Input( 'value','const GLfloat *' ,size = 'count * 12' ))
glProgramUniformMatrix3x4fvEXT.version = '2.1'
regal_gl.add(glProgramUniformMatrix3x4fvEXT)

glProgramUniformMatrix4dvEXT = Function('glProgramUniformMatrix4dvEXT')
glProgramUniformMatrix4dvEXT.add( Input( 'value','const GLdouble *' ,size = 'count * 16' ))
glProgramUniformMatrix4dvEXT.version = '4.0'
regal_gl.add(glProgramUniformMatrix4dvEXT)

glProgramUniformMatrix4fvEXT = Function('glProgramUniformMatrix4fvEXT')
glProgramUniformMatrix4fvEXT.add( Input( 'value','const GLfloat *' ,size = 'count * 16' ))
glProgramUniformMatrix4fvEXT.version = '2.0'
regal_gl.add(glProgramUniformMatrix4fvEXT)

glProgramUniformMatrix4x2dvEXT = Function('glProgramUniformMatrix4x2dvEXT')
glProgramUniformMatrix4x2dvEXT.add( Input( 'value','const GLdouble *' ,size = 'count * 8' ))
glProgramUniformMatrix4x2dvEXT.version = '4.0'
regal_gl.add(glProgramUniformMatrix4x2dvEXT)

glProgramUniformMatrix4x2fvEXT = Function('glProgramUniformMatrix4x2fvEXT')
glProgramUniformMatrix4x2fvEXT.add( Input( 'value','const GLfloat *' ,size = 'count * 8' ))
glProgramUniformMatrix4x2fvEXT.version = '2.1'
regal_gl.add(glProgramUniformMatrix4x2fvEXT)

glProgramUniformMatrix4x3dvEXT = Function('glProgramUniformMatrix4x3dvEXT')
glProgramUniformMatrix4x3dvEXT.add( Input( 'value','const GLdouble *' ,size = 'count * 12' ))
glProgramUniformMatrix4x3dvEXT.version = '4.0'
regal_gl.add(glProgramUniformMatrix4x3dvEXT)

glProgramUniformMatrix4x3fvEXT = Function('glProgramUniformMatrix4x3fvEXT')
glProgramUniformMatrix4x3fvEXT.add( Input( 'value','const GLfloat *' ,size = 'count * 12' ))
glProgramUniformMatrix4x3fvEXT.version = '2.1'
regal_gl.add(glProgramUniformMatrix4x3fvEXT)

glPushClientAttribDefaultEXT = Function('glPushClientAttribDefaultEXT')
glPushClientAttribDefaultEXT.add( Input( 'mask','GLbitfield' ,regalLog = 'GLpushClientAttribToString(mask)' ))
glPushClientAttribDefaultEXT.version = '1.1'
regal_gl.add(glPushClientAttribDefaultEXT)

glTextureBufferEXT = Function('glTextureBufferEXT')
glTextureBufferEXT.version = '2.0'
regal_gl.add(glTextureBufferEXT)

glTextureImage1DEXT = Function('glTextureImage1DEXT')
glTextureImage1DEXT.add( Input( 'internalformat','GLint' ,regalLog = 'internalFormatToString(internalformat)' ))
glTextureImage1DEXT.add( Input( 'pixels','const GLvoid *' ))
glTextureImage1DEXT.version = '1.1'
regal_gl.add(glTextureImage1DEXT)

glTextureImage2DEXT = Function('glTextureImage2DEXT')
glTextureImage2DEXT.add( Input( 'internalformat','GLint' ,regalLog = 'internalFormatToString(internalformat)' ))
glTextureImage2DEXT.add( Input( 'pixels','const GLvoid *' ))
glTextureImage2DEXT.version = '1.1'
regal_gl.add(glTextureImage2DEXT)

glTextureImage3DEXT = Function('glTextureImage3DEXT')
glTextureImage3DEXT.add( Input( 'internalformat','GLint' ,regalLog = 'internalFormatToString(internalformat)' ))
glTextureImage3DEXT.add( Input( 'pixels','const GLvoid *' ))
glTextureImage3DEXT.version = '1.2'
regal_gl.add(glTextureImage3DEXT)

glTextureParameterIivEXT = Function('glTextureParameterIivEXT')
glTextureParameterIivEXT.add( Input( 'params','const GLint *' ))
glTextureParameterIivEXT.version = '1.1'
regal_gl.add(glTextureParameterIivEXT)

glTextureParameterIuivEXT = Function('glTextureParameterIuivEXT')
glTextureParameterIuivEXT.add( Input( 'params','const GLuint *' ))
glTextureParameterIuivEXT.version = '1.1'
regal_gl.add(glTextureParameterIuivEXT)

glTextureParameterfEXT = Function('glTextureParameterfEXT')
glTextureParameterfEXT.version = '1.1'
regal_gl.add(glTextureParameterfEXT)

glTextureParameterfvEXT = Function('glTextureParameterfvEXT')
glTextureParameterfvEXT.add( Input( 'params','const GLfloat *' ,size = 'helperGLTexParametervSize(pname)' ))
glTextureParameterfvEXT.version = '1.1'
regal_gl.add(glTextureParameterfvEXT)

glTextureParameteriEXT = Function('glTextureParameteriEXT')
glTextureParameteriEXT.version = '1.1'
regal_gl.add(glTextureParameteriEXT)

glTextureParameterivEXT = Function('glTextureParameterivEXT')
glTextureParameterivEXT.add( Input( 'params','const GLint *' ,size = 'helperGLTexParametervSize(pname)' ))
glTextureParameterivEXT.version = '1.1'
regal_gl.add(glTextureParameterivEXT)

glTextureRenderbufferEXT = Function('glTextureRenderbufferEXT')
glTextureRenderbufferEXT.version = '2.0'
regal_gl.add(glTextureRenderbufferEXT)

glTextureSubImage1DEXT = Function('glTextureSubImage1DEXT')
glTextureSubImage1DEXT.add( Input( 'pixels','const GLvoid *' ))
glTextureSubImage1DEXT.version = '1.1'
regal_gl.add(glTextureSubImage1DEXT)

glTextureSubImage2DEXT = Function('glTextureSubImage2DEXT')
glTextureSubImage2DEXT.add( Input( 'pixels','const GLvoid *' ))
glTextureSubImage2DEXT.version = '1.1'
regal_gl.add(glTextureSubImage2DEXT)

glTextureSubImage3DEXT = Function('glTextureSubImage3DEXT')
glTextureSubImage3DEXT.add( Input( 'pixels','const GLvoid *' ))
glTextureSubImage3DEXT.version = '1.2'
regal_gl.add(glTextureSubImage3DEXT)

glUnmapNamedBufferEXT = Function('glUnmapNamedBufferEXT')
glUnmapNamedBufferEXT.version = '1.5'
regal_gl.add(glUnmapNamedBufferEXT)

glVertexArrayColorOffsetEXT = Function('glVertexArrayColorOffsetEXT')
glVertexArrayColorOffsetEXT.add( Input( 'offset','const GLintptr' ))
glVertexArrayColorOffsetEXT.version = '3.0'
regal_gl.add(glVertexArrayColorOffsetEXT)

glVertexArrayEdgeFlagOffsetEXT = Function('glVertexArrayEdgeFlagOffsetEXT')
glVertexArrayEdgeFlagOffsetEXT.add( Input( 'offset','const GLintptr' ))
glVertexArrayEdgeFlagOffsetEXT.version = '3.0'
regal_gl.add(glVertexArrayEdgeFlagOffsetEXT)

glVertexArrayFogCoordOffsetEXT = Function('glVertexArrayFogCoordOffsetEXT')
glVertexArrayFogCoordOffsetEXT.add( Input( 'offset','const GLintptr' ))
glVertexArrayFogCoordOffsetEXT.version = '3.0'
regal_gl.add(glVertexArrayFogCoordOffsetEXT)

glVertexArrayIndexOffsetEXT = Function('glVertexArrayIndexOffsetEXT')
glVertexArrayIndexOffsetEXT.add( Input( 'offset','const GLintptr' ))
glVertexArrayIndexOffsetEXT.version = '3.0'
regal_gl.add(glVertexArrayIndexOffsetEXT)

glVertexArrayMultiTexCoordOffsetEXT = Function('glVertexArrayMultiTexCoordOffsetEXT')
glVertexArrayMultiTexCoordOffsetEXT.add( Input( 'offset','const GLintptr' ))
glVertexArrayMultiTexCoordOffsetEXT.version = '3.0'
regal_gl.add(glVertexArrayMultiTexCoordOffsetEXT)

glVertexArrayNormalOffsetEXT = Function('glVertexArrayNormalOffsetEXT')
glVertexArrayNormalOffsetEXT.add( Input( 'offset','const GLintptr' ))
glVertexArrayNormalOffsetEXT.version = '3.0'
regal_gl.add(glVertexArrayNormalOffsetEXT)

glVertexArraySecondaryColorOffsetEXT = Function('glVertexArraySecondaryColorOffsetEXT')
glVertexArraySecondaryColorOffsetEXT.add( Input( 'offset','const GLintptr' ))
glVertexArraySecondaryColorOffsetEXT.version = '3.0'
regal_gl.add(glVertexArraySecondaryColorOffsetEXT)

glVertexArrayTexCoordOffsetEXT = Function('glVertexArrayTexCoordOffsetEXT')
glVertexArrayTexCoordOffsetEXT.add( Input( 'offset','const GLintptr' ))
glVertexArrayTexCoordOffsetEXT.version = '3.0'
regal_gl.add(glVertexArrayTexCoordOffsetEXT)

glVertexArrayVertexAttribIOffsetEXT = Function('glVertexArrayVertexAttribIOffsetEXT')
glVertexArrayVertexAttribIOffsetEXT.add( Input( 'offset','const GLintptr' ))
glVertexArrayVertexAttribIOffsetEXT.version = '3.0'
regal_gl.add(glVertexArrayVertexAttribIOffsetEXT)

glVertexArrayVertexAttribOffsetEXT = Function('glVertexArrayVertexAttribOffsetEXT')
glVertexArrayVertexAttribOffsetEXT.add( Input( 'offset','const GLintptr' ))
glVertexArrayVertexAttribOffsetEXT.version = '3.0'
regal_gl.add(glVertexArrayVertexAttribOffsetEXT)

glVertexArrayVertexOffsetEXT = Function('glVertexArrayVertexOffsetEXT')
glVertexArrayVertexOffsetEXT.add( Input( 'offset','const GLintptr' ))
glVertexArrayVertexOffsetEXT.version = '3.0'
regal_gl.add(glVertexArrayVertexOffsetEXT)

glDiscardFramebufferEXT = Function('glDiscardFramebufferEXT')
glDiscardFramebufferEXT.add( Input( 'attachments','const GLenum *' ))
regal_gl.add(glDiscardFramebufferEXT)

glGetQueryObjectivEXT = Function('glGetQueryObjectivEXT')
glGetQueryObjectivEXT.add( Input( 'params','GLint *' ))
regal_gl.add(glGetQueryObjectivEXT)

glQueryCounterEXT = Function('glQueryCounterEXT')
regal_gl.add(glQueryCounterEXT)

glColorMaskIndexedEXT = Function('glColorMaskIndexedEXT')
glColorMaskIndexedEXT.version = '2.0'
regal_gl.add(glColorMaskIndexedEXT)

glDisableIndexedEXT = Function('glDisableIndexedEXT')
glDisableIndexedEXT.version = '2.0'
regal_gl.add(glDisableIndexedEXT)

glEnableIndexedEXT = Function('glEnableIndexedEXT')
glEnableIndexedEXT.version = '2.0'
regal_gl.add(glEnableIndexedEXT)

glGetBooleanIndexedvEXT = Function('glGetBooleanIndexedvEXT')
glGetBooleanIndexedvEXT.add( Output( 'data','GLboolean *' ))
glGetBooleanIndexedvEXT.version = '2.0'
glGetBooleanIndexedvEXT.play = False
regal_gl.add(glGetBooleanIndexedvEXT)

glGetIntegerIndexedvEXT = Function('glGetIntegerIndexedvEXT')
glGetIntegerIndexedvEXT.add( Output( 'data','GLint *' ))
glGetIntegerIndexedvEXT.version = '2.0'
glGetIntegerIndexedvEXT.play = False
regal_gl.add(glGetIntegerIndexedvEXT)

glIsEnabledIndexedEXT = Function('glIsEnabledIndexedEXT')
glIsEnabledIndexedEXT.version = '2.0'
regal_gl.add(glIsEnabledIndexedEXT)

glDrawArraysInstancedEXT = Function('glDrawArraysInstancedEXT')
glDrawArraysInstancedEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawArraysInstancedEXT.version = '2.0'
regal_gl.add(glDrawArraysInstancedEXT)

glDrawElementsInstancedEXT = Function('glDrawElementsInstancedEXT')
glDrawElementsInstancedEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawElementsInstancedEXT.add( Input( 'indices','const GLvoid *' ))
glDrawElementsInstancedEXT.version = '2.0'
regal_gl.add(glDrawElementsInstancedEXT)

glDrawRangeElementsEXT = Function('glDrawRangeElementsEXT')
glDrawRangeElementsEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawRangeElementsEXT.add( Input( 'indices','const GLvoid *' ))
glDrawRangeElementsEXT.version = '1.2'
regal_gl.add(glDrawRangeElementsEXT)

glFogCoordPointerEXT = Function('glFogCoordPointerEXT')
glFogCoordPointerEXT.add( Input( 'pointer','const GLvoid *' ))
glFogCoordPointerEXT.version = '1.1'
regal_gl.add(glFogCoordPointerEXT)

glFogCoorddEXT = Function('glFogCoorddEXT')
glFogCoorddEXT.version = '1.1'
regal_gl.add(glFogCoorddEXT)

glFogCoorddvEXT = Function('glFogCoorddvEXT')
glFogCoorddvEXT.add( Input( 'coord','const GLdouble *' ,size = 1 ))
glFogCoorddvEXT.version = '1.1'
regal_gl.add(glFogCoorddvEXT)

glFogCoordfEXT = Function('glFogCoordfEXT')
glFogCoordfEXT.version = '1.1'
regal_gl.add(glFogCoordfEXT)

glFogCoordfvEXT = Function('glFogCoordfvEXT')
glFogCoordfvEXT.add( Input( 'coord','const GLfloat *' ,size = 1 ))
glFogCoordfvEXT.version = '1.1'
regal_gl.add(glFogCoordfvEXT)

glFragmentColorMaterialEXT = Function('glFragmentColorMaterialEXT')
glFragmentColorMaterialEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
regal_gl.add(glFragmentColorMaterialEXT)

glFragmentLightModelfEXT = Function('glFragmentLightModelfEXT')
regal_gl.add(glFragmentLightModelfEXT)

glFragmentLightModelfvEXT = Function('glFragmentLightModelfvEXT')
glFragmentLightModelfvEXT.add( Input( 'params','GLfloat *' ))
regal_gl.add(glFragmentLightModelfvEXT)

glFragmentLightModeliEXT = Function('glFragmentLightModeliEXT')
regal_gl.add(glFragmentLightModeliEXT)

glFragmentLightModelivEXT = Function('glFragmentLightModelivEXT')
glFragmentLightModelivEXT.add( Input( 'params','GLint *' ))
regal_gl.add(glFragmentLightModelivEXT)

glFragmentLightfEXT = Function('glFragmentLightfEXT')
regal_gl.add(glFragmentLightfEXT)

glFragmentLightfvEXT = Function('glFragmentLightfvEXT')
glFragmentLightfvEXT.add( Input( 'params','GLfloat *' ))
regal_gl.add(glFragmentLightfvEXT)

glFragmentLightiEXT = Function('glFragmentLightiEXT')
regal_gl.add(glFragmentLightiEXT)

glFragmentLightivEXT = Function('glFragmentLightivEXT')
glFragmentLightivEXT.add( Input( 'params','GLint *' ))
regal_gl.add(glFragmentLightivEXT)

glFragmentMaterialfEXT = Function('glFragmentMaterialfEXT')
glFragmentMaterialfEXT.add( Input( 'param','const GLfloat' ))
regal_gl.add(glFragmentMaterialfEXT)

glFragmentMaterialfvEXT = Function('glFragmentMaterialfvEXT')
glFragmentMaterialfvEXT.add( Input( 'params','const GLfloat *' ))
regal_gl.add(glFragmentMaterialfvEXT)

glFragmentMaterialiEXT = Function('glFragmentMaterialiEXT')
glFragmentMaterialiEXT.add( Input( 'param','const GLint' ))
regal_gl.add(glFragmentMaterialiEXT)

glFragmentMaterialivEXT = Function('glFragmentMaterialivEXT')
glFragmentMaterialivEXT.add( Input( 'params','const GLint *' ))
regal_gl.add(glFragmentMaterialivEXT)

glGetFragmentLightfvEXT = Function('glGetFragmentLightfvEXT')
glGetFragmentLightfvEXT.add( Input( 'params','GLfloat *' ))
regal_gl.add(glGetFragmentLightfvEXT)

glGetFragmentLightivEXT = Function('glGetFragmentLightivEXT')
glGetFragmentLightivEXT.add( Input( 'params','GLint *' ))
regal_gl.add(glGetFragmentLightivEXT)

glGetFragmentMaterialfvEXT = Function('glGetFragmentMaterialfvEXT')
glGetFragmentMaterialfvEXT.add( Input( 'params','const GLfloat *' ))
regal_gl.add(glGetFragmentMaterialfvEXT)

glGetFragmentMaterialivEXT = Function('glGetFragmentMaterialivEXT')
glGetFragmentMaterialivEXT.add( Input( 'params','const GLint *' ))
regal_gl.add(glGetFragmentMaterialivEXT)

glLightEnviEXT = Function('glLightEnviEXT')
regal_gl.add(glLightEnviEXT)

glBlitFramebufferEXT = Function('glBlitFramebufferEXT')
glBlitFramebufferEXT.add( Input( 'mask','GLbitfield' ,regalLog = 'GLblitFramebufferToString(mask)' ))
glBlitFramebufferEXT.version = '1.5'
regal_gl.add(glBlitFramebufferEXT)

glRenderbufferStorageMultisampleEXT = Function('glRenderbufferStorageMultisampleEXT')
glRenderbufferStorageMultisampleEXT.version = '1.5'
regal_gl.add(glRenderbufferStorageMultisampleEXT)

glBindFramebufferEXT = Function('glBindFramebufferEXT')
glBindFramebufferEXT.version = '1.5'
regal_gl.add(glBindFramebufferEXT)

glBindRenderbufferEXT = Function('glBindRenderbufferEXT')
glBindRenderbufferEXT.version = '1.5'
regal_gl.add(glBindRenderbufferEXT)

glCheckFramebufferStatusEXT = Function('glCheckFramebufferStatusEXT')
glCheckFramebufferStatusEXT.version = '1.5'
regal_gl.add(glCheckFramebufferStatusEXT)

glDeleteFramebuffersEXT = Function('glDeleteFramebuffersEXT')
glDeleteFramebuffersEXT.add( Input( 'framebuffers','const GLuint *' ,size = 'n' ))
glDeleteFramebuffersEXT.version = '1.5'
regal_gl.add(glDeleteFramebuffersEXT)

glDeleteRenderbuffersEXT = Function('glDeleteRenderbuffersEXT')
glDeleteRenderbuffersEXT.add( Input( 'renderbuffers','const GLuint *' ,size = 'n' ))
glDeleteRenderbuffersEXT.version = '1.5'
regal_gl.add(glDeleteRenderbuffersEXT)

glFramebufferRenderbufferEXT = Function('glFramebufferRenderbufferEXT')
glFramebufferRenderbufferEXT.version = '1.5'
regal_gl.add(glFramebufferRenderbufferEXT)

glFramebufferTexture1DEXT = Function('glFramebufferTexture1DEXT')
glFramebufferTexture1DEXT.version = '1.5'
regal_gl.add(glFramebufferTexture1DEXT)

glFramebufferTexture2DEXT = Function('glFramebufferTexture2DEXT')
glFramebufferTexture2DEXT.version = '1.5'
regal_gl.add(glFramebufferTexture2DEXT)

glFramebufferTexture3DEXT = Function('glFramebufferTexture3DEXT')
glFramebufferTexture3DEXT.version = '1.5'
regal_gl.add(glFramebufferTexture3DEXT)

glGenFramebuffersEXT = Function('glGenFramebuffersEXT')
glGenFramebuffersEXT.add( Output( 'framebuffers','GLuint *' ,size = 'n' ))
glGenFramebuffersEXT.version = '1.5'
regal_gl.add(glGenFramebuffersEXT)

glGenRenderbuffersEXT = Function('glGenRenderbuffersEXT')
glGenRenderbuffersEXT.add( Output( 'renderbuffers','GLuint *' ,size = 'n' ))
glGenRenderbuffersEXT.version = '1.5'
regal_gl.add(glGenRenderbuffersEXT)

glGenerateMipmapEXT = Function('glGenerateMipmapEXT')
glGenerateMipmapEXT.version = '1.5'
regal_gl.add(glGenerateMipmapEXT)

glGetFramebufferAttachmentParameterivEXT = Function('glGetFramebufferAttachmentParameterivEXT')
glGetFramebufferAttachmentParameterivEXT.add( Output( 'params','GLint *' ))
glGetFramebufferAttachmentParameterivEXT.version = '1.5'
regal_gl.add(glGetFramebufferAttachmentParameterivEXT)

glGetRenderbufferParameterivEXT = Function('glGetRenderbufferParameterivEXT')
glGetRenderbufferParameterivEXT.add( Output( 'params','GLint *' ))
glGetRenderbufferParameterivEXT.version = '1.5'
regal_gl.add(glGetRenderbufferParameterivEXT)

glIsFramebufferEXT = Function('glIsFramebufferEXT')
glIsFramebufferEXT.version = '1.5'
regal_gl.add(glIsFramebufferEXT)

glIsRenderbufferEXT = Function('glIsRenderbufferEXT')
glIsRenderbufferEXT.version = '1.5'
regal_gl.add(glIsRenderbufferEXT)

glRenderbufferStorageEXT = Function('glRenderbufferStorageEXT')
glRenderbufferStorageEXT.version = '1.5'
regal_gl.add(glRenderbufferStorageEXT)

glFramebufferTextureEXT = Function('glFramebufferTextureEXT')
glFramebufferTextureEXT.version = '2.0'
regal_gl.add(glFramebufferTextureEXT)

glFramebufferTextureFaceEXT = Function('glFramebufferTextureFaceEXT')
glFramebufferTextureFaceEXT.version = '2.0'
regal_gl.add(glFramebufferTextureFaceEXT)

glProgramParameteriEXT = Function('glProgramParameteriEXT')
glProgramParameteriEXT.version = '2.0'
regal_gl.add(glProgramParameteriEXT)

glProgramEnvParameters4fvEXT = Function('glProgramEnvParameters4fvEXT')
glProgramEnvParameters4fvEXT.add( Input( 'params','const GLfloat *' ,size = 'count * 4' ))
glProgramEnvParameters4fvEXT.version = '1.3'
regal_gl.add(glProgramEnvParameters4fvEXT)

glProgramLocalParameters4fvEXT = Function('glProgramLocalParameters4fvEXT')
glProgramLocalParameters4fvEXT.add( Input( 'params','const GLfloat *' ,size = 'count * 4' ))
glProgramLocalParameters4fvEXT.version = '1.3'
regal_gl.add(glProgramLocalParameters4fvEXT)

glBindFragDataLocationEXT = Function('glBindFragDataLocationEXT')
glBindFragDataLocationEXT.add( Input( 'name','const GLchar *' ))
glBindFragDataLocationEXT.version = '2.0'
regal_gl.add(glBindFragDataLocationEXT)

glGetFragDataLocationEXT = Function('glGetFragDataLocationEXT')
glGetFragDataLocationEXT.add( Input( 'name','const GLchar *' ))
glGetFragDataLocationEXT.version = '2.0'
regal_gl.add(glGetFragDataLocationEXT)

glGetUniformuivEXT = Function('glGetUniformuivEXT')
glGetUniformuivEXT.add( Output( 'params','GLuint *' ))
glGetUniformuivEXT.version = '2.0'
regal_gl.add(glGetUniformuivEXT)

glGetVertexAttribIivEXT = Function('glGetVertexAttribIivEXT')
glGetVertexAttribIivEXT.add( Output( 'params','GLint *' ,size = 1 ))
glGetVertexAttribIivEXT.version = '1.1'
regal_gl.add(glGetVertexAttribIivEXT)

glGetVertexAttribIuivEXT = Function('glGetVertexAttribIuivEXT')
glGetVertexAttribIuivEXT.add( Output( 'params','GLuint *' ,size = 1 ))
glGetVertexAttribIuivEXT.version = '1.1'
regal_gl.add(glGetVertexAttribIuivEXT)

glUniform1uiEXT = Function('glUniform1uiEXT')
glUniform1uiEXT.version = '2.0'
regal_gl.add(glUniform1uiEXT)

glUniform1uivEXT = Function('glUniform1uivEXT')
glUniform1uivEXT.add( Input( 'value','const GLuint *' ,size = 'count' ))
glUniform1uivEXT.version = '2.0'
regal_gl.add(glUniform1uivEXT)

glUniform2uiEXT = Function('glUniform2uiEXT')
glUniform2uiEXT.version = '2.0'
regal_gl.add(glUniform2uiEXT)

glUniform2uivEXT = Function('glUniform2uivEXT')
glUniform2uivEXT.add( Input( 'value','const GLuint *' ,size = 'count * 2' ))
glUniform2uivEXT.version = '2.0'
regal_gl.add(glUniform2uivEXT)

glUniform3uiEXT = Function('glUniform3uiEXT')
glUniform3uiEXT.version = '2.0'
regal_gl.add(glUniform3uiEXT)

glUniform3uivEXT = Function('glUniform3uivEXT')
glUniform3uivEXT.add( Input( 'value','const GLuint *' ,size = 'count * 3' ))
glUniform3uivEXT.version = '2.0'
regal_gl.add(glUniform3uivEXT)

glUniform4uiEXT = Function('glUniform4uiEXT')
glUniform4uiEXT.version = '2.0'
regal_gl.add(glUniform4uiEXT)

glUniform4uivEXT = Function('glUniform4uivEXT')
glUniform4uivEXT.add( Input( 'value','const GLuint *' ,size = 'count * 4' ))
glUniform4uivEXT.version = '2.0'
regal_gl.add(glUniform4uivEXT)

glVertexAttribI1iEXT = Function('glVertexAttribI1iEXT')
glVertexAttribI1iEXT.version = '1.1'
regal_gl.add(glVertexAttribI1iEXT)

glVertexAttribI1ivEXT = Function('glVertexAttribI1ivEXT')
glVertexAttribI1ivEXT.add( Input( 'v','const GLint *' ,size = 1 ))
glVertexAttribI1ivEXT.version = '1.1'
regal_gl.add(glVertexAttribI1ivEXT)

glVertexAttribI1uiEXT = Function('glVertexAttribI1uiEXT')
glVertexAttribI1uiEXT.version = '1.1'
regal_gl.add(glVertexAttribI1uiEXT)

glVertexAttribI1uivEXT = Function('glVertexAttribI1uivEXT')
glVertexAttribI1uivEXT.add( Input( 'v','const GLuint *' ,size = 1 ))
glVertexAttribI1uivEXT.version = '1.1'
regal_gl.add(glVertexAttribI1uivEXT)

glVertexAttribI2iEXT = Function('glVertexAttribI2iEXT')
glVertexAttribI2iEXT.version = '1.1'
regal_gl.add(glVertexAttribI2iEXT)

glVertexAttribI2ivEXT = Function('glVertexAttribI2ivEXT')
glVertexAttribI2ivEXT.add( Input( 'v','const GLint *' ,size = 2 ))
glVertexAttribI2ivEXT.version = '1.1'
regal_gl.add(glVertexAttribI2ivEXT)

glVertexAttribI2uiEXT = Function('glVertexAttribI2uiEXT')
glVertexAttribI2uiEXT.version = '1.1'
regal_gl.add(glVertexAttribI2uiEXT)

glVertexAttribI2uivEXT = Function('glVertexAttribI2uivEXT')
glVertexAttribI2uivEXT.add( Input( 'v','const GLuint *' ,size = 2 ))
glVertexAttribI2uivEXT.version = '1.1'
regal_gl.add(glVertexAttribI2uivEXT)

glVertexAttribI3iEXT = Function('glVertexAttribI3iEXT')
glVertexAttribI3iEXT.version = '1.1'
regal_gl.add(glVertexAttribI3iEXT)

glVertexAttribI3ivEXT = Function('glVertexAttribI3ivEXT')
glVertexAttribI3ivEXT.add( Input( 'v','const GLint *' ,size = 3 ))
glVertexAttribI3ivEXT.version = '1.1'
regal_gl.add(glVertexAttribI3ivEXT)

glVertexAttribI3uiEXT = Function('glVertexAttribI3uiEXT')
glVertexAttribI3uiEXT.version = '1.1'
regal_gl.add(glVertexAttribI3uiEXT)

glVertexAttribI3uivEXT = Function('glVertexAttribI3uivEXT')
glVertexAttribI3uivEXT.add( Input( 'v','const GLuint *' ,size = 3 ))
glVertexAttribI3uivEXT.version = '1.1'
regal_gl.add(glVertexAttribI3uivEXT)

glVertexAttribI4bvEXT = Function('glVertexAttribI4bvEXT')
glVertexAttribI4bvEXT.add( Input( 'v','const GLbyte *' ,size = 4 ))
glVertexAttribI4bvEXT.version = '1.1'
regal_gl.add(glVertexAttribI4bvEXT)

glVertexAttribI4iEXT = Function('glVertexAttribI4iEXT')
glVertexAttribI4iEXT.version = '1.1'
regal_gl.add(glVertexAttribI4iEXT)

glVertexAttribI4ivEXT = Function('glVertexAttribI4ivEXT')
glVertexAttribI4ivEXT.add( Input( 'v','const GLint *' ,size = 4 ))
glVertexAttribI4ivEXT.version = '1.1'
regal_gl.add(glVertexAttribI4ivEXT)

glVertexAttribI4svEXT = Function('glVertexAttribI4svEXT')
glVertexAttribI4svEXT.add( Input( 'v','const GLshort *' ,size = 4 ))
glVertexAttribI4svEXT.version = '1.1'
regal_gl.add(glVertexAttribI4svEXT)

glVertexAttribI4ubvEXT = Function('glVertexAttribI4ubvEXT')
glVertexAttribI4ubvEXT.add( Input( 'v','const GLubyte *' ,size = 4 ))
glVertexAttribI4ubvEXT.version = '1.1'
regal_gl.add(glVertexAttribI4ubvEXT)

glVertexAttribI4uiEXT = Function('glVertexAttribI4uiEXT')
glVertexAttribI4uiEXT.version = '1.1'
regal_gl.add(glVertexAttribI4uiEXT)

glVertexAttribI4uivEXT = Function('glVertexAttribI4uivEXT')
glVertexAttribI4uivEXT.add( Input( 'v','const GLuint *' ,size = 4 ))
glVertexAttribI4uivEXT.version = '1.1'
regal_gl.add(glVertexAttribI4uivEXT)

glVertexAttribI4usvEXT = Function('glVertexAttribI4usvEXT')
glVertexAttribI4usvEXT.add( Input( 'v','const GLushort *' ,size = 4 ))
glVertexAttribI4usvEXT.version = '1.1'
regal_gl.add(glVertexAttribI4usvEXT)

glVertexAttribIPointerEXT = Function('glVertexAttribIPointerEXT')
glVertexAttribIPointerEXT.add( Input( 'pointer','const GLvoid *' ))
glVertexAttribIPointerEXT.version = '1.1'
regal_gl.add(glVertexAttribIPointerEXT)

glGetHistogramEXT = Function('glGetHistogramEXT')
glGetHistogramEXT.add( Output( 'values','GLvoid *' ))
glGetHistogramEXT.version = '1.0'
regal_gl.add(glGetHistogramEXT)

glGetHistogramParameterfvEXT = Function('glGetHistogramParameterfvEXT')
glGetHistogramParameterfvEXT.add( Output( 'params','GLfloat *' ))
glGetHistogramParameterfvEXT.version = '1.0'
regal_gl.add(glGetHistogramParameterfvEXT)

glGetHistogramParameterivEXT = Function('glGetHistogramParameterivEXT')
glGetHistogramParameterivEXT.add( Output( 'params','GLint *' ))
glGetHistogramParameterivEXT.version = '1.0'
regal_gl.add(glGetHistogramParameterivEXT)

glGetMinmaxEXT = Function('glGetMinmaxEXT')
glGetMinmaxEXT.add( Output( 'values','GLvoid *' ))
glGetMinmaxEXT.version = '1.0'
regal_gl.add(glGetMinmaxEXT)

glGetMinmaxParameterfvEXT = Function('glGetMinmaxParameterfvEXT')
glGetMinmaxParameterfvEXT.add( Output( 'params','GLfloat *' ))
glGetMinmaxParameterfvEXT.version = '1.0'
regal_gl.add(glGetMinmaxParameterfvEXT)

glGetMinmaxParameterivEXT = Function('glGetMinmaxParameterivEXT')
glGetMinmaxParameterivEXT.add( Output( 'params','GLint *' ))
glGetMinmaxParameterivEXT.version = '1.0'
regal_gl.add(glGetMinmaxParameterivEXT)

glHistogramEXT = Function('glHistogramEXT')
glHistogramEXT.version = '1.0'
regal_gl.add(glHistogramEXT)

glMinmaxEXT = Function('glMinmaxEXT')
glMinmaxEXT.version = '1.0'
regal_gl.add(glMinmaxEXT)

glResetHistogramEXT = Function('glResetHistogramEXT')
glResetHistogramEXT.version = '1.0'
regal_gl.add(glResetHistogramEXT)

glResetMinmaxEXT = Function('glResetMinmaxEXT')
glResetMinmaxEXT.version = '1.0'
regal_gl.add(glResetMinmaxEXT)

glIndexFuncEXT = Function('glIndexFuncEXT')
glIndexFuncEXT.version = '1.1'
regal_gl.add(glIndexFuncEXT)

glIndexMaterialEXT = Function('glIndexMaterialEXT')
glIndexMaterialEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glIndexMaterialEXT.version = '1.1'
regal_gl.add(glIndexMaterialEXT)

glApplyTextureEXT = Function('glApplyTextureEXT')
glApplyTextureEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glApplyTextureEXT.version = '1.1'
regal_gl.add(glApplyTextureEXT)

glTextureLightEXT = Function('glTextureLightEXT')
glTextureLightEXT.version = '1.1'
regal_gl.add(glTextureLightEXT)

glTextureMaterialEXT = Function('glTextureMaterialEXT')
glTextureMaterialEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glTextureMaterialEXT.version = '1.1'
regal_gl.add(glTextureMaterialEXT)

glFlushMappedBufferRangeEXT = Function('glFlushMappedBufferRangeEXT')
regal_gl.add(glFlushMappedBufferRangeEXT)

glMapBufferRangeEXT = Function('glMapBufferRangeEXT')
glMapBufferRangeEXT.add( Input( 'access','GLbitfield' ,regalLog = 'GLmapBufferRangeToString(access)' ))
regal_gl.add(glMapBufferRangeEXT)

glMultiDrawArraysEXT = Function('glMultiDrawArraysEXT')
glMultiDrawArraysEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMultiDrawArraysEXT.add( Input( 'first','const GLint *' ,size = 'primcount' ))
glMultiDrawArraysEXT.add( Input( 'count','const GLsizei *' ,size = 'primcount' ))
glMultiDrawArraysEXT.version = '1.1'
regal_gl.add(glMultiDrawArraysEXT)

glMultiDrawElementsEXT = Function('glMultiDrawElementsEXT')
glMultiDrawElementsEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glMultiDrawElementsEXT.add( Input( 'count','const GLsizei *' ,size = 'primcount' ))
glMultiDrawElementsEXT.add( Input( 'indices','const GLvoid * const *' ,size = 'primcount' ))
glMultiDrawElementsEXT.version = '1.1'
glMultiDrawElementsEXT.play = False
regal_gl.add(glMultiDrawElementsEXT)

glSampleMaskEXT = Function('glSampleMaskEXT')
glSampleMaskEXT.version = '1.0'
regal_gl.add(glSampleMaskEXT)

glSamplePatternEXT = Function('glSamplePatternEXT')
glSamplePatternEXT.version = '1.0'
regal_gl.add(glSamplePatternEXT)

glFramebufferTexture2DMultisampleEXT = Function('glFramebufferTexture2DMultisampleEXT')
regal_gl.add(glFramebufferTexture2DMultisampleEXT)

glDrawBuffersIndexedEXT = Function('glDrawBuffersIndexedEXT')
glDrawBuffersIndexedEXT.add( Input( 'location','const GLenum *' ))
glDrawBuffersIndexedEXT.add( Input( 'indices','const GLint *' ))
regal_gl.add(glDrawBuffersIndexedEXT)

glGetIntegeri_vEXT = Function('glGetIntegeri_vEXT')
glGetIntegeri_vEXT.add( Input( 'data','GLint *' ))
regal_gl.add(glGetIntegeri_vEXT)

glReadBufferIndexedEXT = Function('glReadBufferIndexedEXT')
regal_gl.add(glReadBufferIndexedEXT)

glBeginQueryEXT = Function('glBeginQueryEXT')
regal_gl.add(glBeginQueryEXT)

glDeleteQueriesEXT = Function('glDeleteQueriesEXT')
glDeleteQueriesEXT.add( Input( 'ids','const GLuint *' ))
regal_gl.add(glDeleteQueriesEXT)

glEndQueryEXT = Function('glEndQueryEXT')
regal_gl.add(glEndQueryEXT)

glGenQueriesEXT = Function('glGenQueriesEXT')
glGenQueriesEXT.add( Input( 'ids','GLuint *' ))
regal_gl.add(glGenQueriesEXT)

glGetQueryObjectuivEXT = Function('glGetQueryObjectuivEXT')
glGetQueryObjectuivEXT.add( Input( 'params','GLuint *' ))
regal_gl.add(glGetQueryObjectuivEXT)

glGetQueryivEXT = Function('glGetQueryivEXT')
glGetQueryivEXT.add( Input( 'params','GLint *' ))
regal_gl.add(glGetQueryivEXT)

glIsQueryEXT = Function('glIsQueryEXT')
regal_gl.add(glIsQueryEXT)

glColorTableEXT = Function('glColorTableEXT')
glColorTableEXT.add( Input( 'table','const GLvoid *' ))
glColorTableEXT.version = '1.0'
regal_gl.add(glColorTableEXT)

glGetColorTableEXT = Function('glGetColorTableEXT')
glGetColorTableEXT.add( Output( 'data','GLvoid *' ))
glGetColorTableEXT.version = '1.0'
regal_gl.add(glGetColorTableEXT)

glGetColorTableParameterfvEXT = Function('glGetColorTableParameterfvEXT')
glGetColorTableParameterfvEXT.add( Output( 'params','GLfloat *' ))
glGetColorTableParameterfvEXT.version = '1.0'
regal_gl.add(glGetColorTableParameterfvEXT)

glGetColorTableParameterivEXT = Function('glGetColorTableParameterivEXT')
glGetColorTableParameterivEXT.add( Output( 'params','GLint *' ))
glGetColorTableParameterivEXT.version = '1.0'
regal_gl.add(glGetColorTableParameterivEXT)

glGetPixelTransformParameterfvEXT = Function('glGetPixelTransformParameterfvEXT')
glGetPixelTransformParameterfvEXT.add( Output( 'params','GLfloat *' ))
regal_gl.add(glGetPixelTransformParameterfvEXT)

glGetPixelTransformParameterivEXT = Function('glGetPixelTransformParameterivEXT')
glGetPixelTransformParameterivEXT.add( Output( 'params','GLint *' ))
regal_gl.add(glGetPixelTransformParameterivEXT)

glPixelTransformParameterfEXT = Function('glPixelTransformParameterfEXT')
glPixelTransformParameterfEXT.add( Input( 'param','const GLfloat' ))
glPixelTransformParameterfEXT.version = '1.1'
regal_gl.add(glPixelTransformParameterfEXT)

glPixelTransformParameterfvEXT = Function('glPixelTransformParameterfvEXT')
glPixelTransformParameterfvEXT.add( Input( 'params','const GLfloat *' ,size = 1 ))
glPixelTransformParameterfvEXT.version = '1.1'
regal_gl.add(glPixelTransformParameterfvEXT)

glPixelTransformParameteriEXT = Function('glPixelTransformParameteriEXT')
glPixelTransformParameteriEXT.add( Input( 'param','const GLint' ))
glPixelTransformParameteriEXT.version = '1.1'
regal_gl.add(glPixelTransformParameteriEXT)

glPixelTransformParameterivEXT = Function('glPixelTransformParameterivEXT')
glPixelTransformParameterivEXT.add( Input( 'params','const GLint *' ,size = 1 ))
glPixelTransformParameterivEXT.version = '1.1'
regal_gl.add(glPixelTransformParameterivEXT)

glPointParameterfEXT = Function('glPointParameterfEXT')
glPointParameterfEXT.version = '1.1'
regal_gl.add(glPointParameterfEXT)

glPointParameterfvEXT = Function('glPointParameterfvEXT')
glPointParameterfvEXT.add( Input( 'params','const GLfloat *' ))
glPointParameterfvEXT.version = '1.1'
regal_gl.add(glPointParameterfvEXT)

glPolygonOffsetEXT = Function('glPolygonOffsetEXT')
glPolygonOffsetEXT.version = '1.0'
regal_gl.add(glPolygonOffsetEXT)

glProvokingVertexEXT = Function('glProvokingVertexEXT')
glProvokingVertexEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glProvokingVertexEXT.version = '1.0'
regal_gl.add(glProvokingVertexEXT)

glGetnUniformfvEXT = Function('glGetnUniformfvEXT')
glGetnUniformfvEXT.add( Input( 'params','GLfloat *' ))
regal_gl.add(glGetnUniformfvEXT)

glGetnUniformivEXT = Function('glGetnUniformivEXT')
glGetnUniformivEXT.add( Input( 'params','GLint *' ))
regal_gl.add(glGetnUniformivEXT)

glReadnPixelsEXT = Function('glReadnPixelsEXT')
glReadnPixelsEXT.add( Input( 'data','GLvoid *' ))
regal_gl.add(glReadnPixelsEXT)

glBeginSceneEXT = Function('glBeginSceneEXT')
regal_gl.add(glBeginSceneEXT)

glEndSceneEXT = Function('glEndSceneEXT')
regal_gl.add(glEndSceneEXT)

glSecondaryColor3bEXT = Function('glSecondaryColor3bEXT')
glSecondaryColor3bEXT.version = '1.1'
regal_gl.add(glSecondaryColor3bEXT)

glSecondaryColor3bvEXT = Function('glSecondaryColor3bvEXT')
glSecondaryColor3bvEXT.add( Input( 'v','const GLbyte *' ,size = 3 ))
glSecondaryColor3bvEXT.version = '1.1'
regal_gl.add(glSecondaryColor3bvEXT)

glSecondaryColor3dEXT = Function('glSecondaryColor3dEXT')
glSecondaryColor3dEXT.version = '1.1'
regal_gl.add(glSecondaryColor3dEXT)

glSecondaryColor3dvEXT = Function('glSecondaryColor3dvEXT')
glSecondaryColor3dvEXT.add( Input( 'v','const GLdouble *' ,size = 3 ))
glSecondaryColor3dvEXT.version = '1.1'
regal_gl.add(glSecondaryColor3dvEXT)

glSecondaryColor3fEXT = Function('glSecondaryColor3fEXT')
glSecondaryColor3fEXT.version = '1.1'
regal_gl.add(glSecondaryColor3fEXT)

glSecondaryColor3fvEXT = Function('glSecondaryColor3fvEXT')
glSecondaryColor3fvEXT.add( Input( 'v','const GLfloat *' ,size = 3 ))
glSecondaryColor3fvEXT.version = '1.1'
regal_gl.add(glSecondaryColor3fvEXT)

glSecondaryColor3iEXT = Function('glSecondaryColor3iEXT')
glSecondaryColor3iEXT.version = '1.1'
regal_gl.add(glSecondaryColor3iEXT)

glSecondaryColor3ivEXT = Function('glSecondaryColor3ivEXT')
glSecondaryColor3ivEXT.add( Input( 'v','const GLint *' ,size = 3 ))
glSecondaryColor3ivEXT.version = '1.1'
regal_gl.add(glSecondaryColor3ivEXT)

glSecondaryColor3sEXT = Function('glSecondaryColor3sEXT')
glSecondaryColor3sEXT.version = '1.1'
regal_gl.add(glSecondaryColor3sEXT)

glSecondaryColor3svEXT = Function('glSecondaryColor3svEXT')
glSecondaryColor3svEXT.add( Input( 'v','const GLshort *' ,size = 3 ))
glSecondaryColor3svEXT.version = '1.1'
regal_gl.add(glSecondaryColor3svEXT)

glSecondaryColor3ubEXT = Function('glSecondaryColor3ubEXT')
glSecondaryColor3ubEXT.version = '1.1'
regal_gl.add(glSecondaryColor3ubEXT)

glSecondaryColor3ubvEXT = Function('glSecondaryColor3ubvEXT')
glSecondaryColor3ubvEXT.add( Input( 'v','const GLubyte *' ,size = 3 ))
glSecondaryColor3ubvEXT.version = '1.1'
regal_gl.add(glSecondaryColor3ubvEXT)

glSecondaryColor3uiEXT = Function('glSecondaryColor3uiEXT')
glSecondaryColor3uiEXT.version = '1.1'
regal_gl.add(glSecondaryColor3uiEXT)

glSecondaryColor3uivEXT = Function('glSecondaryColor3uivEXT')
glSecondaryColor3uivEXT.add( Input( 'v','const GLuint *' ,size = 3 ))
glSecondaryColor3uivEXT.version = '1.1'
regal_gl.add(glSecondaryColor3uivEXT)

glSecondaryColor3usEXT = Function('glSecondaryColor3usEXT')
glSecondaryColor3usEXT.version = '1.1'
regal_gl.add(glSecondaryColor3usEXT)

glSecondaryColor3usvEXT = Function('glSecondaryColor3usvEXT')
glSecondaryColor3usvEXT.add( Input( 'v','const GLushort *' ,size = 3 ))
glSecondaryColor3usvEXT.version = '1.1'
regal_gl.add(glSecondaryColor3usvEXT)

glSecondaryColorPointerEXT = Function('glSecondaryColorPointerEXT')
glSecondaryColorPointerEXT.add( Input( 'pointer','const GLvoid *' ))
glSecondaryColorPointerEXT.version = '1.1'
regal_gl.add(glSecondaryColorPointerEXT)

glActiveProgramEXT = Function('glActiveProgramEXT')
glActiveProgramEXT.version = '2.0'
regal_gl.add(glActiveProgramEXT)

glCreateShaderProgramEXT = Function('glCreateShaderProgramEXT')
glCreateShaderProgramEXT.add( Input( 'string','const GLchar *' ))
glCreateShaderProgramEXT.version = '2.0'
regal_gl.add(glCreateShaderProgramEXT)

glUseShaderProgramEXT = Function('glUseShaderProgramEXT')
glUseShaderProgramEXT.version = '2.0'
regal_gl.add(glUseShaderProgramEXT)

glBindImageTextureEXT = Function('glBindImageTextureEXT')
glBindImageTextureEXT.version = '2.0'
regal_gl.add(glBindImageTextureEXT)

glMemoryBarrierEXT = Function('glMemoryBarrierEXT')
glMemoryBarrierEXT.add( Input( 'barriers','GLbitfield' ,regalLog = 'GLmemoryBarrierToString(barriers)' ))
glMemoryBarrierEXT.version = '2.0'
regal_gl.add(glMemoryBarrierEXT)

glStencilClearTagEXT = Function('glStencilClearTagEXT')
glStencilClearTagEXT.version = '1.5'
regal_gl.add(glStencilClearTagEXT)

glActiveStencilFaceEXT = Function('glActiveStencilFaceEXT')
glActiveStencilFaceEXT.version = '1.1'
regal_gl.add(glActiveStencilFaceEXT)

glTexSubImage1DEXT = Function('glTexSubImage1DEXT')
glTexSubImage1DEXT.add( Input( 'pixels','const GLvoid *' ,size = 'helperGLPixelImageSize(width, 0, 0, format, type, 0, target)' ,cast = 'const GLubyte *' ))
glTexSubImage1DEXT.version = '1.0'
regal_gl.add(glTexSubImage1DEXT)

glTexSubImage2DEXT = Function('glTexSubImage2DEXT')
glTexSubImage2DEXT.add( Input( 'pixels','const GLvoid *' ,size = 'helperGLPixelImageSize(width, height, 0, format, type, 0, target)' ,cast = 'const GLubyte *' ))
glTexSubImage2DEXT.version = '1.0'
regal_gl.add(glTexSubImage2DEXT)

glTexSubImage3DEXT = Function('glTexSubImage3DEXT')
glTexSubImage3DEXT.add( Input( 'pixels','const GLvoid *' ,size = 'helperGLPixelImageSize(width, height, depth, format, type, 0, target)' ,cast = 'const GLubyte *' ))
glTexSubImage3DEXT.version = '1.2'
regal_gl.add(glTexSubImage3DEXT)

glTexImage3DEXT = Function('glTexImage3DEXT')
glTexImage3DEXT.add( Input( 'internalformat','GLenum' ,regalLog = 'internalFormatToString(internalformat)' ))
glTexImage3DEXT.add( Input( 'pixels','const GLvoid *' ,size = 'helperGLPixelImageSize(width, height, depth, format, type, 0, target)' ,cast = 'const GLubyte *' ))
glTexImage3DEXT.version = '1.2'
regal_gl.add(glTexImage3DEXT)

glFramebufferTextureLayerEXT = Function('glFramebufferTextureLayerEXT')
glFramebufferTextureLayerEXT.version = '2.0'
regal_gl.add(glFramebufferTextureLayerEXT)

glTexBufferEXT = Function('glTexBufferEXT')
glTexBufferEXT.version = '2.0'
regal_gl.add(glTexBufferEXT)

glClearColorIiEXT = Function('glClearColorIiEXT')
glClearColorIiEXT.version = '2.0'
regal_gl.add(glClearColorIiEXT)

glClearColorIuiEXT = Function('glClearColorIuiEXT')
glClearColorIuiEXT.version = '2.0'
regal_gl.add(glClearColorIuiEXT)

glGetTexParameterIivEXT = Function('glGetTexParameterIivEXT')
glGetTexParameterIivEXT.add( Output( 'params','GLint *' ))
glGetTexParameterIivEXT.version = '2.0'
regal_gl.add(glGetTexParameterIivEXT)

glGetTexParameterIuivEXT = Function('glGetTexParameterIuivEXT')
glGetTexParameterIuivEXT.add( Output( 'params','GLuint *' ))
glGetTexParameterIuivEXT.version = '2.0'
regal_gl.add(glGetTexParameterIuivEXT)

glTexParameterIivEXT = Function('glTexParameterIivEXT')
glTexParameterIivEXT.add( Input( 'params','const GLint *' ,regalLog = 'GLTexParameterToString(pname,params)' ))
glTexParameterIivEXT.version = '2.0'
regal_gl.add(glTexParameterIivEXT)

glTexParameterIuivEXT = Function('glTexParameterIuivEXT')
glTexParameterIuivEXT.add( Input( 'params','const GLuint *' ,regalLog = 'GLTexParameterToString(pname,params)' ))
glTexParameterIuivEXT.version = '2.0'
regal_gl.add(glTexParameterIuivEXT)

glAreTexturesResidentEXT = Function('glAreTexturesResidentEXT')
glAreTexturesResidentEXT.add( Input( 'textures','const GLuint *' ,size = 'n' ))
glAreTexturesResidentEXT.add( Output( 'residences','GLboolean *' ,size = 'n' ))
glAreTexturesResidentEXT.version = '1.1'
regal_gl.add(glAreTexturesResidentEXT)

glBindTextureEXT = Function('glBindTextureEXT')
glBindTextureEXT.version = '1.1'
regal_gl.add(glBindTextureEXT)

glDeleteTexturesEXT = Function('glDeleteTexturesEXT')
glDeleteTexturesEXT.add( Input( 'textures','const GLuint *' ,size = 'n' ))
glDeleteTexturesEXT.version = '1.1'
regal_gl.add(glDeleteTexturesEXT)

glGenTexturesEXT = Function('glGenTexturesEXT')
glGenTexturesEXT.add( Output( 'textures','GLuint *' ,size = 'n' ))
glGenTexturesEXT.version = '1.1'
regal_gl.add(glGenTexturesEXT)

glIsTextureEXT = Function('glIsTextureEXT')
glIsTextureEXT.version = '1.1'
regal_gl.add(glIsTextureEXT)

glPrioritizeTexturesEXT = Function('glPrioritizeTexturesEXT')
glPrioritizeTexturesEXT.add( Input( 'textures','const GLuint *' ,size = 'n' ))
glPrioritizeTexturesEXT.add( Input( 'priorities','const GLfloat *' ,size = 'n' ))
glPrioritizeTexturesEXT.version = '1.1'
regal_gl.add(glPrioritizeTexturesEXT)

glTextureNormalEXT = Function('glTextureNormalEXT')
glTextureNormalEXT.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glTextureNormalEXT.version = '1.1'
regal_gl.add(glTextureNormalEXT)

glTexStorage1DEXT = Function('glTexStorage1DEXT')
regal_gl.add(glTexStorage1DEXT)

glTexStorage2DEXT = Function('glTexStorage2DEXT')
regal_gl.add(glTexStorage2DEXT)

glTexStorage3DEXT = Function('glTexStorage3DEXT')
regal_gl.add(glTexStorage3DEXT)

glGetQueryObjecti64vEXT = Function('glGetQueryObjecti64vEXT')
glGetQueryObjecti64vEXT.add( Output( 'params','GLint64EXT *' ))
glGetQueryObjecti64vEXT.version = '1.5'
glGetQueryObjecti64vEXT.play = False
regal_gl.add(glGetQueryObjecti64vEXT)

glGetQueryObjectui64vEXT = Function('glGetQueryObjectui64vEXT')
glGetQueryObjectui64vEXT.add( Output( 'params','GLuint64EXT *' ))
glGetQueryObjectui64vEXT.version = '1.5'
glGetQueryObjectui64vEXT.play = False
regal_gl.add(glGetQueryObjectui64vEXT)

glBeginTransformFeedbackEXT = Function('glBeginTransformFeedbackEXT')
glBeginTransformFeedbackEXT.version = '2.0'
regal_gl.add(glBeginTransformFeedbackEXT)

glBindBufferBaseEXT = Function('glBindBufferBaseEXT')
glBindBufferBaseEXT.version = '2.0'
regal_gl.add(glBindBufferBaseEXT)

glBindBufferOffsetEXT = Function('glBindBufferOffsetEXT')
glBindBufferOffsetEXT.version = '2.0'
regal_gl.add(glBindBufferOffsetEXT)

glBindBufferRangeEXT = Function('glBindBufferRangeEXT')
glBindBufferRangeEXT.version = '2.0'
regal_gl.add(glBindBufferRangeEXT)

glEndTransformFeedbackEXT = Function('glEndTransformFeedbackEXT')
glEndTransformFeedbackEXT.version = '2.0'
regal_gl.add(glEndTransformFeedbackEXT)

glGetTransformFeedbackVaryingEXT = Function('glGetTransformFeedbackVaryingEXT')
glGetTransformFeedbackVaryingEXT.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetTransformFeedbackVaryingEXT.add( Output( 'size','GLsizei *' ,size = 1 ))
glGetTransformFeedbackVaryingEXT.add( Output( 'type','GLenum *' ,size = 1 ))
glGetTransformFeedbackVaryingEXT.add( Output( 'name','GLchar *' ,maxSize = 'bufSize' ))
glGetTransformFeedbackVaryingEXT.version = '2.0'
glGetTransformFeedbackVaryingEXT.play = False
regal_gl.add(glGetTransformFeedbackVaryingEXT)

glTransformFeedbackVaryingsEXT = Function('glTransformFeedbackVaryingsEXT')
glTransformFeedbackVaryingsEXT.add( Input( 'varyings','const GLchar * const *' ,size = 'count' ))
glTransformFeedbackVaryingsEXT.version = '2.0'
regal_gl.add(glTransformFeedbackVaryingsEXT)

glArrayElementEXT = Function('glArrayElementEXT')
glArrayElementEXT.version = '1.1'
regal_gl.add(glArrayElementEXT)

glColorPointerEXT = Function('glColorPointerEXT')
glColorPointerEXT.add( Input( 'pointer','const GLvoid *' ))
glColorPointerEXT.version = '1.1'
regal_gl.add(glColorPointerEXT)

glDrawArraysEXT = Function('glDrawArraysEXT')
glDrawArraysEXT.add( Input( 'first','GLint' ,regalLog = 'GLmodeToString(mode)' ))
glDrawArraysEXT.version = '1.1'
regal_gl.add(glDrawArraysEXT)

glEdgeFlagPointerEXT = Function('glEdgeFlagPointerEXT')
glEdgeFlagPointerEXT.add( Input( 'pointer','const GLboolean *' ))
glEdgeFlagPointerEXT.version = '1.1'
regal_gl.add(glEdgeFlagPointerEXT)

glGetPointervEXT = Function('glGetPointervEXT')
glGetPointervEXT.add( Output( 'params','GLvoid **' ,size = 1 ))
glGetPointervEXT.version = '1.1'
glGetPointervEXT.play = False
regal_gl.add(glGetPointervEXT)

glIndexPointerEXT = Function('glIndexPointerEXT')
glIndexPointerEXT.add( Input( 'pointer','const GLvoid *' ))
glIndexPointerEXT.version = '1.1'
regal_gl.add(glIndexPointerEXT)

glNormalPointerEXT = Function('glNormalPointerEXT')
glNormalPointerEXT.add( Input( 'pointer','const GLvoid *' ))
glNormalPointerEXT.version = '1.1'
regal_gl.add(glNormalPointerEXT)

glTexCoordPointerEXT = Function('glTexCoordPointerEXT')
glTexCoordPointerEXT.add( Input( 'pointer','const GLvoid *' ))
glTexCoordPointerEXT.version = '1.1'
regal_gl.add(glTexCoordPointerEXT)

glVertexPointerEXT = Function('glVertexPointerEXT')
glVertexPointerEXT.add( Input( 'pointer','const GLvoid *' ))
glVertexPointerEXT.version = '1.1'
glVertexPointerEXT.play = False
regal_gl.add(glVertexPointerEXT)

glGetVertexAttribLdvEXT = Function('glGetVertexAttribLdvEXT')
glGetVertexAttribLdvEXT.add( Output( 'params','GLdouble *' ,size = 1 ))
regal_gl.add(glGetVertexAttribLdvEXT)

glVertexArrayVertexAttribLOffsetEXT = Function('glVertexArrayVertexAttribLOffsetEXT')
glVertexArrayVertexAttribLOffsetEXT.version = '3.0'
regal_gl.add(glVertexArrayVertexAttribLOffsetEXT)

glVertexAttribL1dEXT = Function('glVertexAttribL1dEXT')
regal_gl.add(glVertexAttribL1dEXT)

glVertexAttribL1dvEXT = Function('glVertexAttribL1dvEXT')
glVertexAttribL1dvEXT.add( Input( 'v','const GLdouble *' ,size = 1 ))
regal_gl.add(glVertexAttribL1dvEXT)

glVertexAttribL2dEXT = Function('glVertexAttribL2dEXT')
regal_gl.add(glVertexAttribL2dEXT)

glVertexAttribL2dvEXT = Function('glVertexAttribL2dvEXT')
glVertexAttribL2dvEXT.add( Input( 'v','const GLdouble *' ,size = 2 ))
regal_gl.add(glVertexAttribL2dvEXT)

glVertexAttribL3dEXT = Function('glVertexAttribL3dEXT')
regal_gl.add(glVertexAttribL3dEXT)

glVertexAttribL3dvEXT = Function('glVertexAttribL3dvEXT')
glVertexAttribL3dvEXT.add( Input( 'v','const GLdouble *' ,size = 3 ))
regal_gl.add(glVertexAttribL3dvEXT)

glVertexAttribL4dEXT = Function('glVertexAttribL4dEXT')
regal_gl.add(glVertexAttribL4dEXT)

glVertexAttribL4dvEXT = Function('glVertexAttribL4dvEXT')
glVertexAttribL4dvEXT.add( Input( 'v','const GLdouble *' ,size = 4 ))
regal_gl.add(glVertexAttribL4dvEXT)

glVertexAttribLPointerEXT = Function('glVertexAttribLPointerEXT')
glVertexAttribLPointerEXT.add( Input( 'pointer','const GLvoid *' ))
regal_gl.add(glVertexAttribLPointerEXT)

glBeginVertexShaderEXT = Function('glBeginVertexShaderEXT')
glBeginVertexShaderEXT.version = '1.2'
regal_gl.add(glBeginVertexShaderEXT)

glBindLightParameterEXT = Function('glBindLightParameterEXT')
glBindLightParameterEXT.version = '1.2'
regal_gl.add(glBindLightParameterEXT)

glBindMaterialParameterEXT = Function('glBindMaterialParameterEXT')
glBindMaterialParameterEXT.version = '1.2'
regal_gl.add(glBindMaterialParameterEXT)

glBindParameterEXT = Function('glBindParameterEXT')
glBindParameterEXT.version = '1.2'
regal_gl.add(glBindParameterEXT)

glBindTexGenParameterEXT = Function('glBindTexGenParameterEXT')
glBindTexGenParameterEXT.version = '1.2'
regal_gl.add(glBindTexGenParameterEXT)

glBindTextureUnitParameterEXT = Function('glBindTextureUnitParameterEXT')
glBindTextureUnitParameterEXT.version = '1.2'
regal_gl.add(glBindTextureUnitParameterEXT)

glBindVertexShaderEXT = Function('glBindVertexShaderEXT')
glBindVertexShaderEXT.version = '1.2'
regal_gl.add(glBindVertexShaderEXT)

glDeleteVertexShaderEXT = Function('glDeleteVertexShaderEXT')
glDeleteVertexShaderEXT.version = '1.2'
regal_gl.add(glDeleteVertexShaderEXT)

glDisableVariantClientStateEXT = Function('glDisableVariantClientStateEXT')
glDisableVariantClientStateEXT.version = '1.2'
regal_gl.add(glDisableVariantClientStateEXT)

glEnableVariantClientStateEXT = Function('glEnableVariantClientStateEXT')
glEnableVariantClientStateEXT.version = '1.2'
regal_gl.add(glEnableVariantClientStateEXT)

glEndVertexShaderEXT = Function('glEndVertexShaderEXT')
glEndVertexShaderEXT.version = '1.2'
regal_gl.add(glEndVertexShaderEXT)

glExtractComponentEXT = Function('glExtractComponentEXT')
glExtractComponentEXT.version = '1.2'
regal_gl.add(glExtractComponentEXT)

glGenSymbolsEXT = Function('glGenSymbolsEXT')
glGenSymbolsEXT.version = '1.2'
regal_gl.add(glGenSymbolsEXT)

glGenVertexShadersEXT = Function('glGenVertexShadersEXT')
glGenVertexShadersEXT.version = '1.2'
regal_gl.add(glGenVertexShadersEXT)

glGetInvariantBooleanvEXT = Function('glGetInvariantBooleanvEXT')
glGetInvariantBooleanvEXT.add( Output( 'data','GLboolean *' ))
glGetInvariantBooleanvEXT.version = '1.2'
glGetInvariantBooleanvEXT.play = False
regal_gl.add(glGetInvariantBooleanvEXT)

glGetInvariantFloatvEXT = Function('glGetInvariantFloatvEXT')
glGetInvariantFloatvEXT.add( Output( 'data','GLfloat *' ))
glGetInvariantFloatvEXT.version = '1.2'
glGetInvariantFloatvEXT.play = False
regal_gl.add(glGetInvariantFloatvEXT)

glGetInvariantIntegervEXT = Function('glGetInvariantIntegervEXT')
glGetInvariantIntegervEXT.add( Output( 'data','GLint *' ))
glGetInvariantIntegervEXT.version = '1.2'
glGetInvariantIntegervEXT.play = False
regal_gl.add(glGetInvariantIntegervEXT)

glGetLocalConstantBooleanvEXT = Function('glGetLocalConstantBooleanvEXT')
glGetLocalConstantBooleanvEXT.add( Output( 'data','GLboolean *' ))
glGetLocalConstantBooleanvEXT.version = '1.2'
glGetLocalConstantBooleanvEXT.play = False
regal_gl.add(glGetLocalConstantBooleanvEXT)

glGetLocalConstantFloatvEXT = Function('glGetLocalConstantFloatvEXT')
glGetLocalConstantFloatvEXT.add( Output( 'data','GLfloat *' ))
glGetLocalConstantFloatvEXT.version = '1.2'
glGetLocalConstantFloatvEXT.play = False
regal_gl.add(glGetLocalConstantFloatvEXT)

glGetLocalConstantIntegervEXT = Function('glGetLocalConstantIntegervEXT')
glGetLocalConstantIntegervEXT.add( Output( 'data','GLint *' ))
glGetLocalConstantIntegervEXT.version = '1.2'
glGetLocalConstantIntegervEXT.play = False
regal_gl.add(glGetLocalConstantIntegervEXT)

glGetVariantBooleanvEXT = Function('glGetVariantBooleanvEXT')
glGetVariantBooleanvEXT.add( Output( 'data','GLboolean *' ))
glGetVariantBooleanvEXT.version = '1.2'
glGetVariantBooleanvEXT.play = False
regal_gl.add(glGetVariantBooleanvEXT)

glGetVariantFloatvEXT = Function('glGetVariantFloatvEXT')
glGetVariantFloatvEXT.add( Output( 'data','GLfloat *' ))
glGetVariantFloatvEXT.version = '1.2'
glGetVariantFloatvEXT.play = False
regal_gl.add(glGetVariantFloatvEXT)

glGetVariantIntegervEXT = Function('glGetVariantIntegervEXT')
glGetVariantIntegervEXT.add( Output( 'data','GLint *' ))
glGetVariantIntegervEXT.version = '1.2'
glGetVariantIntegervEXT.play = False
regal_gl.add(glGetVariantIntegervEXT)

glGetVariantPointervEXT = Function('glGetVariantPointervEXT')
glGetVariantPointervEXT.add( Output( 'data','GLvoid **' ))
glGetVariantPointervEXT.version = '1.2'
glGetVariantPointervEXT.play = False
regal_gl.add(glGetVariantPointervEXT)

glInsertComponentEXT = Function('glInsertComponentEXT')
glInsertComponentEXT.version = '1.2'
regal_gl.add(glInsertComponentEXT)

glIsVariantEnabledEXT = Function('glIsVariantEnabledEXT')
glIsVariantEnabledEXT.version = '1.2'
regal_gl.add(glIsVariantEnabledEXT)

glSetInvariantEXT = Function('glSetInvariantEXT')
glSetInvariantEXT.add( Input( 'addr','const GLvoid *' ))
glSetInvariantEXT.version = '1.2'
regal_gl.add(glSetInvariantEXT)

glSetLocalConstantEXT = Function('glSetLocalConstantEXT')
glSetLocalConstantEXT.add( Input( 'addr','const GLvoid *' ))
glSetLocalConstantEXT.version = '1.2'
regal_gl.add(glSetLocalConstantEXT)

glShaderOp1EXT = Function('glShaderOp1EXT')
glShaderOp1EXT.version = '1.2'
regal_gl.add(glShaderOp1EXT)

glShaderOp2EXT = Function('glShaderOp2EXT')
glShaderOp2EXT.version = '1.2'
regal_gl.add(glShaderOp2EXT)

glShaderOp3EXT = Function('glShaderOp3EXT')
glShaderOp3EXT.version = '1.2'
regal_gl.add(glShaderOp3EXT)

glSwizzleEXT = Function('glSwizzleEXT')
glSwizzleEXT.version = '1.2'
regal_gl.add(glSwizzleEXT)

glVariantPointerEXT = Function('glVariantPointerEXT')
glVariantPointerEXT.add( Input( 'addr','const GLvoid *' ))
glVariantPointerEXT.version = '1.2'
regal_gl.add(glVariantPointerEXT)

glVariantbvEXT = Function('glVariantbvEXT')
glVariantbvEXT.add( Input( 'addr','const GLbyte *' ))
glVariantbvEXT.version = '1.2'
regal_gl.add(glVariantbvEXT)

glVariantdvEXT = Function('glVariantdvEXT')
glVariantdvEXT.add( Input( 'addr','const GLdouble *' ))
glVariantdvEXT.version = '1.2'
regal_gl.add(glVariantdvEXT)

glVariantfvEXT = Function('glVariantfvEXT')
glVariantfvEXT.add( Input( 'addr','const GLfloat *' ))
glVariantfvEXT.version = '1.2'
regal_gl.add(glVariantfvEXT)

glVariantivEXT = Function('glVariantivEXT')
glVariantivEXT.add( Input( 'addr','const GLint *' ))
glVariantivEXT.version = '1.2'
regal_gl.add(glVariantivEXT)

glVariantsvEXT = Function('glVariantsvEXT')
glVariantsvEXT.add( Input( 'addr','const GLshort *' ))
glVariantsvEXT.version = '1.2'
regal_gl.add(glVariantsvEXT)

glVariantubvEXT = Function('glVariantubvEXT')
glVariantubvEXT.add( Input( 'addr','const GLubyte *' ))
glVariantubvEXT.version = '1.2'
regal_gl.add(glVariantubvEXT)

glVariantuivEXT = Function('glVariantuivEXT')
glVariantuivEXT.add( Input( 'addr','const GLuint *' ))
glVariantuivEXT.version = '1.2'
regal_gl.add(glVariantuivEXT)

glVariantusvEXT = Function('glVariantusvEXT')
glVariantusvEXT.add( Input( 'addr','const GLushort *' ))
glVariantusvEXT.version = '1.2'
regal_gl.add(glVariantusvEXT)

glWriteMaskEXT = Function('glWriteMaskEXT')
glWriteMaskEXT.version = '1.2'
regal_gl.add(glWriteMaskEXT)

glVertexWeightPointerEXT = Function('glVertexWeightPointerEXT')
glVertexWeightPointerEXT.add( Input( 'pointer','const GLvoid *' ))
glVertexWeightPointerEXT.version = '1.1'
regal_gl.add(glVertexWeightPointerEXT)

glVertexWeightfEXT = Function('glVertexWeightfEXT')
glVertexWeightfEXT.version = '1.1'
regal_gl.add(glVertexWeightfEXT)

glVertexWeightfvEXT = Function('glVertexWeightfvEXT')
glVertexWeightfvEXT.add( Input( 'weight','const GLfloat *' ,size = 1 ))
glVertexWeightfvEXT.version = '1.1'
regal_gl.add(glVertexWeightfvEXT)

glImportSyncEXT = Function('glImportSyncEXT')
glImportSyncEXT.add( Input( 'flags','GLbitfield' ,regalLog = 'GLimportSyncEXTToString(flags)' ))
regal_gl.add(glImportSyncEXT)

glFrameTerminatorGREMEDY = Function('glFrameTerminatorGREMEDY')
glFrameTerminatorGREMEDY.version = '1.0'
regal_gl.add(glFrameTerminatorGREMEDY)

glStringMarkerGREMEDY = Function('glStringMarkerGREMEDY')
glStringMarkerGREMEDY.add( Input( 'string','const GLvoid *' ))
glStringMarkerGREMEDY.version = '1.0'
regal_gl.add(glStringMarkerGREMEDY)

glGetImageTransformParameterfvHP = Function('glGetImageTransformParameterfvHP')
glGetImageTransformParameterfvHP.add( Output( 'params','GLfloat *' ))
glGetImageTransformParameterfvHP.version = '1.1'
regal_gl.add(glGetImageTransformParameterfvHP)

glGetImageTransformParameterivHP = Function('glGetImageTransformParameterivHP')
glGetImageTransformParameterivHP.add( Output( 'params','GLint *' ))
glGetImageTransformParameterivHP.version = '1.1'
regal_gl.add(glGetImageTransformParameterivHP)

glImageTransformParameterfHP = Function('glImageTransformParameterfHP')
glImageTransformParameterfHP.version = '1.1'
regal_gl.add(glImageTransformParameterfHP)

glImageTransformParameterfvHP = Function('glImageTransformParameterfvHP')
glImageTransformParameterfvHP.add( Input( 'params','const GLfloat *' ))
glImageTransformParameterfvHP.version = '1.1'
regal_gl.add(glImageTransformParameterfvHP)

glImageTransformParameteriHP = Function('glImageTransformParameteriHP')
glImageTransformParameteriHP.version = '1.1'
regal_gl.add(glImageTransformParameteriHP)

glImageTransformParameterivHP = Function('glImageTransformParameterivHP')
glImageTransformParameterivHP.add( Input( 'params','const GLint *' ))
glImageTransformParameterivHP.version = '1.1'
regal_gl.add(glImageTransformParameterivHP)

glMultiModeDrawArraysIBM = Function('glMultiModeDrawArraysIBM')
glMultiModeDrawArraysIBM.add( Input( 'mode','const GLenum *' ))
glMultiModeDrawArraysIBM.add( Input( 'first','const GLint *' ))
glMultiModeDrawArraysIBM.add( Input( 'count','const GLsizei *' ))
glMultiModeDrawArraysIBM.version = '1.1'
regal_gl.add(glMultiModeDrawArraysIBM)

glMultiModeDrawElementsIBM = Function('glMultiModeDrawElementsIBM')
glMultiModeDrawElementsIBM.add( Input( 'mode','const GLenum *' ))
glMultiModeDrawElementsIBM.add( Input( 'count','const GLsizei *' ))
glMultiModeDrawElementsIBM.add( Input( 'indices','const GLvoid * const *' ))
glMultiModeDrawElementsIBM.version = '1.1'
regal_gl.add(glMultiModeDrawElementsIBM)

glColorPointerListIBM = Function('glColorPointerListIBM')
glColorPointerListIBM.add( Input( 'pointer','const GLvoid **' ))
glColorPointerListIBM.version = '1.1'
regal_gl.add(glColorPointerListIBM)

glEdgeFlagPointerListIBM = Function('glEdgeFlagPointerListIBM')
glEdgeFlagPointerListIBM.add( Input( 'pointer','const GLboolean **' ))
glEdgeFlagPointerListIBM.version = '1.1'
regal_gl.add(glEdgeFlagPointerListIBM)

glFogCoordPointerListIBM = Function('glFogCoordPointerListIBM')
glFogCoordPointerListIBM.add( Input( 'pointer','const GLvoid **' ))
glFogCoordPointerListIBM.version = '1.1'
regal_gl.add(glFogCoordPointerListIBM)

glIndexPointerListIBM = Function('glIndexPointerListIBM')
glIndexPointerListIBM.add( Input( 'pointer','const GLvoid **' ))
glIndexPointerListIBM.version = '1.1'
regal_gl.add(glIndexPointerListIBM)

glNormalPointerListIBM = Function('glNormalPointerListIBM')
glNormalPointerListIBM.add( Input( 'pointer','const GLvoid **' ))
glNormalPointerListIBM.version = '1.1'
regal_gl.add(glNormalPointerListIBM)

glSecondaryColorPointerListIBM = Function('glSecondaryColorPointerListIBM')
glSecondaryColorPointerListIBM.add( Input( 'pointer','const GLvoid **' ))
glSecondaryColorPointerListIBM.version = '1.1'
regal_gl.add(glSecondaryColorPointerListIBM)

glTexCoordPointerListIBM = Function('glTexCoordPointerListIBM')
glTexCoordPointerListIBM.add( Input( 'pointer','const GLvoid **' ))
glTexCoordPointerListIBM.version = '1.1'
regal_gl.add(glTexCoordPointerListIBM)

glVertexPointerListIBM = Function('glVertexPointerListIBM')
glVertexPointerListIBM.add( Input( 'pointer','const GLvoid **' ))
glVertexPointerListIBM.version = '1.1'
regal_gl.add(glVertexPointerListIBM)

glFramebufferTexture2DMultisampleIMG = Function('glFramebufferTexture2DMultisampleIMG')
regal_gl.add(glFramebufferTexture2DMultisampleIMG)

glRenderbufferStorageMultisampleIMG = Function('glRenderbufferStorageMultisampleIMG')
regal_gl.add(glRenderbufferStorageMultisampleIMG)

glBlendFuncSeparateINGR = Function('glBlendFuncSeparateINGR')
glBlendFuncSeparateINGR.version = '1.1'
regal_gl.add(glBlendFuncSeparateINGR)

glMapTexture2DINTEL = Function('glMapTexture2DINTEL')
glMapTexture2DINTEL.add( Input( 'access','GLbitfield' ,regalLog = 'GLmapTexture2DINTELToString(access)' ))
glMapTexture2DINTEL.add( Input( 'stride','GLint *' ))
glMapTexture2DINTEL.add( Input( 'layout','GLenum *' ))
regal_gl.add(glMapTexture2DINTEL)

glSyncTextureINTEL = Function('glSyncTextureINTEL')
regal_gl.add(glSyncTextureINTEL)

glUnmapTexture2DINTEL = Function('glUnmapTexture2DINTEL')
regal_gl.add(glUnmapTexture2DINTEL)

glColorPointervINTEL = Function('glColorPointervINTEL')
glColorPointervINTEL.add( Input( 'pointer','const GLvoid **' ,size = 4 ))
glColorPointervINTEL.version = '1.1'
regal_gl.add(glColorPointervINTEL)

glNormalPointervINTEL = Function('glNormalPointervINTEL')
glNormalPointervINTEL.add( Input( 'pointer','const GLvoid **' ,size = 4 ))
glNormalPointervINTEL.version = '1.1'
regal_gl.add(glNormalPointervINTEL)

glTexCoordPointervINTEL = Function('glTexCoordPointervINTEL')
glTexCoordPointervINTEL.add( Input( 'pointer','const GLvoid **' ,size = 4 ))
glTexCoordPointervINTEL.version = '1.1'
regal_gl.add(glTexCoordPointervINTEL)

glVertexPointervINTEL = Function('glVertexPointervINTEL')
glVertexPointervINTEL.add( Input( 'pointer','const GLvoid **' ,size = 4 ))
glVertexPointervINTEL.version = '1.1'
regal_gl.add(glVertexPointervINTEL)

glTexScissorFuncINTEL = Function('glTexScissorFuncINTEL')
regal_gl.add(glTexScissorFuncINTEL)

glTexScissorINTEL = Function('glTexScissorINTEL')
regal_gl.add(glTexScissorINTEL)

glBlendBarrierKHR = Function('glBlendBarrierKHR')
regal_gl.add(glBlendBarrierKHR)

glDebugMessageCallback = Function('glDebugMessageCallback')
glDebugMessageCallback.add( Input( 'userParam','const void *' ))
regal_gl.add(glDebugMessageCallback)

glDebugMessageControl = Function('glDebugMessageControl')
glDebugMessageControl.add( Input( 'ids','const GLuint *' ))
regal_gl.add(glDebugMessageControl)

glDebugMessageInsert = Function('glDebugMessageInsert')
glDebugMessageInsert.add( Input( 'buf','const GLchar *' ))
regal_gl.add(glDebugMessageInsert)

glGetDebugMessageLog = Function('glGetDebugMessageLog')
glGetDebugMessageLog.add( Input( 'sources','GLenum *' ))
glGetDebugMessageLog.add( Input( 'types','GLenum *' ))
glGetDebugMessageLog.add( Input( 'ids','GLuint *' ))
glGetDebugMessageLog.add( Input( 'severities','GLenum *' ))
glGetDebugMessageLog.add( Input( 'lengths','GLsizei *' ))
glGetDebugMessageLog.add( Input( 'messageLog','GLchar *' ))
regal_gl.add(glGetDebugMessageLog)

glGetObjectLabel = Function('glGetObjectLabel')
glGetObjectLabel.add( Input( 'length','GLsizei *' ))
glGetObjectLabel.add( Input( 'label','GLchar *' ))
regal_gl.add(glGetObjectLabel)

glGetObjectPtrLabel = Function('glGetObjectPtrLabel')
glGetObjectPtrLabel.add( Input( 'ptr','const GLvoid *' ))
glGetObjectPtrLabel.add( Input( 'length','GLsizei *' ))
glGetObjectPtrLabel.add( Input( 'label','GLchar *' ))
regal_gl.add(glGetObjectPtrLabel)

glObjectLabel = Function('glObjectLabel')
glObjectLabel.add( Input( 'label','const GLchar *' ))
regal_gl.add(glObjectLabel)

glObjectPtrLabel = Function('glObjectPtrLabel')
glObjectPtrLabel.add( Input( 'ptr','const GLvoid *' ))
glObjectPtrLabel.add( Input( 'label','const GLchar *' ))
regal_gl.add(glObjectPtrLabel)

glPopDebugGroup = Function('glPopDebugGroup')
regal_gl.add(glPopDebugGroup)

glPushDebugGroup = Function('glPushDebugGroup')
glPushDebugGroup.add( Input( 'message','const GLchar *' ))
regal_gl.add(glPushDebugGroup)

glGetnUniformfv = Function('glGetnUniformfv')
glGetnUniformfv.add( Input( 'params','GLfloat *' ))
regal_gl.add(glGetnUniformfv)

glGetnUniformiv = Function('glGetnUniformiv')
glGetnUniformiv.add( Input( 'params','GLint *' ))
regal_gl.add(glGetnUniformiv)

glGetnUniformuiv = Function('glGetnUniformuiv')
glGetnUniformuiv.add( Input( 'params','GLuint *' ))
regal_gl.add(glGetnUniformuiv)

glReadnPixels = Function('glReadnPixels')
glReadnPixels.add( Input( 'data','GLvoid *' ))
regal_gl.add(glReadnPixels)

glBufferRegionEnabled = Function('glBufferRegionEnabled')
regal_gl.add(glBufferRegionEnabled)

glDeleteBufferRegion = Function('glDeleteBufferRegion')
regal_gl.add(glDeleteBufferRegion)

glDrawBufferRegion = Function('glDrawBufferRegion')
regal_gl.add(glDrawBufferRegion)

glNewBufferRegion = Function('glNewBufferRegion')
regal_gl.add(glNewBufferRegion)

glReadBufferRegion = Function('glReadBufferRegion')
regal_gl.add(glReadBufferRegion)

glResizeBuffersMESA = Function('glResizeBuffersMESA')
glResizeBuffersMESA.version = '1.0'
regal_gl.add(glResizeBuffersMESA)

glWindowPos2dMESA = Function('glWindowPos2dMESA')
glWindowPos2dMESA.version = '1.0'
regal_gl.add(glWindowPos2dMESA)

glWindowPos2dvMESA = Function('glWindowPos2dvMESA')
glWindowPos2dvMESA.add( Input( 'v','const GLdouble *' ,size = 2 ))
glWindowPos2dvMESA.version = '1.0'
regal_gl.add(glWindowPos2dvMESA)

glWindowPos2fMESA = Function('glWindowPos2fMESA')
glWindowPos2fMESA.version = '1.0'
regal_gl.add(glWindowPos2fMESA)

glWindowPos2fvMESA = Function('glWindowPos2fvMESA')
glWindowPos2fvMESA.add( Input( 'v','const GLfloat *' ,size = 2 ))
glWindowPos2fvMESA.version = '1.0'
regal_gl.add(glWindowPos2fvMESA)

glWindowPos2iMESA = Function('glWindowPos2iMESA')
glWindowPos2iMESA.version = '1.0'
regal_gl.add(glWindowPos2iMESA)

glWindowPos2ivMESA = Function('glWindowPos2ivMESA')
glWindowPos2ivMESA.add( Input( 'v','const GLint *' ,size = 2 ))
glWindowPos2ivMESA.version = '1.0'
regal_gl.add(glWindowPos2ivMESA)

glWindowPos2sMESA = Function('glWindowPos2sMESA')
glWindowPos2sMESA.version = '1.0'
regal_gl.add(glWindowPos2sMESA)

glWindowPos2svMESA = Function('glWindowPos2svMESA')
glWindowPos2svMESA.add( Input( 'v','const GLshort *' ,size = 2 ))
glWindowPos2svMESA.version = '1.0'
regal_gl.add(glWindowPos2svMESA)

glWindowPos3dMESA = Function('glWindowPos3dMESA')
glWindowPos3dMESA.version = '1.0'
regal_gl.add(glWindowPos3dMESA)

glWindowPos3dvMESA = Function('glWindowPos3dvMESA')
glWindowPos3dvMESA.add( Input( 'v','const GLdouble *' ,size = 3 ))
glWindowPos3dvMESA.version = '1.0'
regal_gl.add(glWindowPos3dvMESA)

glWindowPos3fMESA = Function('glWindowPos3fMESA')
glWindowPos3fMESA.version = '1.0'
regal_gl.add(glWindowPos3fMESA)

glWindowPos3fvMESA = Function('glWindowPos3fvMESA')
glWindowPos3fvMESA.add( Input( 'v','const GLfloat *' ,size = 3 ))
glWindowPos3fvMESA.version = '1.0'
regal_gl.add(glWindowPos3fvMESA)

glWindowPos3iMESA = Function('glWindowPos3iMESA')
glWindowPos3iMESA.version = '1.0'
regal_gl.add(glWindowPos3iMESA)

glWindowPos3ivMESA = Function('glWindowPos3ivMESA')
glWindowPos3ivMESA.add( Input( 'v','const GLint *' ,size = 3 ))
glWindowPos3ivMESA.version = '1.0'
regal_gl.add(glWindowPos3ivMESA)

glWindowPos3sMESA = Function('glWindowPos3sMESA')
glWindowPos3sMESA.version = '1.0'
regal_gl.add(glWindowPos3sMESA)

glWindowPos3svMESA = Function('glWindowPos3svMESA')
glWindowPos3svMESA.add( Input( 'v','const GLshort *' ,size = 3 ))
glWindowPos3svMESA.version = '1.0'
regal_gl.add(glWindowPos3svMESA)

glWindowPos4dMESA = Function('glWindowPos4dMESA')
glWindowPos4dMESA.version = '1.0'
regal_gl.add(glWindowPos4dMESA)

glWindowPos4dvMESA = Function('glWindowPos4dvMESA')
glWindowPos4dvMESA.add( Input( 'v','const GLdouble *' ,size = 4 ))
glWindowPos4dvMESA.version = '1.0'
regal_gl.add(glWindowPos4dvMESA)

glWindowPos4fMESA = Function('glWindowPos4fMESA')
glWindowPos4fMESA.version = '1.0'
regal_gl.add(glWindowPos4fMESA)

glWindowPos4fvMESA = Function('glWindowPos4fvMESA')
glWindowPos4fvMESA.add( Input( 'v','const GLfloat *' ,size = 4 ))
glWindowPos4fvMESA.version = '1.0'
regal_gl.add(glWindowPos4fvMESA)

glWindowPos4iMESA = Function('glWindowPos4iMESA')
glWindowPos4iMESA.version = '1.0'
regal_gl.add(glWindowPos4iMESA)

glWindowPos4ivMESA = Function('glWindowPos4ivMESA')
glWindowPos4ivMESA.add( Input( 'v','const GLint *' ,size = 4 ))
glWindowPos4ivMESA.version = '1.0'
regal_gl.add(glWindowPos4ivMESA)

glWindowPos4sMESA = Function('glWindowPos4sMESA')
glWindowPos4sMESA.version = '1.0'
regal_gl.add(glWindowPos4sMESA)

glWindowPos4svMESA = Function('glWindowPos4svMESA')
glWindowPos4svMESA.add( Input( 'v','const GLshort *' ,size = 4 ))
glWindowPos4svMESA.version = '1.0'
regal_gl.add(glWindowPos4svMESA)

glBeginConditionalRenderNVX = Function('glBeginConditionalRenderNVX')
glBeginConditionalRenderNVX.version = '1.5'
regal_gl.add(glBeginConditionalRenderNVX)

glEndConditionalRenderNVX = Function('glEndConditionalRenderNVX')
glEndConditionalRenderNVX.version = '1.5'
regal_gl.add(glEndConditionalRenderNVX)

glGetImageHandleNV = Function('glGetImageHandleNV')
regal_gl.add(glGetImageHandleNV)

glGetTextureHandleNV = Function('glGetTextureHandleNV')
regal_gl.add(glGetTextureHandleNV)

glGetTextureSamplerHandleNV = Function('glGetTextureSamplerHandleNV')
regal_gl.add(glGetTextureSamplerHandleNV)

glIsImageHandleResidentNV = Function('glIsImageHandleResidentNV')
regal_gl.add(glIsImageHandleResidentNV)

glIsTextureHandleResidentNV = Function('glIsTextureHandleResidentNV')
regal_gl.add(glIsTextureHandleResidentNV)

glMakeImageHandleNonResidentNV = Function('glMakeImageHandleNonResidentNV')
regal_gl.add(glMakeImageHandleNonResidentNV)

glMakeImageHandleResidentNV = Function('glMakeImageHandleResidentNV')
regal_gl.add(glMakeImageHandleResidentNV)

glMakeTextureHandleNonResidentNV = Function('glMakeTextureHandleNonResidentNV')
regal_gl.add(glMakeTextureHandleNonResidentNV)

glMakeTextureHandleResidentNV = Function('glMakeTextureHandleResidentNV')
regal_gl.add(glMakeTextureHandleResidentNV)

glProgramUniformHandleui64NV = Function('glProgramUniformHandleui64NV')
regal_gl.add(glProgramUniformHandleui64NV)

glProgramUniformHandleui64vNV = Function('glProgramUniformHandleui64vNV')
glProgramUniformHandleui64vNV.add( Input( 'values','const GLuint64 *' ))
regal_gl.add(glProgramUniformHandleui64vNV)

glUniformHandleui64NV = Function('glUniformHandleui64NV')
regal_gl.add(glUniformHandleui64NV)

glUniformHandleui64vNV = Function('glUniformHandleui64vNV')
glUniformHandleui64vNV.add( Input( 'value','const GLuint64 *' ))
regal_gl.add(glUniformHandleui64vNV)

glBlendBarrierNV = Function('glBlendBarrierNV')
regal_gl.add(glBlendBarrierNV)

glBlendParameteriNV = Function('glBlendParameteriNV')
regal_gl.add(glBlendParameteriNV)

glBeginConditionalRenderNV = Function('glBeginConditionalRenderNV')
glBeginConditionalRenderNV.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glBeginConditionalRenderNV.version = '1.5'
regal_gl.add(glBeginConditionalRenderNV)

glEndConditionalRenderNV = Function('glEndConditionalRenderNV')
glEndConditionalRenderNV.version = '1.5'
regal_gl.add(glEndConditionalRenderNV)

glCopyBufferSubDataNV = Function('glCopyBufferSubDataNV')
regal_gl.add(glCopyBufferSubDataNV)

glCopyImageSubDataNV = Function('glCopyImageSubDataNV')
glCopyImageSubDataNV.version = '1.5'
regal_gl.add(glCopyImageSubDataNV)

glCoverageMaskNV = Function('glCoverageMaskNV')
regal_gl.add(glCoverageMaskNV)

glCoverageOperationNV = Function('glCoverageOperationNV')
regal_gl.add(glCoverageOperationNV)

glClearDepthdNV = Function('glClearDepthdNV')
glClearDepthdNV.version = '2.0'
regal_gl.add(glClearDepthdNV)

glDepthBoundsdNV = Function('glDepthBoundsdNV')
glDepthBoundsdNV.version = '2.0'
regal_gl.add(glDepthBoundsdNV)

glDepthRangedNV = Function('glDepthRangedNV')
glDepthRangedNV.version = '2.0'
regal_gl.add(glDepthRangedNV)

glDrawBuffersNV = Function('glDrawBuffersNV')
glDrawBuffersNV.add( Input( 'bufs','const GLenum *' ))
regal_gl.add(glDrawBuffersNV)

glDrawTextureNV = Function('glDrawTextureNV')
regal_gl.add(glDrawTextureNV)

glEvalMapsNV = Function('glEvalMapsNV')
glEvalMapsNV.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glEvalMapsNV.version = '1.1'
regal_gl.add(glEvalMapsNV)

glGetMapAttribParameterfvNV = Function('glGetMapAttribParameterfvNV')
glGetMapAttribParameterfvNV.add( Output( 'params','GLfloat *' ))
glGetMapAttribParameterfvNV.version = '1.1'
regal_gl.add(glGetMapAttribParameterfvNV)

glGetMapAttribParameterivNV = Function('glGetMapAttribParameterivNV')
glGetMapAttribParameterivNV.add( Output( 'params','GLint *' ))
glGetMapAttribParameterivNV.version = '1.1'
regal_gl.add(glGetMapAttribParameterivNV)

glGetMapControlPointsNV = Function('glGetMapControlPointsNV')
glGetMapControlPointsNV.add( Output( 'points','GLvoid *' ))
glGetMapControlPointsNV.version = '1.1'
regal_gl.add(glGetMapControlPointsNV)

glGetMapParameterfvNV = Function('glGetMapParameterfvNV')
glGetMapParameterfvNV.add( Output( 'params','GLfloat *' ))
glGetMapParameterfvNV.version = '1.1'
regal_gl.add(glGetMapParameterfvNV)

glGetMapParameterivNV = Function('glGetMapParameterivNV')
glGetMapParameterivNV.add( Output( 'params','GLint *' ))
glGetMapParameterivNV.version = '1.1'
regal_gl.add(glGetMapParameterivNV)

glMapControlPointsNV = Function('glMapControlPointsNV')
glMapControlPointsNV.add( Input( 'points','const GLvoid *' ))
glMapControlPointsNV.version = '1.1'
regal_gl.add(glMapControlPointsNV)

glMapParameterfvNV = Function('glMapParameterfvNV')
glMapParameterfvNV.add( Input( 'params','const GLfloat *' ))
glMapParameterfvNV.version = '1.1'
regal_gl.add(glMapParameterfvNV)

glMapParameterivNV = Function('glMapParameterivNV')
glMapParameterivNV.add( Input( 'params','const GLint *' ))
glMapParameterivNV.version = '1.1'
regal_gl.add(glMapParameterivNV)

glGetMultisamplefvNV = Function('glGetMultisamplefvNV')
glGetMultisamplefvNV.add( Output( 'val','GLfloat *' ,size = 2 ))
glGetMultisamplefvNV.version = '2.0'
regal_gl.add(glGetMultisamplefvNV)

glSampleMaskIndexedNV = Function('glSampleMaskIndexedNV')
glSampleMaskIndexedNV.version = '2.0'
regal_gl.add(glSampleMaskIndexedNV)

glTexRenderbufferNV = Function('glTexRenderbufferNV')
glTexRenderbufferNV.version = '2.0'
regal_gl.add(glTexRenderbufferNV)

glDeleteFencesNV = Function('glDeleteFencesNV')
glDeleteFencesNV.add( Input( 'fences','const GLuint *' ,size = 'n' ))
glDeleteFencesNV.version = '1.2'
regal_gl.add(glDeleteFencesNV)

glFinishFenceNV = Function('glFinishFenceNV')
glFinishFenceNV.version = '1.2'
regal_gl.add(glFinishFenceNV)

glGenFencesNV = Function('glGenFencesNV')
glGenFencesNV.add( Output( 'fences','GLuint *' ,size = 'n' ))
glGenFencesNV.version = '1.2'
regal_gl.add(glGenFencesNV)

glGetFenceivNV = Function('glGetFenceivNV')
glGetFenceivNV.add( Output( 'params','GLint *' ))
glGetFenceivNV.version = '1.2'
regal_gl.add(glGetFenceivNV)

glIsFenceNV = Function('glIsFenceNV')
glIsFenceNV.version = '1.2'
regal_gl.add(glIsFenceNV)

glSetFenceNV = Function('glSetFenceNV')
glSetFenceNV.version = '1.2'
regal_gl.add(glSetFenceNV)

glTestFenceNV = Function('glTestFenceNV')
glTestFenceNV.version = '1.2'
regal_gl.add(glTestFenceNV)

glGetProgramNamedParameterdvNV = Function('glGetProgramNamedParameterdvNV')
glGetProgramNamedParameterdvNV.add( Input( 'name','const GLubyte *' ,size = 1 ))
glGetProgramNamedParameterdvNV.add( Output( 'params','GLdouble *' ,size = 4 ))
glGetProgramNamedParameterdvNV.version = '1.2'
regal_gl.add(glGetProgramNamedParameterdvNV)

glGetProgramNamedParameterfvNV = Function('glGetProgramNamedParameterfvNV')
glGetProgramNamedParameterfvNV.add( Input( 'name','const GLubyte *' ,size = 1 ))
glGetProgramNamedParameterfvNV.add( Output( 'params','GLfloat *' ,size = 4 ))
glGetProgramNamedParameterfvNV.version = '1.2'
regal_gl.add(glGetProgramNamedParameterfvNV)

glProgramNamedParameter4dNV = Function('glProgramNamedParameter4dNV')
glProgramNamedParameter4dNV.add( Input( 'name','const GLubyte *' ,size = 1 ))
glProgramNamedParameter4dNV.version = '1.2'
regal_gl.add(glProgramNamedParameter4dNV)

glProgramNamedParameter4dvNV = Function('glProgramNamedParameter4dvNV')
glProgramNamedParameter4dvNV.add( Input( 'name','const GLubyte *' ,size = 1 ))
glProgramNamedParameter4dvNV.add( Input( 'v','const GLdouble *' ,size = 4 ))
glProgramNamedParameter4dvNV.version = '1.2'
regal_gl.add(glProgramNamedParameter4dvNV)

glProgramNamedParameter4fNV = Function('glProgramNamedParameter4fNV')
glProgramNamedParameter4fNV.add( Input( 'name','const GLubyte *' ,size = 1 ))
glProgramNamedParameter4fNV.version = '1.2'
regal_gl.add(glProgramNamedParameter4fNV)

glProgramNamedParameter4fvNV = Function('glProgramNamedParameter4fvNV')
glProgramNamedParameter4fvNV.add( Input( 'name','const GLubyte *' ,size = 1 ))
glProgramNamedParameter4fvNV.add( Input( 'v','const GLfloat *' ,size = 4 ))
glProgramNamedParameter4fvNV.version = '1.2'
regal_gl.add(glProgramNamedParameter4fvNV)

glBlitFramebufferNV = Function('glBlitFramebufferNV')
glBlitFramebufferNV.add( Input( 'mask','GLbitfield' ,regalLog = 'GLblitFramebufferToString(mask)' ))
regal_gl.add(glBlitFramebufferNV)

glRenderbufferStorageMultisampleCoverageNV = Function('glRenderbufferStorageMultisampleCoverageNV')
glRenderbufferStorageMultisampleCoverageNV.version = '1.5'
regal_gl.add(glRenderbufferStorageMultisampleCoverageNV)

glProgramVertexLimitNV = Function('glProgramVertexLimitNV')
glProgramVertexLimitNV.version = '2.0'
regal_gl.add(glProgramVertexLimitNV)

glGetProgramEnvParameterIivNV = Function('glGetProgramEnvParameterIivNV')
glGetProgramEnvParameterIivNV.add( Output( 'params','GLint *' ,size = 4 ))
glGetProgramEnvParameterIivNV.version = '1.3'
regal_gl.add(glGetProgramEnvParameterIivNV)

glGetProgramEnvParameterIuivNV = Function('glGetProgramEnvParameterIuivNV')
glGetProgramEnvParameterIuivNV.add( Output( 'params','GLuint *' ,size = 4 ))
glGetProgramEnvParameterIuivNV.version = '1.3'
regal_gl.add(glGetProgramEnvParameterIuivNV)

glGetProgramLocalParameterIivNV = Function('glGetProgramLocalParameterIivNV')
glGetProgramLocalParameterIivNV.add( Output( 'params','GLint *' ,size = 4 ))
glGetProgramLocalParameterIivNV.version = '1.3'
regal_gl.add(glGetProgramLocalParameterIivNV)

glGetProgramLocalParameterIuivNV = Function('glGetProgramLocalParameterIuivNV')
glGetProgramLocalParameterIuivNV.add( Output( 'params','GLuint *' ,size = 4 ))
glGetProgramLocalParameterIuivNV.version = '1.3'
regal_gl.add(glGetProgramLocalParameterIuivNV)

glProgramEnvParameterI4iNV = Function('glProgramEnvParameterI4iNV')
glProgramEnvParameterI4iNV.version = '1.3'
regal_gl.add(glProgramEnvParameterI4iNV)

glProgramEnvParameterI4ivNV = Function('glProgramEnvParameterI4ivNV')
glProgramEnvParameterI4ivNV.add( Input( 'params','const GLint *' ,size = 4 ))
glProgramEnvParameterI4ivNV.version = '1.3'
regal_gl.add(glProgramEnvParameterI4ivNV)

glProgramEnvParameterI4uiNV = Function('glProgramEnvParameterI4uiNV')
glProgramEnvParameterI4uiNV.version = '1.3'
regal_gl.add(glProgramEnvParameterI4uiNV)

glProgramEnvParameterI4uivNV = Function('glProgramEnvParameterI4uivNV')
glProgramEnvParameterI4uivNV.add( Input( 'params','const GLuint *' ,size = 4 ))
glProgramEnvParameterI4uivNV.version = '1.3'
regal_gl.add(glProgramEnvParameterI4uivNV)

glProgramEnvParametersI4ivNV = Function('glProgramEnvParametersI4ivNV')
glProgramEnvParametersI4ivNV.add( Input( 'params','const GLint *' ,size = 'count * 4' ))
glProgramEnvParametersI4ivNV.version = '1.3'
regal_gl.add(glProgramEnvParametersI4ivNV)

glProgramEnvParametersI4uivNV = Function('glProgramEnvParametersI4uivNV')
glProgramEnvParametersI4uivNV.add( Input( 'params','const GLuint *' ,size = 'count * 4' ))
glProgramEnvParametersI4uivNV.version = '1.3'
regal_gl.add(glProgramEnvParametersI4uivNV)

glProgramLocalParameterI4iNV = Function('glProgramLocalParameterI4iNV')
glProgramLocalParameterI4iNV.version = '1.3'
regal_gl.add(glProgramLocalParameterI4iNV)

glProgramLocalParameterI4ivNV = Function('glProgramLocalParameterI4ivNV')
glProgramLocalParameterI4ivNV.add( Input( 'params','const GLint *' ,size = 4 ))
glProgramLocalParameterI4ivNV.version = '1.3'
regal_gl.add(glProgramLocalParameterI4ivNV)

glProgramLocalParameterI4uiNV = Function('glProgramLocalParameterI4uiNV')
glProgramLocalParameterI4uiNV.version = '1.3'
regal_gl.add(glProgramLocalParameterI4uiNV)

glProgramLocalParameterI4uivNV = Function('glProgramLocalParameterI4uivNV')
glProgramLocalParameterI4uivNV.add( Input( 'params','const GLuint *' ,size = 4 ))
glProgramLocalParameterI4uivNV.version = '1.3'
regal_gl.add(glProgramLocalParameterI4uivNV)

glProgramLocalParametersI4ivNV = Function('glProgramLocalParametersI4ivNV')
glProgramLocalParametersI4ivNV.add( Input( 'params','const GLint *' ,size = 'count * 4' ))
glProgramLocalParametersI4ivNV.version = '1.3'
regal_gl.add(glProgramLocalParametersI4ivNV)

glProgramLocalParametersI4uivNV = Function('glProgramLocalParametersI4uivNV')
glProgramLocalParametersI4uivNV.add( Input( 'params','const GLuint *' ,size = 'count * 4' ))
glProgramLocalParametersI4uivNV.version = '1.3'
regal_gl.add(glProgramLocalParametersI4uivNV)

glGetUniformi64vNV = Function('glGetUniformi64vNV')
glGetUniformi64vNV.add( Output( 'params','GLint64EXT *' ))
glGetUniformi64vNV.version = '2.0'
regal_gl.add(glGetUniformi64vNV)

glProgramUniform1i64NV = Function('glProgramUniform1i64NV')
glProgramUniform1i64NV.version = '2.0'
regal_gl.add(glProgramUniform1i64NV)

glProgramUniform1i64vNV = Function('glProgramUniform1i64vNV')
glProgramUniform1i64vNV.add( Input( 'value','const GLint64EXT *' ,size = 'count' ))
glProgramUniform1i64vNV.version = '2.0'
regal_gl.add(glProgramUniform1i64vNV)

glProgramUniform1ui64NV = Function('glProgramUniform1ui64NV')
glProgramUniform1ui64NV.version = '2.0'
regal_gl.add(glProgramUniform1ui64NV)

glProgramUniform1ui64vNV = Function('glProgramUniform1ui64vNV')
glProgramUniform1ui64vNV.add( Input( 'value','const GLuint64EXT *' ,size = 'count' ))
glProgramUniform1ui64vNV.version = '2.0'
regal_gl.add(glProgramUniform1ui64vNV)

glProgramUniform2i64NV = Function('glProgramUniform2i64NV')
glProgramUniform2i64NV.version = '2.0'
regal_gl.add(glProgramUniform2i64NV)

glProgramUniform2i64vNV = Function('glProgramUniform2i64vNV')
glProgramUniform2i64vNV.add( Input( 'value','const GLint64EXT *' ,size = 'count * 2' ))
glProgramUniform2i64vNV.version = '2.0'
regal_gl.add(glProgramUniform2i64vNV)

glProgramUniform2ui64NV = Function('glProgramUniform2ui64NV')
glProgramUniform2ui64NV.version = '2.0'
regal_gl.add(glProgramUniform2ui64NV)

glProgramUniform2ui64vNV = Function('glProgramUniform2ui64vNV')
glProgramUniform2ui64vNV.add( Input( 'value','const GLuint64EXT *' ,size = 'count * 2' ))
glProgramUniform2ui64vNV.version = '2.0'
regal_gl.add(glProgramUniform2ui64vNV)

glProgramUniform3i64NV = Function('glProgramUniform3i64NV')
glProgramUniform3i64NV.version = '2.0'
regal_gl.add(glProgramUniform3i64NV)

glProgramUniform3i64vNV = Function('glProgramUniform3i64vNV')
glProgramUniform3i64vNV.add( Input( 'value','const GLint64EXT *' ,size = 'count * 3' ))
glProgramUniform3i64vNV.version = '2.0'
regal_gl.add(glProgramUniform3i64vNV)

glProgramUniform3ui64NV = Function('glProgramUniform3ui64NV')
glProgramUniform3ui64NV.version = '2.0'
regal_gl.add(glProgramUniform3ui64NV)

glProgramUniform3ui64vNV = Function('glProgramUniform3ui64vNV')
glProgramUniform3ui64vNV.add( Input( 'value','const GLuint64EXT *' ,size = 'count * 3' ))
glProgramUniform3ui64vNV.version = '2.0'
regal_gl.add(glProgramUniform3ui64vNV)

glProgramUniform4i64NV = Function('glProgramUniform4i64NV')
glProgramUniform4i64NV.version = '2.0'
regal_gl.add(glProgramUniform4i64NV)

glProgramUniform4i64vNV = Function('glProgramUniform4i64vNV')
glProgramUniform4i64vNV.add( Input( 'value','const GLint64EXT *' ,size = 'count * 4' ))
glProgramUniform4i64vNV.version = '2.0'
regal_gl.add(glProgramUniform4i64vNV)

glProgramUniform4ui64NV = Function('glProgramUniform4ui64NV')
glProgramUniform4ui64NV.version = '2.0'
regal_gl.add(glProgramUniform4ui64NV)

glProgramUniform4ui64vNV = Function('glProgramUniform4ui64vNV')
glProgramUniform4ui64vNV.add( Input( 'value','const GLuint64EXT *' ,size = 'count * 4' ))
glProgramUniform4ui64vNV.version = '2.0'
regal_gl.add(glProgramUniform4ui64vNV)

glUniform1i64NV = Function('glUniform1i64NV')
glUniform1i64NV.version = '2.0'
regal_gl.add(glUniform1i64NV)

glUniform1i64vNV = Function('glUniform1i64vNV')
glUniform1i64vNV.add( Input( 'value','const GLint64EXT *' ,size = 'count' ))
glUniform1i64vNV.version = '2.0'
regal_gl.add(glUniform1i64vNV)

glUniform1ui64NV = Function('glUniform1ui64NV')
glUniform1ui64NV.version = '2.0'
regal_gl.add(glUniform1ui64NV)

glUniform1ui64vNV = Function('glUniform1ui64vNV')
glUniform1ui64vNV.add( Input( 'value','const GLuint64EXT *' ,size = 'count' ))
glUniform1ui64vNV.version = '2.0'
regal_gl.add(glUniform1ui64vNV)

glUniform2i64NV = Function('glUniform2i64NV')
glUniform2i64NV.version = '2.0'
regal_gl.add(glUniform2i64NV)

glUniform2i64vNV = Function('glUniform2i64vNV')
glUniform2i64vNV.add( Input( 'value','const GLint64EXT *' ,size = 'count * 2' ))
glUniform2i64vNV.version = '2.0'
regal_gl.add(glUniform2i64vNV)

glUniform2ui64NV = Function('glUniform2ui64NV')
glUniform2ui64NV.version = '2.0'
regal_gl.add(glUniform2ui64NV)

glUniform2ui64vNV = Function('glUniform2ui64vNV')
glUniform2ui64vNV.add( Input( 'value','const GLuint64EXT *' ,size = 'count * 2' ))
glUniform2ui64vNV.version = '2.0'
regal_gl.add(glUniform2ui64vNV)

glUniform3i64NV = Function('glUniform3i64NV')
glUniform3i64NV.version = '2.0'
regal_gl.add(glUniform3i64NV)

glUniform3i64vNV = Function('glUniform3i64vNV')
glUniform3i64vNV.add( Input( 'value','const GLint64EXT *' ,size = 'count * 3' ))
glUniform3i64vNV.version = '2.0'
regal_gl.add(glUniform3i64vNV)

glUniform3ui64NV = Function('glUniform3ui64NV')
glUniform3ui64NV.version = '2.0'
regal_gl.add(glUniform3ui64NV)

glUniform3ui64vNV = Function('glUniform3ui64vNV')
glUniform3ui64vNV.add( Input( 'value','const GLuint64EXT *' ,size = 'count * 3' ))
glUniform3ui64vNV.version = '2.0'
regal_gl.add(glUniform3ui64vNV)

glUniform4i64NV = Function('glUniform4i64NV')
glUniform4i64NV.version = '2.0'
regal_gl.add(glUniform4i64NV)

glUniform4i64vNV = Function('glUniform4i64vNV')
glUniform4i64vNV.add( Input( 'value','const GLint64EXT *' ,size = 'count * 4' ))
glUniform4i64vNV.version = '2.0'
regal_gl.add(glUniform4i64vNV)

glUniform4ui64NV = Function('glUniform4ui64NV')
glUniform4ui64NV.version = '2.0'
regal_gl.add(glUniform4ui64NV)

glUniform4ui64vNV = Function('glUniform4ui64vNV')
glUniform4ui64vNV.add( Input( 'value','const GLuint64EXT *' ,size = 'count * 4' ))
glUniform4ui64vNV.version = '2.0'
regal_gl.add(glUniform4ui64vNV)

glColor3hNV = Function('glColor3hNV')
glColor3hNV.version = '1.3'
regal_gl.add(glColor3hNV)

glColor3hvNV = Function('glColor3hvNV')
glColor3hvNV.add( Input( 'v','const GLhalfNV *' ,size = 3 ))
glColor3hvNV.version = '1.3'
regal_gl.add(glColor3hvNV)

glColor4hNV = Function('glColor4hNV')
glColor4hNV.version = '1.3'
regal_gl.add(glColor4hNV)

glColor4hvNV = Function('glColor4hvNV')
glColor4hvNV.add( Input( 'v','const GLhalfNV *' ,size = 4 ))
glColor4hvNV.version = '1.3'
regal_gl.add(glColor4hvNV)

glFogCoordhNV = Function('glFogCoordhNV')
glFogCoordhNV.version = '1.3'
regal_gl.add(glFogCoordhNV)

glFogCoordhvNV = Function('glFogCoordhvNV')
glFogCoordhvNV.add( Input( 'coord','const GLhalfNV *' ,size = 1 ))
glFogCoordhvNV.version = '1.3'
regal_gl.add(glFogCoordhvNV)

glMultiTexCoord1hNV = Function('glMultiTexCoord1hNV')
glMultiTexCoord1hNV.version = '1.3'
regal_gl.add(glMultiTexCoord1hNV)

glMultiTexCoord1hvNV = Function('glMultiTexCoord1hvNV')
glMultiTexCoord1hvNV.add( Input( 'v','const GLhalfNV *' ,size = 1 ))
glMultiTexCoord1hvNV.version = '1.3'
regal_gl.add(glMultiTexCoord1hvNV)

glMultiTexCoord2hNV = Function('glMultiTexCoord2hNV')
glMultiTexCoord2hNV.version = '1.3'
regal_gl.add(glMultiTexCoord2hNV)

glMultiTexCoord2hvNV = Function('glMultiTexCoord2hvNV')
glMultiTexCoord2hvNV.add( Input( 'v','const GLhalfNV *' ,size = 2 ))
glMultiTexCoord2hvNV.version = '1.3'
regal_gl.add(glMultiTexCoord2hvNV)

glMultiTexCoord3hNV = Function('glMultiTexCoord3hNV')
glMultiTexCoord3hNV.version = '1.3'
regal_gl.add(glMultiTexCoord3hNV)

glMultiTexCoord3hvNV = Function('glMultiTexCoord3hvNV')
glMultiTexCoord3hvNV.add( Input( 'v','const GLhalfNV *' ,size = 3 ))
glMultiTexCoord3hvNV.version = '1.3'
regal_gl.add(glMultiTexCoord3hvNV)

glMultiTexCoord4hNV = Function('glMultiTexCoord4hNV')
glMultiTexCoord4hNV.version = '1.3'
regal_gl.add(glMultiTexCoord4hNV)

glMultiTexCoord4hvNV = Function('glMultiTexCoord4hvNV')
glMultiTexCoord4hvNV.add( Input( 'v','const GLhalfNV *' ,size = 4 ))
glMultiTexCoord4hvNV.version = '1.3'
regal_gl.add(glMultiTexCoord4hvNV)

glNormal3hNV = Function('glNormal3hNV')
glNormal3hNV.version = '1.3'
regal_gl.add(glNormal3hNV)

glNormal3hvNV = Function('glNormal3hvNV')
glNormal3hvNV.add( Input( 'v','const GLhalfNV *' ,size = 3 ))
glNormal3hvNV.version = '1.3'
regal_gl.add(glNormal3hvNV)

glSecondaryColor3hNV = Function('glSecondaryColor3hNV')
glSecondaryColor3hNV.version = '1.3'
regal_gl.add(glSecondaryColor3hNV)

glSecondaryColor3hvNV = Function('glSecondaryColor3hvNV')
glSecondaryColor3hvNV.add( Input( 'v','const GLhalfNV *' ,size = 3 ))
glSecondaryColor3hvNV.version = '1.3'
regal_gl.add(glSecondaryColor3hvNV)

glTexCoord1hNV = Function('glTexCoord1hNV')
glTexCoord1hNV.version = '1.3'
regal_gl.add(glTexCoord1hNV)

glTexCoord1hvNV = Function('glTexCoord1hvNV')
glTexCoord1hvNV.add( Input( 'v','const GLhalfNV *' ,size = 1 ))
glTexCoord1hvNV.version = '1.3'
regal_gl.add(glTexCoord1hvNV)

glTexCoord2hNV = Function('glTexCoord2hNV')
glTexCoord2hNV.version = '1.3'
regal_gl.add(glTexCoord2hNV)

glTexCoord2hvNV = Function('glTexCoord2hvNV')
glTexCoord2hvNV.add( Input( 'v','const GLhalfNV *' ,size = 2 ))
glTexCoord2hvNV.version = '1.3'
regal_gl.add(glTexCoord2hvNV)

glTexCoord3hNV = Function('glTexCoord3hNV')
glTexCoord3hNV.version = '1.3'
regal_gl.add(glTexCoord3hNV)

glTexCoord3hvNV = Function('glTexCoord3hvNV')
glTexCoord3hvNV.add( Input( 'v','const GLhalfNV *' ,size = 3 ))
glTexCoord3hvNV.version = '1.3'
regal_gl.add(glTexCoord3hvNV)

glTexCoord4hNV = Function('glTexCoord4hNV')
glTexCoord4hNV.version = '1.3'
regal_gl.add(glTexCoord4hNV)

glTexCoord4hvNV = Function('glTexCoord4hvNV')
glTexCoord4hvNV.add( Input( 'v','const GLhalfNV *' ,size = 4 ))
glTexCoord4hvNV.version = '1.3'
regal_gl.add(glTexCoord4hvNV)

glVertex2hNV = Function('glVertex2hNV')
glVertex2hNV.version = '1.3'
regal_gl.add(glVertex2hNV)

glVertex2hvNV = Function('glVertex2hvNV')
glVertex2hvNV.add( Input( 'v','const GLhalfNV *' ,size = 2 ))
glVertex2hvNV.version = '1.3'
regal_gl.add(glVertex2hvNV)

glVertex3hNV = Function('glVertex3hNV')
glVertex3hNV.version = '1.3'
regal_gl.add(glVertex3hNV)

glVertex3hvNV = Function('glVertex3hvNV')
glVertex3hvNV.add( Input( 'v','const GLhalfNV *' ,size = 3 ))
glVertex3hvNV.version = '1.3'
regal_gl.add(glVertex3hvNV)

glVertex4hNV = Function('glVertex4hNV')
glVertex4hNV.version = '1.3'
regal_gl.add(glVertex4hNV)

glVertex4hvNV = Function('glVertex4hvNV')
glVertex4hvNV.add( Input( 'v','const GLhalfNV *' ,size = 4 ))
glVertex4hvNV.version = '1.3'
regal_gl.add(glVertex4hvNV)

glVertexAttrib1hNV = Function('glVertexAttrib1hNV')
glVertexAttrib1hNV.version = '1.3'
regal_gl.add(glVertexAttrib1hNV)

glVertexAttrib1hvNV = Function('glVertexAttrib1hvNV')
glVertexAttrib1hvNV.add( Input( 'v','const GLhalfNV *' ,size = 1 ))
glVertexAttrib1hvNV.version = '1.3'
regal_gl.add(glVertexAttrib1hvNV)

glVertexAttrib2hNV = Function('glVertexAttrib2hNV')
glVertexAttrib2hNV.version = '1.3'
regal_gl.add(glVertexAttrib2hNV)

glVertexAttrib2hvNV = Function('glVertexAttrib2hvNV')
glVertexAttrib2hvNV.add( Input( 'v','const GLhalfNV *' ,size = 2 ))
glVertexAttrib2hvNV.version = '1.3'
regal_gl.add(glVertexAttrib2hvNV)

glVertexAttrib3hNV = Function('glVertexAttrib3hNV')
glVertexAttrib3hNV.version = '1.3'
regal_gl.add(glVertexAttrib3hNV)

glVertexAttrib3hvNV = Function('glVertexAttrib3hvNV')
glVertexAttrib3hvNV.add( Input( 'v','const GLhalfNV *' ,size = 3 ))
glVertexAttrib3hvNV.version = '1.3'
regal_gl.add(glVertexAttrib3hvNV)

glVertexAttrib4hNV = Function('glVertexAttrib4hNV')
glVertexAttrib4hNV.version = '1.3'
regal_gl.add(glVertexAttrib4hNV)

glVertexAttrib4hvNV = Function('glVertexAttrib4hvNV')
glVertexAttrib4hvNV.add( Input( 'v','const GLhalfNV *' ,size = 4 ))
glVertexAttrib4hvNV.version = '1.3'
regal_gl.add(glVertexAttrib4hvNV)

glVertexAttribs1hvNV = Function('glVertexAttribs1hvNV')
glVertexAttribs1hvNV.add( Input( 'v','const GLhalfNV *' ,size = 'n' ))
glVertexAttribs1hvNV.version = '1.3'
regal_gl.add(glVertexAttribs1hvNV)

glVertexAttribs2hvNV = Function('glVertexAttribs2hvNV')
glVertexAttribs2hvNV.add( Input( 'v','const GLhalfNV *' ,size = 'n * 2' ))
glVertexAttribs2hvNV.version = '1.3'
regal_gl.add(glVertexAttribs2hvNV)

glVertexAttribs3hvNV = Function('glVertexAttribs3hvNV')
glVertexAttribs3hvNV.add( Input( 'v','const GLhalfNV *' ,size = 'n * 3' ))
glVertexAttribs3hvNV.version = '1.3'
regal_gl.add(glVertexAttribs3hvNV)

glVertexAttribs4hvNV = Function('glVertexAttribs4hvNV')
glVertexAttribs4hvNV.add( Input( 'v','const GLhalfNV *' ,size = 'n * 4' ))
glVertexAttribs4hvNV.version = '1.3'
regal_gl.add(glVertexAttribs4hvNV)

glVertexWeighthNV = Function('glVertexWeighthNV')
glVertexWeighthNV.version = '1.3'
regal_gl.add(glVertexWeighthNV)

glVertexWeighthvNV = Function('glVertexWeighthvNV')
glVertexWeighthvNV.add( Input( 'weight','const GLhalfNV *' ,size = 1 ))
glVertexWeighthvNV.version = '1.3'
regal_gl.add(glVertexWeighthvNV)

glUniformMatrix2x3fvNV = Function('glUniformMatrix2x3fvNV')
glUniformMatrix2x3fvNV.add( Input( 'value','const GLfloat *' ))
regal_gl.add(glUniformMatrix2x3fvNV)

glUniformMatrix2x4fvNV = Function('glUniformMatrix2x4fvNV')
glUniformMatrix2x4fvNV.add( Input( 'value','const GLfloat *' ))
regal_gl.add(glUniformMatrix2x4fvNV)

glUniformMatrix3x2fvNV = Function('glUniformMatrix3x2fvNV')
glUniformMatrix3x2fvNV.add( Input( 'value','const GLfloat *' ))
regal_gl.add(glUniformMatrix3x2fvNV)

glUniformMatrix3x4fvNV = Function('glUniformMatrix3x4fvNV')
glUniformMatrix3x4fvNV.add( Input( 'value','const GLfloat *' ))
regal_gl.add(glUniformMatrix3x4fvNV)

glUniformMatrix4x2fvNV = Function('glUniformMatrix4x2fvNV')
glUniformMatrix4x2fvNV.add( Input( 'value','const GLfloat *' ))
regal_gl.add(glUniformMatrix4x2fvNV)

glUniformMatrix4x3fvNV = Function('glUniformMatrix4x3fvNV')
glUniformMatrix4x3fvNV.add( Input( 'value','const GLfloat *' ))
regal_gl.add(glUniformMatrix4x3fvNV)

glBeginOcclusionQueryNV = Function('glBeginOcclusionQueryNV')
glBeginOcclusionQueryNV.version = '1.2'
regal_gl.add(glBeginOcclusionQueryNV)

glDeleteOcclusionQueriesNV = Function('glDeleteOcclusionQueriesNV')
glDeleteOcclusionQueriesNV.add( Input( 'ids','const GLuint *' ,size = 'n' ))
glDeleteOcclusionQueriesNV.version = '1.2'
regal_gl.add(glDeleteOcclusionQueriesNV)

glEndOcclusionQueryNV = Function('glEndOcclusionQueryNV')
glEndOcclusionQueryNV.version = '1.2'
regal_gl.add(glEndOcclusionQueryNV)

glGenOcclusionQueriesNV = Function('glGenOcclusionQueriesNV')
glGenOcclusionQueriesNV.add( Output( 'ids','GLuint *' ,size = 'n' ))
glGenOcclusionQueriesNV.version = '1.2'
regal_gl.add(glGenOcclusionQueriesNV)

glGetOcclusionQueryivNV = Function('glGetOcclusionQueryivNV')
glGetOcclusionQueryivNV.add( Output( 'params','GLint *' ))
glGetOcclusionQueryivNV.version = '1.2'
regal_gl.add(glGetOcclusionQueryivNV)

glGetOcclusionQueryuivNV = Function('glGetOcclusionQueryuivNV')
glGetOcclusionQueryuivNV.add( Output( 'params','GLuint *' ))
glGetOcclusionQueryuivNV.version = '1.2'
regal_gl.add(glGetOcclusionQueryuivNV)

glIsOcclusionQueryNV = Function('glIsOcclusionQueryNV')
glIsOcclusionQueryNV.version = '1.2'
regal_gl.add(glIsOcclusionQueryNV)

glProgramBufferParametersIivNV = Function('glProgramBufferParametersIivNV')
glProgramBufferParametersIivNV.add( Input( 'params','const GLint *' ,size = 'count' ))
glProgramBufferParametersIivNV.version = '1.2'
regal_gl.add(glProgramBufferParametersIivNV)

glProgramBufferParametersIuivNV = Function('glProgramBufferParametersIuivNV')
glProgramBufferParametersIuivNV.add( Input( 'params','const GLuint *' ,size = 'count' ))
glProgramBufferParametersIuivNV.version = '1.2'
regal_gl.add(glProgramBufferParametersIuivNV)

glProgramBufferParametersfvNV = Function('glProgramBufferParametersfvNV')
glProgramBufferParametersfvNV.add( Input( 'params','const GLfloat *' ,size = 'count' ))
glProgramBufferParametersfvNV.version = '1.2'
regal_gl.add(glProgramBufferParametersfvNV)

glCopyPathNV = Function('glCopyPathNV')
regal_gl.add(glCopyPathNV)

glCoverFillPathInstancedNV = Function('glCoverFillPathInstancedNV')
glCoverFillPathInstancedNV.add( Input( 'paths','const GLvoid *' ))
glCoverFillPathInstancedNV.add( Input( 'transformValues','const GLfloat *' ))
regal_gl.add(glCoverFillPathInstancedNV)

glCoverFillPathNV = Function('glCoverFillPathNV')
regal_gl.add(glCoverFillPathNV)

glCoverStrokePathInstancedNV = Function('glCoverStrokePathInstancedNV')
glCoverStrokePathInstancedNV.add( Input( 'paths','const GLvoid *' ))
glCoverStrokePathInstancedNV.add( Input( 'transformValues','const GLfloat *' ))
regal_gl.add(glCoverStrokePathInstancedNV)

glCoverStrokePathNV = Function('glCoverStrokePathNV')
regal_gl.add(glCoverStrokePathNV)

glDeletePathsNV = Function('glDeletePathsNV')
regal_gl.add(glDeletePathsNV)

glGenPathsNV = Function('glGenPathsNV')
regal_gl.add(glGenPathsNV)

glGetPathColorGenfvNV = Function('glGetPathColorGenfvNV')
glGetPathColorGenfvNV.add( Input( 'value','GLfloat *' ))
glGetPathColorGenfvNV.play = False
regal_gl.add(glGetPathColorGenfvNV)

glGetPathColorGenivNV = Function('glGetPathColorGenivNV')
glGetPathColorGenivNV.add( Input( 'value','GLint *' ))
glGetPathColorGenivNV.play = False
regal_gl.add(glGetPathColorGenivNV)

glGetPathCommandsNV = Function('glGetPathCommandsNV')
glGetPathCommandsNV.add( Output( 'commands','GLubyte *' ))
glGetPathCommandsNV.play = False
regal_gl.add(glGetPathCommandsNV)

glGetPathCoordsNV = Function('glGetPathCoordsNV')
glGetPathCoordsNV.add( Input( 'coords','GLfloat *' ))
glGetPathCoordsNV.play = False
regal_gl.add(glGetPathCoordsNV)

glGetPathDashArrayNV = Function('glGetPathDashArrayNV')
glGetPathDashArrayNV.add( Input( 'dashArray','GLfloat *' ))
glGetPathDashArrayNV.play = False
regal_gl.add(glGetPathDashArrayNV)

glGetPathLengthNV = Function('glGetPathLengthNV')
glGetPathLengthNV.play = False
regal_gl.add(glGetPathLengthNV)

glGetPathMetricRangeNV = Function('glGetPathMetricRangeNV')
glGetPathMetricRangeNV.add( Input( 'metricQueryMask','GLbitfield' ,regalLog = 'GLgetPathMetricsNVToString(metricQueryMask)' ))
glGetPathMetricRangeNV.add( Input( 'metrics','GLfloat *' ))
glGetPathMetricRangeNV.play = False
regal_gl.add(glGetPathMetricRangeNV)

glGetPathMetricsNV = Function('glGetPathMetricsNV')
glGetPathMetricsNV.add( Input( 'metricQueryMask','GLbitfield' ,regalLog = 'GLgetPathMetricsNVToString(metricQueryMask)' ))
glGetPathMetricsNV.add( Input( 'paths','const GLvoid *' ))
glGetPathMetricsNV.add( Input( 'metrics','GLfloat *' ))
glGetPathMetricsNV.play = False
regal_gl.add(glGetPathMetricsNV)

glGetPathParameterfvNV = Function('glGetPathParameterfvNV')
glGetPathParameterfvNV.add( Input( 'value','GLfloat *' ))
glGetPathParameterfvNV.play = False
regal_gl.add(glGetPathParameterfvNV)

glGetPathParameterivNV = Function('glGetPathParameterivNV')
glGetPathParameterivNV.add( Input( 'value','GLint *' ))
glGetPathParameterivNV.play = False
regal_gl.add(glGetPathParameterivNV)

glGetPathSpacingNV = Function('glGetPathSpacingNV')
glGetPathSpacingNV.add( Input( 'paths','const GLvoid *' ))
glGetPathSpacingNV.add( Input( 'returnedSpacing','GLfloat *' ))
glGetPathSpacingNV.play = False
regal_gl.add(glGetPathSpacingNV)

glGetPathTexGenfvNV = Function('glGetPathTexGenfvNV')
glGetPathTexGenfvNV.add( Input( 'value','GLfloat *' ))
glGetPathTexGenfvNV.play = False
regal_gl.add(glGetPathTexGenfvNV)

glGetPathTexGenivNV = Function('glGetPathTexGenivNV')
glGetPathTexGenivNV.add( Input( 'value','GLint *' ))
glGetPathTexGenivNV.play = False
regal_gl.add(glGetPathTexGenivNV)

glInterpolatePathsNV = Function('glInterpolatePathsNV')
regal_gl.add(glInterpolatePathsNV)

glIsPathNV = Function('glIsPathNV')
glIsPathNV.play = False
regal_gl.add(glIsPathNV)

glIsPointInFillPathNV = Function('glIsPointInFillPathNV')
glIsPointInFillPathNV.play = False
regal_gl.add(glIsPointInFillPathNV)

glIsPointInStrokePathNV = Function('glIsPointInStrokePathNV')
glIsPointInStrokePathNV.play = False
regal_gl.add(glIsPointInStrokePathNV)

glPathColorGenNV = Function('glPathColorGenNV')
glPathColorGenNV.add( Input( 'coeffs','const GLfloat *' ))
regal_gl.add(glPathColorGenNV)

glPathCommandsNV = Function('glPathCommandsNV')
glPathCommandsNV.add( Input( 'commands','const GLubyte *' ,regalLog = 'Token::GLpathCommandToString(numCommands,commands)' ))
glPathCommandsNV.add( Input( 'coordType','GLenum' ,regalLog = 'Token::GLpathCoordToString(coordType)' ))
glPathCommandsNV.add( Input( 'coords','const GLvoid *' ,regalLog = 'Token::GLpathCoordToString(numCoords,coordType,coords)' ))
regal_gl.add(glPathCommandsNV)

glPathCoordsNV = Function('glPathCoordsNV')
glPathCoordsNV.add( Input( 'coords','const GLvoid *' ))
regal_gl.add(glPathCoordsNV)

glPathCoverDepthFuncNV = Function('glPathCoverDepthFuncNV')
regal_gl.add(glPathCoverDepthFuncNV)

glPathDashArrayNV = Function('glPathDashArrayNV')
glPathDashArrayNV.add( Input( 'dashArray','const GLfloat *' ))
regal_gl.add(glPathDashArrayNV)

glPathFogGenNV = Function('glPathFogGenNV')
regal_gl.add(glPathFogGenNV)

glPathGlyphRangeNV = Function('glPathGlyphRangeNV')
glPathGlyphRangeNV.add( Input( 'fontName','const GLvoid *' ,cast = 'const char *' ))
glPathGlyphRangeNV.add( Input( 'fontStyle','GLbitfield' ,regalLog = 'GLpathGlyphsNVToString(fontStyle)' ))
regal_gl.add(glPathGlyphRangeNV)

glPathGlyphsNV = Function('glPathGlyphsNV')
glPathGlyphsNV.add( Input( 'fontName','const GLvoid *' ,cast = 'const char *' ))
glPathGlyphsNV.add( Input( 'fontStyle','GLbitfield' ,regalLog = 'GLpathGlyphsNVToString(fontStyle)' ))
glPathGlyphsNV.add( Input( 'charcodes','const GLvoid *' ))
regal_gl.add(glPathGlyphsNV)

glPathParameterfNV = Function('glPathParameterfNV')
regal_gl.add(glPathParameterfNV)

glPathParameterfvNV = Function('glPathParameterfvNV')
glPathParameterfvNV.add( Input( 'value','const GLfloat *' ))
regal_gl.add(glPathParameterfvNV)

glPathParameteriNV = Function('glPathParameteriNV')
regal_gl.add(glPathParameteriNV)

glPathParameterivNV = Function('glPathParameterivNV')
glPathParameterivNV.add( Input( 'value','const GLint *' ))
regal_gl.add(glPathParameterivNV)

glPathStencilDepthOffsetNV = Function('glPathStencilDepthOffsetNV')
regal_gl.add(glPathStencilDepthOffsetNV)

glPathStencilFuncNV = Function('glPathStencilFuncNV')
glPathStencilFuncNV.add( Input( 'ref','GLint' ,regalLog = 'boost::print::hex(ref)' ))
glPathStencilFuncNV.add( Input( 'mask','GLuint' ,regalLog = 'boost::print::hex(mask)' ))
regal_gl.add(glPathStencilFuncNV)

glPathStringNV = Function('glPathStringNV')
glPathStringNV.add( Input( 'pathString','const GLvoid *' ))
regal_gl.add(glPathStringNV)

glPathSubCommandsNV = Function('glPathSubCommandsNV')
glPathSubCommandsNV.add( Input( 'commands','const GLubyte *' ,regalLog = 'Token::GLpathCommandToString(numCommands,commands)' ))
glPathSubCommandsNV.add( Input( 'coordType','GLenum' ,regalLog = 'Token::GLpathCoordToString(coordType)' ))
glPathSubCommandsNV.add( Input( 'coords','const GLvoid *' ,regalLog = 'Token::GLpathCoordToString(numCoords,coordType,coords)' ))
regal_gl.add(glPathSubCommandsNV)

glPathSubCoordsNV = Function('glPathSubCoordsNV')
glPathSubCoordsNV.add( Input( 'coordType','GLenum' ,regalLog = 'Token::GLpathCoordToString(coordType)' ))
glPathSubCoordsNV.add( Input( 'coords','const GLvoid *' ,regalLog = 'Token::GLpathCoordToString(numCoords,coordType,coords)' ))
regal_gl.add(glPathSubCoordsNV)

glPathTexGenNV = Function('glPathTexGenNV')
glPathTexGenNV.add( Input( 'coeffs','const GLfloat *' ))
regal_gl.add(glPathTexGenNV)

glPointAlongPathNV = Function('glPointAlongPathNV')
glPointAlongPathNV.add( Input( 'x','GLfloat *' ))
glPointAlongPathNV.add( Input( 'y','GLfloat *' ))
glPointAlongPathNV.add( Input( 'tangentX','GLfloat *' ))
glPointAlongPathNV.add( Input( 'tangentY','GLfloat *' ))
regal_gl.add(glPointAlongPathNV)

glStencilFillPathInstancedNV = Function('glStencilFillPathInstancedNV')
glStencilFillPathInstancedNV.add( Input( 'paths','const GLvoid *' ))
glStencilFillPathInstancedNV.add( Input( 'transformValues','const GLfloat *' ))
regal_gl.add(glStencilFillPathInstancedNV)

glStencilFillPathNV = Function('glStencilFillPathNV')
regal_gl.add(glStencilFillPathNV)

glStencilStrokePathInstancedNV = Function('glStencilStrokePathInstancedNV')
glStencilStrokePathInstancedNV.add( Input( 'paths','const GLvoid *' ))
glStencilStrokePathInstancedNV.add( Input( 'transformValues','const GLfloat *' ))
regal_gl.add(glStencilStrokePathInstancedNV)

glStencilStrokePathNV = Function('glStencilStrokePathNV')
regal_gl.add(glStencilStrokePathNV)

glTransformPathNV = Function('glTransformPathNV')
glTransformPathNV.add( Input( 'transformValues','const GLfloat *' ))
regal_gl.add(glTransformPathNV)

glWeightPathsNV = Function('glWeightPathsNV')
glWeightPathsNV.add( Input( 'paths','const GLuint *' ))
glWeightPathsNV.add( Input( 'weights','const GLfloat *' ))
regal_gl.add(glWeightPathsNV)

glFlushPixelDataRangeNV = Function('glFlushPixelDataRangeNV')
glFlushPixelDataRangeNV.version = '1.2'
regal_gl.add(glFlushPixelDataRangeNV)

glPixelDataRangeNV = Function('glPixelDataRangeNV')
glPixelDataRangeNV.add( Input( 'pointer','const GLvoid *' ))
glPixelDataRangeNV.version = '1.2'
regal_gl.add(glPixelDataRangeNV)

glPointParameteriNV = Function('glPointParameteriNV')
glPointParameteriNV.version = '1.2'
regal_gl.add(glPointParameteriNV)

glPointParameterivNV = Function('glPointParameterivNV')
glPointParameterivNV.add( Input( 'params','const GLint *' ))
glPointParameterivNV.version = '1.2'
regal_gl.add(glPointParameterivNV)

glGetVideoi64vNV = Function('glGetVideoi64vNV')
glGetVideoi64vNV.add( Output( 'params','GLint64EXT *' ))
glGetVideoi64vNV.version = '1.5'
regal_gl.add(glGetVideoi64vNV)

glGetVideoivNV = Function('glGetVideoivNV')
glGetVideoivNV.add( Output( 'params','GLint *' ))
glGetVideoivNV.version = '1.5'
regal_gl.add(glGetVideoivNV)

glGetVideoui64vNV = Function('glGetVideoui64vNV')
glGetVideoui64vNV.add( Output( 'params','GLuint64EXT *' ))
glGetVideoui64vNV.version = '1.5'
regal_gl.add(glGetVideoui64vNV)

glGetVideouivNV = Function('glGetVideouivNV')
glGetVideouivNV.add( Output( 'params','GLuint *' ))
glGetVideouivNV.version = '1.5'
regal_gl.add(glGetVideouivNV)

glPresentFrameDualFillNV = Function('glPresentFrameDualFillNV')
glPresentFrameDualFillNV.version = '1.5'
regal_gl.add(glPresentFrameDualFillNV)

glPresentFrameKeyedNV = Function('glPresentFrameKeyedNV')
glPresentFrameKeyedNV.version = '1.5'
regal_gl.add(glPresentFrameKeyedNV)

glPrimitiveRestartIndexNV = Function('glPrimitiveRestartIndexNV')
glPrimitiveRestartIndexNV.version = '1.1'
regal_gl.add(glPrimitiveRestartIndexNV)

glPrimitiveRestartNV = Function('glPrimitiveRestartNV')
glPrimitiveRestartNV.version = '1.1'
regal_gl.add(glPrimitiveRestartNV)

glReadBufferNV = Function('glReadBufferNV')
regal_gl.add(glReadBufferNV)

glCombinerInputNV = Function('glCombinerInputNV')
glCombinerInputNV.version = '1.1'
regal_gl.add(glCombinerInputNV)

glCombinerOutputNV = Function('glCombinerOutputNV')
glCombinerOutputNV.version = '1.1'
regal_gl.add(glCombinerOutputNV)

glCombinerParameterfNV = Function('glCombinerParameterfNV')
glCombinerParameterfNV.version = '1.1'
regal_gl.add(glCombinerParameterfNV)

glCombinerParameterfvNV = Function('glCombinerParameterfvNV')
glCombinerParameterfvNV.add( Input( 'params','const GLfloat *' ))
glCombinerParameterfvNV.version = '1.1'
glCombinerParameterfvNV.play = False
regal_gl.add(glCombinerParameterfvNV)

glCombinerParameteriNV = Function('glCombinerParameteriNV')
glCombinerParameteriNV.version = '1.1'
regal_gl.add(glCombinerParameteriNV)

glCombinerParameterivNV = Function('glCombinerParameterivNV')
glCombinerParameterivNV.add( Input( 'params','const GLint *' ))
glCombinerParameterivNV.version = '1.1'
glCombinerParameterivNV.play = False
regal_gl.add(glCombinerParameterivNV)

glFinalCombinerInputNV = Function('glFinalCombinerInputNV')
glFinalCombinerInputNV.version = '1.1'
regal_gl.add(glFinalCombinerInputNV)

glGetCombinerInputParameterfvNV = Function('glGetCombinerInputParameterfvNV')
glGetCombinerInputParameterfvNV.add( Output( 'params','GLfloat *' ))
glGetCombinerInputParameterfvNV.version = '1.1'
glGetCombinerInputParameterfvNV.play = False
regal_gl.add(glGetCombinerInputParameterfvNV)

glGetCombinerInputParameterivNV = Function('glGetCombinerInputParameterivNV')
glGetCombinerInputParameterivNV.add( Output( 'params','GLint *' ))
glGetCombinerInputParameterivNV.version = '1.1'
glGetCombinerInputParameterivNV.play = False
regal_gl.add(glGetCombinerInputParameterivNV)

glGetCombinerOutputParameterfvNV = Function('glGetCombinerOutputParameterfvNV')
glGetCombinerOutputParameterfvNV.add( Output( 'params','GLfloat *' ))
glGetCombinerOutputParameterfvNV.version = '1.1'
glGetCombinerOutputParameterfvNV.play = False
regal_gl.add(glGetCombinerOutputParameterfvNV)

glGetCombinerOutputParameterivNV = Function('glGetCombinerOutputParameterivNV')
glGetCombinerOutputParameterivNV.add( Output( 'params','GLint *' ))
glGetCombinerOutputParameterivNV.version = '1.1'
glGetCombinerOutputParameterivNV.play = False
regal_gl.add(glGetCombinerOutputParameterivNV)

glGetFinalCombinerInputParameterfvNV = Function('glGetFinalCombinerInputParameterfvNV')
glGetFinalCombinerInputParameterfvNV.add( Output( 'params','GLfloat *' ))
glGetFinalCombinerInputParameterfvNV.version = '1.1'
glGetFinalCombinerInputParameterfvNV.play = False
regal_gl.add(glGetFinalCombinerInputParameterfvNV)

glGetFinalCombinerInputParameterivNV = Function('glGetFinalCombinerInputParameterivNV')
glGetFinalCombinerInputParameterivNV.add( Output( 'params','GLint *' ))
glGetFinalCombinerInputParameterivNV.version = '1.1'
glGetFinalCombinerInputParameterivNV.play = False
regal_gl.add(glGetFinalCombinerInputParameterivNV)

glCombinerStageParameterfvNV = Function('glCombinerStageParameterfvNV')
glCombinerStageParameterfvNV.add( Input( 'params','const GLfloat *' ))
glCombinerStageParameterfvNV.version = '1.2'
glCombinerStageParameterfvNV.play = False
regal_gl.add(glCombinerStageParameterfvNV)

glGetCombinerStageParameterfvNV = Function('glGetCombinerStageParameterfvNV')
glGetCombinerStageParameterfvNV.add( Output( 'params','GLfloat *' ))
glGetCombinerStageParameterfvNV.version = '1.2'
glGetCombinerStageParameterfvNV.play = False
regal_gl.add(glGetCombinerStageParameterfvNV)

glGetBufferParameterui64vNV = Function('glGetBufferParameterui64vNV')
glGetBufferParameterui64vNV.add( Output( 'params','GLuint64EXT *' ))
glGetBufferParameterui64vNV.version = '3.0'
regal_gl.add(glGetBufferParameterui64vNV)

glGetIntegerui64vNV = Function('glGetIntegerui64vNV')
glGetIntegerui64vNV.add( Output( 'result','GLuint64EXT *' ))
glGetIntegerui64vNV.version = '2.0'
glGetIntegerui64vNV.play = False
regal_gl.add(glGetIntegerui64vNV)

glGetNamedBufferParameterui64vNV = Function('glGetNamedBufferParameterui64vNV')
glGetNamedBufferParameterui64vNV.add( Output( 'params','GLuint64EXT *' ))
glGetNamedBufferParameterui64vNV.version = '3.0'
regal_gl.add(glGetNamedBufferParameterui64vNV)

glGetUniformui64vNV = Function('glGetUniformui64vNV')
glGetUniformui64vNV.add( Output( 'params','GLuint64EXT *' ))
glGetUniformui64vNV.version = '2.0'
regal_gl.add(glGetUniformui64vNV)

glIsBufferResidentNV = Function('glIsBufferResidentNV')
glIsBufferResidentNV.version = '3.0'
regal_gl.add(glIsBufferResidentNV)

glIsNamedBufferResidentNV = Function('glIsNamedBufferResidentNV')
glIsNamedBufferResidentNV.version = '3.0'
regal_gl.add(glIsNamedBufferResidentNV)

glMakeBufferNonResidentNV = Function('glMakeBufferNonResidentNV')
glMakeBufferNonResidentNV.version = '3.0'
regal_gl.add(glMakeBufferNonResidentNV)

glMakeBufferResidentNV = Function('glMakeBufferResidentNV')
glMakeBufferResidentNV.version = '3.0'
regal_gl.add(glMakeBufferResidentNV)

glMakeNamedBufferNonResidentNV = Function('glMakeNamedBufferNonResidentNV')
glMakeNamedBufferNonResidentNV.version = '3.0'
regal_gl.add(glMakeNamedBufferNonResidentNV)

glMakeNamedBufferResidentNV = Function('glMakeNamedBufferResidentNV')
glMakeNamedBufferResidentNV.version = '3.0'
regal_gl.add(glMakeNamedBufferResidentNV)

glProgramUniformui64NV = Function('glProgramUniformui64NV')
glProgramUniformui64NV.version = '2.0'
regal_gl.add(glProgramUniformui64NV)

glProgramUniformui64vNV = Function('glProgramUniformui64vNV')
glProgramUniformui64vNV.add( Input( 'value','const GLuint64EXT *' ,size = 'count' ))
glProgramUniformui64vNV.version = '2.0'
regal_gl.add(glProgramUniformui64vNV)

glUniformui64NV = Function('glUniformui64NV')
glUniformui64NV.version = '2.0'
regal_gl.add(glUniformui64NV)

glUniformui64vNV = Function('glUniformui64vNV')
glUniformui64vNV.add( Input( 'value','const GLuint64EXT *' ,size = 'count' ))
glUniformui64vNV.version = '2.0'
regal_gl.add(glUniformui64vNV)

glTextureBarrierNV = Function('glTextureBarrierNV')
glTextureBarrierNV.version = '1.3'
regal_gl.add(glTextureBarrierNV)

glTexImage2DMultisampleCoverageNV = Function('glTexImage2DMultisampleCoverageNV')
regal_gl.add(glTexImage2DMultisampleCoverageNV)

glTexImage3DMultisampleCoverageNV = Function('glTexImage3DMultisampleCoverageNV')
regal_gl.add(glTexImage3DMultisampleCoverageNV)

glTextureImage2DMultisampleCoverageNV = Function('glTextureImage2DMultisampleCoverageNV')
regal_gl.add(glTextureImage2DMultisampleCoverageNV)

glTextureImage2DMultisampleNV = Function('glTextureImage2DMultisampleNV')
regal_gl.add(glTextureImage2DMultisampleNV)

glTextureImage3DMultisampleCoverageNV = Function('glTextureImage3DMultisampleCoverageNV')
regal_gl.add(glTextureImage3DMultisampleCoverageNV)

glTextureImage3DMultisampleNV = Function('glTextureImage3DMultisampleNV')
regal_gl.add(glTextureImage3DMultisampleNV)

glActiveVaryingNV = Function('glActiveVaryingNV')
glActiveVaryingNV.add( Input( 'name','const GLchar *' ))
glActiveVaryingNV.version = '1.5'
regal_gl.add(glActiveVaryingNV)

glBeginTransformFeedbackNV = Function('glBeginTransformFeedbackNV')
glBeginTransformFeedbackNV.version = '1.5'
regal_gl.add(glBeginTransformFeedbackNV)

glBindBufferBaseNV = Function('glBindBufferBaseNV')
glBindBufferBaseNV.version = '1.5'
regal_gl.add(glBindBufferBaseNV)

glBindBufferOffsetNV = Function('glBindBufferOffsetNV')
glBindBufferOffsetNV.version = '1.5'
regal_gl.add(glBindBufferOffsetNV)

glBindBufferRangeNV = Function('glBindBufferRangeNV')
glBindBufferRangeNV.version = '1.5'
regal_gl.add(glBindBufferRangeNV)

glEndTransformFeedbackNV = Function('glEndTransformFeedbackNV')
glEndTransformFeedbackNV.version = '1.5'
regal_gl.add(glEndTransformFeedbackNV)

glGetActiveVaryingNV = Function('glGetActiveVaryingNV')
glGetActiveVaryingNV.add( Output( 'length','GLsizei *' ,size = 1 ))
glGetActiveVaryingNV.add( Output( 'size','GLsizei *' ,size = 1 ))
glGetActiveVaryingNV.add( Output( 'type','GLenum *' ,size = 1 ))
glGetActiveVaryingNV.add( Output( 'name','GLchar *' ,maxSize = 'bufSize' ))
glGetActiveVaryingNV.version = '1.5'
glGetActiveVaryingNV.play = False
regal_gl.add(glGetActiveVaryingNV)

glGetTransformFeedbackVaryingNV = Function('glGetTransformFeedbackVaryingNV')
glGetTransformFeedbackVaryingNV.add( Output( 'location','GLint *' ,size = 1 ))
glGetTransformFeedbackVaryingNV.version = '1.5'
regal_gl.add(glGetTransformFeedbackVaryingNV)

glGetVaryingLocationNV = Function('glGetVaryingLocationNV')
glGetVaryingLocationNV.add( Input( 'name','const GLchar *' ))
glGetVaryingLocationNV.version = '1.5'
regal_gl.add(glGetVaryingLocationNV)

glTransformFeedbackAttribsNV = Function('glTransformFeedbackAttribsNV')
glTransformFeedbackAttribsNV.add( Input( 'attribs','const GLint *' ))
glTransformFeedbackAttribsNV.version = '1.5'
regal_gl.add(glTransformFeedbackAttribsNV)

glTransformFeedbackVaryingsNV = Function('glTransformFeedbackVaryingsNV')
glTransformFeedbackVaryingsNV.add( Input( 'locations','const GLint *' ,size = 'count' ))
glTransformFeedbackVaryingsNV.version = '1.5'
regal_gl.add(glTransformFeedbackVaryingsNV)

glBindTransformFeedbackNV = Function('glBindTransformFeedbackNV')
glBindTransformFeedbackNV.version = '2.0'
regal_gl.add(glBindTransformFeedbackNV)

glDeleteTransformFeedbacksNV = Function('glDeleteTransformFeedbacksNV')
glDeleteTransformFeedbacksNV.add( Input( 'ids','const GLuint *' ,size = 'n' ))
glDeleteTransformFeedbacksNV.version = '2.0'
regal_gl.add(glDeleteTransformFeedbacksNV)

glDrawTransformFeedbackNV = Function('glDrawTransformFeedbackNV')
glDrawTransformFeedbackNV.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawTransformFeedbackNV.version = '2.0'
regal_gl.add(glDrawTransformFeedbackNV)

glGenTransformFeedbacksNV = Function('glGenTransformFeedbacksNV')
glGenTransformFeedbacksNV.add( Output( 'ids','GLuint *' ,size = 'n' ))
glGenTransformFeedbacksNV.version = '2.0'
regal_gl.add(glGenTransformFeedbacksNV)

glIsTransformFeedbackNV = Function('glIsTransformFeedbackNV')
glIsTransformFeedbackNV.version = '2.0'
regal_gl.add(glIsTransformFeedbackNV)

glPauseTransformFeedbackNV = Function('glPauseTransformFeedbackNV')
glPauseTransformFeedbackNV.version = '2.0'
regal_gl.add(glPauseTransformFeedbackNV)

glResumeTransformFeedbackNV = Function('glResumeTransformFeedbackNV')
glResumeTransformFeedbackNV.version = '2.0'
regal_gl.add(glResumeTransformFeedbackNV)

glVDPAUFiniNV = Function('glVDPAUFiniNV')
glVDPAUFiniNV.version = '3.2'
regal_gl.add(glVDPAUFiniNV)

glVDPAUGetSurfaceivNV = Function('glVDPAUGetSurfaceivNV')
glVDPAUGetSurfaceivNV.add( Output( 'length','GLsizei *' ,size = 1 ))
glVDPAUGetSurfaceivNV.add( Output( 'values','GLint *' ,size = 'bufSize' ))
glVDPAUGetSurfaceivNV.version = '3.2'
regal_gl.add(glVDPAUGetSurfaceivNV)

glVDPAUInitNV = Function('glVDPAUInitNV')
glVDPAUInitNV.add( Input( 'vdpDevice','const GLvoid *' ))
glVDPAUInitNV.add( Input( 'getProcAddress','const GLvoid *' ))
glVDPAUInitNV.version = '3.2'
regal_gl.add(glVDPAUInitNV)

glVDPAUIsSurfaceNV = Function('glVDPAUIsSurfaceNV')
glVDPAUIsSurfaceNV.version = '3.2'
regal_gl.add(glVDPAUIsSurfaceNV)

glVDPAUMapSurfacesNV = Function('glVDPAUMapSurfacesNV')
glVDPAUMapSurfacesNV.add( Input( 'surfaces','const GLvdpauSurfaceNV *' ,size = 'numSurfaces' ))
glVDPAUMapSurfacesNV.version = '3.2'
regal_gl.add(glVDPAUMapSurfacesNV)

glVDPAURegisterOutputSurfaceNV = Function('glVDPAURegisterOutputSurfaceNV')
glVDPAURegisterOutputSurfaceNV.add( Input( 'vdpSurface','const GLvoid *' ))
glVDPAURegisterOutputSurfaceNV.add( Input( 'textureNames','const GLuint *' ,size = 'numTextureNames' ))
glVDPAURegisterOutputSurfaceNV.version = '3.2'
regal_gl.add(glVDPAURegisterOutputSurfaceNV)

glVDPAURegisterVideoSurfaceNV = Function('glVDPAURegisterVideoSurfaceNV')
glVDPAURegisterVideoSurfaceNV.add( Input( 'vdpSurface','const GLvoid *' ))
glVDPAURegisterVideoSurfaceNV.add( Input( 'textureNames','const GLuint *' ,size = 'numTextureNames' ))
glVDPAURegisterVideoSurfaceNV.version = '3.2'
regal_gl.add(glVDPAURegisterVideoSurfaceNV)

glVDPAUSurfaceAccessNV = Function('glVDPAUSurfaceAccessNV')
glVDPAUSurfaceAccessNV.version = '3.2'
regal_gl.add(glVDPAUSurfaceAccessNV)

glVDPAUUnmapSurfacesNV = Function('glVDPAUUnmapSurfacesNV')
glVDPAUUnmapSurfacesNV.add( Input( 'surfaces','const GLvdpauSurfaceNV *' ,size = 'numSurface' ))
glVDPAUUnmapSurfacesNV.version = '3.2'
regal_gl.add(glVDPAUUnmapSurfacesNV)

glVDPAUUnregisterSurfaceNV = Function('glVDPAUUnregisterSurfaceNV')
glVDPAUUnregisterSurfaceNV.version = '3.2'
regal_gl.add(glVDPAUUnregisterSurfaceNV)

glFlushVertexArrayRangeNV = Function('glFlushVertexArrayRangeNV')
glFlushVertexArrayRangeNV.version = '1.1'
regal_gl.add(glFlushVertexArrayRangeNV)

glVertexArrayRangeNV = Function('glVertexArrayRangeNV')
glVertexArrayRangeNV.add( Input( 'pointer','const GLvoid *' ))
glVertexArrayRangeNV.version = '1.1'
regal_gl.add(glVertexArrayRangeNV)

glGetVertexAttribLi64vNV = Function('glGetVertexAttribLi64vNV')
glGetVertexAttribLi64vNV.add( Output( 'params','GLint64EXT *' ,size = 1 ))
regal_gl.add(glGetVertexAttribLi64vNV)

glGetVertexAttribLui64vNV = Function('glGetVertexAttribLui64vNV')
glGetVertexAttribLui64vNV.add( Output( 'params','GLuint64EXT *' ,size = 1 ))
regal_gl.add(glGetVertexAttribLui64vNV)

glVertexAttribL1i64NV = Function('glVertexAttribL1i64NV')
regal_gl.add(glVertexAttribL1i64NV)

glVertexAttribL1i64vNV = Function('glVertexAttribL1i64vNV')
glVertexAttribL1i64vNV.add( Input( 'v','const GLint64EXT *' ,size = 1 ))
regal_gl.add(glVertexAttribL1i64vNV)

glVertexAttribL1ui64NV = Function('glVertexAttribL1ui64NV')
regal_gl.add(glVertexAttribL1ui64NV)

glVertexAttribL1ui64vNV = Function('glVertexAttribL1ui64vNV')
glVertexAttribL1ui64vNV.add( Input( 'v','const GLuint64EXT *' ,size = 1 ))
regal_gl.add(glVertexAttribL1ui64vNV)

glVertexAttribL2i64NV = Function('glVertexAttribL2i64NV')
regal_gl.add(glVertexAttribL2i64NV)

glVertexAttribL2i64vNV = Function('glVertexAttribL2i64vNV')
glVertexAttribL2i64vNV.add( Input( 'v','const GLint64EXT *' ,size = 2 ))
regal_gl.add(glVertexAttribL2i64vNV)

glVertexAttribL2ui64NV = Function('glVertexAttribL2ui64NV')
regal_gl.add(glVertexAttribL2ui64NV)

glVertexAttribL2ui64vNV = Function('glVertexAttribL2ui64vNV')
glVertexAttribL2ui64vNV.add( Input( 'v','const GLuint64EXT *' ,size = 2 ))
regal_gl.add(glVertexAttribL2ui64vNV)

glVertexAttribL3i64NV = Function('glVertexAttribL3i64NV')
regal_gl.add(glVertexAttribL3i64NV)

glVertexAttribL3i64vNV = Function('glVertexAttribL3i64vNV')
glVertexAttribL3i64vNV.add( Input( 'v','const GLint64EXT *' ,size = 3 ))
regal_gl.add(glVertexAttribL3i64vNV)

glVertexAttribL3ui64NV = Function('glVertexAttribL3ui64NV')
regal_gl.add(glVertexAttribL3ui64NV)

glVertexAttribL3ui64vNV = Function('glVertexAttribL3ui64vNV')
glVertexAttribL3ui64vNV.add( Input( 'v','const GLuint64EXT *' ,size = 3 ))
regal_gl.add(glVertexAttribL3ui64vNV)

glVertexAttribL4i64NV = Function('glVertexAttribL4i64NV')
regal_gl.add(glVertexAttribL4i64NV)

glVertexAttribL4i64vNV = Function('glVertexAttribL4i64vNV')
glVertexAttribL4i64vNV.add( Input( 'v','const GLint64EXT *' ,size = 4 ))
regal_gl.add(glVertexAttribL4i64vNV)

glVertexAttribL4ui64NV = Function('glVertexAttribL4ui64NV')
regal_gl.add(glVertexAttribL4ui64NV)

glVertexAttribL4ui64vNV = Function('glVertexAttribL4ui64vNV')
glVertexAttribL4ui64vNV.add( Input( 'v','const GLuint64EXT *' ,size = 4 ))
regal_gl.add(glVertexAttribL4ui64vNV)

glVertexAttribLFormatNV = Function('glVertexAttribLFormatNV')
glVertexAttribLFormatNV.version = '3.0'
regal_gl.add(glVertexAttribLFormatNV)

glBufferAddressRangeNV = Function('glBufferAddressRangeNV')
glBufferAddressRangeNV.version = '3.0'
regal_gl.add(glBufferAddressRangeNV)

glColorFormatNV = Function('glColorFormatNV')
glColorFormatNV.version = '3.0'
regal_gl.add(glColorFormatNV)

glEdgeFlagFormatNV = Function('glEdgeFlagFormatNV')
glEdgeFlagFormatNV.version = '3.0'
regal_gl.add(glEdgeFlagFormatNV)

glFogCoordFormatNV = Function('glFogCoordFormatNV')
glFogCoordFormatNV.version = '3.0'
regal_gl.add(glFogCoordFormatNV)

glGetIntegerui64i_vNV = Function('glGetIntegerui64i_vNV')
glGetIntegerui64i_vNV.add( Output( 'result','GLuint64EXT *' ))
glGetIntegerui64i_vNV.version = '2.0'
glGetIntegerui64i_vNV.play = False
regal_gl.add(glGetIntegerui64i_vNV)

glIndexFormatNV = Function('glIndexFormatNV')
glIndexFormatNV.version = '3.0'
regal_gl.add(glIndexFormatNV)

glNormalFormatNV = Function('glNormalFormatNV')
glNormalFormatNV.version = '3.0'
regal_gl.add(glNormalFormatNV)

glSecondaryColorFormatNV = Function('glSecondaryColorFormatNV')
glSecondaryColorFormatNV.version = '3.0'
regal_gl.add(glSecondaryColorFormatNV)

glTexCoordFormatNV = Function('glTexCoordFormatNV')
glTexCoordFormatNV.version = '3.0'
regal_gl.add(glTexCoordFormatNV)

glVertexAttribFormatNV = Function('glVertexAttribFormatNV')
glVertexAttribFormatNV.version = '3.0'
regal_gl.add(glVertexAttribFormatNV)

glVertexAttribIFormatNV = Function('glVertexAttribIFormatNV')
glVertexAttribIFormatNV.version = '3.0'
regal_gl.add(glVertexAttribIFormatNV)

glVertexFormatNV = Function('glVertexFormatNV')
glVertexFormatNV.version = '3.0'
regal_gl.add(glVertexFormatNV)

glAreProgramsResidentNV = Function('glAreProgramsResidentNV')
glAreProgramsResidentNV.add( Input( 'programs','const GLuint *' ,size = 'n' ))
glAreProgramsResidentNV.add( Output( 'residences','GLboolean *' ,size = 'n' ))
glAreProgramsResidentNV.version = '1.2'
regal_gl.add(glAreProgramsResidentNV)

glBindProgramNV = Function('glBindProgramNV')
glBindProgramNV.version = '1.2'
regal_gl.add(glBindProgramNV)

glDeleteProgramsNV = Function('glDeleteProgramsNV')
glDeleteProgramsNV.add( Input( 'programs','const GLuint *' ,size = 'n' ))
glDeleteProgramsNV.version = '1.2'
regal_gl.add(glDeleteProgramsNV)

glExecuteProgramNV = Function('glExecuteProgramNV')
glExecuteProgramNV.add( Input( 'params','const GLfloat *' ,size = 4 ))
glExecuteProgramNV.version = '1.2'
regal_gl.add(glExecuteProgramNV)

glGenProgramsNV = Function('glGenProgramsNV')
glGenProgramsNV.add( Output( 'programs','GLuint *' ,size = 'n' ))
glGenProgramsNV.version = '1.2'
regal_gl.add(glGenProgramsNV)

glGetProgramParameterdvNV = Function('glGetProgramParameterdvNV')
glGetProgramParameterdvNV.add( Output( 'params','GLdouble *' ,size = 4 ))
glGetProgramParameterdvNV.version = '1.2'
regal_gl.add(glGetProgramParameterdvNV)

glGetProgramParameterfvNV = Function('glGetProgramParameterfvNV')
glGetProgramParameterfvNV.add( Output( 'params','GLfloat *' ,size = 4 ))
glGetProgramParameterfvNV.version = '1.2'
regal_gl.add(glGetProgramParameterfvNV)

glGetProgramStringNV = Function('glGetProgramStringNV')
glGetProgramStringNV.add( Output( 'program','GLubyte *' ))
glGetProgramStringNV.version = '1.2'
glGetProgramStringNV.play = False
regal_gl.add(glGetProgramStringNV)

glGetProgramivNV = Function('glGetProgramivNV')
glGetProgramivNV.add( Output( 'params','GLint *' ,size = 4 ))
glGetProgramivNV.version = '1.2'
regal_gl.add(glGetProgramivNV)

glGetTrackMatrixivNV = Function('glGetTrackMatrixivNV')
glGetTrackMatrixivNV.add( Output( 'params','GLint *' ,size = 1 ))
glGetTrackMatrixivNV.version = '1.2'
regal_gl.add(glGetTrackMatrixivNV)

glGetVertexAttribPointervNV = Function('glGetVertexAttribPointervNV')
glGetVertexAttribPointervNV.add( Output( 'pointer','GLvoid **' ,size = 1 ))
glGetVertexAttribPointervNV.version = '1.2'
glGetVertexAttribPointervNV.play = False
regal_gl.add(glGetVertexAttribPointervNV)

glGetVertexAttribdvNV = Function('glGetVertexAttribdvNV')
glGetVertexAttribdvNV.add( Output( 'params','GLdouble *' ,size = 1 ))
glGetVertexAttribdvNV.version = '1.2'
regal_gl.add(glGetVertexAttribdvNV)

glGetVertexAttribfvNV = Function('glGetVertexAttribfvNV')
glGetVertexAttribfvNV.add( Output( 'params','GLfloat *' ,size = 1 ))
glGetVertexAttribfvNV.version = '1.2'
regal_gl.add(glGetVertexAttribfvNV)

glGetVertexAttribivNV = Function('glGetVertexAttribivNV')
glGetVertexAttribivNV.add( Output( 'params','GLint *' ,size = 1 ))
glGetVertexAttribivNV.version = '1.2'
regal_gl.add(glGetVertexAttribivNV)

glIsProgramNV = Function('glIsProgramNV')
glIsProgramNV.version = '1.2'
regal_gl.add(glIsProgramNV)

glLoadProgramNV = Function('glLoadProgramNV')
glLoadProgramNV.add( Input( 'program','const GLubyte *' ,size = 'len' ))
glLoadProgramNV.version = '1.2'
regal_gl.add(glLoadProgramNV)

glProgramParameter4dNV = Function('glProgramParameter4dNV')
glProgramParameter4dNV.version = '1.2'
regal_gl.add(glProgramParameter4dNV)

glProgramParameter4dvNV = Function('glProgramParameter4dvNV')
glProgramParameter4dvNV.add( Input( 'v','const GLdouble *' ,size = 4 ))
glProgramParameter4dvNV.version = '1.2'
regal_gl.add(glProgramParameter4dvNV)

glProgramParameter4fNV = Function('glProgramParameter4fNV')
glProgramParameter4fNV.version = '1.2'
regal_gl.add(glProgramParameter4fNV)

glProgramParameter4fvNV = Function('glProgramParameter4fvNV')
glProgramParameter4fvNV.add( Input( 'v','const GLfloat *' ,size = 4 ))
glProgramParameter4fvNV.version = '1.2'
regal_gl.add(glProgramParameter4fvNV)

glProgramParameters4dvNV = Function('glProgramParameters4dvNV')
glProgramParameters4dvNV.add( Input( 'v','const GLdouble *' ,size = 'count * 4' ))
glProgramParameters4dvNV.version = '1.2'
regal_gl.add(glProgramParameters4dvNV)

glProgramParameters4fvNV = Function('glProgramParameters4fvNV')
glProgramParameters4fvNV.add( Input( 'v','const GLfloat *' ,size = 'count * 4' ))
glProgramParameters4fvNV.version = '1.2'
regal_gl.add(glProgramParameters4fvNV)

glRequestResidentProgramsNV = Function('glRequestResidentProgramsNV')
glRequestResidentProgramsNV.add( Input( 'programs','const GLuint *' ,size = 'n' ))
glRequestResidentProgramsNV.version = '1.2'
regal_gl.add(glRequestResidentProgramsNV)

glTrackMatrixNV = Function('glTrackMatrixNV')
glTrackMatrixNV.version = '1.2'
regal_gl.add(glTrackMatrixNV)

glVertexAttrib1dNV = Function('glVertexAttrib1dNV')
glVertexAttrib1dNV.version = '1.2'
regal_gl.add(glVertexAttrib1dNV)

glVertexAttrib1dvNV = Function('glVertexAttrib1dvNV')
glVertexAttrib1dvNV.add( Input( 'v','const GLdouble *' ,size = 1 ))
glVertexAttrib1dvNV.version = '1.2'
regal_gl.add(glVertexAttrib1dvNV)

glVertexAttrib1fNV = Function('glVertexAttrib1fNV')
glVertexAttrib1fNV.version = '1.2'
regal_gl.add(glVertexAttrib1fNV)

glVertexAttrib1fvNV = Function('glVertexAttrib1fvNV')
glVertexAttrib1fvNV.add( Input( 'v','const GLfloat *' ,size = 1 ))
glVertexAttrib1fvNV.version = '1.2'
regal_gl.add(glVertexAttrib1fvNV)

glVertexAttrib1sNV = Function('glVertexAttrib1sNV')
glVertexAttrib1sNV.version = '1.2'
regal_gl.add(glVertexAttrib1sNV)

glVertexAttrib1svNV = Function('glVertexAttrib1svNV')
glVertexAttrib1svNV.add( Input( 'v','const GLshort *' ,size = 1 ))
glVertexAttrib1svNV.version = '1.2'
regal_gl.add(glVertexAttrib1svNV)

glVertexAttrib2dNV = Function('glVertexAttrib2dNV')
glVertexAttrib2dNV.version = '1.2'
regal_gl.add(glVertexAttrib2dNV)

glVertexAttrib2dvNV = Function('glVertexAttrib2dvNV')
glVertexAttrib2dvNV.add( Input( 'v','const GLdouble *' ,size = 2 ))
glVertexAttrib2dvNV.version = '1.2'
regal_gl.add(glVertexAttrib2dvNV)

glVertexAttrib2fNV = Function('glVertexAttrib2fNV')
glVertexAttrib2fNV.version = '1.2'
regal_gl.add(glVertexAttrib2fNV)

glVertexAttrib2fvNV = Function('glVertexAttrib2fvNV')
glVertexAttrib2fvNV.add( Input( 'v','const GLfloat *' ,size = 2 ))
glVertexAttrib2fvNV.version = '1.2'
regal_gl.add(glVertexAttrib2fvNV)

glVertexAttrib2sNV = Function('glVertexAttrib2sNV')
glVertexAttrib2sNV.version = '1.2'
regal_gl.add(glVertexAttrib2sNV)

glVertexAttrib2svNV = Function('glVertexAttrib2svNV')
glVertexAttrib2svNV.add( Input( 'v','const GLshort *' ,size = 2 ))
glVertexAttrib2svNV.version = '1.2'
regal_gl.add(glVertexAttrib2svNV)

glVertexAttrib3dNV = Function('glVertexAttrib3dNV')
glVertexAttrib3dNV.version = '1.2'
regal_gl.add(glVertexAttrib3dNV)

glVertexAttrib3dvNV = Function('glVertexAttrib3dvNV')
glVertexAttrib3dvNV.add( Input( 'v','const GLdouble *' ,size = 3 ))
glVertexAttrib3dvNV.version = '1.2'
regal_gl.add(glVertexAttrib3dvNV)

glVertexAttrib3fNV = Function('glVertexAttrib3fNV')
glVertexAttrib3fNV.version = '1.2'
regal_gl.add(glVertexAttrib3fNV)

glVertexAttrib3fvNV = Function('glVertexAttrib3fvNV')
glVertexAttrib3fvNV.add( Input( 'v','const GLfloat *' ,size = 3 ))
glVertexAttrib3fvNV.version = '1.2'
regal_gl.add(glVertexAttrib3fvNV)

glVertexAttrib3sNV = Function('glVertexAttrib3sNV')
glVertexAttrib3sNV.version = '1.2'
regal_gl.add(glVertexAttrib3sNV)

glVertexAttrib3svNV = Function('glVertexAttrib3svNV')
glVertexAttrib3svNV.add( Input( 'v','const GLshort *' ,size = 3 ))
glVertexAttrib3svNV.version = '1.2'
regal_gl.add(glVertexAttrib3svNV)

glVertexAttrib4dNV = Function('glVertexAttrib4dNV')
glVertexAttrib4dNV.version = '1.2'
regal_gl.add(glVertexAttrib4dNV)

glVertexAttrib4dvNV = Function('glVertexAttrib4dvNV')
glVertexAttrib4dvNV.add( Input( 'v','const GLdouble *' ,size = 4 ))
glVertexAttrib4dvNV.version = '1.2'
regal_gl.add(glVertexAttrib4dvNV)

glVertexAttrib4fNV = Function('glVertexAttrib4fNV')
glVertexAttrib4fNV.version = '1.2'
regal_gl.add(glVertexAttrib4fNV)

glVertexAttrib4fvNV = Function('glVertexAttrib4fvNV')
glVertexAttrib4fvNV.add( Input( 'v','const GLfloat *' ,size = 4 ))
glVertexAttrib4fvNV.version = '1.2'
regal_gl.add(glVertexAttrib4fvNV)

glVertexAttrib4sNV = Function('glVertexAttrib4sNV')
glVertexAttrib4sNV.version = '1.2'
regal_gl.add(glVertexAttrib4sNV)

glVertexAttrib4svNV = Function('glVertexAttrib4svNV')
glVertexAttrib4svNV.add( Input( 'v','const GLshort *' ,size = 4 ))
glVertexAttrib4svNV.version = '1.2'
regal_gl.add(glVertexAttrib4svNV)

glVertexAttrib4ubNV = Function('glVertexAttrib4ubNV')
glVertexAttrib4ubNV.version = '1.2'
regal_gl.add(glVertexAttrib4ubNV)

glVertexAttrib4ubvNV = Function('glVertexAttrib4ubvNV')
glVertexAttrib4ubvNV.add( Input( 'v','const GLubyte *' ,size = 4 ))
glVertexAttrib4ubvNV.version = '1.2'
regal_gl.add(glVertexAttrib4ubvNV)

glVertexAttribPointerNV = Function('glVertexAttribPointerNV')
glVertexAttribPointerNV.add( Input( 'pointer','const GLvoid *' ))
glVertexAttribPointerNV.version = '1.2'
regal_gl.add(glVertexAttribPointerNV)

glVertexAttribs1dvNV = Function('glVertexAttribs1dvNV')
glVertexAttribs1dvNV.add( Input( 'v','const GLdouble *' ,size = 'count' ))
glVertexAttribs1dvNV.version = '1.2'
regal_gl.add(glVertexAttribs1dvNV)

glVertexAttribs1fvNV = Function('glVertexAttribs1fvNV')
glVertexAttribs1fvNV.add( Input( 'v','const GLfloat *' ,size = 'count' ))
glVertexAttribs1fvNV.version = '1.2'
regal_gl.add(glVertexAttribs1fvNV)

glVertexAttribs1svNV = Function('glVertexAttribs1svNV')
glVertexAttribs1svNV.add( Input( 'v','const GLshort *' ,size = 'count' ))
glVertexAttribs1svNV.version = '1.2'
regal_gl.add(glVertexAttribs1svNV)

glVertexAttribs2dvNV = Function('glVertexAttribs2dvNV')
glVertexAttribs2dvNV.add( Input( 'v','const GLdouble *' ,size = 'count * 2' ))
glVertexAttribs2dvNV.version = '1.2'
regal_gl.add(glVertexAttribs2dvNV)

glVertexAttribs2fvNV = Function('glVertexAttribs2fvNV')
glVertexAttribs2fvNV.add( Input( 'v','const GLfloat *' ,size = 'count * 2' ))
glVertexAttribs2fvNV.version = '1.2'
regal_gl.add(glVertexAttribs2fvNV)

glVertexAttribs2svNV = Function('glVertexAttribs2svNV')
glVertexAttribs2svNV.add( Input( 'v','const GLshort *' ,size = 'count * 2' ))
glVertexAttribs2svNV.version = '1.2'
regal_gl.add(glVertexAttribs2svNV)

glVertexAttribs3dvNV = Function('glVertexAttribs3dvNV')
glVertexAttribs3dvNV.add( Input( 'v','const GLdouble *' ,size = 'count * 3' ))
glVertexAttribs3dvNV.version = '1.2'
regal_gl.add(glVertexAttribs3dvNV)

glVertexAttribs3fvNV = Function('glVertexAttribs3fvNV')
glVertexAttribs3fvNV.add( Input( 'v','const GLfloat *' ,size = 'count * 3' ))
glVertexAttribs3fvNV.version = '1.2'
regal_gl.add(glVertexAttribs3fvNV)

glVertexAttribs3svNV = Function('glVertexAttribs3svNV')
glVertexAttribs3svNV.add( Input( 'v','const GLshort *' ,size = 'count * 3' ))
glVertexAttribs3svNV.version = '1.2'
regal_gl.add(glVertexAttribs3svNV)

glVertexAttribs4dvNV = Function('glVertexAttribs4dvNV')
glVertexAttribs4dvNV.add( Input( 'v','const GLdouble *' ,size = 'count * 4' ))
glVertexAttribs4dvNV.version = '1.2'
regal_gl.add(glVertexAttribs4dvNV)

glVertexAttribs4fvNV = Function('glVertexAttribs4fvNV')
glVertexAttribs4fvNV.add( Input( 'v','const GLfloat *' ,size = 'count * 4' ))
glVertexAttribs4fvNV.version = '1.2'
regal_gl.add(glVertexAttribs4fvNV)

glVertexAttribs4svNV = Function('glVertexAttribs4svNV')
glVertexAttribs4svNV.add( Input( 'v','const GLshort *' ,size = 'count * 4' ))
glVertexAttribs4svNV.version = '1.2'
regal_gl.add(glVertexAttribs4svNV)

glVertexAttribs4ubvNV = Function('glVertexAttribs4ubvNV')
glVertexAttribs4ubvNV.add( Input( 'v','const GLubyte *' ,size = 'count * 4' ))
glVertexAttribs4ubvNV.version = '1.2'
regal_gl.add(glVertexAttribs4ubvNV)

glBeginVideoCaptureNV = Function('glBeginVideoCaptureNV')
glBeginVideoCaptureNV.version = '1.1'
regal_gl.add(glBeginVideoCaptureNV)

glBindVideoCaptureStreamBufferNV = Function('glBindVideoCaptureStreamBufferNV')
glBindVideoCaptureStreamBufferNV.version = '1.1'
regal_gl.add(glBindVideoCaptureStreamBufferNV)

glBindVideoCaptureStreamTextureNV = Function('glBindVideoCaptureStreamTextureNV')
glBindVideoCaptureStreamTextureNV.version = '1.1'
regal_gl.add(glBindVideoCaptureStreamTextureNV)

glEndVideoCaptureNV = Function('glEndVideoCaptureNV')
glEndVideoCaptureNV.version = '1.1'
regal_gl.add(glEndVideoCaptureNV)

glGetVideoCaptureStreamdvNV = Function('glGetVideoCaptureStreamdvNV')
glGetVideoCaptureStreamdvNV.add( Output( 'params','GLdouble *' ))
glGetVideoCaptureStreamdvNV.version = '1.1'
regal_gl.add(glGetVideoCaptureStreamdvNV)

glGetVideoCaptureStreamfvNV = Function('glGetVideoCaptureStreamfvNV')
glGetVideoCaptureStreamfvNV.add( Output( 'params','GLfloat *' ))
glGetVideoCaptureStreamfvNV.version = '1.1'
regal_gl.add(glGetVideoCaptureStreamfvNV)

glGetVideoCaptureStreamivNV = Function('glGetVideoCaptureStreamivNV')
glGetVideoCaptureStreamivNV.add( Output( 'params','GLint *' ))
glGetVideoCaptureStreamivNV.version = '1.1'
regal_gl.add(glGetVideoCaptureStreamivNV)

glGetVideoCaptureivNV = Function('glGetVideoCaptureivNV')
glGetVideoCaptureivNV.add( Output( 'params','GLint *' ))
glGetVideoCaptureivNV.version = '1.1'
regal_gl.add(glGetVideoCaptureivNV)

glVideoCaptureNV = Function('glVideoCaptureNV')
glVideoCaptureNV.add( Output( 'sequence_num','GLuint *' ,size = 1 ))
glVideoCaptureNV.add( Output( 'capture_time','GLuint64EXT *' ,size = 1 ))
glVideoCaptureNV.version = '1.1'
regal_gl.add(glVideoCaptureNV)

glVideoCaptureStreamParameterdvNV = Function('glVideoCaptureStreamParameterdvNV')
glVideoCaptureStreamParameterdvNV.add( Input( 'params','const GLdouble *' ))
glVideoCaptureStreamParameterdvNV.version = '1.1'
regal_gl.add(glVideoCaptureStreamParameterdvNV)

glVideoCaptureStreamParameterfvNV = Function('glVideoCaptureStreamParameterfvNV')
glVideoCaptureStreamParameterfvNV.add( Input( 'params','const GLfloat *' ))
glVideoCaptureStreamParameterfvNV.version = '1.1'
regal_gl.add(glVideoCaptureStreamParameterfvNV)

glVideoCaptureStreamParameterivNV = Function('glVideoCaptureStreamParameterivNV')
glVideoCaptureStreamParameterivNV.add( Input( 'params','const GLint *' ))
glVideoCaptureStreamParameterivNV.version = '1.1'
regal_gl.add(glVideoCaptureStreamParameterivNV)

glBlendEquationSeparateOES = Function('glBlendEquationSeparateOES')
glBlendEquationSeparateOES.add( Input( 'modeRGB','GLenum' ,regalLog = 'GLmodeToString(modeRGB)' ))
glBlendEquationSeparateOES.add( Input( 'modeAlpha','GLenum' ,regalLog = 'GLmodeToString(modeAlpha)' ))
regal_gl.add(glBlendEquationSeparateOES)

glBlendFuncSeparateOES = Function('glBlendFuncSeparateOES')
regal_gl.add(glBlendFuncSeparateOES)

glBlendEquationOES = Function('glBlendEquationOES')
glBlendEquationOES.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
regal_gl.add(glBlendEquationOES)

glBindFramebufferOES = Function('glBindFramebufferOES')
regal_gl.add(glBindFramebufferOES)

glBindRenderbufferOES = Function('glBindRenderbufferOES')
regal_gl.add(glBindRenderbufferOES)

glCheckFramebufferStatusOES = Function('glCheckFramebufferStatusOES')
regal_gl.add(glCheckFramebufferStatusOES)

glDeleteFramebuffersOES = Function('glDeleteFramebuffersOES')
glDeleteFramebuffersOES.add( Input( 'framebuffers','const GLuint *' ))
regal_gl.add(glDeleteFramebuffersOES)

glDeleteRenderbuffersOES = Function('glDeleteRenderbuffersOES')
glDeleteRenderbuffersOES.add( Input( 'renderbuffers','const GLuint *' ))
regal_gl.add(glDeleteRenderbuffersOES)

glFramebufferRenderbufferOES = Function('glFramebufferRenderbufferOES')
regal_gl.add(glFramebufferRenderbufferOES)

glFramebufferTexture2DOES = Function('glFramebufferTexture2DOES')
regal_gl.add(glFramebufferTexture2DOES)

glGenFramebuffersOES = Function('glGenFramebuffersOES')
glGenFramebuffersOES.add( Input( 'framebuffers','GLuint *' ))
regal_gl.add(glGenFramebuffersOES)

glGenRenderbuffersOES = Function('glGenRenderbuffersOES')
glGenRenderbuffersOES.add( Input( 'renderbuffers','GLuint *' ))
regal_gl.add(glGenRenderbuffersOES)

glGenerateMipmapOES = Function('glGenerateMipmapOES')
regal_gl.add(glGenerateMipmapOES)

glGetFramebufferAttachmentParameterivOES = Function('glGetFramebufferAttachmentParameterivOES')
glGetFramebufferAttachmentParameterivOES.add( Input( 'params','GLint *' ))
regal_gl.add(glGetFramebufferAttachmentParameterivOES)

glGetRenderbufferParameterivOES = Function('glGetRenderbufferParameterivOES')
glGetRenderbufferParameterivOES.add( Input( 'params','GLint *' ))
regal_gl.add(glGetRenderbufferParameterivOES)

glIsFramebufferOES = Function('glIsFramebufferOES')
regal_gl.add(glIsFramebufferOES)

glIsRenderbufferOES = Function('glIsRenderbufferOES')
regal_gl.add(glIsRenderbufferOES)

glRenderbufferStorageOES = Function('glRenderbufferStorageOES')
regal_gl.add(glRenderbufferStorageOES)

glGetProgramBinaryOES = Function('glGetProgramBinaryOES')
glGetProgramBinaryOES.add( Input( 'length','GLsizei *' ))
glGetProgramBinaryOES.add( Input( 'binaryFormat','GLenum *' ))
glGetProgramBinaryOES.add( Input( 'binary','GLvoid *' ))
regal_gl.add(glGetProgramBinaryOES)

glProgramBinaryOES = Function('glProgramBinaryOES')
glProgramBinaryOES.add( Input( 'binary','const GLvoid *' ))
regal_gl.add(glProgramBinaryOES)

glGetBufferPointervOES = Function('glGetBufferPointervOES')
glGetBufferPointervOES.add( Input( 'params','GLvoid **' ))
regal_gl.add(glGetBufferPointervOES)

glMapBufferOES = Function('glMapBufferOES')
regal_gl.add(glMapBufferOES)

glUnmapBufferOES = Function('glUnmapBufferOES')
regal_gl.add(glUnmapBufferOES)

glCurrentPaletteMatrixOES = Function('glCurrentPaletteMatrixOES')
regal_gl.add(glCurrentPaletteMatrixOES)

glMatrixIndexPointerOES = Function('glMatrixIndexPointerOES')
glMatrixIndexPointerOES.add( Input( 'pointer','GLvoid *' ))
regal_gl.add(glMatrixIndexPointerOES)

glWeightPointerOES = Function('glWeightPointerOES')
glWeightPointerOES.add( Input( 'pointer','GLvoid *' ))
regal_gl.add(glWeightPointerOES)

glClearDepthfOES = Function('glClearDepthfOES')
regal_gl.add(glClearDepthfOES)

glClipPlanefOES = Function('glClipPlanefOES')
glClipPlanefOES.add( Input( 'equation','const GLfloat *' ))
regal_gl.add(glClipPlanefOES)

glDepthRangefOES = Function('glDepthRangefOES')
regal_gl.add(glDepthRangefOES)

glFrustumfOES = Function('glFrustumfOES')
regal_gl.add(glFrustumfOES)

glGetClipPlanefOES = Function('glGetClipPlanefOES')
glGetClipPlanefOES.add( Output( 'equation','GLfloat *' ))
regal_gl.add(glGetClipPlanefOES)

glOrthofOES = Function('glOrthofOES')
regal_gl.add(glOrthofOES)

glCompressedTexImage3DOES = Function('glCompressedTexImage3DOES')
glCompressedTexImage3DOES.add( Input( 'data','const GLvoid *' ))
regal_gl.add(glCompressedTexImage3DOES)

glCompressedTexSubImage3DOES = Function('glCompressedTexSubImage3DOES')
glCompressedTexSubImage3DOES.add( Input( 'data','const GLvoid *' ))
regal_gl.add(glCompressedTexSubImage3DOES)

glCopyTexSubImage3DOES = Function('glCopyTexSubImage3DOES')
regal_gl.add(glCopyTexSubImage3DOES)

glFramebufferTexture3DOES = Function('glFramebufferTexture3DOES')
regal_gl.add(glFramebufferTexture3DOES)

glTexImage3DOES = Function('glTexImage3DOES')
glTexImage3DOES.add( Input( 'pixels','const GLvoid *' ))
regal_gl.add(glTexImage3DOES)

glTexSubImage3DOES = Function('glTexSubImage3DOES')
glTexSubImage3DOES.add( Input( 'pixels','const GLvoid *' ))
regal_gl.add(glTexSubImage3DOES)

glGetTexGenfvOES = Function('glGetTexGenfvOES')
glGetTexGenfvOES.add( Input( 'params','GLfloat *' ))
regal_gl.add(glGetTexGenfvOES)

glGetTexGenivOES = Function('glGetTexGenivOES')
glGetTexGenivOES.add( Input( 'params','GLint *' ))
regal_gl.add(glGetTexGenivOES)

glGetTexGenxvOES = Function('glGetTexGenxvOES')
glGetTexGenxvOES.add( Input( 'params','GLfixed *' ))
regal_gl.add(glGetTexGenxvOES)

glTexGenfOES = Function('glTexGenfOES')
regal_gl.add(glTexGenfOES)

glTexGenfvOES = Function('glTexGenfvOES')
glTexGenfvOES.add( Input( 'params','const GLfloat *' ))
regal_gl.add(glTexGenfvOES)

glTexGeniOES = Function('glTexGeniOES')
regal_gl.add(glTexGeniOES)

glTexGenivOES = Function('glTexGenivOES')
glTexGenivOES.add( Input( 'params','const GLint *' ))
regal_gl.add(glTexGenivOES)

glTexGenxOES = Function('glTexGenxOES')
regal_gl.add(glTexGenxOES)

glTexGenxvOES = Function('glTexGenxvOES')
glTexGenxvOES.add( Input( 'params','const GLfixed *' ))
regal_gl.add(glTexGenxvOES)

glBindVertexArrayOES = Function('glBindVertexArrayOES')
regal_gl.add(glBindVertexArrayOES)

glDeleteVertexArraysOES = Function('glDeleteVertexArraysOES')
glDeleteVertexArraysOES.add( Input( 'arrays','const GLuint *' ))
regal_gl.add(glDeleteVertexArraysOES)

glGenVertexArraysOES = Function('glGenVertexArraysOES')
glGenVertexArraysOES.add( Input( 'arrays','GLuint *' ))
regal_gl.add(glGenVertexArraysOES)

glIsVertexArrayOES = Function('glIsVertexArrayOES')
regal_gl.add(glIsVertexArrayOES)

glHintPGI = Function('glHintPGI')
glHintPGI.version = '1.1'
regal_gl.add(glHintPGI)

glAlphaFuncQCOM = Function('glAlphaFuncQCOM')
regal_gl.add(glAlphaFuncQCOM)

glDisableDriverControlQCOM = Function('glDisableDriverControlQCOM')
regal_gl.add(glDisableDriverControlQCOM)

glEnableDriverControlQCOM = Function('glEnableDriverControlQCOM')
regal_gl.add(glEnableDriverControlQCOM)

glGetDriverControlStringQCOM = Function('glGetDriverControlStringQCOM')
glGetDriverControlStringQCOM.add( Input( 'length','GLsizei *' ))
glGetDriverControlStringQCOM.add( Input( 'driverControlString','GLchar *' ))
regal_gl.add(glGetDriverControlStringQCOM)

glGetDriverControlsQCOM = Function('glGetDriverControlsQCOM')
glGetDriverControlsQCOM.add( Input( 'num','GLint *' ))
glGetDriverControlsQCOM.add( Input( 'driverControls','GLuint *' ))
regal_gl.add(glGetDriverControlsQCOM)

glExtGetBufferPointervQCOM = Function('glExtGetBufferPointervQCOM')
glExtGetBufferPointervQCOM.add( Input( 'params','GLvoid **' ))
regal_gl.add(glExtGetBufferPointervQCOM)

glExtGetBuffersQCOM = Function('glExtGetBuffersQCOM')
glExtGetBuffersQCOM.add( Input( 'buffers','GLuint *' ))
glExtGetBuffersQCOM.add( Input( 'numBuffers','GLint *' ))
regal_gl.add(glExtGetBuffersQCOM)

glExtGetFramebuffersQCOM = Function('glExtGetFramebuffersQCOM')
glExtGetFramebuffersQCOM.add( Input( 'framebuffers','GLuint *' ))
glExtGetFramebuffersQCOM.add( Input( 'numFramebuffers','GLint *' ))
regal_gl.add(glExtGetFramebuffersQCOM)

glExtGetRenderbuffersQCOM = Function('glExtGetRenderbuffersQCOM')
glExtGetRenderbuffersQCOM.add( Input( 'renderbuffers','GLuint *' ))
glExtGetRenderbuffersQCOM.add( Input( 'numRenderbuffers','GLint *' ))
regal_gl.add(glExtGetRenderbuffersQCOM)

glExtGetTexLevelParameterivQCOM = Function('glExtGetTexLevelParameterivQCOM')
glExtGetTexLevelParameterivQCOM.add( Input( 'params','GLint *' ))
regal_gl.add(glExtGetTexLevelParameterivQCOM)

glExtGetTexSubImageQCOM = Function('glExtGetTexSubImageQCOM')
glExtGetTexSubImageQCOM.add( Input( 'texels','GLvoid *' ))
regal_gl.add(glExtGetTexSubImageQCOM)

glExtGetTexturesQCOM = Function('glExtGetTexturesQCOM')
glExtGetTexturesQCOM.add( Input( 'textures','GLuint *' ))
glExtGetTexturesQCOM.add( Input( 'numTextures','GLint *' ))
regal_gl.add(glExtGetTexturesQCOM)

glExtTexObjectStateOverrideiQCOM = Function('glExtTexObjectStateOverrideiQCOM')
regal_gl.add(glExtTexObjectStateOverrideiQCOM)

glExtGetProgramBinarySourceQCOM = Function('glExtGetProgramBinarySourceQCOM')
glExtGetProgramBinarySourceQCOM.add( Input( 'source','GLchar *' ))
glExtGetProgramBinarySourceQCOM.add( Input( 'length','GLint *' ))
regal_gl.add(glExtGetProgramBinarySourceQCOM)

glExtGetProgramsQCOM = Function('glExtGetProgramsQCOM')
glExtGetProgramsQCOM.add( Input( 'programs','GLuint *' ))
glExtGetProgramsQCOM.add( Input( 'numPrograms','GLint *' ))
regal_gl.add(glExtGetProgramsQCOM)

glExtGetShadersQCOM = Function('glExtGetShadersQCOM')
glExtGetShadersQCOM.add( Input( 'shaders','GLuint *' ))
glExtGetShadersQCOM.add( Input( 'numShaders','GLint *' ))
regal_gl.add(glExtGetShadersQCOM)

glExtIsProgramBinaryQCOM = Function('glExtIsProgramBinaryQCOM')
regal_gl.add(glExtIsProgramBinaryQCOM)

glEndTilingQCOM = Function('glEndTilingQCOM')
glEndTilingQCOM.add( Input( 'preserveMask','GLbitfield' ,regalLog = 'GLstartTilingQCOMToString(preserveMask)' ))
regal_gl.add(glEndTilingQCOM)

glStartTilingQCOM = Function('glStartTilingQCOM')
glStartTilingQCOM.add( Input( 'preserveMask','GLbitfield' ,regalLog = 'GLstartTilingQCOMToString(preserveMask)' ))
regal_gl.add(glStartTilingQCOM)

glAlphaFuncx = Function('glAlphaFuncx')
glAlphaFuncx.category = 'GL_REGAL_ES1_0_compatibility'
glAlphaFuncx.esVersions = [1.0, 1.1]
glAlphaFuncx.regalRemap = 'glAlphaFunc(func, fixedToFloat(ref))'
regal_gl.add(glAlphaFuncx)

glClearColorx = Function('glClearColorx')
glClearColorx.category = 'GL_REGAL_ES1_0_compatibility'
glClearColorx.esVersions = [1.0, 1.1]
glClearColorx.regalRemap = 'glClearColor(fixedToFloat(red), fixedToFloat(green), fixedToFloat(blue), fixedToFloat(alpha))'
regal_gl.add(glClearColorx)

glClearDepthx = Function('glClearDepthx')
glClearDepthx.category = 'GL_REGAL_ES1_0_compatibility'
glClearDepthx.esVersions = [1.0, 1.1]
glClearDepthx.regalRemap = 'glClearDepth(fixedToFloat(depth))'
regal_gl.add(glClearDepthx)

glColor4x = Function('glColor4x')
glColor4x.category = 'GL_REGAL_ES1_0_compatibility'
glColor4x.esVersions = [1.0, 1.1]
glColor4x.regalRemap = 'glColor4f(fixedToFloat(red), fixedToFloat(green), fixedToFloat(blue), fixedToFloat(alpha))'
regal_gl.add(glColor4x)

glDepthRangex = Function('glDepthRangex')
glDepthRangex.category = 'GL_REGAL_ES1_0_compatibility'
glDepthRangex.esVersions = [1.0, 1.1]
glDepthRangex.regalRemap = 'glDepthRange(fixedToFloat(n), fixedToFloat(f))'
regal_gl.add(glDepthRangex)

glFogx = Function('glFogx')
glFogx.category = 'GL_REGAL_ES1_0_compatibility'
glFogx.esVersions = [1.0, 1.1]
glFogx.regalRemap = 'glFogf(pname, fixedToFloat(param))'
regal_gl.add(glFogx)

glFogxv = Function('glFogxv')
glFogxv.add( Input( 'param','const GLfixed *' ))
glFogxv.category = 'GL_REGAL_ES1_0_compatibility'
glFogxv.esVersions = [1.0, 1.1]
glFogxv.regalRemap = ['GLfloat tmp[4];', 'fixedToFloat(tmp,param,pname==GL_FOG_COLOR ? 4 : 1);', 'glFogfv(pname,tmp);']
regal_gl.add(glFogxv)

glFrustumf = Function('glFrustumf')
glFrustumf.category = 'GL_REGAL_ES1_0_compatibility'
glFrustumf.esVersions = [1.0, 1.1]
glFrustumf.regalRemap = 'glFrustum(l,r,b,t,n,f)'
regal_gl.add(glFrustumf)

glFrustumx = Function('glFrustumx')
glFrustumx.category = 'GL_REGAL_ES1_0_compatibility'
glFrustumx.esVersions = [1.0, 1.1]
glFrustumx.regalRemap = 'glFrustumf(fixedToFloat(l), fixedToFloat(r), fixedToFloat(b), fixedToFloat(t), fixedToFloat(n), fixedToFloat(f))'
regal_gl.add(glFrustumx)

glLightModelx = Function('glLightModelx')
glLightModelx.category = 'GL_REGAL_ES1_0_compatibility'
glLightModelx.esVersions = [1.0, 1.1]
glLightModelx.regalRemap = 'glLightModelf(pname, fixedToFloat(param))'
regal_gl.add(glLightModelx)

glLightModelxv = Function('glLightModelxv')
glLightModelxv.add( Input( 'param','const GLfixed *' ))
glLightModelxv.category = 'GL_REGAL_ES1_0_compatibility'
glLightModelxv.esVersions = [1.0, 1.1]
glLightModelxv.regalRemap = ['GLfloat tmp[4];', 'fixedToFloat(tmp,param,pname==GL_LIGHT_MODEL_AMBIENT ? 4 : 1);', 'glLightModelfv(pname,tmp);']
regal_gl.add(glLightModelxv)

glLightx = Function('glLightx')
glLightx.category = 'GL_REGAL_ES1_0_compatibility'
glLightx.esVersions = [1.0, 1.1]
glLightx.regalRemap = 'glLightf(light, pname, fixedToFloat(param))'
regal_gl.add(glLightx)

glLightxv = Function('glLightxv')
glLightxv.add( Input( 'params','const GLfixed *' ))
glLightxv.category = 'GL_REGAL_ES1_0_compatibility'
glLightxv.esVersions = [1.0, 1.1]
glLightxv.regalRemap = ['GLfloat tmp[4];', 'fixedToFloat(tmp,params,(pname==GL_AMBIENT || pname==GL_DIFFUSE || pname==GL_SPECULAR || pname==GL_POSITION) ? 4 : (pname==GL_SPOT_DIRECTION ? 3 : 1));', 'glLightfv(light,pname,tmp);']
regal_gl.add(glLightxv)

glLineWidthx = Function('glLineWidthx')
glLineWidthx.category = 'GL_REGAL_ES1_0_compatibility'
glLineWidthx.esVersions = [1.0, 1.1]
glLineWidthx.regalRemap = 'glLineWidth(fixedToFloat(width))'
regal_gl.add(glLineWidthx)

glLoadMatrixx = Function('glLoadMatrixx')
glLoadMatrixx.add( Input( 'm','const GLfixed *' ))
glLoadMatrixx.category = 'GL_REGAL_ES1_0_compatibility'
glLoadMatrixx.esVersions = [1.0, 1.1]
glLoadMatrixx.regalRemap = ['GLfloat tmp[16];', 'fixedToFloat(tmp,m,16);', 'glLoadMatrixf(tmp);']
regal_gl.add(glLoadMatrixx)

glMaterialx = Function('glMaterialx')
glMaterialx.category = 'GL_REGAL_ES1_0_compatibility'
glMaterialx.esVersions = [1.0, 1.1]
glMaterialx.regalRemap = 'glMaterialf(face,pname,fixedToFloat(param))'
regal_gl.add(glMaterialx)

glMaterialxv = Function('glMaterialxv')
glMaterialxv.add( Input( 'param','const GLfixed *' ))
glMaterialxv.category = 'GL_REGAL_ES1_0_compatibility'
glMaterialxv.esVersions = [1.0, 1.1]
glMaterialxv.regalRemap = ['GLfloat tmp[16];', 'fixedToFloat(tmp,param,pname==GL_SHININESS ? 1 : 4);', 'glMaterialfv(face,pname,tmp);']
regal_gl.add(glMaterialxv)

glMultMatrixx = Function('glMultMatrixx')
glMultMatrixx.add( Input( 'm','const GLfixed *' ))
glMultMatrixx.category = 'GL_REGAL_ES1_0_compatibility'
glMultMatrixx.esVersions = [1.0, 1.1]
glMultMatrixx.regalRemap = ['GLfloat tmp[16];', 'fixedToFloat(tmp,m,16);', 'glMultMatrixf(tmp);']
regal_gl.add(glMultMatrixx)

glMultiTexCoord4x = Function('glMultiTexCoord4x')
glMultiTexCoord4x.category = 'GL_REGAL_ES1_0_compatibility'
glMultiTexCoord4x.esVersions = [1.0, 1.1]
glMultiTexCoord4x.regalRemap = 'glMultiTexCoord4f(texture,fixedToFloat(s),fixedToFloat(t),fixedToFloat(r),fixedToFloat(q))'
regal_gl.add(glMultiTexCoord4x)

glNormal3x = Function('glNormal3x')
glNormal3x.category = 'GL_REGAL_ES1_0_compatibility'
glNormal3x.esVersions = [1.0, 1.1]
glNormal3x.regalRemap = 'glNormal3f(fixedToFloat(nx),fixedToFloat(ny),fixedToFloat(nz))'
regal_gl.add(glNormal3x)

glOrthof = Function('glOrthof')
glOrthof.category = 'GL_REGAL_ES1_0_compatibility'
glOrthof.esVersions = [1.0, 1.1]
glOrthof.regalRemap = 'glOrtho(l,r,b,t,n,f)'
regal_gl.add(glOrthof)

glOrthox = Function('glOrthox')
glOrthox.category = 'GL_REGAL_ES1_0_compatibility'
glOrthox.esVersions = [1.0, 1.1]
glOrthox.regalRemap = 'glOrthof(fixedToFloat(l),fixedToFloat(r),fixedToFloat(b),fixedToFloat(t),fixedToFloat(n),fixedToFloat(f))'
regal_gl.add(glOrthox)

glPointSizex = Function('glPointSizex')
glPointSizex.category = 'GL_REGAL_ES1_0_compatibility'
glPointSizex.esVersions = [1.0, 1.1]
glPointSizex.regalRemap = 'glPointSize(fixedToFloat(size))'
regal_gl.add(glPointSizex)

glPolygonOffsetx = Function('glPolygonOffsetx')
glPolygonOffsetx.category = 'GL_REGAL_ES1_0_compatibility'
glPolygonOffsetx.esVersions = [1.0, 1.1]
glPolygonOffsetx.regalRemap = 'glPolygonOffset(fixedToFloat(factor),fixedToFloat(units))'
regal_gl.add(glPolygonOffsetx)

glRotatex = Function('glRotatex')
glRotatex.category = 'GL_REGAL_ES1_0_compatibility'
glRotatex.esVersions = [1.0, 1.1]
glRotatex.regalRemap = 'glRotatef(fixedToFloat(angle),fixedToFloat(x),fixedToFloat(y),fixedToFloat(z))'
regal_gl.add(glRotatex)

glSampleCoveragex = Function('glSampleCoveragex')
glSampleCoveragex.category = 'GL_REGAL_ES1_0_compatibility'
glSampleCoveragex.esVersions = [1.0, 1.1]
glSampleCoveragex.regalRemap = 'glSampleCoverage(fixedToFloat(value),invert)'
regal_gl.add(glSampleCoveragex)

glScalex = Function('glScalex')
glScalex.category = 'GL_REGAL_ES1_0_compatibility'
glScalex.esVersions = [1.0, 1.1]
glScalex.regalRemap = 'glScalef(fixedToFloat(x),fixedToFloat(y),fixedToFloat(z))'
regal_gl.add(glScalex)

glTexEnvx = Function('glTexEnvx')
glTexEnvx.category = 'GL_REGAL_ES1_0_compatibility'
glTexEnvx.esVersions = [1.0, 1.1]
glTexEnvx.regalRemap = 'glTexEnvf(target,pname,fixedToFloat(param))'
regal_gl.add(glTexEnvx)

glTexEnvxv = Function('glTexEnvxv')
glTexEnvxv.add( Input( 'params','const GLfixed *' ))
glTexEnvxv.category = 'GL_REGAL_ES1_0_compatibility'
glTexEnvxv.esVersions = [1.0, 1.1]
glTexEnvxv.regalRemap = ['GLfloat tmp[16];', 'fixedToFloat(tmp,params,pname==GL_TEXTURE_ENV_COLOR ? 4 : 1);', 'glTexEnvfv(target,pname,tmp);']
regal_gl.add(glTexEnvxv)

glTexParameterx = Function('glTexParameterx')
glTexParameterx.category = 'GL_REGAL_ES1_0_compatibility'
glTexParameterx.esVersions = [1.0, 1.1]
glTexParameterx.regalRemap = 'glTexParameterf(target,pname,fixedToFloat(param))'
regal_gl.add(glTexParameterx)

glTranslatex = Function('glTranslatex')
glTranslatex.category = 'GL_REGAL_ES1_0_compatibility'
glTranslatex.esVersions = [1.0, 1.1]
glTranslatex.regalRemap = 'glTranslatef(fixedToFloat(x),fixedToFloat(y),fixedToFloat(z))'
regal_gl.add(glTranslatex)

glClipPlanef = Function('glClipPlanef')
glClipPlanef.add( Input( 'equation','const GLfloat *' ))
glClipPlanef.category = 'GL_REGAL_ES1_1_compatibility'
glClipPlanef.esVersions = [1.1]
glClipPlanef.regalRemap = ['GLdouble tmp[4];', 'floatToDouble(tmp,eqn,4);', 'glClipPlane(p,tmp);']
regal_gl.add(glClipPlanef)

glClipPlanex = Function('glClipPlanex')
glClipPlanex.add( Input( 'equation','const GLfixed *' ))
glClipPlanex.category = 'GL_REGAL_ES1_1_compatibility'
glClipPlanex.esVersions = [1.1]
glClipPlanex.regalRemap = ['GLdouble tmp[4];', 'fixedToDouble(tmp,equation,4);', 'glClipPlane(plane,tmp);']
regal_gl.add(glClipPlanex)

glGetClipPlanef = Function('glGetClipPlanef')
glGetClipPlanef.add( Input( 'equation','GLfloat *' ))
glGetClipPlanef.category = 'GL_REGAL_ES1_1_compatibility'
glGetClipPlanef.esVersions = [1.1]
glGetClipPlanef.regalRemap = ['GLdouble tmp[4];', 'glGetClipPlane(plane,tmp);', 'doubleToFloat(equation,tmp,4);']
regal_gl.add(glGetClipPlanef)

glGetClipPlanex = Function('glGetClipPlanex')
glGetClipPlanex.add( Input( 'equation','GLfixed *' ))
glGetClipPlanex.category = 'GL_REGAL_ES1_1_compatibility'
glGetClipPlanex.esVersions = [1.1]
glGetClipPlanex.regalRemap = ['GLdouble tmp[4];', 'glGetClipPlane(plane,tmp);', 'doubleToFixed(equation,tmp,4);']
regal_gl.add(glGetClipPlanex)

glGetFixedv = Function('glGetFixedv')
glGetFixedv.add( Input( 'params','GLfixed *' ))
glGetFixedv.category = 'GL_REGAL_ES1_1_compatibility'
glGetFixedv.esVersions = [1.1]
glGetFixedv.regalRemap = ['GLfloat tmp[4];', 'glGetFloatv(pname,tmp);', 'floatToFixed(params,tmp,helper::size::get(pname));']
regal_gl.add(glGetFixedv)

glGetLightxv = Function('glGetLightxv')
glGetLightxv.add( Input( 'params','GLfixed *' ))
glGetLightxv.category = 'GL_REGAL_ES1_1_compatibility'
glGetLightxv.esVersions = [1.1]
glGetLightxv.regalRemap = ['GLfloat tmp[4];', 'glGetLightfv(light,pname,tmp);', 'floatToFixed(params,tmp,helper::size::lightv(pname));']
regal_gl.add(glGetLightxv)

glGetMaterialxv = Function('glGetMaterialxv')
glGetMaterialxv.add( Input( 'params','GLfixed *' ))
glGetMaterialxv.category = 'GL_REGAL_ES1_1_compatibility'
glGetMaterialxv.esVersions = [1.1]
glGetMaterialxv.regalRemap = ['GLfloat tmp[4];', 'glGetMaterialfv(face,pname,tmp);', 'floatToFixed(params,tmp,helper::size::materialv(pname));']
regal_gl.add(glGetMaterialxv)

glGetTexEnvxv = Function('glGetTexEnvxv')
glGetTexEnvxv.add( Input( 'params','GLfixed *' ))
glGetTexEnvxv.category = 'GL_REGAL_ES1_1_compatibility'
glGetTexEnvxv.esVersions = [1.1]
glGetTexEnvxv.regalRemap = ['GLfloat tmp[4];', 'glGetTexEnvfv(target,pname,tmp);', 'floatToFixed(params,tmp,helper::size::texEnvv(target,pname));']
regal_gl.add(glGetTexEnvxv)

glGetTexParameterxv = Function('glGetTexParameterxv')
glGetTexParameterxv.add( Input( 'params','GLfixed *' ))
glGetTexParameterxv.category = 'GL_REGAL_ES1_1_compatibility'
glGetTexParameterxv.esVersions = [1.1]
glGetTexParameterxv.regalRemap = ['GLfloat tmp[4];', 'glGetTexParameterfv(target,pname,tmp);', 'floatToFixed(params,tmp,helper::size::texParameterv(pname));']
regal_gl.add(glGetTexParameterxv)

glPointParameterx = Function('glPointParameterx')
glPointParameterx.category = 'GL_REGAL_ES1_1_compatibility'
glPointParameterx.esVersions = [1.1]
glPointParameterx.regalRemap = ['glPointParameterf(pname,fixedToFloat(param));']
regal_gl.add(glPointParameterx)

glPointParameterxv = Function('glPointParameterxv')
glPointParameterxv.add( Input( 'params','const GLfixed *' ))
glPointParameterxv.category = 'GL_REGAL_ES1_1_compatibility'
glPointParameterxv.esVersions = [1.1]
glPointParameterxv.regalRemap = ['GLfloat tmp[4];', 'fixedToFloat(tmp,params,pname==GL_POINT_DISTANCE_ATTENUATION ? 3 : 1);', 'glPointParameterfv(pname,tmp);']
regal_gl.add(glPointParameterxv)

glPointSizePointerOES = Function('glPointSizePointerOES')
glPointSizePointerOES.add( Input( 'pointer','const GLvoid *' ))
glPointSizePointerOES.category = 'GL_REGAL_ES1_1_compatibility'
glPointSizePointerOES.esVersions = [1.1]
regal_gl.add(glPointSizePointerOES)

glTexParameterxv = Function('glTexParameterxv')
glTexParameterxv.add( Input( 'params','const GLfixed *' ))
glTexParameterxv.category = 'GL_REGAL_ES1_1_compatibility'
glTexParameterxv.esVersions = [1.1]
glTexParameterxv.regalRemap = ['GLfloat tmp[4];', 'fixedToFloat(tmp,params,helper::size::texParameterv(pname));', 'glTexParameterfv(target,pname,tmp);']
regal_gl.add(glTexParameterxv)

glErrorStringREGAL = Function('glErrorStringREGAL')
glErrorStringREGAL.ret = Return('const GLchar *')
glErrorStringREGAL.add( Input( 'error','GLenum' ))
glErrorStringREGAL.version = '4.1'
glErrorStringREGAL.category = 'GL_REGAL_error_string'
glErrorStringREGAL.regalOnly = True
glErrorStringREGAL.trace = True
glErrorStringREGAL.play = True
regal_gl.add(glErrorStringREGAL)

glGetExtensionREGAL = Function('glGetExtensionREGAL')
glGetExtensionREGAL.ret = Return('GLboolean')
glGetExtensionREGAL.add( Input( 'ext','const GLchar *' ))
glGetExtensionREGAL.version = '4.1'
glGetExtensionREGAL.category = 'GL_REGAL_extension_query'
glGetExtensionREGAL.regalOnly = True
glGetExtensionREGAL.trace = True
glGetExtensionREGAL.play = True
regal_gl.add(glGetExtensionREGAL)

glIsSupportedREGAL = Function('glIsSupportedREGAL')
glIsSupportedREGAL.ret = Return('GLboolean')
glIsSupportedREGAL.add( Input( 'ext','const GLchar *' ))
glIsSupportedREGAL.version = '4.1'
glIsSupportedREGAL.category = 'GL_REGAL_extension_query'
glIsSupportedREGAL.regalOnly = True
glIsSupportedREGAL.trace = True
glIsSupportedREGAL.play = True
regal_gl.add(glIsSupportedREGAL)

glLogMessageCallbackREGAL = Function('glLogMessageCallbackREGAL')
glLogMessageCallbackREGAL.add( Input( 'callback','GLLOGPROCREGAL' ))
glLogMessageCallbackREGAL.version = '4.3'
glLogMessageCallbackREGAL.category = 'GL_REGAL_log'
glLogMessageCallbackREGAL.trace = True
glLogMessageCallbackREGAL.play = True
regal_gl.add(glLogMessageCallbackREGAL)

glGetProcAddressREGAL = Function('glGetProcAddressREGAL')
glGetProcAddressREGAL.ret = Return('void *')
glGetProcAddressREGAL.add( Input( 'name','const GLchar *' ))
glGetProcAddressREGAL.version = '4.1'
glGetProcAddressREGAL.category = 'GL_REGAL_proc_address'
glGetProcAddressREGAL.regalOnly = True
glGetProcAddressREGAL.trace = True
glGetProcAddressREGAL.play = True
regal_gl.add(glGetProcAddressREGAL)

glDetailTexFuncSGIS = Function('glDetailTexFuncSGIS')
glDetailTexFuncSGIS.add( Input( 'points','const GLfloat *' ))
glDetailTexFuncSGIS.version = '1.0'
regal_gl.add(glDetailTexFuncSGIS)

glGetDetailTexFuncSGIS = Function('glGetDetailTexFuncSGIS')
glGetDetailTexFuncSGIS.add( Output( 'points','GLfloat *' ))
glGetDetailTexFuncSGIS.version = '1.0'
regal_gl.add(glGetDetailTexFuncSGIS)

glFogFuncSGIS = Function('glFogFuncSGIS')
glFogFuncSGIS.add( Input( 'points','const GLfloat *' ))
glFogFuncSGIS.version = '1.1'
regal_gl.add(glFogFuncSGIS)

glGetFogFuncSGIS = Function('glGetFogFuncSGIS')
glGetFogFuncSGIS.add( Output( 'points','GLfloat *' ))
glGetFogFuncSGIS.version = '1.1'
regal_gl.add(glGetFogFuncSGIS)

glSampleMaskSGIS = Function('glSampleMaskSGIS')
glSampleMaskSGIS.version = '1.1'
regal_gl.add(glSampleMaskSGIS)

glSamplePatternSGIS = Function('glSamplePatternSGIS')
glSamplePatternSGIS.version = '1.0'
regal_gl.add(glSamplePatternSGIS)

glGetPixelTexGenParameterfvSGIS = Function('glGetPixelTexGenParameterfvSGIS')
glGetPixelTexGenParameterfvSGIS.add( Output( 'params','GLfloat *' ))
glGetPixelTexGenParameterfvSGIS.version = '1.0'
regal_gl.add(glGetPixelTexGenParameterfvSGIS)

glGetPixelTexGenParameterivSGIS = Function('glGetPixelTexGenParameterivSGIS')
glGetPixelTexGenParameterivSGIS.add( Output( 'params','GLint *' ))
glGetPixelTexGenParameterivSGIS.version = '1.0'
regal_gl.add(glGetPixelTexGenParameterivSGIS)

glPixelTexGenParameterfSGIS = Function('glPixelTexGenParameterfSGIS')
glPixelTexGenParameterfSGIS.version = '1.0'
regal_gl.add(glPixelTexGenParameterfSGIS)

glPixelTexGenParameterfvSGIS = Function('glPixelTexGenParameterfvSGIS')
glPixelTexGenParameterfvSGIS.add( Input( 'params','const GLfloat *' ))
glPixelTexGenParameterfvSGIS.version = '1.0'
regal_gl.add(glPixelTexGenParameterfvSGIS)

glPixelTexGenParameteriSGIS = Function('glPixelTexGenParameteriSGIS')
glPixelTexGenParameteriSGIS.version = '1.0'
regal_gl.add(glPixelTexGenParameteriSGIS)

glPixelTexGenParameterivSGIS = Function('glPixelTexGenParameterivSGIS')
glPixelTexGenParameterivSGIS.add( Input( 'params','const GLint *' ))
glPixelTexGenParameterivSGIS.version = '1.0'
regal_gl.add(glPixelTexGenParameterivSGIS)

glPointParameterfSGIS = Function('glPointParameterfSGIS')
glPointParameterfSGIS.version = '1.1'
regal_gl.add(glPointParameterfSGIS)

glPointParameterfvSGIS = Function('glPointParameterfvSGIS')
glPointParameterfvSGIS.add( Input( 'params','const GLfloat *' ))
glPointParameterfvSGIS.version = '1.1'
regal_gl.add(glPointParameterfvSGIS)

glGetSharpenTexFuncSGIS = Function('glGetSharpenTexFuncSGIS')
glGetSharpenTexFuncSGIS.add( Output( 'points','GLfloat *' ))
glGetSharpenTexFuncSGIS.version = '1.0'
regal_gl.add(glGetSharpenTexFuncSGIS)

glSharpenTexFuncSGIS = Function('glSharpenTexFuncSGIS')
glSharpenTexFuncSGIS.add( Input( 'points','const GLfloat *' ))
glSharpenTexFuncSGIS.version = '1.0'
regal_gl.add(glSharpenTexFuncSGIS)

glTexImage4DSGIS = Function('glTexImage4DSGIS')
glTexImage4DSGIS.add( Input( 'internalformat','GLenum' ,regalLog = 'internalFormatToString(internalformat)' ))
glTexImage4DSGIS.add( Input( 'pixels','const GLvoid *' ))
glTexImage4DSGIS.version = '1.0'
regal_gl.add(glTexImage4DSGIS)

glTexSubImage4DSGIS = Function('glTexSubImage4DSGIS')
glTexSubImage4DSGIS.add( Input( 'pixels','const GLvoid *' ))
glTexSubImage4DSGIS.version = '1.0'
regal_gl.add(glTexSubImage4DSGIS)

glTextureColorMaskSGIS = Function('glTextureColorMaskSGIS')
glTextureColorMaskSGIS.version = '1.1'
regal_gl.add(glTextureColorMaskSGIS)

glGetTexFilterFuncSGIS = Function('glGetTexFilterFuncSGIS')
glGetTexFilterFuncSGIS.add( Output( 'weights','GLfloat *' ))
glGetTexFilterFuncSGIS.version = '1.0'
regal_gl.add(glGetTexFilterFuncSGIS)

glTexFilterFuncSGIS = Function('glTexFilterFuncSGIS')
glTexFilterFuncSGIS.add( Input( 'weights','const GLfloat *' ))
glTexFilterFuncSGIS.version = '1.0'
regal_gl.add(glTexFilterFuncSGIS)

glAsyncMarkerSGIX = Function('glAsyncMarkerSGIX')
glAsyncMarkerSGIX.version = '1.0'
regal_gl.add(glAsyncMarkerSGIX)

glDeleteAsyncMarkersSGIX = Function('glDeleteAsyncMarkersSGIX')
glDeleteAsyncMarkersSGIX.version = '1.0'
regal_gl.add(glDeleteAsyncMarkersSGIX)

glFinishAsyncSGIX = Function('glFinishAsyncSGIX')
glFinishAsyncSGIX.add( Output( 'markerp','GLuint *' ,size = 1 ))
glFinishAsyncSGIX.version = '1.0'
regal_gl.add(glFinishAsyncSGIX)

glGenAsyncMarkersSGIX = Function('glGenAsyncMarkersSGIX')
glGenAsyncMarkersSGIX.version = '1.0'
regal_gl.add(glGenAsyncMarkersSGIX)

glIsAsyncMarkerSGIX = Function('glIsAsyncMarkerSGIX')
glIsAsyncMarkerSGIX.version = '1.0'
regal_gl.add(glIsAsyncMarkerSGIX)

glPollAsyncSGIX = Function('glPollAsyncSGIX')
glPollAsyncSGIX.add( Output( 'markerp','GLuint *' ,size = 1 ))
glPollAsyncSGIX.version = '1.0'
regal_gl.add(glPollAsyncSGIX)

glFlushRasterSGIX = Function('glFlushRasterSGIX')
glFlushRasterSGIX.version = '1.0'
regal_gl.add(glFlushRasterSGIX)

glTextureFogSGIX = Function('glTextureFogSGIX')
regal_gl.add(glTextureFogSGIX)

glFragmentColorMaterialSGIX = Function('glFragmentColorMaterialSGIX')
glFragmentColorMaterialSGIX.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glFragmentColorMaterialSGIX.version = '1.0'
regal_gl.add(glFragmentColorMaterialSGIX)

glFragmentLightModelfSGIX = Function('glFragmentLightModelfSGIX')
glFragmentLightModelfSGIX.version = '1.0'
regal_gl.add(glFragmentLightModelfSGIX)

glFragmentLightModelfvSGIX = Function('glFragmentLightModelfvSGIX')
glFragmentLightModelfvSGIX.add( Input( 'params','const GLfloat *' ))
glFragmentLightModelfvSGIX.version = '1.0'
regal_gl.add(glFragmentLightModelfvSGIX)

glFragmentLightModeliSGIX = Function('glFragmentLightModeliSGIX')
glFragmentLightModeliSGIX.version = '1.0'
regal_gl.add(glFragmentLightModeliSGIX)

glFragmentLightModelivSGIX = Function('glFragmentLightModelivSGIX')
glFragmentLightModelivSGIX.add( Input( 'params','const GLint *' ))
glFragmentLightModelivSGIX.version = '1.0'
regal_gl.add(glFragmentLightModelivSGIX)

glFragmentLightfSGIX = Function('glFragmentLightfSGIX')
glFragmentLightfSGIX.version = '1.0'
regal_gl.add(glFragmentLightfSGIX)

glFragmentLightfvSGIX = Function('glFragmentLightfvSGIX')
glFragmentLightfvSGIX.add( Input( 'params','const GLfloat *' ))
glFragmentLightfvSGIX.version = '1.0'
regal_gl.add(glFragmentLightfvSGIX)

glFragmentLightiSGIX = Function('glFragmentLightiSGIX')
glFragmentLightiSGIX.version = '1.0'
regal_gl.add(glFragmentLightiSGIX)

glFragmentLightivSGIX = Function('glFragmentLightivSGIX')
glFragmentLightivSGIX.add( Input( 'params','const GLint *' ))
glFragmentLightivSGIX.version = '1.0'
regal_gl.add(glFragmentLightivSGIX)

glFragmentMaterialfSGIX = Function('glFragmentMaterialfSGIX')
glFragmentMaterialfSGIX.version = '1.0'
regal_gl.add(glFragmentMaterialfSGIX)

glFragmentMaterialfvSGIX = Function('glFragmentMaterialfvSGIX')
glFragmentMaterialfvSGIX.add( Input( 'params','const GLfloat *' ))
glFragmentMaterialfvSGIX.version = '1.0'
regal_gl.add(glFragmentMaterialfvSGIX)

glFragmentMaterialiSGIX = Function('glFragmentMaterialiSGIX')
glFragmentMaterialiSGIX.version = '1.0'
regal_gl.add(glFragmentMaterialiSGIX)

glFragmentMaterialivSGIX = Function('glFragmentMaterialivSGIX')
glFragmentMaterialivSGIX.add( Input( 'params','const GLint *' ))
glFragmentMaterialivSGIX.version = '1.0'
regal_gl.add(glFragmentMaterialivSGIX)

glGetFragmentLightfvSGIX = Function('glGetFragmentLightfvSGIX')
glGetFragmentLightfvSGIX.add( Output( 'params','GLfloat *' ))
glGetFragmentLightfvSGIX.version = '1.0'
regal_gl.add(glGetFragmentLightfvSGIX)

glGetFragmentLightivSGIX = Function('glGetFragmentLightivSGIX')
glGetFragmentLightivSGIX.add( Output( 'params','GLint *' ))
glGetFragmentLightivSGIX.version = '1.0'
regal_gl.add(glGetFragmentLightivSGIX)

glGetFragmentMaterialfvSGIX = Function('glGetFragmentMaterialfvSGIX')
glGetFragmentMaterialfvSGIX.add( Output( 'params','GLfloat *' ))
glGetFragmentMaterialfvSGIX.version = '1.0'
regal_gl.add(glGetFragmentMaterialfvSGIX)

glGetFragmentMaterialivSGIX = Function('glGetFragmentMaterialivSGIX')
glGetFragmentMaterialivSGIX.add( Output( 'params','GLint *' ))
glGetFragmentMaterialivSGIX.version = '1.0'
regal_gl.add(glGetFragmentMaterialivSGIX)

glLightEnviSGIX = Function('glLightEnviSGIX')
glLightEnviSGIX.version = '1.0'
regal_gl.add(glLightEnviSGIX)

glFrameZoomSGIX = Function('glFrameZoomSGIX')
glFrameZoomSGIX.version = '1.0'
regal_gl.add(glFrameZoomSGIX)

glIglooInterfaceSGIX = Function('glIglooInterfaceSGIX')
glIglooInterfaceSGIX.add( Input( 'params','const GLvoid *' ))
glIglooInterfaceSGIX.version = '1.0'
regal_gl.add(glIglooInterfaceSGIX)

glGetInstrumentsSGIX = Function('glGetInstrumentsSGIX')
glGetInstrumentsSGIX.version = '1.0'
regal_gl.add(glGetInstrumentsSGIX)

glInstrumentsBufferSGIX = Function('glInstrumentsBufferSGIX')
glInstrumentsBufferSGIX.add( Output( 'buffer','GLint *' ))
glInstrumentsBufferSGIX.version = '1.0'
regal_gl.add(glInstrumentsBufferSGIX)

glPollInstrumentsSGIX = Function('glPollInstrumentsSGIX')
glPollInstrumentsSGIX.add( Output( 'marker_p','GLint *' ,size = 1 ))
glPollInstrumentsSGIX.version = '1.0'
regal_gl.add(glPollInstrumentsSGIX)

glReadInstrumentsSGIX = Function('glReadInstrumentsSGIX')
glReadInstrumentsSGIX.version = '1.0'
regal_gl.add(glReadInstrumentsSGIX)

glStartInstrumentsSGIX = Function('glStartInstrumentsSGIX')
glStartInstrumentsSGIX.version = '1.0'
regal_gl.add(glStartInstrumentsSGIX)

glStopInstrumentsSGIX = Function('glStopInstrumentsSGIX')
glStopInstrumentsSGIX.version = '1.0'
regal_gl.add(glStopInstrumentsSGIX)

glGetListParameterfvSGIX = Function('glGetListParameterfvSGIX')
glGetListParameterfvSGIX.add( Output( 'params','GLfloat *' ))
glGetListParameterfvSGIX.version = '1.0'
regal_gl.add(glGetListParameterfvSGIX)

glGetListParameterivSGIX = Function('glGetListParameterivSGIX')
glGetListParameterivSGIX.add( Output( 'params','GLint *' ))
glGetListParameterivSGIX.version = '1.0'
regal_gl.add(glGetListParameterivSGIX)

glListParameterfSGIX = Function('glListParameterfSGIX')
glListParameterfSGIX.version = '1.0'
regal_gl.add(glListParameterfSGIX)

glListParameterfvSGIX = Function('glListParameterfvSGIX')
glListParameterfvSGIX.add( Input( 'params','const GLfloat *' ))
glListParameterfvSGIX.version = '1.0'
regal_gl.add(glListParameterfvSGIX)

glListParameteriSGIX = Function('glListParameteriSGIX')
glListParameteriSGIX.version = '1.0'
regal_gl.add(glListParameteriSGIX)

glListParameterivSGIX = Function('glListParameterivSGIX')
glListParameterivSGIX.add( Input( 'params','const GLint *' ))
glListParameterivSGIX.version = '1.0'
regal_gl.add(glListParameterivSGIX)

glPixelTexGenSGIX = Function('glPixelTexGenSGIX')
glPixelTexGenSGIX.version = '1.0'
regal_gl.add(glPixelTexGenSGIX)

glDeformSGIX = Function('glDeformSGIX')
glDeformSGIX.version = '1.0'
regal_gl.add(glDeformSGIX)

glDeformationMap3dSGIX = Function('glDeformationMap3dSGIX')
glDeformationMap3dSGIX.add( Input( 'points','const GLdouble *' ))
glDeformationMap3dSGIX.version = '1.0'
regal_gl.add(glDeformationMap3dSGIX)

glDeformationMap3fSGIX = Function('glDeformationMap3fSGIX')
glDeformationMap3fSGIX.add( Input( 'points','const GLfloat *' ))
glDeformationMap3fSGIX.version = '1.0'
regal_gl.add(glDeformationMap3fSGIX)

glLoadIdentityDeformationMapSGIX = Function('glLoadIdentityDeformationMapSGIX')
glLoadIdentityDeformationMapSGIX.version = '1.0'
regal_gl.add(glLoadIdentityDeformationMapSGIX)

glReferencePlaneSGIX = Function('glReferencePlaneSGIX')
glReferencePlaneSGIX.add( Input( 'equation','const GLdouble *' ,size = 4 ))
glReferencePlaneSGIX.version = '1.0'
regal_gl.add(glReferencePlaneSGIX)

glSpriteParameterfSGIX = Function('glSpriteParameterfSGIX')
glSpriteParameterfSGIX.version = '1.0'
regal_gl.add(glSpriteParameterfSGIX)

glSpriteParameterfvSGIX = Function('glSpriteParameterfvSGIX')
glSpriteParameterfvSGIX.add( Input( 'params','const GLfloat *' ))
glSpriteParameterfvSGIX.version = '1.0'
regal_gl.add(glSpriteParameterfvSGIX)

glSpriteParameteriSGIX = Function('glSpriteParameteriSGIX')
glSpriteParameteriSGIX.version = '1.0'
regal_gl.add(glSpriteParameteriSGIX)

glSpriteParameterivSGIX = Function('glSpriteParameterivSGIX')
glSpriteParameterivSGIX.add( Input( 'params','const GLint *' ))
glSpriteParameterivSGIX.version = '1.0'
regal_gl.add(glSpriteParameterivSGIX)

glTagSampleBufferSGIX = Function('glTagSampleBufferSGIX')
glTagSampleBufferSGIX.version = '1.0'
regal_gl.add(glTagSampleBufferSGIX)

glColorTableParameterfvSGI = Function('glColorTableParameterfvSGI')
glColorTableParameterfvSGI.add( Input( 'params','const GLfloat *' ))
glColorTableParameterfvSGI.version = '1.0'
regal_gl.add(glColorTableParameterfvSGI)

glColorTableParameterivSGI = Function('glColorTableParameterivSGI')
glColorTableParameterivSGI.add( Input( 'params','const GLint *' ))
glColorTableParameterivSGI.version = '1.0'
regal_gl.add(glColorTableParameterivSGI)

glColorTableSGI = Function('glColorTableSGI')
glColorTableSGI.add( Input( 'table','const GLvoid *' ))
glColorTableSGI.version = '1.0'
regal_gl.add(glColorTableSGI)

glCopyColorTableSGI = Function('glCopyColorTableSGI')
glCopyColorTableSGI.version = '1.0'
regal_gl.add(glCopyColorTableSGI)

glGetColorTableParameterfvSGI = Function('glGetColorTableParameterfvSGI')
glGetColorTableParameterfvSGI.add( Output( 'params','GLfloat *' ))
glGetColorTableParameterfvSGI.version = '1.0'
regal_gl.add(glGetColorTableParameterfvSGI)

glGetColorTableParameterivSGI = Function('glGetColorTableParameterivSGI')
glGetColorTableParameterivSGI.add( Output( 'params','GLint *' ))
glGetColorTableParameterivSGI.version = '1.0'
regal_gl.add(glGetColorTableParameterivSGI)

glGetColorTableSGI = Function('glGetColorTableSGI')
glGetColorTableSGI.add( Output( 'table','GLvoid *' ))
glGetColorTableSGI.version = '1.0'
regal_gl.add(glGetColorTableSGI)

glFinishTextureSUNX = Function('glFinishTextureSUNX')
glFinishTextureSUNX.version = '1.1'
regal_gl.add(glFinishTextureSUNX)

glGlobalAlphaFactorbSUN = Function('glGlobalAlphaFactorbSUN')
glGlobalAlphaFactorbSUN.version = '1.1'
regal_gl.add(glGlobalAlphaFactorbSUN)

glGlobalAlphaFactordSUN = Function('glGlobalAlphaFactordSUN')
glGlobalAlphaFactordSUN.version = '1.1'
regal_gl.add(glGlobalAlphaFactordSUN)

glGlobalAlphaFactorfSUN = Function('glGlobalAlphaFactorfSUN')
glGlobalAlphaFactorfSUN.version = '1.1'
regal_gl.add(glGlobalAlphaFactorfSUN)

glGlobalAlphaFactoriSUN = Function('glGlobalAlphaFactoriSUN')
glGlobalAlphaFactoriSUN.version = '1.1'
regal_gl.add(glGlobalAlphaFactoriSUN)

glGlobalAlphaFactorsSUN = Function('glGlobalAlphaFactorsSUN')
glGlobalAlphaFactorsSUN.version = '1.1'
regal_gl.add(glGlobalAlphaFactorsSUN)

glGlobalAlphaFactorubSUN = Function('glGlobalAlphaFactorubSUN')
glGlobalAlphaFactorubSUN.version = '1.1'
regal_gl.add(glGlobalAlphaFactorubSUN)

glGlobalAlphaFactoruiSUN = Function('glGlobalAlphaFactoruiSUN')
glGlobalAlphaFactoruiSUN.version = '1.1'
regal_gl.add(glGlobalAlphaFactoruiSUN)

glGlobalAlphaFactorusSUN = Function('glGlobalAlphaFactorusSUN')
glGlobalAlphaFactorusSUN.version = '1.1'
regal_gl.add(glGlobalAlphaFactorusSUN)

glDrawMeshArraysSUN = Function('glDrawMeshArraysSUN')
glDrawMeshArraysSUN.add( Input( 'mode','GLenum' ,regalLog = 'GLmodeToString(mode)' ))
glDrawMeshArraysSUN.version = '1.1'
regal_gl.add(glDrawMeshArraysSUN)

glReadVideoPixelsSUN = Function('glReadVideoPixelsSUN')
glReadVideoPixelsSUN.add( Input( 'pixels','GLvoid *' ))
regal_gl.add(glReadVideoPixelsSUN)

glReplacementCodePointerSUN = Function('glReplacementCodePointerSUN')
glReplacementCodePointerSUN.add( Input( 'pointer','const GLvoid **' ))
glReplacementCodePointerSUN.version = '1.1'
regal_gl.add(glReplacementCodePointerSUN)

glReplacementCodeubSUN = Function('glReplacementCodeubSUN')
glReplacementCodeubSUN.version = '1.1'
regal_gl.add(glReplacementCodeubSUN)

glReplacementCodeubvSUN = Function('glReplacementCodeubvSUN')
glReplacementCodeubvSUN.add( Input( 'code','const GLubyte *' ))
glReplacementCodeubvSUN.version = '1.1'
regal_gl.add(glReplacementCodeubvSUN)

glReplacementCodeuiSUN = Function('glReplacementCodeuiSUN')
glReplacementCodeuiSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiSUN)

glReplacementCodeuivSUN = Function('glReplacementCodeuivSUN')
glReplacementCodeuivSUN.add( Input( 'code','const GLuint *' ))
glReplacementCodeuivSUN.version = '1.1'
regal_gl.add(glReplacementCodeuivSUN)

glReplacementCodeusSUN = Function('glReplacementCodeusSUN')
glReplacementCodeusSUN.version = '1.1'
regal_gl.add(glReplacementCodeusSUN)

glReplacementCodeusvSUN = Function('glReplacementCodeusvSUN')
glReplacementCodeusvSUN.add( Input( 'code','const GLushort *' ))
glReplacementCodeusvSUN.version = '1.1'
regal_gl.add(glReplacementCodeusvSUN)

glColor3fVertex3fSUN = Function('glColor3fVertex3fSUN')
glColor3fVertex3fSUN.version = '1.1'
regal_gl.add(glColor3fVertex3fSUN)

glColor3fVertex3fvSUN = Function('glColor3fVertex3fvSUN')
glColor3fVertex3fvSUN.add( Input( 'c','const GLfloat *' ,size = 3 ))
glColor3fVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glColor3fVertex3fvSUN.version = '1.1'
regal_gl.add(glColor3fVertex3fvSUN)

glColor4fNormal3fVertex3fSUN = Function('glColor4fNormal3fVertex3fSUN')
glColor4fNormal3fVertex3fSUN.version = '1.1'
regal_gl.add(glColor4fNormal3fVertex3fSUN)

glColor4fNormal3fVertex3fvSUN = Function('glColor4fNormal3fVertex3fvSUN')
glColor4fNormal3fVertex3fvSUN.add( Input( 'c','const GLfloat *' ,size = 4 ))
glColor4fNormal3fVertex3fvSUN.add( Input( 'n','const GLfloat *' ,size = 3 ))
glColor4fNormal3fVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glColor4fNormal3fVertex3fvSUN.version = '1.1'
regal_gl.add(glColor4fNormal3fVertex3fvSUN)

glColor4ubVertex2fSUN = Function('glColor4ubVertex2fSUN')
glColor4ubVertex2fSUN.version = '1.1'
regal_gl.add(glColor4ubVertex2fSUN)

glColor4ubVertex2fvSUN = Function('glColor4ubVertex2fvSUN')
glColor4ubVertex2fvSUN.add( Input( 'c','const GLubyte *' ,size = 4 ))
glColor4ubVertex2fvSUN.add( Input( 'v','const GLfloat *' ,size = 2 ))
glColor4ubVertex2fvSUN.version = '1.1'
regal_gl.add(glColor4ubVertex2fvSUN)

glColor4ubVertex3fSUN = Function('glColor4ubVertex3fSUN')
glColor4ubVertex3fSUN.version = '1.1'
regal_gl.add(glColor4ubVertex3fSUN)

glColor4ubVertex3fvSUN = Function('glColor4ubVertex3fvSUN')
glColor4ubVertex3fvSUN.add( Input( 'c','const GLubyte *' ,size = 4 ))
glColor4ubVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glColor4ubVertex3fvSUN.version = '1.1'
regal_gl.add(glColor4ubVertex3fvSUN)

glNormal3fVertex3fSUN = Function('glNormal3fVertex3fSUN')
glNormal3fVertex3fSUN.version = '1.1'
regal_gl.add(glNormal3fVertex3fSUN)

glNormal3fVertex3fvSUN = Function('glNormal3fVertex3fvSUN')
glNormal3fVertex3fvSUN.add( Input( 'n','const GLfloat *' ,size = 3 ))
glNormal3fVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glNormal3fVertex3fvSUN.version = '1.1'
regal_gl.add(glNormal3fVertex3fvSUN)

glReplacementCodeuiColor3fVertex3fSUN = Function('glReplacementCodeuiColor3fVertex3fSUN')
glReplacementCodeuiColor3fVertex3fSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiColor3fVertex3fSUN)

glReplacementCodeuiColor3fVertex3fvSUN = Function('glReplacementCodeuiColor3fVertex3fvSUN')
glReplacementCodeuiColor3fVertex3fvSUN.add( Input( 'rc','const GLuint *' ,size = 1 ))
glReplacementCodeuiColor3fVertex3fvSUN.add( Input( 'c','const GLfloat *' ,size = 3 ))
glReplacementCodeuiColor3fVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glReplacementCodeuiColor3fVertex3fvSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiColor3fVertex3fvSUN)

glReplacementCodeuiColor4fNormal3fVertex3fSUN = Function('glReplacementCodeuiColor4fNormal3fVertex3fSUN')
glReplacementCodeuiColor4fNormal3fVertex3fSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiColor4fNormal3fVertex3fSUN)

glReplacementCodeuiColor4fNormal3fVertex3fvSUN = Function('glReplacementCodeuiColor4fNormal3fVertex3fvSUN')
glReplacementCodeuiColor4fNormal3fVertex3fvSUN.add( Input( 'rc','const GLuint *' ,size = 1 ))
glReplacementCodeuiColor4fNormal3fVertex3fvSUN.add( Input( 'c','const GLfloat *' ,size = 4 ))
glReplacementCodeuiColor4fNormal3fVertex3fvSUN.add( Input( 'n','const GLfloat *' ,size = 3 ))
glReplacementCodeuiColor4fNormal3fVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glReplacementCodeuiColor4fNormal3fVertex3fvSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiColor4fNormal3fVertex3fvSUN)

glReplacementCodeuiColor4ubVertex3fSUN = Function('glReplacementCodeuiColor4ubVertex3fSUN')
glReplacementCodeuiColor4ubVertex3fSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiColor4ubVertex3fSUN)

glReplacementCodeuiColor4ubVertex3fvSUN = Function('glReplacementCodeuiColor4ubVertex3fvSUN')
glReplacementCodeuiColor4ubVertex3fvSUN.add( Input( 'rc','const GLuint *' ,size = 1 ))
glReplacementCodeuiColor4ubVertex3fvSUN.add( Input( 'c','const GLubyte *' ,size = 4 ))
glReplacementCodeuiColor4ubVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glReplacementCodeuiColor4ubVertex3fvSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiColor4ubVertex3fvSUN)

glReplacementCodeuiNormal3fVertex3fSUN = Function('glReplacementCodeuiNormal3fVertex3fSUN')
glReplacementCodeuiNormal3fVertex3fSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiNormal3fVertex3fSUN)

glReplacementCodeuiNormal3fVertex3fvSUN = Function('glReplacementCodeuiNormal3fVertex3fvSUN')
glReplacementCodeuiNormal3fVertex3fvSUN.add( Input( 'rc','const GLuint *' ,size = 1 ))
glReplacementCodeuiNormal3fVertex3fvSUN.add( Input( 'n','const GLfloat *' ,size = 3 ))
glReplacementCodeuiNormal3fVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glReplacementCodeuiNormal3fVertex3fvSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiNormal3fVertex3fvSUN)

glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = Function('glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN')
glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN)

glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN = Function('glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN')
glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN.add( Input( 'rc','const GLuint *' ,size = 1 ))
glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN.add( Input( 'tc','const GLfloat *' ,size = 2 ))
glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN.add( Input( 'c','const GLfloat *' ,size = 4 ))
glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN.add( Input( 'n','const GLfloat *' ,size = 3 ))
glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN)

glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = Function('glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN')
glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN)

glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN = Function('glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN')
glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN.add( Input( 'rc','const GLuint *' ,size = 1 ))
glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN.add( Input( 'tc','const GLfloat *' ,size = 2 ))
glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN.add( Input( 'n','const GLfloat *' ,size = 3 ))
glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN)

glReplacementCodeuiTexCoord2fVertex3fSUN = Function('glReplacementCodeuiTexCoord2fVertex3fSUN')
glReplacementCodeuiTexCoord2fVertex3fSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiTexCoord2fVertex3fSUN)

glReplacementCodeuiTexCoord2fVertex3fvSUN = Function('glReplacementCodeuiTexCoord2fVertex3fvSUN')
glReplacementCodeuiTexCoord2fVertex3fvSUN.add( Input( 'rc','const GLuint *' ,size = 1 ))
glReplacementCodeuiTexCoord2fVertex3fvSUN.add( Input( 'tc','const GLfloat *' ,size = 2 ))
glReplacementCodeuiTexCoord2fVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glReplacementCodeuiTexCoord2fVertex3fvSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiTexCoord2fVertex3fvSUN)

glReplacementCodeuiVertex3fSUN = Function('glReplacementCodeuiVertex3fSUN')
glReplacementCodeuiVertex3fSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiVertex3fSUN)

glReplacementCodeuiVertex3fvSUN = Function('glReplacementCodeuiVertex3fvSUN')
glReplacementCodeuiVertex3fvSUN.add( Input( 'rc','const GLuint *' ,size = 1 ))
glReplacementCodeuiVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glReplacementCodeuiVertex3fvSUN.version = '1.1'
regal_gl.add(glReplacementCodeuiVertex3fvSUN)

glTexCoord2fColor3fVertex3fSUN = Function('glTexCoord2fColor3fVertex3fSUN')
glTexCoord2fColor3fVertex3fSUN.version = '1.1'
regal_gl.add(glTexCoord2fColor3fVertex3fSUN)

glTexCoord2fColor3fVertex3fvSUN = Function('glTexCoord2fColor3fVertex3fvSUN')
glTexCoord2fColor3fVertex3fvSUN.add( Input( 'tc','const GLfloat *' ,size = 2 ))
glTexCoord2fColor3fVertex3fvSUN.add( Input( 'c','const GLfloat *' ,size = 3 ))
glTexCoord2fColor3fVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glTexCoord2fColor3fVertex3fvSUN.version = '1.1'
regal_gl.add(glTexCoord2fColor3fVertex3fvSUN)

glTexCoord2fColor4fNormal3fVertex3fSUN = Function('glTexCoord2fColor4fNormal3fVertex3fSUN')
glTexCoord2fColor4fNormal3fVertex3fSUN.version = '1.1'
regal_gl.add(glTexCoord2fColor4fNormal3fVertex3fSUN)

glTexCoord2fColor4fNormal3fVertex3fvSUN = Function('glTexCoord2fColor4fNormal3fVertex3fvSUN')
glTexCoord2fColor4fNormal3fVertex3fvSUN.add( Input( 'tc','const GLfloat *' ,size = 2 ))
glTexCoord2fColor4fNormal3fVertex3fvSUN.add( Input( 'c','const GLfloat *' ,size = 4 ))
glTexCoord2fColor4fNormal3fVertex3fvSUN.add( Input( 'n','const GLfloat *' ,size = 3 ))
glTexCoord2fColor4fNormal3fVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glTexCoord2fColor4fNormal3fVertex3fvSUN.version = '1.1'
regal_gl.add(glTexCoord2fColor4fNormal3fVertex3fvSUN)

glTexCoord2fColor4ubVertex3fSUN = Function('glTexCoord2fColor4ubVertex3fSUN')
glTexCoord2fColor4ubVertex3fSUN.version = '1.1'
regal_gl.add(glTexCoord2fColor4ubVertex3fSUN)

glTexCoord2fColor4ubVertex3fvSUN = Function('glTexCoord2fColor4ubVertex3fvSUN')
glTexCoord2fColor4ubVertex3fvSUN.add( Input( 'tc','const GLfloat *' ,size = 2 ))
glTexCoord2fColor4ubVertex3fvSUN.add( Input( 'c','const GLubyte *' ,size = 4 ))
glTexCoord2fColor4ubVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glTexCoord2fColor4ubVertex3fvSUN.version = '1.1'
regal_gl.add(glTexCoord2fColor4ubVertex3fvSUN)

glTexCoord2fNormal3fVertex3fSUN = Function('glTexCoord2fNormal3fVertex3fSUN')
glTexCoord2fNormal3fVertex3fSUN.version = '1.1'
regal_gl.add(glTexCoord2fNormal3fVertex3fSUN)

glTexCoord2fNormal3fVertex3fvSUN = Function('glTexCoord2fNormal3fVertex3fvSUN')
glTexCoord2fNormal3fVertex3fvSUN.add( Input( 'tc','const GLfloat *' ,size = 2 ))
glTexCoord2fNormal3fVertex3fvSUN.add( Input( 'n','const GLfloat *' ,size = 3 ))
glTexCoord2fNormal3fVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glTexCoord2fNormal3fVertex3fvSUN.version = '1.1'
regal_gl.add(glTexCoord2fNormal3fVertex3fvSUN)

glTexCoord2fVertex3fSUN = Function('glTexCoord2fVertex3fSUN')
glTexCoord2fVertex3fSUN.version = '1.1'
regal_gl.add(glTexCoord2fVertex3fSUN)

glTexCoord2fVertex3fvSUN = Function('glTexCoord2fVertex3fvSUN')
glTexCoord2fVertex3fvSUN.add( Input( 'tc','const GLfloat *' ,size = 2 ))
glTexCoord2fVertex3fvSUN.add( Input( 'v','const GLfloat *' ,size = 3 ))
glTexCoord2fVertex3fvSUN.version = '1.1'
regal_gl.add(glTexCoord2fVertex3fvSUN)

glTexCoord4fColor4fNormal3fVertex4fSUN = Function('glTexCoord4fColor4fNormal3fVertex4fSUN')
glTexCoord4fColor4fNormal3fVertex4fSUN.version = '1.1'
regal_gl.add(glTexCoord4fColor4fNormal3fVertex4fSUN)

glTexCoord4fColor4fNormal3fVertex4fvSUN = Function('glTexCoord4fColor4fNormal3fVertex4fvSUN')
glTexCoord4fColor4fNormal3fVertex4fvSUN.add( Input( 'tc','const GLfloat *' ,size = 4 ))
glTexCoord4fColor4fNormal3fVertex4fvSUN.add( Input( 'c','const GLfloat *' ,size = 4 ))
glTexCoord4fColor4fNormal3fVertex4fvSUN.add( Input( 'n','const GLfloat *' ,size = 3 ))
glTexCoord4fColor4fNormal3fVertex4fvSUN.add( Input( 'v','const GLfloat *' ,size = 4 ))
glTexCoord4fColor4fNormal3fVertex4fvSUN.version = '1.1'
regal_gl.add(glTexCoord4fColor4fNormal3fVertex4fvSUN)

glTexCoord4fVertex4fSUN = Function('glTexCoord4fVertex4fSUN')
glTexCoord4fVertex4fSUN.version = '1.1'
regal_gl.add(glTexCoord4fVertex4fSUN)

glTexCoord4fVertex4fvSUN = Function('glTexCoord4fVertex4fvSUN')
glTexCoord4fVertex4fvSUN.add( Input( 'tc','const GLfloat *' ,size = 4 ))
glTexCoord4fVertex4fvSUN.add( Input( 'v','const GLfloat *' ,size = 4 ))
glTexCoord4fVertex4fvSUN.version = '1.1'
regal_gl.add(glTexCoord4fVertex4fvSUN)

glAddSwapHintRectWIN = Function('glAddSwapHintRectWIN')
glAddSwapHintRectWIN.ret = Return('void')
glAddSwapHintRectWIN.add( Input( 'x','GLint' ))
glAddSwapHintRectWIN.add( Input( 'y','GLint' ))
glAddSwapHintRectWIN.add( Input( 'width','GLsizei' ))
glAddSwapHintRectWIN.add( Input( 'height','GLsizei' ))
glAddSwapHintRectWIN.version = '1.1'
glAddSwapHintRectWIN.category = 'GL_WIN_swap_hint'
glAddSwapHintRectWIN.trace = True
glAddSwapHintRectWIN.play = True
regal_gl.add(glAddSwapHintRectWIN)

GL_3DFX_multisample = Extension('GL_3DFX_multisample')
GL_3DFX_multisample.url = 'http://www.opengl.org/registry/specs/3DFX/3dfx_multisample.txt'
regal_gl.add(GL_3DFX_multisample)

GL_AMD_seamless_cubemap_per_texture           = Extension('GL_AMD_seamless_cubemap_per_texture','http://www.opengl.org/registry/specs/AMD/seamless_cubemap_per_texture.txt')
GL_AMD_seamless_cubemap_per_texture.enumerants = ['GL_TEXTURE_CUBE_MAP_SEAMLESS_ARB']
regal_gl.add(GL_AMD_seamless_cubemap_per_texture)

GL_SGIX_texture_add_env = Extension('GL_SGIX_texture_add_env')
GL_SGIX_texture_add_env.url = 'http://www.opengl.org/registry/specs/SGIX/texture_env_add.txt'
regal_gl.add(GL_SGIX_texture_add_env)

# GL_SUN_read_video_pixels

glReadVideoPixelsSUN = Function('glReadVideoPixelsSUN')
glReadVideoPixelsSUN.ret = Return('void')
glReadVideoPixelsSUN.add( Input( 'x','GLint' ))
glReadVideoPixelsSUN.add( Input( 'y','GLint' ))
glReadVideoPixelsSUN.add( Input( 'width','GLsizei' ))
glReadVideoPixelsSUN.add( Input( 'height','GLsizei' ))
glReadVideoPixelsSUN.add( Input( 'format','GLenum' ))
glReadVideoPixelsSUN.add( Input( 'type','GLenum' ))
glReadVideoPixelsSUN.add( Input( 'pixels','GLvoid *' ))
glReadVideoPixelsSUN.category = 'GL_SUN_read_video_pixels'
glReadVideoPixelsSUN.trace = True
glReadVideoPixelsSUN.play = True
regal_gl.add(glReadVideoPixelsSUN)

GL_SUN_read_video_pixels = Extension('GL_SUN_read_video_pixels')
GL_SUN_read_video_pixels.url = 'http://wwws.sun.com/software/graphics/opengl/extensions/gl_sun_read_video_pixels.txt'
GL_SUN_read_video_pixels.functions = ['glReadVideoPixelsSUN']
regal_gl.add(GL_SUN_read_video_pixels)

# GL_SGIX_fog_texture

GL_FOG_PATCHY_FACTOR_SGIX = Enumerant('GL_FOG_PATCHY_FACTOR_SGIX', 0x0000, 'GL_SGIX_fog_texture')
GL_FRAGMENT_FOG_SGIX = Enumerant('GL_FRAGMENT_FOG_SGIX', 0x0000, 'GL_SGIX_fog_texture')
GL_TEXTURE_FOG_SGIX = Enumerant('GL_TEXTURE_FOG_SGIX', 0x0000, 'GL_SGIX_fog_texture')

defines.add(GL_FOG_PATCHY_FACTOR_SGIX)
defines.add(GL_FRAGMENT_FOG_SGIX)
defines.add(GL_TEXTURE_FOG_SGIX)

glTextureFogSGIX = Function('glTextureFogSGIX')
glTextureFogSGIX.ret = Return('void')
glTextureFogSGIX.add( Input( 'pname','GLenum' ))
glTextureFogSGIX.category = 'GL_SGIX_fog_texture'
glTextureFogSGIX.trace = True
glTextureFogSGIX.play = True
regal_gl.add(glTextureFogSGIX)

GL_SGIX_fog_texture = Extension('GL_SGIX_fog_texture')
GL_SGIX_fog_texture.url = 'http://www.opengl.org/registry/specs/SGIX/fog_texture.txt'
GL_SGIX_fog_texture.enumerants = ['GL_FOG_PATCHY_FACTOR_SGIX','GL_FRAGMENT_FOG_SGIX','GL_TEXTURE_FOG_SGIX']
GL_SGIX_fog_texture.functions = ['glTextureFogSGIX']
regal_gl.add(GL_SGIX_fog_texture)

# GL_ANGLE_timer_query

glBeginQueryANGLE = Function('glBeginQueryANGLE')
glBeginQueryANGLE.ret = Return('void')
glBeginQueryANGLE.add( Input( 'target','GLenum' ))
glBeginQueryANGLE.add( Input( 'id','GLuint' ))
glBeginQueryANGLE.category = 'GL_ANGLE_timer_query'
glBeginQueryANGLE.trace = True
glBeginQueryANGLE.play = True
regal_gl.add(glBeginQueryANGLE)

glDeleteQueriesANGLE = Function('glDeleteQueriesANGLE')
glDeleteQueriesANGLE.ret = Return('void')
glDeleteQueriesANGLE.add( Input( 'n','GLsizei' ))
glDeleteQueriesANGLE.add( Input( 'ids','const GLuint *' ))
glDeleteQueriesANGLE.category = 'GL_ANGLE_timer_query'
glDeleteQueriesANGLE.trace = True
glDeleteQueriesANGLE.play = True
regal_gl.add(glDeleteQueriesANGLE)

glEndQueryANGLE = Function('glEndQueryANGLE')
glEndQueryANGLE.ret = Return('void')
glEndQueryANGLE.add( Input( 'target','GLenum' ))
glEndQueryANGLE.category = 'GL_ANGLE_timer_query'
glEndQueryANGLE.trace = True
glEndQueryANGLE.play = True
regal_gl.add(glEndQueryANGLE)

glGenQueriesANGLE = Function('glGenQueriesANGLE')
glGenQueriesANGLE.ret = Return('void')
glGenQueriesANGLE.add( Input( 'n','GLsizei' ))
glGenQueriesANGLE.add( Output( 'ids','GLuint *' ))
glGenQueriesANGLE.category = 'GL_ANGLE_timer_query'
glGenQueriesANGLE.trace = True
glGenQueriesANGLE.play = True
regal_gl.add(glGenQueriesANGLE)

glGetQueryObjecti64vANGLE = Function('glGetQueryObjecti64vANGLE')
glGetQueryObjecti64vANGLE.ret = Return('void')
glGetQueryObjecti64vANGLE.add( Input( 'id','GLuint' ))
glGetQueryObjecti64vANGLE.add( Input( 'pname','GLenum' ))
glGetQueryObjecti64vANGLE.add( Output( 'params','GLint64 *' ))
glGetQueryObjecti64vANGLE.category = 'GL_ANGLE_timer_query'
glGetQueryObjecti64vANGLE.trace = True
glGetQueryObjecti64vANGLE.play = True
regal_gl.add(glGetQueryObjecti64vANGLE)

glGetQueryObjectivANGLE = Function('glGetQueryObjectivANGLE')
glGetQueryObjectivANGLE.ret = Return('void')
glGetQueryObjectivANGLE.add( Input( 'id','GLuint' ))
glGetQueryObjectivANGLE.add( Input( 'pname','GLenum' ))
glGetQueryObjectivANGLE.add( Output( 'params','GLint *' ))
glGetQueryObjectivANGLE.category = 'GL_ANGLE_timer_query'
glGetQueryObjectivANGLE.trace = True
glGetQueryObjectivANGLE.play = True
regal_gl.add(glGetQueryObjectivANGLE)

glGetQueryObjectui64vANGLE = Function('glGetQueryObjectui64vANGLE')
glGetQueryObjectui64vANGLE.ret = Return('void')
glGetQueryObjectui64vANGLE.add( Input( 'id','GLuint' ))
glGetQueryObjectui64vANGLE.add( Input( 'pname','GLenum' ))
glGetQueryObjectui64vANGLE.add( Output( 'params','GLuint64 *' ))
glGetQueryObjectui64vANGLE.category = 'GL_ANGLE_timer_query'
glGetQueryObjectui64vANGLE.trace = True
glGetQueryObjectui64vANGLE.play = True
regal_gl.add(glGetQueryObjectui64vANGLE)

glGetQueryObjectuivANGLE = Function('glGetQueryObjectuivANGLE')
glGetQueryObjectuivANGLE.ret = Return('void')
glGetQueryObjectuivANGLE.add( Input( 'id','GLuint' ))
glGetQueryObjectuivANGLE.add( Input( 'pname','GLenum' ))
glGetQueryObjectuivANGLE.add( Output( 'params','GLuint *' ))
glGetQueryObjectuivANGLE.category = 'GL_ANGLE_timer_query'
glGetQueryObjectuivANGLE.trace = True
glGetQueryObjectuivANGLE.play = True
regal_gl.add(glGetQueryObjectuivANGLE)

glGetQueryivANGLE = Function('glGetQueryivANGLE')
glGetQueryivANGLE.ret = Return('void')
glGetQueryivANGLE.add( Input( 'target','GLenum' ))
glGetQueryivANGLE.add( Input( 'pname','GLenum' ))
glGetQueryivANGLE.add( Output( 'params','GLint *' ))
glGetQueryivANGLE.category = 'GL_ANGLE_timer_query'
glGetQueryivANGLE.trace = True
glGetQueryivANGLE.play = True
regal_gl.add(glGetQueryivANGLE)

glIsQueryANGLE = Function('glIsQueryANGLE')
glIsQueryANGLE.ret = Return('GLboolean')
glIsQueryANGLE.add( Input( 'id','GLuint' ))
glIsQueryANGLE.category = 'GL_ANGLE_timer_query'
glIsQueryANGLE.trace = True
glIsQueryANGLE.play = True
regal_gl.add(glIsQueryANGLE)

glQueryCounterANGLE = Function('glQueryCounterANGLE')
glQueryCounterANGLE.ret = Return('void')
glQueryCounterANGLE.add( Input( 'id','GLuint' ))
glQueryCounterANGLE.add( Input( 'target','GLenum' ))
glQueryCounterANGLE.category = 'GL_ANGLE_timer_query'
glQueryCounterANGLE.trace = True
glQueryCounterANGLE.play = True
regal_gl.add(glQueryCounterANGLE)

GL_ANGLE_timer_query = Extension('GL_ANGLE_timer_query')
GL_ANGLE_timer_query.enumerants = ['GL_CURRENT_QUERY_ANGLE','GL_QUERY_COUNTER_BITS_ANGLE','GL_QUERY_RESULT_ANGLE','GL_QUERY_RESULT_AVAILABLE_ANGLE','GL_TIMESTAMP_ANGLE','GL_TIME_ELAPSED_ANGLE']
GL_ANGLE_timer_query.functions = ['glBeginQueryANGLE','glDeleteQueriesANGLE','glEndQueryANGLE','glGenQueriesANGLE','glGetQueryObjecti64vANGLE','glGetQueryObjectivANGLE','glGetQueryObjectui64vANGLE','glGetQueryObjectuivANGLE','glGetQueryivANGLE','glIsQueryANGLE','glQueryCounterANGLE']
regal_gl.add(GL_ANGLE_timer_query)

# GL_APPLE_flush_render

glFinishRenderAPPLE = Function('glFinishRenderAPPLE')
glFinishRenderAPPLE.ret = Return('void')
glFinishRenderAPPLE.category = 'GL_APPLE_flush_render'
glFinishRenderAPPLE.trace = True
glFinishRenderAPPLE.play = True
regal_gl.add(glFinishRenderAPPLE)

glFlushRenderAPPLE = Function('glFlushRenderAPPLE')
glFlushRenderAPPLE.ret = Return('void')
glFlushRenderAPPLE.category = 'GL_APPLE_flush_render'
glFlushRenderAPPLE.trace = True
glFlushRenderAPPLE.play = True
regal_gl.add(glFlushRenderAPPLE)

glSwapAPPLE = Function('glSwapAPPLE')
glSwapAPPLE.ret = Return('void')
glSwapAPPLE.category = 'GL_APPLE_flush_render'
glSwapAPPLE.trace = True
glSwapAPPLE.play = True
regal_gl.add(glSwapAPPLE)

# GL_ARB_blend_func_extended

glBindFragDataLocationIndexed = Function('glBindFragDataLocationIndexed')
glBindFragDataLocationIndexed.ret = Return('void')
glBindFragDataLocationIndexed.add( Input( 'program','GLuint' ))
glBindFragDataLocationIndexed.add( Input( 'colorNumber','GLuint' ))
glBindFragDataLocationIndexed.add( Input( 'index','GLuint' ))
glBindFragDataLocationIndexed.add( Input( 'name','const GLchar *' ))
glBindFragDataLocationIndexed.version = '3.3'
glBindFragDataLocationIndexed.category = 'GL_ARB_blend_func_extended'
glBindFragDataLocationIndexed.trace = True
glBindFragDataLocationIndexed.play = True
regal_gl.add(glBindFragDataLocationIndexed)

glGetFragDataIndex = Function('glGetFragDataIndex')
glGetFragDataIndex.ret = Return('GLint')
glGetFragDataIndex.add( Input( 'program','GLuint' ))
glGetFragDataIndex.add( Input( 'name','const GLchar *' ))
glGetFragDataIndex.version = '3.3'
glGetFragDataIndex.category = 'GL_ARB_blend_func_extended'
glGetFragDataIndex.trace = True
glGetFragDataIndex.play = True
regal_gl.add(glGetFragDataIndex)

GL_ARB_blend_func_extended = Extension('GL_ARB_blend_func_extended')
GL_ARB_blend_func_extended.url = 'http://www.opengl.org/registry/specs/ARB/blend_func_extended.txt'
GL_ARB_blend_func_extended.enumerants = ['GL_MAX_DUAL_SOURCE_DRAW_BUFFERS','GL_ONE_MINUS_SRC1_ALPHA','GL_ONE_MINUS_SRC1_COLOR','GL_SRC1_COLOR']
GL_ARB_blend_func_extended.functions = ['glBindFragDataLocationIndexed','glGetFragDataIndex']
regal_gl.add(GL_ARB_blend_func_extended)

GL_REGAL_ES1_0_compatibility = Extension('GL_REGAL_ES1_0_compatibility')
GL_REGAL_ES1_0_compatibility.url = 'https://github.com/p3/regal/blob/master/doc/extensions/GL_REGAL_ES1_0_compatibility.txt'
GL_REGAL_ES1_0_compatibility.functions = ['glAlphaFuncx','glClearColorx','glClearDepthx','glColor4x','glDepthRangex','glFogx','glFogxv','glFrustumf','glFrustumx','glLightModelx','glLightModelxv','glLightx','glLightxv','glLineWidthx','glLoadMatrixx','glMaterialx','glMaterialxv','glMultMatrixx','glMultiTexCoord4x','glNormal3x','glOrthof','glOrthox','glPointSizex','glPolygonOffsetx','glRotatex','glSampleCoveragex','glScalex','glTexEnvx','glTexEnvxv','glTexParameterx','glTranslatex']
regal_gl.add(GL_REGAL_ES1_0_compatibility)

GL_REGAL_ES1_1_compatibility = Extension('GL_REGAL_ES1_1_compatibility')
GL_REGAL_ES1_1_compatibility.url = 'https://github.com/p3/regal/blob/master/doc/extensions/GL_REGAL_ES1_1_compatibility.txt'
GL_REGAL_ES1_1_compatibility.functions = ['glClipPlanef','glClipPlanex','glGetClipPlanef','glGetClipPlanex','glGetFixedv','glGetLightxv','glGetMaterialxv','glGetTexEnvxv','glGetTexParameterxv','glPointParameterx','glPointParameterxv','glPointSizePointerOES','glTexParameterxv']
regal_gl.add(GL_REGAL_ES1_1_compatibility)

GL_REGAL_enable = Extension('GL_REGAL_enable')
GL_REGAL_enable.url = 'https://github.com/p3/regal/blob/master/doc/extensions/GL_REGAL_enable.txt'
GL_REGAL_enable.enumerants = ['GL_DEBUG_REGAL','GL_DRIVER_REGAL','GL_EMULATION_REGAL','GL_ERROR_REGAL','GL_LOG_REGAL']
regal_gl.add(GL_REGAL_enable)

GL_REGAL_error_string = Extension('GL_REGAL_error_string')
GL_REGAL_error_string.url = 'https://github.com/p3/regal/blob/master/doc/extensions/GL_REGAL_error_string.txt'
GL_REGAL_error_string.functions = ['GLchar*']
regal_gl.add(GL_REGAL_error_string)

GL_REGAL_extension_query = Extension('GL_REGAL_extension_query')
GL_REGAL_extension_query.url = 'https://github.com/p3/regal/blob/master/doc/extensions/GL_REGAL_extension_query.txt'
GL_REGAL_extension_query.functions = ['glGetExtensionREGAL','glIsSupportedREGAL']
regal_gl.add(GL_REGAL_extension_query)

GL_REGAL_log = Extension('GL_REGAL_log')
GL_REGAL_log.url = 'https://github.com/p3/regal/blob/master/doc/extensions/GL_REGAL_log.txt'
GL_REGAL_log.enumerants = ['GL_LOG_APP_REGAL','GL_LOG_DEBUG_REGAL','GL_LOG_DRIVER_REGAL','GL_LOG_ERROR_REGAL','GL_LOG_HTTP_REGAL','GL_LOG_INFO_REGAL','GL_LOG_INTERNAL_REGAL','GL_LOG_STATUS_REGAL','GL_LOG_WARNING_REGAL']
GL_REGAL_log.functions = ['glLogMessageCallbackREGAL']
regal_gl.add(GL_REGAL_log)

# these GL_OES_single_precision values can be removed once khronos fixes the values in their gl.xml file
# see khronos bug 12656 - glClearDepthfOES in gl.xml
#    https://cvs.khronos.org/bugzilla/show_bug.cgi?id=12656

# GL_OES_single_precision

glClearDepthfOES = Function('glClearDepthfOES')
glClearDepthfOES.add( Input( 'depth','GLdouble' ))
regal_gl.add(glClearDepthfOES)

# GL_EXT_scene_marker

glBeginSceneEXT = Function('glBeginSceneEXT')
glBeginSceneEXT.ret = Return('void')
glBeginSceneEXT.version = ''
glBeginSceneEXT.category = 'GL_EXT_scene_marker'
glBeginSceneEXT.trace = True
glBeginSceneEXT.play = True
regal_gl.add(glBeginSceneEXT)

glEndSceneEXT = Function('glEndSceneEXT')
glEndSceneEXT.ret = Return('void')
glEndSceneEXT.version = ''
glEndSceneEXT.category = 'GL_EXT_scene_marker'
glEndSceneEXT.trace = True
glEndSceneEXT.play = True
regal_gl.add(glEndSceneEXT)

# GL_EXT_texture

GL_EXT_texture = Extension('GL_EXT_texture')
GL_EXT_texture.enumerants = ['GL_ALPHA12_EXT','GL_ALPHA16_EXT','GL_ALPHA4_EXT','GL_ALPHA8_EXT','GL_INTENSITY12_EXT','GL_INTENSITY16_EXT','GL_INTENSITY4_EXT','GL_INTENSITY8_EXT','GL_INTENSITY_EXT','GL_LUMINANCE12_ALPHA12_EXT','GL_LUMINANCE12_ALPHA4_EXT','GL_LUMINANCE12_EXT','GL_LUMINANCE16_ALPHA16_EXT','GL_LUMINANCE16_EXT','GL_LUMINANCE4_ALPHA4_EXT','GL_LUMINANCE4_EXT','GL_LUMINANCE6_ALPHA2_EXT','GL_LUMINANCE8_ALPHA8_EXT','GL_LUMINANCE8_EXT','GL_PROXY_TEXTURE_1D_EXT','GL_PROXY_TEXTURE_2D_EXT','GL_REPLACE_EXT','GL_RGB10_A2_EXT','GL_RGB10_EXT','GL_RGB12_EXT','GL_RGB16_EXT','GL_RGB2_EXT','GL_RGB4_EXT','GL_RGB5_A1_EXT','GL_RGB5_EXT','GL_RGB8_EXT','GL_RGBA12_EXT','GL_RGBA16_EXT','GL_RGBA2_EXT','GL_RGBA4_EXT','GL_RGBA8_EXT','GL_TEXTURE_ALPHA_SIZE_EXT','GL_TEXTURE_BLUE_SIZE_EXT','GL_TEXTURE_GREEN_SIZE_EXT','GL_TEXTURE_INTENSITY_SIZE_EXT','GL_TEXTURE_LUMINANCE_SIZE_EXT','GL_TEXTURE_RED_SIZE_EXT','GL_TEXTURE_TOO_LARGE_EXT']
regal_gl.add(GL_EXT_texture)

GL_APPLE_pixel_buffer = Extension('GL_APPLE_pixel_buffer')
GL_APPLE_pixel_buffer.enumerants = ['GL_MIN_PBUFFER_VIEWPORT_DIMS_APPLE']
regal_gl.add(GL_APPLE_pixel_buffer)

GL_ARB_context_flush_control = Extension('GL_ARB_context_flush_control')
GL_ARB_context_flush_control.url = 'http://www.opengl.org/registry/specs/ARB/wgl_context_flush_control.txt'
regal_gl.add(GL_ARB_context_flush_control)

GL_ARB_copy_buffer = Extension('GL_ARB_copy_buffer')
GL_ARB_copy_buffer.enumerants = ['GL_COPY_READ_BUFFER','GL_COPY_WRITE_BUFFER']
regal_gl.add(GL_ARB_copy_buffer)

GL_ARB_direct_state_access = Extension('GL_ARB_direct_state_access')
GL_ARB_direct_state_access.enumerants = ['GL_QUERY_TARGET','GL_TEXTURE_BINDING','GL_TEXTURE_BINDING_1D','GL_TEXTURE_BINDING_1D_ARRAY','GL_TEXTURE_BINDING_2D','GL_TEXTURE_BINDING_2D_ARRAY','GL_TEXTURE_BINDING_2D_MULTISAMPLE','GL_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY','GL_TEXTURE_BINDING_3D','GL_TEXTURE_BINDING_BUFFER','GL_TEXTURE_BINDING_CUBE_MAP','GL_TEXTURE_BINDING_CUBE_MAP_ARRAY','GL_TEXTURE_BINDING_RECTANGLE','GL_TEXTURE_TARGET']
GL_ARB_direct_state_access.functions = ['glBindTextureUnit','glBlitNamedFramebuffer','glCheckNamedFramebufferStatus','glClearNamedBufferData','glClearNamedBufferSubData','glClearNamedFramebufferfi','glClearNamedFramebufferfv','glClearNamedFramebufferiv','glClearNamedFramebufferuiv','glCompressedTextureSubImage1D','glCompressedTextureSubImage2D','glCompressedTextureSubImage3D','glCopyNamedBufferSubData','glCopyTextureSubImage1D','glCopyTextureSubImage2D','glCopyTextureSubImage3D','glCreateBuffers','glCreateFramebuffers','glCreateProgramPipelines','glCreateQueries','glCreateRenderbuffers','glCreateSamplers','glCreateTextures','glCreateTransformFeedbacks','glCreateVertexArrays','glDisableVertexArrayAttrib','glEnableVertexArrayAttrib','glFlushMappedNamedBufferRange','glGenerateTextureMipmap','glGetCompressedTextureImage','glGetNamedBufferParameteri64v','glGetNamedBufferParameteriv','glGetNamedBufferPointerv','glGetNamedBufferSubData','glGetNamedFramebufferAttachmentParameteriv','glGetNamedFramebufferParameteriv','glGetNamedRenderbufferParameteriv','glGetTextureImage','glGetTextureLevelParameterfv','glGetTextureLevelParameteriv','glGetTextureParameterIiv','glGetTextureParameterIuiv','glGetTextureParameterfv','glGetTextureParameteriv','glGetTransformFeedbacki64_v','glGetTransformFeedbacki_v','glGetTransformFeedbackiv','glGetVertexArrayIndexed64iv','glGetVertexArrayIndexediv','glGetVertexArrayiv','glInvalidateNamedFramebufferData','glInvalidateNamedFramebufferSubData','glMapNamedBuffer','glMapNamedBufferRange','glNamedBufferData','glNamedBufferStorage','glNamedBufferSubData','glNamedFramebufferDrawBuffer','glNamedFramebufferDrawBuffers','glNamedFramebufferParameteri','glNamedFramebufferReadBuffer','glNamedFramebufferRenderbuffer','glNamedFramebufferTexture','glNamedFramebufferTextureLayer','glNamedRenderbufferStorage','glNamedRenderbufferStorageMultisample','glTextureBuffer','glTextureBufferRange','glTextureParameterIiv','glTextureParameterIuiv','glTextureParameterf','glTextureParameterfv','glTextureParameteri','glTextureParameteriv','glTextureStorage1D','glTextureStorage2D','glTextureStorage2DMultisample','glTextureStorage3D','glTextureStorage3DMultisample','glTextureSubImage1D','glTextureSubImage2D','glTextureSubImage3D','glTransformFeedbackBufferBase','glTransformFeedbackBufferRange','glUnmapNamedBuffer','glVertexArrayAttribBinding','glVertexArrayAttribFormat','glVertexArrayAttribIFormat','glVertexArrayAttribLFormat','glVertexArrayBindingDivisor','glVertexArrayElementBuffer','glVertexArrayVertexBuffer','glVertexArrayVertexBuffers']
regal_gl.add(GL_ARB_direct_state_access)

