/* NOTE: Do not edit this file, it is generated by a script:
   Export.py --api gl 4.5 --api wgl 4.5 --api glx 4.5 --api cgl 1.4 --api egl 1.0 --outdir .
*/

/*
  Copyright (c) 2011-2014 NVIDIA Corporation
  Copyright (c) 2012-2014 Scott Nations
  Copyright (c) 2012-2014 Nigel Stewart
  Copyright (c) 2011-2013 Cass Everitt
  Copyright (c) 2012 Mathias Schott
  Copyright (c) 2012-2013 Google Inc.
  All rights reserved.

  Redistribution and use in source and binary forms, with or without modification,
  are permitted provided that the following conditions are met:

    Redistributions of source code must retain the above copyright notice, this
    list of conditions and the following disclaimer.

    Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
  OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
  OF THE POSSIBILITY OF SUCH DAMAGE.
*/

/*
  Intended formatting conventions:
  $ astyle --style=allman --indent=spaces=2 --indent-switches
*/

#include "pch.h" /* For MS precompiled header support */

#include "RegalUtil.h"

#if REGAL_MISSING

REGAL_GLOBAL_BEGIN

#include <string>
using namespace std;

#include "RegalLog.h"
#include "RegalBreak.h"
#include "RegalPush.h"
#include "RegalToken.h"
#include "RegalHelper.h"
#include "RegalPrivate.h"
#include "RegalContext.h"
#include "RegalDispatcherGL.h"
#include "RegalDispatcherGlobal.h"

REGAL_GLOBAL_END

REGAL_NAMESPACE_BEGIN

using namespace ::REGAL_NAMESPACE_INTERNAL::Logging;
using namespace ::REGAL_NAMESPACE_INTERNAL::Token;

namespace Missing
{

// GL_VERSION_1_0

  static void REGAL_CALL glAccum(GLenum op, GLfloat value)
{
    UNUSED_PARAMETER(op);
    UNUSED_PARAMETER(value);
    Warning( "glAccum", " not available." );
  }

  static void REGAL_CALL glAlphaFunc(GLenum func, GLclampf ref)
{
    UNUSED_PARAMETER(func);
    UNUSED_PARAMETER(ref);
    Warning( "glAlphaFunc", " not available." );
  }

  static void REGAL_CALL glBegin(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glBegin", " not available." );
  }

  static void REGAL_CALL glBitmap(GLsizei width, GLsizei height, GLfloat xorig, GLfloat yorig, GLfloat xmove, GLfloat ymove, const GLubyte *bitmap)
{
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(xorig);
    UNUSED_PARAMETER(yorig);
    UNUSED_PARAMETER(xmove);
    UNUSED_PARAMETER(ymove);
    UNUSED_PARAMETER(bitmap);
    Warning( "glBitmap", " not available." );
  }

  static void REGAL_CALL glBlendFunc(GLenum sfactor, GLenum dfactor)
{
    UNUSED_PARAMETER(sfactor);
    UNUSED_PARAMETER(dfactor);
    Warning( "glBlendFunc", " not available." );
  }

  static void REGAL_CALL glCallList(GLuint list)
{
    UNUSED_PARAMETER(list);
    Warning( "glCallList", " not available." );
  }

  static void REGAL_CALL glCallLists(GLsizei n, GLenum type, const GLvoid *lists)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(lists);
    Warning( "glCallLists", " not available." );
  }

  static void REGAL_CALL glClear(GLbitfield mask)
{
    UNUSED_PARAMETER(mask);
    Warning( "glClear", " not available." );
  }

  static void REGAL_CALL glClearAccum(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glClearAccum", " not available." );
  }

  static void REGAL_CALL glClearColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glClearColor", " not available." );
  }

  static void REGAL_CALL glClearDepth(GLclampd depth)
{
    UNUSED_PARAMETER(depth);
    Warning( "glClearDepth", " not available." );
  }

  static void REGAL_CALL glClearIndex(GLfloat c)
{
    UNUSED_PARAMETER(c);
    Warning( "glClearIndex", " not available." );
  }

  static void REGAL_CALL glClearStencil(GLint s)
{
    UNUSED_PARAMETER(s);
    Warning( "glClearStencil", " not available." );
  }

  static void REGAL_CALL glClipPlane(GLenum plane, const GLdouble *equation)
{
    UNUSED_PARAMETER(plane);
    UNUSED_PARAMETER(equation);
    Warning( "glClipPlane", " not available." );
  }

  static void REGAL_CALL glColor3b(GLbyte red, GLbyte green, GLbyte blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glColor3b", " not available." );
  }

  static void REGAL_CALL glColor3bv(const GLbyte *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor3bv", " not available." );
  }

  static void REGAL_CALL glColor3d(GLdouble red, GLdouble green, GLdouble blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glColor3d", " not available." );
  }

  static void REGAL_CALL glColor3dv(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor3dv", " not available." );
  }

  static void REGAL_CALL glColor3f(GLfloat red, GLfloat green, GLfloat blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glColor3f", " not available." );
  }

  static void REGAL_CALL glColor3fv(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor3fv", " not available." );
  }

  static void REGAL_CALL glColor3i(GLint red, GLint green, GLint blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glColor3i", " not available." );
  }

  static void REGAL_CALL glColor3iv(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor3iv", " not available." );
  }

  static void REGAL_CALL glColor3s(GLshort red, GLshort green, GLshort blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glColor3s", " not available." );
  }

  static void REGAL_CALL glColor3sv(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor3sv", " not available." );
  }

  static void REGAL_CALL glColor3ub(GLubyte red, GLubyte green, GLubyte blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glColor3ub", " not available." );
  }

  static void REGAL_CALL glColor3ubv(const GLubyte *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor3ubv", " not available." );
  }

  static void REGAL_CALL glColor3ui(GLuint red, GLuint green, GLuint blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glColor3ui", " not available." );
  }

  static void REGAL_CALL glColor3uiv(const GLuint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor3uiv", " not available." );
  }

  static void REGAL_CALL glColor3us(GLushort red, GLushort green, GLushort blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glColor3us", " not available." );
  }

  static void REGAL_CALL glColor3usv(const GLushort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor3usv", " not available." );
  }

  static void REGAL_CALL glColor4b(GLbyte red, GLbyte green, GLbyte blue, GLbyte alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glColor4b", " not available." );
  }

  static void REGAL_CALL glColor4bv(const GLbyte *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor4bv", " not available." );
  }

  static void REGAL_CALL glColor4d(GLdouble red, GLdouble green, GLdouble blue, GLdouble alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glColor4d", " not available." );
  }

  static void REGAL_CALL glColor4dv(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor4dv", " not available." );
  }

  static void REGAL_CALL glColor4f(GLfloat red, GLfloat green, GLfloat blue, GLfloat alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glColor4f", " not available." );
  }

  static void REGAL_CALL glColor4fv(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor4fv", " not available." );
  }

  static void REGAL_CALL glColor4i(GLint red, GLint green, GLint blue, GLint alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glColor4i", " not available." );
  }

  static void REGAL_CALL glColor4iv(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor4iv", " not available." );
  }

  static void REGAL_CALL glColor4s(GLshort red, GLshort green, GLshort blue, GLshort alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glColor4s", " not available." );
  }

  static void REGAL_CALL glColor4sv(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor4sv", " not available." );
  }

  static void REGAL_CALL glColor4ub(GLubyte red, GLubyte green, GLubyte blue, GLubyte alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glColor4ub", " not available." );
  }

  static void REGAL_CALL glColor4ubv(const GLubyte *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor4ubv", " not available." );
  }

  static void REGAL_CALL glColor4ui(GLuint red, GLuint green, GLuint blue, GLuint alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glColor4ui", " not available." );
  }

  static void REGAL_CALL glColor4uiv(const GLuint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor4uiv", " not available." );
  }

  static void REGAL_CALL glColor4us(GLushort red, GLushort green, GLushort blue, GLushort alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glColor4us", " not available." );
  }

  static void REGAL_CALL glColor4usv(const GLushort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor4usv", " not available." );
  }

  static void REGAL_CALL glColorMask(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glColorMask", " not available." );
  }

  static void REGAL_CALL glColorMaterial(GLenum face, GLenum mode)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(mode);
    Warning( "glColorMaterial", " not available." );
  }

  static void REGAL_CALL glCopyPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum type)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(type);
    Warning( "glCopyPixels", " not available." );
  }

  static void REGAL_CALL glCullFace(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glCullFace", " not available." );
  }

  static void REGAL_CALL glDeleteLists(GLuint list, GLsizei range)
{
    UNUSED_PARAMETER(list);
    UNUSED_PARAMETER(range);
    Warning( "glDeleteLists", " not available." );
  }

  static void REGAL_CALL glDepthFunc(GLenum func)
{
    UNUSED_PARAMETER(func);
    Warning( "glDepthFunc", " not available." );
  }

  static void REGAL_CALL glDepthMask(GLboolean flag)
{
    UNUSED_PARAMETER(flag);
    Warning( "glDepthMask", " not available." );
  }

  static void REGAL_CALL glDepthRange(GLclampd near, GLclampd far)
{
    UNUSED_PARAMETER(near);
    UNUSED_PARAMETER(far);
    Warning( "glDepthRange", " not available." );
  }

  static void REGAL_CALL glDisable(GLenum cap)
{
    UNUSED_PARAMETER(cap);
    Warning( "glDisable", " not available." );
  }

  static void REGAL_CALL glDrawBuffer(GLenum buf)
{
    UNUSED_PARAMETER(buf);
    Warning( "glDrawBuffer", " not available." );
  }

  static void REGAL_CALL glDrawPixels(GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glDrawPixels", " not available." );
  }

  static void REGAL_CALL glEdgeFlag(GLboolean flag)
{
    UNUSED_PARAMETER(flag);
    Warning( "glEdgeFlag", " not available." );
  }

  static void REGAL_CALL glEdgeFlagv(const GLboolean *flag)
{
    UNUSED_PARAMETER(flag);
    Warning( "glEdgeFlagv", " not available." );
  }

  static void REGAL_CALL glEnable(GLenum cap)
{
    UNUSED_PARAMETER(cap);
    Warning( "glEnable", " not available." );
  }

  static void REGAL_CALL glEnd(void)
{
    Warning( "glEnd", " not available." );
  }

  static void REGAL_CALL glEndList(void)
{
    Warning( "glEndList", " not available." );
  }

  static void REGAL_CALL glEvalCoord1d(GLdouble u)
{
    UNUSED_PARAMETER(u);
    Warning( "glEvalCoord1d", " not available." );
  }

  static void REGAL_CALL glEvalCoord1dv(const GLdouble *u)
{
    UNUSED_PARAMETER(u);
    Warning( "glEvalCoord1dv", " not available." );
  }

  static void REGAL_CALL glEvalCoord1f(GLfloat u)
{
    UNUSED_PARAMETER(u);
    Warning( "glEvalCoord1f", " not available." );
  }

  static void REGAL_CALL glEvalCoord1fv(const GLfloat *u)
{
    UNUSED_PARAMETER(u);
    Warning( "glEvalCoord1fv", " not available." );
  }

  static void REGAL_CALL glEvalCoord2d(GLdouble u, GLdouble v)
{
    UNUSED_PARAMETER(u);
    UNUSED_PARAMETER(v);
    Warning( "glEvalCoord2d", " not available." );
  }

  static void REGAL_CALL glEvalCoord2dv(const GLdouble *u)
{
    UNUSED_PARAMETER(u);
    Warning( "glEvalCoord2dv", " not available." );
  }

  static void REGAL_CALL glEvalCoord2f(GLfloat u, GLfloat v)
{
    UNUSED_PARAMETER(u);
    UNUSED_PARAMETER(v);
    Warning( "glEvalCoord2f", " not available." );
  }

  static void REGAL_CALL glEvalCoord2fv(const GLfloat *u)
{
    UNUSED_PARAMETER(u);
    Warning( "glEvalCoord2fv", " not available." );
  }

  static void REGAL_CALL glEvalMesh1(GLenum mode, GLint i1, GLint i2)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(i1);
    UNUSED_PARAMETER(i2);
    Warning( "glEvalMesh1", " not available." );
  }

  static void REGAL_CALL glEvalMesh2(GLenum mode, GLint i1, GLint i2, GLint j1, GLint j2)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(i1);
    UNUSED_PARAMETER(i2);
    UNUSED_PARAMETER(j1);
    UNUSED_PARAMETER(j2);
    Warning( "glEvalMesh2", " not available." );
  }

  static void REGAL_CALL glEvalPoint1(GLint i)
{
    UNUSED_PARAMETER(i);
    Warning( "glEvalPoint1", " not available." );
  }

  static void REGAL_CALL glEvalPoint2(GLint i, GLint j)
{
    UNUSED_PARAMETER(i);
    UNUSED_PARAMETER(j);
    Warning( "glEvalPoint2", " not available." );
  }

  static void REGAL_CALL glFeedbackBuffer(GLsizei size, GLenum type, GLfloat *buffer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(buffer);
    Warning( "glFeedbackBuffer", " not available." );
  }

  static void REGAL_CALL glFinish(void)
{
    Warning( "glFinish", " not available." );
  }

  static void REGAL_CALL glFlush(void)
{
    Warning( "glFlush", " not available." );
  }

  static void REGAL_CALL glFogf(GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFogf", " not available." );
  }

  static void REGAL_CALL glFogfv(GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glFogfv", " not available." );
  }

  static void REGAL_CALL glFogi(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFogi", " not available." );
  }

  static void REGAL_CALL glFogiv(GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glFogiv", " not available." );
  }

  static void REGAL_CALL glFrontFace(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glFrontFace", " not available." );
  }

  static void REGAL_CALL glFrustum(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    UNUSED_PARAMETER(left);
    UNUSED_PARAMETER(right);
    UNUSED_PARAMETER(bottom);
    UNUSED_PARAMETER(top);
    UNUSED_PARAMETER(zNear);
    UNUSED_PARAMETER(zFar);
    Warning( "glFrustum", " not available." );
  }

  static GLuint REGAL_CALL glGenLists(GLsizei range)
{
    UNUSED_PARAMETER(range);
    Warning( "glGenLists", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetBooleanv(GLenum pname, GLboolean *data)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(data);
    Warning( "glGetBooleanv", " not available." );
  }

  static void REGAL_CALL glGetClipPlane(GLenum plane, GLdouble *equation)
{
    UNUSED_PARAMETER(plane);
    UNUSED_PARAMETER(equation);
    Warning( "glGetClipPlane", " not available." );
  }

  static void REGAL_CALL glGetDoublev(GLenum pname, GLdouble *data)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(data);
    Warning( "glGetDoublev", " not available." );
  }

  static GLenum REGAL_CALL glGetError(void)
{
    Warning( "glGetError", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetFloatv(GLenum pname, GLfloat *data)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(data);
    Warning( "glGetFloatv", " not available." );
  }

  static void REGAL_CALL glGetIntegerv(GLenum pname, GLint *data)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(data);
    Warning( "glGetIntegerv", " not available." );
  }

  static void REGAL_CALL glGetLightfv(GLenum light, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetLightfv", " not available." );
  }

  static void REGAL_CALL glGetLightiv(GLenum light, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetLightiv", " not available." );
  }

  static void REGAL_CALL glGetMapdv(GLenum target, GLenum query, GLdouble *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(query);
    UNUSED_PARAMETER(v);
    Warning( "glGetMapdv", " not available." );
  }

  static void REGAL_CALL glGetMapfv(GLenum target, GLenum query, GLfloat *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(query);
    UNUSED_PARAMETER(v);
    Warning( "glGetMapfv", " not available." );
  }

  static void REGAL_CALL glGetMapiv(GLenum target, GLenum query, GLint *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(query);
    UNUSED_PARAMETER(v);
    Warning( "glGetMapiv", " not available." );
  }

  static void REGAL_CALL glGetMaterialfv(GLenum face, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMaterialfv", " not available." );
  }

  static void REGAL_CALL glGetMaterialiv(GLenum face, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMaterialiv", " not available." );
  }

  static void REGAL_CALL glGetPixelMapfv(GLenum map, GLfloat *values)
{
    UNUSED_PARAMETER(map);
    UNUSED_PARAMETER(values);
    Warning( "glGetPixelMapfv", " not available." );
  }

  static void REGAL_CALL glGetPixelMapuiv(GLenum map, GLuint *values)
{
    UNUSED_PARAMETER(map);
    UNUSED_PARAMETER(values);
    Warning( "glGetPixelMapuiv", " not available." );
  }

  static void REGAL_CALL glGetPixelMapusv(GLenum map, GLushort *values)
{
    UNUSED_PARAMETER(map);
    UNUSED_PARAMETER(values);
    Warning( "glGetPixelMapusv", " not available." );
  }

  static void REGAL_CALL glGetPolygonStipple(GLubyte *mask)
{
    UNUSED_PARAMETER(mask);
    Warning( "glGetPolygonStipple", " not available." );
  }

  static const GLubyte *REGAL_CALL glGetString(GLenum name)
{
    UNUSED_PARAMETER(name);
    Warning( "glGetString", " not available." );
    return NULL;
  }

  static void REGAL_CALL glGetTexEnvfv(GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexEnvfv", " not available." );
  }

  static void REGAL_CALL glGetTexEnviv(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexEnviv", " not available." );
  }

  static void REGAL_CALL glGetTexGendv(GLenum coord, GLenum pname, GLdouble *params)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexGendv", " not available." );
  }

  static void REGAL_CALL glGetTexGenfv(GLenum coord, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexGenfv", " not available." );
  }

  static void REGAL_CALL glGetTexGeniv(GLenum coord, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexGeniv", " not available." );
  }

  static void REGAL_CALL glGetTexImage(GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glGetTexImage", " not available." );
  }

  static void REGAL_CALL glGetTexLevelParameterfv(GLenum target, GLint level, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexLevelParameterfv", " not available." );
  }

  static void REGAL_CALL glGetTexLevelParameteriv(GLenum target, GLint level, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexLevelParameteriv", " not available." );
  }

  static void REGAL_CALL glGetTexParameterfv(GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexParameterfv", " not available." );
  }

  static void REGAL_CALL glGetTexParameteriv(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexParameteriv", " not available." );
  }

  static void REGAL_CALL glHint(GLenum target, GLenum mode)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(mode);
    Warning( "glHint", " not available." );
  }

  static void REGAL_CALL glIndexMask(GLuint mask)
{
    UNUSED_PARAMETER(mask);
    Warning( "glIndexMask", " not available." );
  }

  static void REGAL_CALL glIndexd(GLdouble c)
{
    UNUSED_PARAMETER(c);
    Warning( "glIndexd", " not available." );
  }

  static void REGAL_CALL glIndexdv(const GLdouble *c)
{
    UNUSED_PARAMETER(c);
    Warning( "glIndexdv", " not available." );
  }

  static void REGAL_CALL glIndexf(GLfloat c)
{
    UNUSED_PARAMETER(c);
    Warning( "glIndexf", " not available." );
  }

  static void REGAL_CALL glIndexfv(const GLfloat *c)
{
    UNUSED_PARAMETER(c);
    Warning( "glIndexfv", " not available." );
  }

  static void REGAL_CALL glIndexi(GLint c)
{
    UNUSED_PARAMETER(c);
    Warning( "glIndexi", " not available." );
  }

  static void REGAL_CALL glIndexiv(const GLint *c)
{
    UNUSED_PARAMETER(c);
    Warning( "glIndexiv", " not available." );
  }

  static void REGAL_CALL glIndexs(GLshort c)
{
    UNUSED_PARAMETER(c);
    Warning( "glIndexs", " not available." );
  }

  static void REGAL_CALL glIndexsv(const GLshort *c)
{
    UNUSED_PARAMETER(c);
    Warning( "glIndexsv", " not available." );
  }

  static void REGAL_CALL glInitNames(void)
{
    Warning( "glInitNames", " not available." );
  }

  static GLboolean REGAL_CALL glIsEnabled(GLenum cap)
{
    UNUSED_PARAMETER(cap);
    Warning( "glIsEnabled", " not available." );
    return GL_FALSE;
  }

  static GLboolean REGAL_CALL glIsList(GLuint list)
{
    UNUSED_PARAMETER(list);
    Warning( "glIsList", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glLightModelf(GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glLightModelf", " not available." );
  }

  static void REGAL_CALL glLightModelfv(GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glLightModelfv", " not available." );
  }

  static void REGAL_CALL glLightModeli(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glLightModeli", " not available." );
  }

  static void REGAL_CALL glLightModeliv(GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glLightModeliv", " not available." );
  }

  static void REGAL_CALL glLightf(GLenum light, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glLightf", " not available." );
  }

  static void REGAL_CALL glLightfv(GLenum light, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glLightfv", " not available." );
  }

  static void REGAL_CALL glLighti(GLenum light, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glLighti", " not available." );
  }

  static void REGAL_CALL glLightiv(GLenum light, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glLightiv", " not available." );
  }

  static void REGAL_CALL glLineStipple(GLint factor, GLushort pattern)
{
    UNUSED_PARAMETER(factor);
    UNUSED_PARAMETER(pattern);
    Warning( "glLineStipple", " not available." );
  }

  static void REGAL_CALL glLineWidth(GLfloat width)
{
    UNUSED_PARAMETER(width);
    Warning( "glLineWidth", " not available." );
  }

  static void REGAL_CALL glListBase(GLuint base)
{
    UNUSED_PARAMETER(base);
    Warning( "glListBase", " not available." );
  }

  static void REGAL_CALL glLoadIdentity(void)
{
    Warning( "glLoadIdentity", " not available." );
  }

  static void REGAL_CALL glLoadMatrixd(const GLdouble *m)
{
    UNUSED_PARAMETER(m);
    Warning( "glLoadMatrixd", " not available." );
  }

  static void REGAL_CALL glLoadMatrixf(const GLfloat *m)
{
    UNUSED_PARAMETER(m);
    Warning( "glLoadMatrixf", " not available." );
  }

  static void REGAL_CALL glLoadName(GLuint name)
{
    UNUSED_PARAMETER(name);
    Warning( "glLoadName", " not available." );
  }

  static void REGAL_CALL glLogicOp(GLenum opcode)
{
    UNUSED_PARAMETER(opcode);
    Warning( "glLogicOp", " not available." );
  }

  static void REGAL_CALL glMap1d(GLenum target, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble *points)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(u1);
    UNUSED_PARAMETER(u2);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(order);
    UNUSED_PARAMETER(points);
    Warning( "glMap1d", " not available." );
  }

  static void REGAL_CALL glMap1f(GLenum target, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat *points)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(u1);
    UNUSED_PARAMETER(u2);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(order);
    UNUSED_PARAMETER(points);
    Warning( "glMap1f", " not available." );
  }

  static void REGAL_CALL glMap2d(GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble *points)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(u1);
    UNUSED_PARAMETER(u2);
    UNUSED_PARAMETER(ustride);
    UNUSED_PARAMETER(uorder);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    UNUSED_PARAMETER(vstride);
    UNUSED_PARAMETER(vorder);
    UNUSED_PARAMETER(points);
    Warning( "glMap2d", " not available." );
  }

  static void REGAL_CALL glMap2f(GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat *points)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(u1);
    UNUSED_PARAMETER(u2);
    UNUSED_PARAMETER(ustride);
    UNUSED_PARAMETER(uorder);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    UNUSED_PARAMETER(vstride);
    UNUSED_PARAMETER(vorder);
    UNUSED_PARAMETER(points);
    Warning( "glMap2f", " not available." );
  }

  static void REGAL_CALL glMapGrid1d(GLint un, GLdouble u1, GLdouble u2)
{
    UNUSED_PARAMETER(un);
    UNUSED_PARAMETER(u1);
    UNUSED_PARAMETER(u2);
    Warning( "glMapGrid1d", " not available." );
  }

  static void REGAL_CALL glMapGrid1f(GLint un, GLfloat u1, GLfloat u2)
{
    UNUSED_PARAMETER(un);
    UNUSED_PARAMETER(u1);
    UNUSED_PARAMETER(u2);
    Warning( "glMapGrid1f", " not available." );
  }

  static void REGAL_CALL glMapGrid2d(GLint un, GLdouble u1, GLdouble u2, GLint vn, GLdouble v1, GLdouble v2)
{
    UNUSED_PARAMETER(un);
    UNUSED_PARAMETER(u1);
    UNUSED_PARAMETER(u2);
    UNUSED_PARAMETER(vn);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    Warning( "glMapGrid2d", " not available." );
  }

  static void REGAL_CALL glMapGrid2f(GLint un, GLfloat u1, GLfloat u2, GLint vn, GLfloat v1, GLfloat v2)
{
    UNUSED_PARAMETER(un);
    UNUSED_PARAMETER(u1);
    UNUSED_PARAMETER(u2);
    UNUSED_PARAMETER(vn);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    Warning( "glMapGrid2f", " not available." );
  }

  static void REGAL_CALL glMaterialf(GLenum face, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glMaterialf", " not available." );
  }

  static void REGAL_CALL glMaterialfv(GLenum face, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glMaterialfv", " not available." );
  }

  static void REGAL_CALL glMateriali(GLenum face, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glMateriali", " not available." );
  }

  static void REGAL_CALL glMaterialiv(GLenum face, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glMaterialiv", " not available." );
  }

  static void REGAL_CALL glMatrixMode(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glMatrixMode", " not available." );
  }

  static void REGAL_CALL glMultMatrixd(const GLdouble *m)
{
    UNUSED_PARAMETER(m);
    Warning( "glMultMatrixd", " not available." );
  }

  static void REGAL_CALL glMultMatrixf(const GLfloat *m)
{
    UNUSED_PARAMETER(m);
    Warning( "glMultMatrixf", " not available." );
  }

  static void REGAL_CALL glNewList(GLuint list, GLenum mode)
{
    UNUSED_PARAMETER(list);
    UNUSED_PARAMETER(mode);
    Warning( "glNewList", " not available." );
  }

  static void REGAL_CALL glNormal3b(GLbyte nx, GLbyte ny, GLbyte nz)
{
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    Warning( "glNormal3b", " not available." );
  }

  static void REGAL_CALL glNormal3bv(const GLbyte *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glNormal3bv", " not available." );
  }

  static void REGAL_CALL glNormal3d(GLdouble nx, GLdouble ny, GLdouble nz)
{
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    Warning( "glNormal3d", " not available." );
  }

  static void REGAL_CALL glNormal3dv(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glNormal3dv", " not available." );
  }

  static void REGAL_CALL glNormal3f(GLfloat nx, GLfloat ny, GLfloat nz)
{
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    Warning( "glNormal3f", " not available." );
  }

  static void REGAL_CALL glNormal3fv(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glNormal3fv", " not available." );
  }

  static void REGAL_CALL glNormal3i(GLint nx, GLint ny, GLint nz)
{
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    Warning( "glNormal3i", " not available." );
  }

  static void REGAL_CALL glNormal3iv(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glNormal3iv", " not available." );
  }

  static void REGAL_CALL glNormal3s(GLshort nx, GLshort ny, GLshort nz)
{
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    Warning( "glNormal3s", " not available." );
  }

  static void REGAL_CALL glNormal3sv(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glNormal3sv", " not available." );
  }

  static void REGAL_CALL glOrtho(GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    UNUSED_PARAMETER(left);
    UNUSED_PARAMETER(right);
    UNUSED_PARAMETER(bottom);
    UNUSED_PARAMETER(top);
    UNUSED_PARAMETER(zNear);
    UNUSED_PARAMETER(zFar);
    Warning( "glOrtho", " not available." );
  }

  static void REGAL_CALL glPassThrough(GLfloat token)
{
    UNUSED_PARAMETER(token);
    Warning( "glPassThrough", " not available." );
  }

  static void REGAL_CALL glPixelMapfv(GLenum map, GLsizei mapsize, const GLfloat *values)
{
    UNUSED_PARAMETER(map);
    UNUSED_PARAMETER(mapsize);
    UNUSED_PARAMETER(values);
    Warning( "glPixelMapfv", " not available." );
  }

  static void REGAL_CALL glPixelMapuiv(GLenum map, GLsizei mapsize, const GLuint *values)
{
    UNUSED_PARAMETER(map);
    UNUSED_PARAMETER(mapsize);
    UNUSED_PARAMETER(values);
    Warning( "glPixelMapuiv", " not available." );
  }

  static void REGAL_CALL glPixelMapusv(GLenum map, GLsizei mapsize, const GLushort *values)
{
    UNUSED_PARAMETER(map);
    UNUSED_PARAMETER(mapsize);
    UNUSED_PARAMETER(values);
    Warning( "glPixelMapusv", " not available." );
  }

  static void REGAL_CALL glPixelStoref(GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPixelStoref", " not available." );
  }

  static void REGAL_CALL glPixelStorei(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPixelStorei", " not available." );
  }

  static void REGAL_CALL glPixelTransferf(GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPixelTransferf", " not available." );
  }

  static void REGAL_CALL glPixelTransferi(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPixelTransferi", " not available." );
  }

  static void REGAL_CALL glPixelZoom(GLfloat xfactor, GLfloat yfactor)
{
    UNUSED_PARAMETER(xfactor);
    UNUSED_PARAMETER(yfactor);
    Warning( "glPixelZoom", " not available." );
  }

  static void REGAL_CALL glPointSize(GLfloat size)
{
    UNUSED_PARAMETER(size);
    Warning( "glPointSize", " not available." );
  }

  static void REGAL_CALL glPolygonMode(GLenum face, GLenum mode)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(mode);
    Warning( "glPolygonMode", " not available." );
  }

  static void REGAL_CALL glPolygonStipple(const GLubyte *mask)
{
    UNUSED_PARAMETER(mask);
    Warning( "glPolygonStipple", " not available." );
  }

  static void REGAL_CALL glPopAttrib(void)
{
    Warning( "glPopAttrib", " not available." );
  }

  static void REGAL_CALL glPopMatrix(void)
{
    Warning( "glPopMatrix", " not available." );
  }

  static void REGAL_CALL glPopName(void)
{
    Warning( "glPopName", " not available." );
  }

  static void REGAL_CALL glPushAttrib(GLbitfield mask)
{
    UNUSED_PARAMETER(mask);
    Warning( "glPushAttrib", " not available." );
  }

  static void REGAL_CALL glPushMatrix(void)
{
    Warning( "glPushMatrix", " not available." );
  }

  static void REGAL_CALL glPushName(GLuint name)
{
    UNUSED_PARAMETER(name);
    Warning( "glPushName", " not available." );
  }

  static void REGAL_CALL glRasterPos2d(GLdouble x, GLdouble y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glRasterPos2d", " not available." );
  }

  static void REGAL_CALL glRasterPos2dv(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glRasterPos2dv", " not available." );
  }

  static void REGAL_CALL glRasterPos2f(GLfloat x, GLfloat y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glRasterPos2f", " not available." );
  }

  static void REGAL_CALL glRasterPos2fv(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glRasterPos2fv", " not available." );
  }

  static void REGAL_CALL glRasterPos2i(GLint x, GLint y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glRasterPos2i", " not available." );
  }

  static void REGAL_CALL glRasterPos2iv(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glRasterPos2iv", " not available." );
  }

  static void REGAL_CALL glRasterPos2s(GLshort x, GLshort y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glRasterPos2s", " not available." );
  }

  static void REGAL_CALL glRasterPos2sv(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glRasterPos2sv", " not available." );
  }

  static void REGAL_CALL glRasterPos3d(GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glRasterPos3d", " not available." );
  }

  static void REGAL_CALL glRasterPos3dv(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glRasterPos3dv", " not available." );
  }

  static void REGAL_CALL glRasterPos3f(GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glRasterPos3f", " not available." );
  }

  static void REGAL_CALL glRasterPos3fv(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glRasterPos3fv", " not available." );
  }

  static void REGAL_CALL glRasterPos3i(GLint x, GLint y, GLint z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glRasterPos3i", " not available." );
  }

  static void REGAL_CALL glRasterPos3iv(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glRasterPos3iv", " not available." );
  }

  static void REGAL_CALL glRasterPos3s(GLshort x, GLshort y, GLshort z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glRasterPos3s", " not available." );
  }

  static void REGAL_CALL glRasterPos3sv(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glRasterPos3sv", " not available." );
  }

  static void REGAL_CALL glRasterPos4d(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glRasterPos4d", " not available." );
  }

  static void REGAL_CALL glRasterPos4dv(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glRasterPos4dv", " not available." );
  }

  static void REGAL_CALL glRasterPos4f(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glRasterPos4f", " not available." );
  }

  static void REGAL_CALL glRasterPos4fv(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glRasterPos4fv", " not available." );
  }

  static void REGAL_CALL glRasterPos4i(GLint x, GLint y, GLint z, GLint w)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glRasterPos4i", " not available." );
  }

  static void REGAL_CALL glRasterPos4iv(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glRasterPos4iv", " not available." );
  }

  static void REGAL_CALL glRasterPos4s(GLshort x, GLshort y, GLshort z, GLshort w)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glRasterPos4s", " not available." );
  }

  static void REGAL_CALL glRasterPos4sv(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glRasterPos4sv", " not available." );
  }

  static void REGAL_CALL glReadBuffer(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glReadBuffer", " not available." );
  }

  static void REGAL_CALL glReadPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid *pixels)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glReadPixels", " not available." );
  }

  static void REGAL_CALL glRectd(GLdouble x1, GLdouble y1, GLdouble x2, GLdouble y2)
{
    UNUSED_PARAMETER(x1);
    UNUSED_PARAMETER(y1);
    UNUSED_PARAMETER(x2);
    UNUSED_PARAMETER(y2);
    Warning( "glRectd", " not available." );
  }

  static void REGAL_CALL glRectdv(const GLdouble *v1, const GLdouble *v2)
{
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    Warning( "glRectdv", " not available." );
  }

  static void REGAL_CALL glRectf(GLfloat x1, GLfloat y1, GLfloat x2, GLfloat y2)
{
    UNUSED_PARAMETER(x1);
    UNUSED_PARAMETER(y1);
    UNUSED_PARAMETER(x2);
    UNUSED_PARAMETER(y2);
    Warning( "glRectf", " not available." );
  }

  static void REGAL_CALL glRectfv(const GLfloat *v1, const GLfloat *v2)
{
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    Warning( "glRectfv", " not available." );
  }

  static void REGAL_CALL glRecti(GLint x1, GLint y1, GLint x2, GLint y2)
{
    UNUSED_PARAMETER(x1);
    UNUSED_PARAMETER(y1);
    UNUSED_PARAMETER(x2);
    UNUSED_PARAMETER(y2);
    Warning( "glRecti", " not available." );
  }

  static void REGAL_CALL glRectiv(const GLint *v1, const GLint *v2)
{
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    Warning( "glRectiv", " not available." );
  }

  static void REGAL_CALL glRects(GLshort x1, GLshort y1, GLshort x2, GLshort y2)
{
    UNUSED_PARAMETER(x1);
    UNUSED_PARAMETER(y1);
    UNUSED_PARAMETER(x2);
    UNUSED_PARAMETER(y2);
    Warning( "glRects", " not available." );
  }

  static void REGAL_CALL glRectsv(const GLshort *v1, const GLshort *v2)
{
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    Warning( "glRectsv", " not available." );
  }

  static GLint REGAL_CALL glRenderMode(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glRenderMode", " not available." );
    return 0;
  }

  static void REGAL_CALL glRotated(GLdouble angle, GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(angle);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glRotated", " not available." );
  }

  static void REGAL_CALL glRotatef(GLfloat angle, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(angle);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glRotatef", " not available." );
  }

  static void REGAL_CALL glScaled(GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glScaled", " not available." );
  }

  static void REGAL_CALL glScalef(GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glScalef", " not available." );
  }

  static void REGAL_CALL glScissor(GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glScissor", " not available." );
  }

  static void REGAL_CALL glSelectBuffer(GLsizei size, GLuint *buffer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(buffer);
    Warning( "glSelectBuffer", " not available." );
  }

  static void REGAL_CALL glShadeModel(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glShadeModel", " not available." );
  }

  static void REGAL_CALL glStencilFunc(GLenum func, GLint ref, GLuint mask)
{
    UNUSED_PARAMETER(func);
    UNUSED_PARAMETER(ref);
    UNUSED_PARAMETER(mask);
    Warning( "glStencilFunc", " not available." );
  }

  static void REGAL_CALL glStencilMask(GLuint mask)
{
    UNUSED_PARAMETER(mask);
    Warning( "glStencilMask", " not available." );
  }

  static void REGAL_CALL glStencilOp(GLenum fail, GLenum zfail, GLenum zpass)
{
    UNUSED_PARAMETER(fail);
    UNUSED_PARAMETER(zfail);
    UNUSED_PARAMETER(zpass);
    Warning( "glStencilOp", " not available." );
  }

  static void REGAL_CALL glTexCoord1d(GLdouble s)
{
    UNUSED_PARAMETER(s);
    Warning( "glTexCoord1d", " not available." );
  }

  static void REGAL_CALL glTexCoord1dv(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord1dv", " not available." );
  }

  static void REGAL_CALL glTexCoord1f(GLfloat s)
{
    UNUSED_PARAMETER(s);
    Warning( "glTexCoord1f", " not available." );
  }

  static void REGAL_CALL glTexCoord1fv(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord1fv", " not available." );
  }

  static void REGAL_CALL glTexCoord1i(GLint s)
{
    UNUSED_PARAMETER(s);
    Warning( "glTexCoord1i", " not available." );
  }

  static void REGAL_CALL glTexCoord1iv(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord1iv", " not available." );
  }

  static void REGAL_CALL glTexCoord1s(GLshort s)
{
    UNUSED_PARAMETER(s);
    Warning( "glTexCoord1s", " not available." );
  }

  static void REGAL_CALL glTexCoord1sv(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord1sv", " not available." );
  }

  static void REGAL_CALL glTexCoord2d(GLdouble s, GLdouble t)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    Warning( "glTexCoord2d", " not available." );
  }

  static void REGAL_CALL glTexCoord2dv(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord2dv", " not available." );
  }

  static void REGAL_CALL glTexCoord2f(GLfloat s, GLfloat t)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    Warning( "glTexCoord2f", " not available." );
  }

  static void REGAL_CALL glTexCoord2fv(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord2fv", " not available." );
  }

  static void REGAL_CALL glTexCoord2i(GLint s, GLint t)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    Warning( "glTexCoord2i", " not available." );
  }

  static void REGAL_CALL glTexCoord2iv(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord2iv", " not available." );
  }

  static void REGAL_CALL glTexCoord2s(GLshort s, GLshort t)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    Warning( "glTexCoord2s", " not available." );
  }

  static void REGAL_CALL glTexCoord2sv(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord2sv", " not available." );
  }

  static void REGAL_CALL glTexCoord3d(GLdouble s, GLdouble t, GLdouble r)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    Warning( "glTexCoord3d", " not available." );
  }

  static void REGAL_CALL glTexCoord3dv(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord3dv", " not available." );
  }

  static void REGAL_CALL glTexCoord3f(GLfloat s, GLfloat t, GLfloat r)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    Warning( "glTexCoord3f", " not available." );
  }

  static void REGAL_CALL glTexCoord3fv(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord3fv", " not available." );
  }

  static void REGAL_CALL glTexCoord3i(GLint s, GLint t, GLint r)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    Warning( "glTexCoord3i", " not available." );
  }

  static void REGAL_CALL glTexCoord3iv(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord3iv", " not available." );
  }

  static void REGAL_CALL glTexCoord3s(GLshort s, GLshort t, GLshort r)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    Warning( "glTexCoord3s", " not available." );
  }

  static void REGAL_CALL glTexCoord3sv(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord3sv", " not available." );
  }

  static void REGAL_CALL glTexCoord4d(GLdouble s, GLdouble t, GLdouble r, GLdouble q)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(q);
    Warning( "glTexCoord4d", " not available." );
  }

  static void REGAL_CALL glTexCoord4dv(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord4dv", " not available." );
  }

  static void REGAL_CALL glTexCoord4f(GLfloat s, GLfloat t, GLfloat r, GLfloat q)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(q);
    Warning( "glTexCoord4f", " not available." );
  }

  static void REGAL_CALL glTexCoord4fv(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord4fv", " not available." );
  }

  static void REGAL_CALL glTexCoord4i(GLint s, GLint t, GLint r, GLint q)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(q);
    Warning( "glTexCoord4i", " not available." );
  }

  static void REGAL_CALL glTexCoord4iv(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord4iv", " not available." );
  }

  static void REGAL_CALL glTexCoord4s(GLshort s, GLshort t, GLshort r, GLshort q)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(q);
    Warning( "glTexCoord4s", " not available." );
  }

  static void REGAL_CALL glTexCoord4sv(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord4sv", " not available." );
  }

  static void REGAL_CALL glTexEnvf(GLenum target, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTexEnvf", " not available." );
  }

  static void REGAL_CALL glTexEnvfv(GLenum target, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexEnvfv", " not available." );
  }

  static void REGAL_CALL glTexEnvi(GLenum target, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTexEnvi", " not available." );
  }

  static void REGAL_CALL glTexEnviv(GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexEnviv", " not available." );
  }

  static void REGAL_CALL glTexGend(GLenum coord, GLenum pname, GLdouble param)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTexGend", " not available." );
  }

  static void REGAL_CALL glTexGendv(GLenum coord, GLenum pname, const GLdouble *params)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexGendv", " not available." );
  }

  static void REGAL_CALL glTexGenf(GLenum coord, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTexGenf", " not available." );
  }

  static void REGAL_CALL glTexGenfv(GLenum coord, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexGenfv", " not available." );
  }

  static void REGAL_CALL glTexGeni(GLenum coord, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTexGeni", " not available." );
  }

  static void REGAL_CALL glTexGeniv(GLenum coord, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexGeniv", " not available." );
  }

  static void REGAL_CALL glTexImage1D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTexImage1D", " not available." );
  }

  static void REGAL_CALL glTexImage2D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTexImage2D", " not available." );
  }

  static void REGAL_CALL glTexParameterf(GLenum target, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTexParameterf", " not available." );
  }

  static void REGAL_CALL glTexParameterfv(GLenum target, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexParameterfv", " not available." );
  }

  static void REGAL_CALL glTexParameteri(GLenum target, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTexParameteri", " not available." );
  }

  static void REGAL_CALL glTexParameteriv(GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexParameteriv", " not available." );
  }

  static void REGAL_CALL glTranslated(GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glTranslated", " not available." );
  }

  static void REGAL_CALL glTranslatef(GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glTranslatef", " not available." );
  }

  static void REGAL_CALL glVertex2d(GLdouble x, GLdouble y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertex2d", " not available." );
  }

  static void REGAL_CALL glVertex2dv(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glVertex2dv", " not available." );
  }

  static void REGAL_CALL glVertex2f(GLfloat x, GLfloat y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertex2f", " not available." );
  }

  static void REGAL_CALL glVertex2fv(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glVertex2fv", " not available." );
  }

  static void REGAL_CALL glVertex2i(GLint x, GLint y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertex2i", " not available." );
  }

  static void REGAL_CALL glVertex2iv(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glVertex2iv", " not available." );
  }

  static void REGAL_CALL glVertex2s(GLshort x, GLshort y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertex2s", " not available." );
  }

  static void REGAL_CALL glVertex2sv(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glVertex2sv", " not available." );
  }

  static void REGAL_CALL glVertex3d(GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertex3d", " not available." );
  }

  static void REGAL_CALL glVertex3dv(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glVertex3dv", " not available." );
  }

  static void REGAL_CALL glVertex3f(GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertex3f", " not available." );
  }

  static void REGAL_CALL glVertex3fv(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glVertex3fv", " not available." );
  }

  static void REGAL_CALL glVertex3i(GLint x, GLint y, GLint z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertex3i", " not available." );
  }

  static void REGAL_CALL glVertex3iv(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glVertex3iv", " not available." );
  }

  static void REGAL_CALL glVertex3s(GLshort x, GLshort y, GLshort z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertex3s", " not available." );
  }

  static void REGAL_CALL glVertex3sv(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glVertex3sv", " not available." );
  }

  static void REGAL_CALL glVertex4d(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertex4d", " not available." );
  }

  static void REGAL_CALL glVertex4dv(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glVertex4dv", " not available." );
  }

  static void REGAL_CALL glVertex4f(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertex4f", " not available." );
  }

  static void REGAL_CALL glVertex4fv(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glVertex4fv", " not available." );
  }

  static void REGAL_CALL glVertex4i(GLint x, GLint y, GLint z, GLint w)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertex4i", " not available." );
  }

  static void REGAL_CALL glVertex4iv(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glVertex4iv", " not available." );
  }

  static void REGAL_CALL glVertex4s(GLshort x, GLshort y, GLshort z, GLshort w)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertex4s", " not available." );
  }

  static void REGAL_CALL glVertex4sv(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glVertex4sv", " not available." );
  }

  static void REGAL_CALL glViewport(GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glViewport", " not available." );
  }

// GL_VERSION_1_1

  static GLboolean REGAL_CALL glAreTexturesResident(GLsizei n, const GLuint *textures, GLboolean *residences)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(textures);
    UNUSED_PARAMETER(residences);
    Warning( "glAreTexturesResident", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glArrayElement(GLint i)
{
    UNUSED_PARAMETER(i);
    Warning( "glArrayElement", " not available." );
  }

  static void REGAL_CALL glBindTexture(GLenum target, GLuint texture)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(texture);
    Warning( "glBindTexture", " not available." );
  }

  static void REGAL_CALL glColorPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glColorPointer", " not available." );
  }

  static void REGAL_CALL glCopyTexImage1D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(border);
    Warning( "glCopyTexImage1D", " not available." );
  }

  static void REGAL_CALL glCopyTexImage2D(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(border);
    Warning( "glCopyTexImage2D", " not available." );
  }

  static void REGAL_CALL glCopyTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    Warning( "glCopyTexSubImage1D", " not available." );
  }

  static void REGAL_CALL glCopyTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glCopyTexSubImage2D", " not available." );
  }

  static void REGAL_CALL glDeleteTextures(GLsizei n, const GLuint *textures)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(textures);
    Warning( "glDeleteTextures", " not available." );
  }

  static void REGAL_CALL glDisableClientState(GLenum array)
{
    UNUSED_PARAMETER(array);
    Warning( "glDisableClientState", " not available." );
  }

  static void REGAL_CALL glDrawArrays(GLenum mode, GLint first, GLsizei count)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    Warning( "glDrawArrays", " not available." );
  }

  static void REGAL_CALL glDrawElements(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    Warning( "glDrawElements", " not available." );
  }

  static void REGAL_CALL glEdgeFlagPointer(GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glEdgeFlagPointer", " not available." );
  }

  static void REGAL_CALL glEnableClientState(GLenum array)
{
    UNUSED_PARAMETER(array);
    Warning( "glEnableClientState", " not available." );
  }

  static void REGAL_CALL glGenTextures(GLsizei n, GLuint *textures)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(textures);
    Warning( "glGenTextures", " not available." );
  }

  static void REGAL_CALL glGetPointerv(GLenum pname, GLvoid **params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetPointerv", " not available." );
  }

  static void REGAL_CALL glIndexPointer(GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glIndexPointer", " not available." );
  }

  static void REGAL_CALL glIndexub(GLubyte c)
{
    UNUSED_PARAMETER(c);
    Warning( "glIndexub", " not available." );
  }

  static void REGAL_CALL glIndexubv(const GLubyte *c)
{
    UNUSED_PARAMETER(c);
    Warning( "glIndexubv", " not available." );
  }

  static void REGAL_CALL glInterleavedArrays(GLenum format, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glInterleavedArrays", " not available." );
  }

  static GLboolean REGAL_CALL glIsTexture(GLuint texture)
{
    UNUSED_PARAMETER(texture);
    Warning( "glIsTexture", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glNormalPointer(GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glNormalPointer", " not available." );
  }

  static void REGAL_CALL glPolygonOffset(GLfloat factor, GLfloat units)
{
    UNUSED_PARAMETER(factor);
    UNUSED_PARAMETER(units);
    Warning( "glPolygonOffset", " not available." );
  }

  static void REGAL_CALL glPopClientAttrib(void)
{
    Warning( "glPopClientAttrib", " not available." );
  }

  static void REGAL_CALL glPrioritizeTextures(GLsizei n, const GLuint *textures, const GLclampf *priorities)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(textures);
    UNUSED_PARAMETER(priorities);
    Warning( "glPrioritizeTextures", " not available." );
  }

  static void REGAL_CALL glPushClientAttrib(GLbitfield mask)
{
    UNUSED_PARAMETER(mask);
    Warning( "glPushClientAttrib", " not available." );
  }

  static void REGAL_CALL glTexCoordPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glTexCoordPointer", " not available." );
  }

  static void REGAL_CALL glTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTexSubImage1D", " not available." );
  }

  static void REGAL_CALL glTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTexSubImage2D", " not available." );
  }

  static void REGAL_CALL glVertexPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glVertexPointer", " not available." );
  }

// GL_VERSION_1_2

  static void REGAL_CALL glCopyTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glCopyTexSubImage3D", " not available." );
  }

  static void REGAL_CALL glDrawRangeElements(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(start);
    UNUSED_PARAMETER(end);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    Warning( "glDrawRangeElements", " not available." );
  }

  static void REGAL_CALL glTexImage3D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTexImage3D", " not available." );
  }

  static void REGAL_CALL glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTexSubImage3D", " not available." );
  }

// GL_VERSION_1_3

  static void REGAL_CALL glActiveTexture(GLenum texture)
{
    UNUSED_PARAMETER(texture);
    Warning( "glActiveTexture", " not available." );
  }

  static void REGAL_CALL glClientActiveTexture(GLenum texture)
{
    UNUSED_PARAMETER(texture);
    Warning( "glClientActiveTexture", " not available." );
  }

  static void REGAL_CALL glCompressedTexImage1D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTexImage1D", " not available." );
  }

  static void REGAL_CALL glCompressedTexImage2D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTexImage2D", " not available." );
  }

  static void REGAL_CALL glCompressedTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTexImage3D", " not available." );
  }

  static void REGAL_CALL glCompressedTexSubImage1D(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTexSubImage1D", " not available." );
  }

  static void REGAL_CALL glCompressedTexSubImage2D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTexSubImage2D", " not available." );
  }

  static void REGAL_CALL glCompressedTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTexSubImage3D", " not available." );
  }

  static void REGAL_CALL glGetCompressedTexImage(GLenum target, GLint level, GLvoid *img)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(img);
    Warning( "glGetCompressedTexImage", " not available." );
  }

  static void REGAL_CALL glLoadTransposeMatrixd(const GLdouble *m)
{
    UNUSED_PARAMETER(m);
    Warning( "glLoadTransposeMatrixd", " not available." );
  }

  static void REGAL_CALL glLoadTransposeMatrixf(const GLfloat *m)
{
    UNUSED_PARAMETER(m);
    Warning( "glLoadTransposeMatrixf", " not available." );
  }

  static void REGAL_CALL glMultTransposeMatrixd(const GLdouble *m)
{
    UNUSED_PARAMETER(m);
    Warning( "glMultTransposeMatrixd", " not available." );
  }

  static void REGAL_CALL glMultTransposeMatrixf(const GLfloat *m)
{
    UNUSED_PARAMETER(m);
    Warning( "glMultTransposeMatrixf", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1d(GLenum target, GLdouble s)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    Warning( "glMultiTexCoord1d", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1dv(GLenum target, const GLdouble *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord1dv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1f(GLenum target, GLfloat s)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    Warning( "glMultiTexCoord1f", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1fv(GLenum target, const GLfloat *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord1fv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1i(GLenum target, GLint s)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    Warning( "glMultiTexCoord1i", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1iv(GLenum target, const GLint *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord1iv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1s(GLenum target, GLshort s)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    Warning( "glMultiTexCoord1s", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1sv(GLenum target, const GLshort *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord1sv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2d(GLenum target, GLdouble s, GLdouble t)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    Warning( "glMultiTexCoord2d", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2dv(GLenum target, const GLdouble *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord2dv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2f(GLenum target, GLfloat s, GLfloat t)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    Warning( "glMultiTexCoord2f", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2fv(GLenum target, const GLfloat *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord2fv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2i(GLenum target, GLint s, GLint t)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    Warning( "glMultiTexCoord2i", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2iv(GLenum target, const GLint *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord2iv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2s(GLenum target, GLshort s, GLshort t)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    Warning( "glMultiTexCoord2s", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2sv(GLenum target, const GLshort *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord2sv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3d(GLenum target, GLdouble s, GLdouble t, GLdouble r)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    Warning( "glMultiTexCoord3d", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3dv(GLenum target, const GLdouble *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord3dv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3f(GLenum target, GLfloat s, GLfloat t, GLfloat r)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    Warning( "glMultiTexCoord3f", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3fv(GLenum target, const GLfloat *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord3fv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3i(GLenum target, GLint s, GLint t, GLint r)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    Warning( "glMultiTexCoord3i", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3iv(GLenum target, const GLint *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord3iv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3s(GLenum target, GLshort s, GLshort t, GLshort r)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    Warning( "glMultiTexCoord3s", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3sv(GLenum target, const GLshort *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord3sv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4d(GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(q);
    Warning( "glMultiTexCoord4d", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4dv(GLenum target, const GLdouble *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord4dv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4f(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(q);
    Warning( "glMultiTexCoord4f", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4fv(GLenum target, const GLfloat *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord4fv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4i(GLenum target, GLint s, GLint t, GLint r, GLint q)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(q);
    Warning( "glMultiTexCoord4i", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4iv(GLenum target, const GLint *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord4iv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4s(GLenum target, GLshort s, GLshort t, GLshort r, GLshort q)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(q);
    Warning( "glMultiTexCoord4s", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4sv(GLenum target, const GLshort *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord4sv", " not available." );
  }

  static void REGAL_CALL glSampleCoverage(GLclampf value, GLboolean invert)
{
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(invert);
    Warning( "glSampleCoverage", " not available." );
  }

// GL_VERSION_1_4

  static void REGAL_CALL glBlendColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glBlendColor", " not available." );
  }

  static void REGAL_CALL glBlendEquation(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glBlendEquation", " not available." );
  }

  static void REGAL_CALL glBlendFuncSeparate(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
{
    UNUSED_PARAMETER(sfactorRGB);
    UNUSED_PARAMETER(dfactorRGB);
    UNUSED_PARAMETER(sfactorAlpha);
    UNUSED_PARAMETER(dfactorAlpha);
    Warning( "glBlendFuncSeparate", " not available." );
  }

  static void REGAL_CALL glFogCoordPointer(GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glFogCoordPointer", " not available." );
  }

  static void REGAL_CALL glFogCoordd(GLdouble coord)
{
    UNUSED_PARAMETER(coord);
    Warning( "glFogCoordd", " not available." );
  }

  static void REGAL_CALL glFogCoorddv(const GLdouble *coord)
{
    UNUSED_PARAMETER(coord);
    Warning( "glFogCoorddv", " not available." );
  }

  static void REGAL_CALL glFogCoordf(GLfloat coord)
{
    UNUSED_PARAMETER(coord);
    Warning( "glFogCoordf", " not available." );
  }

  static void REGAL_CALL glFogCoordfv(const GLfloat *coord)
{
    UNUSED_PARAMETER(coord);
    Warning( "glFogCoordfv", " not available." );
  }

  static void REGAL_CALL glMultiDrawArrays(GLenum mode, const GLint *first, const GLsizei *count, GLsizei drawcount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(drawcount);
    Warning( "glMultiDrawArrays", " not available." );
  }

  static void REGAL_CALL glMultiDrawElements(GLenum mode, const GLsizei *count, GLenum type, const GLvoid * const *indices, GLsizei drawcount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    UNUSED_PARAMETER(drawcount);
    Warning( "glMultiDrawElements", " not available." );
  }

  static void REGAL_CALL glPointParameterf(GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPointParameterf", " not available." );
  }

  static void REGAL_CALL glPointParameterfv(GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glPointParameterfv", " not available." );
  }

  static void REGAL_CALL glPointParameteri(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPointParameteri", " not available." );
  }

  static void REGAL_CALL glPointParameteriv(GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glPointParameteriv", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3b(GLbyte red, GLbyte green, GLbyte blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3b", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3bv(const GLbyte *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3bv", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3d(GLdouble red, GLdouble green, GLdouble blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3d", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3dv(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3dv", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3f(GLfloat red, GLfloat green, GLfloat blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3f", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3fv(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3fv", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3i(GLint red, GLint green, GLint blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3i", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3iv(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3iv", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3s(GLshort red, GLshort green, GLshort blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3s", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3sv(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3sv", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3ub(GLubyte red, GLubyte green, GLubyte blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3ub", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3ubv(const GLubyte *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3ubv", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3ui(GLuint red, GLuint green, GLuint blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3ui", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3uiv(const GLuint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3uiv", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3us(GLushort red, GLushort green, GLushort blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3us", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3usv(const GLushort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3usv", " not available." );
  }

  static void REGAL_CALL glSecondaryColorPointer(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glSecondaryColorPointer", " not available." );
  }

  static void REGAL_CALL glWindowPos2d(GLdouble x, GLdouble y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glWindowPos2d", " not available." );
  }

  static void REGAL_CALL glWindowPos2dv(const GLdouble *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos2dv", " not available." );
  }

  static void REGAL_CALL glWindowPos2f(GLfloat x, GLfloat y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glWindowPos2f", " not available." );
  }

  static void REGAL_CALL glWindowPos2fv(const GLfloat *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos2fv", " not available." );
  }

  static void REGAL_CALL glWindowPos2i(GLint x, GLint y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glWindowPos2i", " not available." );
  }

  static void REGAL_CALL glWindowPos2iv(const GLint *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos2iv", " not available." );
  }

  static void REGAL_CALL glWindowPos2s(GLshort x, GLshort y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glWindowPos2s", " not available." );
  }

  static void REGAL_CALL glWindowPos2sv(const GLshort *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos2sv", " not available." );
  }

  static void REGAL_CALL glWindowPos3d(GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glWindowPos3d", " not available." );
  }

  static void REGAL_CALL glWindowPos3dv(const GLdouble *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos3dv", " not available." );
  }

  static void REGAL_CALL glWindowPos3f(GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glWindowPos3f", " not available." );
  }

  static void REGAL_CALL glWindowPos3fv(const GLfloat *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos3fv", " not available." );
  }

  static void REGAL_CALL glWindowPos3i(GLint x, GLint y, GLint z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glWindowPos3i", " not available." );
  }

  static void REGAL_CALL glWindowPos3iv(const GLint *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos3iv", " not available." );
  }

  static void REGAL_CALL glWindowPos3s(GLshort x, GLshort y, GLshort z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glWindowPos3s", " not available." );
  }

  static void REGAL_CALL glWindowPos3sv(const GLshort *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos3sv", " not available." );
  }

// GL_VERSION_1_5

  static void REGAL_CALL glBeginQuery(GLenum target, GLuint id)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(id);
    Warning( "glBeginQuery", " not available." );
  }

  static void REGAL_CALL glBindBuffer(GLenum target, GLuint buffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(buffer);
    Warning( "glBindBuffer", " not available." );
  }

  static void REGAL_CALL glBufferData(GLenum target, GLsizeiptr size, const GLvoid *data, GLenum usage)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    UNUSED_PARAMETER(usage);
    Warning( "glBufferData", " not available." );
  }

  static void REGAL_CALL glBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    Warning( "glBufferSubData", " not available." );
  }

  static void REGAL_CALL glDeleteBuffers(GLsizei n, const GLuint *buffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(buffers);
    Warning( "glDeleteBuffers", " not available." );
  }

  static void REGAL_CALL glDeleteQueries(GLsizei n, const GLuint *ids)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glDeleteQueries", " not available." );
  }

  static void REGAL_CALL glEndQuery(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glEndQuery", " not available." );
  }

  static void REGAL_CALL glGenBuffers(GLsizei n, GLuint *buffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(buffers);
    Warning( "glGenBuffers", " not available." );
  }

  static void REGAL_CALL glGenQueries(GLsizei n, GLuint *ids)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glGenQueries", " not available." );
  }

  static void REGAL_CALL glGetBufferParameteriv(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetBufferParameteriv", " not available." );
  }

  static void REGAL_CALL glGetBufferPointerv(GLenum target, GLenum pname, GLvoid **params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetBufferPointerv", " not available." );
  }

  static void REGAL_CALL glGetBufferSubData(GLenum target, GLintptr offset, GLsizeiptr size, GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    Warning( "glGetBufferSubData", " not available." );
  }

  static void REGAL_CALL glGetQueryObjectiv(GLuint id, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryObjectiv", " not available." );
  }

  static void REGAL_CALL glGetQueryObjectuiv(GLuint id, GLenum pname, GLuint *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryObjectuiv", " not available." );
  }

  static void REGAL_CALL glGetQueryiv(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryiv", " not available." );
  }

  static GLboolean REGAL_CALL glIsBuffer(GLuint buffer)
{
    UNUSED_PARAMETER(buffer);
    Warning( "glIsBuffer", " not available." );
    return GL_FALSE;
  }

  static GLboolean REGAL_CALL glIsQuery(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glIsQuery", " not available." );
    return GL_FALSE;
  }

  static void *REGAL_CALL glMapBuffer(GLenum target, GLenum access)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(access);
    Warning( "glMapBuffer", " not available." );
    return NULL;
  }

  static GLboolean REGAL_CALL glUnmapBuffer(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glUnmapBuffer", " not available." );
    return GL_FALSE;
  }

// GL_VERSION_2_0

  static void REGAL_CALL glAttachShader(GLuint program, GLuint shader)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(shader);
    Warning( "glAttachShader", " not available." );
  }

  static void REGAL_CALL glBindAttribLocation(GLuint program, GLuint index, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(name);
    Warning( "glBindAttribLocation", " not available." );
  }

  static void REGAL_CALL glBlendEquationSeparate(GLenum modeRGB, GLenum modeAlpha)
{
    UNUSED_PARAMETER(modeRGB);
    UNUSED_PARAMETER(modeAlpha);
    Warning( "glBlendEquationSeparate", " not available." );
  }

  static void REGAL_CALL glCompileShader(GLuint shader)
{
    UNUSED_PARAMETER(shader);
    Warning( "glCompileShader", " not available." );
  }

  static GLuint REGAL_CALL glCreateProgram(void)
{
    Warning( "glCreateProgram", " not available." );
    return 0;
  }

  static GLuint REGAL_CALL glCreateShader(GLenum type)
{
    UNUSED_PARAMETER(type);
    Warning( "glCreateShader", " not available." );
    return 0;
  }

  static void REGAL_CALL glDeleteProgram(GLuint program)
{
    UNUSED_PARAMETER(program);
    Warning( "glDeleteProgram", " not available." );
  }

  static void REGAL_CALL glDeleteShader(GLuint shader)
{
    UNUSED_PARAMETER(shader);
    Warning( "glDeleteShader", " not available." );
  }

  static void REGAL_CALL glDetachShader(GLuint program, GLuint shader)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(shader);
    Warning( "glDetachShader", " not available." );
  }

  static void REGAL_CALL glDisableVertexAttribArray(GLuint index)
{
    UNUSED_PARAMETER(index);
    Warning( "glDisableVertexAttribArray", " not available." );
  }

  static void REGAL_CALL glDrawBuffers(GLsizei n, const GLenum *bufs)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(bufs);
    Warning( "glDrawBuffers", " not available." );
  }

  static void REGAL_CALL glEnableVertexAttribArray(GLuint index)
{
    UNUSED_PARAMETER(index);
    Warning( "glEnableVertexAttribArray", " not available." );
  }

  static void REGAL_CALL glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(name);
    Warning( "glGetActiveAttrib", " not available." );
  }

  static void REGAL_CALL glGetActiveUniform(GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(name);
    Warning( "glGetActiveUniform", " not available." );
  }

  static void REGAL_CALL glGetAttachedShaders(GLuint program, GLsizei maxCount, GLsizei *count, GLuint *shaders)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(maxCount);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(shaders);
    Warning( "glGetAttachedShaders", " not available." );
  }

  static GLint REGAL_CALL glGetAttribLocation(GLuint program, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(name);
    Warning( "glGetAttribLocation", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetProgramInfoLog(GLuint program, GLsizei bufSize, GLsizei *length, GLchar *infoLog)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(infoLog);
    Warning( "glGetProgramInfoLog", " not available." );
  }

  static void REGAL_CALL glGetProgramiv(GLuint program, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramiv", " not available." );
  }

  static void REGAL_CALL glGetShaderInfoLog(GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *infoLog)
{
    UNUSED_PARAMETER(shader);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(infoLog);
    Warning( "glGetShaderInfoLog", " not available." );
  }

  static void REGAL_CALL glGetShaderSource(GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *source)
{
    UNUSED_PARAMETER(shader);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(source);
    Warning( "glGetShaderSource", " not available." );
  }

  static void REGAL_CALL glGetShaderiv(GLuint shader, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(shader);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetShaderiv", " not available." );
  }

  static GLint REGAL_CALL glGetUniformLocation(GLuint program, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(name);
    Warning( "glGetUniformLocation", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetUniformfv(GLuint program, GLint location, GLfloat *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(params);
    Warning( "glGetUniformfv", " not available." );
  }

  static void REGAL_CALL glGetUniformiv(GLuint program, GLint location, GLint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(params);
    Warning( "glGetUniformiv", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribPointerv(GLuint index, GLenum pname, GLvoid **pointer)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(pointer);
    Warning( "glGetVertexAttribPointerv", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribdv(GLuint index, GLenum pname, GLdouble *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribdv", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribfv", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribiv(GLuint index, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribiv", " not available." );
  }

  static GLboolean REGAL_CALL glIsProgram(GLuint program)
{
    UNUSED_PARAMETER(program);
    Warning( "glIsProgram", " not available." );
    return GL_FALSE;
  }

  static GLboolean REGAL_CALL glIsShader(GLuint shader)
{
    UNUSED_PARAMETER(shader);
    Warning( "glIsShader", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glLinkProgram(GLuint program)
{
    UNUSED_PARAMETER(program);
    Warning( "glLinkProgram", " not available." );
  }

  static void REGAL_CALL glShaderSource(GLuint shader, GLsizei count, const GLchar * const *string, const GLint *length)
{
    UNUSED_PARAMETER(shader);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(string);
    UNUSED_PARAMETER(length);
    Warning( "glShaderSource", " not available." );
  }

  static void REGAL_CALL glStencilFuncSeparate(GLenum face, GLenum func, GLint ref, GLuint mask)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(func);
    UNUSED_PARAMETER(ref);
    UNUSED_PARAMETER(mask);
    Warning( "glStencilFuncSeparate", " not available." );
  }

  static void REGAL_CALL glStencilMaskSeparate(GLenum face, GLuint mask)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(mask);
    Warning( "glStencilMaskSeparate", " not available." );
  }

  static void REGAL_CALL glStencilOpSeparate(GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(sfail);
    UNUSED_PARAMETER(dpfail);
    UNUSED_PARAMETER(dppass);
    Warning( "glStencilOpSeparate", " not available." );
  }

  static void REGAL_CALL glUniform1f(GLint location, GLfloat v0)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    Warning( "glUniform1f", " not available." );
  }

  static void REGAL_CALL glUniform1fv(GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform1fv", " not available." );
  }

  static void REGAL_CALL glUniform1i(GLint location, GLint v0)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    Warning( "glUniform1i", " not available." );
  }

  static void REGAL_CALL glUniform1iv(GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform1iv", " not available." );
  }

  static void REGAL_CALL glUniform2f(GLint location, GLfloat v0, GLfloat v1)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    Warning( "glUniform2f", " not available." );
  }

  static void REGAL_CALL glUniform2fv(GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform2fv", " not available." );
  }

  static void REGAL_CALL glUniform2i(GLint location, GLint v0, GLint v1)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    Warning( "glUniform2i", " not available." );
  }

  static void REGAL_CALL glUniform2iv(GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform2iv", " not available." );
  }

  static void REGAL_CALL glUniform3f(GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    Warning( "glUniform3f", " not available." );
  }

  static void REGAL_CALL glUniform3fv(GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform3fv", " not available." );
  }

  static void REGAL_CALL glUniform3i(GLint location, GLint v0, GLint v1, GLint v2)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    Warning( "glUniform3i", " not available." );
  }

  static void REGAL_CALL glUniform3iv(GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform3iv", " not available." );
  }

  static void REGAL_CALL glUniform4f(GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    UNUSED_PARAMETER(v3);
    Warning( "glUniform4f", " not available." );
  }

  static void REGAL_CALL glUniform4fv(GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform4fv", " not available." );
  }

  static void REGAL_CALL glUniform4i(GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    UNUSED_PARAMETER(v3);
    Warning( "glUniform4i", " not available." );
  }

  static void REGAL_CALL glUniform4iv(GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform4iv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix2fv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix3fv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix4fv", " not available." );
  }

  static void REGAL_CALL glUseProgram(GLuint program)
{
    UNUSED_PARAMETER(program);
    Warning( "glUseProgram", " not available." );
  }

  static void REGAL_CALL glValidateProgram(GLuint program)
{
    UNUSED_PARAMETER(program);
    Warning( "glValidateProgram", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1d(GLuint index, GLdouble x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttrib1d", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1dv(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib1dv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1f(GLuint index, GLfloat x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttrib1f", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1fv(GLuint index, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib1fv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1s(GLuint index, GLshort x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttrib1s", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1sv(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib1sv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2d(GLuint index, GLdouble x, GLdouble y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttrib2d", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2dv(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib2dv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2f(GLuint index, GLfloat x, GLfloat y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttrib2f", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2fv(GLuint index, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib2fv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2s(GLuint index, GLshort x, GLshort y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttrib2s", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2sv(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib2sv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3d(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttrib3d", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3dv(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib3dv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3f(GLuint index, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttrib3f", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3fv(GLuint index, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib3fv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3s(GLuint index, GLshort x, GLshort y, GLshort z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttrib3s", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3sv(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib3sv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4Nbv(GLuint index, const GLbyte *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4Nbv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4Niv(GLuint index, const GLint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4Niv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4Nsv(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4Nsv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4Nub(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttrib4Nub", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4Nubv(GLuint index, const GLubyte *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4Nubv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4Nuiv(GLuint index, const GLuint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4Nuiv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4Nusv(GLuint index, const GLushort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4Nusv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4bv(GLuint index, const GLbyte *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4bv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4d(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttrib4d", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4dv(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4dv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4f(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttrib4f", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4fv(GLuint index, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4fv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4iv(GLuint index, const GLint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4iv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4s(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttrib4s", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4sv(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4sv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4ubv(GLuint index, const GLubyte *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4ubv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4uiv(GLuint index, const GLuint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4uiv", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4usv(GLuint index, const GLushort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4usv", " not available." );
  }

  static void REGAL_CALL glVertexAttribPointer(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glVertexAttribPointer", " not available." );
  }

// GL_VERSION_2_1

  static void REGAL_CALL glUniformMatrix2x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix2x3fv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix2x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix2x4fv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix3x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix3x2fv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix3x4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix3x4fv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix4x2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix4x2fv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix4x3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix4x3fv", " not available." );
  }

// GL_VERSION_3_0

  static void REGAL_CALL glBeginConditionalRender(GLuint id, GLenum mode)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(mode);
    Warning( "glBeginConditionalRender", " not available." );
  }

  static void REGAL_CALL glBeginTransformFeedback(GLenum primitiveMode)
{
    UNUSED_PARAMETER(primitiveMode);
    Warning( "glBeginTransformFeedback", " not available." );
  }

  static void REGAL_CALL glBindFragDataLocation(GLuint program, GLuint color, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(color);
    UNUSED_PARAMETER(name);
    Warning( "glBindFragDataLocation", " not available." );
  }

  static void REGAL_CALL glClampColor(GLenum target, GLenum clamp)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(clamp);
    Warning( "glClampColor", " not available." );
  }

  static void REGAL_CALL glClearBufferfi(GLenum buffer, GLint drawbuffer, GLfloat depth, GLint stencil)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(drawbuffer);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(stencil);
    Warning( "glClearBufferfi", " not available." );
  }

  static void REGAL_CALL glClearBufferfv(GLenum buffer, GLint drawbuffer, const GLfloat *value)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(drawbuffer);
    UNUSED_PARAMETER(value);
    Warning( "glClearBufferfv", " not available." );
  }

  static void REGAL_CALL glClearBufferiv(GLenum buffer, GLint drawbuffer, const GLint *value)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(drawbuffer);
    UNUSED_PARAMETER(value);
    Warning( "glClearBufferiv", " not available." );
  }

  static void REGAL_CALL glClearBufferuiv(GLenum buffer, GLint drawbuffer, const GLuint *value)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(drawbuffer);
    UNUSED_PARAMETER(value);
    Warning( "glClearBufferuiv", " not available." );
  }

  static void REGAL_CALL glColorMaski(GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(g);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(a);
    Warning( "glColorMaski", " not available." );
  }

  static void REGAL_CALL glDisablei(GLenum target, GLuint index)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    Warning( "glDisablei", " not available." );
  }

  static void REGAL_CALL glEnablei(GLenum target, GLuint index)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    Warning( "glEnablei", " not available." );
  }

  static void REGAL_CALL glEndConditionalRender(void)
{
    Warning( "glEndConditionalRender", " not available." );
  }

  static void REGAL_CALL glEndTransformFeedback(void)
{
    Warning( "glEndTransformFeedback", " not available." );
  }

  static void REGAL_CALL glGetBooleani_v(GLenum target, GLuint index, GLboolean *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(data);
    Warning( "glGetBooleani_v", " not available." );
  }

  static GLint REGAL_CALL glGetFragDataLocation(GLuint program, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(name);
    Warning( "glGetFragDataLocation", " not available." );
    return 0;
  }

  static const GLubyte *REGAL_CALL glGetStringi(GLenum name, GLuint index)
{
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(index);
    Warning( "glGetStringi", " not available." );
    return NULL;
  }

  static void REGAL_CALL glGetTexParameterIiv(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexParameterIiv", " not available." );
  }

  static void REGAL_CALL glGetTexParameterIuiv(GLenum target, GLenum pname, GLuint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexParameterIuiv", " not available." );
  }

  static void REGAL_CALL glGetTransformFeedbackVarying(GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLsizei *size, GLenum *type, GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(name);
    Warning( "glGetTransformFeedbackVarying", " not available." );
  }

  static void REGAL_CALL glGetUniformuiv(GLuint program, GLint location, GLuint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(params);
    Warning( "glGetUniformuiv", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribIiv(GLuint index, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribIiv", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribIuiv(GLuint index, GLenum pname, GLuint *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribIuiv", " not available." );
  }

  static GLboolean REGAL_CALL glIsEnabledi(GLenum target, GLuint index)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    Warning( "glIsEnabledi", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glTexParameterIiv(GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexParameterIiv", " not available." );
  }

  static void REGAL_CALL glTexParameterIuiv(GLenum target, GLenum pname, const GLuint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexParameterIuiv", " not available." );
  }

  static void REGAL_CALL glTransformFeedbackVaryings(GLuint program, GLsizei count, const GLchar * const *varyings, GLenum bufferMode)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(varyings);
    UNUSED_PARAMETER(bufferMode);
    Warning( "glTransformFeedbackVaryings", " not available." );
  }

  static void REGAL_CALL glUniform1ui(GLint location, GLuint v0)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    Warning( "glUniform1ui", " not available." );
  }

  static void REGAL_CALL glUniform1uiv(GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform1uiv", " not available." );
  }

  static void REGAL_CALL glUniform2ui(GLint location, GLuint v0, GLuint v1)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    Warning( "glUniform2ui", " not available." );
  }

  static void REGAL_CALL glUniform2uiv(GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform2uiv", " not available." );
  }

  static void REGAL_CALL glUniform3ui(GLint location, GLuint v0, GLuint v1, GLuint v2)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    Warning( "glUniform3ui", " not available." );
  }

  static void REGAL_CALL glUniform3uiv(GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform3uiv", " not available." );
  }

  static void REGAL_CALL glUniform4ui(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    UNUSED_PARAMETER(v3);
    Warning( "glUniform4ui", " not available." );
  }

  static void REGAL_CALL glUniform4uiv(GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform4uiv", " not available." );
  }

  static void REGAL_CALL glVertexAttribI1i(GLuint index, GLint x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttribI1i", " not available." );
  }

  static void REGAL_CALL glVertexAttribI1iv(GLuint index, const GLint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI1iv", " not available." );
  }

  static void REGAL_CALL glVertexAttribI1ui(GLuint index, GLuint x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttribI1ui", " not available." );
  }

  static void REGAL_CALL glVertexAttribI1uiv(GLuint index, const GLuint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI1uiv", " not available." );
  }

  static void REGAL_CALL glVertexAttribI2i(GLuint index, GLint x, GLint y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttribI2i", " not available." );
  }

  static void REGAL_CALL glVertexAttribI2iv(GLuint index, const GLint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI2iv", " not available." );
  }

  static void REGAL_CALL glVertexAttribI2ui(GLuint index, GLuint x, GLuint y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttribI2ui", " not available." );
  }

  static void REGAL_CALL glVertexAttribI2uiv(GLuint index, const GLuint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI2uiv", " not available." );
  }

  static void REGAL_CALL glVertexAttribI3i(GLuint index, GLint x, GLint y, GLint z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttribI3i", " not available." );
  }

  static void REGAL_CALL glVertexAttribI3iv(GLuint index, const GLint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI3iv", " not available." );
  }

  static void REGAL_CALL glVertexAttribI3ui(GLuint index, GLuint x, GLuint y, GLuint z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttribI3ui", " not available." );
  }

  static void REGAL_CALL glVertexAttribI3uiv(GLuint index, const GLuint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI3uiv", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4bv(GLuint index, const GLbyte *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI4bv", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4i(GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttribI4i", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4iv(GLuint index, const GLint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI4iv", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4sv(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI4sv", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4ubv(GLuint index, const GLubyte *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI4ubv", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4ui(GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttribI4ui", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4uiv(GLuint index, const GLuint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI4uiv", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4usv(GLuint index, const GLushort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI4usv", " not available." );
  }

  static void REGAL_CALL glVertexAttribIPointer(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glVertexAttribIPointer", " not available." );
  }

// GL_VERSION_3_1

  static void REGAL_CALL glDrawArraysInstanced(GLenum mode, GLint first, GLsizei count, GLsizei instancecount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(instancecount);
    Warning( "glDrawArraysInstanced", " not available." );
  }

  static void REGAL_CALL glDrawElementsInstanced(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei instancecount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    UNUSED_PARAMETER(instancecount);
    Warning( "glDrawElementsInstanced", " not available." );
  }

  static void REGAL_CALL glPrimitiveRestartIndex(GLuint index)
{
    UNUSED_PARAMETER(index);
    Warning( "glPrimitiveRestartIndex", " not available." );
  }

  static void REGAL_CALL glTexBuffer(GLenum target, GLenum internalformat, GLuint buffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(buffer);
    Warning( "glTexBuffer", " not available." );
  }

// GL_VERSION_3_2

  static void REGAL_CALL glFramebufferTexture(GLenum target, GLenum attachment, GLuint texture, GLint level)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    Warning( "glFramebufferTexture", " not available." );
  }

  static void REGAL_CALL glGetBufferParameteri64v(GLenum target, GLenum pname, GLint64 *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetBufferParameteri64v", " not available." );
  }

  static void REGAL_CALL glGetInteger64i_v(GLenum target, GLuint index, GLint64 *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(data);
    Warning( "glGetInteger64i_v", " not available." );
  }

// GL_VERSION_3_3

  static void REGAL_CALL glVertexAttribDivisor(GLuint index, GLuint divisor)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(divisor);
    Warning( "glVertexAttribDivisor", " not available." );
  }

// GL_VERSION_4_0

  static void REGAL_CALL glBlendEquationSeparatei(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
{
    UNUSED_PARAMETER(buf);
    UNUSED_PARAMETER(modeRGB);
    UNUSED_PARAMETER(modeAlpha);
    Warning( "glBlendEquationSeparatei", " not available." );
  }

  static void REGAL_CALL glBlendEquationi(GLuint buf, GLenum mode)
{
    UNUSED_PARAMETER(buf);
    UNUSED_PARAMETER(mode);
    Warning( "glBlendEquationi", " not available." );
  }

  static void REGAL_CALL glBlendFuncSeparatei(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
{
    UNUSED_PARAMETER(buf);
    UNUSED_PARAMETER(srcRGB);
    UNUSED_PARAMETER(dstRGB);
    UNUSED_PARAMETER(srcAlpha);
    UNUSED_PARAMETER(dstAlpha);
    Warning( "glBlendFuncSeparatei", " not available." );
  }

  static void REGAL_CALL glBlendFunci(GLuint buf, GLenum src, GLenum dst)
{
    UNUSED_PARAMETER(buf);
    UNUSED_PARAMETER(src);
    UNUSED_PARAMETER(dst);
    Warning( "glBlendFunci", " not available." );
  }

  static void REGAL_CALL glDrawArraysIndirect(GLenum mode, const GLvoid *indirect)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(indirect);
    Warning( "glDrawArraysIndirect", " not available." );
  }

  static void REGAL_CALL glDrawElementsIndirect(GLenum mode, GLenum type, const GLvoid *indirect)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indirect);
    Warning( "glDrawElementsIndirect", " not available." );
  }

  static void REGAL_CALL glMinSampleShading(GLclampf value)
{
    UNUSED_PARAMETER(value);
    Warning( "glMinSampleShading", " not available." );
  }

// GL_3DFX_tbuffer

  static void REGAL_CALL glTbufferMask3DFX(GLuint mask)
{
    UNUSED_PARAMETER(mask);
    Warning( "glTbufferMask3DFX", " not available." );
  }

// GL_AMD_debug_output

  static void REGAL_CALL glDebugMessageCallbackAMD(GLDEBUGPROCAMD callback, void *userParam)
{
    UNUSED_PARAMETER(callback);
    UNUSED_PARAMETER(userParam);
    Warning( "glDebugMessageCallbackAMD", " not available." );
  }

  static void REGAL_CALL glDebugMessageEnableAMD(GLenum category, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled)
{
    UNUSED_PARAMETER(category);
    UNUSED_PARAMETER(severity);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(ids);
    UNUSED_PARAMETER(enabled);
    Warning( "glDebugMessageEnableAMD", " not available." );
  }

  static void REGAL_CALL glDebugMessageInsertAMD(GLenum category, GLenum severity, GLuint id, GLsizei length, const GLchar *buf)
{
    UNUSED_PARAMETER(category);
    UNUSED_PARAMETER(severity);
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(buf);
    Warning( "glDebugMessageInsertAMD", " not available." );
  }

  static GLuint REGAL_CALL glGetDebugMessageLogAMD(GLuint count, GLsizei bufsize, GLenum *categories, GLuint *severities, GLuint *ids, GLsizei *lengths, GLchar *message)
{
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(bufsize);
    UNUSED_PARAMETER(categories);
    UNUSED_PARAMETER(severities);
    UNUSED_PARAMETER(ids);
    UNUSED_PARAMETER(lengths);
    UNUSED_PARAMETER(message);
    Warning( "glGetDebugMessageLogAMD", " not available." );
    return 0;
  }

// GL_AMD_draw_buffers_blend

  static void REGAL_CALL glBlendEquationIndexedAMD(GLuint buf, GLenum mode)
{
    UNUSED_PARAMETER(buf);
    UNUSED_PARAMETER(mode);
    Warning( "glBlendEquationIndexedAMD", " not available." );
  }

  static void REGAL_CALL glBlendEquationSeparateIndexedAMD(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
{
    UNUSED_PARAMETER(buf);
    UNUSED_PARAMETER(modeRGB);
    UNUSED_PARAMETER(modeAlpha);
    Warning( "glBlendEquationSeparateIndexedAMD", " not available." );
  }

  static void REGAL_CALL glBlendFuncIndexedAMD(GLuint buf, GLenum src, GLenum dst)
{
    UNUSED_PARAMETER(buf);
    UNUSED_PARAMETER(src);
    UNUSED_PARAMETER(dst);
    Warning( "glBlendFuncIndexedAMD", " not available." );
  }

  static void REGAL_CALL glBlendFuncSeparateIndexedAMD(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
{
    UNUSED_PARAMETER(buf);
    UNUSED_PARAMETER(srcRGB);
    UNUSED_PARAMETER(dstRGB);
    UNUSED_PARAMETER(srcAlpha);
    UNUSED_PARAMETER(dstAlpha);
    Warning( "glBlendFuncSeparateIndexedAMD", " not available." );
  }

// GL_AMD_interleaved_elements

  static void REGAL_CALL glVertexAttribParameteriAMD(GLuint index, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glVertexAttribParameteriAMD", " not available." );
  }

// GL_AMD_multi_draw_indirect

  static void REGAL_CALL glMultiDrawArraysIndirectAMD(GLenum mode, const GLvoid *indirect, GLsizei primcount, GLsizei stride)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(indirect);
    UNUSED_PARAMETER(primcount);
    UNUSED_PARAMETER(stride);
    Warning( "glMultiDrawArraysIndirectAMD", " not available." );
  }

  static void REGAL_CALL glMultiDrawElementsIndirectAMD(GLenum mode, GLenum type, const GLvoid *indirect, GLsizei primcount, GLsizei stride)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indirect);
    UNUSED_PARAMETER(primcount);
    UNUSED_PARAMETER(stride);
    Warning( "glMultiDrawElementsIndirectAMD", " not available." );
  }

// GL_AMD_name_gen_delete

  static void REGAL_CALL glDeleteNamesAMD(GLenum identifier, GLuint num, const GLuint *names)
{
    UNUSED_PARAMETER(identifier);
    UNUSED_PARAMETER(num);
    UNUSED_PARAMETER(names);
    Warning( "glDeleteNamesAMD", " not available." );
  }

  static void REGAL_CALL glGenNamesAMD(GLenum identifier, GLuint num, GLuint *names)
{
    UNUSED_PARAMETER(identifier);
    UNUSED_PARAMETER(num);
    UNUSED_PARAMETER(names);
    Warning( "glGenNamesAMD", " not available." );
  }

  static GLboolean REGAL_CALL glIsNameAMD(GLenum identifier, GLuint name)
{
    UNUSED_PARAMETER(identifier);
    UNUSED_PARAMETER(name);
    Warning( "glIsNameAMD", " not available." );
    return GL_FALSE;
  }

// GL_AMD_performance_monitor

  static void REGAL_CALL glBeginPerfMonitorAMD(GLuint monitor)
{
    UNUSED_PARAMETER(monitor);
    Warning( "glBeginPerfMonitorAMD", " not available." );
  }

  static void REGAL_CALL glDeletePerfMonitorsAMD(GLsizei n, GLuint *monitors)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(monitors);
    Warning( "glDeletePerfMonitorsAMD", " not available." );
  }

  static void REGAL_CALL glEndPerfMonitorAMD(GLuint monitor)
{
    UNUSED_PARAMETER(monitor);
    Warning( "glEndPerfMonitorAMD", " not available." );
  }

  static void REGAL_CALL glGenPerfMonitorsAMD(GLsizei n, GLuint *monitors)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(monitors);
    Warning( "glGenPerfMonitorsAMD", " not available." );
  }

  static void REGAL_CALL glGetPerfMonitorCounterDataAMD(GLuint monitor, GLenum pname, GLsizei dataSize, GLuint *data, GLint *bytesWritten)
{
    UNUSED_PARAMETER(monitor);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(dataSize);
    UNUSED_PARAMETER(data);
    UNUSED_PARAMETER(bytesWritten);
    Warning( "glGetPerfMonitorCounterDataAMD", " not available." );
  }

  static void REGAL_CALL glGetPerfMonitorCounterInfoAMD(GLuint group, GLuint counter, GLenum pname, GLvoid *data)
{
    UNUSED_PARAMETER(group);
    UNUSED_PARAMETER(counter);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(data);
    Warning( "glGetPerfMonitorCounterInfoAMD", " not available." );
  }

  static void REGAL_CALL glGetPerfMonitorCounterStringAMD(GLuint group, GLuint counter, GLsizei bufSize, GLsizei *length, GLchar *counterString)
{
    UNUSED_PARAMETER(group);
    UNUSED_PARAMETER(counter);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(counterString);
    Warning( "glGetPerfMonitorCounterStringAMD", " not available." );
  }

  static void REGAL_CALL glGetPerfMonitorCountersAMD(GLuint group, GLint *numCounters, GLint *maxActiveCounters, GLsizei counterSize, GLuint *counters)
{
    UNUSED_PARAMETER(group);
    UNUSED_PARAMETER(numCounters);
    UNUSED_PARAMETER(maxActiveCounters);
    UNUSED_PARAMETER(counterSize);
    UNUSED_PARAMETER(counters);
    Warning( "glGetPerfMonitorCountersAMD", " not available." );
  }

  static void REGAL_CALL glGetPerfMonitorGroupStringAMD(GLuint group, GLsizei bufSize, GLsizei *length, GLchar *groupString)
{
    UNUSED_PARAMETER(group);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(groupString);
    Warning( "glGetPerfMonitorGroupStringAMD", " not available." );
  }

  static void REGAL_CALL glGetPerfMonitorGroupsAMD(GLint *numGroups, GLsizei groupsSize, GLuint *groups)
{
    UNUSED_PARAMETER(numGroups);
    UNUSED_PARAMETER(groupsSize);
    UNUSED_PARAMETER(groups);
    Warning( "glGetPerfMonitorGroupsAMD", " not available." );
  }

  static void REGAL_CALL glSelectPerfMonitorCountersAMD(GLuint monitor, GLboolean enable, GLuint group, GLint numCounters, GLuint *counterList)
{
    UNUSED_PARAMETER(monitor);
    UNUSED_PARAMETER(enable);
    UNUSED_PARAMETER(group);
    UNUSED_PARAMETER(numCounters);
    UNUSED_PARAMETER(counterList);
    Warning( "glSelectPerfMonitorCountersAMD", " not available." );
  }

// GL_AMD_sample_positions

  static void REGAL_CALL glSetMultisamplefvAMD(GLenum pname, GLuint index, const GLfloat *val)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(val);
    Warning( "glSetMultisamplefvAMD", " not available." );
  }

// GL_AMD_sparse_texture

  static void REGAL_CALL glTexStorageSparseAMD(GLenum target, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLsizei layers, GLbitfield flags)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalFormat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(layers);
    UNUSED_PARAMETER(flags);
    Warning( "glTexStorageSparseAMD", " not available." );
  }

  static void REGAL_CALL glTextureStorageSparseAMD(GLuint texture, GLenum target, GLenum internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLsizei layers, GLbitfield flags)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalFormat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(layers);
    UNUSED_PARAMETER(flags);
    Warning( "glTextureStorageSparseAMD", " not available." );
  }

// GL_AMD_stencil_operation_extended

  static void REGAL_CALL glStencilOpValueAMD(GLenum face, GLuint value)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(value);
    Warning( "glStencilOpValueAMD", " not available." );
  }

// GL_AMD_vertex_shader_tessellator

  static void REGAL_CALL glTessellationFactorAMD(GLfloat factor)
{
    UNUSED_PARAMETER(factor);
    Warning( "glTessellationFactorAMD", " not available." );
  }

  static void REGAL_CALL glTessellationModeAMD(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glTessellationModeAMD", " not available." );
  }

// GL_ANGLE_framebuffer_blit

  static void REGAL_CALL glBlitFramebufferANGLE(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    UNUSED_PARAMETER(srcX0);
    UNUSED_PARAMETER(srcY0);
    UNUSED_PARAMETER(srcX1);
    UNUSED_PARAMETER(srcY1);
    UNUSED_PARAMETER(dstX0);
    UNUSED_PARAMETER(dstY0);
    UNUSED_PARAMETER(dstX1);
    UNUSED_PARAMETER(dstY1);
    UNUSED_PARAMETER(mask);
    UNUSED_PARAMETER(filter);
    Warning( "glBlitFramebufferANGLE", " not available." );
  }

// GL_ANGLE_framebuffer_multisample

  static void REGAL_CALL glRenderbufferStorageMultisampleANGLE(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glRenderbufferStorageMultisampleANGLE", " not available." );
  }

// GL_ANGLE_instanced_arrays

  static void REGAL_CALL glDrawArraysInstancedANGLE(GLenum mode, GLint first, GLsizei count, GLsizei primcount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(primcount);
    Warning( "glDrawArraysInstancedANGLE", " not available." );
  }

  static void REGAL_CALL glDrawElementsInstancedANGLE(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    UNUSED_PARAMETER(primcount);
    Warning( "glDrawElementsInstancedANGLE", " not available." );
  }

  static void REGAL_CALL glVertexAttribDivisorANGLE(GLuint index, GLuint divisor)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(divisor);
    Warning( "glVertexAttribDivisorANGLE", " not available." );
  }

// GL_ANGLE_timer_query

  static void REGAL_CALL glBeginQueryANGLE(GLenum target, GLuint id)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(id);
    Warning( "glBeginQueryANGLE", " not available." );
  }

  static void REGAL_CALL glDeleteQueriesANGLE(GLsizei n, const GLuint *ids)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glDeleteQueriesANGLE", " not available." );
  }

  static void REGAL_CALL glEndQueryANGLE(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glEndQueryANGLE", " not available." );
  }

  static void REGAL_CALL glGenQueriesANGLE(GLsizei n, GLuint *ids)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glGenQueriesANGLE", " not available." );
  }

  static void REGAL_CALL glGetQueryObjecti64vANGLE(GLuint id, GLenum pname, GLint64 *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryObjecti64vANGLE", " not available." );
  }

  static void REGAL_CALL glGetQueryObjectivANGLE(GLuint id, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryObjectivANGLE", " not available." );
  }

  static void REGAL_CALL glGetQueryObjectui64vANGLE(GLuint id, GLenum pname, GLuint64 *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryObjectui64vANGLE", " not available." );
  }

  static void REGAL_CALL glGetQueryObjectuivANGLE(GLuint id, GLenum pname, GLuint *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryObjectuivANGLE", " not available." );
  }

  static void REGAL_CALL glGetQueryivANGLE(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryivANGLE", " not available." );
  }

  static GLboolean REGAL_CALL glIsQueryANGLE(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glIsQueryANGLE", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glQueryCounterANGLE(GLuint id, GLenum target)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(target);
    Warning( "glQueryCounterANGLE", " not available." );
  }

// GL_ANGLE_translated_shader_source

  static void REGAL_CALL glGetTranslatedShaderSourceANGLE(GLuint shader, GLsizei bufsize, GLsizei *length, GLchar *source)
{
    UNUSED_PARAMETER(shader);
    UNUSED_PARAMETER(bufsize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(source);
    Warning( "glGetTranslatedShaderSourceANGLE", " not available." );
  }

// GL_APPLE_copy_texture_levels

  static void REGAL_CALL glCopyTextureLevelsAPPLE(GLuint destinationTexture, GLuint sourceTexture, GLint sourceBaseLevel, GLsizei sourceLevelCount)
{
    UNUSED_PARAMETER(destinationTexture);
    UNUSED_PARAMETER(sourceTexture);
    UNUSED_PARAMETER(sourceBaseLevel);
    UNUSED_PARAMETER(sourceLevelCount);
    Warning( "glCopyTextureLevelsAPPLE", " not available." );
  }

// GL_APPLE_element_array

  static void REGAL_CALL glDrawElementArrayAPPLE(GLenum mode, GLint first, GLsizei count)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    Warning( "glDrawElementArrayAPPLE", " not available." );
  }

  static void REGAL_CALL glDrawRangeElementArrayAPPLE(GLenum mode, GLuint start, GLuint end, GLint first, GLsizei count)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(start);
    UNUSED_PARAMETER(end);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    Warning( "glDrawRangeElementArrayAPPLE", " not available." );
  }

  static void REGAL_CALL glElementPointerAPPLE(GLenum type, const GLvoid *pointer)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pointer);
    Warning( "glElementPointerAPPLE", " not available." );
  }

  static void REGAL_CALL glMultiDrawElementArrayAPPLE(GLenum mode, const GLint *first, const GLsizei *count, GLsizei primcount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(primcount);
    Warning( "glMultiDrawElementArrayAPPLE", " not available." );
  }

  static void REGAL_CALL glMultiDrawRangeElementArrayAPPLE(GLenum mode, GLuint start, GLuint end, const GLint *first, const GLsizei *count, GLsizei primcount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(start);
    UNUSED_PARAMETER(end);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(primcount);
    Warning( "glMultiDrawRangeElementArrayAPPLE", " not available." );
  }

// GL_APPLE_fence

  static void REGAL_CALL glDeleteFencesAPPLE(GLsizei n, const GLuint *fences)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(fences);
    Warning( "glDeleteFencesAPPLE", " not available." );
  }

  static void REGAL_CALL glFinishFenceAPPLE(GLuint fence)
{
    UNUSED_PARAMETER(fence);
    Warning( "glFinishFenceAPPLE", " not available." );
  }

  static void REGAL_CALL glFinishObjectAPPLE(GLenum object, GLint name)
{
    UNUSED_PARAMETER(object);
    UNUSED_PARAMETER(name);
    Warning( "glFinishObjectAPPLE", " not available." );
  }

  static void REGAL_CALL glGenFencesAPPLE(GLsizei n, GLuint *fences)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(fences);
    Warning( "glGenFencesAPPLE", " not available." );
  }

  static GLboolean REGAL_CALL glIsFenceAPPLE(GLuint fence)
{
    UNUSED_PARAMETER(fence);
    Warning( "glIsFenceAPPLE", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glSetFenceAPPLE(GLuint fence)
{
    UNUSED_PARAMETER(fence);
    Warning( "glSetFenceAPPLE", " not available." );
  }

  static GLboolean REGAL_CALL glTestFenceAPPLE(GLuint fence)
{
    UNUSED_PARAMETER(fence);
    Warning( "glTestFenceAPPLE", " not available." );
    return GL_FALSE;
  }

  static GLboolean REGAL_CALL glTestObjectAPPLE(GLenum object, GLuint name)
{
    UNUSED_PARAMETER(object);
    UNUSED_PARAMETER(name);
    Warning( "glTestObjectAPPLE", " not available." );
    return GL_FALSE;
  }

// GL_APPLE_flush_buffer_range

  static void REGAL_CALL glBufferParameteriAPPLE(GLenum target, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glBufferParameteriAPPLE", " not available." );
  }

  static void REGAL_CALL glFlushMappedBufferRangeAPPLE(GLenum target, GLintptr offset, GLsizeiptr size)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    Warning( "glFlushMappedBufferRangeAPPLE", " not available." );
  }

// GL_APPLE_flush_render

  static void REGAL_CALL glFinishRenderAPPLE(void)
{
    Warning( "glFinishRenderAPPLE", " not available." );
  }

  static void REGAL_CALL glFlushRenderAPPLE(void)
{
    Warning( "glFlushRenderAPPLE", " not available." );
  }

  static void REGAL_CALL glSwapAPPLE(void)
{
    Warning( "glSwapAPPLE", " not available." );
  }

// GL_APPLE_framebuffer_multisample

  static void REGAL_CALL glRenderbufferStorageMultisampleAPPLE(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glRenderbufferStorageMultisampleAPPLE", " not available." );
  }

  static void REGAL_CALL glResolveMultisampleFramebufferAPPLE(void)
{
    Warning( "glResolveMultisampleFramebufferAPPLE", " not available." );
  }

// GL_APPLE_object_purgeable

  static void REGAL_CALL glGetObjectParameterivAPPLE(GLenum objectType, GLuint name, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(objectType);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetObjectParameterivAPPLE", " not available." );
  }

  static GLenum REGAL_CALL glObjectPurgeableAPPLE(GLenum objectType, GLuint name, GLenum option)
{
    UNUSED_PARAMETER(objectType);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(option);
    Warning( "glObjectPurgeableAPPLE", " not available." );
    return 0;
  }

  static GLenum REGAL_CALL glObjectUnpurgeableAPPLE(GLenum objectType, GLuint name, GLenum option)
{
    UNUSED_PARAMETER(objectType);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(option);
    Warning( "glObjectUnpurgeableAPPLE", " not available." );
    return 0;
  }

// GL_APPLE_sync

  static GLenum REGAL_CALL glClientWaitSyncAPPLE(GLsync sync, GLbitfield flags, GLuint64 timeout)
{
    UNUSED_PARAMETER(sync);
    UNUSED_PARAMETER(flags);
    UNUSED_PARAMETER(timeout);
    Warning( "glClientWaitSyncAPPLE", " not available." );
    return 0;
  }

  static void REGAL_CALL glDeleteSyncAPPLE(GLsync sync)
{
    UNUSED_PARAMETER(sync);
    Warning( "glDeleteSyncAPPLE", " not available." );
  }

  static GLsync REGAL_CALL glFenceSyncAPPLE(GLenum condition, GLbitfield flags)
{
    UNUSED_PARAMETER(condition);
    UNUSED_PARAMETER(flags);
    Warning( "glFenceSyncAPPLE", " not available." );
    return NULL;
  }

  static void REGAL_CALL glGetInteger64vAPPLE(GLenum pname, GLint64 *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetInteger64vAPPLE", " not available." );
  }

  static void REGAL_CALL glGetSyncivAPPLE(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei *length, GLint *values)
{
    UNUSED_PARAMETER(sync);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(values);
    Warning( "glGetSyncivAPPLE", " not available." );
  }

  static GLboolean REGAL_CALL glIsSyncAPPLE(GLsync sync)
{
    UNUSED_PARAMETER(sync);
    Warning( "glIsSyncAPPLE", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glWaitSyncAPPLE(GLsync sync, GLbitfield flags, GLuint64 timeout)
{
    UNUSED_PARAMETER(sync);
    UNUSED_PARAMETER(flags);
    UNUSED_PARAMETER(timeout);
    Warning( "glWaitSyncAPPLE", " not available." );
  }

// GL_APPLE_texture_range

  static void REGAL_CALL glGetTexParameterPointervAPPLE(GLenum target, GLenum pname, GLvoid **params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexParameterPointervAPPLE", " not available." );
  }

  static void REGAL_CALL glTextureRangeAPPLE(GLenum target, GLsizei length, const GLvoid *pointer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(pointer);
    Warning( "glTextureRangeAPPLE", " not available." );
  }

// GL_APPLE_vertex_array_object

  static void REGAL_CALL glBindVertexArrayAPPLE(GLuint array)
{
    UNUSED_PARAMETER(array);
    Warning( "glBindVertexArrayAPPLE", " not available." );
  }

  static void REGAL_CALL glDeleteVertexArraysAPPLE(GLsizei n, const GLuint *arrays)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(arrays);
    Warning( "glDeleteVertexArraysAPPLE", " not available." );
  }

  static void REGAL_CALL glGenVertexArraysAPPLE(GLsizei n, GLuint *arrays)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(arrays);
    Warning( "glGenVertexArraysAPPLE", " not available." );
  }

  static GLboolean REGAL_CALL glIsVertexArrayAPPLE(GLuint array)
{
    UNUSED_PARAMETER(array);
    Warning( "glIsVertexArrayAPPLE", " not available." );
    return GL_FALSE;
  }

// GL_APPLE_vertex_array_range

  static void REGAL_CALL glFlushVertexArrayRangeAPPLE(GLsizei length, GLvoid *pointer)
{
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(pointer);
    Warning( "glFlushVertexArrayRangeAPPLE", " not available." );
  }

  static void REGAL_CALL glVertexArrayParameteriAPPLE(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glVertexArrayParameteriAPPLE", " not available." );
  }

  static void REGAL_CALL glVertexArrayRangeAPPLE(GLsizei length, GLvoid *pointer)
{
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(pointer);
    Warning( "glVertexArrayRangeAPPLE", " not available." );
  }

// GL_APPLE_vertex_program_evaluators

  static void REGAL_CALL glDisableVertexAttribAPPLE(GLuint index, GLenum pname)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    Warning( "glDisableVertexAttribAPPLE", " not available." );
  }

  static void REGAL_CALL glEnableVertexAttribAPPLE(GLuint index, GLenum pname)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    Warning( "glEnableVertexAttribAPPLE", " not available." );
  }

  static GLboolean REGAL_CALL glIsVertexAttribEnabledAPPLE(GLuint index, GLenum pname)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    Warning( "glIsVertexAttribEnabledAPPLE", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glMapVertexAttrib1dAPPLE(GLuint index, GLuint size, GLdouble u1, GLdouble u2, GLint stride, GLint order, const GLdouble *points)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(u1);
    UNUSED_PARAMETER(u2);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(order);
    UNUSED_PARAMETER(points);
    Warning( "glMapVertexAttrib1dAPPLE", " not available." );
  }

  static void REGAL_CALL glMapVertexAttrib1fAPPLE(GLuint index, GLuint size, GLfloat u1, GLfloat u2, GLint stride, GLint order, const GLfloat *points)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(u1);
    UNUSED_PARAMETER(u2);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(order);
    UNUSED_PARAMETER(points);
    Warning( "glMapVertexAttrib1fAPPLE", " not available." );
  }

  static void REGAL_CALL glMapVertexAttrib2dAPPLE(GLuint index, GLuint size, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, const GLdouble *points)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(u1);
    UNUSED_PARAMETER(u2);
    UNUSED_PARAMETER(ustride);
    UNUSED_PARAMETER(uorder);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    UNUSED_PARAMETER(vstride);
    UNUSED_PARAMETER(vorder);
    UNUSED_PARAMETER(points);
    Warning( "glMapVertexAttrib2dAPPLE", " not available." );
  }

  static void REGAL_CALL glMapVertexAttrib2fAPPLE(GLuint index, GLuint size, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, const GLfloat *points)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(u1);
    UNUSED_PARAMETER(u2);
    UNUSED_PARAMETER(ustride);
    UNUSED_PARAMETER(uorder);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    UNUSED_PARAMETER(vstride);
    UNUSED_PARAMETER(vorder);
    UNUSED_PARAMETER(points);
    Warning( "glMapVertexAttrib2fAPPLE", " not available." );
  }

// GL_ARB_ES2_compatibility

  static void REGAL_CALL glClearDepthf(GLclampf d)
{
    UNUSED_PARAMETER(d);
    Warning( "glClearDepthf", " not available." );
  }

  static void REGAL_CALL glDepthRangef(GLclampf n, GLclampf f)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(f);
    Warning( "glDepthRangef", " not available." );
  }

  static void REGAL_CALL glGetShaderPrecisionFormat(GLenum shadertype, GLenum precisiontype, GLint *range, GLint *precision)
{
    UNUSED_PARAMETER(shadertype);
    UNUSED_PARAMETER(precisiontype);
    UNUSED_PARAMETER(range);
    UNUSED_PARAMETER(precision);
    Warning( "glGetShaderPrecisionFormat", " not available." );
  }

  static void REGAL_CALL glReleaseShaderCompiler(void)
{
    Warning( "glReleaseShaderCompiler", " not available." );
  }

  static void REGAL_CALL glShaderBinary(GLsizei count, const GLuint *shaders, GLenum binaryformat, const GLvoid *binary, GLsizei length)
{
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(shaders);
    UNUSED_PARAMETER(binaryformat);
    UNUSED_PARAMETER(binary);
    UNUSED_PARAMETER(length);
    Warning( "glShaderBinary", " not available." );
  }

// GL_ARB_ES3_1_compatibility

  static void REGAL_CALL glMemoryBarrierByRegion(GLbitfield barriers)
{
    UNUSED_PARAMETER(barriers);
    Warning( "glMemoryBarrierByRegion", " not available." );
  }

// GL_ARB_base_instance

  static void REGAL_CALL glDrawArraysInstancedBaseInstance(GLenum mode, GLint first, GLsizei count, GLsizei primcount, GLuint baseinstance)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(primcount);
    UNUSED_PARAMETER(baseinstance);
    Warning( "glDrawArraysInstancedBaseInstance", " not available." );
  }

  static void REGAL_CALL glDrawElementsInstancedBaseInstance(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount, GLuint baseinstance)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    UNUSED_PARAMETER(primcount);
    UNUSED_PARAMETER(baseinstance);
    Warning( "glDrawElementsInstancedBaseInstance", " not available." );
  }

  static void REGAL_CALL glDrawElementsInstancedBaseVertexBaseInstance(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount, GLint basevertex, GLuint baseinstance)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    UNUSED_PARAMETER(primcount);
    UNUSED_PARAMETER(basevertex);
    UNUSED_PARAMETER(baseinstance);
    Warning( "glDrawElementsInstancedBaseVertexBaseInstance", " not available." );
  }

// GL_ARB_bindless_texture

  static GLuint64 REGAL_CALL glGetImageHandleARB(GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum format)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(layered);
    UNUSED_PARAMETER(layer);
    UNUSED_PARAMETER(format);
    Warning( "glGetImageHandleARB", " not available." );
    return 0;
  }

  static GLuint64 REGAL_CALL glGetTextureHandleARB(GLuint texture)
{
    UNUSED_PARAMETER(texture);
    Warning( "glGetTextureHandleARB", " not available." );
    return 0;
  }

  static GLuint64 REGAL_CALL glGetTextureSamplerHandleARB(GLuint texture, GLuint sampler)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(sampler);
    Warning( "glGetTextureSamplerHandleARB", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetVertexAttribLui64vARB(GLuint index, GLenum pname, GLuint64EXT *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribLui64vARB", " not available." );
  }

  static GLboolean REGAL_CALL glIsImageHandleResidentARB(GLuint64 handle)
{
    UNUSED_PARAMETER(handle);
    Warning( "glIsImageHandleResidentARB", " not available." );
    return GL_FALSE;
  }

  static GLboolean REGAL_CALL glIsTextureHandleResidentARB(GLuint64 handle)
{
    UNUSED_PARAMETER(handle);
    Warning( "glIsTextureHandleResidentARB", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glMakeImageHandleNonResidentARB(GLuint64 handle)
{
    UNUSED_PARAMETER(handle);
    Warning( "glMakeImageHandleNonResidentARB", " not available." );
  }

  static void REGAL_CALL glMakeImageHandleResidentARB(GLuint64 handle, GLenum access)
{
    UNUSED_PARAMETER(handle);
    UNUSED_PARAMETER(access);
    Warning( "glMakeImageHandleResidentARB", " not available." );
  }

  static void REGAL_CALL glMakeTextureHandleNonResidentARB(GLuint64 handle)
{
    UNUSED_PARAMETER(handle);
    Warning( "glMakeTextureHandleNonResidentARB", " not available." );
  }

  static void REGAL_CALL glMakeTextureHandleResidentARB(GLuint64 handle)
{
    UNUSED_PARAMETER(handle);
    Warning( "glMakeTextureHandleResidentARB", " not available." );
  }

  static void REGAL_CALL glProgramUniformHandleui64ARB(GLuint program, GLint location, GLuint64 value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformHandleui64ARB", " not available." );
  }

  static void REGAL_CALL glProgramUniformHandleui64vARB(GLuint program, GLint location, GLsizei count, const GLuint64 *values)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(values);
    Warning( "glProgramUniformHandleui64vARB", " not available." );
  }

  static void REGAL_CALL glUniformHandleui64ARB(GLint location, GLuint64 value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(value);
    Warning( "glUniformHandleui64ARB", " not available." );
  }

  static void REGAL_CALL glUniformHandleui64vARB(GLint location, GLsizei count, const GLuint64 *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniformHandleui64vARB", " not available." );
  }

  static void REGAL_CALL glVertexAttribL1ui64ARB(GLuint index, GLuint64EXT x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttribL1ui64ARB", " not available." );
  }

  static void REGAL_CALL glVertexAttribL1ui64vARB(GLuint index, const GLuint64EXT *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL1ui64vARB", " not available." );
  }

// GL_ARB_blend_func_extended

  static void REGAL_CALL glBindFragDataLocationIndexed(GLuint program, GLuint colorNumber, GLuint index, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(colorNumber);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(name);
    Warning( "glBindFragDataLocationIndexed", " not available." );
  }

  static GLint REGAL_CALL glGetFragDataIndex(GLuint program, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(name);
    Warning( "glGetFragDataIndex", " not available." );
    return 0;
  }

// GL_ARB_buffer_storage

  static void REGAL_CALL glBufferStorage(GLenum target, GLsizeiptr size, const GLvoid *data, GLbitfield flags)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    UNUSED_PARAMETER(flags);
    Warning( "glBufferStorage", " not available." );
  }

  static void REGAL_CALL glNamedBufferStorageEXT(GLuint buffer, GLsizeiptr size, const GLvoid *data, GLbitfield flags)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    UNUSED_PARAMETER(flags);
    Warning( "glNamedBufferStorageEXT", " not available." );
  }

// GL_ARB_cl_event

  static GLsync REGAL_CALL glCreateSyncFromCLeventARB(cl_context context, cl_event event, GLbitfield flags)
{
    UNUSED_PARAMETER(context);
    UNUSED_PARAMETER(event);
    UNUSED_PARAMETER(flags);
    Warning( "glCreateSyncFromCLeventARB", " not available." );
    return NULL;
  }

// GL_ARB_clear_buffer_object

  static void REGAL_CALL glClearBufferData(GLenum target, GLenum internalformat, GLenum format, GLenum type, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(data);
    Warning( "glClearBufferData", " not available." );
  }

  static void REGAL_CALL glClearBufferSubData(GLenum target, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(data);
    Warning( "glClearBufferSubData", " not available." );
  }

  static void REGAL_CALL glClearNamedBufferDataEXT(GLuint buffer, GLenum internalformat, GLenum format, GLenum type, const GLvoid *data)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(data);
    Warning( "glClearNamedBufferDataEXT", " not available." );
  }

  static void REGAL_CALL glClearNamedBufferSubDataEXT(GLuint buffer, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const GLvoid *data)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(data);
    Warning( "glClearNamedBufferSubDataEXT", " not available." );
  }

// GL_ARB_clear_texture

  static void REGAL_CALL glClearTexImage(GLuint texture, GLint level, GLenum format, GLenum type, const GLvoid *data)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(data);
    Warning( "glClearTexImage", " not available." );
  }

  static void REGAL_CALL glClearTexSubImage(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *data)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(data);
    Warning( "glClearTexSubImage", " not available." );
  }

// GL_ARB_clip_control

  static void REGAL_CALL glClipControl(GLenum origin, GLenum depth)
{
    UNUSED_PARAMETER(origin);
    UNUSED_PARAMETER(depth);
    Warning( "glClipControl", " not available." );
  }

// GL_ARB_color_buffer_float

  static void REGAL_CALL glClampColorARB(GLenum target, GLenum clamp)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(clamp);
    Warning( "glClampColorARB", " not available." );
  }

// GL_ARB_compute_shader

  static void REGAL_CALL glDispatchCompute(GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z)
{
    UNUSED_PARAMETER(num_groups_x);
    UNUSED_PARAMETER(num_groups_y);
    UNUSED_PARAMETER(num_groups_z);
    Warning( "glDispatchCompute", " not available." );
  }

  static void REGAL_CALL glDispatchComputeIndirect(GLintptr indirect)
{
    UNUSED_PARAMETER(indirect);
    Warning( "glDispatchComputeIndirect", " not available." );
  }

// GL_ARB_compute_variable_group_size

  static void REGAL_CALL glDispatchComputeGroupSizeARB(GLuint num_groups_x, GLuint num_groups_y, GLuint num_groups_z, GLuint group_size_x, GLuint group_size_y, GLuint group_size_z)
{
    UNUSED_PARAMETER(num_groups_x);
    UNUSED_PARAMETER(num_groups_y);
    UNUSED_PARAMETER(num_groups_z);
    UNUSED_PARAMETER(group_size_x);
    UNUSED_PARAMETER(group_size_y);
    UNUSED_PARAMETER(group_size_z);
    Warning( "glDispatchComputeGroupSizeARB", " not available." );
  }

// GL_ARB_copy_buffer

  static void REGAL_CALL glCopyBufferSubData(GLenum readtarget, GLenum writetarget, GLintptr readoffset, GLintptr writeoffset, GLsizeiptr size)
{
    UNUSED_PARAMETER(readtarget);
    UNUSED_PARAMETER(writetarget);
    UNUSED_PARAMETER(readoffset);
    UNUSED_PARAMETER(writeoffset);
    UNUSED_PARAMETER(size);
    Warning( "glCopyBufferSubData", " not available." );
  }

// GL_ARB_copy_image

  static void REGAL_CALL glCopyImageSubData(GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei srcWidth, GLsizei srcHeight, GLsizei srcDepth)
{
    UNUSED_PARAMETER(srcName);
    UNUSED_PARAMETER(srcTarget);
    UNUSED_PARAMETER(srcLevel);
    UNUSED_PARAMETER(srcX);
    UNUSED_PARAMETER(srcY);
    UNUSED_PARAMETER(srcZ);
    UNUSED_PARAMETER(dstName);
    UNUSED_PARAMETER(dstTarget);
    UNUSED_PARAMETER(dstLevel);
    UNUSED_PARAMETER(dstX);
    UNUSED_PARAMETER(dstY);
    UNUSED_PARAMETER(dstZ);
    UNUSED_PARAMETER(srcWidth);
    UNUSED_PARAMETER(srcHeight);
    UNUSED_PARAMETER(srcDepth);
    Warning( "glCopyImageSubData", " not available." );
  }

// GL_ARB_debug_output

  static void REGAL_CALL glDebugMessageCallbackARB(GLDEBUGPROCARB callback, const void *userParam)
{
    UNUSED_PARAMETER(callback);
    UNUSED_PARAMETER(userParam);
    Warning( "glDebugMessageCallbackARB", " not available." );
  }

  static void REGAL_CALL glDebugMessageControlARB(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled)
{
    UNUSED_PARAMETER(source);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(severity);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(ids);
    UNUSED_PARAMETER(enabled);
    Warning( "glDebugMessageControlARB", " not available." );
  }

  static void REGAL_CALL glDebugMessageInsertARB(GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar *buf)
{
    UNUSED_PARAMETER(source);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(severity);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(buf);
    Warning( "glDebugMessageInsertARB", " not available." );
  }

  static GLuint REGAL_CALL glGetDebugMessageLogARB(GLuint count, GLsizei bufSize, GLenum *sources, GLenum *types, GLuint *ids, GLenum *severities, GLsizei *lengths, GLchar *messageLog)
{
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(sources);
    UNUSED_PARAMETER(types);
    UNUSED_PARAMETER(ids);
    UNUSED_PARAMETER(severities);
    UNUSED_PARAMETER(lengths);
    UNUSED_PARAMETER(messageLog);
    Warning( "glGetDebugMessageLogARB", " not available." );
    return 0;
  }

// GL_ARB_direct_state_access

  static void REGAL_CALL glBindTextureUnit(GLuint unit, GLuint texture)
{
    UNUSED_PARAMETER(unit);
    UNUSED_PARAMETER(texture);
    Warning( "glBindTextureUnit", " not available." );
  }

  static void REGAL_CALL glBlitNamedFramebuffer(GLuint readFramebuffer, GLuint drawFramebuffer, GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    UNUSED_PARAMETER(readFramebuffer);
    UNUSED_PARAMETER(drawFramebuffer);
    UNUSED_PARAMETER(srcX0);
    UNUSED_PARAMETER(srcY0);
    UNUSED_PARAMETER(srcX1);
    UNUSED_PARAMETER(srcY1);
    UNUSED_PARAMETER(dstX0);
    UNUSED_PARAMETER(dstY0);
    UNUSED_PARAMETER(dstX1);
    UNUSED_PARAMETER(dstY1);
    UNUSED_PARAMETER(mask);
    UNUSED_PARAMETER(filter);
    Warning( "glBlitNamedFramebuffer", " not available." );
  }

  static GLenum REGAL_CALL glCheckNamedFramebufferStatus(GLuint framebuffer, GLenum target)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(target);
    Warning( "glCheckNamedFramebufferStatus", " not available." );
    return 0;
  }

  static void REGAL_CALL glClearNamedBufferData(GLuint buffer, GLenum internalformat, GLenum format, GLenum type, const GLvoid *data)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(data);
    Warning( "glClearNamedBufferData", " not available." );
  }

  static void REGAL_CALL glClearNamedBufferSubData(GLuint buffer, GLenum internalformat, GLintptr offset, GLsizeiptr size, GLenum format, GLenum type, const GLvoid *data)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(data);
    Warning( "glClearNamedBufferSubData", " not available." );
  }

  static void REGAL_CALL glClearNamedFramebufferfi(GLuint framebuffer, GLenum buffer, GLfloat depth, GLint stencil)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(stencil);
    Warning( "glClearNamedFramebufferfi", " not available." );
  }

  static void REGAL_CALL glClearNamedFramebufferfv(GLuint framebuffer, GLenum buffer, GLint drawbuffer, const GLfloat *value)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(drawbuffer);
    UNUSED_PARAMETER(value);
    Warning( "glClearNamedFramebufferfv", " not available." );
  }

  static void REGAL_CALL glClearNamedFramebufferiv(GLuint framebuffer, GLenum buffer, GLint drawbuffer, const GLint *value)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(drawbuffer);
    UNUSED_PARAMETER(value);
    Warning( "glClearNamedFramebufferiv", " not available." );
  }

  static void REGAL_CALL glClearNamedFramebufferuiv(GLuint framebuffer, GLenum buffer, GLint drawbuffer, const GLuint *value)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(drawbuffer);
    UNUSED_PARAMETER(value);
    Warning( "glClearNamedFramebufferuiv", " not available." );
  }

  static void REGAL_CALL glCompressedTextureSubImage1D(GLuint texture, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTextureSubImage1D", " not available." );
  }

  static void REGAL_CALL glCompressedTextureSubImage2D(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTextureSubImage2D", " not available." );
  }

  static void REGAL_CALL glCompressedTextureSubImage3D(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTextureSubImage3D", " not available." );
  }

  static void REGAL_CALL glCopyNamedBufferSubData(GLuint readBuffer, GLuint writeBuffer, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
{
    UNUSED_PARAMETER(readBuffer);
    UNUSED_PARAMETER(writeBuffer);
    UNUSED_PARAMETER(readOffset);
    UNUSED_PARAMETER(writeOffset);
    UNUSED_PARAMETER(size);
    Warning( "glCopyNamedBufferSubData", " not available." );
  }

  static void REGAL_CALL glCopyTextureSubImage1D(GLuint texture, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    Warning( "glCopyTextureSubImage1D", " not available." );
  }

  static void REGAL_CALL glCopyTextureSubImage2D(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glCopyTextureSubImage2D", " not available." );
  }

  static void REGAL_CALL glCopyTextureSubImage3D(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glCopyTextureSubImage3D", " not available." );
  }

  static void REGAL_CALL glCreateBuffers(GLsizei n, GLuint *buffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(buffers);
    Warning( "glCreateBuffers", " not available." );
  }

  static void REGAL_CALL glCreateFramebuffers(GLsizei n, GLuint *framebuffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(framebuffers);
    Warning( "glCreateFramebuffers", " not available." );
  }

  static void REGAL_CALL glCreateProgramPipelines(GLsizei n, GLuint *pipelines)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(pipelines);
    Warning( "glCreateProgramPipelines", " not available." );
  }

  static void REGAL_CALL glCreateQueries(GLenum target, GLsizei n, GLuint *ids)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glCreateQueries", " not available." );
  }

  static void REGAL_CALL glCreateRenderbuffers(GLsizei n, GLuint *renderbuffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(renderbuffers);
    Warning( "glCreateRenderbuffers", " not available." );
  }

  static void REGAL_CALL glCreateSamplers(GLsizei n, GLuint *samplers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(samplers);
    Warning( "glCreateSamplers", " not available." );
  }

  static void REGAL_CALL glCreateTextures(GLenum target, GLsizei n, GLuint *textures)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(textures);
    Warning( "glCreateTextures", " not available." );
  }

  static void REGAL_CALL glCreateTransformFeedbacks(GLsizei n, GLuint *ids)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glCreateTransformFeedbacks", " not available." );
  }

  static void REGAL_CALL glCreateVertexArrays(GLsizei n, GLuint *arrays)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(arrays);
    Warning( "glCreateVertexArrays", " not available." );
  }

  static void REGAL_CALL glDisableVertexArrayAttrib(GLuint vaobj, GLuint index)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(index);
    Warning( "glDisableVertexArrayAttrib", " not available." );
  }

  static void REGAL_CALL glEnableVertexArrayAttrib(GLuint vaobj, GLuint index)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(index);
    Warning( "glEnableVertexArrayAttrib", " not available." );
  }

  static void REGAL_CALL glFlushMappedNamedBufferRange(GLuint buffer, GLintptr offset, GLsizeiptr length)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(length);
    Warning( "glFlushMappedNamedBufferRange", " not available." );
  }

  static void REGAL_CALL glGenerateTextureMipmap(GLuint texture)
{
    UNUSED_PARAMETER(texture);
    Warning( "glGenerateTextureMipmap", " not available." );
  }

  static void REGAL_CALL glGetCompressedTextureImage(GLuint texture, GLint level, GLsizei bufSize, GLvoid *pixels)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(pixels);
    Warning( "glGetCompressedTextureImage", " not available." );
  }

  static void REGAL_CALL glGetNamedBufferParameteri64v(GLuint buffer, GLenum pname, GLint64 *params)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedBufferParameteri64v", " not available." );
  }

  static void REGAL_CALL glGetNamedBufferParameteriv(GLuint buffer, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedBufferParameteriv", " not available." );
  }

  static void REGAL_CALL glGetNamedBufferPointerv(GLuint buffer, GLenum pname, GLvoid **params)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedBufferPointerv", " not available." );
  }

  static void REGAL_CALL glGetNamedBufferSubData(GLuint buffer, GLintptr offset, GLsizeiptr size, GLvoid *data)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    Warning( "glGetNamedBufferSubData", " not available." );
  }

  static void REGAL_CALL glGetNamedFramebufferAttachmentParameteriv(GLuint framebuffer, GLenum attachment, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedFramebufferAttachmentParameteriv", " not available." );
  }

  static void REGAL_CALL glGetNamedFramebufferParameteriv(GLuint framebuffer, GLenum pname, GLint *param)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glGetNamedFramebufferParameteriv", " not available." );
  }

  static void REGAL_CALL glGetNamedRenderbufferParameteriv(GLuint renderbuffer, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(renderbuffer);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedRenderbufferParameteriv", " not available." );
  }

  static void REGAL_CALL glGetTextureImage(GLuint texture, GLint level, GLenum format, GLenum type, GLsizei bufSize, GLvoid *pixels)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(pixels);
    Warning( "glGetTextureImage", " not available." );
  }

  static void REGAL_CALL glGetTextureLevelParameterfv(GLuint texture, GLint level, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTextureLevelParameterfv", " not available." );
  }

  static void REGAL_CALL glGetTextureLevelParameteriv(GLuint texture, GLint level, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTextureLevelParameteriv", " not available." );
  }

  static void REGAL_CALL glGetTextureParameterIiv(GLuint texture, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTextureParameterIiv", " not available." );
  }

  static void REGAL_CALL glGetTextureParameterIuiv(GLuint texture, GLenum pname, GLuint *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTextureParameterIuiv", " not available." );
  }

  static void REGAL_CALL glGetTextureParameterfv(GLuint texture, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTextureParameterfv", " not available." );
  }

  static void REGAL_CALL glGetTextureParameteriv(GLuint texture, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTextureParameteriv", " not available." );
  }

  static void REGAL_CALL glGetTransformFeedbacki64_v(GLuint xfb, GLenum pname, GLuint index, GLint64 *param)
{
    UNUSED_PARAMETER(xfb);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(param);
    Warning( "glGetTransformFeedbacki64_v", " not available." );
  }

  static void REGAL_CALL glGetTransformFeedbacki_v(GLuint xfb, GLenum pname, GLuint index, GLint *param)
{
    UNUSED_PARAMETER(xfb);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(param);
    Warning( "glGetTransformFeedbacki_v", " not available." );
  }

  static void REGAL_CALL glGetTransformFeedbackiv(GLuint xfb, GLenum pname, GLint *param)
{
    UNUSED_PARAMETER(xfb);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glGetTransformFeedbackiv", " not available." );
  }

  static void REGAL_CALL glGetVertexArrayIndexed64iv(GLuint vaobj, GLuint index, GLenum pname, GLint64 *param)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glGetVertexArrayIndexed64iv", " not available." );
  }

  static void REGAL_CALL glGetVertexArrayIndexediv(GLuint vaobj, GLuint index, GLenum pname, GLint *param)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glGetVertexArrayIndexediv", " not available." );
  }

  static void REGAL_CALL glGetVertexArrayiv(GLuint vaobj, GLenum pname, GLint *param)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glGetVertexArrayiv", " not available." );
  }

  static void REGAL_CALL glInvalidateNamedFramebufferData(GLuint framebuffer, GLsizei numAttachments, const GLenum *attachments)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(numAttachments);
    UNUSED_PARAMETER(attachments);
    Warning( "glInvalidateNamedFramebufferData", " not available." );
  }

  static void REGAL_CALL glInvalidateNamedFramebufferSubData(GLuint framebuffer, GLsizei numAttachments, const GLenum *attachments, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(numAttachments);
    UNUSED_PARAMETER(attachments);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glInvalidateNamedFramebufferSubData", " not available." );
  }

  static GLvoid *REGAL_CALL glMapNamedBuffer(GLuint buffer, GLenum access)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(access);
    Warning( "glMapNamedBuffer", " not available." );
    return NULL;
  }

  static GLvoid *REGAL_CALL glMapNamedBufferRange(GLuint buffer, GLintptr offset, GLsizeiptr length, GLbitfield access)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(access);
    Warning( "glMapNamedBufferRange", " not available." );
    return NULL;
  }

  static void REGAL_CALL glNamedBufferData(GLuint buffer, GLsizeiptr size, const GLvoid *data, GLenum usage)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    UNUSED_PARAMETER(usage);
    Warning( "glNamedBufferData", " not available." );
  }

  static void REGAL_CALL glNamedBufferStorage(GLuint buffer, GLsizeiptr size, const GLvoid *data, GLbitfield flags)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    UNUSED_PARAMETER(flags);
    Warning( "glNamedBufferStorage", " not available." );
  }

  static void REGAL_CALL glNamedBufferSubData(GLuint buffer, GLintptr offset, GLsizeiptr size, const GLvoid *data)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    Warning( "glNamedBufferSubData", " not available." );
  }

  static void REGAL_CALL glNamedFramebufferDrawBuffer(GLuint framebuffer, GLenum mode)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(mode);
    Warning( "glNamedFramebufferDrawBuffer", " not available." );
  }

  static void REGAL_CALL glNamedFramebufferDrawBuffers(GLuint framebuffer, GLsizei n, const GLenum *bufs)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(bufs);
    Warning( "glNamedFramebufferDrawBuffers", " not available." );
  }

  static void REGAL_CALL glNamedFramebufferParameteri(GLuint framebuffer, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glNamedFramebufferParameteri", " not available." );
  }

  static void REGAL_CALL glNamedFramebufferReadBuffer(GLuint framebuffer, GLenum mode)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(mode);
    Warning( "glNamedFramebufferReadBuffer", " not available." );
  }

  static void REGAL_CALL glNamedFramebufferRenderbuffer(GLuint framebuffer, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(renderbuffertarget);
    UNUSED_PARAMETER(renderbuffer);
    Warning( "glNamedFramebufferRenderbuffer", " not available." );
  }

  static void REGAL_CALL glNamedFramebufferTexture(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    Warning( "glNamedFramebufferTexture", " not available." );
  }

  static void REGAL_CALL glNamedFramebufferTextureLayer(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLint layer)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(layer);
    Warning( "glNamedFramebufferTextureLayer", " not available." );
  }

  static void REGAL_CALL glNamedRenderbufferStorage(GLuint renderbuffer, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(renderbuffer);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glNamedRenderbufferStorage", " not available." );
  }

  static void REGAL_CALL glNamedRenderbufferStorageMultisample(GLuint renderbuffer, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(renderbuffer);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glNamedRenderbufferStorageMultisample", " not available." );
  }

  static void REGAL_CALL glTextureBuffer(GLuint texture, GLenum internalformat, GLuint buffer)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(buffer);
    Warning( "glTextureBuffer", " not available." );
  }

  static void REGAL_CALL glTextureBufferRange(GLuint texture, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    Warning( "glTextureBufferRange", " not available." );
  }

  static void REGAL_CALL glTextureParameterIiv(GLuint texture, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTextureParameterIiv", " not available." );
  }

  static void REGAL_CALL glTextureParameterIuiv(GLuint texture, GLenum pname, const GLuint *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTextureParameterIuiv", " not available." );
  }

  static void REGAL_CALL glTextureParameterf(GLuint texture, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTextureParameterf", " not available." );
  }

  static void REGAL_CALL glTextureParameterfv(GLuint texture, GLenum pname, const GLfloat *param)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTextureParameterfv", " not available." );
  }

  static void REGAL_CALL glTextureParameteri(GLuint texture, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTextureParameteri", " not available." );
  }

  static void REGAL_CALL glTextureParameteriv(GLuint texture, GLenum pname, const GLint *param)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTextureParameteriv", " not available." );
  }

  static void REGAL_CALL glTextureStorage1D(GLuint texture, GLsizei levels, GLenum internalformat, GLsizei width)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(levels);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    Warning( "glTextureStorage1D", " not available." );
  }

  static void REGAL_CALL glTextureStorage2D(GLuint texture, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(levels);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glTextureStorage2D", " not available." );
  }

  static void REGAL_CALL glTextureStorage2DMultisample(GLuint texture, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(fixedsamplelocations);
    Warning( "glTextureStorage2DMultisample", " not available." );
  }

  static void REGAL_CALL glTextureStorage3D(GLuint texture, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(levels);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    Warning( "glTextureStorage3D", " not available." );
  }

  static void REGAL_CALL glTextureStorage3DMultisample(GLuint texture, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(fixedsamplelocations);
    Warning( "glTextureStorage3DMultisample", " not available." );
  }

  static void REGAL_CALL glTextureSubImage1D(GLuint texture, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTextureSubImage1D", " not available." );
  }

  static void REGAL_CALL glTextureSubImage2D(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTextureSubImage2D", " not available." );
  }

  static void REGAL_CALL glTextureSubImage3D(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTextureSubImage3D", " not available." );
  }

  static void REGAL_CALL glTransformFeedbackBufferBase(GLuint xfb, GLuint index, GLuint buffer)
{
    UNUSED_PARAMETER(xfb);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(buffer);
    Warning( "glTransformFeedbackBufferBase", " not available." );
  }

  static void REGAL_CALL glTransformFeedbackBufferRange(GLuint xfb, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    UNUSED_PARAMETER(xfb);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    Warning( "glTransformFeedbackBufferRange", " not available." );
  }

  static GLboolean REGAL_CALL glUnmapNamedBuffer(GLuint buffer)
{
    UNUSED_PARAMETER(buffer);
    Warning( "glUnmapNamedBuffer", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glVertexArrayAttribBinding(GLuint vaobj, GLuint attribindex, GLuint bindingindex)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(attribindex);
    UNUSED_PARAMETER(bindingindex);
    Warning( "glVertexArrayAttribBinding", " not available." );
  }

  static void REGAL_CALL glVertexArrayAttribFormat(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(attribindex);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(relativeoffset);
    Warning( "glVertexArrayAttribFormat", " not available." );
  }

  static void REGAL_CALL glVertexArrayAttribIFormat(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(attribindex);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(relativeoffset);
    Warning( "glVertexArrayAttribIFormat", " not available." );
  }

  static void REGAL_CALL glVertexArrayAttribLFormat(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(attribindex);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(relativeoffset);
    Warning( "glVertexArrayAttribLFormat", " not available." );
  }

  static void REGAL_CALL glVertexArrayBindingDivisor(GLuint vaobj, GLuint bindingindex, GLuint divisor)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(bindingindex);
    UNUSED_PARAMETER(divisor);
    Warning( "glVertexArrayBindingDivisor", " not available." );
  }

  static void REGAL_CALL glVertexArrayElementBuffer(GLuint vaobj, GLuint buffer)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(buffer);
    Warning( "glVertexArrayElementBuffer", " not available." );
  }

  static void REGAL_CALL glVertexArrayVertexBuffer(GLuint vaobj, GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(bindingindex);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(stride);
    Warning( "glVertexArrayVertexBuffer", " not available." );
  }

  static void REGAL_CALL glVertexArrayVertexBuffers(GLuint vaobj, GLuint first, GLsizei count, const GLuint *buffers, const GLintptr *offsets, const GLsizei *strides)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(buffers);
    UNUSED_PARAMETER(offsets);
    UNUSED_PARAMETER(strides);
    Warning( "glVertexArrayVertexBuffers", " not available." );
  }

// GL_ARB_draw_buffers

  static void REGAL_CALL glDrawBuffersARB(GLsizei n, const GLenum *bufs)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(bufs);
    Warning( "glDrawBuffersARB", " not available." );
  }

// GL_ARB_draw_buffers_blend

  static void REGAL_CALL glBlendEquationSeparateiARB(GLuint buf, GLenum modeRGB, GLenum modeAlpha)
{
    UNUSED_PARAMETER(buf);
    UNUSED_PARAMETER(modeRGB);
    UNUSED_PARAMETER(modeAlpha);
    Warning( "glBlendEquationSeparateiARB", " not available." );
  }

  static void REGAL_CALL glBlendEquationiARB(GLuint buf, GLenum mode)
{
    UNUSED_PARAMETER(buf);
    UNUSED_PARAMETER(mode);
    Warning( "glBlendEquationiARB", " not available." );
  }

  static void REGAL_CALL glBlendFuncSeparateiARB(GLuint buf, GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
{
    UNUSED_PARAMETER(buf);
    UNUSED_PARAMETER(srcRGB);
    UNUSED_PARAMETER(dstRGB);
    UNUSED_PARAMETER(srcAlpha);
    UNUSED_PARAMETER(dstAlpha);
    Warning( "glBlendFuncSeparateiARB", " not available." );
  }

  static void REGAL_CALL glBlendFunciARB(GLuint buf, GLenum src, GLenum dst)
{
    UNUSED_PARAMETER(buf);
    UNUSED_PARAMETER(src);
    UNUSED_PARAMETER(dst);
    Warning( "glBlendFunciARB", " not available." );
  }

// GL_ARB_draw_elements_base_vertex

  static void REGAL_CALL glDrawElementsBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLint basevertex)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    UNUSED_PARAMETER(basevertex);
    Warning( "glDrawElementsBaseVertex", " not available." );
  }

  static void REGAL_CALL glDrawElementsInstancedBaseVertex(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount, GLint basevertex)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    UNUSED_PARAMETER(primcount);
    UNUSED_PARAMETER(basevertex);
    Warning( "glDrawElementsInstancedBaseVertex", " not available." );
  }

  static void REGAL_CALL glDrawRangeElementsBaseVertex(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices, GLint basevertex)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(start);
    UNUSED_PARAMETER(end);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    UNUSED_PARAMETER(basevertex);
    Warning( "glDrawRangeElementsBaseVertex", " not available." );
  }

  static void REGAL_CALL glMultiDrawElementsBaseVertex(GLenum mode, const GLsizei *count, GLenum type, const GLvoid * const *indices, GLsizei primcount, const GLint *basevertex)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    UNUSED_PARAMETER(primcount);
    UNUSED_PARAMETER(basevertex);
    Warning( "glMultiDrawElementsBaseVertex", " not available." );
  }

// GL_ARB_draw_instanced

  static void REGAL_CALL glDrawArraysInstancedARB(GLenum mode, GLint first, GLsizei count, GLsizei primcount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(primcount);
    Warning( "glDrawArraysInstancedARB", " not available." );
  }

  static void REGAL_CALL glDrawElementsInstancedARB(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    UNUSED_PARAMETER(primcount);
    Warning( "glDrawElementsInstancedARB", " not available." );
  }

// GL_ARB_framebuffer_no_attachments

  static void REGAL_CALL glFramebufferParameteri(GLenum target, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFramebufferParameteri", " not available." );
  }

  static void REGAL_CALL glGetFramebufferParameteriv(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFramebufferParameteriv", " not available." );
  }

  static void REGAL_CALL glGetNamedFramebufferParameterivEXT(GLuint framebuffer, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedFramebufferParameterivEXT", " not available." );
  }

  static void REGAL_CALL glNamedFramebufferParameteriEXT(GLuint framebuffer, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glNamedFramebufferParameteriEXT", " not available." );
  }

// GL_ARB_framebuffer_object

  static void REGAL_CALL glBindFramebuffer(GLenum target, GLuint framebuffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(framebuffer);
    Warning( "glBindFramebuffer", " not available." );
  }

  static void REGAL_CALL glBindRenderbuffer(GLenum target, GLuint renderbuffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(renderbuffer);
    Warning( "glBindRenderbuffer", " not available." );
  }

  static void REGAL_CALL glBlitFramebuffer(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    UNUSED_PARAMETER(srcX0);
    UNUSED_PARAMETER(srcY0);
    UNUSED_PARAMETER(srcX1);
    UNUSED_PARAMETER(srcY1);
    UNUSED_PARAMETER(dstX0);
    UNUSED_PARAMETER(dstY0);
    UNUSED_PARAMETER(dstX1);
    UNUSED_PARAMETER(dstY1);
    UNUSED_PARAMETER(mask);
    UNUSED_PARAMETER(filter);
    Warning( "glBlitFramebuffer", " not available." );
  }

  static GLenum REGAL_CALL glCheckFramebufferStatus(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glCheckFramebufferStatus", " not available." );
    return 0;
  }

  static void REGAL_CALL glDeleteFramebuffers(GLsizei n, const GLuint *framebuffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(framebuffers);
    Warning( "glDeleteFramebuffers", " not available." );
  }

  static void REGAL_CALL glDeleteRenderbuffers(GLsizei n, const GLuint *renderbuffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(renderbuffers);
    Warning( "glDeleteRenderbuffers", " not available." );
  }

  static void REGAL_CALL glFramebufferRenderbuffer(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(renderbuffertarget);
    UNUSED_PARAMETER(renderbuffer);
    Warning( "glFramebufferRenderbuffer", " not available." );
  }

  static void REGAL_CALL glFramebufferTexture1D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(textarget);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    Warning( "glFramebufferTexture1D", " not available." );
  }

  static void REGAL_CALL glFramebufferTexture2D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(textarget);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    Warning( "glFramebufferTexture2D", " not available." );
  }

  static void REGAL_CALL glFramebufferTexture3D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint layer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(textarget);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(layer);
    Warning( "glFramebufferTexture3D", " not available." );
  }

  static void REGAL_CALL glFramebufferTextureLayer(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(layer);
    Warning( "glFramebufferTextureLayer", " not available." );
  }

  static void REGAL_CALL glGenFramebuffers(GLsizei n, GLuint *framebuffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(framebuffers);
    Warning( "glGenFramebuffers", " not available." );
  }

  static void REGAL_CALL glGenRenderbuffers(GLsizei n, GLuint *renderbuffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(renderbuffers);
    Warning( "glGenRenderbuffers", " not available." );
  }

  static void REGAL_CALL glGenerateMipmap(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glGenerateMipmap", " not available." );
  }

  static void REGAL_CALL glGetFramebufferAttachmentParameteriv(GLenum target, GLenum attachment, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFramebufferAttachmentParameteriv", " not available." );
  }

  static void REGAL_CALL glGetRenderbufferParameteriv(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetRenderbufferParameteriv", " not available." );
  }

  static GLboolean REGAL_CALL glIsFramebuffer(GLuint framebuffer)
{
    UNUSED_PARAMETER(framebuffer);
    Warning( "glIsFramebuffer", " not available." );
    return GL_FALSE;
  }

  static GLboolean REGAL_CALL glIsRenderbuffer(GLuint renderbuffer)
{
    UNUSED_PARAMETER(renderbuffer);
    Warning( "glIsRenderbuffer", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glRenderbufferStorage(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glRenderbufferStorage", " not available." );
  }

  static void REGAL_CALL glRenderbufferStorageMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glRenderbufferStorageMultisample", " not available." );
  }

// GL_ARB_geometry_shader4

  static void REGAL_CALL glFramebufferTextureARB(GLenum target, GLenum attachment, GLuint texture, GLint level)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    Warning( "glFramebufferTextureARB", " not available." );
  }

  static void REGAL_CALL glFramebufferTextureFaceARB(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(face);
    Warning( "glFramebufferTextureFaceARB", " not available." );
  }

  static void REGAL_CALL glFramebufferTextureLayerARB(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(layer);
    Warning( "glFramebufferTextureLayerARB", " not available." );
  }

  static void REGAL_CALL glProgramParameteriARB(GLuint program, GLenum pname, GLint value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(value);
    Warning( "glProgramParameteriARB", " not available." );
  }

// GL_ARB_get_program_binary

  static void REGAL_CALL glGetProgramBinary(GLuint program, GLsizei bufSize, GLsizei *length, GLenum *binaryFormat, GLvoid *binary)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(binaryFormat);
    UNUSED_PARAMETER(binary);
    Warning( "glGetProgramBinary", " not available." );
  }

  static void REGAL_CALL glProgramBinary(GLuint program, GLenum binaryFormat, const GLvoid *binary, GLsizei length)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(binaryFormat);
    UNUSED_PARAMETER(binary);
    UNUSED_PARAMETER(length);
    Warning( "glProgramBinary", " not available." );
  }

  static void REGAL_CALL glProgramParameteri(GLuint program, GLenum pname, GLint value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(value);
    Warning( "glProgramParameteri", " not available." );
  }

// GL_ARB_get_texture_sub_image

  static void REGAL_CALL glGetCompressedTextureSubImage(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLsizei bufSize, GLvoid *pixels)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(pixels);
    Warning( "glGetCompressedTextureSubImage", " not available." );
  }

  static void REGAL_CALL glGetTextureSubImage(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, GLsizei bufSize, GLvoid *pixels)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(pixels);
    Warning( "glGetTextureSubImage", " not available." );
  }

// GL_ARB_gpu_shader_fp64

  static void REGAL_CALL glGetUniformdv(GLuint program, GLint location, GLdouble *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(params);
    Warning( "glGetUniformdv", " not available." );
  }

  static void REGAL_CALL glUniform1d(GLint location, GLdouble x)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    Warning( "glUniform1d", " not available." );
  }

  static void REGAL_CALL glUniform1dv(GLint location, GLsizei count, const GLdouble *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform1dv", " not available." );
  }

  static void REGAL_CALL glUniform2d(GLint location, GLdouble x, GLdouble y)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glUniform2d", " not available." );
  }

  static void REGAL_CALL glUniform2dv(GLint location, GLsizei count, const GLdouble *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform2dv", " not available." );
  }

  static void REGAL_CALL glUniform3d(GLint location, GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glUniform3d", " not available." );
  }

  static void REGAL_CALL glUniform3dv(GLint location, GLsizei count, const GLdouble *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform3dv", " not available." );
  }

  static void REGAL_CALL glUniform4d(GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glUniform4d", " not available." );
  }

  static void REGAL_CALL glUniform4dv(GLint location, GLsizei count, const GLdouble *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform4dv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix2dv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix2x3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix2x3dv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix2x4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix2x4dv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix3dv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix3x2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix3x2dv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix3x4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix3x4dv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix4dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix4dv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix4x2dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix4x2dv", " not available." );
  }

  static void REGAL_CALL glUniformMatrix4x3dv(GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix4x3dv", " not available." );
  }

// GL_ARB_imaging

  static void REGAL_CALL glColorSubTable(GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(start);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(data);
    Warning( "glColorSubTable", " not available." );
  }

  static void REGAL_CALL glColorTable(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *table)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(table);
    Warning( "glColorTable", " not available." );
  }

  static void REGAL_CALL glColorTableParameterfv(GLenum target, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glColorTableParameterfv", " not available." );
  }

  static void REGAL_CALL glColorTableParameteriv(GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glColorTableParameteriv", " not available." );
  }

  static void REGAL_CALL glConvolutionFilter1D(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *image)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(image);
    Warning( "glConvolutionFilter1D", " not available." );
  }

  static void REGAL_CALL glConvolutionFilter2D(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *image)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(image);
    Warning( "glConvolutionFilter2D", " not available." );
  }

  static void REGAL_CALL glConvolutionParameterf(GLenum target, GLenum pname, GLfloat params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glConvolutionParameterf", " not available." );
  }

  static void REGAL_CALL glConvolutionParameterfv(GLenum target, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glConvolutionParameterfv", " not available." );
  }

  static void REGAL_CALL glConvolutionParameteri(GLenum target, GLenum pname, GLint params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glConvolutionParameteri", " not available." );
  }

  static void REGAL_CALL glConvolutionParameteriv(GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glConvolutionParameteriv", " not available." );
  }

  static void REGAL_CALL glCopyColorSubTable(GLenum target, GLsizei start, GLint x, GLint y, GLsizei width)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(start);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    Warning( "glCopyColorSubTable", " not available." );
  }

  static void REGAL_CALL glCopyColorTable(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    Warning( "glCopyColorTable", " not available." );
  }

  static void REGAL_CALL glCopyConvolutionFilter1D(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    Warning( "glCopyConvolutionFilter1D", " not available." );
  }

  static void REGAL_CALL glCopyConvolutionFilter2D(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glCopyConvolutionFilter2D", " not available." );
  }

  static void REGAL_CALL glGetColorTable(GLenum target, GLenum format, GLenum type, GLvoid *table)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(table);
    Warning( "glGetColorTable", " not available." );
  }

  static void REGAL_CALL glGetColorTableParameterfv(GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetColorTableParameterfv", " not available." );
  }

  static void REGAL_CALL glGetColorTableParameteriv(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetColorTableParameteriv", " not available." );
  }

  static void REGAL_CALL glGetConvolutionFilter(GLenum target, GLenum format, GLenum type, GLvoid *image)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(image);
    Warning( "glGetConvolutionFilter", " not available." );
  }

  static void REGAL_CALL glGetConvolutionParameterfv(GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetConvolutionParameterfv", " not available." );
  }

  static void REGAL_CALL glGetConvolutionParameteriv(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetConvolutionParameteriv", " not available." );
  }

  static void REGAL_CALL glGetHistogram(GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(reset);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(values);
    Warning( "glGetHistogram", " not available." );
  }

  static void REGAL_CALL glGetHistogramParameterfv(GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetHistogramParameterfv", " not available." );
  }

  static void REGAL_CALL glGetHistogramParameteriv(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetHistogramParameteriv", " not available." );
  }

  static void REGAL_CALL glGetMinmax(GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(reset);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(values);
    Warning( "glGetMinmax", " not available." );
  }

  static void REGAL_CALL glGetMinmaxParameterfv(GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMinmaxParameterfv", " not available." );
  }

  static void REGAL_CALL glGetMinmaxParameteriv(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMinmaxParameteriv", " not available." );
  }

  static void REGAL_CALL glGetSeparableFilter(GLenum target, GLenum format, GLenum type, GLvoid *row, GLvoid *column, GLvoid *span)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(row);
    UNUSED_PARAMETER(column);
    UNUSED_PARAMETER(span);
    Warning( "glGetSeparableFilter", " not available." );
  }

  static void REGAL_CALL glHistogram(GLenum target, GLsizei width, GLenum internalformat, GLboolean sink)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(sink);
    Warning( "glHistogram", " not available." );
  }

  static void REGAL_CALL glMinmax(GLenum target, GLenum internalformat, GLboolean sink)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(sink);
    Warning( "glMinmax", " not available." );
  }

  static void REGAL_CALL glResetHistogram(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glResetHistogram", " not available." );
  }

  static void REGAL_CALL glResetMinmax(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glResetMinmax", " not available." );
  }

  static void REGAL_CALL glSeparableFilter2D(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *row, const GLvoid *column)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(row);
    UNUSED_PARAMETER(column);
    Warning( "glSeparableFilter2D", " not available." );
  }

// GL_ARB_indirect_parameters

  static void REGAL_CALL glMultiDrawArraysIndirectCountARB(GLenum mode, const GLvoid *indirect, GLintptr drawcount, GLsizei maxdrawcount, GLsizei stride)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(indirect);
    UNUSED_PARAMETER(drawcount);
    UNUSED_PARAMETER(maxdrawcount);
    UNUSED_PARAMETER(stride);
    Warning( "glMultiDrawArraysIndirectCountARB", " not available." );
  }

  static void REGAL_CALL glMultiDrawElementsIndirectCountARB(GLenum mode, GLenum type, const GLvoid *indirect, GLintptr drawcount, GLsizei maxdrawcount, GLsizei stride)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indirect);
    UNUSED_PARAMETER(drawcount);
    UNUSED_PARAMETER(maxdrawcount);
    UNUSED_PARAMETER(stride);
    Warning( "glMultiDrawElementsIndirectCountARB", " not available." );
  }

// GL_ARB_instanced_arrays

  static void REGAL_CALL glVertexAttribDivisorARB(GLuint index, GLuint divisor)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(divisor);
    Warning( "glVertexAttribDivisorARB", " not available." );
  }

// GL_ARB_internalformat_query

  static void REGAL_CALL glGetInternalformativ(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(params);
    Warning( "glGetInternalformativ", " not available." );
  }

// GL_ARB_internalformat_query2

  static void REGAL_CALL glGetInternalformati64v(GLenum target, GLenum internalformat, GLenum pname, GLsizei bufSize, GLint64 *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(params);
    Warning( "glGetInternalformati64v", " not available." );
  }

// GL_ARB_invalidate_subdata

  static void REGAL_CALL glInvalidateBufferData(GLuint buffer)
{
    UNUSED_PARAMETER(buffer);
    Warning( "glInvalidateBufferData", " not available." );
  }

  static void REGAL_CALL glInvalidateBufferSubData(GLuint buffer, GLintptr offset, GLsizeiptr length)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(length);
    Warning( "glInvalidateBufferSubData", " not available." );
  }

  static void REGAL_CALL glInvalidateFramebuffer(GLenum target, GLsizei numAttachments, const GLenum *attachments)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(numAttachments);
    UNUSED_PARAMETER(attachments);
    Warning( "glInvalidateFramebuffer", " not available." );
  }

  static void REGAL_CALL glInvalidateSubFramebuffer(GLenum target, GLsizei numAttachments, const GLenum *attachments, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(numAttachments);
    UNUSED_PARAMETER(attachments);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glInvalidateSubFramebuffer", " not available." );
  }

  static void REGAL_CALL glInvalidateTexImage(GLuint texture, GLint level)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    Warning( "glInvalidateTexImage", " not available." );
  }

  static void REGAL_CALL glInvalidateTexSubImage(GLuint texture, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    Warning( "glInvalidateTexSubImage", " not available." );
  }

// GL_ARB_map_buffer_range

  static void REGAL_CALL glFlushMappedBufferRange(GLenum target, GLintptr offset, GLsizeiptr length)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(length);
    Warning( "glFlushMappedBufferRange", " not available." );
  }

  static GLvoid *REGAL_CALL glMapBufferRange(GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(access);
    Warning( "glMapBufferRange", " not available." );
    return NULL;
  }

// GL_ARB_matrix_palette

  static void REGAL_CALL glCurrentPaletteMatrixARB(GLint index)
{
    UNUSED_PARAMETER(index);
    Warning( "glCurrentPaletteMatrixARB", " not available." );
  }

  static void REGAL_CALL glMatrixIndexPointerARB(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glMatrixIndexPointerARB", " not available." );
  }

  static void REGAL_CALL glMatrixIndexubvARB(GLint size, const GLubyte *indices)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(indices);
    Warning( "glMatrixIndexubvARB", " not available." );
  }

  static void REGAL_CALL glMatrixIndexuivARB(GLint size, const GLuint *indices)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(indices);
    Warning( "glMatrixIndexuivARB", " not available." );
  }

  static void REGAL_CALL glMatrixIndexusvARB(GLint size, const GLushort *indices)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(indices);
    Warning( "glMatrixIndexusvARB", " not available." );
  }

// GL_ARB_multi_bind

  static void REGAL_CALL glBindBuffersBase(GLenum target, GLuint first, GLsizei count, const GLuint *buffers)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(buffers);
    Warning( "glBindBuffersBase", " not available." );
  }

  static void REGAL_CALL glBindBuffersRange(GLenum target, GLuint first, GLsizei count, const GLuint *buffers, const GLintptr *offsets, const GLsizeiptr *sizes)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(buffers);
    UNUSED_PARAMETER(offsets);
    UNUSED_PARAMETER(sizes);
    Warning( "glBindBuffersRange", " not available." );
  }

  static void REGAL_CALL glBindImageTextures(GLuint first, GLsizei count, const GLuint *textures)
{
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(textures);
    Warning( "glBindImageTextures", " not available." );
  }

  static void REGAL_CALL glBindSamplers(GLuint first, GLsizei count, const GLuint *samplers)
{
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(samplers);
    Warning( "glBindSamplers", " not available." );
  }

  static void REGAL_CALL glBindTextures(GLuint first, GLsizei count, const GLuint *textures)
{
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(textures);
    Warning( "glBindTextures", " not available." );
  }

  static void REGAL_CALL glBindVertexBuffers(GLuint first, GLsizei count, const GLuint *buffers, const GLintptr *offsets, const GLsizei *strides)
{
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(buffers);
    UNUSED_PARAMETER(offsets);
    UNUSED_PARAMETER(strides);
    Warning( "glBindVertexBuffers", " not available." );
  }

// GL_ARB_multi_draw_indirect

  static void REGAL_CALL glMultiDrawArraysIndirect(GLenum mode, const GLvoid *indirect, GLsizei primcount, GLsizei stride)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(indirect);
    UNUSED_PARAMETER(primcount);
    UNUSED_PARAMETER(stride);
    Warning( "glMultiDrawArraysIndirect", " not available." );
  }

  static void REGAL_CALL glMultiDrawElementsIndirect(GLenum mode, GLenum type, const GLvoid *indirect, GLsizei primcount, GLsizei stride)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indirect);
    UNUSED_PARAMETER(primcount);
    UNUSED_PARAMETER(stride);
    Warning( "glMultiDrawElementsIndirect", " not available." );
  }

// GL_ARB_multisample

  static void REGAL_CALL glSampleCoverageARB(GLclampf value, GLboolean invert)
{
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(invert);
    Warning( "glSampleCoverageARB", " not available." );
  }

// GL_ARB_multitexture

  static void REGAL_CALL glActiveTextureARB(GLenum texture)
{
    UNUSED_PARAMETER(texture);
    Warning( "glActiveTextureARB", " not available." );
  }

  static void REGAL_CALL glClientActiveTextureARB(GLenum texture)
{
    UNUSED_PARAMETER(texture);
    Warning( "glClientActiveTextureARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1dARB(GLenum target, GLdouble s)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    Warning( "glMultiTexCoord1dARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1dvARB(GLenum target, const GLdouble *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord1dvARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1fARB(GLenum target, GLfloat s)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    Warning( "glMultiTexCoord1fARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1fvARB(GLenum target, const GLfloat *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord1fvARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1iARB(GLenum target, GLint s)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    Warning( "glMultiTexCoord1iARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1ivARB(GLenum target, const GLint *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord1ivARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1sARB(GLenum target, GLshort s)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    Warning( "glMultiTexCoord1sARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1svARB(GLenum target, const GLshort *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord1svARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2dARB(GLenum target, GLdouble s, GLdouble t)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    Warning( "glMultiTexCoord2dARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2dvARB(GLenum target, const GLdouble *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord2dvARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2fARB(GLenum target, GLfloat s, GLfloat t)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    Warning( "glMultiTexCoord2fARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2fvARB(GLenum target, const GLfloat *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord2fvARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2iARB(GLenum target, GLint s, GLint t)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    Warning( "glMultiTexCoord2iARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2ivARB(GLenum target, const GLint *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord2ivARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2sARB(GLenum target, GLshort s, GLshort t)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    Warning( "glMultiTexCoord2sARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2svARB(GLenum target, const GLshort *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord2svARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3dARB(GLenum target, GLdouble s, GLdouble t, GLdouble r)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    Warning( "glMultiTexCoord3dARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3dvARB(GLenum target, const GLdouble *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord3dvARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3fARB(GLenum target, GLfloat s, GLfloat t, GLfloat r)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    Warning( "glMultiTexCoord3fARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3fvARB(GLenum target, const GLfloat *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord3fvARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3iARB(GLenum target, GLint s, GLint t, GLint r)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    Warning( "glMultiTexCoord3iARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3ivARB(GLenum target, const GLint *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord3ivARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3sARB(GLenum target, GLshort s, GLshort t, GLshort r)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    Warning( "glMultiTexCoord3sARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3svARB(GLenum target, const GLshort *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord3svARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4dARB(GLenum target, GLdouble s, GLdouble t, GLdouble r, GLdouble q)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(q);
    Warning( "glMultiTexCoord4dARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4dvARB(GLenum target, const GLdouble *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord4dvARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4fARB(GLenum target, GLfloat s, GLfloat t, GLfloat r, GLfloat q)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(q);
    Warning( "glMultiTexCoord4fARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4fvARB(GLenum target, const GLfloat *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord4fvARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4iARB(GLenum target, GLint s, GLint t, GLint r, GLint q)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(q);
    Warning( "glMultiTexCoord4iARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4ivARB(GLenum target, const GLint *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord4ivARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4sARB(GLenum target, GLshort s, GLshort t, GLshort r, GLshort q)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(q);
    Warning( "glMultiTexCoord4sARB", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4svARB(GLenum target, const GLshort *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord4svARB", " not available." );
  }

// GL_ARB_occlusion_query

  static void REGAL_CALL glBeginQueryARB(GLenum target, GLuint id)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(id);
    Warning( "glBeginQueryARB", " not available." );
  }

  static void REGAL_CALL glDeleteQueriesARB(GLsizei n, const GLuint *ids)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glDeleteQueriesARB", " not available." );
  }

  static void REGAL_CALL glEndQueryARB(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glEndQueryARB", " not available." );
  }

  static void REGAL_CALL glGenQueriesARB(GLsizei n, GLuint *ids)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glGenQueriesARB", " not available." );
  }

  static void REGAL_CALL glGetQueryObjectivARB(GLuint id, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryObjectivARB", " not available." );
  }

  static void REGAL_CALL glGetQueryObjectuivARB(GLuint id, GLenum pname, GLuint *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryObjectuivARB", " not available." );
  }

  static void REGAL_CALL glGetQueryivARB(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryivARB", " not available." );
  }

  static GLboolean REGAL_CALL glIsQueryARB(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glIsQueryARB", " not available." );
    return GL_FALSE;
  }

// GL_ARB_point_parameters

  static void REGAL_CALL glPointParameterfARB(GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPointParameterfARB", " not available." );
  }

  static void REGAL_CALL glPointParameterfvARB(GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glPointParameterfvARB", " not available." );
  }

// GL_ARB_program_interface_query

  static void REGAL_CALL glGetProgramInterfaceiv(GLuint program, GLenum programInterface, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(programInterface);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramInterfaceiv", " not available." );
  }

  static GLuint REGAL_CALL glGetProgramResourceIndex(GLuint program, GLenum programInterface, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(programInterface);
    UNUSED_PARAMETER(name);
    Warning( "glGetProgramResourceIndex", " not available." );
    return 0;
  }

  static GLint REGAL_CALL glGetProgramResourceLocation(GLuint program, GLenum programInterface, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(programInterface);
    UNUSED_PARAMETER(name);
    Warning( "glGetProgramResourceLocation", " not available." );
    return 0;
  }

  static GLint REGAL_CALL glGetProgramResourceLocationIndex(GLuint program, GLenum programInterface, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(programInterface);
    UNUSED_PARAMETER(name);
    Warning( "glGetProgramResourceLocationIndex", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetProgramResourceName(GLuint program, GLenum programInterface, GLuint index, GLsizei bufSize, GLsizei *length, GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(programInterface);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(name);
    Warning( "glGetProgramResourceName", " not available." );
  }

  static void REGAL_CALL glGetProgramResourceiv(GLuint program, GLenum programInterface, GLuint index, GLsizei propCount, const GLenum *props, GLsizei bufSize, GLsizei *length, GLint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(programInterface);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(propCount);
    UNUSED_PARAMETER(props);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramResourceiv", " not available." );
  }

// GL_ARB_provoking_vertex

  static void REGAL_CALL glProvokingVertex(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glProvokingVertex", " not available." );
  }

// GL_ARB_robustness

  static GLenum REGAL_CALL glGetGraphicsResetStatusARB(void)
{
    Warning( "glGetGraphicsResetStatusARB", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetnColorTableARB(GLenum target, GLenum format, GLenum type, GLsizei bufSize, GLvoid *table)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(table);
    Warning( "glGetnColorTableARB", " not available." );
  }

  static void REGAL_CALL glGetnCompressedTexImageARB(GLenum target, GLint lod, GLsizei bufSize, GLvoid *img)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(lod);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(img);
    Warning( "glGetnCompressedTexImageARB", " not available." );
  }

  static void REGAL_CALL glGetnConvolutionFilterARB(GLenum target, GLenum format, GLenum type, GLsizei bufSize, GLvoid *image)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(image);
    Warning( "glGetnConvolutionFilterARB", " not available." );
  }

  static void REGAL_CALL glGetnHistogramARB(GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, GLvoid *values)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(reset);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(values);
    Warning( "glGetnHistogramARB", " not available." );
  }

  static void REGAL_CALL glGetnMapdvARB(GLenum target, GLenum query, GLsizei bufSize, GLdouble *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(query);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(v);
    Warning( "glGetnMapdvARB", " not available." );
  }

  static void REGAL_CALL glGetnMapfvARB(GLenum target, GLenum query, GLsizei bufSize, GLfloat *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(query);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(v);
    Warning( "glGetnMapfvARB", " not available." );
  }

  static void REGAL_CALL glGetnMapivARB(GLenum target, GLenum query, GLsizei bufSize, GLint *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(query);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(v);
    Warning( "glGetnMapivARB", " not available." );
  }

  static void REGAL_CALL glGetnMinmaxARB(GLenum target, GLboolean reset, GLenum format, GLenum type, GLsizei bufSize, GLvoid *values)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(reset);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(values);
    Warning( "glGetnMinmaxARB", " not available." );
  }

  static void REGAL_CALL glGetnPixelMapfvARB(GLenum map, GLsizei bufSize, GLfloat *values)
{
    UNUSED_PARAMETER(map);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(values);
    Warning( "glGetnPixelMapfvARB", " not available." );
  }

  static void REGAL_CALL glGetnPixelMapuivARB(GLenum map, GLsizei bufSize, GLuint *values)
{
    UNUSED_PARAMETER(map);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(values);
    Warning( "glGetnPixelMapuivARB", " not available." );
  }

  static void REGAL_CALL glGetnPixelMapusvARB(GLenum map, GLsizei bufSize, GLushort *values)
{
    UNUSED_PARAMETER(map);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(values);
    Warning( "glGetnPixelMapusvARB", " not available." );
  }

  static void REGAL_CALL glGetnPolygonStippleARB(GLsizei bufSize, GLubyte *pattern)
{
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(pattern);
    Warning( "glGetnPolygonStippleARB", " not available." );
  }

  static void REGAL_CALL glGetnSeparableFilterARB(GLenum target, GLenum format, GLenum type, GLsizei rowBufSize, GLvoid *row, GLsizei columnBufSize, GLvoid *column, GLvoid *span)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(rowBufSize);
    UNUSED_PARAMETER(row);
    UNUSED_PARAMETER(columnBufSize);
    UNUSED_PARAMETER(column);
    UNUSED_PARAMETER(span);
    Warning( "glGetnSeparableFilterARB", " not available." );
  }

  static void REGAL_CALL glGetnTexImageARB(GLenum target, GLint level, GLenum format, GLenum type, GLsizei bufSize, GLvoid *img)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(img);
    Warning( "glGetnTexImageARB", " not available." );
  }

  static void REGAL_CALL glGetnUniformdvARB(GLuint program, GLint location, GLsizei bufSize, GLdouble *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(params);
    Warning( "glGetnUniformdvARB", " not available." );
  }

  static void REGAL_CALL glGetnUniformfvARB(GLuint program, GLint location, GLsizei bufSize, GLfloat *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(params);
    Warning( "glGetnUniformfvARB", " not available." );
  }

  static void REGAL_CALL glGetnUniformivARB(GLuint program, GLint location, GLsizei bufSize, GLint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(params);
    Warning( "glGetnUniformivARB", " not available." );
  }

  static void REGAL_CALL glGetnUniformuivARB(GLuint program, GLint location, GLsizei bufSize, GLuint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(params);
    Warning( "glGetnUniformuivARB", " not available." );
  }

  static void REGAL_CALL glReadnPixelsARB(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, GLvoid *data)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(data);
    Warning( "glReadnPixelsARB", " not available." );
  }

// GL_ARB_sample_shading

  static void REGAL_CALL glMinSampleShadingARB(GLclampf value)
{
    UNUSED_PARAMETER(value);
    Warning( "glMinSampleShadingARB", " not available." );
  }

// GL_ARB_sampler_objects

  static void REGAL_CALL glBindSampler(GLuint unit, GLuint sampler)
{
    UNUSED_PARAMETER(unit);
    UNUSED_PARAMETER(sampler);
    Warning( "glBindSampler", " not available." );
  }

  static void REGAL_CALL glDeleteSamplers(GLsizei count, const GLuint *samplers)
{
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(samplers);
    Warning( "glDeleteSamplers", " not available." );
  }

  static void REGAL_CALL glGenSamplers(GLsizei count, GLuint *samplers)
{
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(samplers);
    Warning( "glGenSamplers", " not available." );
  }

  static void REGAL_CALL glGetSamplerParameterIiv(GLuint sampler, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(sampler);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetSamplerParameterIiv", " not available." );
  }

  static void REGAL_CALL glGetSamplerParameterIuiv(GLuint sampler, GLenum pname, GLuint *params)
{
    UNUSED_PARAMETER(sampler);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetSamplerParameterIuiv", " not available." );
  }

  static void REGAL_CALL glGetSamplerParameterfv(GLuint sampler, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(sampler);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetSamplerParameterfv", " not available." );
  }

  static void REGAL_CALL glGetSamplerParameteriv(GLuint sampler, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(sampler);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetSamplerParameteriv", " not available." );
  }

  static GLboolean REGAL_CALL glIsSampler(GLuint sampler)
{
    UNUSED_PARAMETER(sampler);
    Warning( "glIsSampler", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glSamplerParameterIiv(GLuint sampler, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(sampler);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glSamplerParameterIiv", " not available." );
  }

  static void REGAL_CALL glSamplerParameterIuiv(GLuint sampler, GLenum pname, const GLuint *params)
{
    UNUSED_PARAMETER(sampler);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glSamplerParameterIuiv", " not available." );
  }

  static void REGAL_CALL glSamplerParameterf(GLuint sampler, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(sampler);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glSamplerParameterf", " not available." );
  }

  static void REGAL_CALL glSamplerParameterfv(GLuint sampler, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(sampler);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glSamplerParameterfv", " not available." );
  }

  static void REGAL_CALL glSamplerParameteri(GLuint sampler, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(sampler);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glSamplerParameteri", " not available." );
  }

  static void REGAL_CALL glSamplerParameteriv(GLuint sampler, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(sampler);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glSamplerParameteriv", " not available." );
  }

// GL_ARB_separate_shader_objects

  static void REGAL_CALL glActiveShaderProgram(GLuint pipeline, GLuint program)
{
    UNUSED_PARAMETER(pipeline);
    UNUSED_PARAMETER(program);
    Warning( "glActiveShaderProgram", " not available." );
  }

  static void REGAL_CALL glBindProgramPipeline(GLuint pipeline)
{
    UNUSED_PARAMETER(pipeline);
    Warning( "glBindProgramPipeline", " not available." );
  }

  static GLuint REGAL_CALL glCreateShaderProgramv(GLenum type, GLsizei count, const GLchar * const *strings)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(strings);
    Warning( "glCreateShaderProgramv", " not available." );
    return 0;
  }

  static void REGAL_CALL glDeleteProgramPipelines(GLsizei n, const GLuint *pipelines)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(pipelines);
    Warning( "glDeleteProgramPipelines", " not available." );
  }

  static void REGAL_CALL glGenProgramPipelines(GLsizei n, GLuint *pipelines)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(pipelines);
    Warning( "glGenProgramPipelines", " not available." );
  }

  static void REGAL_CALL glGetProgramPipelineInfoLog(GLuint pipeline, GLsizei bufSize, GLsizei *length, GLchar *infoLog)
{
    UNUSED_PARAMETER(pipeline);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(infoLog);
    Warning( "glGetProgramPipelineInfoLog", " not available." );
  }

  static void REGAL_CALL glGetProgramPipelineiv(GLuint pipeline, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(pipeline);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramPipelineiv", " not available." );
  }

  static GLboolean REGAL_CALL glIsProgramPipeline(GLuint pipeline)
{
    UNUSED_PARAMETER(pipeline);
    Warning( "glIsProgramPipeline", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glProgramUniform1d(GLuint program, GLint location, GLdouble x)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    Warning( "glProgramUniform1d", " not available." );
  }

  static void REGAL_CALL glProgramUniform1dv(GLuint program, GLint location, GLsizei count, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform1dv", " not available." );
  }

  static void REGAL_CALL glProgramUniform1f(GLuint program, GLint location, GLfloat x)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    Warning( "glProgramUniform1f", " not available." );
  }

  static void REGAL_CALL glProgramUniform1fv(GLuint program, GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform1fv", " not available." );
  }

  static void REGAL_CALL glProgramUniform1i(GLuint program, GLint location, GLint x)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    Warning( "glProgramUniform1i", " not available." );
  }

  static void REGAL_CALL glProgramUniform1iv(GLuint program, GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform1iv", " not available." );
  }

  static void REGAL_CALL glProgramUniform1ui(GLuint program, GLint location, GLuint v0)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    Warning( "glProgramUniform1ui", " not available." );
  }

  static void REGAL_CALL glProgramUniform1uiv(GLuint program, GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform1uiv", " not available." );
  }

  static void REGAL_CALL glProgramUniform2d(GLuint program, GLint location, GLdouble x, GLdouble y)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glProgramUniform2d", " not available." );
  }

  static void REGAL_CALL glProgramUniform2dv(GLuint program, GLint location, GLsizei count, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform2dv", " not available." );
  }

  static void REGAL_CALL glProgramUniform2f(GLuint program, GLint location, GLfloat x, GLfloat y)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glProgramUniform2f", " not available." );
  }

  static void REGAL_CALL glProgramUniform2fv(GLuint program, GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform2fv", " not available." );
  }

  static void REGAL_CALL glProgramUniform2i(GLuint program, GLint location, GLint x, GLint y)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glProgramUniform2i", " not available." );
  }

  static void REGAL_CALL glProgramUniform2iv(GLuint program, GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform2iv", " not available." );
  }

  static void REGAL_CALL glProgramUniform2ui(GLuint program, GLint location, GLuint x, GLuint y)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glProgramUniform2ui", " not available." );
  }

  static void REGAL_CALL glProgramUniform2uiv(GLuint program, GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform2uiv", " not available." );
  }

  static void REGAL_CALL glProgramUniform3d(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glProgramUniform3d", " not available." );
  }

  static void REGAL_CALL glProgramUniform3dv(GLuint program, GLint location, GLsizei count, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform3dv", " not available." );
  }

  static void REGAL_CALL glProgramUniform3f(GLuint program, GLint location, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glProgramUniform3f", " not available." );
  }

  static void REGAL_CALL glProgramUniform3fv(GLuint program, GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform3fv", " not available." );
  }

  static void REGAL_CALL glProgramUniform3i(GLuint program, GLint location, GLint x, GLint y, GLint z)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glProgramUniform3i", " not available." );
  }

  static void REGAL_CALL glProgramUniform3iv(GLuint program, GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform3iv", " not available." );
  }

  static void REGAL_CALL glProgramUniform3ui(GLuint program, GLint location, GLuint x, GLuint y, GLuint z)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glProgramUniform3ui", " not available." );
  }

  static void REGAL_CALL glProgramUniform3uiv(GLuint program, GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform3uiv", " not available." );
  }

  static void REGAL_CALL glProgramUniform4d(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramUniform4d", " not available." );
  }

  static void REGAL_CALL glProgramUniform4dv(GLuint program, GLint location, GLsizei count, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform4dv", " not available." );
  }

  static void REGAL_CALL glProgramUniform4f(GLuint program, GLint location, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramUniform4f", " not available." );
  }

  static void REGAL_CALL glProgramUniform4fv(GLuint program, GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform4fv", " not available." );
  }

  static void REGAL_CALL glProgramUniform4i(GLuint program, GLint location, GLint x, GLint y, GLint z, GLint w)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramUniform4i", " not available." );
  }

  static void REGAL_CALL glProgramUniform4iv(GLuint program, GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform4iv", " not available." );
  }

  static void REGAL_CALL glProgramUniform4ui(GLuint program, GLint location, GLuint x, GLuint y, GLuint z, GLuint w)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramUniform4ui", " not available." );
  }

  static void REGAL_CALL glProgramUniform4uiv(GLuint program, GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform4uiv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix2dv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix2fv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix2x3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix2x3dv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix2x3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix2x3fv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix2x4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix2x4dv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix2x4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix2x4fv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix3dv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix3fv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix3x2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix3x2dv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix3x2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix3x2fv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix3x4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix3x4dv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix3x4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix3x4fv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix4dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix4dv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix4fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix4fv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix4x2dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix4x2dv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix4x2fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix4x2fv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix4x3dv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix4x3dv", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix4x3fv(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix4x3fv", " not available." );
  }

  static void REGAL_CALL glUseProgramStages(GLuint pipeline, GLbitfield stages, GLuint program)
{
    UNUSED_PARAMETER(pipeline);
    UNUSED_PARAMETER(stages);
    UNUSED_PARAMETER(program);
    Warning( "glUseProgramStages", " not available." );
  }

  static void REGAL_CALL glValidateProgramPipeline(GLuint pipeline)
{
    UNUSED_PARAMETER(pipeline);
    Warning( "glValidateProgramPipeline", " not available." );
  }

// GL_ARB_shader_atomic_counters

  static void REGAL_CALL glGetActiveAtomicCounterBufferiv(GLuint program, GLuint bufferIndex, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(bufferIndex);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetActiveAtomicCounterBufferiv", " not available." );
  }

// GL_ARB_shader_image_load_store

  static void REGAL_CALL glBindImageTexture(GLuint unit, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLenum format)
{
    UNUSED_PARAMETER(unit);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(layered);
    UNUSED_PARAMETER(layer);
    UNUSED_PARAMETER(access);
    UNUSED_PARAMETER(format);
    Warning( "glBindImageTexture", " not available." );
  }

  static void REGAL_CALL glMemoryBarrier(GLbitfield barriers)
{
    UNUSED_PARAMETER(barriers);
    Warning( "glMemoryBarrier", " not available." );
  }

// GL_ARB_shader_objects

  static void REGAL_CALL glAttachObjectARB(GLhandleARB containerObj, GLhandleARB obj)
{
    UNUSED_PARAMETER(containerObj);
    UNUSED_PARAMETER(obj);
    Warning( "glAttachObjectARB", " not available." );
  }

  static void REGAL_CALL glCompileShaderARB(GLhandleARB shaderObj)
{
    UNUSED_PARAMETER(shaderObj);
    Warning( "glCompileShaderARB", " not available." );
  }

  static GLhandleARB REGAL_CALL glCreateProgramObjectARB(void)
{
    Warning( "glCreateProgramObjectARB", " not available." );
    return 0;
  }

  static GLhandleARB REGAL_CALL glCreateShaderObjectARB(GLenum shaderType)
{
    UNUSED_PARAMETER(shaderType);
    Warning( "glCreateShaderObjectARB", " not available." );
    return 0;
  }

  static void REGAL_CALL glDeleteObjectARB(GLhandleARB obj)
{
    UNUSED_PARAMETER(obj);
    Warning( "glDeleteObjectARB", " not available." );
  }

  static void REGAL_CALL glDetachObjectARB(GLhandleARB containerObj, GLhandleARB attachedObj)
{
    UNUSED_PARAMETER(containerObj);
    UNUSED_PARAMETER(attachedObj);
    Warning( "glDetachObjectARB", " not available." );
  }

  static void REGAL_CALL glGetActiveUniformARB(GLhandleARB programObj, GLuint index, GLsizei maxLength, GLsizei *length, GLint *size, GLenum *type, GLcharARB *name)
{
    UNUSED_PARAMETER(programObj);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(maxLength);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(name);
    Warning( "glGetActiveUniformARB", " not available." );
  }

  static void REGAL_CALL glGetAttachedObjectsARB(GLhandleARB containerObj, GLsizei maxCount, GLsizei *count, GLhandleARB *obj)
{
    UNUSED_PARAMETER(containerObj);
    UNUSED_PARAMETER(maxCount);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(obj);
    Warning( "glGetAttachedObjectsARB", " not available." );
  }

  static GLhandleARB REGAL_CALL glGetHandleARB(GLenum pname)
{
    UNUSED_PARAMETER(pname);
    Warning( "glGetHandleARB", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetInfoLogARB(GLhandleARB obj, GLsizei maxLength, GLsizei *length, GLcharARB *infoLog)
{
    UNUSED_PARAMETER(obj);
    UNUSED_PARAMETER(maxLength);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(infoLog);
    Warning( "glGetInfoLogARB", " not available." );
  }

  static void REGAL_CALL glGetObjectParameterfvARB(GLhandleARB obj, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(obj);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetObjectParameterfvARB", " not available." );
  }

  static void REGAL_CALL glGetObjectParameterivARB(GLhandleARB obj, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(obj);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetObjectParameterivARB", " not available." );
  }

  static void REGAL_CALL glGetShaderSourceARB(GLhandleARB obj, GLsizei maxLength, GLsizei *length, GLcharARB *source)
{
    UNUSED_PARAMETER(obj);
    UNUSED_PARAMETER(maxLength);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(source);
    Warning( "glGetShaderSourceARB", " not available." );
  }

  static GLint REGAL_CALL glGetUniformLocationARB(GLhandleARB programObj, const GLcharARB *name)
{
    UNUSED_PARAMETER(programObj);
    UNUSED_PARAMETER(name);
    Warning( "glGetUniformLocationARB", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetUniformfvARB(GLhandleARB programObj, GLint location, GLfloat *params)
{
    UNUSED_PARAMETER(programObj);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(params);
    Warning( "glGetUniformfvARB", " not available." );
  }

  static void REGAL_CALL glGetUniformivARB(GLhandleARB programObj, GLint location, GLint *params)
{
    UNUSED_PARAMETER(programObj);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(params);
    Warning( "glGetUniformivARB", " not available." );
  }

  static void REGAL_CALL glLinkProgramARB(GLhandleARB programObj)
{
    UNUSED_PARAMETER(programObj);
    Warning( "glLinkProgramARB", " not available." );
  }

  static void REGAL_CALL glShaderSourceARB(GLhandleARB shaderObj, GLsizei count, const GLcharARB ** const string, const GLint *length)
{
    UNUSED_PARAMETER(shaderObj);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(string);
    UNUSED_PARAMETER(length);
    Warning( "glShaderSourceARB", " not available." );
  }

  static void REGAL_CALL glUniform1fARB(GLint location, GLfloat v0)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    Warning( "glUniform1fARB", " not available." );
  }

  static void REGAL_CALL glUniform1fvARB(GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform1fvARB", " not available." );
  }

  static void REGAL_CALL glUniform1iARB(GLint location, GLint v0)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    Warning( "glUniform1iARB", " not available." );
  }

  static void REGAL_CALL glUniform1ivARB(GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform1ivARB", " not available." );
  }

  static void REGAL_CALL glUniform2fARB(GLint location, GLfloat v0, GLfloat v1)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    Warning( "glUniform2fARB", " not available." );
  }

  static void REGAL_CALL glUniform2fvARB(GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform2fvARB", " not available." );
  }

  static void REGAL_CALL glUniform2iARB(GLint location, GLint v0, GLint v1)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    Warning( "glUniform2iARB", " not available." );
  }

  static void REGAL_CALL glUniform2ivARB(GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform2ivARB", " not available." );
  }

  static void REGAL_CALL glUniform3fARB(GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    Warning( "glUniform3fARB", " not available." );
  }

  static void REGAL_CALL glUniform3fvARB(GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform3fvARB", " not available." );
  }

  static void REGAL_CALL glUniform3iARB(GLint location, GLint v0, GLint v1, GLint v2)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    Warning( "glUniform3iARB", " not available." );
  }

  static void REGAL_CALL glUniform3ivARB(GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform3ivARB", " not available." );
  }

  static void REGAL_CALL glUniform4fARB(GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    UNUSED_PARAMETER(v3);
    Warning( "glUniform4fARB", " not available." );
  }

  static void REGAL_CALL glUniform4fvARB(GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform4fvARB", " not available." );
  }

  static void REGAL_CALL glUniform4iARB(GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    UNUSED_PARAMETER(v3);
    Warning( "glUniform4iARB", " not available." );
  }

  static void REGAL_CALL glUniform4ivARB(GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform4ivARB", " not available." );
  }

  static void REGAL_CALL glUniformMatrix2fvARB(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix2fvARB", " not available." );
  }

  static void REGAL_CALL glUniformMatrix3fvARB(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix3fvARB", " not available." );
  }

  static void REGAL_CALL glUniformMatrix4fvARB(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix4fvARB", " not available." );
  }

  static void REGAL_CALL glUseProgramObjectARB(GLhandleARB programObj)
{
    UNUSED_PARAMETER(programObj);
    Warning( "glUseProgramObjectARB", " not available." );
  }

  static void REGAL_CALL glValidateProgramARB(GLhandleARB programObj)
{
    UNUSED_PARAMETER(programObj);
    Warning( "glValidateProgramARB", " not available." );
  }

// GL_ARB_shader_storage_buffer_object

  static void REGAL_CALL glShaderStorageBlockBinding(GLuint program, GLuint storageBlockIndex, GLuint storageBlockBinding)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(storageBlockIndex);
    UNUSED_PARAMETER(storageBlockBinding);
    Warning( "glShaderStorageBlockBinding", " not available." );
  }

// GL_ARB_shader_subroutine

  static void REGAL_CALL glGetActiveSubroutineName(GLuint program, GLenum shaderType, GLuint index, GLsizei bufSize, GLsizei *length, GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(shaderType);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(name);
    Warning( "glGetActiveSubroutineName", " not available." );
  }

  static void REGAL_CALL glGetActiveSubroutineUniformName(GLuint program, GLenum shaderType, GLuint index, GLsizei bufSize, GLsizei *length, GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(shaderType);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(name);
    Warning( "glGetActiveSubroutineUniformName", " not available." );
  }

  static void REGAL_CALL glGetActiveSubroutineUniformiv(GLuint program, GLenum shaderType, GLuint index, GLenum pname, GLint *values)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(shaderType);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(values);
    Warning( "glGetActiveSubroutineUniformiv", " not available." );
  }

  static void REGAL_CALL glGetProgramStageiv(GLuint program, GLenum shaderType, GLenum pname, GLint *values)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(shaderType);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(values);
    Warning( "glGetProgramStageiv", " not available." );
  }

  static void REGAL_CALL glGetProgramSubroutineParameteruivNV(GLenum target, GLuint index, GLuint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramSubroutineParameteruivNV", " not available." );
  }

  static GLuint REGAL_CALL glGetSubroutineIndex(GLuint program, GLenum shaderType, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(shaderType);
    UNUSED_PARAMETER(name);
    Warning( "glGetSubroutineIndex", " not available." );
    return 0;
  }

  static GLint REGAL_CALL glGetSubroutineUniformLocation(GLuint program, GLenum shaderType, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(shaderType);
    UNUSED_PARAMETER(name);
    Warning( "glGetSubroutineUniformLocation", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetUniformSubroutineuiv(GLenum shaderType, GLint location, GLuint *params)
{
    UNUSED_PARAMETER(shaderType);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(params);
    Warning( "glGetUniformSubroutineuiv", " not available." );
  }

  static void REGAL_CALL glProgramSubroutineParametersuivNV(GLenum target, GLsizei count, const GLuint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(params);
    Warning( "glProgramSubroutineParametersuivNV", " not available." );
  }

  static void REGAL_CALL glUniformSubroutinesuiv(GLenum shaderType, GLsizei count, const GLuint *indices)
{
    UNUSED_PARAMETER(shaderType);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(indices);
    Warning( "glUniformSubroutinesuiv", " not available." );
  }

// GL_ARB_shading_language_include

  static void REGAL_CALL glCompileShaderIncludeARB(GLuint shader, GLsizei count, const GLchar * const *path, const GLint *length)
{
    UNUSED_PARAMETER(shader);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(length);
    Warning( "glCompileShaderIncludeARB", " not available." );
  }

  static void REGAL_CALL glDeleteNamedStringARB(GLint namelen, const GLchar *name)
{
    UNUSED_PARAMETER(namelen);
    UNUSED_PARAMETER(name);
    Warning( "glDeleteNamedStringARB", " not available." );
  }

  static void REGAL_CALL glGetNamedStringARB(GLint namelen, const GLchar *name, GLsizei bufSize, GLint *stringlen, GLchar *string)
{
    UNUSED_PARAMETER(namelen);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(stringlen);
    UNUSED_PARAMETER(string);
    Warning( "glGetNamedStringARB", " not available." );
  }

  static void REGAL_CALL glGetNamedStringivARB(GLint namelen, const GLchar *name, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(namelen);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedStringivARB", " not available." );
  }

  static GLboolean REGAL_CALL glIsNamedStringARB(GLint namelen, const GLchar *name)
{
    UNUSED_PARAMETER(namelen);
    UNUSED_PARAMETER(name);
    Warning( "glIsNamedStringARB", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glNamedStringARB(GLenum type, GLint namelen, const GLchar *name, GLint stringlen, const GLchar *string)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(namelen);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(stringlen);
    UNUSED_PARAMETER(string);
    Warning( "glNamedStringARB", " not available." );
  }

// GL_ARB_sparse_buffer

  static void REGAL_CALL glBufferPageCommitmentARB(GLenum target, GLintptr offset, GLsizeiptr size, GLboolean commit)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(commit);
    Warning( "glBufferPageCommitmentARB", " not available." );
  }

// GL_ARB_sparse_texture

  static void REGAL_CALL glTexPageCommitmentARB(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLboolean resident)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(resident);
    Warning( "glTexPageCommitmentARB", " not available." );
  }

  static void REGAL_CALL glTexturePageCommitmentEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLboolean commit)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(commit);
    Warning( "glTexturePageCommitmentEXT", " not available." );
  }

// GL_ARB_sync

  static GLenum REGAL_CALL glClientWaitSync(GLsync sync, GLbitfield flags, GLuint64 timeout)
{
    UNUSED_PARAMETER(sync);
    UNUSED_PARAMETER(flags);
    UNUSED_PARAMETER(timeout);
    Warning( "glClientWaitSync", " not available." );
    return 0;
  }

  static void REGAL_CALL glDeleteSync(GLsync sync)
{
    UNUSED_PARAMETER(sync);
    Warning( "glDeleteSync", " not available." );
  }

  static GLsync REGAL_CALL glFenceSync(GLenum condition, GLbitfield flags)
{
    UNUSED_PARAMETER(condition);
    UNUSED_PARAMETER(flags);
    Warning( "glFenceSync", " not available." );
    return NULL;
  }

  static void REGAL_CALL glGetInteger64v(GLenum pname, GLint64 *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetInteger64v", " not available." );
  }

  static void REGAL_CALL glGetSynciv(GLsync sync, GLenum pname, GLsizei bufSize, GLsizei *length, GLint *values)
{
    UNUSED_PARAMETER(sync);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(values);
    Warning( "glGetSynciv", " not available." );
  }

  static GLboolean REGAL_CALL glIsSync(GLsync sync)
{
    UNUSED_PARAMETER(sync);
    Warning( "glIsSync", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glWaitSync(GLsync sync, GLbitfield flags, GLuint64 timeout)
{
    UNUSED_PARAMETER(sync);
    UNUSED_PARAMETER(flags);
    UNUSED_PARAMETER(timeout);
    Warning( "glWaitSync", " not available." );
  }

// GL_ARB_tessellation_shader

  static void REGAL_CALL glPatchParameterfv(GLenum pname, const GLfloat *values)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(values);
    Warning( "glPatchParameterfv", " not available." );
  }

  static void REGAL_CALL glPatchParameteri(GLenum pname, GLint value)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(value);
    Warning( "glPatchParameteri", " not available." );
  }

// GL_ARB_texture_barrier

  static void REGAL_CALL glTextureBarrier(void)
{
    Warning( "glTextureBarrier", " not available." );
  }

// GL_ARB_texture_buffer_object

  static void REGAL_CALL glTexBufferARB(GLenum target, GLenum internalformat, GLuint buffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(buffer);
    Warning( "glTexBufferARB", " not available." );
  }

// GL_ARB_texture_buffer_range

  static void REGAL_CALL glTexBufferRange(GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    Warning( "glTexBufferRange", " not available." );
  }

  static void REGAL_CALL glTextureBufferRangeEXT(GLuint texture, GLenum target, GLenum internalformat, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    Warning( "glTextureBufferRangeEXT", " not available." );
  }

// GL_ARB_texture_compression

  static void REGAL_CALL glCompressedTexImage1DARB(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTexImage1DARB", " not available." );
  }

  static void REGAL_CALL glCompressedTexImage2DARB(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTexImage2DARB", " not available." );
  }

  static void REGAL_CALL glCompressedTexImage3DARB(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTexImage3DARB", " not available." );
  }

  static void REGAL_CALL glCompressedTexSubImage1DARB(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTexSubImage1DARB", " not available." );
  }

  static void REGAL_CALL glCompressedTexSubImage2DARB(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTexSubImage2DARB", " not available." );
  }

  static void REGAL_CALL glCompressedTexSubImage3DARB(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTexSubImage3DARB", " not available." );
  }

  static void REGAL_CALL glGetCompressedTexImageARB(GLenum target, GLint level, GLvoid *img)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(img);
    Warning( "glGetCompressedTexImageARB", " not available." );
  }

// GL_ARB_texture_multisample

  static void REGAL_CALL glGetMultisamplefv(GLenum pname, GLuint index, GLfloat *val)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(val);
    Warning( "glGetMultisamplefv", " not available." );
  }

  static void REGAL_CALL glSampleMaski(GLuint index, GLbitfield mask)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(mask);
    Warning( "glSampleMaski", " not available." );
  }

  static void REGAL_CALL glTexImage2DMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(fixedsamplelocations);
    Warning( "glTexImage2DMultisample", " not available." );
  }

  static void REGAL_CALL glTexImage3DMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(fixedsamplelocations);
    Warning( "glTexImage3DMultisample", " not available." );
  }

// GL_ARB_texture_storage

  static void REGAL_CALL glTexStorage1D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(levels);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    Warning( "glTexStorage1D", " not available." );
  }

  static void REGAL_CALL glTexStorage2D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(levels);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glTexStorage2D", " not available." );
  }

  static void REGAL_CALL glTexStorage3D(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(levels);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    Warning( "glTexStorage3D", " not available." );
  }

  static void REGAL_CALL glTextureStorage1DEXT(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(levels);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    Warning( "glTextureStorage1DEXT", " not available." );
  }

  static void REGAL_CALL glTextureStorage2DEXT(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(levels);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glTextureStorage2DEXT", " not available." );
  }

  static void REGAL_CALL glTextureStorage3DEXT(GLuint texture, GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(levels);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    Warning( "glTextureStorage3DEXT", " not available." );
  }

// GL_ARB_texture_storage_multisample

  static void REGAL_CALL glTexStorage2DMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(fixedsamplelocations);
    Warning( "glTexStorage2DMultisample", " not available." );
  }

  static void REGAL_CALL glTexStorage3DMultisample(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(fixedsamplelocations);
    Warning( "glTexStorage3DMultisample", " not available." );
  }

  static void REGAL_CALL glTextureStorage2DMultisampleEXT(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLboolean fixedsamplelocations)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(fixedsamplelocations);
    Warning( "glTextureStorage2DMultisampleEXT", " not available." );
  }

  static void REGAL_CALL glTextureStorage3DMultisampleEXT(GLuint texture, GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedsamplelocations)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(fixedsamplelocations);
    Warning( "glTextureStorage3DMultisampleEXT", " not available." );
  }

// GL_ARB_texture_view

  static void REGAL_CALL glTextureView(GLuint texture, GLenum target, GLuint origtexture, GLenum internalformat, GLuint minlevel, GLuint numlevels, GLuint minlayer, GLuint numlayers)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(origtexture);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(minlevel);
    UNUSED_PARAMETER(numlevels);
    UNUSED_PARAMETER(minlayer);
    UNUSED_PARAMETER(numlayers);
    Warning( "glTextureView", " not available." );
  }

// GL_ARB_timer_query

  static void REGAL_CALL glGetQueryObjecti64v(GLuint id, GLenum pname, GLint64 *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryObjecti64v", " not available." );
  }

  static void REGAL_CALL glGetQueryObjectui64v(GLuint id, GLenum pname, GLuint64 *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryObjectui64v", " not available." );
  }

  static void REGAL_CALL glQueryCounter(GLuint id, GLenum target)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(target);
    Warning( "glQueryCounter", " not available." );
  }

// GL_ARB_transform_feedback2

  static void REGAL_CALL glBindTransformFeedback(GLenum target, GLuint id)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(id);
    Warning( "glBindTransformFeedback", " not available." );
  }

  static void REGAL_CALL glDeleteTransformFeedbacks(GLsizei n, const GLuint *ids)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glDeleteTransformFeedbacks", " not available." );
  }

  static void REGAL_CALL glDrawTransformFeedback(GLenum mode, GLuint name)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(name);
    Warning( "glDrawTransformFeedback", " not available." );
  }

  static void REGAL_CALL glGenTransformFeedbacks(GLsizei n, GLuint *ids)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glGenTransformFeedbacks", " not available." );
  }

  static GLboolean REGAL_CALL glIsTransformFeedback(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glIsTransformFeedback", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glPauseTransformFeedback(void)
{
    Warning( "glPauseTransformFeedback", " not available." );
  }

  static void REGAL_CALL glResumeTransformFeedback(void)
{
    Warning( "glResumeTransformFeedback", " not available." );
  }

// GL_ARB_transform_feedback3

  static void REGAL_CALL glBeginQueryIndexed(GLenum target, GLuint index, GLuint id)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(id);
    Warning( "glBeginQueryIndexed", " not available." );
  }

  static void REGAL_CALL glDrawTransformFeedbackStream(GLenum mode, GLuint id, GLuint stream)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(stream);
    Warning( "glDrawTransformFeedbackStream", " not available." );
  }

  static void REGAL_CALL glEndQueryIndexed(GLenum target, GLuint index)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    Warning( "glEndQueryIndexed", " not available." );
  }

  static void REGAL_CALL glGetQueryIndexediv(GLenum target, GLuint index, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryIndexediv", " not available." );
  }

// GL_ARB_transform_feedback_instanced

  static void REGAL_CALL glDrawTransformFeedbackInstanced(GLenum mode, GLuint id, GLsizei primcount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(primcount);
    Warning( "glDrawTransformFeedbackInstanced", " not available." );
  }

  static void REGAL_CALL glDrawTransformFeedbackStreamInstanced(GLenum mode, GLuint id, GLuint stream, GLsizei primcount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(primcount);
    Warning( "glDrawTransformFeedbackStreamInstanced", " not available." );
  }

// GL_ARB_transpose_matrix

  static void REGAL_CALL glLoadTransposeMatrixdARB(const GLdouble *m)
{
    UNUSED_PARAMETER(m);
    Warning( "glLoadTransposeMatrixdARB", " not available." );
  }

  static void REGAL_CALL glLoadTransposeMatrixfARB(const GLfloat *m)
{
    UNUSED_PARAMETER(m);
    Warning( "glLoadTransposeMatrixfARB", " not available." );
  }

  static void REGAL_CALL glMultTransposeMatrixdARB(const GLdouble *m)
{
    UNUSED_PARAMETER(m);
    Warning( "glMultTransposeMatrixdARB", " not available." );
  }

  static void REGAL_CALL glMultTransposeMatrixfARB(const GLfloat *m)
{
    UNUSED_PARAMETER(m);
    Warning( "glMultTransposeMatrixfARB", " not available." );
  }

// GL_ARB_uniform_buffer_object

  static void REGAL_CALL glBindBufferBase(GLenum target, GLuint index, GLuint buffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(buffer);
    Warning( "glBindBufferBase", " not available." );
  }

  static void REGAL_CALL glBindBufferRange(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    Warning( "glBindBufferRange", " not available." );
  }

  static void REGAL_CALL glGetActiveUniformBlockName(GLuint program, GLuint uniformBlockIndex, GLsizei bufSize, GLsizei *length, GLchar *uniformBlockName)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(uniformBlockIndex);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(uniformBlockName);
    Warning( "glGetActiveUniformBlockName", " not available." );
  }

  static void REGAL_CALL glGetActiveUniformBlockiv(GLuint program, GLuint uniformBlockIndex, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(uniformBlockIndex);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetActiveUniformBlockiv", " not available." );
  }

  static void REGAL_CALL glGetActiveUniformName(GLuint program, GLuint uniformIndex, GLsizei bufSize, GLsizei *length, GLchar *uniformName)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(uniformIndex);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(uniformName);
    Warning( "glGetActiveUniformName", " not available." );
  }

  static void REGAL_CALL glGetActiveUniformsiv(GLuint program, GLsizei uniformCount, const GLuint *uniformIndices, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(uniformCount);
    UNUSED_PARAMETER(uniformIndices);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetActiveUniformsiv", " not available." );
  }

  static void REGAL_CALL glGetIntegeri_v(GLenum target, GLuint index, GLint *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(data);
    Warning( "glGetIntegeri_v", " not available." );
  }

  static GLuint REGAL_CALL glGetUniformBlockIndex(GLuint program, const GLchar *uniformBlockName)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(uniformBlockName);
    Warning( "glGetUniformBlockIndex", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetUniformIndices(GLuint program, GLsizei uniformCount, const GLchar * const *uniformNames, GLuint *uniformIndices)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(uniformCount);
    UNUSED_PARAMETER(uniformNames);
    UNUSED_PARAMETER(uniformIndices);
    Warning( "glGetUniformIndices", " not available." );
  }

  static void REGAL_CALL glUniformBlockBinding(GLuint program, GLuint uniformBlockIndex, GLuint uniformBlockBinding)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(uniformBlockIndex);
    UNUSED_PARAMETER(uniformBlockBinding);
    Warning( "glUniformBlockBinding", " not available." );
  }

// GL_ARB_vertex_array_object

  static void REGAL_CALL glBindVertexArray(GLuint array)
{
    UNUSED_PARAMETER(array);
    Warning( "glBindVertexArray", " not available." );
  }

  static void REGAL_CALL glDeleteVertexArrays(GLsizei n, const GLuint *arrays)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(arrays);
    Warning( "glDeleteVertexArrays", " not available." );
  }

  static void REGAL_CALL glGenVertexArrays(GLsizei n, GLuint *arrays)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(arrays);
    Warning( "glGenVertexArrays", " not available." );
  }

  static GLboolean REGAL_CALL glIsVertexArray(GLuint array)
{
    UNUSED_PARAMETER(array);
    Warning( "glIsVertexArray", " not available." );
    return GL_FALSE;
  }

// GL_ARB_vertex_attrib_64bit

  static void REGAL_CALL glGetVertexAttribLdv(GLuint index, GLenum pname, GLdouble *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribLdv", " not available." );
  }

  static void REGAL_CALL glVertexAttribL1d(GLuint index, GLdouble x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttribL1d", " not available." );
  }

  static void REGAL_CALL glVertexAttribL1dv(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL1dv", " not available." );
  }

  static void REGAL_CALL glVertexAttribL2d(GLuint index, GLdouble x, GLdouble y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttribL2d", " not available." );
  }

  static void REGAL_CALL glVertexAttribL2dv(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL2dv", " not available." );
  }

  static void REGAL_CALL glVertexAttribL3d(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttribL3d", " not available." );
  }

  static void REGAL_CALL glVertexAttribL3dv(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL3dv", " not available." );
  }

  static void REGAL_CALL glVertexAttribL4d(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttribL4d", " not available." );
  }

  static void REGAL_CALL glVertexAttribL4dv(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL4dv", " not available." );
  }

  static void REGAL_CALL glVertexAttribLPointer(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glVertexAttribLPointer", " not available." );
  }

// GL_ARB_vertex_attrib_binding

  static void REGAL_CALL glBindVertexBuffer(GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
{
    UNUSED_PARAMETER(bindingindex);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(stride);
    Warning( "glBindVertexBuffer", " not available." );
  }

  static void REGAL_CALL glVertexArrayBindVertexBufferEXT(GLuint vaobj, GLuint bindingindex, GLuint buffer, GLintptr offset, GLsizei stride)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(bindingindex);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(stride);
    Warning( "glVertexArrayBindVertexBufferEXT", " not available." );
  }

  static void REGAL_CALL glVertexArrayVertexAttribBindingEXT(GLuint vaobj, GLuint attribindex, GLuint bindingindex)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(attribindex);
    UNUSED_PARAMETER(bindingindex);
    Warning( "glVertexArrayVertexAttribBindingEXT", " not available." );
  }

  static void REGAL_CALL glVertexArrayVertexAttribFormatEXT(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(attribindex);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(relativeoffset);
    Warning( "glVertexArrayVertexAttribFormatEXT", " not available." );
  }

  static void REGAL_CALL glVertexArrayVertexAttribIFormatEXT(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(attribindex);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(relativeoffset);
    Warning( "glVertexArrayVertexAttribIFormatEXT", " not available." );
  }

  static void REGAL_CALL glVertexArrayVertexAttribLFormatEXT(GLuint vaobj, GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(attribindex);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(relativeoffset);
    Warning( "glVertexArrayVertexAttribLFormatEXT", " not available." );
  }

  static void REGAL_CALL glVertexArrayVertexBindingDivisorEXT(GLuint vaobj, GLuint bindingindex, GLuint divisor)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(bindingindex);
    UNUSED_PARAMETER(divisor);
    Warning( "glVertexArrayVertexBindingDivisorEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribBinding(GLuint attribindex, GLuint bindingindex)
{
    UNUSED_PARAMETER(attribindex);
    UNUSED_PARAMETER(bindingindex);
    Warning( "glVertexAttribBinding", " not available." );
  }

  static void REGAL_CALL glVertexAttribFormat(GLuint attribindex, GLint size, GLenum type, GLboolean normalized, GLuint relativeoffset)
{
    UNUSED_PARAMETER(attribindex);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(relativeoffset);
    Warning( "glVertexAttribFormat", " not available." );
  }

  static void REGAL_CALL glVertexAttribIFormat(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    UNUSED_PARAMETER(attribindex);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(relativeoffset);
    Warning( "glVertexAttribIFormat", " not available." );
  }

  static void REGAL_CALL glVertexAttribLFormat(GLuint attribindex, GLint size, GLenum type, GLuint relativeoffset)
{
    UNUSED_PARAMETER(attribindex);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(relativeoffset);
    Warning( "glVertexAttribLFormat", " not available." );
  }

  static void REGAL_CALL glVertexBindingDivisor(GLuint bindingindex, GLuint divisor)
{
    UNUSED_PARAMETER(bindingindex);
    UNUSED_PARAMETER(divisor);
    Warning( "glVertexBindingDivisor", " not available." );
  }

// GL_ARB_vertex_blend

  static void REGAL_CALL glVertexBlendARB(GLint count)
{
    UNUSED_PARAMETER(count);
    Warning( "glVertexBlendARB", " not available." );
  }

  static void REGAL_CALL glWeightPointerARB(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glWeightPointerARB", " not available." );
  }

  static void REGAL_CALL glWeightbvARB(GLint size, const GLbyte *weights)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(weights);
    Warning( "glWeightbvARB", " not available." );
  }

  static void REGAL_CALL glWeightdvARB(GLint size, const GLdouble *weights)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(weights);
    Warning( "glWeightdvARB", " not available." );
  }

  static void REGAL_CALL glWeightfvARB(GLint size, const GLfloat *weights)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(weights);
    Warning( "glWeightfvARB", " not available." );
  }

  static void REGAL_CALL glWeightivARB(GLint size, const GLint *weights)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(weights);
    Warning( "glWeightivARB", " not available." );
  }

  static void REGAL_CALL glWeightsvARB(GLint size, const GLshort *weights)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(weights);
    Warning( "glWeightsvARB", " not available." );
  }

  static void REGAL_CALL glWeightubvARB(GLint size, const GLubyte *weights)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(weights);
    Warning( "glWeightubvARB", " not available." );
  }

  static void REGAL_CALL glWeightuivARB(GLint size, const GLuint *weights)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(weights);
    Warning( "glWeightuivARB", " not available." );
  }

  static void REGAL_CALL glWeightusvARB(GLint size, const GLushort *weights)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(weights);
    Warning( "glWeightusvARB", " not available." );
  }

// GL_ARB_vertex_buffer_object

  static void REGAL_CALL glBindBufferARB(GLenum target, GLuint buffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(buffer);
    Warning( "glBindBufferARB", " not available." );
  }

  static void REGAL_CALL glBufferDataARB(GLenum target, GLsizeiptrARB size, const GLvoid *data, GLenum usage)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    UNUSED_PARAMETER(usage);
    Warning( "glBufferDataARB", " not available." );
  }

  static void REGAL_CALL glBufferSubDataARB(GLenum target, GLintptrARB offset, GLsizeiptrARB size, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    Warning( "glBufferSubDataARB", " not available." );
  }

  static void REGAL_CALL glDeleteBuffersARB(GLsizei n, const GLuint *buffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(buffers);
    Warning( "glDeleteBuffersARB", " not available." );
  }

  static void REGAL_CALL glGenBuffersARB(GLsizei n, GLuint *buffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(buffers);
    Warning( "glGenBuffersARB", " not available." );
  }

  static void REGAL_CALL glGetBufferParameterivARB(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetBufferParameterivARB", " not available." );
  }

  static void REGAL_CALL glGetBufferPointervARB(GLenum target, GLenum pname, GLvoid **params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetBufferPointervARB", " not available." );
  }

  static void REGAL_CALL glGetBufferSubDataARB(GLenum target, GLintptrARB offset, GLsizeiptrARB size, GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    Warning( "glGetBufferSubDataARB", " not available." );
  }

  static GLboolean REGAL_CALL glIsBufferARB(GLuint buffer)
{
    UNUSED_PARAMETER(buffer);
    Warning( "glIsBufferARB", " not available." );
    return GL_FALSE;
  }

  static void *REGAL_CALL glMapBufferARB(GLenum target, GLenum access)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(access);
    Warning( "glMapBufferARB", " not available." );
    return NULL;
  }

  static GLboolean REGAL_CALL glUnmapBufferARB(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glUnmapBufferARB", " not available." );
    return GL_FALSE;
  }

// GL_ARB_vertex_program

  static void REGAL_CALL glBindProgramARB(GLenum target, GLuint program)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(program);
    Warning( "glBindProgramARB", " not available." );
  }

  static void REGAL_CALL glDeleteProgramsARB(GLsizei n, const GLuint *programs)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(programs);
    Warning( "glDeleteProgramsARB", " not available." );
  }

  static void REGAL_CALL glDisableVertexAttribArrayARB(GLuint index)
{
    UNUSED_PARAMETER(index);
    Warning( "glDisableVertexAttribArrayARB", " not available." );
  }

  static void REGAL_CALL glEnableVertexAttribArrayARB(GLuint index)
{
    UNUSED_PARAMETER(index);
    Warning( "glEnableVertexAttribArrayARB", " not available." );
  }

  static void REGAL_CALL glGenProgramsARB(GLsizei n, GLuint *programs)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(programs);
    Warning( "glGenProgramsARB", " not available." );
  }

  static void REGAL_CALL glGetProgramEnvParameterdvARB(GLenum target, GLuint index, GLdouble *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramEnvParameterdvARB", " not available." );
  }

  static void REGAL_CALL glGetProgramEnvParameterfvARB(GLenum target, GLuint index, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramEnvParameterfvARB", " not available." );
  }

  static void REGAL_CALL glGetProgramLocalParameterdvARB(GLenum target, GLuint index, GLdouble *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramLocalParameterdvARB", " not available." );
  }

  static void REGAL_CALL glGetProgramLocalParameterfvARB(GLenum target, GLuint index, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramLocalParameterfvARB", " not available." );
  }

  static void REGAL_CALL glGetProgramStringARB(GLenum target, GLenum pname, GLvoid *string)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(string);
    Warning( "glGetProgramStringARB", " not available." );
  }

  static void REGAL_CALL glGetProgramivARB(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramivARB", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribPointervARB(GLuint index, GLenum pname, GLvoid **pointer)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(pointer);
    Warning( "glGetVertexAttribPointervARB", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribdvARB(GLuint index, GLenum pname, GLdouble *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribdvARB", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribfvARB(GLuint index, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribfvARB", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribivARB(GLuint index, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribivARB", " not available." );
  }

  static GLboolean REGAL_CALL glIsProgramARB(GLuint program)
{
    UNUSED_PARAMETER(program);
    Warning( "glIsProgramARB", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glProgramEnvParameter4dARB(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramEnvParameter4dARB", " not available." );
  }

  static void REGAL_CALL glProgramEnvParameter4dvARB(GLenum target, GLuint index, const GLdouble *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glProgramEnvParameter4dvARB", " not available." );
  }

  static void REGAL_CALL glProgramEnvParameter4fARB(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramEnvParameter4fARB", " not available." );
  }

  static void REGAL_CALL glProgramEnvParameter4fvARB(GLenum target, GLuint index, const GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glProgramEnvParameter4fvARB", " not available." );
  }

  static void REGAL_CALL glProgramLocalParameter4dARB(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramLocalParameter4dARB", " not available." );
  }

  static void REGAL_CALL glProgramLocalParameter4dvARB(GLenum target, GLuint index, const GLdouble *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glProgramLocalParameter4dvARB", " not available." );
  }

  static void REGAL_CALL glProgramLocalParameter4fARB(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramLocalParameter4fARB", " not available." );
  }

  static void REGAL_CALL glProgramLocalParameter4fvARB(GLenum target, GLuint index, const GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glProgramLocalParameter4fvARB", " not available." );
  }

  static void REGAL_CALL glProgramStringARB(GLenum target, GLenum format, GLsizei len, const GLvoid *string)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(len);
    UNUSED_PARAMETER(string);
    Warning( "glProgramStringARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1dARB(GLuint index, GLdouble x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttrib1dARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1dvARB(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib1dvARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1fARB(GLuint index, GLfloat x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttrib1fARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1fvARB(GLuint index, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib1fvARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1sARB(GLuint index, GLshort x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttrib1sARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1svARB(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib1svARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2dARB(GLuint index, GLdouble x, GLdouble y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttrib2dARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2dvARB(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib2dvARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2fARB(GLuint index, GLfloat x, GLfloat y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttrib2fARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2fvARB(GLuint index, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib2fvARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2sARB(GLuint index, GLshort x, GLshort y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttrib2sARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2svARB(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib2svARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3dARB(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttrib3dARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3dvARB(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib3dvARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3fARB(GLuint index, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttrib3fARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3fvARB(GLuint index, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib3fvARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3sARB(GLuint index, GLshort x, GLshort y, GLshort z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttrib3sARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3svARB(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib3svARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4NbvARB(GLuint index, const GLbyte *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4NbvARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4NivARB(GLuint index, const GLint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4NivARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4NsvARB(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4NsvARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4NubARB(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttrib4NubARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4NubvARB(GLuint index, const GLubyte *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4NubvARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4NuivARB(GLuint index, const GLuint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4NuivARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4NusvARB(GLuint index, const GLushort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4NusvARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4bvARB(GLuint index, const GLbyte *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4bvARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4dARB(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttrib4dARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4dvARB(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4dvARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4fARB(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttrib4fARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4fvARB(GLuint index, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4fvARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4ivARB(GLuint index, const GLint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4ivARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4sARB(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttrib4sARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4svARB(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4svARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4ubvARB(GLuint index, const GLubyte *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4ubvARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4uivARB(GLuint index, const GLuint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4uivARB", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4usvARB(GLuint index, const GLushort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4usvARB", " not available." );
  }

  static void REGAL_CALL glVertexAttribPointerARB(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glVertexAttribPointerARB", " not available." );
  }

// GL_ARB_vertex_shader

  static void REGAL_CALL glBindAttribLocationARB(GLhandleARB programObj, GLuint index, const GLcharARB *name)
{
    UNUSED_PARAMETER(programObj);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(name);
    Warning( "glBindAttribLocationARB", " not available." );
  }

  static void REGAL_CALL glGetActiveAttribARB(GLhandleARB programObj, GLuint index, GLsizei maxLength, GLsizei *length, GLint *size, GLenum *type, GLcharARB *name)
{
    UNUSED_PARAMETER(programObj);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(maxLength);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(name);
    Warning( "glGetActiveAttribARB", " not available." );
  }

  static GLint REGAL_CALL glGetAttribLocationARB(GLhandleARB programObj, const GLcharARB *name)
{
    UNUSED_PARAMETER(programObj);
    UNUSED_PARAMETER(name);
    Warning( "glGetAttribLocationARB", " not available." );
    return 0;
  }

// GL_ARB_vertex_type_2_10_10_10_rev

  static void REGAL_CALL glColorP3ui(GLenum type, GLuint color)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(color);
    Warning( "glColorP3ui", " not available." );
  }

  static void REGAL_CALL glColorP3uiv(GLenum type, const GLuint *color)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(color);
    Warning( "glColorP3uiv", " not available." );
  }

  static void REGAL_CALL glColorP4ui(GLenum type, GLuint color)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(color);
    Warning( "glColorP4ui", " not available." );
  }

  static void REGAL_CALL glColorP4uiv(GLenum type, const GLuint *color)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(color);
    Warning( "glColorP4uiv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoordP1ui(GLenum texture, GLenum type, GLuint coords)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glMultiTexCoordP1ui", " not available." );
  }

  static void REGAL_CALL glMultiTexCoordP1uiv(GLenum texture, GLenum type, const GLuint *coords)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glMultiTexCoordP1uiv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoordP2ui(GLenum texture, GLenum type, GLuint coords)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glMultiTexCoordP2ui", " not available." );
  }

  static void REGAL_CALL glMultiTexCoordP2uiv(GLenum texture, GLenum type, const GLuint *coords)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glMultiTexCoordP2uiv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoordP3ui(GLenum texture, GLenum type, GLuint coords)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glMultiTexCoordP3ui", " not available." );
  }

  static void REGAL_CALL glMultiTexCoordP3uiv(GLenum texture, GLenum type, const GLuint *coords)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glMultiTexCoordP3uiv", " not available." );
  }

  static void REGAL_CALL glMultiTexCoordP4ui(GLenum texture, GLenum type, GLuint coords)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glMultiTexCoordP4ui", " not available." );
  }

  static void REGAL_CALL glMultiTexCoordP4uiv(GLenum texture, GLenum type, const GLuint *coords)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glMultiTexCoordP4uiv", " not available." );
  }

  static void REGAL_CALL glNormalP3ui(GLenum type, GLuint coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glNormalP3ui", " not available." );
  }

  static void REGAL_CALL glNormalP3uiv(GLenum type, const GLuint *coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glNormalP3uiv", " not available." );
  }

  static void REGAL_CALL glSecondaryColorP3ui(GLenum type, GLuint color)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(color);
    Warning( "glSecondaryColorP3ui", " not available." );
  }

  static void REGAL_CALL glSecondaryColorP3uiv(GLenum type, const GLuint *color)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(color);
    Warning( "glSecondaryColorP3uiv", " not available." );
  }

  static void REGAL_CALL glTexCoordP1ui(GLenum type, GLuint coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glTexCoordP1ui", " not available." );
  }

  static void REGAL_CALL glTexCoordP1uiv(GLenum type, const GLuint *coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glTexCoordP1uiv", " not available." );
  }

  static void REGAL_CALL glTexCoordP2ui(GLenum type, GLuint coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glTexCoordP2ui", " not available." );
  }

  static void REGAL_CALL glTexCoordP2uiv(GLenum type, const GLuint *coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glTexCoordP2uiv", " not available." );
  }

  static void REGAL_CALL glTexCoordP3ui(GLenum type, GLuint coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glTexCoordP3ui", " not available." );
  }

  static void REGAL_CALL glTexCoordP3uiv(GLenum type, const GLuint *coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glTexCoordP3uiv", " not available." );
  }

  static void REGAL_CALL glTexCoordP4ui(GLenum type, GLuint coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glTexCoordP4ui", " not available." );
  }

  static void REGAL_CALL glTexCoordP4uiv(GLenum type, const GLuint *coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glTexCoordP4uiv", " not available." );
  }

  static void REGAL_CALL glVertexAttribP1ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(value);
    Warning( "glVertexAttribP1ui", " not available." );
  }

  static void REGAL_CALL glVertexAttribP1uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(value);
    Warning( "glVertexAttribP1uiv", " not available." );
  }

  static void REGAL_CALL glVertexAttribP2ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(value);
    Warning( "glVertexAttribP2ui", " not available." );
  }

  static void REGAL_CALL glVertexAttribP2uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(value);
    Warning( "glVertexAttribP2uiv", " not available." );
  }

  static void REGAL_CALL glVertexAttribP3ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(value);
    Warning( "glVertexAttribP3ui", " not available." );
  }

  static void REGAL_CALL glVertexAttribP3uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(value);
    Warning( "glVertexAttribP3uiv", " not available." );
  }

  static void REGAL_CALL glVertexAttribP4ui(GLuint index, GLenum type, GLboolean normalized, GLuint value)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(value);
    Warning( "glVertexAttribP4ui", " not available." );
  }

  static void REGAL_CALL glVertexAttribP4uiv(GLuint index, GLenum type, GLboolean normalized, const GLuint *value)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(value);
    Warning( "glVertexAttribP4uiv", " not available." );
  }

  static void REGAL_CALL glVertexP2ui(GLenum type, GLuint coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexP2ui", " not available." );
  }

  static void REGAL_CALL glVertexP2uiv(GLenum type, const GLuint *coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexP2uiv", " not available." );
  }

  static void REGAL_CALL glVertexP3ui(GLenum type, GLuint coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexP3ui", " not available." );
  }

  static void REGAL_CALL glVertexP3uiv(GLenum type, const GLuint *coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexP3uiv", " not available." );
  }

  static void REGAL_CALL glVertexP4ui(GLenum type, GLuint coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexP4ui", " not available." );
  }

  static void REGAL_CALL glVertexP4uiv(GLenum type, const GLuint *coords)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexP4uiv", " not available." );
  }

// GL_ARB_viewport_array

  static void REGAL_CALL glDepthRangeArrayv(GLuint first, GLsizei count, const GLclampd *v)
{
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glDepthRangeArrayv", " not available." );
  }

  static void REGAL_CALL glDepthRangeIndexed(GLuint index, GLclampd n, GLclampd f)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(f);
    Warning( "glDepthRangeIndexed", " not available." );
  }

  static void REGAL_CALL glGetDoublei_v(GLenum target, GLuint index, GLdouble *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glGetDoublei_v", " not available." );
  }

  static void REGAL_CALL glGetFloati_v(GLenum target, GLuint index, GLfloat *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glGetFloati_v", " not available." );
  }

  static void REGAL_CALL glScissorArrayv(GLuint first, GLsizei count, const GLint *v)
{
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glScissorArrayv", " not available." );
  }

  static void REGAL_CALL glScissorIndexed(GLuint index, GLint left, GLint bottom, GLint width, GLint height)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(left);
    UNUSED_PARAMETER(bottom);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glScissorIndexed", " not available." );
  }

  static void REGAL_CALL glScissorIndexedv(GLuint index, const GLint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glScissorIndexedv", " not available." );
  }

  static void REGAL_CALL glViewportArrayv(GLuint first, GLsizei count, const GLfloat *v)
{
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glViewportArrayv", " not available." );
  }

  static void REGAL_CALL glViewportIndexedf(GLuint index, GLfloat x, GLfloat y, GLfloat w, GLfloat h)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(w);
    UNUSED_PARAMETER(h);
    Warning( "glViewportIndexedf", " not available." );
  }

  static void REGAL_CALL glViewportIndexedfv(GLuint index, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glViewportIndexedfv", " not available." );
  }

// GL_ARB_window_pos

  static void REGAL_CALL glWindowPos2dARB(GLdouble x, GLdouble y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glWindowPos2dARB", " not available." );
  }

  static void REGAL_CALL glWindowPos2dvARB(const GLdouble *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos2dvARB", " not available." );
  }

  static void REGAL_CALL glWindowPos2fARB(GLfloat x, GLfloat y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glWindowPos2fARB", " not available." );
  }

  static void REGAL_CALL glWindowPos2fvARB(const GLfloat *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos2fvARB", " not available." );
  }

  static void REGAL_CALL glWindowPos2iARB(GLint x, GLint y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glWindowPos2iARB", " not available." );
  }

  static void REGAL_CALL glWindowPos2ivARB(const GLint *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos2ivARB", " not available." );
  }

  static void REGAL_CALL glWindowPos2sARB(GLshort x, GLshort y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glWindowPos2sARB", " not available." );
  }

  static void REGAL_CALL glWindowPos2svARB(const GLshort *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos2svARB", " not available." );
  }

  static void REGAL_CALL glWindowPos3dARB(GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glWindowPos3dARB", " not available." );
  }

  static void REGAL_CALL glWindowPos3dvARB(const GLdouble *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos3dvARB", " not available." );
  }

  static void REGAL_CALL glWindowPos3fARB(GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glWindowPos3fARB", " not available." );
  }

  static void REGAL_CALL glWindowPos3fvARB(const GLfloat *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos3fvARB", " not available." );
  }

  static void REGAL_CALL glWindowPos3iARB(GLint x, GLint y, GLint z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glWindowPos3iARB", " not available." );
  }

  static void REGAL_CALL glWindowPos3ivARB(const GLint *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos3ivARB", " not available." );
  }

  static void REGAL_CALL glWindowPos3sARB(GLshort x, GLshort y, GLshort z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glWindowPos3sARB", " not available." );
  }

  static void REGAL_CALL glWindowPos3svARB(const GLshort *p)
{
    UNUSED_PARAMETER(p);
    Warning( "glWindowPos3svARB", " not available." );
  }

// GL_ATI_draw_buffers

  static void REGAL_CALL glDrawBuffersATI(GLsizei n, const GLenum *bufs)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(bufs);
    Warning( "glDrawBuffersATI", " not available." );
  }

// GL_ATI_element_array

  static void REGAL_CALL glDrawElementArrayATI(GLenum mode, GLsizei count)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(count);
    Warning( "glDrawElementArrayATI", " not available." );
  }

  static void REGAL_CALL glDrawRangeElementArrayATI(GLenum mode, GLuint start, GLuint end, GLsizei count)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(start);
    UNUSED_PARAMETER(end);
    UNUSED_PARAMETER(count);
    Warning( "glDrawRangeElementArrayATI", " not available." );
  }

  static void REGAL_CALL glElementPointerATI(GLenum type, const GLvoid *pointer)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pointer);
    Warning( "glElementPointerATI", " not available." );
  }

// GL_ATI_envmap_bumpmap

  static void REGAL_CALL glGetTexBumpParameterfvATI(GLenum pname, GLfloat *param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glGetTexBumpParameterfvATI", " not available." );
  }

  static void REGAL_CALL glGetTexBumpParameterivATI(GLenum pname, GLint *param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glGetTexBumpParameterivATI", " not available." );
  }

  static void REGAL_CALL glTexBumpParameterfvATI(GLenum pname, const GLfloat *param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTexBumpParameterfvATI", " not available." );
  }

  static void REGAL_CALL glTexBumpParameterivATI(GLenum pname, const GLint *param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTexBumpParameterivATI", " not available." );
  }

// GL_ATI_fragment_shader

  static void REGAL_CALL glAlphaFragmentOp1ATI(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod)
{
    UNUSED_PARAMETER(op);
    UNUSED_PARAMETER(dst);
    UNUSED_PARAMETER(dstMod);
    UNUSED_PARAMETER(arg1);
    UNUSED_PARAMETER(arg1Rep);
    UNUSED_PARAMETER(arg1Mod);
    Warning( "glAlphaFragmentOp1ATI", " not available." );
  }

  static void REGAL_CALL glAlphaFragmentOp2ATI(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod)
{
    UNUSED_PARAMETER(op);
    UNUSED_PARAMETER(dst);
    UNUSED_PARAMETER(dstMod);
    UNUSED_PARAMETER(arg1);
    UNUSED_PARAMETER(arg1Rep);
    UNUSED_PARAMETER(arg1Mod);
    UNUSED_PARAMETER(arg2);
    UNUSED_PARAMETER(arg2Rep);
    UNUSED_PARAMETER(arg2Mod);
    Warning( "glAlphaFragmentOp2ATI", " not available." );
  }

  static void REGAL_CALL glAlphaFragmentOp3ATI(GLenum op, GLuint dst, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod)
{
    UNUSED_PARAMETER(op);
    UNUSED_PARAMETER(dst);
    UNUSED_PARAMETER(dstMod);
    UNUSED_PARAMETER(arg1);
    UNUSED_PARAMETER(arg1Rep);
    UNUSED_PARAMETER(arg1Mod);
    UNUSED_PARAMETER(arg2);
    UNUSED_PARAMETER(arg2Rep);
    UNUSED_PARAMETER(arg2Mod);
    UNUSED_PARAMETER(arg3);
    UNUSED_PARAMETER(arg3Rep);
    UNUSED_PARAMETER(arg3Mod);
    Warning( "glAlphaFragmentOp3ATI", " not available." );
  }

  static void REGAL_CALL glBeginFragmentShaderATI(void)
{
    Warning( "glBeginFragmentShaderATI", " not available." );
  }

  static void REGAL_CALL glBindFragmentShaderATI(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glBindFragmentShaderATI", " not available." );
  }

  static void REGAL_CALL glColorFragmentOp1ATI(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod)
{
    UNUSED_PARAMETER(op);
    UNUSED_PARAMETER(dst);
    UNUSED_PARAMETER(dstMask);
    UNUSED_PARAMETER(dstMod);
    UNUSED_PARAMETER(arg1);
    UNUSED_PARAMETER(arg1Rep);
    UNUSED_PARAMETER(arg1Mod);
    Warning( "glColorFragmentOp1ATI", " not available." );
  }

  static void REGAL_CALL glColorFragmentOp2ATI(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod)
{
    UNUSED_PARAMETER(op);
    UNUSED_PARAMETER(dst);
    UNUSED_PARAMETER(dstMask);
    UNUSED_PARAMETER(dstMod);
    UNUSED_PARAMETER(arg1);
    UNUSED_PARAMETER(arg1Rep);
    UNUSED_PARAMETER(arg1Mod);
    UNUSED_PARAMETER(arg2);
    UNUSED_PARAMETER(arg2Rep);
    UNUSED_PARAMETER(arg2Mod);
    Warning( "glColorFragmentOp2ATI", " not available." );
  }

  static void REGAL_CALL glColorFragmentOp3ATI(GLenum op, GLuint dst, GLuint dstMask, GLuint dstMod, GLuint arg1, GLuint arg1Rep, GLuint arg1Mod, GLuint arg2, GLuint arg2Rep, GLuint arg2Mod, GLuint arg3, GLuint arg3Rep, GLuint arg3Mod)
{
    UNUSED_PARAMETER(op);
    UNUSED_PARAMETER(dst);
    UNUSED_PARAMETER(dstMask);
    UNUSED_PARAMETER(dstMod);
    UNUSED_PARAMETER(arg1);
    UNUSED_PARAMETER(arg1Rep);
    UNUSED_PARAMETER(arg1Mod);
    UNUSED_PARAMETER(arg2);
    UNUSED_PARAMETER(arg2Rep);
    UNUSED_PARAMETER(arg2Mod);
    UNUSED_PARAMETER(arg3);
    UNUSED_PARAMETER(arg3Rep);
    UNUSED_PARAMETER(arg3Mod);
    Warning( "glColorFragmentOp3ATI", " not available." );
  }

  static void REGAL_CALL glDeleteFragmentShaderATI(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glDeleteFragmentShaderATI", " not available." );
  }

  static void REGAL_CALL glEndFragmentShaderATI(void)
{
    Warning( "glEndFragmentShaderATI", " not available." );
  }

  static GLuint REGAL_CALL glGenFragmentShadersATI(GLuint range)
{
    UNUSED_PARAMETER(range);
    Warning( "glGenFragmentShadersATI", " not available." );
    return 0;
  }

  static void REGAL_CALL glPassTexCoordATI(GLuint dst, GLuint coord, GLenum swizzle)
{
    UNUSED_PARAMETER(dst);
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(swizzle);
    Warning( "glPassTexCoordATI", " not available." );
  }

  static void REGAL_CALL glSampleMapATI(GLuint dst, GLuint interp, GLenum swizzle)
{
    UNUSED_PARAMETER(dst);
    UNUSED_PARAMETER(interp);
    UNUSED_PARAMETER(swizzle);
    Warning( "glSampleMapATI", " not available." );
  }

  static void REGAL_CALL glSetFragmentShaderConstantATI(GLuint dst, const GLfloat *value)
{
    UNUSED_PARAMETER(dst);
    UNUSED_PARAMETER(value);
    Warning( "glSetFragmentShaderConstantATI", " not available." );
  }

// GL_ATI_map_object_buffer

  static void *REGAL_CALL glMapObjectBufferATI(GLuint buffer)
{
    UNUSED_PARAMETER(buffer);
    Warning( "glMapObjectBufferATI", " not available." );
    return NULL;
  }

  static void REGAL_CALL glUnmapObjectBufferATI(GLuint buffer)
{
    UNUSED_PARAMETER(buffer);
    Warning( "glUnmapObjectBufferATI", " not available." );
  }

// GL_ATI_pn_triangles

  static void REGAL_CALL glPNTrianglesfATI(GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPNTrianglesfATI", " not available." );
  }

  static void REGAL_CALL glPNTrianglesiATI(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPNTrianglesiATI", " not available." );
  }

// GL_ATI_separate_stencil

  static void REGAL_CALL glStencilFuncSeparateATI(GLenum frontfunc, GLenum backfunc, GLint ref, GLuint mask)
{
    UNUSED_PARAMETER(frontfunc);
    UNUSED_PARAMETER(backfunc);
    UNUSED_PARAMETER(ref);
    UNUSED_PARAMETER(mask);
    Warning( "glStencilFuncSeparateATI", " not available." );
  }

  static void REGAL_CALL glStencilOpSeparateATI(GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(sfail);
    UNUSED_PARAMETER(dpfail);
    UNUSED_PARAMETER(dppass);
    Warning( "glStencilOpSeparateATI", " not available." );
  }

// GL_ATI_vertex_array_object

  static void REGAL_CALL glArrayObjectATI(GLenum array, GLint size, GLenum type, GLsizei stride, GLuint buffer, GLuint offset)
{
    UNUSED_PARAMETER(array);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    Warning( "glArrayObjectATI", " not available." );
  }

  static void REGAL_CALL glFreeObjectBufferATI(GLuint buffer)
{
    UNUSED_PARAMETER(buffer);
    Warning( "glFreeObjectBufferATI", " not available." );
  }

  static void REGAL_CALL glGetArrayObjectfvATI(GLenum array, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(array);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetArrayObjectfvATI", " not available." );
  }

  static void REGAL_CALL glGetArrayObjectivATI(GLenum array, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(array);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetArrayObjectivATI", " not available." );
  }

  static void REGAL_CALL glGetObjectBufferfvATI(GLuint buffer, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetObjectBufferfvATI", " not available." );
  }

  static void REGAL_CALL glGetObjectBufferivATI(GLuint buffer, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetObjectBufferivATI", " not available." );
  }

  static void REGAL_CALL glGetVariantArrayObjectfvATI(GLuint id, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVariantArrayObjectfvATI", " not available." );
  }

  static void REGAL_CALL glGetVariantArrayObjectivATI(GLuint id, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVariantArrayObjectivATI", " not available." );
  }

  static GLboolean REGAL_CALL glIsObjectBufferATI(GLuint buffer)
{
    UNUSED_PARAMETER(buffer);
    Warning( "glIsObjectBufferATI", " not available." );
    return GL_FALSE;
  }

  static GLuint REGAL_CALL glNewObjectBufferATI(GLsizei size, const GLvoid *pointer, GLenum usage)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(pointer);
    UNUSED_PARAMETER(usage);
    Warning( "glNewObjectBufferATI", " not available." );
    return 0;
  }

  static void REGAL_CALL glUpdateObjectBufferATI(GLuint buffer, GLuint offset, GLsizei size, const GLvoid *pointer, GLenum preserve)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(pointer);
    UNUSED_PARAMETER(preserve);
    Warning( "glUpdateObjectBufferATI", " not available." );
  }

  static void REGAL_CALL glVariantArrayObjectATI(GLuint id, GLenum type, GLsizei stride, GLuint buffer, GLuint offset)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    Warning( "glVariantArrayObjectATI", " not available." );
  }

// GL_ATI_vertex_attrib_array_object

  static void REGAL_CALL glGetVertexAttribArrayObjectfvATI(GLuint index, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribArrayObjectfvATI", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribArrayObjectivATI(GLuint index, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribArrayObjectivATI", " not available." );
  }

  static void REGAL_CALL glVertexAttribArrayObjectATI(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, GLuint buffer, GLuint offset)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    Warning( "glVertexAttribArrayObjectATI", " not available." );
  }

// GL_ATI_vertex_streams

  static void REGAL_CALL glClientActiveVertexStreamATI(GLenum stream)
{
    UNUSED_PARAMETER(stream);
    Warning( "glClientActiveVertexStreamATI", " not available." );
  }

  static void REGAL_CALL glNormalStream3bATI(GLenum stream, GLbyte nx, GLbyte ny, GLbyte nz)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    Warning( "glNormalStream3bATI", " not available." );
  }

  static void REGAL_CALL glNormalStream3bvATI(GLenum stream, const GLbyte *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glNormalStream3bvATI", " not available." );
  }

  static void REGAL_CALL glNormalStream3dATI(GLenum stream, GLdouble nx, GLdouble ny, GLdouble nz)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    Warning( "glNormalStream3dATI", " not available." );
  }

  static void REGAL_CALL glNormalStream3dvATI(GLenum stream, const GLdouble *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glNormalStream3dvATI", " not available." );
  }

  static void REGAL_CALL glNormalStream3fATI(GLenum stream, GLfloat nx, GLfloat ny, GLfloat nz)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    Warning( "glNormalStream3fATI", " not available." );
  }

  static void REGAL_CALL glNormalStream3fvATI(GLenum stream, const GLfloat *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glNormalStream3fvATI", " not available." );
  }

  static void REGAL_CALL glNormalStream3iATI(GLenum stream, GLint nx, GLint ny, GLint nz)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    Warning( "glNormalStream3iATI", " not available." );
  }

  static void REGAL_CALL glNormalStream3ivATI(GLenum stream, const GLint *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glNormalStream3ivATI", " not available." );
  }

  static void REGAL_CALL glNormalStream3sATI(GLenum stream, GLshort nx, GLshort ny, GLshort nz)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    Warning( "glNormalStream3sATI", " not available." );
  }

  static void REGAL_CALL glNormalStream3svATI(GLenum stream, const GLshort *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glNormalStream3svATI", " not available." );
  }

  static void REGAL_CALL glVertexBlendEnvfATI(GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glVertexBlendEnvfATI", " not available." );
  }

  static void REGAL_CALL glVertexBlendEnviATI(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glVertexBlendEnviATI", " not available." );
  }

  static void REGAL_CALL glVertexStream1dATI(GLenum stream, GLdouble x)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    Warning( "glVertexStream1dATI", " not available." );
  }

  static void REGAL_CALL glVertexStream1dvATI(GLenum stream, const GLdouble *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream1dvATI", " not available." );
  }

  static void REGAL_CALL glVertexStream1fATI(GLenum stream, GLfloat x)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    Warning( "glVertexStream1fATI", " not available." );
  }

  static void REGAL_CALL glVertexStream1fvATI(GLenum stream, const GLfloat *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream1fvATI", " not available." );
  }

  static void REGAL_CALL glVertexStream1iATI(GLenum stream, GLint x)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    Warning( "glVertexStream1iATI", " not available." );
  }

  static void REGAL_CALL glVertexStream1ivATI(GLenum stream, const GLint *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream1ivATI", " not available." );
  }

  static void REGAL_CALL glVertexStream1sATI(GLenum stream, GLshort x)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    Warning( "glVertexStream1sATI", " not available." );
  }

  static void REGAL_CALL glVertexStream1svATI(GLenum stream, const GLshort *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream1svATI", " not available." );
  }

  static void REGAL_CALL glVertexStream2dATI(GLenum stream, GLdouble x, GLdouble y)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexStream2dATI", " not available." );
  }

  static void REGAL_CALL glVertexStream2dvATI(GLenum stream, const GLdouble *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream2dvATI", " not available." );
  }

  static void REGAL_CALL glVertexStream2fATI(GLenum stream, GLfloat x, GLfloat y)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexStream2fATI", " not available." );
  }

  static void REGAL_CALL glVertexStream2fvATI(GLenum stream, const GLfloat *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream2fvATI", " not available." );
  }

  static void REGAL_CALL glVertexStream2iATI(GLenum stream, GLint x, GLint y)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexStream2iATI", " not available." );
  }

  static void REGAL_CALL glVertexStream2ivATI(GLenum stream, const GLint *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream2ivATI", " not available." );
  }

  static void REGAL_CALL glVertexStream2sATI(GLenum stream, GLshort x, GLshort y)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexStream2sATI", " not available." );
  }

  static void REGAL_CALL glVertexStream2svATI(GLenum stream, const GLshort *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream2svATI", " not available." );
  }

  static void REGAL_CALL glVertexStream3dATI(GLenum stream, GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexStream3dATI", " not available." );
  }

  static void REGAL_CALL glVertexStream3dvATI(GLenum stream, const GLdouble *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream3dvATI", " not available." );
  }

  static void REGAL_CALL glVertexStream3fATI(GLenum stream, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexStream3fATI", " not available." );
  }

  static void REGAL_CALL glVertexStream3fvATI(GLenum stream, const GLfloat *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream3fvATI", " not available." );
  }

  static void REGAL_CALL glVertexStream3iATI(GLenum stream, GLint x, GLint y, GLint z)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexStream3iATI", " not available." );
  }

  static void REGAL_CALL glVertexStream3ivATI(GLenum stream, const GLint *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream3ivATI", " not available." );
  }

  static void REGAL_CALL glVertexStream3sATI(GLenum stream, GLshort x, GLshort y, GLshort z)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexStream3sATI", " not available." );
  }

  static void REGAL_CALL glVertexStream3svATI(GLenum stream, const GLshort *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream3svATI", " not available." );
  }

  static void REGAL_CALL glVertexStream4dATI(GLenum stream, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexStream4dATI", " not available." );
  }

  static void REGAL_CALL glVertexStream4dvATI(GLenum stream, const GLdouble *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream4dvATI", " not available." );
  }

  static void REGAL_CALL glVertexStream4fATI(GLenum stream, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexStream4fATI", " not available." );
  }

  static void REGAL_CALL glVertexStream4fvATI(GLenum stream, const GLfloat *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream4fvATI", " not available." );
  }

  static void REGAL_CALL glVertexStream4iATI(GLenum stream, GLint x, GLint y, GLint z, GLint w)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexStream4iATI", " not available." );
  }

  static void REGAL_CALL glVertexStream4ivATI(GLenum stream, const GLint *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream4ivATI", " not available." );
  }

  static void REGAL_CALL glVertexStream4sATI(GLenum stream, GLshort x, GLshort y, GLshort z, GLshort w)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexStream4sATI", " not available." );
  }

  static void REGAL_CALL glVertexStream4svATI(GLenum stream, const GLshort *coords)
{
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(coords);
    Warning( "glVertexStream4svATI", " not available." );
  }

// GL_EXT_bindable_uniform

  static GLint REGAL_CALL glGetUniformBufferSizeEXT(GLuint program, GLint location)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    Warning( "glGetUniformBufferSizeEXT", " not available." );
    return 0;
  }

  static GLintptr REGAL_CALL glGetUniformOffsetEXT(GLuint program, GLint location)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    Warning( "glGetUniformOffsetEXT", " not available." );
    return 0;
  }

  static void REGAL_CALL glUniformBufferEXT(GLuint program, GLint location, GLuint buffer)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(buffer);
    Warning( "glUniformBufferEXT", " not available." );
  }

// GL_EXT_blend_color

  static void REGAL_CALL glBlendColorEXT(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glBlendColorEXT", " not available." );
  }

// GL_EXT_blend_equation_separate

  static void REGAL_CALL glBlendEquationSeparateEXT(GLenum modeRGB, GLenum modeAlpha)
{
    UNUSED_PARAMETER(modeRGB);
    UNUSED_PARAMETER(modeAlpha);
    Warning( "glBlendEquationSeparateEXT", " not available." );
  }

// GL_EXT_blend_func_separate

  static void REGAL_CALL glBlendFuncSeparateEXT(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
{
    UNUSED_PARAMETER(sfactorRGB);
    UNUSED_PARAMETER(dfactorRGB);
    UNUSED_PARAMETER(sfactorAlpha);
    UNUSED_PARAMETER(dfactorAlpha);
    Warning( "glBlendFuncSeparateEXT", " not available." );
  }

// GL_EXT_blend_minmax

  static void REGAL_CALL glBlendEquationEXT(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glBlendEquationEXT", " not available." );
  }

// GL_EXT_color_subtable

  static void REGAL_CALL glColorSubTableEXT(GLenum target, GLsizei start, GLsizei count, GLenum format, GLenum type, const GLvoid *table)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(start);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(table);
    Warning( "glColorSubTableEXT", " not available." );
  }

  static void REGAL_CALL glCopyColorSubTableEXT(GLenum target, GLsizei start, GLint x, GLint y, GLsizei width)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(start);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    Warning( "glCopyColorSubTableEXT", " not available." );
  }

// GL_EXT_compiled_vertex_array

  static void REGAL_CALL glLockArraysEXT(GLint first, GLsizei count)
{
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    Warning( "glLockArraysEXT", " not available." );
  }

  static void REGAL_CALL glUnlockArraysEXT(void)
{
    Warning( "glUnlockArraysEXT", " not available." );
  }

// GL_EXT_convolution

  static void REGAL_CALL glConvolutionFilter1DEXT(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *image)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(image);
    Warning( "glConvolutionFilter1DEXT", " not available." );
  }

  static void REGAL_CALL glConvolutionFilter2DEXT(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *image)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(image);
    Warning( "glConvolutionFilter2DEXT", " not available." );
  }

  static void REGAL_CALL glConvolutionParameterfEXT(GLenum target, GLenum pname, GLfloat params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glConvolutionParameterfEXT", " not available." );
  }

  static void REGAL_CALL glConvolutionParameterfvEXT(GLenum target, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glConvolutionParameterfvEXT", " not available." );
  }

  static void REGAL_CALL glConvolutionParameteriEXT(GLenum target, GLenum pname, GLint params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glConvolutionParameteriEXT", " not available." );
  }

  static void REGAL_CALL glConvolutionParameterivEXT(GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glConvolutionParameterivEXT", " not available." );
  }

  static void REGAL_CALL glCopyConvolutionFilter1DEXT(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    Warning( "glCopyConvolutionFilter1DEXT", " not available." );
  }

  static void REGAL_CALL glCopyConvolutionFilter2DEXT(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glCopyConvolutionFilter2DEXT", " not available." );
  }

  static void REGAL_CALL glGetConvolutionFilterEXT(GLenum target, GLenum format, GLenum type, GLvoid *image)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(image);
    Warning( "glGetConvolutionFilterEXT", " not available." );
  }

  static void REGAL_CALL glGetConvolutionParameterfvEXT(GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetConvolutionParameterfvEXT", " not available." );
  }

  static void REGAL_CALL glGetConvolutionParameterivEXT(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetConvolutionParameterivEXT", " not available." );
  }

  static void REGAL_CALL glGetSeparableFilterEXT(GLenum target, GLenum format, GLenum type, GLvoid *row, GLvoid *column, GLvoid *span)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(row);
    UNUSED_PARAMETER(column);
    UNUSED_PARAMETER(span);
    Warning( "glGetSeparableFilterEXT", " not available." );
  }

  static void REGAL_CALL glSeparableFilter2DEXT(GLenum target, GLenum internalformat, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *row, const GLvoid *column)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(row);
    UNUSED_PARAMETER(column);
    Warning( "glSeparableFilter2DEXT", " not available." );
  }

// GL_EXT_coordinate_frame

  static void REGAL_CALL glBinormal3bEXT(GLbyte bx, GLbyte by, GLbyte bz)
{
    UNUSED_PARAMETER(bx);
    UNUSED_PARAMETER(by);
    UNUSED_PARAMETER(bz);
    Warning( "glBinormal3bEXT", " not available." );
  }

  static void REGAL_CALL glBinormal3bvEXT(const GLbyte *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glBinormal3bvEXT", " not available." );
  }

  static void REGAL_CALL glBinormal3dEXT(GLdouble bx, GLdouble by, GLdouble bz)
{
    UNUSED_PARAMETER(bx);
    UNUSED_PARAMETER(by);
    UNUSED_PARAMETER(bz);
    Warning( "glBinormal3dEXT", " not available." );
  }

  static void REGAL_CALL glBinormal3dvEXT(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glBinormal3dvEXT", " not available." );
  }

  static void REGAL_CALL glBinormal3fEXT(GLfloat bx, GLfloat by, GLfloat bz)
{
    UNUSED_PARAMETER(bx);
    UNUSED_PARAMETER(by);
    UNUSED_PARAMETER(bz);
    Warning( "glBinormal3fEXT", " not available." );
  }

  static void REGAL_CALL glBinormal3fvEXT(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glBinormal3fvEXT", " not available." );
  }

  static void REGAL_CALL glBinormal3iEXT(GLint bx, GLint by, GLint bz)
{
    UNUSED_PARAMETER(bx);
    UNUSED_PARAMETER(by);
    UNUSED_PARAMETER(bz);
    Warning( "glBinormal3iEXT", " not available." );
  }

  static void REGAL_CALL glBinormal3ivEXT(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glBinormal3ivEXT", " not available." );
  }

  static void REGAL_CALL glBinormal3sEXT(GLshort bx, GLshort by, GLshort bz)
{
    UNUSED_PARAMETER(bx);
    UNUSED_PARAMETER(by);
    UNUSED_PARAMETER(bz);
    Warning( "glBinormal3sEXT", " not available." );
  }

  static void REGAL_CALL glBinormal3svEXT(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glBinormal3svEXT", " not available." );
  }

  static void REGAL_CALL glBinormalPointerEXT(GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glBinormalPointerEXT", " not available." );
  }

  static void REGAL_CALL glTangent3bEXT(GLbyte tx, GLbyte ty, GLbyte tz)
{
    UNUSED_PARAMETER(tx);
    UNUSED_PARAMETER(ty);
    UNUSED_PARAMETER(tz);
    Warning( "glTangent3bEXT", " not available." );
  }

  static void REGAL_CALL glTangent3bvEXT(const GLbyte *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTangent3bvEXT", " not available." );
  }

  static void REGAL_CALL glTangent3dEXT(GLdouble tx, GLdouble ty, GLdouble tz)
{
    UNUSED_PARAMETER(tx);
    UNUSED_PARAMETER(ty);
    UNUSED_PARAMETER(tz);
    Warning( "glTangent3dEXT", " not available." );
  }

  static void REGAL_CALL glTangent3dvEXT(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTangent3dvEXT", " not available." );
  }

  static void REGAL_CALL glTangent3fEXT(GLfloat tx, GLfloat ty, GLfloat tz)
{
    UNUSED_PARAMETER(tx);
    UNUSED_PARAMETER(ty);
    UNUSED_PARAMETER(tz);
    Warning( "glTangent3fEXT", " not available." );
  }

  static void REGAL_CALL glTangent3fvEXT(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTangent3fvEXT", " not available." );
  }

  static void REGAL_CALL glTangent3iEXT(GLint tx, GLint ty, GLint tz)
{
    UNUSED_PARAMETER(tx);
    UNUSED_PARAMETER(ty);
    UNUSED_PARAMETER(tz);
    Warning( "glTangent3iEXT", " not available." );
  }

  static void REGAL_CALL glTangent3ivEXT(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTangent3ivEXT", " not available." );
  }

  static void REGAL_CALL glTangent3sEXT(GLshort tx, GLshort ty, GLshort tz)
{
    UNUSED_PARAMETER(tx);
    UNUSED_PARAMETER(ty);
    UNUSED_PARAMETER(tz);
    Warning( "glTangent3sEXT", " not available." );
  }

  static void REGAL_CALL glTangent3svEXT(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTangent3svEXT", " not available." );
  }

  static void REGAL_CALL glTangentPointerEXT(GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glTangentPointerEXT", " not available." );
  }

// GL_EXT_copy_texture

  static void REGAL_CALL glCopyTexImage1DEXT(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(border);
    Warning( "glCopyTexImage1DEXT", " not available." );
  }

  static void REGAL_CALL glCopyTexImage2DEXT(GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(border);
    Warning( "glCopyTexImage2DEXT", " not available." );
  }

  static void REGAL_CALL glCopyTexSubImage1DEXT(GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    Warning( "glCopyTexSubImage1DEXT", " not available." );
  }

  static void REGAL_CALL glCopyTexSubImage2DEXT(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glCopyTexSubImage2DEXT", " not available." );
  }

  static void REGAL_CALL glCopyTexSubImage3DEXT(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glCopyTexSubImage3DEXT", " not available." );
  }

// GL_EXT_cull_vertex

  static void REGAL_CALL glCullParameterdvEXT(GLenum pname, GLdouble *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glCullParameterdvEXT", " not available." );
  }

  static void REGAL_CALL glCullParameterfvEXT(GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glCullParameterfvEXT", " not available." );
  }

// GL_EXT_debug_label

  static void REGAL_CALL glGetObjectLabelEXT(GLenum type, GLuint object, GLsizei bufSize, GLsizei *length, GLchar *label)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(object);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(label);
    Warning( "glGetObjectLabelEXT", " not available." );
  }

  static void REGAL_CALL glLabelObjectEXT(GLenum type, GLuint object, GLsizei length, const GLchar *label)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(object);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(label);
    Warning( "glLabelObjectEXT", " not available." );
  }

// GL_EXT_debug_marker

  static void REGAL_CALL glInsertEventMarkerEXT(GLsizei length, const GLchar *marker)
{
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(marker);
    Warning( "glInsertEventMarkerEXT", " not available." );
  }

  static void REGAL_CALL glPopGroupMarkerEXT(void)
{
    Warning( "glPopGroupMarkerEXT", " not available." );
  }

  static void REGAL_CALL glPushGroupMarkerEXT(GLsizei length, const GLchar *marker)
{
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(marker);
    Warning( "glPushGroupMarkerEXT", " not available." );
  }

// GL_EXT_depth_bounds_test

  static void REGAL_CALL glDepthBoundsEXT(GLclampd zmin, GLclampd zmax)
{
    UNUSED_PARAMETER(zmin);
    UNUSED_PARAMETER(zmax);
    Warning( "glDepthBoundsEXT", " not available." );
  }

// GL_EXT_direct_state_access

  static void REGAL_CALL glBindMultiTextureEXT(GLenum texunit, GLenum target, GLuint texture)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(texture);
    Warning( "glBindMultiTextureEXT", " not available." );
  }

  static GLenum REGAL_CALL glCheckNamedFramebufferStatusEXT(GLuint framebuffer, GLenum target)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(target);
    Warning( "glCheckNamedFramebufferStatusEXT", " not available." );
    return 0;
  }

  static void REGAL_CALL glClientAttribDefaultEXT(GLbitfield mask)
{
    UNUSED_PARAMETER(mask);
    Warning( "glClientAttribDefaultEXT", " not available." );
  }

  static void REGAL_CALL glCompressedMultiTexImage1DEXT(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedMultiTexImage1DEXT", " not available." );
  }

  static void REGAL_CALL glCompressedMultiTexImage2DEXT(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *bits)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(bits);
    Warning( "glCompressedMultiTexImage2DEXT", " not available." );
  }

  static void REGAL_CALL glCompressedMultiTexImage3DEXT(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *bits)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(bits);
    Warning( "glCompressedMultiTexImage3DEXT", " not available." );
  }

  static void REGAL_CALL glCompressedMultiTexSubImage1DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedMultiTexSubImage1DEXT", " not available." );
  }

  static void REGAL_CALL glCompressedMultiTexSubImage2DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedMultiTexSubImage2DEXT", " not available." );
  }

  static void REGAL_CALL glCompressedMultiTexSubImage3DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedMultiTexSubImage3DEXT", " not available." );
  }

  static void REGAL_CALL glCompressedTextureImage1DEXT(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLint border, GLsizei imageSize, const GLvoid *bits)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(bits);
    Warning( "glCompressedTextureImage1DEXT", " not available." );
  }

  static void REGAL_CALL glCompressedTextureImage2DEXT(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLint border, GLsizei imageSize, const GLvoid *bits)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(bits);
    Warning( "glCompressedTextureImage2DEXT", " not available." );
  }

  static void REGAL_CALL glCompressedTextureImage3DEXT(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *bits)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(bits);
    Warning( "glCompressedTextureImage3DEXT", " not available." );
  }

  static void REGAL_CALL glCompressedTextureSubImage1DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLsizei imageSize, const GLvoid *bits)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(bits);
    Warning( "glCompressedTextureSubImage1DEXT", " not available." );
  }

  static void REGAL_CALL glCompressedTextureSubImage2DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLsizei imageSize, const GLvoid *bits)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(bits);
    Warning( "glCompressedTextureSubImage2DEXT", " not available." );
  }

  static void REGAL_CALL glCompressedTextureSubImage3DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *bits)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(bits);
    Warning( "glCompressedTextureSubImage3DEXT", " not available." );
  }

  static void REGAL_CALL glCopyMultiTexImage1DEXT(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(border);
    Warning( "glCopyMultiTexImage1DEXT", " not available." );
  }

  static void REGAL_CALL glCopyMultiTexImage2DEXT(GLenum texunit, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(border);
    Warning( "glCopyMultiTexImage2DEXT", " not available." );
  }

  static void REGAL_CALL glCopyMultiTexSubImage1DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    Warning( "glCopyMultiTexSubImage1DEXT", " not available." );
  }

  static void REGAL_CALL glCopyMultiTexSubImage2DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glCopyMultiTexSubImage2DEXT", " not available." );
  }

  static void REGAL_CALL glCopyMultiTexSubImage3DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glCopyMultiTexSubImage3DEXT", " not available." );
  }

  static void REGAL_CALL glCopyTextureImage1DEXT(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLint border)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(border);
    Warning( "glCopyTextureImage1DEXT", " not available." );
  }

  static void REGAL_CALL glCopyTextureImage2DEXT(GLuint texture, GLenum target, GLint level, GLenum internalformat, GLint x, GLint y, GLsizei width, GLsizei height, GLint border)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(border);
    Warning( "glCopyTextureImage2DEXT", " not available." );
  }

  static void REGAL_CALL glCopyTextureSubImage1DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint x, GLint y, GLsizei width)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    Warning( "glCopyTextureSubImage1DEXT", " not available." );
  }

  static void REGAL_CALL glCopyTextureSubImage2DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glCopyTextureSubImage2DEXT", " not available." );
  }

  static void REGAL_CALL glCopyTextureSubImage3DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glCopyTextureSubImage3DEXT", " not available." );
  }

  static void REGAL_CALL glDisableClientStateIndexedEXT(GLenum array, GLuint index)
{
    UNUSED_PARAMETER(array);
    UNUSED_PARAMETER(index);
    Warning( "glDisableClientStateIndexedEXT", " not available." );
  }

  static void REGAL_CALL glDisableClientStateiEXT(GLenum array, GLuint index)
{
    UNUSED_PARAMETER(array);
    UNUSED_PARAMETER(index);
    Warning( "glDisableClientStateiEXT", " not available." );
  }

  static void REGAL_CALL glDisableVertexArrayAttribEXT(GLuint vaobj, GLuint index)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(index);
    Warning( "glDisableVertexArrayAttribEXT", " not available." );
  }

  static void REGAL_CALL glDisableVertexArrayEXT(GLuint vaobj, GLenum array)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(array);
    Warning( "glDisableVertexArrayEXT", " not available." );
  }

  static void REGAL_CALL glEnableClientStateIndexedEXT(GLenum array, GLuint index)
{
    UNUSED_PARAMETER(array);
    UNUSED_PARAMETER(index);
    Warning( "glEnableClientStateIndexedEXT", " not available." );
  }

  static void REGAL_CALL glEnableClientStateiEXT(GLenum array, GLuint index)
{
    UNUSED_PARAMETER(array);
    UNUSED_PARAMETER(index);
    Warning( "glEnableClientStateiEXT", " not available." );
  }

  static void REGAL_CALL glEnableVertexArrayAttribEXT(GLuint vaobj, GLuint index)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(index);
    Warning( "glEnableVertexArrayAttribEXT", " not available." );
  }

  static void REGAL_CALL glEnableVertexArrayEXT(GLuint vaobj, GLenum array)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(array);
    Warning( "glEnableVertexArrayEXT", " not available." );
  }

  static void REGAL_CALL glFlushMappedNamedBufferRangeEXT(GLuint buffer, GLintptr offset, GLsizeiptr length)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(length);
    Warning( "glFlushMappedNamedBufferRangeEXT", " not available." );
  }

  static void REGAL_CALL glFramebufferDrawBufferEXT(GLuint framebuffer, GLenum mode)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(mode);
    Warning( "glFramebufferDrawBufferEXT", " not available." );
  }

  static void REGAL_CALL glFramebufferDrawBuffersEXT(GLuint framebuffer, GLsizei n, const GLenum *bufs)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(bufs);
    Warning( "glFramebufferDrawBuffersEXT", " not available." );
  }

  static void REGAL_CALL glFramebufferReadBufferEXT(GLuint framebuffer, GLenum mode)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(mode);
    Warning( "glFramebufferReadBufferEXT", " not available." );
  }

  static void REGAL_CALL glGenerateMultiTexMipmapEXT(GLenum texunit, GLenum target)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    Warning( "glGenerateMultiTexMipmapEXT", " not available." );
  }

  static void REGAL_CALL glGenerateTextureMipmapEXT(GLuint texture, GLenum target)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    Warning( "glGenerateTextureMipmapEXT", " not available." );
  }

  static void REGAL_CALL glGetCompressedMultiTexImageEXT(GLenum texunit, GLenum target, GLint lod, GLvoid *img)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(lod);
    UNUSED_PARAMETER(img);
    Warning( "glGetCompressedMultiTexImageEXT", " not available." );
  }

  static void REGAL_CALL glGetCompressedTextureImageEXT(GLuint texture, GLenum target, GLint lod, GLvoid *img)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(lod);
    UNUSED_PARAMETER(img);
    Warning( "glGetCompressedTextureImageEXT", " not available." );
  }

  static void REGAL_CALL glGetDoubleIndexedvEXT(GLenum target, GLuint index, GLdouble *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(data);
    Warning( "glGetDoubleIndexedvEXT", " not available." );
  }

  static void REGAL_CALL glGetDoublei_vEXT(GLenum pname, GLuint index, GLdouble *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetDoublei_vEXT", " not available." );
  }

  static void REGAL_CALL glGetFloatIndexedvEXT(GLenum target, GLuint index, GLfloat *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(data);
    Warning( "glGetFloatIndexedvEXT", " not available." );
  }

  static void REGAL_CALL glGetFloati_vEXT(GLenum pname, GLuint index, GLfloat *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetFloati_vEXT", " not available." );
  }

  static void REGAL_CALL glGetFramebufferParameterivEXT(GLuint framebuffer, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFramebufferParameterivEXT", " not available." );
  }

  static void REGAL_CALL glGetMultiTexEnvfvEXT(GLenum texunit, GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMultiTexEnvfvEXT", " not available." );
  }

  static void REGAL_CALL glGetMultiTexEnvivEXT(GLenum texunit, GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMultiTexEnvivEXT", " not available." );
  }

  static void REGAL_CALL glGetMultiTexGendvEXT(GLenum texunit, GLenum coord, GLenum pname, GLdouble *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMultiTexGendvEXT", " not available." );
  }

  static void REGAL_CALL glGetMultiTexGenfvEXT(GLenum texunit, GLenum coord, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMultiTexGenfvEXT", " not available." );
  }

  static void REGAL_CALL glGetMultiTexGenivEXT(GLenum texunit, GLenum coord, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMultiTexGenivEXT", " not available." );
  }

  static void REGAL_CALL glGetMultiTexImageEXT(GLenum texunit, GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glGetMultiTexImageEXT", " not available." );
  }

  static void REGAL_CALL glGetMultiTexLevelParameterfvEXT(GLenum texunit, GLenum target, GLint level, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMultiTexLevelParameterfvEXT", " not available." );
  }

  static void REGAL_CALL glGetMultiTexLevelParameterivEXT(GLenum texunit, GLenum target, GLint level, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMultiTexLevelParameterivEXT", " not available." );
  }

  static void REGAL_CALL glGetMultiTexParameterIivEXT(GLenum texunit, GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMultiTexParameterIivEXT", " not available." );
  }

  static void REGAL_CALL glGetMultiTexParameterIuivEXT(GLenum texunit, GLenum target, GLenum pname, GLuint *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMultiTexParameterIuivEXT", " not available." );
  }

  static void REGAL_CALL glGetMultiTexParameterfvEXT(GLenum texunit, GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMultiTexParameterfvEXT", " not available." );
  }

  static void REGAL_CALL glGetMultiTexParameterivEXT(GLenum texunit, GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMultiTexParameterivEXT", " not available." );
  }

  static void REGAL_CALL glGetNamedBufferParameterivEXT(GLuint buffer, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedBufferParameterivEXT", " not available." );
  }

  static void REGAL_CALL glGetNamedBufferPointervEXT(GLuint buffer, GLenum pname, GLvoid **params)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedBufferPointervEXT", " not available." );
  }

  static void REGAL_CALL glGetNamedBufferSubDataEXT(GLuint buffer, GLintptr offset, GLsizeiptr size, GLvoid *data)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    Warning( "glGetNamedBufferSubDataEXT", " not available." );
  }

  static void REGAL_CALL glGetNamedFramebufferAttachmentParameterivEXT(GLuint framebuffer, GLenum attachment, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedFramebufferAttachmentParameterivEXT", " not available." );
  }

  static void REGAL_CALL glGetNamedProgramLocalParameterIivEXT(GLuint program, GLenum target, GLuint index, GLint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedProgramLocalParameterIivEXT", " not available." );
  }

  static void REGAL_CALL glGetNamedProgramLocalParameterIuivEXT(GLuint program, GLenum target, GLuint index, GLuint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedProgramLocalParameterIuivEXT", " not available." );
  }

  static void REGAL_CALL glGetNamedProgramLocalParameterdvEXT(GLuint program, GLenum target, GLuint index, GLdouble *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedProgramLocalParameterdvEXT", " not available." );
  }

  static void REGAL_CALL glGetNamedProgramLocalParameterfvEXT(GLuint program, GLenum target, GLuint index, GLfloat *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedProgramLocalParameterfvEXT", " not available." );
  }

  static void REGAL_CALL glGetNamedProgramStringEXT(GLuint program, GLenum target, GLenum pname, GLvoid *string)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(string);
    Warning( "glGetNamedProgramStringEXT", " not available." );
  }

  static void REGAL_CALL glGetNamedProgramivEXT(GLuint program, GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedProgramivEXT", " not available." );
  }

  static void REGAL_CALL glGetNamedRenderbufferParameterivEXT(GLuint renderbuffer, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(renderbuffer);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedRenderbufferParameterivEXT", " not available." );
  }

  static void REGAL_CALL glGetPointerIndexedvEXT(GLenum target, GLuint index, GLvoid **data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(data);
    Warning( "glGetPointerIndexedvEXT", " not available." );
  }

  static void REGAL_CALL glGetPointeri_vEXT(GLenum pname, GLuint index, GLvoid **params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetPointeri_vEXT", " not available." );
  }

  static void REGAL_CALL glGetTextureImageEXT(GLuint texture, GLenum target, GLint level, GLenum format, GLenum type, GLvoid *pixels)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glGetTextureImageEXT", " not available." );
  }

  static void REGAL_CALL glGetTextureLevelParameterfvEXT(GLuint texture, GLenum target, GLint level, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTextureLevelParameterfvEXT", " not available." );
  }

  static void REGAL_CALL glGetTextureLevelParameterivEXT(GLuint texture, GLenum target, GLint level, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTextureLevelParameterivEXT", " not available." );
  }

  static void REGAL_CALL glGetTextureParameterIivEXT(GLuint texture, GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTextureParameterIivEXT", " not available." );
  }

  static void REGAL_CALL glGetTextureParameterIuivEXT(GLuint texture, GLenum target, GLenum pname, GLuint *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTextureParameterIuivEXT", " not available." );
  }

  static void REGAL_CALL glGetTextureParameterfvEXT(GLuint texture, GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTextureParameterfvEXT", " not available." );
  }

  static void REGAL_CALL glGetTextureParameterivEXT(GLuint texture, GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTextureParameterivEXT", " not available." );
  }

  static void REGAL_CALL glGetVertexArrayIntegeri_vEXT(GLuint vaobj, GLuint index, GLenum pname, GLint *param)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glGetVertexArrayIntegeri_vEXT", " not available." );
  }

  static void REGAL_CALL glGetVertexArrayIntegervEXT(GLuint vaobj, GLenum pname, GLint *param)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glGetVertexArrayIntegervEXT", " not available." );
  }

  static void REGAL_CALL glGetVertexArrayPointeri_vEXT(GLuint vaobj, GLuint index, GLenum pname, GLvoid **param)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glGetVertexArrayPointeri_vEXT", " not available." );
  }

  static void REGAL_CALL glGetVertexArrayPointervEXT(GLuint vaobj, GLenum pname, GLvoid **param)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glGetVertexArrayPointervEXT", " not available." );
  }

  static void *REGAL_CALL glMapNamedBufferEXT(GLuint buffer, GLenum access)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(access);
    Warning( "glMapNamedBufferEXT", " not available." );
    return NULL;
  }

  static void *REGAL_CALL glMapNamedBufferRangeEXT(GLuint buffer, GLintptr offset, GLsizeiptr length, GLbitfield access)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(access);
    Warning( "glMapNamedBufferRangeEXT", " not available." );
    return NULL;
  }

  static void REGAL_CALL glMatrixFrustumEXT(GLenum mode, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(left);
    UNUSED_PARAMETER(right);
    UNUSED_PARAMETER(bottom);
    UNUSED_PARAMETER(top);
    UNUSED_PARAMETER(zNear);
    UNUSED_PARAMETER(zFar);
    Warning( "glMatrixFrustumEXT", " not available." );
  }

  static void REGAL_CALL glMatrixLoadIdentityEXT(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glMatrixLoadIdentityEXT", " not available." );
  }

  static void REGAL_CALL glMatrixLoadTransposedEXT(GLenum mode, const GLdouble *m)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(m);
    Warning( "glMatrixLoadTransposedEXT", " not available." );
  }

  static void REGAL_CALL glMatrixLoadTransposefEXT(GLenum mode, const GLfloat *m)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(m);
    Warning( "glMatrixLoadTransposefEXT", " not available." );
  }

  static void REGAL_CALL glMatrixLoaddEXT(GLenum mode, const GLdouble *m)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(m);
    Warning( "glMatrixLoaddEXT", " not available." );
  }

  static void REGAL_CALL glMatrixLoadfEXT(GLenum mode, const GLfloat *m)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(m);
    Warning( "glMatrixLoadfEXT", " not available." );
  }

  static void REGAL_CALL glMatrixMultTransposedEXT(GLenum mode, const GLdouble *m)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(m);
    Warning( "glMatrixMultTransposedEXT", " not available." );
  }

  static void REGAL_CALL glMatrixMultTransposefEXT(GLenum mode, const GLfloat *m)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(m);
    Warning( "glMatrixMultTransposefEXT", " not available." );
  }

  static void REGAL_CALL glMatrixMultdEXT(GLenum mode, const GLdouble *m)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(m);
    Warning( "glMatrixMultdEXT", " not available." );
  }

  static void REGAL_CALL glMatrixMultfEXT(GLenum mode, const GLfloat *m)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(m);
    Warning( "glMatrixMultfEXT", " not available." );
  }

  static void REGAL_CALL glMatrixOrthoEXT(GLenum mode, GLdouble left, GLdouble right, GLdouble bottom, GLdouble top, GLdouble zNear, GLdouble zFar)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(left);
    UNUSED_PARAMETER(right);
    UNUSED_PARAMETER(bottom);
    UNUSED_PARAMETER(top);
    UNUSED_PARAMETER(zNear);
    UNUSED_PARAMETER(zFar);
    Warning( "glMatrixOrthoEXT", " not available." );
  }

  static void REGAL_CALL glMatrixPopEXT(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glMatrixPopEXT", " not available." );
  }

  static void REGAL_CALL glMatrixPushEXT(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glMatrixPushEXT", " not available." );
  }

  static void REGAL_CALL glMatrixRotatedEXT(GLenum mode, GLdouble angle, GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(angle);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glMatrixRotatedEXT", " not available." );
  }

  static void REGAL_CALL glMatrixRotatefEXT(GLenum mode, GLfloat angle, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(angle);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glMatrixRotatefEXT", " not available." );
  }

  static void REGAL_CALL glMatrixScaledEXT(GLenum mode, GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glMatrixScaledEXT", " not available." );
  }

  static void REGAL_CALL glMatrixScalefEXT(GLenum mode, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glMatrixScalefEXT", " not available." );
  }

  static void REGAL_CALL glMatrixTranslatedEXT(GLenum mode, GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glMatrixTranslatedEXT", " not available." );
  }

  static void REGAL_CALL glMatrixTranslatefEXT(GLenum mode, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glMatrixTranslatefEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexBufferEXT(GLenum texunit, GLenum target, GLenum internalformat, GLuint buffer)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(buffer);
    Warning( "glMultiTexBufferEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexCoordPointerEXT(GLenum texunit, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glMultiTexCoordPointerEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexEnvfEXT(GLenum texunit, GLenum target, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glMultiTexEnvfEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexEnvfvEXT(GLenum texunit, GLenum target, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glMultiTexEnvfvEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexEnviEXT(GLenum texunit, GLenum target, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glMultiTexEnviEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexEnvivEXT(GLenum texunit, GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glMultiTexEnvivEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexGendEXT(GLenum texunit, GLenum coord, GLenum pname, GLdouble param)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glMultiTexGendEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexGendvEXT(GLenum texunit, GLenum coord, GLenum pname, const GLdouble *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glMultiTexGendvEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexGenfEXT(GLenum texunit, GLenum coord, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glMultiTexGenfEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexGenfvEXT(GLenum texunit, GLenum coord, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glMultiTexGenfvEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexGeniEXT(GLenum texunit, GLenum coord, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glMultiTexGeniEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexGenivEXT(GLenum texunit, GLenum coord, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glMultiTexGenivEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexImage1DEXT(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glMultiTexImage1DEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexImage2DEXT(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glMultiTexImage2DEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexImage3DEXT(GLenum texunit, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glMultiTexImage3DEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexParameterIivEXT(GLenum texunit, GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glMultiTexParameterIivEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexParameterIuivEXT(GLenum texunit, GLenum target, GLenum pname, const GLuint *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glMultiTexParameterIuivEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexParameterfEXT(GLenum texunit, GLenum target, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glMultiTexParameterfEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexParameterfvEXT(GLenum texunit, GLenum target, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glMultiTexParameterfvEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexParameteriEXT(GLenum texunit, GLenum target, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glMultiTexParameteriEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexParameterivEXT(GLenum texunit, GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glMultiTexParameterivEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexRenderbufferEXT(GLenum texunit, GLenum target, GLuint renderbuffer)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(renderbuffer);
    Warning( "glMultiTexRenderbufferEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexSubImage1DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glMultiTexSubImage1DEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexSubImage2DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glMultiTexSubImage2DEXT", " not available." );
  }

  static void REGAL_CALL glMultiTexSubImage3DEXT(GLenum texunit, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glMultiTexSubImage3DEXT", " not available." );
  }

  static void REGAL_CALL glNamedBufferDataEXT(GLuint buffer, GLsizeiptr size, const GLvoid *data, GLenum usage)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    UNUSED_PARAMETER(usage);
    Warning( "glNamedBufferDataEXT", " not available." );
  }

  static void REGAL_CALL glNamedBufferSubDataEXT(GLuint buffer, GLintptr offset, GLsizeiptr size, const GLvoid *data)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    Warning( "glNamedBufferSubDataEXT", " not available." );
  }

  static void REGAL_CALL glNamedCopyBufferSubDataEXT(GLuint readBuffer, GLuint writeBuffer, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
{
    UNUSED_PARAMETER(readBuffer);
    UNUSED_PARAMETER(writeBuffer);
    UNUSED_PARAMETER(readOffset);
    UNUSED_PARAMETER(writeOffset);
    UNUSED_PARAMETER(size);
    Warning( "glNamedCopyBufferSubDataEXT", " not available." );
  }

  static void REGAL_CALL glNamedFramebufferRenderbufferEXT(GLuint framebuffer, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(renderbuffertarget);
    UNUSED_PARAMETER(renderbuffer);
    Warning( "glNamedFramebufferRenderbufferEXT", " not available." );
  }

  static void REGAL_CALL glNamedFramebufferTexture1DEXT(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(textarget);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    Warning( "glNamedFramebufferTexture1DEXT", " not available." );
  }

  static void REGAL_CALL glNamedFramebufferTexture2DEXT(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(textarget);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    Warning( "glNamedFramebufferTexture2DEXT", " not available." );
  }

  static void REGAL_CALL glNamedFramebufferTexture3DEXT(GLuint framebuffer, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(textarget);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(zoffset);
    Warning( "glNamedFramebufferTexture3DEXT", " not available." );
  }

  static void REGAL_CALL glNamedFramebufferTextureEXT(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    Warning( "glNamedFramebufferTextureEXT", " not available." );
  }

  static void REGAL_CALL glNamedFramebufferTextureFaceEXT(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLenum face)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(face);
    Warning( "glNamedFramebufferTextureFaceEXT", " not available." );
  }

  static void REGAL_CALL glNamedFramebufferTextureLayerEXT(GLuint framebuffer, GLenum attachment, GLuint texture, GLint level, GLint layer)
{
    UNUSED_PARAMETER(framebuffer);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(layer);
    Warning( "glNamedFramebufferTextureLayerEXT", " not available." );
  }

  static void REGAL_CALL glNamedProgramLocalParameter4dEXT(GLuint program, GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glNamedProgramLocalParameter4dEXT", " not available." );
  }

  static void REGAL_CALL glNamedProgramLocalParameter4dvEXT(GLuint program, GLenum target, GLuint index, const GLdouble *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glNamedProgramLocalParameter4dvEXT", " not available." );
  }

  static void REGAL_CALL glNamedProgramLocalParameter4fEXT(GLuint program, GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glNamedProgramLocalParameter4fEXT", " not available." );
  }

  static void REGAL_CALL glNamedProgramLocalParameter4fvEXT(GLuint program, GLenum target, GLuint index, const GLfloat *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glNamedProgramLocalParameter4fvEXT", " not available." );
  }

  static void REGAL_CALL glNamedProgramLocalParameterI4iEXT(GLuint program, GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glNamedProgramLocalParameterI4iEXT", " not available." );
  }

  static void REGAL_CALL glNamedProgramLocalParameterI4ivEXT(GLuint program, GLenum target, GLuint index, const GLint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glNamedProgramLocalParameterI4ivEXT", " not available." );
  }

  static void REGAL_CALL glNamedProgramLocalParameterI4uiEXT(GLuint program, GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glNamedProgramLocalParameterI4uiEXT", " not available." );
  }

  static void REGAL_CALL glNamedProgramLocalParameterI4uivEXT(GLuint program, GLenum target, GLuint index, const GLuint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glNamedProgramLocalParameterI4uivEXT", " not available." );
  }

  static void REGAL_CALL glNamedProgramLocalParameters4fvEXT(GLuint program, GLenum target, GLuint index, GLsizei count, const GLfloat *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(params);
    Warning( "glNamedProgramLocalParameters4fvEXT", " not available." );
  }

  static void REGAL_CALL glNamedProgramLocalParametersI4ivEXT(GLuint program, GLenum target, GLuint index, GLsizei count, const GLint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(params);
    Warning( "glNamedProgramLocalParametersI4ivEXT", " not available." );
  }

  static void REGAL_CALL glNamedProgramLocalParametersI4uivEXT(GLuint program, GLenum target, GLuint index, GLsizei count, const GLuint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(params);
    Warning( "glNamedProgramLocalParametersI4uivEXT", " not available." );
  }

  static void REGAL_CALL glNamedProgramStringEXT(GLuint program, GLenum target, GLenum format, GLsizei len, const GLvoid *string)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(len);
    UNUSED_PARAMETER(string);
    Warning( "glNamedProgramStringEXT", " not available." );
  }

  static void REGAL_CALL glNamedRenderbufferStorageEXT(GLuint renderbuffer, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(renderbuffer);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glNamedRenderbufferStorageEXT", " not available." );
  }

  static void REGAL_CALL glNamedRenderbufferStorageMultisampleCoverageEXT(GLuint renderbuffer, GLsizei coverageSamples, GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(renderbuffer);
    UNUSED_PARAMETER(coverageSamples);
    UNUSED_PARAMETER(colorSamples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glNamedRenderbufferStorageMultisampleCoverageEXT", " not available." );
  }

  static void REGAL_CALL glNamedRenderbufferStorageMultisampleEXT(GLuint renderbuffer, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(renderbuffer);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glNamedRenderbufferStorageMultisampleEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform1dEXT(GLuint program, GLint location, GLdouble x)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    Warning( "glProgramUniform1dEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform1dvEXT(GLuint program, GLint location, GLsizei count, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform1dvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform1fEXT(GLuint program, GLint location, GLfloat v0)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    Warning( "glProgramUniform1fEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform1fvEXT(GLuint program, GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform1fvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform1iEXT(GLuint program, GLint location, GLint v0)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    Warning( "glProgramUniform1iEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform1ivEXT(GLuint program, GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform1ivEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform1uiEXT(GLuint program, GLint location, GLuint v0)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    Warning( "glProgramUniform1uiEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform1uivEXT(GLuint program, GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform1uivEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform2dEXT(GLuint program, GLint location, GLdouble x, GLdouble y)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glProgramUniform2dEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform2dvEXT(GLuint program, GLint location, GLsizei count, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform2dvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform2fEXT(GLuint program, GLint location, GLfloat v0, GLfloat v1)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    Warning( "glProgramUniform2fEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform2fvEXT(GLuint program, GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform2fvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform2iEXT(GLuint program, GLint location, GLint v0, GLint v1)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    Warning( "glProgramUniform2iEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform2ivEXT(GLuint program, GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform2ivEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform2uiEXT(GLuint program, GLint location, GLuint v0, GLuint v1)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    Warning( "glProgramUniform2uiEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform2uivEXT(GLuint program, GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform2uivEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform3dEXT(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glProgramUniform3dEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform3dvEXT(GLuint program, GLint location, GLsizei count, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform3dvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform3fEXT(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    Warning( "glProgramUniform3fEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform3fvEXT(GLuint program, GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform3fvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform3iEXT(GLuint program, GLint location, GLint v0, GLint v1, GLint v2)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    Warning( "glProgramUniform3iEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform3ivEXT(GLuint program, GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform3ivEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform3uiEXT(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    Warning( "glProgramUniform3uiEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform3uivEXT(GLuint program, GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform3uivEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform4dEXT(GLuint program, GLint location, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramUniform4dEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform4dvEXT(GLuint program, GLint location, GLsizei count, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform4dvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform4fEXT(GLuint program, GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    UNUSED_PARAMETER(v3);
    Warning( "glProgramUniform4fEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform4fvEXT(GLuint program, GLint location, GLsizei count, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform4fvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform4iEXT(GLuint program, GLint location, GLint v0, GLint v1, GLint v2, GLint v3)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    UNUSED_PARAMETER(v3);
    Warning( "glProgramUniform4iEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform4ivEXT(GLuint program, GLint location, GLsizei count, const GLint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform4ivEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform4uiEXT(GLuint program, GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    UNUSED_PARAMETER(v3);
    Warning( "glProgramUniform4uiEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniform4uivEXT(GLuint program, GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform4uivEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix2dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix2dvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix2fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix2fvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix2x3dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix2x3dvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix2x3fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix2x3fvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix2x4dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix2x4dvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix2x4fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix2x4fvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix3dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix3dvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix3fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix3fvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix3x2dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix3x2dvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix3x2fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix3x2fvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix3x4dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix3x4dvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix3x4fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix3x4fvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix4dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix4dvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix4fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix4fvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix4x2dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix4x2dvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix4x2fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix4x2fvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix4x3dvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLdouble *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix4x3dvEXT", " not available." );
  }

  static void REGAL_CALL glProgramUniformMatrix4x3fvEXT(GLuint program, GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformMatrix4x3fvEXT", " not available." );
  }

  static void REGAL_CALL glPushClientAttribDefaultEXT(GLbitfield mask)
{
    UNUSED_PARAMETER(mask);
    Warning( "glPushClientAttribDefaultEXT", " not available." );
  }

  static void REGAL_CALL glTextureBufferEXT(GLuint texture, GLenum target, GLenum internalformat, GLuint buffer)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(buffer);
    Warning( "glTextureBufferEXT", " not available." );
  }

  static void REGAL_CALL glTextureImage1DEXT(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTextureImage1DEXT", " not available." );
  }

  static void REGAL_CALL glTextureImage2DEXT(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTextureImage2DEXT", " not available." );
  }

  static void REGAL_CALL glTextureImage3DEXT(GLuint texture, GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTextureImage3DEXT", " not available." );
  }

  static void REGAL_CALL glTextureParameterIivEXT(GLuint texture, GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTextureParameterIivEXT", " not available." );
  }

  static void REGAL_CALL glTextureParameterIuivEXT(GLuint texture, GLenum target, GLenum pname, const GLuint *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTextureParameterIuivEXT", " not available." );
  }

  static void REGAL_CALL glTextureParameterfEXT(GLuint texture, GLenum target, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTextureParameterfEXT", " not available." );
  }

  static void REGAL_CALL glTextureParameterfvEXT(GLuint texture, GLenum target, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTextureParameterfvEXT", " not available." );
  }

  static void REGAL_CALL glTextureParameteriEXT(GLuint texture, GLenum target, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTextureParameteriEXT", " not available." );
  }

  static void REGAL_CALL glTextureParameterivEXT(GLuint texture, GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTextureParameterivEXT", " not available." );
  }

  static void REGAL_CALL glTextureRenderbufferEXT(GLuint texture, GLenum target, GLuint renderbuffer)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(renderbuffer);
    Warning( "glTextureRenderbufferEXT", " not available." );
  }

  static void REGAL_CALL glTextureSubImage1DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTextureSubImage1DEXT", " not available." );
  }

  static void REGAL_CALL glTextureSubImage2DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTextureSubImage2DEXT", " not available." );
  }

  static void REGAL_CALL glTextureSubImage3DEXT(GLuint texture, GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTextureSubImage3DEXT", " not available." );
  }

  static GLboolean REGAL_CALL glUnmapNamedBufferEXT(GLuint buffer)
{
    UNUSED_PARAMETER(buffer);
    Warning( "glUnmapNamedBufferEXT", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glVertexArrayColorOffsetEXT(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(offset);
    Warning( "glVertexArrayColorOffsetEXT", " not available." );
  }

  static void REGAL_CALL glVertexArrayEdgeFlagOffsetEXT(GLuint vaobj, GLuint buffer, GLsizei stride, const GLintptr offset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(offset);
    Warning( "glVertexArrayEdgeFlagOffsetEXT", " not available." );
  }

  static void REGAL_CALL glVertexArrayFogCoordOffsetEXT(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, const GLintptr offset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(offset);
    Warning( "glVertexArrayFogCoordOffsetEXT", " not available." );
  }

  static void REGAL_CALL glVertexArrayIndexOffsetEXT(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, const GLintptr offset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(offset);
    Warning( "glVertexArrayIndexOffsetEXT", " not available." );
  }

  static void REGAL_CALL glVertexArrayMultiTexCoordOffsetEXT(GLuint vaobj, GLuint buffer, GLenum texunit, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(texunit);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(offset);
    Warning( "glVertexArrayMultiTexCoordOffsetEXT", " not available." );
  }

  static void REGAL_CALL glVertexArrayNormalOffsetEXT(GLuint vaobj, GLuint buffer, GLenum type, GLsizei stride, const GLintptr offset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(offset);
    Warning( "glVertexArrayNormalOffsetEXT", " not available." );
  }

  static void REGAL_CALL glVertexArraySecondaryColorOffsetEXT(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(offset);
    Warning( "glVertexArraySecondaryColorOffsetEXT", " not available." );
  }

  static void REGAL_CALL glVertexArrayTexCoordOffsetEXT(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(offset);
    Warning( "glVertexArrayTexCoordOffsetEXT", " not available." );
  }

  static void REGAL_CALL glVertexArrayVertexAttribIOffsetEXT(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(offset);
    Warning( "glVertexArrayVertexAttribIOffsetEXT", " not available." );
  }

  static void REGAL_CALL glVertexArrayVertexAttribOffsetEXT(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLintptr offset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(offset);
    Warning( "glVertexArrayVertexAttribOffsetEXT", " not available." );
  }

  static void REGAL_CALL glVertexArrayVertexOffsetEXT(GLuint vaobj, GLuint buffer, GLint size, GLenum type, GLsizei stride, const GLintptr offset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(offset);
    Warning( "glVertexArrayVertexOffsetEXT", " not available." );
  }

// GL_EXT_discard_framebuffer

  static void REGAL_CALL glDiscardFramebufferEXT(GLenum target, GLsizei numAttachments, const GLenum *attachments)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(numAttachments);
    UNUSED_PARAMETER(attachments);
    Warning( "glDiscardFramebufferEXT", " not available." );
  }

// GL_EXT_disjoint_timer_query

  static void REGAL_CALL glGetQueryObjectivEXT(GLuint id, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryObjectivEXT", " not available." );
  }

  static void REGAL_CALL glQueryCounterEXT(GLuint id, GLenum target)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(target);
    Warning( "glQueryCounterEXT", " not available." );
  }

// GL_EXT_draw_buffers2

  static void REGAL_CALL glColorMaskIndexedEXT(GLuint index, GLboolean r, GLboolean g, GLboolean b, GLboolean a)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(g);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(a);
    Warning( "glColorMaskIndexedEXT", " not available." );
  }

  static void REGAL_CALL glDisableIndexedEXT(GLenum target, GLuint index)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    Warning( "glDisableIndexedEXT", " not available." );
  }

  static void REGAL_CALL glEnableIndexedEXT(GLenum target, GLuint index)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    Warning( "glEnableIndexedEXT", " not available." );
  }

  static void REGAL_CALL glGetBooleanIndexedvEXT(GLenum value, GLuint index, GLboolean *data)
{
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(data);
    Warning( "glGetBooleanIndexedvEXT", " not available." );
  }

  static void REGAL_CALL glGetIntegerIndexedvEXT(GLenum value, GLuint index, GLint *data)
{
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(data);
    Warning( "glGetIntegerIndexedvEXT", " not available." );
  }

  static GLboolean REGAL_CALL glIsEnabledIndexedEXT(GLenum target, GLuint index)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    Warning( "glIsEnabledIndexedEXT", " not available." );
    return GL_FALSE;
  }

// GL_EXT_draw_instanced

  static void REGAL_CALL glDrawArraysInstancedEXT(GLenum mode, GLint start, GLsizei count, GLsizei primcount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(start);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(primcount);
    Warning( "glDrawArraysInstancedEXT", " not available." );
  }

  static void REGAL_CALL glDrawElementsInstancedEXT(GLenum mode, GLsizei count, GLenum type, const GLvoid *indices, GLsizei primcount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    UNUSED_PARAMETER(primcount);
    Warning( "glDrawElementsInstancedEXT", " not available." );
  }

// GL_EXT_draw_range_elements

  static void REGAL_CALL glDrawRangeElementsEXT(GLenum mode, GLuint start, GLuint end, GLsizei count, GLenum type, const GLvoid *indices)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(start);
    UNUSED_PARAMETER(end);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    Warning( "glDrawRangeElementsEXT", " not available." );
  }

// GL_EXT_fog_coord

  static void REGAL_CALL glFogCoordPointerEXT(GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glFogCoordPointerEXT", " not available." );
  }

  static void REGAL_CALL glFogCoorddEXT(GLdouble coord)
{
    UNUSED_PARAMETER(coord);
    Warning( "glFogCoorddEXT", " not available." );
  }

  static void REGAL_CALL glFogCoorddvEXT(const GLdouble *coord)
{
    UNUSED_PARAMETER(coord);
    Warning( "glFogCoorddvEXT", " not available." );
  }

  static void REGAL_CALL glFogCoordfEXT(GLfloat coord)
{
    UNUSED_PARAMETER(coord);
    Warning( "glFogCoordfEXT", " not available." );
  }

  static void REGAL_CALL glFogCoordfvEXT(const GLfloat *coord)
{
    UNUSED_PARAMETER(coord);
    Warning( "glFogCoordfvEXT", " not available." );
  }

// GL_EXT_fragment_lighting

  static void REGAL_CALL glFragmentColorMaterialEXT(GLenum face, GLenum mode)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(mode);
    Warning( "glFragmentColorMaterialEXT", " not available." );
  }

  static void REGAL_CALL glFragmentLightModelfEXT(GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFragmentLightModelfEXT", " not available." );
  }

  static void REGAL_CALL glFragmentLightModelfvEXT(GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glFragmentLightModelfvEXT", " not available." );
  }

  static void REGAL_CALL glFragmentLightModeliEXT(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFragmentLightModeliEXT", " not available." );
  }

  static void REGAL_CALL glFragmentLightModelivEXT(GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glFragmentLightModelivEXT", " not available." );
  }

  static void REGAL_CALL glFragmentLightfEXT(GLenum light, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFragmentLightfEXT", " not available." );
  }

  static void REGAL_CALL glFragmentLightfvEXT(GLenum light, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glFragmentLightfvEXT", " not available." );
  }

  static void REGAL_CALL glFragmentLightiEXT(GLenum light, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFragmentLightiEXT", " not available." );
  }

  static void REGAL_CALL glFragmentLightivEXT(GLenum light, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glFragmentLightivEXT", " not available." );
  }

  static void REGAL_CALL glFragmentMaterialfEXT(GLenum face, GLenum pname, const GLfloat param)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFragmentMaterialfEXT", " not available." );
  }

  static void REGAL_CALL glFragmentMaterialfvEXT(GLenum face, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glFragmentMaterialfvEXT", " not available." );
  }

  static void REGAL_CALL glFragmentMaterialiEXT(GLenum face, GLenum pname, const GLint param)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFragmentMaterialiEXT", " not available." );
  }

  static void REGAL_CALL glFragmentMaterialivEXT(GLenum face, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glFragmentMaterialivEXT", " not available." );
  }

  static void REGAL_CALL glGetFragmentLightfvEXT(GLenum light, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFragmentLightfvEXT", " not available." );
  }

  static void REGAL_CALL glGetFragmentLightivEXT(GLenum light, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFragmentLightivEXT", " not available." );
  }

  static void REGAL_CALL glGetFragmentMaterialfvEXT(GLenum face, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFragmentMaterialfvEXT", " not available." );
  }

  static void REGAL_CALL glGetFragmentMaterialivEXT(GLenum face, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFragmentMaterialivEXT", " not available." );
  }

  static void REGAL_CALL glLightEnviEXT(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glLightEnviEXT", " not available." );
  }

// GL_EXT_framebuffer_blit

  static void REGAL_CALL glBlitFramebufferEXT(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    UNUSED_PARAMETER(srcX0);
    UNUSED_PARAMETER(srcY0);
    UNUSED_PARAMETER(srcX1);
    UNUSED_PARAMETER(srcY1);
    UNUSED_PARAMETER(dstX0);
    UNUSED_PARAMETER(dstY0);
    UNUSED_PARAMETER(dstX1);
    UNUSED_PARAMETER(dstY1);
    UNUSED_PARAMETER(mask);
    UNUSED_PARAMETER(filter);
    Warning( "glBlitFramebufferEXT", " not available." );
  }

// GL_EXT_framebuffer_multisample

  static void REGAL_CALL glRenderbufferStorageMultisampleEXT(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glRenderbufferStorageMultisampleEXT", " not available." );
  }

// GL_EXT_framebuffer_object

  static void REGAL_CALL glBindFramebufferEXT(GLenum target, GLuint framebuffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(framebuffer);
    Warning( "glBindFramebufferEXT", " not available." );
  }

  static void REGAL_CALL glBindRenderbufferEXT(GLenum target, GLuint renderbuffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(renderbuffer);
    Warning( "glBindRenderbufferEXT", " not available." );
  }

  static GLenum REGAL_CALL glCheckFramebufferStatusEXT(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glCheckFramebufferStatusEXT", " not available." );
    return 0;
  }

  static void REGAL_CALL glDeleteFramebuffersEXT(GLsizei n, const GLuint *framebuffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(framebuffers);
    Warning( "glDeleteFramebuffersEXT", " not available." );
  }

  static void REGAL_CALL glDeleteRenderbuffersEXT(GLsizei n, const GLuint *renderbuffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(renderbuffers);
    Warning( "glDeleteRenderbuffersEXT", " not available." );
  }

  static void REGAL_CALL glFramebufferRenderbufferEXT(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(renderbuffertarget);
    UNUSED_PARAMETER(renderbuffer);
    Warning( "glFramebufferRenderbufferEXT", " not available." );
  }

  static void REGAL_CALL glFramebufferTexture1DEXT(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(textarget);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    Warning( "glFramebufferTexture1DEXT", " not available." );
  }

  static void REGAL_CALL glFramebufferTexture2DEXT(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(textarget);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    Warning( "glFramebufferTexture2DEXT", " not available." );
  }

  static void REGAL_CALL glFramebufferTexture3DEXT(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(textarget);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(zoffset);
    Warning( "glFramebufferTexture3DEXT", " not available." );
  }

  static void REGAL_CALL glGenFramebuffersEXT(GLsizei n, GLuint *framebuffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(framebuffers);
    Warning( "glGenFramebuffersEXT", " not available." );
  }

  static void REGAL_CALL glGenRenderbuffersEXT(GLsizei n, GLuint *renderbuffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(renderbuffers);
    Warning( "glGenRenderbuffersEXT", " not available." );
  }

  static void REGAL_CALL glGenerateMipmapEXT(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glGenerateMipmapEXT", " not available." );
  }

  static void REGAL_CALL glGetFramebufferAttachmentParameterivEXT(GLenum target, GLenum attachment, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFramebufferAttachmentParameterivEXT", " not available." );
  }

  static void REGAL_CALL glGetRenderbufferParameterivEXT(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetRenderbufferParameterivEXT", " not available." );
  }

  static GLboolean REGAL_CALL glIsFramebufferEXT(GLuint framebuffer)
{
    UNUSED_PARAMETER(framebuffer);
    Warning( "glIsFramebufferEXT", " not available." );
    return GL_FALSE;
  }

  static GLboolean REGAL_CALL glIsRenderbufferEXT(GLuint renderbuffer)
{
    UNUSED_PARAMETER(renderbuffer);
    Warning( "glIsRenderbufferEXT", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glRenderbufferStorageEXT(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glRenderbufferStorageEXT", " not available." );
  }

// GL_EXT_geometry_shader4

  static void REGAL_CALL glFramebufferTextureEXT(GLenum target, GLenum attachment, GLuint texture, GLint level)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    Warning( "glFramebufferTextureEXT", " not available." );
  }

  static void REGAL_CALL glFramebufferTextureFaceEXT(GLenum target, GLenum attachment, GLuint texture, GLint level, GLenum face)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(face);
    Warning( "glFramebufferTextureFaceEXT", " not available." );
  }

  static void REGAL_CALL glProgramParameteriEXT(GLuint program, GLenum pname, GLint value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(value);
    Warning( "glProgramParameteriEXT", " not available." );
  }

// GL_EXT_gpu_program_parameters

  static void REGAL_CALL glProgramEnvParameters4fvEXT(GLenum target, GLuint index, GLsizei count, const GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(params);
    Warning( "glProgramEnvParameters4fvEXT", " not available." );
  }

  static void REGAL_CALL glProgramLocalParameters4fvEXT(GLenum target, GLuint index, GLsizei count, const GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(params);
    Warning( "glProgramLocalParameters4fvEXT", " not available." );
  }

// GL_EXT_gpu_shader4

  static void REGAL_CALL glBindFragDataLocationEXT(GLuint program, GLuint color, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(color);
    UNUSED_PARAMETER(name);
    Warning( "glBindFragDataLocationEXT", " not available." );
  }

  static GLint REGAL_CALL glGetFragDataLocationEXT(GLuint program, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(name);
    Warning( "glGetFragDataLocationEXT", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetUniformuivEXT(GLuint program, GLint location, GLuint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(params);
    Warning( "glGetUniformuivEXT", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribIivEXT(GLuint index, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribIivEXT", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribIuivEXT(GLuint index, GLenum pname, GLuint *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribIuivEXT", " not available." );
  }

  static void REGAL_CALL glUniform1uiEXT(GLint location, GLuint v0)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    Warning( "glUniform1uiEXT", " not available." );
  }

  static void REGAL_CALL glUniform1uivEXT(GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform1uivEXT", " not available." );
  }

  static void REGAL_CALL glUniform2uiEXT(GLint location, GLuint v0, GLuint v1)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    Warning( "glUniform2uiEXT", " not available." );
  }

  static void REGAL_CALL glUniform2uivEXT(GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform2uivEXT", " not available." );
  }

  static void REGAL_CALL glUniform3uiEXT(GLint location, GLuint v0, GLuint v1, GLuint v2)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    Warning( "glUniform3uiEXT", " not available." );
  }

  static void REGAL_CALL glUniform3uivEXT(GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform3uivEXT", " not available." );
  }

  static void REGAL_CALL glUniform4uiEXT(GLint location, GLuint v0, GLuint v1, GLuint v2, GLuint v3)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(v0);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    UNUSED_PARAMETER(v3);
    Warning( "glUniform4uiEXT", " not available." );
  }

  static void REGAL_CALL glUniform4uivEXT(GLint location, GLsizei count, const GLuint *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform4uivEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI1iEXT(GLuint index, GLint x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttribI1iEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI1ivEXT(GLuint index, const GLint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI1ivEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI1uiEXT(GLuint index, GLuint x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttribI1uiEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI1uivEXT(GLuint index, const GLuint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI1uivEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI2iEXT(GLuint index, GLint x, GLint y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttribI2iEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI2ivEXT(GLuint index, const GLint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI2ivEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI2uiEXT(GLuint index, GLuint x, GLuint y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttribI2uiEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI2uivEXT(GLuint index, const GLuint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI2uivEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI3iEXT(GLuint index, GLint x, GLint y, GLint z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttribI3iEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI3ivEXT(GLuint index, const GLint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI3ivEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI3uiEXT(GLuint index, GLuint x, GLuint y, GLuint z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttribI3uiEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI3uivEXT(GLuint index, const GLuint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI3uivEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4bvEXT(GLuint index, const GLbyte *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI4bvEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4iEXT(GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttribI4iEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4ivEXT(GLuint index, const GLint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI4ivEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4svEXT(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI4svEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4ubvEXT(GLuint index, const GLubyte *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI4ubvEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4uiEXT(GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttribI4uiEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4uivEXT(GLuint index, const GLuint *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI4uivEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribI4usvEXT(GLuint index, const GLushort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribI4usvEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribIPointerEXT(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glVertexAttribIPointerEXT", " not available." );
  }

// GL_EXT_histogram

  static void REGAL_CALL glGetHistogramEXT(GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(reset);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(values);
    Warning( "glGetHistogramEXT", " not available." );
  }

  static void REGAL_CALL glGetHistogramParameterfvEXT(GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetHistogramParameterfvEXT", " not available." );
  }

  static void REGAL_CALL glGetHistogramParameterivEXT(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetHistogramParameterivEXT", " not available." );
  }

  static void REGAL_CALL glGetMinmaxEXT(GLenum target, GLboolean reset, GLenum format, GLenum type, GLvoid *values)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(reset);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(values);
    Warning( "glGetMinmaxEXT", " not available." );
  }

  static void REGAL_CALL glGetMinmaxParameterfvEXT(GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMinmaxParameterfvEXT", " not available." );
  }

  static void REGAL_CALL glGetMinmaxParameterivEXT(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMinmaxParameterivEXT", " not available." );
  }

  static void REGAL_CALL glHistogramEXT(GLenum target, GLsizei width, GLenum internalformat, GLboolean sink)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(sink);
    Warning( "glHistogramEXT", " not available." );
  }

  static void REGAL_CALL glMinmaxEXT(GLenum target, GLenum internalformat, GLboolean sink)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(sink);
    Warning( "glMinmaxEXT", " not available." );
  }

  static void REGAL_CALL glResetHistogramEXT(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glResetHistogramEXT", " not available." );
  }

  static void REGAL_CALL glResetMinmaxEXT(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glResetMinmaxEXT", " not available." );
  }

// GL_EXT_index_func

  static void REGAL_CALL glIndexFuncEXT(GLenum func, GLclampf ref)
{
    UNUSED_PARAMETER(func);
    UNUSED_PARAMETER(ref);
    Warning( "glIndexFuncEXT", " not available." );
  }

// GL_EXT_index_material

  static void REGAL_CALL glIndexMaterialEXT(GLenum face, GLenum mode)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(mode);
    Warning( "glIndexMaterialEXT", " not available." );
  }

// GL_EXT_light_texture

  static void REGAL_CALL glApplyTextureEXT(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glApplyTextureEXT", " not available." );
  }

  static void REGAL_CALL glTextureLightEXT(GLenum pname)
{
    UNUSED_PARAMETER(pname);
    Warning( "glTextureLightEXT", " not available." );
  }

  static void REGAL_CALL glTextureMaterialEXT(GLenum face, GLenum mode)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(mode);
    Warning( "glTextureMaterialEXT", " not available." );
  }

// GL_EXT_map_buffer_range

  static void REGAL_CALL glFlushMappedBufferRangeEXT(GLenum target, GLintptr offset, GLsizeiptr length)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(length);
    Warning( "glFlushMappedBufferRangeEXT", " not available." );
  }

  static void *REGAL_CALL glMapBufferRangeEXT(GLenum target, GLintptr offset, GLsizeiptr length, GLbitfield access)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(access);
    Warning( "glMapBufferRangeEXT", " not available." );
    return NULL;
  }

// GL_EXT_multi_draw_arrays

  static void REGAL_CALL glMultiDrawArraysEXT(GLenum mode, const GLint *first, const GLsizei *count, GLsizei primcount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(primcount);
    Warning( "glMultiDrawArraysEXT", " not available." );
  }

  static void REGAL_CALL glMultiDrawElementsEXT(GLenum mode, const GLsizei *count, GLenum type, const GLvoid * const *indices, GLsizei primcount)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    UNUSED_PARAMETER(primcount);
    Warning( "glMultiDrawElementsEXT", " not available." );
  }

// GL_EXT_multisample

  static void REGAL_CALL glSampleMaskEXT(GLclampf value, GLboolean invert)
{
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(invert);
    Warning( "glSampleMaskEXT", " not available." );
  }

  static void REGAL_CALL glSamplePatternEXT(GLenum pattern)
{
    UNUSED_PARAMETER(pattern);
    Warning( "glSamplePatternEXT", " not available." );
  }

// GL_EXT_multisampled_render_to_texture

  static void REGAL_CALL glFramebufferTexture2DMultisampleEXT(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(textarget);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(samples);
    Warning( "glFramebufferTexture2DMultisampleEXT", " not available." );
  }

// GL_EXT_multiview_draw_buffers

  static void REGAL_CALL glDrawBuffersIndexedEXT(GLint n, const GLenum *location, const GLint *indices)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(indices);
    Warning( "glDrawBuffersIndexedEXT", " not available." );
  }

  static void REGAL_CALL glGetIntegeri_vEXT(GLenum target, GLuint index, GLint *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(data);
    Warning( "glGetIntegeri_vEXT", " not available." );
  }

  static void REGAL_CALL glReadBufferIndexedEXT(GLenum src, GLint index)
{
    UNUSED_PARAMETER(src);
    UNUSED_PARAMETER(index);
    Warning( "glReadBufferIndexedEXT", " not available." );
  }

// GL_EXT_occlusion_query_boolean

  static void REGAL_CALL glBeginQueryEXT(GLenum target, GLuint id)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(id);
    Warning( "glBeginQueryEXT", " not available." );
  }

  static void REGAL_CALL glDeleteQueriesEXT(GLsizei n, const GLuint *ids)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glDeleteQueriesEXT", " not available." );
  }

  static void REGAL_CALL glEndQueryEXT(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glEndQueryEXT", " not available." );
  }

  static void REGAL_CALL glGenQueriesEXT(GLsizei n, GLuint *ids)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glGenQueriesEXT", " not available." );
  }

  static void REGAL_CALL glGetQueryObjectuivEXT(GLuint id, GLenum pname, GLuint *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryObjectuivEXT", " not available." );
  }

  static void REGAL_CALL glGetQueryivEXT(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryivEXT", " not available." );
  }

  static GLboolean REGAL_CALL glIsQueryEXT(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glIsQueryEXT", " not available." );
    return GL_FALSE;
  }

// GL_EXT_paletted_texture

  static void REGAL_CALL glColorTableEXT(GLenum target, GLenum internalFormat, GLsizei width, GLenum format, GLenum type, const GLvoid *table)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalFormat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(table);
    Warning( "glColorTableEXT", " not available." );
  }

  static void REGAL_CALL glGetColorTableEXT(GLenum target, GLenum format, GLenum type, GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(data);
    Warning( "glGetColorTableEXT", " not available." );
  }

  static void REGAL_CALL glGetColorTableParameterfvEXT(GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetColorTableParameterfvEXT", " not available." );
  }

  static void REGAL_CALL glGetColorTableParameterivEXT(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetColorTableParameterivEXT", " not available." );
  }

// GL_EXT_pixel_transform

  static void REGAL_CALL glGetPixelTransformParameterfvEXT(GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetPixelTransformParameterfvEXT", " not available." );
  }

  static void REGAL_CALL glGetPixelTransformParameterivEXT(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetPixelTransformParameterivEXT", " not available." );
  }

  static void REGAL_CALL glPixelTransformParameterfEXT(GLenum target, GLenum pname, const GLfloat param)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPixelTransformParameterfEXT", " not available." );
  }

  static void REGAL_CALL glPixelTransformParameterfvEXT(GLenum target, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glPixelTransformParameterfvEXT", " not available." );
  }

  static void REGAL_CALL glPixelTransformParameteriEXT(GLenum target, GLenum pname, const GLint param)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPixelTransformParameteriEXT", " not available." );
  }

  static void REGAL_CALL glPixelTransformParameterivEXT(GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glPixelTransformParameterivEXT", " not available." );
  }

// GL_EXT_point_parameters

  static void REGAL_CALL glPointParameterfEXT(GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPointParameterfEXT", " not available." );
  }

  static void REGAL_CALL glPointParameterfvEXT(GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glPointParameterfvEXT", " not available." );
  }

// GL_EXT_polygon_offset

  static void REGAL_CALL glPolygonOffsetEXT(GLfloat factor, GLfloat bias)
{
    UNUSED_PARAMETER(factor);
    UNUSED_PARAMETER(bias);
    Warning( "glPolygonOffsetEXT", " not available." );
  }

// GL_EXT_provoking_vertex

  static void REGAL_CALL glProvokingVertexEXT(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glProvokingVertexEXT", " not available." );
  }

// GL_EXT_robustness

  static void REGAL_CALL glGetnUniformfvEXT(GLuint program, GLint location, GLsizei bufSize, GLfloat *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(params);
    Warning( "glGetnUniformfvEXT", " not available." );
  }

  static void REGAL_CALL glGetnUniformivEXT(GLuint program, GLint location, GLsizei bufSize, GLint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(params);
    Warning( "glGetnUniformivEXT", " not available." );
  }

  static void REGAL_CALL glReadnPixelsEXT(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, GLvoid *data)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(data);
    Warning( "glReadnPixelsEXT", " not available." );
  }

// GL_EXT_scene_marker

  static void REGAL_CALL glBeginSceneEXT(void)
{
    Warning( "glBeginSceneEXT", " not available." );
  }

  static void REGAL_CALL glEndSceneEXT(void)
{
    Warning( "glEndSceneEXT", " not available." );
  }

// GL_EXT_secondary_color

  static void REGAL_CALL glSecondaryColor3bEXT(GLbyte red, GLbyte green, GLbyte blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3bEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3bvEXT(const GLbyte *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3bvEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3dEXT(GLdouble red, GLdouble green, GLdouble blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3dEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3dvEXT(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3dvEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3fEXT(GLfloat red, GLfloat green, GLfloat blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3fEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3fvEXT(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3fvEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3iEXT(GLint red, GLint green, GLint blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3iEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3ivEXT(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3ivEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3sEXT(GLshort red, GLshort green, GLshort blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3sEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3svEXT(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3svEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3ubEXT(GLubyte red, GLubyte green, GLubyte blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3ubEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3ubvEXT(const GLubyte *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3ubvEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3uiEXT(GLuint red, GLuint green, GLuint blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3uiEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3uivEXT(const GLuint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3uivEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3usEXT(GLushort red, GLushort green, GLushort blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3usEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3usvEXT(const GLushort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3usvEXT", " not available." );
  }

  static void REGAL_CALL glSecondaryColorPointerEXT(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glSecondaryColorPointerEXT", " not available." );
  }

// GL_EXT_separate_shader_objects

  static void REGAL_CALL glActiveProgramEXT(GLuint program)
{
    UNUSED_PARAMETER(program);
    Warning( "glActiveProgramEXT", " not available." );
  }

  static GLuint REGAL_CALL glCreateShaderProgramEXT(GLenum type, const GLchar *string)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(string);
    Warning( "glCreateShaderProgramEXT", " not available." );
    return 0;
  }

  static void REGAL_CALL glUseShaderProgramEXT(GLenum type, GLuint program)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(program);
    Warning( "glUseShaderProgramEXT", " not available." );
  }

// GL_EXT_shader_image_load_store

  static void REGAL_CALL glBindImageTextureEXT(GLuint index, GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum access, GLint format)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(layered);
    UNUSED_PARAMETER(layer);
    UNUSED_PARAMETER(access);
    UNUSED_PARAMETER(format);
    Warning( "glBindImageTextureEXT", " not available." );
  }

  static void REGAL_CALL glMemoryBarrierEXT(GLbitfield barriers)
{
    UNUSED_PARAMETER(barriers);
    Warning( "glMemoryBarrierEXT", " not available." );
  }

// GL_EXT_stencil_clear_tag

  static void REGAL_CALL glStencilClearTagEXT(GLsizei stencilTagBits, GLuint stencilClearTag)
{
    UNUSED_PARAMETER(stencilTagBits);
    UNUSED_PARAMETER(stencilClearTag);
    Warning( "glStencilClearTagEXT", " not available." );
  }

// GL_EXT_stencil_two_side

  static void REGAL_CALL glActiveStencilFaceEXT(GLenum face)
{
    UNUSED_PARAMETER(face);
    Warning( "glActiveStencilFaceEXT", " not available." );
  }

// GL_EXT_subtexture

  static void REGAL_CALL glTexSubImage1DEXT(GLenum target, GLint level, GLint xoffset, GLsizei width, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTexSubImage1DEXT", " not available." );
  }

  static void REGAL_CALL glTexSubImage2DEXT(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLsizei width, GLsizei height, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTexSubImage2DEXT", " not available." );
  }

  static void REGAL_CALL glTexSubImage3DEXT(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTexSubImage3DEXT", " not available." );
  }

// GL_EXT_texture3D

  static void REGAL_CALL glTexImage3DEXT(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTexImage3DEXT", " not available." );
  }

// GL_EXT_texture_array

  static void REGAL_CALL glFramebufferTextureLayerEXT(GLenum target, GLenum attachment, GLuint texture, GLint level, GLint layer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(layer);
    Warning( "glFramebufferTextureLayerEXT", " not available." );
  }

// GL_EXT_texture_buffer_object

  static void REGAL_CALL glTexBufferEXT(GLenum target, GLenum internalformat, GLuint buffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(buffer);
    Warning( "glTexBufferEXT", " not available." );
  }

// GL_EXT_texture_integer

  static void REGAL_CALL glClearColorIiEXT(GLint red, GLint green, GLint blue, GLint alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glClearColorIiEXT", " not available." );
  }

  static void REGAL_CALL glClearColorIuiEXT(GLuint red, GLuint green, GLuint blue, GLuint alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glClearColorIuiEXT", " not available." );
  }

  static void REGAL_CALL glGetTexParameterIivEXT(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexParameterIivEXT", " not available." );
  }

  static void REGAL_CALL glGetTexParameterIuivEXT(GLenum target, GLenum pname, GLuint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexParameterIuivEXT", " not available." );
  }

  static void REGAL_CALL glTexParameterIivEXT(GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexParameterIivEXT", " not available." );
  }

  static void REGAL_CALL glTexParameterIuivEXT(GLenum target, GLenum pname, const GLuint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexParameterIuivEXT", " not available." );
  }

// GL_EXT_texture_object

  static GLboolean REGAL_CALL glAreTexturesResidentEXT(GLsizei n, const GLuint *textures, GLboolean *residences)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(textures);
    UNUSED_PARAMETER(residences);
    Warning( "glAreTexturesResidentEXT", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glBindTextureEXT(GLenum target, GLuint texture)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(texture);
    Warning( "glBindTextureEXT", " not available." );
  }

  static void REGAL_CALL glDeleteTexturesEXT(GLsizei n, const GLuint *textures)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(textures);
    Warning( "glDeleteTexturesEXT", " not available." );
  }

  static void REGAL_CALL glGenTexturesEXT(GLsizei n, GLuint *textures)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(textures);
    Warning( "glGenTexturesEXT", " not available." );
  }

  static GLboolean REGAL_CALL glIsTextureEXT(GLuint texture)
{
    UNUSED_PARAMETER(texture);
    Warning( "glIsTextureEXT", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glPrioritizeTexturesEXT(GLsizei n, const GLuint *textures, const GLclampf *priorities)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(textures);
    UNUSED_PARAMETER(priorities);
    Warning( "glPrioritizeTexturesEXT", " not available." );
  }

// GL_EXT_texture_perturb_normal

  static void REGAL_CALL glTextureNormalEXT(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glTextureNormalEXT", " not available." );
  }

// GL_EXT_texture_storage

  static void REGAL_CALL glTexStorage1DEXT(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(levels);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    Warning( "glTexStorage1DEXT", " not available." );
  }

  static void REGAL_CALL glTexStorage2DEXT(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(levels);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glTexStorage2DEXT", " not available." );
  }

  static void REGAL_CALL glTexStorage3DEXT(GLenum target, GLsizei levels, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(levels);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    Warning( "glTexStorage3DEXT", " not available." );
  }

// GL_EXT_timer_query

  static void REGAL_CALL glGetQueryObjecti64vEXT(GLuint id, GLenum pname, GLint64EXT *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryObjecti64vEXT", " not available." );
  }

  static void REGAL_CALL glGetQueryObjectui64vEXT(GLuint id, GLenum pname, GLuint64EXT *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetQueryObjectui64vEXT", " not available." );
  }

// GL_EXT_transform_feedback

  static void REGAL_CALL glBeginTransformFeedbackEXT(GLenum primitiveMode)
{
    UNUSED_PARAMETER(primitiveMode);
    Warning( "glBeginTransformFeedbackEXT", " not available." );
  }

  static void REGAL_CALL glBindBufferBaseEXT(GLenum target, GLuint index, GLuint buffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(buffer);
    Warning( "glBindBufferBaseEXT", " not available." );
  }

  static void REGAL_CALL glBindBufferOffsetEXT(GLenum target, GLuint index, GLuint buffer, GLintptr offset)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    Warning( "glBindBufferOffsetEXT", " not available." );
  }

  static void REGAL_CALL glBindBufferRangeEXT(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    Warning( "glBindBufferRangeEXT", " not available." );
  }

  static void REGAL_CALL glEndTransformFeedbackEXT(void)
{
    Warning( "glEndTransformFeedbackEXT", " not available." );
  }

  static void REGAL_CALL glGetTransformFeedbackVaryingEXT(GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLsizei *size, GLenum *type, GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(name);
    Warning( "glGetTransformFeedbackVaryingEXT", " not available." );
  }

  static void REGAL_CALL glTransformFeedbackVaryingsEXT(GLuint program, GLsizei count, const GLchar * const *varyings, GLenum bufferMode)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(varyings);
    UNUSED_PARAMETER(bufferMode);
    Warning( "glTransformFeedbackVaryingsEXT", " not available." );
  }

// GL_EXT_vertex_array

  static void REGAL_CALL glArrayElementEXT(GLint i)
{
    UNUSED_PARAMETER(i);
    Warning( "glArrayElementEXT", " not available." );
  }

  static void REGAL_CALL glColorPointerEXT(GLint size, GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(pointer);
    Warning( "glColorPointerEXT", " not available." );
  }

  static void REGAL_CALL glDrawArraysEXT(GLenum mode, GLint first, GLsizei count)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    Warning( "glDrawArraysEXT", " not available." );
  }

  static void REGAL_CALL glEdgeFlagPointerEXT(GLsizei stride, GLsizei count, const GLboolean *pointer)
{
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(pointer);
    Warning( "glEdgeFlagPointerEXT", " not available." );
  }

  static void REGAL_CALL glGetPointervEXT(GLenum pname, GLvoid **params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetPointervEXT", " not available." );
  }

  static void REGAL_CALL glIndexPointerEXT(GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(pointer);
    Warning( "glIndexPointerEXT", " not available." );
  }

  static void REGAL_CALL glNormalPointerEXT(GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(pointer);
    Warning( "glNormalPointerEXT", " not available." );
  }

  static void REGAL_CALL glTexCoordPointerEXT(GLint size, GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(pointer);
    Warning( "glTexCoordPointerEXT", " not available." );
  }

  static void REGAL_CALL glVertexPointerEXT(GLint size, GLenum type, GLsizei stride, GLsizei count, const GLvoid *pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(pointer);
    Warning( "glVertexPointerEXT", " not available." );
  }

// GL_EXT_vertex_attrib_64bit

  static void REGAL_CALL glGetVertexAttribLdvEXT(GLuint index, GLenum pname, GLdouble *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribLdvEXT", " not available." );
  }

  static void REGAL_CALL glVertexArrayVertexAttribLOffsetEXT(GLuint vaobj, GLuint buffer, GLuint index, GLint size, GLenum type, GLsizei stride, GLintptr offset)
{
    UNUSED_PARAMETER(vaobj);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(offset);
    Warning( "glVertexArrayVertexAttribLOffsetEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribL1dEXT(GLuint index, GLdouble x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttribL1dEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribL1dvEXT(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL1dvEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribL2dEXT(GLuint index, GLdouble x, GLdouble y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttribL2dEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribL2dvEXT(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL2dvEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribL3dEXT(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttribL3dEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribL3dvEXT(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL3dvEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribL4dEXT(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttribL4dEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribL4dvEXT(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL4dvEXT", " not available." );
  }

  static void REGAL_CALL glVertexAttribLPointerEXT(GLuint index, GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glVertexAttribLPointerEXT", " not available." );
  }

// GL_EXT_vertex_shader

  static void REGAL_CALL glBeginVertexShaderEXT(void)
{
    Warning( "glBeginVertexShaderEXT", " not available." );
  }

  static GLuint REGAL_CALL glBindLightParameterEXT(GLenum light, GLenum value)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(value);
    Warning( "glBindLightParameterEXT", " not available." );
    return 0;
  }

  static GLuint REGAL_CALL glBindMaterialParameterEXT(GLenum face, GLenum value)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(value);
    Warning( "glBindMaterialParameterEXT", " not available." );
    return 0;
  }

  static GLuint REGAL_CALL glBindParameterEXT(GLenum value)
{
    UNUSED_PARAMETER(value);
    Warning( "glBindParameterEXT", " not available." );
    return 0;
  }

  static GLuint REGAL_CALL glBindTexGenParameterEXT(GLenum unit, GLenum coord, GLenum value)
{
    UNUSED_PARAMETER(unit);
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(value);
    Warning( "glBindTexGenParameterEXT", " not available." );
    return 0;
  }

  static GLuint REGAL_CALL glBindTextureUnitParameterEXT(GLenum unit, GLenum value)
{
    UNUSED_PARAMETER(unit);
    UNUSED_PARAMETER(value);
    Warning( "glBindTextureUnitParameterEXT", " not available." );
    return 0;
  }

  static void REGAL_CALL glBindVertexShaderEXT(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glBindVertexShaderEXT", " not available." );
  }

  static void REGAL_CALL glDeleteVertexShaderEXT(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glDeleteVertexShaderEXT", " not available." );
  }

  static void REGAL_CALL glDisableVariantClientStateEXT(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glDisableVariantClientStateEXT", " not available." );
  }

  static void REGAL_CALL glEnableVariantClientStateEXT(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glEnableVariantClientStateEXT", " not available." );
  }

  static void REGAL_CALL glEndVertexShaderEXT(void)
{
    Warning( "glEndVertexShaderEXT", " not available." );
  }

  static void REGAL_CALL glExtractComponentEXT(GLuint res, GLuint src, GLuint num)
{
    UNUSED_PARAMETER(res);
    UNUSED_PARAMETER(src);
    UNUSED_PARAMETER(num);
    Warning( "glExtractComponentEXT", " not available." );
  }

  static GLuint REGAL_CALL glGenSymbolsEXT(GLenum datatype, GLenum storagetype, GLenum range, GLuint components)
{
    UNUSED_PARAMETER(datatype);
    UNUSED_PARAMETER(storagetype);
    UNUSED_PARAMETER(range);
    UNUSED_PARAMETER(components);
    Warning( "glGenSymbolsEXT", " not available." );
    return 0;
  }

  static GLuint REGAL_CALL glGenVertexShadersEXT(GLuint range)
{
    UNUSED_PARAMETER(range);
    Warning( "glGenVertexShadersEXT", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetInvariantBooleanvEXT(GLuint id, GLenum value, GLboolean *data)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(data);
    Warning( "glGetInvariantBooleanvEXT", " not available." );
  }

  static void REGAL_CALL glGetInvariantFloatvEXT(GLuint id, GLenum value, GLfloat *data)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(data);
    Warning( "glGetInvariantFloatvEXT", " not available." );
  }

  static void REGAL_CALL glGetInvariantIntegervEXT(GLuint id, GLenum value, GLint *data)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(data);
    Warning( "glGetInvariantIntegervEXT", " not available." );
  }

  static void REGAL_CALL glGetLocalConstantBooleanvEXT(GLuint id, GLenum value, GLboolean *data)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(data);
    Warning( "glGetLocalConstantBooleanvEXT", " not available." );
  }

  static void REGAL_CALL glGetLocalConstantFloatvEXT(GLuint id, GLenum value, GLfloat *data)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(data);
    Warning( "glGetLocalConstantFloatvEXT", " not available." );
  }

  static void REGAL_CALL glGetLocalConstantIntegervEXT(GLuint id, GLenum value, GLint *data)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(data);
    Warning( "glGetLocalConstantIntegervEXT", " not available." );
  }

  static void REGAL_CALL glGetVariantBooleanvEXT(GLuint id, GLenum value, GLboolean *data)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(data);
    Warning( "glGetVariantBooleanvEXT", " not available." );
  }

  static void REGAL_CALL glGetVariantFloatvEXT(GLuint id, GLenum value, GLfloat *data)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(data);
    Warning( "glGetVariantFloatvEXT", " not available." );
  }

  static void REGAL_CALL glGetVariantIntegervEXT(GLuint id, GLenum value, GLint *data)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(data);
    Warning( "glGetVariantIntegervEXT", " not available." );
  }

  static void REGAL_CALL glGetVariantPointervEXT(GLuint id, GLenum value, GLvoid **data)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(data);
    Warning( "glGetVariantPointervEXT", " not available." );
  }

  static void REGAL_CALL glInsertComponentEXT(GLuint res, GLuint src, GLuint num)
{
    UNUSED_PARAMETER(res);
    UNUSED_PARAMETER(src);
    UNUSED_PARAMETER(num);
    Warning( "glInsertComponentEXT", " not available." );
  }

  static GLboolean REGAL_CALL glIsVariantEnabledEXT(GLuint id, GLenum cap)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(cap);
    Warning( "glIsVariantEnabledEXT", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glSetInvariantEXT(GLuint id, GLenum type, const GLvoid *addr)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(addr);
    Warning( "glSetInvariantEXT", " not available." );
  }

  static void REGAL_CALL glSetLocalConstantEXT(GLuint id, GLenum type, const GLvoid *addr)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(addr);
    Warning( "glSetLocalConstantEXT", " not available." );
  }

  static void REGAL_CALL glShaderOp1EXT(GLenum op, GLuint res, GLuint arg1)
{
    UNUSED_PARAMETER(op);
    UNUSED_PARAMETER(res);
    UNUSED_PARAMETER(arg1);
    Warning( "glShaderOp1EXT", " not available." );
  }

  static void REGAL_CALL glShaderOp2EXT(GLenum op, GLuint res, GLuint arg1, GLuint arg2)
{
    UNUSED_PARAMETER(op);
    UNUSED_PARAMETER(res);
    UNUSED_PARAMETER(arg1);
    UNUSED_PARAMETER(arg2);
    Warning( "glShaderOp2EXT", " not available." );
  }

  static void REGAL_CALL glShaderOp3EXT(GLenum op, GLuint res, GLuint arg1, GLuint arg2, GLuint arg3)
{
    UNUSED_PARAMETER(op);
    UNUSED_PARAMETER(res);
    UNUSED_PARAMETER(arg1);
    UNUSED_PARAMETER(arg2);
    UNUSED_PARAMETER(arg3);
    Warning( "glShaderOp3EXT", " not available." );
  }

  static void REGAL_CALL glSwizzleEXT(GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW)
{
    UNUSED_PARAMETER(res);
    UNUSED_PARAMETER(in);
    UNUSED_PARAMETER(outX);
    UNUSED_PARAMETER(outY);
    UNUSED_PARAMETER(outZ);
    UNUSED_PARAMETER(outW);
    Warning( "glSwizzleEXT", " not available." );
  }

  static void REGAL_CALL glVariantPointerEXT(GLuint id, GLenum type, GLuint stride, const GLvoid *addr)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(addr);
    Warning( "glVariantPointerEXT", " not available." );
  }

  static void REGAL_CALL glVariantbvEXT(GLuint id, const GLbyte *addr)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(addr);
    Warning( "glVariantbvEXT", " not available." );
  }

  static void REGAL_CALL glVariantdvEXT(GLuint id, const GLdouble *addr)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(addr);
    Warning( "glVariantdvEXT", " not available." );
  }

  static void REGAL_CALL glVariantfvEXT(GLuint id, const GLfloat *addr)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(addr);
    Warning( "glVariantfvEXT", " not available." );
  }

  static void REGAL_CALL glVariantivEXT(GLuint id, const GLint *addr)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(addr);
    Warning( "glVariantivEXT", " not available." );
  }

  static void REGAL_CALL glVariantsvEXT(GLuint id, const GLshort *addr)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(addr);
    Warning( "glVariantsvEXT", " not available." );
  }

  static void REGAL_CALL glVariantubvEXT(GLuint id, const GLubyte *addr)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(addr);
    Warning( "glVariantubvEXT", " not available." );
  }

  static void REGAL_CALL glVariantuivEXT(GLuint id, const GLuint *addr)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(addr);
    Warning( "glVariantuivEXT", " not available." );
  }

  static void REGAL_CALL glVariantusvEXT(GLuint id, const GLushort *addr)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(addr);
    Warning( "glVariantusvEXT", " not available." );
  }

  static void REGAL_CALL glWriteMaskEXT(GLuint res, GLuint in, GLenum outX, GLenum outY, GLenum outZ, GLenum outW)
{
    UNUSED_PARAMETER(res);
    UNUSED_PARAMETER(in);
    UNUSED_PARAMETER(outX);
    UNUSED_PARAMETER(outY);
    UNUSED_PARAMETER(outZ);
    UNUSED_PARAMETER(outW);
    Warning( "glWriteMaskEXT", " not available." );
  }

// GL_EXT_vertex_weighting

  static void REGAL_CALL glVertexWeightPointerEXT(GLint size, GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glVertexWeightPointerEXT", " not available." );
  }

  static void REGAL_CALL glVertexWeightfEXT(GLfloat weight)
{
    UNUSED_PARAMETER(weight);
    Warning( "glVertexWeightfEXT", " not available." );
  }

  static void REGAL_CALL glVertexWeightfvEXT(const GLfloat *weight)
{
    UNUSED_PARAMETER(weight);
    Warning( "glVertexWeightfvEXT", " not available." );
  }

// GL_EXT_x11_sync_object

  static GLsync REGAL_CALL glImportSyncEXT(GLenum external_sync_type, GLintptr external_sync, GLbitfield flags)
{
    UNUSED_PARAMETER(external_sync_type);
    UNUSED_PARAMETER(external_sync);
    UNUSED_PARAMETER(flags);
    Warning( "glImportSyncEXT", " not available." );
    return NULL;
  }

// GL_GREMEDY_frame_terminator

  static void REGAL_CALL glFrameTerminatorGREMEDY(void)
{
    Warning( "glFrameTerminatorGREMEDY", " not available." );
  }

// GL_GREMEDY_string_marker

  static void REGAL_CALL glStringMarkerGREMEDY(GLsizei len, const GLvoid *string)
{
    UNUSED_PARAMETER(len);
    UNUSED_PARAMETER(string);
    Warning( "glStringMarkerGREMEDY", " not available." );
  }

// GL_HP_image_transform

  static void REGAL_CALL glGetImageTransformParameterfvHP(GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetImageTransformParameterfvHP", " not available." );
  }

  static void REGAL_CALL glGetImageTransformParameterivHP(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetImageTransformParameterivHP", " not available." );
  }

  static void REGAL_CALL glImageTransformParameterfHP(GLenum target, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glImageTransformParameterfHP", " not available." );
  }

  static void REGAL_CALL glImageTransformParameterfvHP(GLenum target, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glImageTransformParameterfvHP", " not available." );
  }

  static void REGAL_CALL glImageTransformParameteriHP(GLenum target, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glImageTransformParameteriHP", " not available." );
  }

  static void REGAL_CALL glImageTransformParameterivHP(GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glImageTransformParameterivHP", " not available." );
  }

// GL_IBM_multimode_draw_arrays

  static void REGAL_CALL glMultiModeDrawArraysIBM(const GLenum *mode, const GLint *first, const GLsizei *count, GLsizei primcount, GLint modestride)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(primcount);
    UNUSED_PARAMETER(modestride);
    Warning( "glMultiModeDrawArraysIBM", " not available." );
  }

  static void REGAL_CALL glMultiModeDrawElementsIBM(const GLenum *mode, const GLsizei *count, GLenum type, const GLvoid * const *indices, GLsizei primcount, GLint modestride)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(indices);
    UNUSED_PARAMETER(primcount);
    UNUSED_PARAMETER(modestride);
    Warning( "glMultiModeDrawElementsIBM", " not available." );
  }

// GL_IBM_vertex_array_lists

  static void REGAL_CALL glColorPointerListIBM(GLint size, GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    UNUSED_PARAMETER(ptrstride);
    Warning( "glColorPointerListIBM", " not available." );
  }

  static void REGAL_CALL glEdgeFlagPointerListIBM(GLint stride, const GLboolean **pointer, GLint ptrstride)
{
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    UNUSED_PARAMETER(ptrstride);
    Warning( "glEdgeFlagPointerListIBM", " not available." );
  }

  static void REGAL_CALL glFogCoordPointerListIBM(GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    UNUSED_PARAMETER(ptrstride);
    Warning( "glFogCoordPointerListIBM", " not available." );
  }

  static void REGAL_CALL glIndexPointerListIBM(GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    UNUSED_PARAMETER(ptrstride);
    Warning( "glIndexPointerListIBM", " not available." );
  }

  static void REGAL_CALL glNormalPointerListIBM(GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    UNUSED_PARAMETER(ptrstride);
    Warning( "glNormalPointerListIBM", " not available." );
  }

  static void REGAL_CALL glSecondaryColorPointerListIBM(GLint size, GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    UNUSED_PARAMETER(ptrstride);
    Warning( "glSecondaryColorPointerListIBM", " not available." );
  }

  static void REGAL_CALL glTexCoordPointerListIBM(GLint size, GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    UNUSED_PARAMETER(ptrstride);
    Warning( "glTexCoordPointerListIBM", " not available." );
  }

  static void REGAL_CALL glVertexPointerListIBM(GLint size, GLenum type, GLint stride, const GLvoid **pointer, GLint ptrstride)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    UNUSED_PARAMETER(ptrstride);
    Warning( "glVertexPointerListIBM", " not available." );
  }

// GL_IMG_multisampled_render_to_texture

  static void REGAL_CALL glFramebufferTexture2DMultisampleIMG(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLsizei samples)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(textarget);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(samples);
    Warning( "glFramebufferTexture2DMultisampleIMG", " not available." );
  }

  static void REGAL_CALL glRenderbufferStorageMultisampleIMG(GLenum target, GLsizei samples, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glRenderbufferStorageMultisampleIMG", " not available." );
  }

// GL_INGR_blend_func_separate

  static void REGAL_CALL glBlendFuncSeparateINGR(GLenum sfactorRGB, GLenum dfactorRGB, GLenum sfactorAlpha, GLenum dfactorAlpha)
{
    UNUSED_PARAMETER(sfactorRGB);
    UNUSED_PARAMETER(dfactorRGB);
    UNUSED_PARAMETER(sfactorAlpha);
    UNUSED_PARAMETER(dfactorAlpha);
    Warning( "glBlendFuncSeparateINGR", " not available." );
  }

// GL_INTEL_map_texture

  static void *REGAL_CALL glMapTexture2DINTEL(GLuint texture, GLint level, GLbitfield access, GLint *stride, GLenum *layout)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(access);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(layout);
    Warning( "glMapTexture2DINTEL", " not available." );
    return NULL;
  }

  static void REGAL_CALL glSyncTextureINTEL(GLuint texture)
{
    UNUSED_PARAMETER(texture);
    Warning( "glSyncTextureINTEL", " not available." );
  }

  static void REGAL_CALL glUnmapTexture2DINTEL(GLuint texture, GLint level)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    Warning( "glUnmapTexture2DINTEL", " not available." );
  }

// GL_INTEL_parallel_arrays

  static void REGAL_CALL glColorPointervINTEL(GLint size, GLenum type, const GLvoid **pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pointer);
    Warning( "glColorPointervINTEL", " not available." );
  }

  static void REGAL_CALL glNormalPointervINTEL(GLenum type, const GLvoid **pointer)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pointer);
    Warning( "glNormalPointervINTEL", " not available." );
  }

  static void REGAL_CALL glTexCoordPointervINTEL(GLint size, GLenum type, const GLvoid **pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pointer);
    Warning( "glTexCoordPointervINTEL", " not available." );
  }

  static void REGAL_CALL glVertexPointervINTEL(GLint size, GLenum type, const GLvoid **pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pointer);
    Warning( "glVertexPointervINTEL", " not available." );
  }

// GL_INTEL_texture_scissor

  static void REGAL_CALL glTexScissorFuncINTEL(GLenum target, GLenum lfunc, GLenum hfunc)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(lfunc);
    UNUSED_PARAMETER(hfunc);
    Warning( "glTexScissorFuncINTEL", " not available." );
  }

  static void REGAL_CALL glTexScissorINTEL(GLenum target, GLclampf tlow, GLclampf thigh)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(tlow);
    UNUSED_PARAMETER(thigh);
    Warning( "glTexScissorINTEL", " not available." );
  }

// GL_KHR_blend_equation_advanced

  static void REGAL_CALL glBlendBarrierKHR(void)
{
    Warning( "glBlendBarrierKHR", " not available." );
  }

// GL_KHR_debug

  static void REGAL_CALL glDebugMessageCallback(GLDEBUGPROC callback, const void *userParam)
{
    UNUSED_PARAMETER(callback);
    UNUSED_PARAMETER(userParam);
    Warning( "glDebugMessageCallback", " not available." );
  }

  static void REGAL_CALL glDebugMessageControl(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint *ids, GLboolean enabled)
{
    UNUSED_PARAMETER(source);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(severity);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(ids);
    UNUSED_PARAMETER(enabled);
    Warning( "glDebugMessageControl", " not available." );
  }

  static void REGAL_CALL glDebugMessageInsert(GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar *buf)
{
    UNUSED_PARAMETER(source);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(severity);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(buf);
    Warning( "glDebugMessageInsert", " not available." );
  }

  static GLuint REGAL_CALL glGetDebugMessageLog(GLuint count, GLsizei bufsize, GLenum *sources, GLenum *types, GLuint *ids, GLenum *severities, GLsizei *lengths, GLchar *messageLog)
{
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(bufsize);
    UNUSED_PARAMETER(sources);
    UNUSED_PARAMETER(types);
    UNUSED_PARAMETER(ids);
    UNUSED_PARAMETER(severities);
    UNUSED_PARAMETER(lengths);
    UNUSED_PARAMETER(messageLog);
    Warning( "glGetDebugMessageLog", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetObjectLabel(GLenum identifier, GLuint name, GLsizei bufSize, GLsizei *length, GLchar *label)
{
    UNUSED_PARAMETER(identifier);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(label);
    Warning( "glGetObjectLabel", " not available." );
  }

  static void REGAL_CALL glGetObjectPtrLabel(const GLvoid *ptr, GLsizei bufSize, GLsizei *length, GLchar *label)
{
    UNUSED_PARAMETER(ptr);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(label);
    Warning( "glGetObjectPtrLabel", " not available." );
  }

  static void REGAL_CALL glObjectLabel(GLenum identifier, GLuint name, GLsizei length, const GLchar *label)
{
    UNUSED_PARAMETER(identifier);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(label);
    Warning( "glObjectLabel", " not available." );
  }

  static void REGAL_CALL glObjectPtrLabel(const GLvoid *ptr, GLsizei length, const GLchar *label)
{
    UNUSED_PARAMETER(ptr);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(label);
    Warning( "glObjectPtrLabel", " not available." );
  }

  static void REGAL_CALL glPopDebugGroup(void)
{
    Warning( "glPopDebugGroup", " not available." );
  }

  static void REGAL_CALL glPushDebugGroup(GLenum source, GLuint id, GLsizei length, const GLchar *message)
{
    UNUSED_PARAMETER(source);
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(message);
    Warning( "glPushDebugGroup", " not available." );
  }

// GL_KHR_robustness

  static void REGAL_CALL glGetnUniformfv(GLuint program, GLint location, GLsizei bufSize, GLfloat *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(params);
    Warning( "glGetnUniformfv", " not available." );
  }

  static void REGAL_CALL glGetnUniformiv(GLuint program, GLint location, GLsizei bufSize, GLint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(params);
    Warning( "glGetnUniformiv", " not available." );
  }

  static void REGAL_CALL glGetnUniformuiv(GLuint program, GLint location, GLsizei bufSize, GLuint *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(params);
    Warning( "glGetnUniformuiv", " not available." );
  }

  static void REGAL_CALL glReadnPixels(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLsizei bufSize, GLvoid *data)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(data);
    Warning( "glReadnPixels", " not available." );
  }

// GL_KTX_buffer_region

  static GLuint REGAL_CALL glBufferRegionEnabled(void)
{
    Warning( "glBufferRegionEnabled", " not available." );
    return 0;
  }

  static void REGAL_CALL glDeleteBufferRegion(GLenum region)
{
    UNUSED_PARAMETER(region);
    Warning( "glDeleteBufferRegion", " not available." );
  }

  static void REGAL_CALL glDrawBufferRegion(GLuint region, GLint x, GLint y, GLsizei width, GLsizei height, GLint xDest, GLint yDest)
{
    UNUSED_PARAMETER(region);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(xDest);
    UNUSED_PARAMETER(yDest);
    Warning( "glDrawBufferRegion", " not available." );
  }

  static GLuint REGAL_CALL glNewBufferRegion(GLenum region)
{
    UNUSED_PARAMETER(region);
    Warning( "glNewBufferRegion", " not available." );
    return 0;
  }

  static void REGAL_CALL glReadBufferRegion(GLuint region, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(region);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glReadBufferRegion", " not available." );
  }

// GL_MESA_resize_buffers

  static void REGAL_CALL glResizeBuffersMESA(void)
{
    Warning( "glResizeBuffersMESA", " not available." );
  }

// GL_MESA_window_pos

  static void REGAL_CALL glWindowPos2dMESA(GLdouble x, GLdouble y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glWindowPos2dMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos2dvMESA(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glWindowPos2dvMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos2fMESA(GLfloat x, GLfloat y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glWindowPos2fMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos2fvMESA(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glWindowPos2fvMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos2iMESA(GLint x, GLint y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glWindowPos2iMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos2ivMESA(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glWindowPos2ivMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos2sMESA(GLshort x, GLshort y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glWindowPos2sMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos2svMESA(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glWindowPos2svMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos3dMESA(GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glWindowPos3dMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos3dvMESA(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glWindowPos3dvMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos3fMESA(GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glWindowPos3fMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos3fvMESA(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glWindowPos3fvMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos3iMESA(GLint x, GLint y, GLint z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glWindowPos3iMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos3ivMESA(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glWindowPos3ivMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos3sMESA(GLshort x, GLshort y, GLshort z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glWindowPos3sMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos3svMESA(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glWindowPos3svMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos4dMESA(GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glWindowPos4dMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos4dvMESA(const GLdouble *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glWindowPos4dvMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos4fMESA(GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glWindowPos4fMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos4fvMESA(const GLfloat *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glWindowPos4fvMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos4iMESA(GLint x, GLint y, GLint z, GLint w)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glWindowPos4iMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos4ivMESA(const GLint *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glWindowPos4ivMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos4sMESA(GLshort x, GLshort y, GLshort z, GLshort w)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glWindowPos4sMESA", " not available." );
  }

  static void REGAL_CALL glWindowPos4svMESA(const GLshort *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glWindowPos4svMESA", " not available." );
  }

// GL_NVX_conditional_render

  static void REGAL_CALL glBeginConditionalRenderNVX(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glBeginConditionalRenderNVX", " not available." );
  }

  static void REGAL_CALL glEndConditionalRenderNVX(void)
{
    Warning( "glEndConditionalRenderNVX", " not available." );
  }

// GL_NV_bindless_texture

  static GLuint64 REGAL_CALL glGetImageHandleNV(GLuint texture, GLint level, GLboolean layered, GLint layer, GLenum format)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(layered);
    UNUSED_PARAMETER(layer);
    UNUSED_PARAMETER(format);
    Warning( "glGetImageHandleNV", " not available." );
    return 0;
  }

  static GLuint64 REGAL_CALL glGetTextureHandleNV(GLuint texture)
{
    UNUSED_PARAMETER(texture);
    Warning( "glGetTextureHandleNV", " not available." );
    return 0;
  }

  static GLuint64 REGAL_CALL glGetTextureSamplerHandleNV(GLuint texture, GLuint sampler)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(sampler);
    Warning( "glGetTextureSamplerHandleNV", " not available." );
    return 0;
  }

  static GLboolean REGAL_CALL glIsImageHandleResidentNV(GLuint64 handle)
{
    UNUSED_PARAMETER(handle);
    Warning( "glIsImageHandleResidentNV", " not available." );
    return GL_FALSE;
  }

  static GLboolean REGAL_CALL glIsTextureHandleResidentNV(GLuint64 handle)
{
    UNUSED_PARAMETER(handle);
    Warning( "glIsTextureHandleResidentNV", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glMakeImageHandleNonResidentNV(GLuint64 handle)
{
    UNUSED_PARAMETER(handle);
    Warning( "glMakeImageHandleNonResidentNV", " not available." );
  }

  static void REGAL_CALL glMakeImageHandleResidentNV(GLuint64 handle, GLenum access)
{
    UNUSED_PARAMETER(handle);
    UNUSED_PARAMETER(access);
    Warning( "glMakeImageHandleResidentNV", " not available." );
  }

  static void REGAL_CALL glMakeTextureHandleNonResidentNV(GLuint64 handle)
{
    UNUSED_PARAMETER(handle);
    Warning( "glMakeTextureHandleNonResidentNV", " not available." );
  }

  static void REGAL_CALL glMakeTextureHandleResidentNV(GLuint64 handle)
{
    UNUSED_PARAMETER(handle);
    Warning( "glMakeTextureHandleResidentNV", " not available." );
  }

  static void REGAL_CALL glProgramUniformHandleui64NV(GLuint program, GLint location, GLuint64 value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformHandleui64NV", " not available." );
  }

  static void REGAL_CALL glProgramUniformHandleui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64 *values)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(values);
    Warning( "glProgramUniformHandleui64vNV", " not available." );
  }

  static void REGAL_CALL glUniformHandleui64NV(GLint location, GLuint64 value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(value);
    Warning( "glUniformHandleui64NV", " not available." );
  }

  static void REGAL_CALL glUniformHandleui64vNV(GLint location, GLsizei count, const GLuint64 *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniformHandleui64vNV", " not available." );
  }

// GL_NV_blend_equation_advanced

  static void REGAL_CALL glBlendBarrierNV(void)
{
    Warning( "glBlendBarrierNV", " not available." );
  }

  static void REGAL_CALL glBlendParameteriNV(GLenum pname, GLint value)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(value);
    Warning( "glBlendParameteriNV", " not available." );
  }

// GL_NV_conditional_render

  static void REGAL_CALL glBeginConditionalRenderNV(GLuint id, GLenum mode)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(mode);
    Warning( "glBeginConditionalRenderNV", " not available." );
  }

  static void REGAL_CALL glEndConditionalRenderNV(void)
{
    Warning( "glEndConditionalRenderNV", " not available." );
  }

// GL_NV_copy_buffer

  static void REGAL_CALL glCopyBufferSubDataNV(GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
{
    UNUSED_PARAMETER(readTarget);
    UNUSED_PARAMETER(writeTarget);
    UNUSED_PARAMETER(readOffset);
    UNUSED_PARAMETER(writeOffset);
    UNUSED_PARAMETER(size);
    Warning( "glCopyBufferSubDataNV", " not available." );
  }

// GL_NV_copy_image

  static void REGAL_CALL glCopyImageSubDataNV(GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei width, GLsizei height, GLsizei depth)
{
    UNUSED_PARAMETER(srcName);
    UNUSED_PARAMETER(srcTarget);
    UNUSED_PARAMETER(srcLevel);
    UNUSED_PARAMETER(srcX);
    UNUSED_PARAMETER(srcY);
    UNUSED_PARAMETER(srcZ);
    UNUSED_PARAMETER(dstName);
    UNUSED_PARAMETER(dstTarget);
    UNUSED_PARAMETER(dstLevel);
    UNUSED_PARAMETER(dstX);
    UNUSED_PARAMETER(dstY);
    UNUSED_PARAMETER(dstZ);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    Warning( "glCopyImageSubDataNV", " not available." );
  }

// GL_NV_coverage_sample

  static void REGAL_CALL glCoverageMaskNV(GLboolean mask)
{
    UNUSED_PARAMETER(mask);
    Warning( "glCoverageMaskNV", " not available." );
  }

  static void REGAL_CALL glCoverageOperationNV(GLenum operation)
{
    UNUSED_PARAMETER(operation);
    Warning( "glCoverageOperationNV", " not available." );
  }

// GL_NV_depth_buffer_float

  static void REGAL_CALL glClearDepthdNV(GLdouble depth)
{
    UNUSED_PARAMETER(depth);
    Warning( "glClearDepthdNV", " not available." );
  }

  static void REGAL_CALL glDepthBoundsdNV(GLdouble zmin, GLdouble zmax)
{
    UNUSED_PARAMETER(zmin);
    UNUSED_PARAMETER(zmax);
    Warning( "glDepthBoundsdNV", " not available." );
  }

  static void REGAL_CALL glDepthRangedNV(GLdouble zNear, GLdouble zFar)
{
    UNUSED_PARAMETER(zNear);
    UNUSED_PARAMETER(zFar);
    Warning( "glDepthRangedNV", " not available." );
  }

// GL_NV_draw_buffers

  static void REGAL_CALL glDrawBuffersNV(GLsizei n, const GLenum *bufs)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(bufs);
    Warning( "glDrawBuffersNV", " not available." );
  }

// GL_NV_draw_texture

  static void REGAL_CALL glDrawTextureNV(GLuint texture, GLuint sampler, GLfloat x0, GLfloat y0, GLfloat x1, GLfloat y1, GLfloat z, GLfloat s0, GLfloat t0, GLfloat s1, GLfloat t1)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(sampler);
    UNUSED_PARAMETER(x0);
    UNUSED_PARAMETER(y0);
    UNUSED_PARAMETER(x1);
    UNUSED_PARAMETER(y1);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(s0);
    UNUSED_PARAMETER(t0);
    UNUSED_PARAMETER(s1);
    UNUSED_PARAMETER(t1);
    Warning( "glDrawTextureNV", " not available." );
  }

// GL_NV_evaluators

  static void REGAL_CALL glEvalMapsNV(GLenum target, GLenum mode)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(mode);
    Warning( "glEvalMapsNV", " not available." );
  }

  static void REGAL_CALL glGetMapAttribParameterfvNV(GLenum target, GLuint index, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMapAttribParameterfvNV", " not available." );
  }

  static void REGAL_CALL glGetMapAttribParameterivNV(GLenum target, GLuint index, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMapAttribParameterivNV", " not available." );
  }

  static void REGAL_CALL glGetMapControlPointsNV(GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLboolean packed, GLvoid *points)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(ustride);
    UNUSED_PARAMETER(vstride);
    UNUSED_PARAMETER(packed);
    UNUSED_PARAMETER(points);
    Warning( "glGetMapControlPointsNV", " not available." );
  }

  static void REGAL_CALL glGetMapParameterfvNV(GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMapParameterfvNV", " not available." );
  }

  static void REGAL_CALL glGetMapParameterivNV(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMapParameterivNV", " not available." );
  }

  static void REGAL_CALL glMapControlPointsNV(GLenum target, GLuint index, GLenum type, GLsizei ustride, GLsizei vstride, GLint uorder, GLint vorder, GLboolean packed, const GLvoid *points)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(ustride);
    UNUSED_PARAMETER(vstride);
    UNUSED_PARAMETER(uorder);
    UNUSED_PARAMETER(vorder);
    UNUSED_PARAMETER(packed);
    UNUSED_PARAMETER(points);
    Warning( "glMapControlPointsNV", " not available." );
  }

  static void REGAL_CALL glMapParameterfvNV(GLenum target, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glMapParameterfvNV", " not available." );
  }

  static void REGAL_CALL glMapParameterivNV(GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glMapParameterivNV", " not available." );
  }

// GL_NV_explicit_multisample

  static void REGAL_CALL glGetMultisamplefvNV(GLenum pname, GLuint index, GLfloat *val)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(val);
    Warning( "glGetMultisamplefvNV", " not available." );
  }

  static void REGAL_CALL glSampleMaskIndexedNV(GLuint index, GLbitfield mask)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(mask);
    Warning( "glSampleMaskIndexedNV", " not available." );
  }

  static void REGAL_CALL glTexRenderbufferNV(GLenum target, GLuint renderbuffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(renderbuffer);
    Warning( "glTexRenderbufferNV", " not available." );
  }

// GL_NV_fence

  static void REGAL_CALL glDeleteFencesNV(GLsizei n, const GLuint *fences)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(fences);
    Warning( "glDeleteFencesNV", " not available." );
  }

  static void REGAL_CALL glFinishFenceNV(GLuint fence)
{
    UNUSED_PARAMETER(fence);
    Warning( "glFinishFenceNV", " not available." );
  }

  static void REGAL_CALL glGenFencesNV(GLsizei n, GLuint *fences)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(fences);
    Warning( "glGenFencesNV", " not available." );
  }

  static void REGAL_CALL glGetFenceivNV(GLuint fence, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(fence);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFenceivNV", " not available." );
  }

  static GLboolean REGAL_CALL glIsFenceNV(GLuint fence)
{
    UNUSED_PARAMETER(fence);
    Warning( "glIsFenceNV", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glSetFenceNV(GLuint fence, GLenum condition)
{
    UNUSED_PARAMETER(fence);
    UNUSED_PARAMETER(condition);
    Warning( "glSetFenceNV", " not available." );
  }

  static GLboolean REGAL_CALL glTestFenceNV(GLuint fence)
{
    UNUSED_PARAMETER(fence);
    Warning( "glTestFenceNV", " not available." );
    return GL_FALSE;
  }

// GL_NV_fragment_program

  static void REGAL_CALL glGetProgramNamedParameterdvNV(GLuint id, GLsizei len, const GLubyte *name, GLdouble *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(len);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramNamedParameterdvNV", " not available." );
  }

  static void REGAL_CALL glGetProgramNamedParameterfvNV(GLuint id, GLsizei len, const GLubyte *name, GLfloat *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(len);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramNamedParameterfvNV", " not available." );
  }

  static void REGAL_CALL glProgramNamedParameter4dNV(GLuint id, GLsizei len, const GLubyte *name, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(len);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramNamedParameter4dNV", " not available." );
  }

  static void REGAL_CALL glProgramNamedParameter4dvNV(GLuint id, GLsizei len, const GLubyte *name, const GLdouble *v)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(len);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(v);
    Warning( "glProgramNamedParameter4dvNV", " not available." );
  }

  static void REGAL_CALL glProgramNamedParameter4fNV(GLuint id, GLsizei len, const GLubyte *name, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(len);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramNamedParameter4fNV", " not available." );
  }

  static void REGAL_CALL glProgramNamedParameter4fvNV(GLuint id, GLsizei len, const GLubyte *name, const GLfloat *v)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(len);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(v);
    Warning( "glProgramNamedParameter4fvNV", " not available." );
  }

// GL_NV_framebuffer_blit

  static void REGAL_CALL glBlitFramebufferNV(GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    UNUSED_PARAMETER(srcX0);
    UNUSED_PARAMETER(srcY0);
    UNUSED_PARAMETER(srcX1);
    UNUSED_PARAMETER(srcY1);
    UNUSED_PARAMETER(dstX0);
    UNUSED_PARAMETER(dstY0);
    UNUSED_PARAMETER(dstX1);
    UNUSED_PARAMETER(dstY1);
    UNUSED_PARAMETER(mask);
    UNUSED_PARAMETER(filter);
    Warning( "glBlitFramebufferNV", " not available." );
  }

// GL_NV_framebuffer_multisample_coverage

  static void REGAL_CALL glRenderbufferStorageMultisampleCoverageNV(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(coverageSamples);
    UNUSED_PARAMETER(colorSamples);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glRenderbufferStorageMultisampleCoverageNV", " not available." );
  }

// GL_NV_geometry_program4

  static void REGAL_CALL glProgramVertexLimitNV(GLenum target, GLint limit)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(limit);
    Warning( "glProgramVertexLimitNV", " not available." );
  }

// GL_NV_gpu_program4

  static void REGAL_CALL glGetProgramEnvParameterIivNV(GLenum target, GLuint index, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramEnvParameterIivNV", " not available." );
  }

  static void REGAL_CALL glGetProgramEnvParameterIuivNV(GLenum target, GLuint index, GLuint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramEnvParameterIuivNV", " not available." );
  }

  static void REGAL_CALL glGetProgramLocalParameterIivNV(GLenum target, GLuint index, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramLocalParameterIivNV", " not available." );
  }

  static void REGAL_CALL glGetProgramLocalParameterIuivNV(GLenum target, GLuint index, GLuint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramLocalParameterIuivNV", " not available." );
  }

  static void REGAL_CALL glProgramEnvParameterI4iNV(GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramEnvParameterI4iNV", " not available." );
  }

  static void REGAL_CALL glProgramEnvParameterI4ivNV(GLenum target, GLuint index, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glProgramEnvParameterI4ivNV", " not available." );
  }

  static void REGAL_CALL glProgramEnvParameterI4uiNV(GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramEnvParameterI4uiNV", " not available." );
  }

  static void REGAL_CALL glProgramEnvParameterI4uivNV(GLenum target, GLuint index, const GLuint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glProgramEnvParameterI4uivNV", " not available." );
  }

  static void REGAL_CALL glProgramEnvParametersI4ivNV(GLenum target, GLuint index, GLsizei count, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(params);
    Warning( "glProgramEnvParametersI4ivNV", " not available." );
  }

  static void REGAL_CALL glProgramEnvParametersI4uivNV(GLenum target, GLuint index, GLsizei count, const GLuint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(params);
    Warning( "glProgramEnvParametersI4uivNV", " not available." );
  }

  static void REGAL_CALL glProgramLocalParameterI4iNV(GLenum target, GLuint index, GLint x, GLint y, GLint z, GLint w)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramLocalParameterI4iNV", " not available." );
  }

  static void REGAL_CALL glProgramLocalParameterI4ivNV(GLenum target, GLuint index, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glProgramLocalParameterI4ivNV", " not available." );
  }

  static void REGAL_CALL glProgramLocalParameterI4uiNV(GLenum target, GLuint index, GLuint x, GLuint y, GLuint z, GLuint w)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramLocalParameterI4uiNV", " not available." );
  }

  static void REGAL_CALL glProgramLocalParameterI4uivNV(GLenum target, GLuint index, const GLuint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(params);
    Warning( "glProgramLocalParameterI4uivNV", " not available." );
  }

  static void REGAL_CALL glProgramLocalParametersI4ivNV(GLenum target, GLuint index, GLsizei count, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(params);
    Warning( "glProgramLocalParametersI4ivNV", " not available." );
  }

  static void REGAL_CALL glProgramLocalParametersI4uivNV(GLenum target, GLuint index, GLsizei count, const GLuint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(params);
    Warning( "glProgramLocalParametersI4uivNV", " not available." );
  }

// GL_NV_gpu_shader5

  static void REGAL_CALL glGetUniformi64vNV(GLuint program, GLint location, GLint64EXT *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(params);
    Warning( "glGetUniformi64vNV", " not available." );
  }

  static void REGAL_CALL glProgramUniform1i64NV(GLuint program, GLint location, GLint64EXT x)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    Warning( "glProgramUniform1i64NV", " not available." );
  }

  static void REGAL_CALL glProgramUniform1i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform1i64vNV", " not available." );
  }

  static void REGAL_CALL glProgramUniform1ui64NV(GLuint program, GLint location, GLuint64EXT x)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    Warning( "glProgramUniform1ui64NV", " not available." );
  }

  static void REGAL_CALL glProgramUniform1ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform1ui64vNV", " not available." );
  }

  static void REGAL_CALL glProgramUniform2i64NV(GLuint program, GLint location, GLint64EXT x, GLint64EXT y)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glProgramUniform2i64NV", " not available." );
  }

  static void REGAL_CALL glProgramUniform2i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform2i64vNV", " not available." );
  }

  static void REGAL_CALL glProgramUniform2ui64NV(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glProgramUniform2ui64NV", " not available." );
  }

  static void REGAL_CALL glProgramUniform2ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform2ui64vNV", " not available." );
  }

  static void REGAL_CALL glProgramUniform3i64NV(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glProgramUniform3i64NV", " not available." );
  }

  static void REGAL_CALL glProgramUniform3i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform3i64vNV", " not available." );
  }

  static void REGAL_CALL glProgramUniform3ui64NV(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glProgramUniform3ui64NV", " not available." );
  }

  static void REGAL_CALL glProgramUniform3ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform3ui64vNV", " not available." );
  }

  static void REGAL_CALL glProgramUniform4i64NV(GLuint program, GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramUniform4i64NV", " not available." );
  }

  static void REGAL_CALL glProgramUniform4i64vNV(GLuint program, GLint location, GLsizei count, const GLint64EXT *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform4i64vNV", " not available." );
  }

  static void REGAL_CALL glProgramUniform4ui64NV(GLuint program, GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramUniform4ui64NV", " not available." );
  }

  static void REGAL_CALL glProgramUniform4ui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniform4ui64vNV", " not available." );
  }

  static void REGAL_CALL glUniform1i64NV(GLint location, GLint64EXT x)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    Warning( "glUniform1i64NV", " not available." );
  }

  static void REGAL_CALL glUniform1i64vNV(GLint location, GLsizei count, const GLint64EXT *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform1i64vNV", " not available." );
  }

  static void REGAL_CALL glUniform1ui64NV(GLint location, GLuint64EXT x)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    Warning( "glUniform1ui64NV", " not available." );
  }

  static void REGAL_CALL glUniform1ui64vNV(GLint location, GLsizei count, const GLuint64EXT *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform1ui64vNV", " not available." );
  }

  static void REGAL_CALL glUniform2i64NV(GLint location, GLint64EXT x, GLint64EXT y)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glUniform2i64NV", " not available." );
  }

  static void REGAL_CALL glUniform2i64vNV(GLint location, GLsizei count, const GLint64EXT *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform2i64vNV", " not available." );
  }

  static void REGAL_CALL glUniform2ui64NV(GLint location, GLuint64EXT x, GLuint64EXT y)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glUniform2ui64NV", " not available." );
  }

  static void REGAL_CALL glUniform2ui64vNV(GLint location, GLsizei count, const GLuint64EXT *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform2ui64vNV", " not available." );
  }

  static void REGAL_CALL glUniform3i64NV(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glUniform3i64NV", " not available." );
  }

  static void REGAL_CALL glUniform3i64vNV(GLint location, GLsizei count, const GLint64EXT *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform3i64vNV", " not available." );
  }

  static void REGAL_CALL glUniform3ui64NV(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glUniform3ui64NV", " not available." );
  }

  static void REGAL_CALL glUniform3ui64vNV(GLint location, GLsizei count, const GLuint64EXT *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform3ui64vNV", " not available." );
  }

  static void REGAL_CALL glUniform4i64NV(GLint location, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glUniform4i64NV", " not available." );
  }

  static void REGAL_CALL glUniform4i64vNV(GLint location, GLsizei count, const GLint64EXT *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform4i64vNV", " not available." );
  }

  static void REGAL_CALL glUniform4ui64NV(GLint location, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glUniform4ui64NV", " not available." );
  }

  static void REGAL_CALL glUniform4ui64vNV(GLint location, GLsizei count, const GLuint64EXT *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniform4ui64vNV", " not available." );
  }

// GL_NV_half_float

  static void REGAL_CALL glColor3hNV(GLhalfNV red, GLhalfNV green, GLhalfNV blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glColor3hNV", " not available." );
  }

  static void REGAL_CALL glColor3hvNV(const GLhalfNV *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor3hvNV", " not available." );
  }

  static void REGAL_CALL glColor4hNV(GLhalfNV red, GLhalfNV green, GLhalfNV blue, GLhalfNV alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glColor4hNV", " not available." );
  }

  static void REGAL_CALL glColor4hvNV(const GLhalfNV *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glColor4hvNV", " not available." );
  }

  static void REGAL_CALL glFogCoordhNV(GLhalfNV fog)
{
    UNUSED_PARAMETER(fog);
    Warning( "glFogCoordhNV", " not available." );
  }

  static void REGAL_CALL glFogCoordhvNV(const GLhalfNV *coord)
{
    UNUSED_PARAMETER(coord);
    Warning( "glFogCoordhvNV", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1hNV(GLenum target, GLhalfNV s)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    Warning( "glMultiTexCoord1hNV", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord1hvNV(GLenum target, const GLhalfNV *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord1hvNV", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2hNV(GLenum target, GLhalfNV s, GLhalfNV t)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    Warning( "glMultiTexCoord2hNV", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord2hvNV(GLenum target, const GLhalfNV *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord2hvNV", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3hNV(GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    Warning( "glMultiTexCoord3hNV", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord3hvNV(GLenum target, const GLhalfNV *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord3hvNV", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4hNV(GLenum target, GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(q);
    Warning( "glMultiTexCoord4hNV", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4hvNV(GLenum target, const GLhalfNV *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(v);
    Warning( "glMultiTexCoord4hvNV", " not available." );
  }

  static void REGAL_CALL glNormal3hNV(GLhalfNV nx, GLhalfNV ny, GLhalfNV nz)
{
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    Warning( "glNormal3hNV", " not available." );
  }

  static void REGAL_CALL glNormal3hvNV(const GLhalfNV *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glNormal3hvNV", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3hNV(GLhalfNV red, GLhalfNV green, GLhalfNV blue)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    Warning( "glSecondaryColor3hNV", " not available." );
  }

  static void REGAL_CALL glSecondaryColor3hvNV(const GLhalfNV *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glSecondaryColor3hvNV", " not available." );
  }

  static void REGAL_CALL glTexCoord1hNV(GLhalfNV s)
{
    UNUSED_PARAMETER(s);
    Warning( "glTexCoord1hNV", " not available." );
  }

  static void REGAL_CALL glTexCoord1hvNV(const GLhalfNV *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord1hvNV", " not available." );
  }

  static void REGAL_CALL glTexCoord2hNV(GLhalfNV s, GLhalfNV t)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    Warning( "glTexCoord2hNV", " not available." );
  }

  static void REGAL_CALL glTexCoord2hvNV(const GLhalfNV *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord2hvNV", " not available." );
  }

  static void REGAL_CALL glTexCoord3hNV(GLhalfNV s, GLhalfNV t, GLhalfNV r)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    Warning( "glTexCoord3hNV", " not available." );
  }

  static void REGAL_CALL glTexCoord3hvNV(const GLhalfNV *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord3hvNV", " not available." );
  }

  static void REGAL_CALL glTexCoord4hNV(GLhalfNV s, GLhalfNV t, GLhalfNV r, GLhalfNV q)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(q);
    Warning( "glTexCoord4hNV", " not available." );
  }

  static void REGAL_CALL glTexCoord4hvNV(const GLhalfNV *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord4hvNV", " not available." );
  }

  static void REGAL_CALL glVertex2hNV(GLhalfNV x, GLhalfNV y)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertex2hNV", " not available." );
  }

  static void REGAL_CALL glVertex2hvNV(const GLhalfNV *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glVertex2hvNV", " not available." );
  }

  static void REGAL_CALL glVertex3hNV(GLhalfNV x, GLhalfNV y, GLhalfNV z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertex3hNV", " not available." );
  }

  static void REGAL_CALL glVertex3hvNV(const GLhalfNV *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glVertex3hvNV", " not available." );
  }

  static void REGAL_CALL glVertex4hNV(GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertex4hNV", " not available." );
  }

  static void REGAL_CALL glVertex4hvNV(const GLhalfNV *v)
{
    UNUSED_PARAMETER(v);
    Warning( "glVertex4hvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1hNV(GLuint index, GLhalfNV x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttrib1hNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1hvNV(GLuint index, const GLhalfNV *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib1hvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2hNV(GLuint index, GLhalfNV x, GLhalfNV y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttrib2hNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2hvNV(GLuint index, const GLhalfNV *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib2hvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3hNV(GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttrib3hNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3hvNV(GLuint index, const GLhalfNV *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib3hvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4hNV(GLuint index, GLhalfNV x, GLhalfNV y, GLhalfNV z, GLhalfNV w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttrib4hNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4hvNV(GLuint index, const GLhalfNV *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4hvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs1hvNV(GLuint index, GLsizei n, const GLhalfNV *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs1hvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs2hvNV(GLuint index, GLsizei n, const GLhalfNV *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs2hvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs3hvNV(GLuint index, GLsizei n, const GLhalfNV *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs3hvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs4hvNV(GLuint index, GLsizei n, const GLhalfNV *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs4hvNV", " not available." );
  }

  static void REGAL_CALL glVertexWeighthNV(GLhalfNV weight)
{
    UNUSED_PARAMETER(weight);
    Warning( "glVertexWeighthNV", " not available." );
  }

  static void REGAL_CALL glVertexWeighthvNV(const GLhalfNV *weight)
{
    UNUSED_PARAMETER(weight);
    Warning( "glVertexWeighthvNV", " not available." );
  }

// GL_NV_non_square_matrices

  static void REGAL_CALL glUniformMatrix2x3fvNV(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix2x3fvNV", " not available." );
  }

  static void REGAL_CALL glUniformMatrix2x4fvNV(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix2x4fvNV", " not available." );
  }

  static void REGAL_CALL glUniformMatrix3x2fvNV(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix3x2fvNV", " not available." );
  }

  static void REGAL_CALL glUniformMatrix3x4fvNV(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix3x4fvNV", " not available." );
  }

  static void REGAL_CALL glUniformMatrix4x2fvNV(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix4x2fvNV", " not available." );
  }

  static void REGAL_CALL glUniformMatrix4x3fvNV(GLint location, GLsizei count, GLboolean transpose, const GLfloat *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(transpose);
    UNUSED_PARAMETER(value);
    Warning( "glUniformMatrix4x3fvNV", " not available." );
  }

// GL_NV_occlusion_query

  static void REGAL_CALL glBeginOcclusionQueryNV(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glBeginOcclusionQueryNV", " not available." );
  }

  static void REGAL_CALL glDeleteOcclusionQueriesNV(GLsizei n, const GLuint *ids)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glDeleteOcclusionQueriesNV", " not available." );
  }

  static void REGAL_CALL glEndOcclusionQueryNV(void)
{
    Warning( "glEndOcclusionQueryNV", " not available." );
  }

  static void REGAL_CALL glGenOcclusionQueriesNV(GLsizei n, GLuint *ids)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glGenOcclusionQueriesNV", " not available." );
  }

  static void REGAL_CALL glGetOcclusionQueryivNV(GLuint id, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetOcclusionQueryivNV", " not available." );
  }

  static void REGAL_CALL glGetOcclusionQueryuivNV(GLuint id, GLenum pname, GLuint *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetOcclusionQueryuivNV", " not available." );
  }

  static GLboolean REGAL_CALL glIsOcclusionQueryNV(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glIsOcclusionQueryNV", " not available." );
    return GL_FALSE;
  }

// GL_NV_parameter_buffer_object

  static void REGAL_CALL glProgramBufferParametersIivNV(GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(bindingIndex);
    UNUSED_PARAMETER(wordIndex);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(params);
    Warning( "glProgramBufferParametersIivNV", " not available." );
  }

  static void REGAL_CALL glProgramBufferParametersIuivNV(GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLuint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(bindingIndex);
    UNUSED_PARAMETER(wordIndex);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(params);
    Warning( "glProgramBufferParametersIuivNV", " not available." );
  }

  static void REGAL_CALL glProgramBufferParametersfvNV(GLenum target, GLuint bindingIndex, GLuint wordIndex, GLsizei count, const GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(bindingIndex);
    UNUSED_PARAMETER(wordIndex);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(params);
    Warning( "glProgramBufferParametersfvNV", " not available." );
  }

// GL_NV_path_rendering

  static void REGAL_CALL glCopyPathNV(GLuint resultPath, GLuint srcPath)
{
    UNUSED_PARAMETER(resultPath);
    UNUSED_PARAMETER(srcPath);
    Warning( "glCopyPathNV", " not available." );
  }

  static void REGAL_CALL glCoverFillPathInstancedNV(GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat *transformValues)
{
    UNUSED_PARAMETER(numPaths);
    UNUSED_PARAMETER(pathNameType);
    UNUSED_PARAMETER(paths);
    UNUSED_PARAMETER(pathBase);
    UNUSED_PARAMETER(coverMode);
    UNUSED_PARAMETER(transformType);
    UNUSED_PARAMETER(transformValues);
    Warning( "glCoverFillPathInstancedNV", " not available." );
  }

  static void REGAL_CALL glCoverFillPathNV(GLuint path, GLenum coverMode)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(coverMode);
    Warning( "glCoverFillPathNV", " not available." );
  }

  static void REGAL_CALL glCoverStrokePathInstancedNV(GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLenum coverMode, GLenum transformType, const GLfloat *transformValues)
{
    UNUSED_PARAMETER(numPaths);
    UNUSED_PARAMETER(pathNameType);
    UNUSED_PARAMETER(paths);
    UNUSED_PARAMETER(pathBase);
    UNUSED_PARAMETER(coverMode);
    UNUSED_PARAMETER(transformType);
    UNUSED_PARAMETER(transformValues);
    Warning( "glCoverStrokePathInstancedNV", " not available." );
  }

  static void REGAL_CALL glCoverStrokePathNV(GLuint path, GLenum coverMode)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(coverMode);
    Warning( "glCoverStrokePathNV", " not available." );
  }

  static void REGAL_CALL glDeletePathsNV(GLuint path, GLsizei range)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(range);
    Warning( "glDeletePathsNV", " not available." );
  }

  static GLuint REGAL_CALL glGenPathsNV(GLsizei range)
{
    UNUSED_PARAMETER(range);
    Warning( "glGenPathsNV", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetPathColorGenfvNV(GLenum color, GLenum pname, GLfloat *value)
{
    UNUSED_PARAMETER(color);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(value);
    Warning( "glGetPathColorGenfvNV", " not available." );
  }

  static void REGAL_CALL glGetPathColorGenivNV(GLenum color, GLenum pname, GLint *value)
{
    UNUSED_PARAMETER(color);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(value);
    Warning( "glGetPathColorGenivNV", " not available." );
  }

  static void REGAL_CALL glGetPathCommandsNV(GLuint path, GLubyte *commands)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(commands);
    Warning( "glGetPathCommandsNV", " not available." );
  }

  static void REGAL_CALL glGetPathCoordsNV(GLuint path, GLfloat *coords)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(coords);
    Warning( "glGetPathCoordsNV", " not available." );
  }

  static void REGAL_CALL glGetPathDashArrayNV(GLuint path, GLfloat *dashArray)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(dashArray);
    Warning( "glGetPathDashArrayNV", " not available." );
  }

  static GLfloat REGAL_CALL glGetPathLengthNV(GLuint path, GLsizei startSegment, GLsizei numSegments)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(startSegment);
    UNUSED_PARAMETER(numSegments);
    Warning( "glGetPathLengthNV", " not available." );
    return 0;
  }

  static void REGAL_CALL glGetPathMetricRangeNV(GLbitfield metricQueryMask, GLuint firstPathName, GLsizei numPaths, GLsizei stride, GLfloat *metrics)
{
    UNUSED_PARAMETER(metricQueryMask);
    UNUSED_PARAMETER(firstPathName);
    UNUSED_PARAMETER(numPaths);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(metrics);
    Warning( "glGetPathMetricRangeNV", " not available." );
  }

  static void REGAL_CALL glGetPathMetricsNV(GLbitfield metricQueryMask, GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLsizei stride, GLfloat *metrics)
{
    UNUSED_PARAMETER(metricQueryMask);
    UNUSED_PARAMETER(numPaths);
    UNUSED_PARAMETER(pathNameType);
    UNUSED_PARAMETER(paths);
    UNUSED_PARAMETER(pathBase);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(metrics);
    Warning( "glGetPathMetricsNV", " not available." );
  }

  static void REGAL_CALL glGetPathParameterfvNV(GLuint path, GLenum pname, GLfloat *value)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(value);
    Warning( "glGetPathParameterfvNV", " not available." );
  }

  static void REGAL_CALL glGetPathParameterivNV(GLuint path, GLenum pname, GLint *value)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(value);
    Warning( "glGetPathParameterivNV", " not available." );
  }

  static void REGAL_CALL glGetPathSpacingNV(GLenum pathListMode, GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLfloat advanceScale, GLfloat kerningScale, GLenum transformType, GLfloat *returnedSpacing)
{
    UNUSED_PARAMETER(pathListMode);
    UNUSED_PARAMETER(numPaths);
    UNUSED_PARAMETER(pathNameType);
    UNUSED_PARAMETER(paths);
    UNUSED_PARAMETER(pathBase);
    UNUSED_PARAMETER(advanceScale);
    UNUSED_PARAMETER(kerningScale);
    UNUSED_PARAMETER(transformType);
    UNUSED_PARAMETER(returnedSpacing);
    Warning( "glGetPathSpacingNV", " not available." );
  }

  static void REGAL_CALL glGetPathTexGenfvNV(GLenum texCoordSet, GLenum pname, GLfloat *value)
{
    UNUSED_PARAMETER(texCoordSet);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(value);
    Warning( "glGetPathTexGenfvNV", " not available." );
  }

  static void REGAL_CALL glGetPathTexGenivNV(GLenum texCoordSet, GLenum pname, GLint *value)
{
    UNUSED_PARAMETER(texCoordSet);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(value);
    Warning( "glGetPathTexGenivNV", " not available." );
  }

  static void REGAL_CALL glInterpolatePathsNV(GLuint resultPath, GLuint pathA, GLuint pathB, GLfloat weight)
{
    UNUSED_PARAMETER(resultPath);
    UNUSED_PARAMETER(pathA);
    UNUSED_PARAMETER(pathB);
    UNUSED_PARAMETER(weight);
    Warning( "glInterpolatePathsNV", " not available." );
  }

  static GLboolean REGAL_CALL glIsPathNV(GLuint path)
{
    UNUSED_PARAMETER(path);
    Warning( "glIsPathNV", " not available." );
    return GL_FALSE;
  }

  static GLboolean REGAL_CALL glIsPointInFillPathNV(GLuint path, GLuint mask, GLfloat x, GLfloat y)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(mask);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glIsPointInFillPathNV", " not available." );
    return GL_FALSE;
  }

  static GLboolean REGAL_CALL glIsPointInStrokePathNV(GLuint path, GLfloat x, GLfloat y)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glIsPointInStrokePathNV", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glPathColorGenNV(GLenum color, GLenum genMode, GLenum colorFormat, const GLfloat *coeffs)
{
    UNUSED_PARAMETER(color);
    UNUSED_PARAMETER(genMode);
    UNUSED_PARAMETER(colorFormat);
    UNUSED_PARAMETER(coeffs);
    Warning( "glPathColorGenNV", " not available." );
  }

  static void REGAL_CALL glPathCommandsNV(GLuint path, GLsizei numCommands, const GLubyte *commands, GLsizei numCoords, GLenum coordType, const GLvoid *coords)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(numCommands);
    UNUSED_PARAMETER(commands);
    UNUSED_PARAMETER(numCoords);
    UNUSED_PARAMETER(coordType);
    UNUSED_PARAMETER(coords);
    Warning( "glPathCommandsNV", " not available." );
  }

  static void REGAL_CALL glPathCoordsNV(GLuint path, GLsizei numCoords, GLenum coordType, const GLvoid *coords)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(numCoords);
    UNUSED_PARAMETER(coordType);
    UNUSED_PARAMETER(coords);
    Warning( "glPathCoordsNV", " not available." );
  }

  static void REGAL_CALL glPathCoverDepthFuncNV(GLenum func)
{
    UNUSED_PARAMETER(func);
    Warning( "glPathCoverDepthFuncNV", " not available." );
  }

  static void REGAL_CALL glPathDashArrayNV(GLuint path, GLsizei dashCount, const GLfloat *dashArray)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(dashCount);
    UNUSED_PARAMETER(dashArray);
    Warning( "glPathDashArrayNV", " not available." );
  }

  static void REGAL_CALL glPathFogGenNV(GLenum genMode)
{
    UNUSED_PARAMETER(genMode);
    Warning( "glPathFogGenNV", " not available." );
  }

  static void REGAL_CALL glPathGlyphRangeNV(GLuint firstPathName, GLenum fontTarget, const GLvoid *fontName, GLbitfield fontStyle, GLuint firstGlyph, GLsizei numGlyphs, GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale)
{
    UNUSED_PARAMETER(firstPathName);
    UNUSED_PARAMETER(fontTarget);
    UNUSED_PARAMETER(fontName);
    UNUSED_PARAMETER(fontStyle);
    UNUSED_PARAMETER(firstGlyph);
    UNUSED_PARAMETER(numGlyphs);
    UNUSED_PARAMETER(handleMissingGlyphs);
    UNUSED_PARAMETER(pathParameterTemplate);
    UNUSED_PARAMETER(emScale);
    Warning( "glPathGlyphRangeNV", " not available." );
  }

  static void REGAL_CALL glPathGlyphsNV(GLuint firstPathName, GLenum fontTarget, const GLvoid *fontName, GLbitfield fontStyle, GLsizei numGlyphs, GLenum type, const GLvoid *charcodes, GLenum handleMissingGlyphs, GLuint pathParameterTemplate, GLfloat emScale)
{
    UNUSED_PARAMETER(firstPathName);
    UNUSED_PARAMETER(fontTarget);
    UNUSED_PARAMETER(fontName);
    UNUSED_PARAMETER(fontStyle);
    UNUSED_PARAMETER(numGlyphs);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(charcodes);
    UNUSED_PARAMETER(handleMissingGlyphs);
    UNUSED_PARAMETER(pathParameterTemplate);
    UNUSED_PARAMETER(emScale);
    Warning( "glPathGlyphsNV", " not available." );
  }

  static void REGAL_CALL glPathParameterfNV(GLuint path, GLenum pname, GLfloat value)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(value);
    Warning( "glPathParameterfNV", " not available." );
  }

  static void REGAL_CALL glPathParameterfvNV(GLuint path, GLenum pname, const GLfloat *value)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(value);
    Warning( "glPathParameterfvNV", " not available." );
  }

  static void REGAL_CALL glPathParameteriNV(GLuint path, GLenum pname, GLint value)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(value);
    Warning( "glPathParameteriNV", " not available." );
  }

  static void REGAL_CALL glPathParameterivNV(GLuint path, GLenum pname, const GLint *value)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(value);
    Warning( "glPathParameterivNV", " not available." );
  }

  static void REGAL_CALL glPathStencilDepthOffsetNV(GLfloat factor, GLfloat units)
{
    UNUSED_PARAMETER(factor);
    UNUSED_PARAMETER(units);
    Warning( "glPathStencilDepthOffsetNV", " not available." );
  }

  static void REGAL_CALL glPathStencilFuncNV(GLenum func, GLint ref, GLuint mask)
{
    UNUSED_PARAMETER(func);
    UNUSED_PARAMETER(ref);
    UNUSED_PARAMETER(mask);
    Warning( "glPathStencilFuncNV", " not available." );
  }

  static void REGAL_CALL glPathStringNV(GLuint path, GLenum format, GLsizei length, const GLvoid *pathString)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(pathString);
    Warning( "glPathStringNV", " not available." );
  }

  static void REGAL_CALL glPathSubCommandsNV(GLuint path, GLsizei commandStart, GLsizei commandsToDelete, GLsizei numCommands, const GLubyte *commands, GLsizei numCoords, GLenum coordType, const GLvoid *coords)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(commandStart);
    UNUSED_PARAMETER(commandsToDelete);
    UNUSED_PARAMETER(numCommands);
    UNUSED_PARAMETER(commands);
    UNUSED_PARAMETER(numCoords);
    UNUSED_PARAMETER(coordType);
    UNUSED_PARAMETER(coords);
    Warning( "glPathSubCommandsNV", " not available." );
  }

  static void REGAL_CALL glPathSubCoordsNV(GLuint path, GLsizei coordStart, GLsizei numCoords, GLenum coordType, const GLvoid *coords)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(coordStart);
    UNUSED_PARAMETER(numCoords);
    UNUSED_PARAMETER(coordType);
    UNUSED_PARAMETER(coords);
    Warning( "glPathSubCoordsNV", " not available." );
  }

  static void REGAL_CALL glPathTexGenNV(GLenum texCoordSet, GLenum genMode, GLint components, const GLfloat *coeffs)
{
    UNUSED_PARAMETER(texCoordSet);
    UNUSED_PARAMETER(genMode);
    UNUSED_PARAMETER(components);
    UNUSED_PARAMETER(coeffs);
    Warning( "glPathTexGenNV", " not available." );
  }

  static GLboolean REGAL_CALL glPointAlongPathNV(GLuint path, GLsizei startSegment, GLsizei numSegments, GLfloat distance, GLfloat *x, GLfloat *y, GLfloat *tangentX, GLfloat *tangentY)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(startSegment);
    UNUSED_PARAMETER(numSegments);
    UNUSED_PARAMETER(distance);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(tangentX);
    UNUSED_PARAMETER(tangentY);
    Warning( "glPointAlongPathNV", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glStencilFillPathInstancedNV(GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLenum fillMode, GLuint mask, GLenum transformType, const GLfloat *transformValues)
{
    UNUSED_PARAMETER(numPaths);
    UNUSED_PARAMETER(pathNameType);
    UNUSED_PARAMETER(paths);
    UNUSED_PARAMETER(pathBase);
    UNUSED_PARAMETER(fillMode);
    UNUSED_PARAMETER(mask);
    UNUSED_PARAMETER(transformType);
    UNUSED_PARAMETER(transformValues);
    Warning( "glStencilFillPathInstancedNV", " not available." );
  }

  static void REGAL_CALL glStencilFillPathNV(GLuint path, GLenum fillMode, GLuint mask)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(fillMode);
    UNUSED_PARAMETER(mask);
    Warning( "glStencilFillPathNV", " not available." );
  }

  static void REGAL_CALL glStencilStrokePathInstancedNV(GLsizei numPaths, GLenum pathNameType, const GLvoid *paths, GLuint pathBase, GLint reference, GLuint mask, GLenum transformType, const GLfloat *transformValues)
{
    UNUSED_PARAMETER(numPaths);
    UNUSED_PARAMETER(pathNameType);
    UNUSED_PARAMETER(paths);
    UNUSED_PARAMETER(pathBase);
    UNUSED_PARAMETER(reference);
    UNUSED_PARAMETER(mask);
    UNUSED_PARAMETER(transformType);
    UNUSED_PARAMETER(transformValues);
    Warning( "glStencilStrokePathInstancedNV", " not available." );
  }

  static void REGAL_CALL glStencilStrokePathNV(GLuint path, GLint reference, GLuint mask)
{
    UNUSED_PARAMETER(path);
    UNUSED_PARAMETER(reference);
    UNUSED_PARAMETER(mask);
    Warning( "glStencilStrokePathNV", " not available." );
  }

  static void REGAL_CALL glTransformPathNV(GLuint resultPath, GLuint srcPath, GLenum transformType, const GLfloat *transformValues)
{
    UNUSED_PARAMETER(resultPath);
    UNUSED_PARAMETER(srcPath);
    UNUSED_PARAMETER(transformType);
    UNUSED_PARAMETER(transformValues);
    Warning( "glTransformPathNV", " not available." );
  }

  static void REGAL_CALL glWeightPathsNV(GLuint resultPath, GLsizei numPaths, const GLuint *paths, const GLfloat *weights)
{
    UNUSED_PARAMETER(resultPath);
    UNUSED_PARAMETER(numPaths);
    UNUSED_PARAMETER(paths);
    UNUSED_PARAMETER(weights);
    Warning( "glWeightPathsNV", " not available." );
  }

// GL_NV_pixel_data_range

  static void REGAL_CALL glFlushPixelDataRangeNV(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glFlushPixelDataRangeNV", " not available." );
  }

  static void REGAL_CALL glPixelDataRangeNV(GLenum target, GLsizei length, const GLvoid *pointer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(pointer);
    Warning( "glPixelDataRangeNV", " not available." );
  }

// GL_NV_point_sprite

  static void REGAL_CALL glPointParameteriNV(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPointParameteriNV", " not available." );
  }

  static void REGAL_CALL glPointParameterivNV(GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glPointParameterivNV", " not available." );
  }

// GL_NV_present_video

  static void REGAL_CALL glGetVideoi64vNV(GLuint video_slot, GLenum pname, GLint64EXT *params)
{
    UNUSED_PARAMETER(video_slot);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVideoi64vNV", " not available." );
  }

  static void REGAL_CALL glGetVideoivNV(GLuint video_slot, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(video_slot);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVideoivNV", " not available." );
  }

  static void REGAL_CALL glGetVideoui64vNV(GLuint video_slot, GLenum pname, GLuint64EXT *params)
{
    UNUSED_PARAMETER(video_slot);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVideoui64vNV", " not available." );
  }

  static void REGAL_CALL glGetVideouivNV(GLuint video_slot, GLenum pname, GLuint *params)
{
    UNUSED_PARAMETER(video_slot);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVideouivNV", " not available." );
  }

  static void REGAL_CALL glPresentFrameDualFillNV(GLuint video_slot, GLuint64EXT minPresentTime, GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0, GLuint fill0, GLenum target1, GLuint fill1, GLenum target2, GLuint fill2, GLenum target3, GLuint fill3)
{
    UNUSED_PARAMETER(video_slot);
    UNUSED_PARAMETER(minPresentTime);
    UNUSED_PARAMETER(beginPresentTimeId);
    UNUSED_PARAMETER(presentDurationId);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(target0);
    UNUSED_PARAMETER(fill0);
    UNUSED_PARAMETER(target1);
    UNUSED_PARAMETER(fill1);
    UNUSED_PARAMETER(target2);
    UNUSED_PARAMETER(fill2);
    UNUSED_PARAMETER(target3);
    UNUSED_PARAMETER(fill3);
    Warning( "glPresentFrameDualFillNV", " not available." );
  }

  static void REGAL_CALL glPresentFrameKeyedNV(GLuint video_slot, GLuint64EXT minPresentTime, GLuint beginPresentTimeId, GLuint presentDurationId, GLenum type, GLenum target0, GLuint fill0, GLuint key0, GLenum target1, GLuint fill1, GLuint key1)
{
    UNUSED_PARAMETER(video_slot);
    UNUSED_PARAMETER(minPresentTime);
    UNUSED_PARAMETER(beginPresentTimeId);
    UNUSED_PARAMETER(presentDurationId);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(target0);
    UNUSED_PARAMETER(fill0);
    UNUSED_PARAMETER(key0);
    UNUSED_PARAMETER(target1);
    UNUSED_PARAMETER(fill1);
    UNUSED_PARAMETER(key1);
    Warning( "glPresentFrameKeyedNV", " not available." );
  }

// GL_NV_primitive_restart

  static void REGAL_CALL glPrimitiveRestartIndexNV(GLuint index)
{
    UNUSED_PARAMETER(index);
    Warning( "glPrimitiveRestartIndexNV", " not available." );
  }

  static void REGAL_CALL glPrimitiveRestartNV(void)
{
    Warning( "glPrimitiveRestartNV", " not available." );
  }

// GL_NV_read_buffer

  static void REGAL_CALL glReadBufferNV(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glReadBufferNV", " not available." );
  }

// GL_NV_register_combiners

  static void REGAL_CALL glCombinerInputNV(GLenum stage, GLenum portion, GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage)
{
    UNUSED_PARAMETER(stage);
    UNUSED_PARAMETER(portion);
    UNUSED_PARAMETER(variable);
    UNUSED_PARAMETER(input);
    UNUSED_PARAMETER(mapping);
    UNUSED_PARAMETER(componentUsage);
    Warning( "glCombinerInputNV", " not available." );
  }

  static void REGAL_CALL glCombinerOutputNV(GLenum stage, GLenum portion, GLenum abOutput, GLenum cdOutput, GLenum sumOutput, GLenum scale, GLenum bias, GLboolean abDotProduct, GLboolean cdDotProduct, GLboolean muxSum)
{
    UNUSED_PARAMETER(stage);
    UNUSED_PARAMETER(portion);
    UNUSED_PARAMETER(abOutput);
    UNUSED_PARAMETER(cdOutput);
    UNUSED_PARAMETER(sumOutput);
    UNUSED_PARAMETER(scale);
    UNUSED_PARAMETER(bias);
    UNUSED_PARAMETER(abDotProduct);
    UNUSED_PARAMETER(cdDotProduct);
    UNUSED_PARAMETER(muxSum);
    Warning( "glCombinerOutputNV", " not available." );
  }

  static void REGAL_CALL glCombinerParameterfNV(GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glCombinerParameterfNV", " not available." );
  }

  static void REGAL_CALL glCombinerParameterfvNV(GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glCombinerParameterfvNV", " not available." );
  }

  static void REGAL_CALL glCombinerParameteriNV(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glCombinerParameteriNV", " not available." );
  }

  static void REGAL_CALL glCombinerParameterivNV(GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glCombinerParameterivNV", " not available." );
  }

  static void REGAL_CALL glFinalCombinerInputNV(GLenum variable, GLenum input, GLenum mapping, GLenum componentUsage)
{
    UNUSED_PARAMETER(variable);
    UNUSED_PARAMETER(input);
    UNUSED_PARAMETER(mapping);
    UNUSED_PARAMETER(componentUsage);
    Warning( "glFinalCombinerInputNV", " not available." );
  }

  static void REGAL_CALL glGetCombinerInputParameterfvNV(GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(stage);
    UNUSED_PARAMETER(portion);
    UNUSED_PARAMETER(variable);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetCombinerInputParameterfvNV", " not available." );
  }

  static void REGAL_CALL glGetCombinerInputParameterivNV(GLenum stage, GLenum portion, GLenum variable, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(stage);
    UNUSED_PARAMETER(portion);
    UNUSED_PARAMETER(variable);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetCombinerInputParameterivNV", " not available." );
  }

  static void REGAL_CALL glGetCombinerOutputParameterfvNV(GLenum stage, GLenum portion, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(stage);
    UNUSED_PARAMETER(portion);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetCombinerOutputParameterfvNV", " not available." );
  }

  static void REGAL_CALL glGetCombinerOutputParameterivNV(GLenum stage, GLenum portion, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(stage);
    UNUSED_PARAMETER(portion);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetCombinerOutputParameterivNV", " not available." );
  }

  static void REGAL_CALL glGetFinalCombinerInputParameterfvNV(GLenum variable, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(variable);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFinalCombinerInputParameterfvNV", " not available." );
  }

  static void REGAL_CALL glGetFinalCombinerInputParameterivNV(GLenum variable, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(variable);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFinalCombinerInputParameterivNV", " not available." );
  }

// GL_NV_register_combiners2

  static void REGAL_CALL glCombinerStageParameterfvNV(GLenum stage, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(stage);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glCombinerStageParameterfvNV", " not available." );
  }

  static void REGAL_CALL glGetCombinerStageParameterfvNV(GLenum stage, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(stage);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetCombinerStageParameterfvNV", " not available." );
  }

// GL_NV_shader_buffer_load

  static void REGAL_CALL glGetBufferParameterui64vNV(GLenum target, GLenum pname, GLuint64EXT *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetBufferParameterui64vNV", " not available." );
  }

  static void REGAL_CALL glGetIntegerui64vNV(GLenum value, GLuint64EXT *result)
{
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(result);
    Warning( "glGetIntegerui64vNV", " not available." );
  }

  static void REGAL_CALL glGetNamedBufferParameterui64vNV(GLuint buffer, GLenum pname, GLuint64EXT *params)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetNamedBufferParameterui64vNV", " not available." );
  }

  static void REGAL_CALL glGetUniformui64vNV(GLuint program, GLint location, GLuint64EXT *params)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(params);
    Warning( "glGetUniformui64vNV", " not available." );
  }

  static GLboolean REGAL_CALL glIsBufferResidentNV(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glIsBufferResidentNV", " not available." );
    return GL_FALSE;
  }

  static GLboolean REGAL_CALL glIsNamedBufferResidentNV(GLuint buffer)
{
    UNUSED_PARAMETER(buffer);
    Warning( "glIsNamedBufferResidentNV", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glMakeBufferNonResidentNV(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glMakeBufferNonResidentNV", " not available." );
  }

  static void REGAL_CALL glMakeBufferResidentNV(GLenum target, GLenum access)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(access);
    Warning( "glMakeBufferResidentNV", " not available." );
  }

  static void REGAL_CALL glMakeNamedBufferNonResidentNV(GLuint buffer)
{
    UNUSED_PARAMETER(buffer);
    Warning( "glMakeNamedBufferNonResidentNV", " not available." );
  }

  static void REGAL_CALL glMakeNamedBufferResidentNV(GLuint buffer, GLenum access)
{
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(access);
    Warning( "glMakeNamedBufferResidentNV", " not available." );
  }

  static void REGAL_CALL glProgramUniformui64NV(GLuint program, GLint location, GLuint64EXT value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformui64NV", " not available." );
  }

  static void REGAL_CALL glProgramUniformui64vNV(GLuint program, GLint location, GLsizei count, const GLuint64EXT *value)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glProgramUniformui64vNV", " not available." );
  }

  static void REGAL_CALL glUniformui64NV(GLint location, GLuint64EXT value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(value);
    Warning( "glUniformui64NV", " not available." );
  }

  static void REGAL_CALL glUniformui64vNV(GLint location, GLsizei count, const GLuint64EXT *value)
{
    UNUSED_PARAMETER(location);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(value);
    Warning( "glUniformui64vNV", " not available." );
  }

// GL_NV_texture_barrier

  static void REGAL_CALL glTextureBarrierNV(void)
{
    Warning( "glTextureBarrierNV", " not available." );
  }

// GL_NV_texture_multisample

  static void REGAL_CALL glTexImage2DMultisampleCoverageNV(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(coverageSamples);
    UNUSED_PARAMETER(colorSamples);
    UNUSED_PARAMETER(internalFormat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(fixedSampleLocations);
    Warning( "glTexImage2DMultisampleCoverageNV", " not available." );
  }

  static void REGAL_CALL glTexImage3DMultisampleCoverageNV(GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(coverageSamples);
    UNUSED_PARAMETER(colorSamples);
    UNUSED_PARAMETER(internalFormat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(fixedSampleLocations);
    Warning( "glTexImage3DMultisampleCoverageNV", " not available." );
  }

  static void REGAL_CALL glTextureImage2DMultisampleCoverageNV(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(coverageSamples);
    UNUSED_PARAMETER(colorSamples);
    UNUSED_PARAMETER(internalFormat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(fixedSampleLocations);
    Warning( "glTextureImage2DMultisampleCoverageNV", " not available." );
  }

  static void REGAL_CALL glTextureImage2DMultisampleNV(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLboolean fixedSampleLocations)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalFormat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(fixedSampleLocations);
    Warning( "glTextureImage2DMultisampleNV", " not available." );
  }

  static void REGAL_CALL glTextureImage3DMultisampleCoverageNV(GLuint texture, GLenum target, GLsizei coverageSamples, GLsizei colorSamples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(coverageSamples);
    UNUSED_PARAMETER(colorSamples);
    UNUSED_PARAMETER(internalFormat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(fixedSampleLocations);
    Warning( "glTextureImage3DMultisampleCoverageNV", " not available." );
  }

  static void REGAL_CALL glTextureImage3DMultisampleNV(GLuint texture, GLenum target, GLsizei samples, GLint internalFormat, GLsizei width, GLsizei height, GLsizei depth, GLboolean fixedSampleLocations)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(samples);
    UNUSED_PARAMETER(internalFormat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(fixedSampleLocations);
    Warning( "glTextureImage3DMultisampleNV", " not available." );
  }

// GL_NV_transform_feedback

  static void REGAL_CALL glActiveVaryingNV(GLuint program, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(name);
    Warning( "glActiveVaryingNV", " not available." );
  }

  static void REGAL_CALL glBeginTransformFeedbackNV(GLenum primitiveMode)
{
    UNUSED_PARAMETER(primitiveMode);
    Warning( "glBeginTransformFeedbackNV", " not available." );
  }

  static void REGAL_CALL glBindBufferBaseNV(GLenum target, GLuint index, GLuint buffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(buffer);
    Warning( "glBindBufferBaseNV", " not available." );
  }

  static void REGAL_CALL glBindBufferOffsetNV(GLenum target, GLuint index, GLuint buffer, GLintptr offset)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    Warning( "glBindBufferOffsetNV", " not available." );
  }

  static void REGAL_CALL glBindBufferRangeNV(GLenum target, GLuint index, GLuint buffer, GLintptr offset, GLsizeiptr size)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(offset);
    UNUSED_PARAMETER(size);
    Warning( "glBindBufferRangeNV", " not available." );
  }

  static void REGAL_CALL glEndTransformFeedbackNV(void)
{
    Warning( "glEndTransformFeedbackNV", " not available." );
  }

  static void REGAL_CALL glGetActiveVaryingNV(GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLsizei *size, GLenum *type, GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(name);
    Warning( "glGetActiveVaryingNV", " not available." );
  }

  static void REGAL_CALL glGetTransformFeedbackVaryingNV(GLuint program, GLuint index, GLint *location)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(location);
    Warning( "glGetTransformFeedbackVaryingNV", " not available." );
  }

  static GLint REGAL_CALL glGetVaryingLocationNV(GLuint program, const GLchar *name)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(name);
    Warning( "glGetVaryingLocationNV", " not available." );
    return 0;
  }

  static void REGAL_CALL glTransformFeedbackAttribsNV(GLsizei count, const GLint *attribs, GLenum bufferMode)
{
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(attribs);
    UNUSED_PARAMETER(bufferMode);
    Warning( "glTransformFeedbackAttribsNV", " not available." );
  }

  static void REGAL_CALL glTransformFeedbackVaryingsNV(GLuint program, GLsizei count, const GLint *locations, GLenum bufferMode)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(locations);
    UNUSED_PARAMETER(bufferMode);
    Warning( "glTransformFeedbackVaryingsNV", " not available." );
  }

// GL_NV_transform_feedback2

  static void REGAL_CALL glBindTransformFeedbackNV(GLenum target, GLuint id)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(id);
    Warning( "glBindTransformFeedbackNV", " not available." );
  }

  static void REGAL_CALL glDeleteTransformFeedbacksNV(GLsizei n, const GLuint *ids)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glDeleteTransformFeedbacksNV", " not available." );
  }

  static void REGAL_CALL glDrawTransformFeedbackNV(GLenum mode, GLuint id)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(id);
    Warning( "glDrawTransformFeedbackNV", " not available." );
  }

  static void REGAL_CALL glGenTransformFeedbacksNV(GLsizei n, GLuint *ids)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ids);
    Warning( "glGenTransformFeedbacksNV", " not available." );
  }

  static GLboolean REGAL_CALL glIsTransformFeedbackNV(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glIsTransformFeedbackNV", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glPauseTransformFeedbackNV(void)
{
    Warning( "glPauseTransformFeedbackNV", " not available." );
  }

  static void REGAL_CALL glResumeTransformFeedbackNV(void)
{
    Warning( "glResumeTransformFeedbackNV", " not available." );
  }

// GL_NV_vdpau_interop

  static void REGAL_CALL glVDPAUFiniNV(void)
{
    Warning( "glVDPAUFiniNV", " not available." );
  }

  static void REGAL_CALL glVDPAUGetSurfaceivNV(GLvdpauSurfaceNV surface, GLenum pname, GLsizei bufSize, GLsizei *length, GLint *values)
{
    UNUSED_PARAMETER(surface);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(values);
    Warning( "glVDPAUGetSurfaceivNV", " not available." );
  }

  static void REGAL_CALL glVDPAUInitNV(const GLvoid *vdpDevice, const GLvoid *getProcAddress)
{
    UNUSED_PARAMETER(vdpDevice);
    UNUSED_PARAMETER(getProcAddress);
    Warning( "glVDPAUInitNV", " not available." );
  }

  static GLboolean REGAL_CALL glVDPAUIsSurfaceNV(GLvdpauSurfaceNV surface)
{
    UNUSED_PARAMETER(surface);
    Warning( "glVDPAUIsSurfaceNV", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glVDPAUMapSurfacesNV(GLsizei numSurfaces, const GLvdpauSurfaceNV *surfaces)
{
    UNUSED_PARAMETER(numSurfaces);
    UNUSED_PARAMETER(surfaces);
    Warning( "glVDPAUMapSurfacesNV", " not available." );
  }

  static GLvdpauSurfaceNV REGAL_CALL glVDPAURegisterOutputSurfaceNV(const GLvoid *vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint *textureNames)
{
    UNUSED_PARAMETER(vdpSurface);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(numTextureNames);
    UNUSED_PARAMETER(textureNames);
    Warning( "glVDPAURegisterOutputSurfaceNV", " not available." );
    return 0;
  }

  static GLvdpauSurfaceNV REGAL_CALL glVDPAURegisterVideoSurfaceNV(const GLvoid *vdpSurface, GLenum target, GLsizei numTextureNames, const GLuint *textureNames)
{
    UNUSED_PARAMETER(vdpSurface);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(numTextureNames);
    UNUSED_PARAMETER(textureNames);
    Warning( "glVDPAURegisterVideoSurfaceNV", " not available." );
    return 0;
  }

  static void REGAL_CALL glVDPAUSurfaceAccessNV(GLvdpauSurfaceNV surface, GLenum access)
{
    UNUSED_PARAMETER(surface);
    UNUSED_PARAMETER(access);
    Warning( "glVDPAUSurfaceAccessNV", " not available." );
  }

  static void REGAL_CALL glVDPAUUnmapSurfacesNV(GLsizei numSurface, const GLvdpauSurfaceNV *surfaces)
{
    UNUSED_PARAMETER(numSurface);
    UNUSED_PARAMETER(surfaces);
    Warning( "glVDPAUUnmapSurfacesNV", " not available." );
  }

  static void REGAL_CALL glVDPAUUnregisterSurfaceNV(GLvdpauSurfaceNV surface)
{
    UNUSED_PARAMETER(surface);
    Warning( "glVDPAUUnregisterSurfaceNV", " not available." );
  }

// GL_NV_vertex_array_range

  static void REGAL_CALL glFlushVertexArrayRangeNV(void)
{
    Warning( "glFlushVertexArrayRangeNV", " not available." );
  }

  static void REGAL_CALL glVertexArrayRangeNV(GLsizei length, const GLvoid *pointer)
{
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(pointer);
    Warning( "glVertexArrayRangeNV", " not available." );
  }

// GL_NV_vertex_attrib_integer_64bit

  static void REGAL_CALL glGetVertexAttribLi64vNV(GLuint index, GLenum pname, GLint64EXT *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribLi64vNV", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribLui64vNV(GLuint index, GLenum pname, GLuint64EXT *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribLui64vNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL1i64NV(GLuint index, GLint64EXT x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttribL1i64NV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL1i64vNV(GLuint index, const GLint64EXT *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL1i64vNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL1ui64NV(GLuint index, GLuint64EXT x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttribL1ui64NV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL1ui64vNV(GLuint index, const GLuint64EXT *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL1ui64vNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL2i64NV(GLuint index, GLint64EXT x, GLint64EXT y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttribL2i64NV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL2i64vNV(GLuint index, const GLint64EXT *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL2i64vNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL2ui64NV(GLuint index, GLuint64EXT x, GLuint64EXT y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttribL2ui64NV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL2ui64vNV(GLuint index, const GLuint64EXT *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL2ui64vNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL3i64NV(GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttribL3i64NV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL3i64vNV(GLuint index, const GLint64EXT *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL3i64vNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL3ui64NV(GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttribL3ui64NV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL3ui64vNV(GLuint index, const GLuint64EXT *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL3ui64vNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL4i64NV(GLuint index, GLint64EXT x, GLint64EXT y, GLint64EXT z, GLint64EXT w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttribL4i64NV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL4i64vNV(GLuint index, const GLint64EXT *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL4i64vNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL4ui64NV(GLuint index, GLuint64EXT x, GLuint64EXT y, GLuint64EXT z, GLuint64EXT w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttribL4ui64NV", " not available." );
  }

  static void REGAL_CALL glVertexAttribL4ui64vNV(GLuint index, const GLuint64EXT *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribL4ui64vNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribLFormatNV(GLuint index, GLint size, GLenum type, GLsizei stride)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    Warning( "glVertexAttribLFormatNV", " not available." );
  }

// GL_NV_vertex_buffer_unified_memory

  static void REGAL_CALL glBufferAddressRangeNV(GLenum pname, GLuint index, GLuint64EXT address, GLsizeiptr length)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(address);
    UNUSED_PARAMETER(length);
    Warning( "glBufferAddressRangeNV", " not available." );
  }

  static void REGAL_CALL glColorFormatNV(GLint size, GLenum type, GLsizei stride)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    Warning( "glColorFormatNV", " not available." );
  }

  static void REGAL_CALL glEdgeFlagFormatNV(GLsizei stride)
{
    UNUSED_PARAMETER(stride);
    Warning( "glEdgeFlagFormatNV", " not available." );
  }

  static void REGAL_CALL glFogCoordFormatNV(GLenum type, GLsizei stride)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    Warning( "glFogCoordFormatNV", " not available." );
  }

  static void REGAL_CALL glGetIntegerui64i_vNV(GLenum value, GLuint index, GLuint64EXT *result)
{
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(result);
    Warning( "glGetIntegerui64i_vNV", " not available." );
  }

  static void REGAL_CALL glIndexFormatNV(GLenum type, GLsizei stride)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    Warning( "glIndexFormatNV", " not available." );
  }

  static void REGAL_CALL glNormalFormatNV(GLenum type, GLsizei stride)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    Warning( "glNormalFormatNV", " not available." );
  }

  static void REGAL_CALL glSecondaryColorFormatNV(GLint size, GLenum type, GLsizei stride)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    Warning( "glSecondaryColorFormatNV", " not available." );
  }

  static void REGAL_CALL glTexCoordFormatNV(GLint size, GLenum type, GLsizei stride)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    Warning( "glTexCoordFormatNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribFormatNV(GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(normalized);
    UNUSED_PARAMETER(stride);
    Warning( "glVertexAttribFormatNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribIFormatNV(GLuint index, GLint size, GLenum type, GLsizei stride)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    Warning( "glVertexAttribIFormatNV", " not available." );
  }

  static void REGAL_CALL glVertexFormatNV(GLint size, GLenum type, GLsizei stride)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    Warning( "glVertexFormatNV", " not available." );
  }

// GL_NV_vertex_program

  static GLboolean REGAL_CALL glAreProgramsResidentNV(GLsizei n, const GLuint *programs, GLboolean *residences)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(programs);
    UNUSED_PARAMETER(residences);
    Warning( "glAreProgramsResidentNV", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glBindProgramNV(GLenum target, GLuint id)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(id);
    Warning( "glBindProgramNV", " not available." );
  }

  static void REGAL_CALL glDeleteProgramsNV(GLsizei n, const GLuint *programs)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(programs);
    Warning( "glDeleteProgramsNV", " not available." );
  }

  static void REGAL_CALL glExecuteProgramNV(GLenum target, GLuint id, const GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(params);
    Warning( "glExecuteProgramNV", " not available." );
  }

  static void REGAL_CALL glGenProgramsNV(GLsizei n, GLuint *programs)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(programs);
    Warning( "glGenProgramsNV", " not available." );
  }

  static void REGAL_CALL glGetProgramParameterdvNV(GLenum target, GLuint index, GLenum pname, GLdouble *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramParameterdvNV", " not available." );
  }

  static void REGAL_CALL glGetProgramParameterfvNV(GLenum target, GLuint index, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramParameterfvNV", " not available." );
  }

  static void REGAL_CALL glGetProgramStringNV(GLuint id, GLenum pname, GLubyte *program)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(program);
    Warning( "glGetProgramStringNV", " not available." );
  }

  static void REGAL_CALL glGetProgramivNV(GLuint id, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetProgramivNV", " not available." );
  }

  static void REGAL_CALL glGetTrackMatrixivNV(GLenum target, GLuint address, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(address);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTrackMatrixivNV", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribPointervNV(GLuint index, GLenum pname, GLvoid **pointer)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(pointer);
    Warning( "glGetVertexAttribPointervNV", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribdvNV(GLuint index, GLenum pname, GLdouble *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribdvNV", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribfvNV(GLuint index, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribfvNV", " not available." );
  }

  static void REGAL_CALL glGetVertexAttribivNV(GLuint index, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVertexAttribivNV", " not available." );
  }

  static GLboolean REGAL_CALL glIsProgramNV(GLuint id)
{
    UNUSED_PARAMETER(id);
    Warning( "glIsProgramNV", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glLoadProgramNV(GLenum target, GLuint id, GLsizei len, const GLubyte *program)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(len);
    UNUSED_PARAMETER(program);
    Warning( "glLoadProgramNV", " not available." );
  }

  static void REGAL_CALL glProgramParameter4dNV(GLenum target, GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramParameter4dNV", " not available." );
  }

  static void REGAL_CALL glProgramParameter4dvNV(GLenum target, GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glProgramParameter4dvNV", " not available." );
  }

  static void REGAL_CALL glProgramParameter4fNV(GLenum target, GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glProgramParameter4fNV", " not available." );
  }

  static void REGAL_CALL glProgramParameter4fvNV(GLenum target, GLuint index, const GLfloat *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glProgramParameter4fvNV", " not available." );
  }

  static void REGAL_CALL glProgramParameters4dvNV(GLenum target, GLuint index, GLsizei count, const GLdouble *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glProgramParameters4dvNV", " not available." );
  }

  static void REGAL_CALL glProgramParameters4fvNV(GLenum target, GLuint index, GLsizei count, const GLfloat *v)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glProgramParameters4fvNV", " not available." );
  }

  static void REGAL_CALL glRequestResidentProgramsNV(GLsizei n, const GLuint *programs)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(programs);
    Warning( "glRequestResidentProgramsNV", " not available." );
  }

  static void REGAL_CALL glTrackMatrixNV(GLenum target, GLuint address, GLenum matrix, GLenum transform)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(address);
    UNUSED_PARAMETER(matrix);
    UNUSED_PARAMETER(transform);
    Warning( "glTrackMatrixNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1dNV(GLuint index, GLdouble x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttrib1dNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1dvNV(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib1dvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1fNV(GLuint index, GLfloat x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttrib1fNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1fvNV(GLuint index, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib1fvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1sNV(GLuint index, GLshort x)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    Warning( "glVertexAttrib1sNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib1svNV(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib1svNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2dNV(GLuint index, GLdouble x, GLdouble y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttrib2dNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2dvNV(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib2dvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2fNV(GLuint index, GLfloat x, GLfloat y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttrib2fNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2fvNV(GLuint index, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib2fvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2sNV(GLuint index, GLshort x, GLshort y)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glVertexAttrib2sNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib2svNV(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib2svNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3dNV(GLuint index, GLdouble x, GLdouble y, GLdouble z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttrib3dNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3dvNV(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib3dvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3fNV(GLuint index, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttrib3fNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3fvNV(GLuint index, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib3fvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3sNV(GLuint index, GLshort x, GLshort y, GLshort z)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glVertexAttrib3sNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib3svNV(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib3svNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4dNV(GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttrib4dNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4dvNV(GLuint index, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4dvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4fNV(GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttrib4fNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4fvNV(GLuint index, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4fvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4sNV(GLuint index, GLshort x, GLshort y, GLshort z, GLshort w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttrib4sNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4svNV(GLuint index, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4svNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4ubNV(GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glVertexAttrib4ubNV", " not available." );
  }

  static void REGAL_CALL glVertexAttrib4ubvNV(GLuint index, const GLubyte *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttrib4ubvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribPointerNV(GLuint index, GLint fsize, GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(fsize);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glVertexAttribPointerNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs1dvNV(GLuint index, GLsizei count, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs1dvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs1fvNV(GLuint index, GLsizei count, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs1fvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs1svNV(GLuint index, GLsizei count, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs1svNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs2dvNV(GLuint index, GLsizei count, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs2dvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs2fvNV(GLuint index, GLsizei count, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs2fvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs2svNV(GLuint index, GLsizei count, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs2svNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs3dvNV(GLuint index, GLsizei count, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs3dvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs3fvNV(GLuint index, GLsizei count, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs3fvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs3svNV(GLuint index, GLsizei count, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs3svNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs4dvNV(GLuint index, GLsizei count, const GLdouble *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs4dvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs4fvNV(GLuint index, GLsizei count, const GLfloat *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs4fvNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs4svNV(GLuint index, GLsizei count, const GLshort *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs4svNV", " not available." );
  }

  static void REGAL_CALL glVertexAttribs4ubvNV(GLuint index, GLsizei count, const GLubyte *v)
{
    UNUSED_PARAMETER(index);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(v);
    Warning( "glVertexAttribs4ubvNV", " not available." );
  }

// GL_NV_video_capture

  static void REGAL_CALL glBeginVideoCaptureNV(GLuint video_capture_slot)
{
    UNUSED_PARAMETER(video_capture_slot);
    Warning( "glBeginVideoCaptureNV", " not available." );
  }

  static void REGAL_CALL glBindVideoCaptureStreamBufferNV(GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLintptrARB offset)
{
    UNUSED_PARAMETER(video_capture_slot);
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(frame_region);
    UNUSED_PARAMETER(offset);
    Warning( "glBindVideoCaptureStreamBufferNV", " not available." );
  }

  static void REGAL_CALL glBindVideoCaptureStreamTextureNV(GLuint video_capture_slot, GLuint stream, GLenum frame_region, GLenum target, GLuint texture)
{
    UNUSED_PARAMETER(video_capture_slot);
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(frame_region);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(texture);
    Warning( "glBindVideoCaptureStreamTextureNV", " not available." );
  }

  static void REGAL_CALL glEndVideoCaptureNV(GLuint video_capture_slot)
{
    UNUSED_PARAMETER(video_capture_slot);
    Warning( "glEndVideoCaptureNV", " not available." );
  }

  static void REGAL_CALL glGetVideoCaptureStreamdvNV(GLuint video_capture_slot, GLuint stream, GLenum pname, GLdouble *params)
{
    UNUSED_PARAMETER(video_capture_slot);
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVideoCaptureStreamdvNV", " not available." );
  }

  static void REGAL_CALL glGetVideoCaptureStreamfvNV(GLuint video_capture_slot, GLuint stream, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(video_capture_slot);
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVideoCaptureStreamfvNV", " not available." );
  }

  static void REGAL_CALL glGetVideoCaptureStreamivNV(GLuint video_capture_slot, GLuint stream, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(video_capture_slot);
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVideoCaptureStreamivNV", " not available." );
  }

  static void REGAL_CALL glGetVideoCaptureivNV(GLuint video_capture_slot, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(video_capture_slot);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetVideoCaptureivNV", " not available." );
  }

  static GLenum REGAL_CALL glVideoCaptureNV(GLuint video_capture_slot, GLuint *sequence_num, GLuint64EXT *capture_time)
{
    UNUSED_PARAMETER(video_capture_slot);
    UNUSED_PARAMETER(sequence_num);
    UNUSED_PARAMETER(capture_time);
    Warning( "glVideoCaptureNV", " not available." );
    return 0;
  }

  static void REGAL_CALL glVideoCaptureStreamParameterdvNV(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLdouble *params)
{
    UNUSED_PARAMETER(video_capture_slot);
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glVideoCaptureStreamParameterdvNV", " not available." );
  }

  static void REGAL_CALL glVideoCaptureStreamParameterfvNV(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(video_capture_slot);
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glVideoCaptureStreamParameterfvNV", " not available." );
  }

  static void REGAL_CALL glVideoCaptureStreamParameterivNV(GLuint video_capture_slot, GLuint stream, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(video_capture_slot);
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glVideoCaptureStreamParameterivNV", " not available." );
  }

// GL_OES_blend_equation_separate

  static void REGAL_CALL glBlendEquationSeparateOES(GLenum modeRGB, GLenum modeAlpha)
{
    UNUSED_PARAMETER(modeRGB);
    UNUSED_PARAMETER(modeAlpha);
    Warning( "glBlendEquationSeparateOES", " not available." );
  }

// GL_OES_blend_func_separate

  static void REGAL_CALL glBlendFuncSeparateOES(GLenum srcRGB, GLenum dstRGB, GLenum srcAlpha, GLenum dstAlpha)
{
    UNUSED_PARAMETER(srcRGB);
    UNUSED_PARAMETER(dstRGB);
    UNUSED_PARAMETER(srcAlpha);
    UNUSED_PARAMETER(dstAlpha);
    Warning( "glBlendFuncSeparateOES", " not available." );
  }

// GL_OES_blend_subtract

  static void REGAL_CALL glBlendEquationOES(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glBlendEquationOES", " not available." );
  }

// GL_OES_framebuffer_object

  static void REGAL_CALL glBindFramebufferOES(GLenum target, GLuint framebuffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(framebuffer);
    Warning( "glBindFramebufferOES", " not available." );
  }

  static void REGAL_CALL glBindRenderbufferOES(GLenum target, GLuint renderbuffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(renderbuffer);
    Warning( "glBindRenderbufferOES", " not available." );
  }

  static GLenum REGAL_CALL glCheckFramebufferStatusOES(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glCheckFramebufferStatusOES", " not available." );
    return 0;
  }

  static void REGAL_CALL glDeleteFramebuffersOES(GLsizei n, const GLuint *framebuffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(framebuffers);
    Warning( "glDeleteFramebuffersOES", " not available." );
  }

  static void REGAL_CALL glDeleteRenderbuffersOES(GLsizei n, const GLuint *renderbuffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(renderbuffers);
    Warning( "glDeleteRenderbuffersOES", " not available." );
  }

  static void REGAL_CALL glFramebufferRenderbufferOES(GLenum target, GLenum attachment, GLenum renderbuffertarget, GLuint renderbuffer)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(renderbuffertarget);
    UNUSED_PARAMETER(renderbuffer);
    Warning( "glFramebufferRenderbufferOES", " not available." );
  }

  static void REGAL_CALL glFramebufferTexture2DOES(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(textarget);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    Warning( "glFramebufferTexture2DOES", " not available." );
  }

  static void REGAL_CALL glGenFramebuffersOES(GLsizei n, GLuint *framebuffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(framebuffers);
    Warning( "glGenFramebuffersOES", " not available." );
  }

  static void REGAL_CALL glGenRenderbuffersOES(GLsizei n, GLuint *renderbuffers)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(renderbuffers);
    Warning( "glGenRenderbuffersOES", " not available." );
  }

  static void REGAL_CALL glGenerateMipmapOES(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glGenerateMipmapOES", " not available." );
  }

  static void REGAL_CALL glGetFramebufferAttachmentParameterivOES(GLenum target, GLenum attachment, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFramebufferAttachmentParameterivOES", " not available." );
  }

  static void REGAL_CALL glGetRenderbufferParameterivOES(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetRenderbufferParameterivOES", " not available." );
  }

  static GLboolean REGAL_CALL glIsFramebufferOES(GLuint framebuffer)
{
    UNUSED_PARAMETER(framebuffer);
    Warning( "glIsFramebufferOES", " not available." );
    return GL_FALSE;
  }

  static GLboolean REGAL_CALL glIsRenderbufferOES(GLuint renderbuffer)
{
    UNUSED_PARAMETER(renderbuffer);
    Warning( "glIsRenderbufferOES", " not available." );
    return GL_FALSE;
  }

  static void REGAL_CALL glRenderbufferStorageOES(GLenum target, GLenum internalformat, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glRenderbufferStorageOES", " not available." );
  }

// GL_OES_get_program_binary

  static void REGAL_CALL glGetProgramBinaryOES(GLuint program, GLsizei bufSize, GLsizei *length, GLenum *binaryFormat, GLvoid *binary)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(binaryFormat);
    UNUSED_PARAMETER(binary);
    Warning( "glGetProgramBinaryOES", " not available." );
  }

  static void REGAL_CALL glProgramBinaryOES(GLuint program, GLenum binaryFormat, const GLvoid *binary, GLint length)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(binaryFormat);
    UNUSED_PARAMETER(binary);
    UNUSED_PARAMETER(length);
    Warning( "glProgramBinaryOES", " not available." );
  }

// GL_OES_mapbuffer

  static void REGAL_CALL glGetBufferPointervOES(GLenum target, GLenum pname, GLvoid **params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetBufferPointervOES", " not available." );
  }

  static void *REGAL_CALL glMapBufferOES(GLenum target, GLenum access)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(access);
    Warning( "glMapBufferOES", " not available." );
    return NULL;
  }

  static GLboolean REGAL_CALL glUnmapBufferOES(GLenum target)
{
    UNUSED_PARAMETER(target);
    Warning( "glUnmapBufferOES", " not available." );
    return GL_FALSE;
  }

// GL_OES_matrix_palette

  static void REGAL_CALL glCurrentPaletteMatrixOES(GLuint matrixpaletteindex)
{
    UNUSED_PARAMETER(matrixpaletteindex);
    Warning( "glCurrentPaletteMatrixOES", " not available." );
  }

  static void REGAL_CALL glMatrixIndexPointerOES(GLint size, GLenum type, GLsizei stride, GLvoid *pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glMatrixIndexPointerOES", " not available." );
  }

  static void REGAL_CALL glWeightPointerOES(GLint size, GLenum type, GLsizei stride, GLvoid *pointer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glWeightPointerOES", " not available." );
  }

// GL_OES_single_precision

  static void REGAL_CALL glClearDepthfOES(GLclampd depth)
{
    UNUSED_PARAMETER(depth);
    Warning( "glClearDepthfOES", " not available." );
  }

  static void REGAL_CALL glClipPlanefOES(GLenum plane, const GLfloat *equation)
{
    UNUSED_PARAMETER(plane);
    UNUSED_PARAMETER(equation);
    Warning( "glClipPlanefOES", " not available." );
  }

  static void REGAL_CALL glDepthRangefOES(GLclampf n, GLclampf f)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(f);
    Warning( "glDepthRangefOES", " not available." );
  }

  static void REGAL_CALL glFrustumfOES(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    UNUSED_PARAMETER(l);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(f);
    Warning( "glFrustumfOES", " not available." );
  }

  static void REGAL_CALL glGetClipPlanefOES(GLenum plane, GLfloat *equation)
{
    UNUSED_PARAMETER(plane);
    UNUSED_PARAMETER(equation);
    Warning( "glGetClipPlanefOES", " not available." );
  }

  static void REGAL_CALL glOrthofOES(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    UNUSED_PARAMETER(l);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(f);
    Warning( "glOrthofOES", " not available." );
  }

// GL_OES_texture_3D

  static void REGAL_CALL glCompressedTexImage3DOES(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTexImage3DOES", " not available." );
  }

  static void REGAL_CALL glCompressedTexSubImage3DOES(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid *data)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(imageSize);
    UNUSED_PARAMETER(data);
    Warning( "glCompressedTexSubImage3DOES", " not available." );
  }

  static void REGAL_CALL glCopyTexSubImage3DOES(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glCopyTexSubImage3DOES", " not available." );
  }

  static void REGAL_CALL glFramebufferTexture3DOES(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(attachment);
    UNUSED_PARAMETER(textarget);
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(zoffset);
    Warning( "glFramebufferTexture3DOES", " not available." );
  }

  static void REGAL_CALL glTexImage3DOES(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTexImage3DOES", " not available." );
  }

  static void REGAL_CALL glTexSubImage3DOES(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTexSubImage3DOES", " not available." );
  }

// GL_OES_texture_cube_map

  static void REGAL_CALL glGetTexGenfvOES(GLenum coord, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexGenfvOES", " not available." );
  }

  static void REGAL_CALL glGetTexGenivOES(GLenum coord, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexGenivOES", " not available." );
  }

  static void REGAL_CALL glGetTexGenxvOES(GLenum coord, GLenum pname, GLfixed *params)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexGenxvOES", " not available." );
  }

  static void REGAL_CALL glTexGenfOES(GLenum coord, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTexGenfOES", " not available." );
  }

  static void REGAL_CALL glTexGenfvOES(GLenum coord, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexGenfvOES", " not available." );
  }

  static void REGAL_CALL glTexGeniOES(GLenum coord, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTexGeniOES", " not available." );
  }

  static void REGAL_CALL glTexGenivOES(GLenum coord, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexGenivOES", " not available." );
  }

  static void REGAL_CALL glTexGenxOES(GLenum coord, GLenum pname, GLfixed param)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTexGenxOES", " not available." );
  }

  static void REGAL_CALL glTexGenxvOES(GLenum coord, GLenum pname, const GLfixed *params)
{
    UNUSED_PARAMETER(coord);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexGenxvOES", " not available." );
  }

// GL_OES_vertex_array_object

  static void REGAL_CALL glBindVertexArrayOES(GLuint array)
{
    UNUSED_PARAMETER(array);
    Warning( "glBindVertexArrayOES", " not available." );
  }

  static void REGAL_CALL glDeleteVertexArraysOES(GLsizei n, const GLuint *arrays)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(arrays);
    Warning( "glDeleteVertexArraysOES", " not available." );
  }

  static void REGAL_CALL glGenVertexArraysOES(GLsizei n, GLuint *arrays)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(arrays);
    Warning( "glGenVertexArraysOES", " not available." );
  }

  static GLboolean REGAL_CALL glIsVertexArrayOES(GLuint array)
{
    UNUSED_PARAMETER(array);
    Warning( "glIsVertexArrayOES", " not available." );
    return GL_FALSE;
  }

// GL_PGI_misc_hints

  static void REGAL_CALL glHintPGI(GLenum target, GLint mode)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(mode);
    Warning( "glHintPGI", " not available." );
  }

// GL_QCOM_alpha_test

  static void REGAL_CALL glAlphaFuncQCOM(GLenum func, GLclampf ref)
{
    UNUSED_PARAMETER(func);
    UNUSED_PARAMETER(ref);
    Warning( "glAlphaFuncQCOM", " not available." );
  }

// GL_QCOM_driver_control

  static void REGAL_CALL glDisableDriverControlQCOM(GLuint driverControl)
{
    UNUSED_PARAMETER(driverControl);
    Warning( "glDisableDriverControlQCOM", " not available." );
  }

  static void REGAL_CALL glEnableDriverControlQCOM(GLuint driverControl)
{
    UNUSED_PARAMETER(driverControl);
    Warning( "glEnableDriverControlQCOM", " not available." );
  }

  static void REGAL_CALL glGetDriverControlStringQCOM(GLuint driverControl, GLsizei bufSize, GLsizei *length, GLchar *driverControlString)
{
    UNUSED_PARAMETER(driverControl);
    UNUSED_PARAMETER(bufSize);
    UNUSED_PARAMETER(length);
    UNUSED_PARAMETER(driverControlString);
    Warning( "glGetDriverControlStringQCOM", " not available." );
  }

  static void REGAL_CALL glGetDriverControlsQCOM(GLint *num, GLsizei size, GLuint *driverControls)
{
    UNUSED_PARAMETER(num);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(driverControls);
    Warning( "glGetDriverControlsQCOM", " not available." );
  }

// GL_QCOM_extended_get

  static void REGAL_CALL glExtGetBufferPointervQCOM(GLenum target, GLvoid **params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(params);
    Warning( "glExtGetBufferPointervQCOM", " not available." );
  }

  static void REGAL_CALL glExtGetBuffersQCOM(GLuint *buffers, GLint maxBuffers, GLint *numBuffers)
{
    UNUSED_PARAMETER(buffers);
    UNUSED_PARAMETER(maxBuffers);
    UNUSED_PARAMETER(numBuffers);
    Warning( "glExtGetBuffersQCOM", " not available." );
  }

  static void REGAL_CALL glExtGetFramebuffersQCOM(GLuint *framebuffers, GLint maxFramebuffers, GLint *numFramebuffers)
{
    UNUSED_PARAMETER(framebuffers);
    UNUSED_PARAMETER(maxFramebuffers);
    UNUSED_PARAMETER(numFramebuffers);
    Warning( "glExtGetFramebuffersQCOM", " not available." );
  }

  static void REGAL_CALL glExtGetRenderbuffersQCOM(GLuint *renderbuffers, GLint maxRenderbuffers, GLint *numRenderbuffers)
{
    UNUSED_PARAMETER(renderbuffers);
    UNUSED_PARAMETER(maxRenderbuffers);
    UNUSED_PARAMETER(numRenderbuffers);
    Warning( "glExtGetRenderbuffersQCOM", " not available." );
  }

  static void REGAL_CALL glExtGetTexLevelParameterivQCOM(GLuint texture, GLenum face, GLint level, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glExtGetTexLevelParameterivQCOM", " not available." );
  }

  static void REGAL_CALL glExtGetTexSubImageQCOM(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, GLvoid *texels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(texels);
    Warning( "glExtGetTexSubImageQCOM", " not available." );
  }

  static void REGAL_CALL glExtGetTexturesQCOM(GLuint *textures, GLint maxTextures, GLint *numTextures)
{
    UNUSED_PARAMETER(textures);
    UNUSED_PARAMETER(maxTextures);
    UNUSED_PARAMETER(numTextures);
    Warning( "glExtGetTexturesQCOM", " not available." );
  }

  static void REGAL_CALL glExtTexObjectStateOverrideiQCOM(GLenum target, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glExtTexObjectStateOverrideiQCOM", " not available." );
  }

// GL_QCOM_extended_get2

  static void REGAL_CALL glExtGetProgramBinarySourceQCOM(GLuint program, GLenum shadertype, GLchar *source, GLint *length)
{
    UNUSED_PARAMETER(program);
    UNUSED_PARAMETER(shadertype);
    UNUSED_PARAMETER(source);
    UNUSED_PARAMETER(length);
    Warning( "glExtGetProgramBinarySourceQCOM", " not available." );
  }

  static void REGAL_CALL glExtGetProgramsQCOM(GLuint *programs, GLint maxPrograms, GLint *numPrograms)
{
    UNUSED_PARAMETER(programs);
    UNUSED_PARAMETER(maxPrograms);
    UNUSED_PARAMETER(numPrograms);
    Warning( "glExtGetProgramsQCOM", " not available." );
  }

  static void REGAL_CALL glExtGetShadersQCOM(GLuint *shaders, GLint maxShaders, GLint *numShaders)
{
    UNUSED_PARAMETER(shaders);
    UNUSED_PARAMETER(maxShaders);
    UNUSED_PARAMETER(numShaders);
    Warning( "glExtGetShadersQCOM", " not available." );
  }

  static GLboolean REGAL_CALL glExtIsProgramBinaryQCOM(GLuint program)
{
    UNUSED_PARAMETER(program);
    Warning( "glExtIsProgramBinaryQCOM", " not available." );
    return GL_FALSE;
  }

// GL_QCOM_tiled_rendering

  static void REGAL_CALL glEndTilingQCOM(GLbitfield preserveMask)
{
    UNUSED_PARAMETER(preserveMask);
    Warning( "glEndTilingQCOM", " not available." );
  }

  static void REGAL_CALL glStartTilingQCOM(GLuint x, GLuint y, GLuint width, GLuint height, GLbitfield preserveMask)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(preserveMask);
    Warning( "glStartTilingQCOM", " not available." );
  }

// GL_REGAL_ES1_0_compatibility

  static void REGAL_CALL glAlphaFuncx(GLenum func, GLclampx ref)
{
    UNUSED_PARAMETER(func);
    UNUSED_PARAMETER(ref);
    Warning( "glAlphaFuncx", " not available." );
  }

  static void REGAL_CALL glClearColorx(GLclampx red, GLclampx green, GLclampx blue, GLclampx alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glClearColorx", " not available." );
  }

  static void REGAL_CALL glClearDepthx(GLclampx depth)
{
    UNUSED_PARAMETER(depth);
    Warning( "glClearDepthx", " not available." );
  }

  static void REGAL_CALL glColor4x(GLfixed red, GLfixed green, GLfixed blue, GLfixed alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glColor4x", " not available." );
  }

  static void REGAL_CALL glDepthRangex(GLclampx n, GLclampx f)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(f);
    Warning( "glDepthRangex", " not available." );
  }

  static void REGAL_CALL glFogx(GLenum pname, GLfixed param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFogx", " not available." );
  }

  static void REGAL_CALL glFogxv(GLenum pname, const GLfixed *param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFogxv", " not available." );
  }

  static void REGAL_CALL glFrustumf(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    UNUSED_PARAMETER(l);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(f);
    Warning( "glFrustumf", " not available." );
  }

  static void REGAL_CALL glFrustumx(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
{
    UNUSED_PARAMETER(l);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(f);
    Warning( "glFrustumx", " not available." );
  }

  static void REGAL_CALL glLightModelx(GLenum pname, GLfixed param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glLightModelx", " not available." );
  }

  static void REGAL_CALL glLightModelxv(GLenum pname, const GLfixed *param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glLightModelxv", " not available." );
  }

  static void REGAL_CALL glLightx(GLenum light, GLenum pname, GLfixed param)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glLightx", " not available." );
  }

  static void REGAL_CALL glLightxv(GLenum light, GLenum pname, const GLfixed *params)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glLightxv", " not available." );
  }

  static void REGAL_CALL glLineWidthx(GLfixed width)
{
    UNUSED_PARAMETER(width);
    Warning( "glLineWidthx", " not available." );
  }

  static void REGAL_CALL glLoadMatrixx(const GLfixed *m)
{
    UNUSED_PARAMETER(m);
    Warning( "glLoadMatrixx", " not available." );
  }

  static void REGAL_CALL glMaterialx(GLenum face, GLenum pname, GLfixed param)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glMaterialx", " not available." );
  }

  static void REGAL_CALL glMaterialxv(GLenum face, GLenum pname, const GLfixed *param)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glMaterialxv", " not available." );
  }

  static void REGAL_CALL glMultMatrixx(const GLfixed *m)
{
    UNUSED_PARAMETER(m);
    Warning( "glMultMatrixx", " not available." );
  }

  static void REGAL_CALL glMultiTexCoord4x(GLenum texture, GLfixed s, GLfixed t, GLfixed r, GLfixed q)
{
    UNUSED_PARAMETER(texture);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(q);
    Warning( "glMultiTexCoord4x", " not available." );
  }

  static void REGAL_CALL glNormal3x(GLfixed nx, GLfixed ny, GLfixed nz)
{
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    Warning( "glNormal3x", " not available." );
  }

  static void REGAL_CALL glOrthof(GLfloat l, GLfloat r, GLfloat b, GLfloat t, GLfloat n, GLfloat f)
{
    UNUSED_PARAMETER(l);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(f);
    Warning( "glOrthof", " not available." );
  }

  static void REGAL_CALL glOrthox(GLfixed l, GLfixed r, GLfixed b, GLfixed t, GLfixed n, GLfixed f)
{
    UNUSED_PARAMETER(l);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(f);
    Warning( "glOrthox", " not available." );
  }

  static void REGAL_CALL glPointSizex(GLfixed size)
{
    UNUSED_PARAMETER(size);
    Warning( "glPointSizex", " not available." );
  }

  static void REGAL_CALL glPolygonOffsetx(GLfixed factor, GLfixed units)
{
    UNUSED_PARAMETER(factor);
    UNUSED_PARAMETER(units);
    Warning( "glPolygonOffsetx", " not available." );
  }

  static void REGAL_CALL glRotatex(GLfixed angle, GLfixed x, GLfixed y, GLfixed z)
{
    UNUSED_PARAMETER(angle);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glRotatex", " not available." );
  }

  static void REGAL_CALL glSampleCoveragex(GLclampx value, GLboolean invert)
{
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(invert);
    Warning( "glSampleCoveragex", " not available." );
  }

  static void REGAL_CALL glScalex(GLfixed x, GLfixed y, GLfixed z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glScalex", " not available." );
  }

  static void REGAL_CALL glTexEnvx(GLenum target, GLenum pname, GLfixed param)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTexEnvx", " not available." );
  }

  static void REGAL_CALL glTexEnvxv(GLenum target, GLenum pname, const GLfixed *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexEnvxv", " not available." );
  }

  static void REGAL_CALL glTexParameterx(GLenum target, GLenum pname, GLfixed param)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glTexParameterx", " not available." );
  }

  static void REGAL_CALL glTranslatex(GLfixed x, GLfixed y, GLfixed z)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glTranslatex", " not available." );
  }

// GL_REGAL_ES1_1_compatibility

  static void REGAL_CALL glClipPlanef(GLenum p, const GLfloat *eqn)
{
    UNUSED_PARAMETER(p);
    UNUSED_PARAMETER(eqn);
    Warning( "glClipPlanef", " not available." );
  }

  static void REGAL_CALL glClipPlanex(GLenum plane, const GLfixed *equation)
{
    UNUSED_PARAMETER(plane);
    UNUSED_PARAMETER(equation);
    Warning( "glClipPlanex", " not available." );
  }

  static void REGAL_CALL glGetClipPlanef(GLenum plane, GLfloat *equation)
{
    UNUSED_PARAMETER(plane);
    UNUSED_PARAMETER(equation);
    Warning( "glGetClipPlanef", " not available." );
  }

  static void REGAL_CALL glGetClipPlanex(GLenum plane, GLfixed *equation)
{
    UNUSED_PARAMETER(plane);
    UNUSED_PARAMETER(equation);
    Warning( "glGetClipPlanex", " not available." );
  }

  static void REGAL_CALL glGetFixedv(GLenum pname, GLfixed *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFixedv", " not available." );
  }

  static void REGAL_CALL glGetLightxv(GLenum light, GLenum pname, GLfixed *params)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetLightxv", " not available." );
  }

  static void REGAL_CALL glGetMaterialxv(GLenum face, GLenum pname, GLfixed *params)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetMaterialxv", " not available." );
  }

  static void REGAL_CALL glGetTexEnvxv(GLenum target, GLenum pname, GLfixed *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexEnvxv", " not available." );
  }

  static void REGAL_CALL glGetTexParameterxv(GLenum target, GLenum pname, GLfixed *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetTexParameterxv", " not available." );
  }

  static void REGAL_CALL glPointParameterx(GLenum pname, GLfixed param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPointParameterx", " not available." );
  }

  static void REGAL_CALL glPointParameterxv(GLenum pname, const GLfixed *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glPointParameterxv", " not available." );
  }

  static void REGAL_CALL glPointSizePointerOES(GLenum type, GLsizei stride, const GLvoid *pointer)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glPointSizePointerOES", " not available." );
  }

  static void REGAL_CALL glTexParameterxv(GLenum target, GLenum pname, const GLfixed *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glTexParameterxv", " not available." );
  }

// GL_REGAL_log

  static void REGAL_CALL glLogMessageCallbackREGAL(GLLOGPROCREGAL callback)
{
    UNUSED_PARAMETER(callback);
    Warning( "glLogMessageCallbackREGAL", " not available." );
  }

// GL_SGIS_detail_texture

  static void REGAL_CALL glDetailTexFuncSGIS(GLenum target, GLsizei n, const GLfloat *points)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(points);
    Warning( "glDetailTexFuncSGIS", " not available." );
  }

  static void REGAL_CALL glGetDetailTexFuncSGIS(GLenum target, GLfloat *points)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(points);
    Warning( "glGetDetailTexFuncSGIS", " not available." );
  }

// GL_SGIS_fog_function

  static void REGAL_CALL glFogFuncSGIS(GLsizei n, const GLfloat *points)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(points);
    Warning( "glFogFuncSGIS", " not available." );
  }

  static void REGAL_CALL glGetFogFuncSGIS(GLfloat *points)
{
    UNUSED_PARAMETER(points);
    Warning( "glGetFogFuncSGIS", " not available." );
  }

// GL_SGIS_multisample

  static void REGAL_CALL glSampleMaskSGIS(GLclampf value, GLboolean invert)
{
    UNUSED_PARAMETER(value);
    UNUSED_PARAMETER(invert);
    Warning( "glSampleMaskSGIS", " not available." );
  }

  static void REGAL_CALL glSamplePatternSGIS(GLenum pattern)
{
    UNUSED_PARAMETER(pattern);
    Warning( "glSamplePatternSGIS", " not available." );
  }

// GL_SGIS_pixel_texture

  static void REGAL_CALL glGetPixelTexGenParameterfvSGIS(GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetPixelTexGenParameterfvSGIS", " not available." );
  }

  static void REGAL_CALL glGetPixelTexGenParameterivSGIS(GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetPixelTexGenParameterivSGIS", " not available." );
  }

  static void REGAL_CALL glPixelTexGenParameterfSGIS(GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPixelTexGenParameterfSGIS", " not available." );
  }

  static void REGAL_CALL glPixelTexGenParameterfvSGIS(GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glPixelTexGenParameterfvSGIS", " not available." );
  }

  static void REGAL_CALL glPixelTexGenParameteriSGIS(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPixelTexGenParameteriSGIS", " not available." );
  }

  static void REGAL_CALL glPixelTexGenParameterivSGIS(GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glPixelTexGenParameterivSGIS", " not available." );
  }

// GL_SGIS_point_parameters

  static void REGAL_CALL glPointParameterfSGIS(GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glPointParameterfSGIS", " not available." );
  }

  static void REGAL_CALL glPointParameterfvSGIS(GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glPointParameterfvSGIS", " not available." );
  }

// GL_SGIS_sharpen_texture

  static void REGAL_CALL glGetSharpenTexFuncSGIS(GLenum target, GLfloat *points)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(points);
    Warning( "glGetSharpenTexFuncSGIS", " not available." );
  }

  static void REGAL_CALL glSharpenTexFuncSGIS(GLenum target, GLsizei n, const GLfloat *points)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(points);
    Warning( "glSharpenTexFuncSGIS", " not available." );
  }

// GL_SGIS_texture4D

  static void REGAL_CALL glTexImage4DSGIS(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLsizei size4d, GLint border, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(size4d);
    UNUSED_PARAMETER(border);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTexImage4DSGIS", " not available." );
  }

  static void REGAL_CALL glTexSubImage4DSGIS(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint woffset, GLsizei width, GLsizei height, GLsizei depth, GLsizei size4d, GLenum format, GLenum type, const GLvoid *pixels)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(xoffset);
    UNUSED_PARAMETER(yoffset);
    UNUSED_PARAMETER(zoffset);
    UNUSED_PARAMETER(woffset);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    UNUSED_PARAMETER(size4d);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glTexSubImage4DSGIS", " not available." );
  }

// GL_SGIS_texture_color_mask

  static void REGAL_CALL glTextureColorMaskSGIS(GLboolean red, GLboolean green, GLboolean blue, GLboolean alpha)
{
    UNUSED_PARAMETER(red);
    UNUSED_PARAMETER(green);
    UNUSED_PARAMETER(blue);
    UNUSED_PARAMETER(alpha);
    Warning( "glTextureColorMaskSGIS", " not available." );
  }

// GL_SGIS_texture_filter4

  static void REGAL_CALL glGetTexFilterFuncSGIS(GLenum target, GLenum filter, GLfloat *weights)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(filter);
    UNUSED_PARAMETER(weights);
    Warning( "glGetTexFilterFuncSGIS", " not available." );
  }

  static void REGAL_CALL glTexFilterFuncSGIS(GLenum target, GLenum filter, GLsizei n, const GLfloat *weights)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(filter);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(weights);
    Warning( "glTexFilterFuncSGIS", " not available." );
  }

// GL_SGIX_async

  static void REGAL_CALL glAsyncMarkerSGIX(GLuint marker)
{
    UNUSED_PARAMETER(marker);
    Warning( "glAsyncMarkerSGIX", " not available." );
  }

  static void REGAL_CALL glDeleteAsyncMarkersSGIX(GLuint marker, GLsizei range)
{
    UNUSED_PARAMETER(marker);
    UNUSED_PARAMETER(range);
    Warning( "glDeleteAsyncMarkersSGIX", " not available." );
  }

  static GLint REGAL_CALL glFinishAsyncSGIX(GLuint *markerp)
{
    UNUSED_PARAMETER(markerp);
    Warning( "glFinishAsyncSGIX", " not available." );
    return 0;
  }

  static GLuint REGAL_CALL glGenAsyncMarkersSGIX(GLsizei range)
{
    UNUSED_PARAMETER(range);
    Warning( "glGenAsyncMarkersSGIX", " not available." );
    return 0;
  }

  static GLboolean REGAL_CALL glIsAsyncMarkerSGIX(GLuint marker)
{
    UNUSED_PARAMETER(marker);
    Warning( "glIsAsyncMarkerSGIX", " not available." );
    return GL_FALSE;
  }

  static GLint REGAL_CALL glPollAsyncSGIX(GLuint *markerp)
{
    UNUSED_PARAMETER(markerp);
    Warning( "glPollAsyncSGIX", " not available." );
    return 0;
  }

// GL_SGIX_flush_raster

  static void REGAL_CALL glFlushRasterSGIX(void)
{
    Warning( "glFlushRasterSGIX", " not available." );
  }

// GL_SGIX_fog_texture

  static void REGAL_CALL glTextureFogSGIX(GLenum pname)
{
    UNUSED_PARAMETER(pname);
    Warning( "glTextureFogSGIX", " not available." );
  }

// GL_SGIX_fragment_lighting

  static void REGAL_CALL glFragmentColorMaterialSGIX(GLenum face, GLenum mode)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(mode);
    Warning( "glFragmentColorMaterialSGIX", " not available." );
  }

  static void REGAL_CALL glFragmentLightModelfSGIX(GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFragmentLightModelfSGIX", " not available." );
  }

  static void REGAL_CALL glFragmentLightModelfvSGIX(GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glFragmentLightModelfvSGIX", " not available." );
  }

  static void REGAL_CALL glFragmentLightModeliSGIX(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFragmentLightModeliSGIX", " not available." );
  }

  static void REGAL_CALL glFragmentLightModelivSGIX(GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glFragmentLightModelivSGIX", " not available." );
  }

  static void REGAL_CALL glFragmentLightfSGIX(GLenum light, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFragmentLightfSGIX", " not available." );
  }

  static void REGAL_CALL glFragmentLightfvSGIX(GLenum light, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glFragmentLightfvSGIX", " not available." );
  }

  static void REGAL_CALL glFragmentLightiSGIX(GLenum light, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFragmentLightiSGIX", " not available." );
  }

  static void REGAL_CALL glFragmentLightivSGIX(GLenum light, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glFragmentLightivSGIX", " not available." );
  }

  static void REGAL_CALL glFragmentMaterialfSGIX(GLenum face, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFragmentMaterialfSGIX", " not available." );
  }

  static void REGAL_CALL glFragmentMaterialfvSGIX(GLenum face, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glFragmentMaterialfvSGIX", " not available." );
  }

  static void REGAL_CALL glFragmentMaterialiSGIX(GLenum face, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glFragmentMaterialiSGIX", " not available." );
  }

  static void REGAL_CALL glFragmentMaterialivSGIX(GLenum face, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glFragmentMaterialivSGIX", " not available." );
  }

  static void REGAL_CALL glGetFragmentLightfvSGIX(GLenum light, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFragmentLightfvSGIX", " not available." );
  }

  static void REGAL_CALL glGetFragmentLightivSGIX(GLenum light, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(light);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFragmentLightivSGIX", " not available." );
  }

  static void REGAL_CALL glGetFragmentMaterialfvSGIX(GLenum face, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFragmentMaterialfvSGIX", " not available." );
  }

  static void REGAL_CALL glGetFragmentMaterialivSGIX(GLenum face, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetFragmentMaterialivSGIX", " not available." );
  }

  static void REGAL_CALL glLightEnviSGIX(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glLightEnviSGIX", " not available." );
  }

// GL_SGIX_framezoom

  static void REGAL_CALL glFrameZoomSGIX(GLint factor)
{
    UNUSED_PARAMETER(factor);
    Warning( "glFrameZoomSGIX", " not available." );
  }

// GL_SGIX_igloo_interface

  static void REGAL_CALL glIglooInterfaceSGIX(GLenum pname, const GLvoid *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glIglooInterfaceSGIX", " not available." );
  }

// GL_SGIX_instruments

  static GLint REGAL_CALL glGetInstrumentsSGIX(void)
{
    Warning( "glGetInstrumentsSGIX", " not available." );
    return 0;
  }

  static void REGAL_CALL glInstrumentsBufferSGIX(GLsizei size, GLint *buffer)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(buffer);
    Warning( "glInstrumentsBufferSGIX", " not available." );
  }

  static GLint REGAL_CALL glPollInstrumentsSGIX(GLint *marker_p)
{
    UNUSED_PARAMETER(marker_p);
    Warning( "glPollInstrumentsSGIX", " not available." );
    return 0;
  }

  static void REGAL_CALL glReadInstrumentsSGIX(GLint marker)
{
    UNUSED_PARAMETER(marker);
    Warning( "glReadInstrumentsSGIX", " not available." );
  }

  static void REGAL_CALL glStartInstrumentsSGIX(void)
{
    Warning( "glStartInstrumentsSGIX", " not available." );
  }

  static void REGAL_CALL glStopInstrumentsSGIX(GLint marker)
{
    UNUSED_PARAMETER(marker);
    Warning( "glStopInstrumentsSGIX", " not available." );
  }

// GL_SGIX_list_priority

  static void REGAL_CALL glGetListParameterfvSGIX(GLuint list, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(list);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetListParameterfvSGIX", " not available." );
  }

  static void REGAL_CALL glGetListParameterivSGIX(GLuint list, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(list);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetListParameterivSGIX", " not available." );
  }

  static void REGAL_CALL glListParameterfSGIX(GLuint list, GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(list);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glListParameterfSGIX", " not available." );
  }

  static void REGAL_CALL glListParameterfvSGIX(GLuint list, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(list);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glListParameterfvSGIX", " not available." );
  }

  static void REGAL_CALL glListParameteriSGIX(GLuint list, GLenum pname, GLint param)
{
    UNUSED_PARAMETER(list);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glListParameteriSGIX", " not available." );
  }

  static void REGAL_CALL glListParameterivSGIX(GLuint list, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(list);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glListParameterivSGIX", " not available." );
  }

// GL_SGIX_pixel_texture

  static void REGAL_CALL glPixelTexGenSGIX(GLenum mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glPixelTexGenSGIX", " not available." );
  }

// GL_SGIX_polynomial_ffd

  static void REGAL_CALL glDeformSGIX(GLbitfield mask)
{
    UNUSED_PARAMETER(mask);
    Warning( "glDeformSGIX", " not available." );
  }

  static void REGAL_CALL glDeformationMap3dSGIX(GLenum target, GLdouble u1, GLdouble u2, GLint ustride, GLint uorder, GLdouble v1, GLdouble v2, GLint vstride, GLint vorder, GLdouble w1, GLdouble w2, GLint wstride, GLint worder, const GLdouble *points)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(u1);
    UNUSED_PARAMETER(u2);
    UNUSED_PARAMETER(ustride);
    UNUSED_PARAMETER(uorder);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    UNUSED_PARAMETER(vstride);
    UNUSED_PARAMETER(vorder);
    UNUSED_PARAMETER(w1);
    UNUSED_PARAMETER(w2);
    UNUSED_PARAMETER(wstride);
    UNUSED_PARAMETER(worder);
    UNUSED_PARAMETER(points);
    Warning( "glDeformationMap3dSGIX", " not available." );
  }

  static void REGAL_CALL glDeformationMap3fSGIX(GLenum target, GLfloat u1, GLfloat u2, GLint ustride, GLint uorder, GLfloat v1, GLfloat v2, GLint vstride, GLint vorder, GLfloat w1, GLfloat w2, GLint wstride, GLint worder, const GLfloat *points)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(u1);
    UNUSED_PARAMETER(u2);
    UNUSED_PARAMETER(ustride);
    UNUSED_PARAMETER(uorder);
    UNUSED_PARAMETER(v1);
    UNUSED_PARAMETER(v2);
    UNUSED_PARAMETER(vstride);
    UNUSED_PARAMETER(vorder);
    UNUSED_PARAMETER(w1);
    UNUSED_PARAMETER(w2);
    UNUSED_PARAMETER(wstride);
    UNUSED_PARAMETER(worder);
    UNUSED_PARAMETER(points);
    Warning( "glDeformationMap3fSGIX", " not available." );
  }

  static void REGAL_CALL glLoadIdentityDeformationMapSGIX(GLbitfield mask)
{
    UNUSED_PARAMETER(mask);
    Warning( "glLoadIdentityDeformationMapSGIX", " not available." );
  }

// GL_SGIX_reference_plane

  static void REGAL_CALL glReferencePlaneSGIX(const GLdouble *equation)
{
    UNUSED_PARAMETER(equation);
    Warning( "glReferencePlaneSGIX", " not available." );
  }

// GL_SGIX_sprite

  static void REGAL_CALL glSpriteParameterfSGIX(GLenum pname, GLfloat param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glSpriteParameterfSGIX", " not available." );
  }

  static void REGAL_CALL glSpriteParameterfvSGIX(GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glSpriteParameterfvSGIX", " not available." );
  }

  static void REGAL_CALL glSpriteParameteriSGIX(GLenum pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "glSpriteParameteriSGIX", " not available." );
  }

  static void REGAL_CALL glSpriteParameterivSGIX(GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glSpriteParameterivSGIX", " not available." );
  }

// GL_SGIX_tag_sample_buffer

  static void REGAL_CALL glTagSampleBufferSGIX(void)
{
    Warning( "glTagSampleBufferSGIX", " not available." );
  }

// GL_SGI_color_table

  static void REGAL_CALL glColorTableParameterfvSGI(GLenum target, GLenum pname, const GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glColorTableParameterfvSGI", " not available." );
  }

  static void REGAL_CALL glColorTableParameterivSGI(GLenum target, GLenum pname, const GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glColorTableParameterivSGI", " not available." );
  }

  static void REGAL_CALL glColorTableSGI(GLenum target, GLenum internalformat, GLsizei width, GLenum format, GLenum type, const GLvoid *table)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(table);
    Warning( "glColorTableSGI", " not available." );
  }

  static void REGAL_CALL glCopyColorTableSGI(GLenum target, GLenum internalformat, GLint x, GLint y, GLsizei width)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalformat);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    Warning( "glCopyColorTableSGI", " not available." );
  }

  static void REGAL_CALL glGetColorTableParameterfvSGI(GLenum target, GLenum pname, GLfloat *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetColorTableParameterfvSGI", " not available." );
  }

  static void REGAL_CALL glGetColorTableParameterivSGI(GLenum target, GLenum pname, GLint *params)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "glGetColorTableParameterivSGI", " not available." );
  }

  static void REGAL_CALL glGetColorTableSGI(GLenum target, GLenum format, GLenum type, GLvoid *table)
{
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(table);
    Warning( "glGetColorTableSGI", " not available." );
  }

// GL_SUNX_constant_data

  static void REGAL_CALL glFinishTextureSUNX(void)
{
    Warning( "glFinishTextureSUNX", " not available." );
  }

// GL_SUN_global_alpha

  static void REGAL_CALL glGlobalAlphaFactorbSUN(GLbyte factor)
{
    UNUSED_PARAMETER(factor);
    Warning( "glGlobalAlphaFactorbSUN", " not available." );
  }

  static void REGAL_CALL glGlobalAlphaFactordSUN(GLdouble factor)
{
    UNUSED_PARAMETER(factor);
    Warning( "glGlobalAlphaFactordSUN", " not available." );
  }

  static void REGAL_CALL glGlobalAlphaFactorfSUN(GLfloat factor)
{
    UNUSED_PARAMETER(factor);
    Warning( "glGlobalAlphaFactorfSUN", " not available." );
  }

  static void REGAL_CALL glGlobalAlphaFactoriSUN(GLint factor)
{
    UNUSED_PARAMETER(factor);
    Warning( "glGlobalAlphaFactoriSUN", " not available." );
  }

  static void REGAL_CALL glGlobalAlphaFactorsSUN(GLshort factor)
{
    UNUSED_PARAMETER(factor);
    Warning( "glGlobalAlphaFactorsSUN", " not available." );
  }

  static void REGAL_CALL glGlobalAlphaFactorubSUN(GLubyte factor)
{
    UNUSED_PARAMETER(factor);
    Warning( "glGlobalAlphaFactorubSUN", " not available." );
  }

  static void REGAL_CALL glGlobalAlphaFactoruiSUN(GLuint factor)
{
    UNUSED_PARAMETER(factor);
    Warning( "glGlobalAlphaFactoruiSUN", " not available." );
  }

  static void REGAL_CALL glGlobalAlphaFactorusSUN(GLushort factor)
{
    UNUSED_PARAMETER(factor);
    Warning( "glGlobalAlphaFactorusSUN", " not available." );
  }

// GL_SUN_mesh_array

  static void REGAL_CALL glDrawMeshArraysSUN(GLenum mode, GLint first, GLsizei count, GLsizei width)
{
    UNUSED_PARAMETER(mode);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(width);
    Warning( "glDrawMeshArraysSUN", " not available." );
  }

// GL_SUN_read_video_pixels

  static void REGAL_CALL glReadVideoPixelsSUN(GLint x, GLint y, GLsizei width, GLsizei height, GLenum format, GLenum type, GLvoid *pixels)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(pixels);
    Warning( "glReadVideoPixelsSUN", " not available." );
  }

// GL_SUN_triangle_list

  static void REGAL_CALL glReplacementCodePointerSUN(GLenum type, GLsizei stride, const GLvoid **pointer)
{
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(stride);
    UNUSED_PARAMETER(pointer);
    Warning( "glReplacementCodePointerSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeubSUN(GLubyte code)
{
    UNUSED_PARAMETER(code);
    Warning( "glReplacementCodeubSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeubvSUN(const GLubyte *code)
{
    UNUSED_PARAMETER(code);
    Warning( "glReplacementCodeubvSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiSUN(GLuint code)
{
    UNUSED_PARAMETER(code);
    Warning( "glReplacementCodeuiSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuivSUN(const GLuint *code)
{
    UNUSED_PARAMETER(code);
    Warning( "glReplacementCodeuivSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeusSUN(GLushort code)
{
    UNUSED_PARAMETER(code);
    Warning( "glReplacementCodeusSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeusvSUN(const GLushort *code)
{
    UNUSED_PARAMETER(code);
    Warning( "glReplacementCodeusvSUN", " not available." );
  }

// GL_SUN_vertex

  static void REGAL_CALL glColor3fVertex3fSUN(GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(g);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glColor3fVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glColor3fVertex3fvSUN(const GLfloat *c, const GLfloat *v)
{
    UNUSED_PARAMETER(c);
    UNUSED_PARAMETER(v);
    Warning( "glColor3fVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glColor4fNormal3fVertex3fSUN(GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(g);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(a);
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glColor4fNormal3fVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glColor4fNormal3fVertex3fvSUN(const GLfloat *c, const GLfloat *n, const GLfloat *v)
{
    UNUSED_PARAMETER(c);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(v);
    Warning( "glColor4fNormal3fVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glColor4ubVertex2fSUN(GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y)
{
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(g);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(a);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    Warning( "glColor4ubVertex2fSUN", " not available." );
  }

  static void REGAL_CALL glColor4ubVertex2fvSUN(const GLubyte *c, const GLfloat *v)
{
    UNUSED_PARAMETER(c);
    UNUSED_PARAMETER(v);
    Warning( "glColor4ubVertex2fvSUN", " not available." );
  }

  static void REGAL_CALL glColor4ubVertex3fSUN(GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(g);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(a);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glColor4ubVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glColor4ubVertex3fvSUN(const GLubyte *c, const GLfloat *v)
{
    UNUSED_PARAMETER(c);
    UNUSED_PARAMETER(v);
    Warning( "glColor4ubVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glNormal3fVertex3fSUN(GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glNormal3fVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glNormal3fVertex3fvSUN(const GLfloat *n, const GLfloat *v)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(v);
    Warning( "glNormal3fVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiColor3fVertex3fSUN(GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(g);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glReplacementCodeuiColor3fVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiColor3fVertex3fvSUN(const GLuint *rc, const GLfloat *c, const GLfloat *v)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(c);
    UNUSED_PARAMETER(v);
    Warning( "glReplacementCodeuiColor3fVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiColor4fNormal3fVertex3fSUN(GLuint rc, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(g);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(a);
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glReplacementCodeuiColor4fNormal3fVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiColor4fNormal3fVertex3fvSUN(const GLuint *rc, const GLfloat *c, const GLfloat *n, const GLfloat *v)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(c);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(v);
    Warning( "glReplacementCodeuiColor4fNormal3fVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiColor4ubVertex3fSUN(GLuint rc, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(g);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(a);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glReplacementCodeuiColor4ubVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiColor4ubVertex3fvSUN(const GLuint *rc, const GLubyte *c, const GLfloat *v)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(c);
    UNUSED_PARAMETER(v);
    Warning( "glReplacementCodeuiColor4ubVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiNormal3fVertex3fSUN(GLuint rc, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glReplacementCodeuiNormal3fVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiNormal3fVertex3fvSUN(const GLuint *rc, const GLfloat *n, const GLfloat *v)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(v);
    Warning( "glReplacementCodeuiNormal3fVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN(GLuint rc, GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(g);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(a);
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN(const GLuint *rc, const GLfloat *tc, const GLfloat *c, const GLfloat *n, const GLfloat *v)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(tc);
    UNUSED_PARAMETER(c);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(v);
    Warning( "glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN(GLuint rc, GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN(const GLuint *rc, const GLfloat *tc, const GLfloat *n, const GLfloat *v)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(tc);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(v);
    Warning( "glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiTexCoord2fVertex3fSUN(GLuint rc, GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glReplacementCodeuiTexCoord2fVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiTexCoord2fVertex3fvSUN(const GLuint *rc, const GLfloat *tc, const GLfloat *v)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(tc);
    UNUSED_PARAMETER(v);
    Warning( "glReplacementCodeuiTexCoord2fVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiVertex3fSUN(GLuint rc, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glReplacementCodeuiVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glReplacementCodeuiVertex3fvSUN(const GLuint *rc, const GLfloat *v)
{
    UNUSED_PARAMETER(rc);
    UNUSED_PARAMETER(v);
    Warning( "glReplacementCodeuiVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glTexCoord2fColor3fVertex3fSUN(GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(g);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glTexCoord2fColor3fVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glTexCoord2fColor3fVertex3fvSUN(const GLfloat *tc, const GLfloat *c, const GLfloat *v)
{
    UNUSED_PARAMETER(tc);
    UNUSED_PARAMETER(c);
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord2fColor3fVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glTexCoord2fColor4fNormal3fVertex3fSUN(GLfloat s, GLfloat t, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(g);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(a);
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glTexCoord2fColor4fNormal3fVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glTexCoord2fColor4fNormal3fVertex3fvSUN(const GLfloat *tc, const GLfloat *c, const GLfloat *n, const GLfloat *v)
{
    UNUSED_PARAMETER(tc);
    UNUSED_PARAMETER(c);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord2fColor4fNormal3fVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glTexCoord2fColor4ubVertex3fSUN(GLfloat s, GLfloat t, GLubyte r, GLubyte g, GLubyte b, GLubyte a, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(g);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(a);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glTexCoord2fColor4ubVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glTexCoord2fColor4ubVertex3fvSUN(const GLfloat *tc, const GLubyte *c, const GLfloat *v)
{
    UNUSED_PARAMETER(tc);
    UNUSED_PARAMETER(c);
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord2fColor4ubVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glTexCoord2fNormal3fVertex3fSUN(GLfloat s, GLfloat t, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glTexCoord2fNormal3fVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glTexCoord2fNormal3fVertex3fvSUN(const GLfloat *tc, const GLfloat *n, const GLfloat *v)
{
    UNUSED_PARAMETER(tc);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord2fNormal3fVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glTexCoord2fVertex3fSUN(GLfloat s, GLfloat t, GLfloat x, GLfloat y, GLfloat z)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    Warning( "glTexCoord2fVertex3fSUN", " not available." );
  }

  static void REGAL_CALL glTexCoord2fVertex3fvSUN(const GLfloat *tc, const GLfloat *v)
{
    UNUSED_PARAMETER(tc);
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord2fVertex3fvSUN", " not available." );
  }

  static void REGAL_CALL glTexCoord4fColor4fNormal3fVertex4fSUN(GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat r, GLfloat g, GLfloat b, GLfloat a, GLfloat nx, GLfloat ny, GLfloat nz, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(p);
    UNUSED_PARAMETER(q);
    UNUSED_PARAMETER(r);
    UNUSED_PARAMETER(g);
    UNUSED_PARAMETER(b);
    UNUSED_PARAMETER(a);
    UNUSED_PARAMETER(nx);
    UNUSED_PARAMETER(ny);
    UNUSED_PARAMETER(nz);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glTexCoord4fColor4fNormal3fVertex4fSUN", " not available." );
  }

  static void REGAL_CALL glTexCoord4fColor4fNormal3fVertex4fvSUN(const GLfloat *tc, const GLfloat *c, const GLfloat *n, const GLfloat *v)
{
    UNUSED_PARAMETER(tc);
    UNUSED_PARAMETER(c);
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord4fColor4fNormal3fVertex4fvSUN", " not available." );
  }

  static void REGAL_CALL glTexCoord4fVertex4fSUN(GLfloat s, GLfloat t, GLfloat p, GLfloat q, GLfloat x, GLfloat y, GLfloat z, GLfloat w)
{
    UNUSED_PARAMETER(s);
    UNUSED_PARAMETER(t);
    UNUSED_PARAMETER(p);
    UNUSED_PARAMETER(q);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(z);
    UNUSED_PARAMETER(w);
    Warning( "glTexCoord4fVertex4fSUN", " not available." );
  }

  static void REGAL_CALL glTexCoord4fVertex4fvSUN(const GLfloat *tc, const GLfloat *v)
{
    UNUSED_PARAMETER(tc);
    UNUSED_PARAMETER(v);
    Warning( "glTexCoord4fVertex4fvSUN", " not available." );
  }

// GL_WIN_swap_hint

  static void REGAL_CALL glAddSwapHintRectWIN(GLint x, GLint y, GLsizei width, GLsizei height)
{
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glAddSwapHintRectWIN", " not available." );
  }

#if REGAL_SYS_WGL

// WGL_3DL_stereo_control

  static BOOL REGAL_CALL wglSetStereoEmitterState3DL(HDC hDC, UINT uState)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(uState);
    Warning( "wglSetStereoEmitterState3DL", " not available." );
    return 0;
  }

// WGL_AMD_gpu_association

  static VOID REGAL_CALL wglBlitContextFramebufferAMD(HGLRC dstCtx, GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    UNUSED_PARAMETER(dstCtx);
    UNUSED_PARAMETER(srcX0);
    UNUSED_PARAMETER(srcY0);
    UNUSED_PARAMETER(srcX1);
    UNUSED_PARAMETER(srcY1);
    UNUSED_PARAMETER(dstX0);
    UNUSED_PARAMETER(dstY0);
    UNUSED_PARAMETER(dstX1);
    UNUSED_PARAMETER(dstY1);
    UNUSED_PARAMETER(mask);
    UNUSED_PARAMETER(filter);
    Warning( "wglBlitContextFramebufferAMD", " not available." );
  }

  static HGLRC REGAL_CALL wglCreateAssociatedContextAMD(UINT id)
{
    UNUSED_PARAMETER(id);
    Warning( "wglCreateAssociatedContextAMD", " not available." );
    return NULL;
  }

  static HGLRC REGAL_CALL wglCreateAssociatedContextAttribsAMD(UINT id, HGLRC hShareContext, const int *attribList)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(hShareContext);
    UNUSED_PARAMETER(attribList);
    Warning( "wglCreateAssociatedContextAttribsAMD", " not available." );
    return NULL;
  }

  static BOOL REGAL_CALL wglDeleteAssociatedContextAMD(HGLRC hglrc)
{
    UNUSED_PARAMETER(hglrc);
    Warning( "wglDeleteAssociatedContextAMD", " not available." );
    return 0;
  }

  static UINT REGAL_CALL wglGetContextGPUIDAMD(HGLRC hglrc)
{
    UNUSED_PARAMETER(hglrc);
    Warning( "wglGetContextGPUIDAMD", " not available." );
    return 0;
  }

  static HGLRC REGAL_CALL wglGetCurrentAssociatedContextAMD(void)
{
    Warning( "wglGetCurrentAssociatedContextAMD", " not available." );
    return NULL;
  }

  static UINT REGAL_CALL wglGetGPUIDsAMD(UINT maxCount, UINT *ids)
{
    UNUSED_PARAMETER(maxCount);
    UNUSED_PARAMETER(ids);
    Warning( "wglGetGPUIDsAMD", " not available." );
    return 0;
  }

  static INT REGAL_CALL wglGetGPUInfoAMD(UINT id, int property, GLenum dataType, UINT size, void *data)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(property);
    UNUSED_PARAMETER(dataType);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    Warning( "wglGetGPUInfoAMD", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglMakeAssociatedContextCurrentAMD(HGLRC hglrc)
{
    UNUSED_PARAMETER(hglrc);
    Warning( "wglMakeAssociatedContextCurrentAMD", " not available." );
    return 0;
  }

// WGL_ARB_buffer_region

  static HANDLE REGAL_CALL wglCreateBufferRegionARB(HDC hDC, int iLayerPlane, UINT uType)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iLayerPlane);
    UNUSED_PARAMETER(uType);
    Warning( "wglCreateBufferRegionARB", " not available." );
    return 0;
  }

  static VOID REGAL_CALL wglDeleteBufferRegionARB(HANDLE hRegion)
{
    UNUSED_PARAMETER(hRegion);
    Warning( "wglDeleteBufferRegionARB", " not available." );
  }

  static BOOL REGAL_CALL wglRestoreBufferRegionARB(HANDLE hRegion, int x, int y, int width, int height, int xSrc, int ySrc)
{
    UNUSED_PARAMETER(hRegion);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(xSrc);
    UNUSED_PARAMETER(ySrc);
    Warning( "wglRestoreBufferRegionARB", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglSaveBufferRegionARB(HANDLE hRegion, int x, int y, int width, int height)
{
    UNUSED_PARAMETER(hRegion);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "wglSaveBufferRegionARB", " not available." );
    return 0;
  }

// WGL_ARB_create_context

  static HGLRC REGAL_CALL wglCreateContextAttribsARB(HDC hDC, HGLRC hShareContext, const int *piAttribList)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(hShareContext);
    UNUSED_PARAMETER(piAttribList);
    Warning( "wglCreateContextAttribsARB", " not available." );
    return NULL;
  }

// WGL_ARB_extensions_string

  static const char *REGAL_CALL wglGetExtensionsStringARB(HDC hDC)
{
    UNUSED_PARAMETER(hDC);
    Warning( "wglGetExtensionsStringARB", " not available." );
    return NULL;
  }

// WGL_ARB_make_current_read

  static HDC REGAL_CALL wglGetCurrentReadDCARB(void)
{
    Warning( "wglGetCurrentReadDCARB", " not available." );
    return NULL;
  }

  static BOOL REGAL_CALL wglMakeContextCurrentARB(HDC hDrawDC, HDC hReadDC, HGLRC hglrc)
{
    UNUSED_PARAMETER(hDrawDC);
    UNUSED_PARAMETER(hReadDC);
    UNUSED_PARAMETER(hglrc);
    Warning( "wglMakeContextCurrentARB", " not available." );
    return 0;
  }

// WGL_ARB_pbuffer

  static HPBUFFERARB REGAL_CALL wglCreatePbufferARB(HDC hDC, int iPixelFormat, int iWidth, int iHeight, const int *piAttribList)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iPixelFormat);
    UNUSED_PARAMETER(iWidth);
    UNUSED_PARAMETER(iHeight);
    UNUSED_PARAMETER(piAttribList);
    Warning( "wglCreatePbufferARB", " not available." );
    return (HPBUFFERARB) 0;
  }

  static BOOL REGAL_CALL wglDestroyPbufferARB(HPBUFFERARB hPbuffer)
{
    UNUSED_PARAMETER(hPbuffer);
    Warning( "wglDestroyPbufferARB", " not available." );
    return 0;
  }

  static HDC REGAL_CALL wglGetPbufferDCARB(HPBUFFERARB hPbuffer)
{
    UNUSED_PARAMETER(hPbuffer);
    Warning( "wglGetPbufferDCARB", " not available." );
    return NULL;
  }

  static BOOL REGAL_CALL wglQueryPbufferARB(HPBUFFERARB hPbuffer, int iAttribute, int *piValue)
{
    UNUSED_PARAMETER(hPbuffer);
    UNUSED_PARAMETER(iAttribute);
    UNUSED_PARAMETER(piValue);
    Warning( "wglQueryPbufferARB", " not available." );
    return 0;
  }

  static int REGAL_CALL wglReleasePbufferDCARB(HPBUFFERARB hPbuffer, HDC hDC)
{
    UNUSED_PARAMETER(hPbuffer);
    UNUSED_PARAMETER(hDC);
    Warning( "wglReleasePbufferDCARB", " not available." );
    return 0;
  }

// WGL_ARB_pixel_format

  static BOOL REGAL_CALL wglChoosePixelFormatARB(HDC hDC, const int *piAttribIList, const FLOAT *pfAttribFList, UINT nMaxFormats, int *piFormats, UINT *nNumFormats)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(piAttribIList);
    UNUSED_PARAMETER(pfAttribFList);
    UNUSED_PARAMETER(nMaxFormats);
    UNUSED_PARAMETER(piFormats);
    UNUSED_PARAMETER(nNumFormats);
    Warning( "wglChoosePixelFormatARB", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGetPixelFormatAttribfvARB(HDC hDC, int iPixelFormat, int iLayerPlane, UINT nAttributes, const int *piAttributes, FLOAT *pfValues)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iPixelFormat);
    UNUSED_PARAMETER(iLayerPlane);
    UNUSED_PARAMETER(nAttributes);
    UNUSED_PARAMETER(piAttributes);
    UNUSED_PARAMETER(pfValues);
    Warning( "wglGetPixelFormatAttribfvARB", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGetPixelFormatAttribivARB(HDC hDC, int iPixelFormat, int iLayerPlane, UINT nAttributes, const int *piAttributes, int *piValues)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iPixelFormat);
    UNUSED_PARAMETER(iLayerPlane);
    UNUSED_PARAMETER(nAttributes);
    UNUSED_PARAMETER(piAttributes);
    UNUSED_PARAMETER(piValues);
    Warning( "wglGetPixelFormatAttribivARB", " not available." );
    return 0;
  }

// WGL_ARB_render_texture

  static BOOL REGAL_CALL wglBindTexImageARB(HPBUFFERARB hPbuffer, int iBuffer)
{
    UNUSED_PARAMETER(hPbuffer);
    UNUSED_PARAMETER(iBuffer);
    Warning( "wglBindTexImageARB", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglReleaseTexImageARB(HPBUFFERARB hPbuffer, int iBuffer)
{
    UNUSED_PARAMETER(hPbuffer);
    UNUSED_PARAMETER(iBuffer);
    Warning( "wglReleaseTexImageARB", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglSetPbufferAttribARB(HPBUFFERARB hPbuffer, const int *piAttribList)
{
    UNUSED_PARAMETER(hPbuffer);
    UNUSED_PARAMETER(piAttribList);
    Warning( "wglSetPbufferAttribARB", " not available." );
    return 0;
  }

// WGL_EXT_display_color_table

  static GLboolean REGAL_CALL wglBindDisplayColorTableEXT(GLushort id)
{
    UNUSED_PARAMETER(id);
    Warning( "wglBindDisplayColorTableEXT", " not available." );
    return GL_FALSE;
  }

  static GLboolean REGAL_CALL wglCreateDisplayColorTableEXT(GLushort id)
{
    UNUSED_PARAMETER(id);
    Warning( "wglCreateDisplayColorTableEXT", " not available." );
    return GL_FALSE;
  }

  static VOID REGAL_CALL wglDestroyDisplayColorTableEXT(GLushort id)
{
    UNUSED_PARAMETER(id);
    Warning( "wglDestroyDisplayColorTableEXT", " not available." );
  }

  static GLboolean REGAL_CALL wglLoadDisplayColorTableEXT(const GLushort *table, GLuint length)
{
    UNUSED_PARAMETER(table);
    UNUSED_PARAMETER(length);
    Warning( "wglLoadDisplayColorTableEXT", " not available." );
    return GL_FALSE;
  }

// WGL_EXT_extensions_string

  static const char *REGAL_CALL wglGetExtensionsStringEXT(void)
{
    Warning( "wglGetExtensionsStringEXT", " not available." );
    return NULL;
  }

// WGL_EXT_make_current_read

  static HDC REGAL_CALL wglGetCurrentReadDCEXT(void)
{
    Warning( "wglGetCurrentReadDCEXT", " not available." );
    return NULL;
  }

  static BOOL REGAL_CALL wglMakeContextCurrentEXT(HDC hDrawDC, HDC hReadDC, HGLRC hglrc)
{
    UNUSED_PARAMETER(hDrawDC);
    UNUSED_PARAMETER(hReadDC);
    UNUSED_PARAMETER(hglrc);
    Warning( "wglMakeContextCurrentEXT", " not available." );
    return 0;
  }

// WGL_EXT_pbuffer

  static HPBUFFEREXT REGAL_CALL wglCreatePbufferEXT(HDC hDC, int iPixelFormat, int iWidth, int iHeight, const int *piAttribList)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iPixelFormat);
    UNUSED_PARAMETER(iWidth);
    UNUSED_PARAMETER(iHeight);
    UNUSED_PARAMETER(piAttribList);
    Warning( "wglCreatePbufferEXT", " not available." );
    return (HPBUFFEREXT) 0;
  }

  static BOOL REGAL_CALL wglDestroyPbufferEXT(HPBUFFEREXT hPbuffer)
{
    UNUSED_PARAMETER(hPbuffer);
    Warning( "wglDestroyPbufferEXT", " not available." );
    return 0;
  }

  static HDC REGAL_CALL wglGetPbufferDCEXT(HPBUFFEREXT hPbuffer)
{
    UNUSED_PARAMETER(hPbuffer);
    Warning( "wglGetPbufferDCEXT", " not available." );
    return NULL;
  }

  static BOOL REGAL_CALL wglQueryPbufferEXT(HPBUFFEREXT hPbuffer, int iAttribute, int *piValue)
{
    UNUSED_PARAMETER(hPbuffer);
    UNUSED_PARAMETER(iAttribute);
    UNUSED_PARAMETER(piValue);
    Warning( "wglQueryPbufferEXT", " not available." );
    return 0;
  }

  static int REGAL_CALL wglReleasePbufferDCEXT(HPBUFFEREXT hPbuffer, HDC hDC)
{
    UNUSED_PARAMETER(hPbuffer);
    UNUSED_PARAMETER(hDC);
    Warning( "wglReleasePbufferDCEXT", " not available." );
    return 0;
  }

// WGL_EXT_pixel_format

  static BOOL REGAL_CALL wglChoosePixelFormatEXT(HDC hDC, const int *piAttribIList, const FLOAT *pfAttribFList, UINT nMaxFormats, int *piFormats, UINT *nNumFormats)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(piAttribIList);
    UNUSED_PARAMETER(pfAttribFList);
    UNUSED_PARAMETER(nMaxFormats);
    UNUSED_PARAMETER(piFormats);
    UNUSED_PARAMETER(nNumFormats);
    Warning( "wglChoosePixelFormatEXT", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGetPixelFormatAttribfvEXT(HDC hDC, int iPixelFormat, int iLayerPlane, UINT nAttributes, const int *piAttributes, FLOAT *pfValues)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iPixelFormat);
    UNUSED_PARAMETER(iLayerPlane);
    UNUSED_PARAMETER(nAttributes);
    UNUSED_PARAMETER(piAttributes);
    UNUSED_PARAMETER(pfValues);
    Warning( "wglGetPixelFormatAttribfvEXT", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGetPixelFormatAttribivEXT(HDC hDC, int iPixelFormat, int iLayerPlane, UINT nAttributes, const int *piAttributes, int *piValues)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iPixelFormat);
    UNUSED_PARAMETER(iLayerPlane);
    UNUSED_PARAMETER(nAttributes);
    UNUSED_PARAMETER(piAttributes);
    UNUSED_PARAMETER(piValues);
    Warning( "wglGetPixelFormatAttribivEXT", " not available." );
    return 0;
  }

// WGL_EXT_swap_control

  static int REGAL_CALL wglGetSwapIntervalEXT(void)
{
    Warning( "wglGetSwapIntervalEXT", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglSwapIntervalEXT(int interval)
{
    UNUSED_PARAMETER(interval);
    Warning( "wglSwapIntervalEXT", " not available." );
    return 0;
  }

// WGL_GDI

  static int REGAL_CALL wglChoosePixelFormat(HDC hDC, const PIXELFORMATDESCRIPTOR *ppfd)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(ppfd);
    Warning( "wglChoosePixelFormat", " not available." );
    return 0;
  }

  static int REGAL_CALL wglDescribePixelFormat(HDC hDC, int iPixelFormat, UINT nBytes, LPPIXELFORMATDESCRIPTOR ppfd)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iPixelFormat);
    UNUSED_PARAMETER(nBytes);
    UNUSED_PARAMETER(ppfd);
    Warning( "wglDescribePixelFormat", " not available." );
    return 0;
  }

  static int REGAL_CALL wglGetPixelFormat(HDC hDC)
{
    UNUSED_PARAMETER(hDC);
    Warning( "wglGetPixelFormat", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglSetPixelFormat(HDC hDC, int iPixelFormat, const PIXELFORMATDESCRIPTOR *ppfd)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iPixelFormat);
    UNUSED_PARAMETER(ppfd);
    Warning( "wglSetPixelFormat", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglSwapBuffers(HDC hDC)
{
    UNUSED_PARAMETER(hDC);
    Warning( "wglSwapBuffers", " not available." );
    return 0;
  }

// WGL_I3D_digital_video_control

  static BOOL REGAL_CALL wglGetDigitalVideoParametersI3D(HDC hDC, int iAttribute, int *piValue)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iAttribute);
    UNUSED_PARAMETER(piValue);
    Warning( "wglGetDigitalVideoParametersI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglSetDigitalVideoParametersI3D(HDC hDC, int iAttribute, const int *piValue)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iAttribute);
    UNUSED_PARAMETER(piValue);
    Warning( "wglSetDigitalVideoParametersI3D", " not available." );
    return 0;
  }

// WGL_I3D_gamma

  static BOOL REGAL_CALL wglGetGammaTableI3D(HDC hDC, int iEntries, USHORT *puRed, USHORT *puGreen, USHORT *puBlue)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iEntries);
    UNUSED_PARAMETER(puRed);
    UNUSED_PARAMETER(puGreen);
    UNUSED_PARAMETER(puBlue);
    Warning( "wglGetGammaTableI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGetGammaTableParametersI3D(HDC hDC, int iAttribute, int *piValue)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iAttribute);
    UNUSED_PARAMETER(piValue);
    Warning( "wglGetGammaTableParametersI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglSetGammaTableI3D(HDC hDC, int iEntries, const USHORT *puRed, const USHORT *puGreen, const USHORT *puBlue)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iEntries);
    UNUSED_PARAMETER(puRed);
    UNUSED_PARAMETER(puGreen);
    UNUSED_PARAMETER(puBlue);
    Warning( "wglSetGammaTableI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglSetGammaTableParametersI3D(HDC hDC, int iAttribute, const int *piValue)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iAttribute);
    UNUSED_PARAMETER(piValue);
    Warning( "wglSetGammaTableParametersI3D", " not available." );
    return 0;
  }

// WGL_I3D_genlock

  static BOOL REGAL_CALL wglDisableGenlockI3D(HDC hDC)
{
    UNUSED_PARAMETER(hDC);
    Warning( "wglDisableGenlockI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglEnableGenlockI3D(HDC hDC)
{
    UNUSED_PARAMETER(hDC);
    Warning( "wglEnableGenlockI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGenlockSampleRateI3D(HDC hDC, UINT uRate)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(uRate);
    Warning( "wglGenlockSampleRateI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGenlockSourceDelayI3D(HDC hDC, UINT uDelay)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(uDelay);
    Warning( "wglGenlockSourceDelayI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGenlockSourceEdgeI3D(HDC hDC, UINT uEdge)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(uEdge);
    Warning( "wglGenlockSourceEdgeI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGenlockSourceI3D(HDC hDC, UINT uSource)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(uSource);
    Warning( "wglGenlockSourceI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGetGenlockSampleRateI3D(HDC hDC, UINT *uRate)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(uRate);
    Warning( "wglGetGenlockSampleRateI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGetGenlockSourceDelayI3D(HDC hDC, UINT *uDelay)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(uDelay);
    Warning( "wglGetGenlockSourceDelayI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGetGenlockSourceEdgeI3D(HDC hDC, UINT *uEdge)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(uEdge);
    Warning( "wglGetGenlockSourceEdgeI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGetGenlockSourceI3D(HDC hDC, UINT *uSource)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(uSource);
    Warning( "wglGetGenlockSourceI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglIsEnabledGenlockI3D(HDC hDC, BOOL *pFlag)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(pFlag);
    Warning( "wglIsEnabledGenlockI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglQueryGenlockMaxSourceDelayI3D(HDC hDC, UINT *uMaxLineDelay, UINT *uMaxPixelDelay)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(uMaxLineDelay);
    UNUSED_PARAMETER(uMaxPixelDelay);
    Warning( "wglQueryGenlockMaxSourceDelayI3D", " not available." );
    return 0;
  }

// WGL_I3D_image_buffer

  static BOOL REGAL_CALL wglAssociateImageBufferEventsI3D(HDC hDC, const HANDLE *pEvent, const LPVOID *pAddress, const DWORD *pSize, UINT count)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(pEvent);
    UNUSED_PARAMETER(pAddress);
    UNUSED_PARAMETER(pSize);
    UNUSED_PARAMETER(count);
    Warning( "wglAssociateImageBufferEventsI3D", " not available." );
    return 0;
  }

  static LPVOID REGAL_CALL wglCreateImageBufferI3D(HDC hDC, DWORD dwSize, UINT uFlags)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(dwSize);
    UNUSED_PARAMETER(uFlags);
    Warning( "wglCreateImageBufferI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglDestroyImageBufferI3D(HDC hDC, LPVOID pAddress)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(pAddress);
    Warning( "wglDestroyImageBufferI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglReleaseImageBufferEventsI3D(HDC hDC, const LPVOID *pAddress, UINT count)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(pAddress);
    UNUSED_PARAMETER(count);
    Warning( "wglReleaseImageBufferEventsI3D", " not available." );
    return 0;
  }

// WGL_I3D_swap_frame_lock

  static BOOL REGAL_CALL wglDisableFrameLockI3D(void)
{
    Warning( "wglDisableFrameLockI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglEnableFrameLockI3D(void)
{
    Warning( "wglEnableFrameLockI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglIsEnabledFrameLockI3D(BOOL *pFlag)
{
    UNUSED_PARAMETER(pFlag);
    Warning( "wglIsEnabledFrameLockI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglQueryFrameLockMasterI3D(BOOL *pFlag)
{
    UNUSED_PARAMETER(pFlag);
    Warning( "wglQueryFrameLockMasterI3D", " not available." );
    return 0;
  }

// WGL_I3D_swap_frame_usage

  static BOOL REGAL_CALL wglBeginFrameTrackingI3D(void)
{
    Warning( "wglBeginFrameTrackingI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglEndFrameTrackingI3D(void)
{
    Warning( "wglEndFrameTrackingI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGetFrameUsageI3D(float *pUsage)
{
    UNUSED_PARAMETER(pUsage);
    Warning( "wglGetFrameUsageI3D", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglQueryFrameTrackingI3D(DWORD *pFrameCount, DWORD *pMissedFrames, float *pLastMissedUsage)
{
    UNUSED_PARAMETER(pFrameCount);
    UNUSED_PARAMETER(pMissedFrames);
    UNUSED_PARAMETER(pLastMissedUsage);
    Warning( "wglQueryFrameTrackingI3D", " not available." );
    return 0;
  }

// WGL_NV_DX_interop

  static BOOL REGAL_CALL wglDXCloseDeviceNV(HANDLE hDevice)
{
    UNUSED_PARAMETER(hDevice);
    Warning( "wglDXCloseDeviceNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglDXLockObjectsNV(HANDLE hDevice, GLint count, HANDLE *hObjects)
{
    UNUSED_PARAMETER(hDevice);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(hObjects);
    Warning( "wglDXLockObjectsNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglDXObjectAccessNV(HANDLE hObject, GLenum access)
{
    UNUSED_PARAMETER(hObject);
    UNUSED_PARAMETER(access);
    Warning( "wglDXObjectAccessNV", " not available." );
    return 0;
  }

  static HANDLE REGAL_CALL wglDXOpenDeviceNV(GLvoid *dxDevice)
{
    UNUSED_PARAMETER(dxDevice);
    Warning( "wglDXOpenDeviceNV", " not available." );
    return 0;
  }

  static HANDLE REGAL_CALL wglDXRegisterObjectNV(HANDLE hDevice, GLvoid *dxObject, GLuint name, GLenum type, GLenum access)
{
    UNUSED_PARAMETER(hDevice);
    UNUSED_PARAMETER(dxObject);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(access);
    Warning( "wglDXRegisterObjectNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglDXSetResourceShareHandleNV(GLvoid *dxObject, HANDLE shareHandle)
{
    UNUSED_PARAMETER(dxObject);
    UNUSED_PARAMETER(shareHandle);
    Warning( "wglDXSetResourceShareHandleNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglDXUnlockObjectsNV(HANDLE hDevice, GLint count, HANDLE *hObjects)
{
    UNUSED_PARAMETER(hDevice);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(hObjects);
    Warning( "wglDXUnlockObjectsNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglDXUnregisterObjectNV(HANDLE hDevice, HANDLE hObject)
{
    UNUSED_PARAMETER(hDevice);
    UNUSED_PARAMETER(hObject);
    Warning( "wglDXUnregisterObjectNV", " not available." );
    return 0;
  }

// WGL_NV_copy_image

  static BOOL REGAL_CALL wglCopyImageSubDataNV(HGLRC hSrcRC, GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, HGLRC hDstRC, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei width, GLsizei height, GLsizei depth)
{
    UNUSED_PARAMETER(hSrcRC);
    UNUSED_PARAMETER(srcName);
    UNUSED_PARAMETER(srcTarget);
    UNUSED_PARAMETER(srcLevel);
    UNUSED_PARAMETER(srcX);
    UNUSED_PARAMETER(srcY);
    UNUSED_PARAMETER(srcZ);
    UNUSED_PARAMETER(hDstRC);
    UNUSED_PARAMETER(dstName);
    UNUSED_PARAMETER(dstTarget);
    UNUSED_PARAMETER(dstLevel);
    UNUSED_PARAMETER(dstX);
    UNUSED_PARAMETER(dstY);
    UNUSED_PARAMETER(dstZ);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    Warning( "wglCopyImageSubDataNV", " not available." );
    return 0;
  }

// WGL_NV_delay_before_swap

  static BOOL REGAL_CALL wglDelayBeforeSwapNV(HDC hDC, GLfloat seconds)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(seconds);
    Warning( "wglDelayBeforeSwapNV", " not available." );
    return 0;
  }

// WGL_NV_gpu_affinity

  static HDC REGAL_CALL wglCreateAffinityDCNV(const HGPUNV *phGpuList)
{
    UNUSED_PARAMETER(phGpuList);
    Warning( "wglCreateAffinityDCNV", " not available." );
    return NULL;
  }

  static BOOL REGAL_CALL wglDeleteDCNV(HDC hAffinityDC)
{
    UNUSED_PARAMETER(hAffinityDC);
    Warning( "wglDeleteDCNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglEnumGpuDevicesNV(HGPUNV hGpu, UINT iDeviceIndex, PGPU_DEVICE lpGpuDevice)
{
    UNUSED_PARAMETER(hGpu);
    UNUSED_PARAMETER(iDeviceIndex);
    UNUSED_PARAMETER(lpGpuDevice);
    Warning( "wglEnumGpuDevicesNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglEnumGpusFromAffinityDCNV(HDC hAffinityDC, UINT iGpuIndex, HGPUNV *hGpu)
{
    UNUSED_PARAMETER(hAffinityDC);
    UNUSED_PARAMETER(iGpuIndex);
    UNUSED_PARAMETER(hGpu);
    Warning( "wglEnumGpusFromAffinityDCNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglEnumGpusNV(UINT iGpuIndex, HGPUNV *phGpu)
{
    UNUSED_PARAMETER(iGpuIndex);
    UNUSED_PARAMETER(phGpu);
    Warning( "wglEnumGpusNV", " not available." );
    return 0;
  }

// WGL_NV_present_video

  static BOOL REGAL_CALL wglBindVideoDeviceNV(HDC hDC, unsigned int uVideoSlot, HVIDEOOUTPUTDEVICENV hVideoDevice, const int *piAttribList)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(uVideoSlot);
    UNUSED_PARAMETER(hVideoDevice);
    UNUSED_PARAMETER(piAttribList);
    Warning( "wglBindVideoDeviceNV", " not available." );
    return 0;
  }

  static int REGAL_CALL wglEnumerateVideoDevicesNV(HDC hDC, HVIDEOOUTPUTDEVICENV *phDeviceList)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(phDeviceList);
    Warning( "wglEnumerateVideoDevicesNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglQueryCurrentContextNV(int iAttribute, int *piValue)
{
    UNUSED_PARAMETER(iAttribute);
    UNUSED_PARAMETER(piValue);
    Warning( "wglQueryCurrentContextNV", " not available." );
    return 0;
  }

// WGL_NV_swap_group

  static BOOL REGAL_CALL wglBindSwapBarrierNV(GLuint group, GLuint barrier)
{
    UNUSED_PARAMETER(group);
    UNUSED_PARAMETER(barrier);
    Warning( "wglBindSwapBarrierNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglJoinSwapGroupNV(HDC hDC, GLuint group)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(group);
    Warning( "wglJoinSwapGroupNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglQueryFrameCountNV(HDC hDC, GLuint *count)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(count);
    Warning( "wglQueryFrameCountNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglQueryMaxSwapGroupsNV(HDC hDC, GLuint *maxGroups, GLuint *maxBarriers)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(maxGroups);
    UNUSED_PARAMETER(maxBarriers);
    Warning( "wglQueryMaxSwapGroupsNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglQuerySwapGroupNV(HDC hDC, GLuint *group, GLuint *barrier)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(group);
    UNUSED_PARAMETER(barrier);
    Warning( "wglQuerySwapGroupNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglResetFrameCountNV(HDC hDC)
{
    UNUSED_PARAMETER(hDC);
    Warning( "wglResetFrameCountNV", " not available." );
    return 0;
  }

// WGL_NV_vertex_array_range

  static void *REGAL_CALL wglAllocateMemoryNV(GLsizei size, GLfloat readfreq, GLfloat writefreq, GLfloat priority)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(readfreq);
    UNUSED_PARAMETER(writefreq);
    UNUSED_PARAMETER(priority);
    Warning( "wglAllocateMemoryNV", " not available." );
    return NULL;
  }

  static void REGAL_CALL wglFreeMemoryNV(void *pointer)
{
    UNUSED_PARAMETER(pointer);
    Warning( "wglFreeMemoryNV", " not available." );
  }

// WGL_NV_video_capture

  static BOOL REGAL_CALL wglBindVideoCaptureDeviceNV(UINT uVideoSlot, HVIDEOINPUTDEVICENV hDevice)
{
    UNUSED_PARAMETER(uVideoSlot);
    UNUSED_PARAMETER(hDevice);
    Warning( "wglBindVideoCaptureDeviceNV", " not available." );
    return 0;
  }

  static UINT REGAL_CALL wglEnumerateVideoCaptureDevicesNV(HDC hDC, HVIDEOINPUTDEVICENV *phDeviceList)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(phDeviceList);
    Warning( "wglEnumerateVideoCaptureDevicesNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglLockVideoCaptureDeviceNV(HDC hDC, HVIDEOINPUTDEVICENV hDevice)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(hDevice);
    Warning( "wglLockVideoCaptureDeviceNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglQueryVideoCaptureDeviceNV(HDC hDC, HVIDEOINPUTDEVICENV hDevice, int iAttribute, int *piValue)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(hDevice);
    UNUSED_PARAMETER(iAttribute);
    UNUSED_PARAMETER(piValue);
    Warning( "wglQueryVideoCaptureDeviceNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglReleaseVideoCaptureDeviceNV(HDC hDC, HVIDEOINPUTDEVICENV hDevice)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(hDevice);
    Warning( "wglReleaseVideoCaptureDeviceNV", " not available." );
    return 0;
  }

// WGL_NV_video_output

  static BOOL REGAL_CALL wglBindVideoImageNV(HPVIDEODEV hVideoDevice, HPBUFFERARB hPbuffer, int iVideoBuffer)
{
    UNUSED_PARAMETER(hVideoDevice);
    UNUSED_PARAMETER(hPbuffer);
    UNUSED_PARAMETER(iVideoBuffer);
    Warning( "wglBindVideoImageNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGetVideoDeviceNV(HDC hDC, int numDevices, HPVIDEODEV *hVideoDevice)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(numDevices);
    UNUSED_PARAMETER(hVideoDevice);
    Warning( "wglGetVideoDeviceNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGetVideoInfoNV(HPVIDEODEV hpVideoDevice, unsigned long *pulCounterOutputPbuffer, unsigned long *pulCounterOutputVideo)
{
    UNUSED_PARAMETER(hpVideoDevice);
    UNUSED_PARAMETER(pulCounterOutputPbuffer);
    UNUSED_PARAMETER(pulCounterOutputVideo);
    Warning( "wglGetVideoInfoNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglReleaseVideoDeviceNV(HPVIDEODEV hVideoDevice)
{
    UNUSED_PARAMETER(hVideoDevice);
    Warning( "wglReleaseVideoDeviceNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglReleaseVideoImageNV(HPBUFFERARB hPbuffer, int iVideoBuffer)
{
    UNUSED_PARAMETER(hPbuffer);
    UNUSED_PARAMETER(iVideoBuffer);
    Warning( "wglReleaseVideoImageNV", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglSendPbufferToVideoNV(HPBUFFERARB hPbuffer, int iBufferType, unsigned long *pulCounterPbuffer, BOOL bBlock)
{
    UNUSED_PARAMETER(hPbuffer);
    UNUSED_PARAMETER(iBufferType);
    UNUSED_PARAMETER(pulCounterPbuffer);
    UNUSED_PARAMETER(bBlock);
    Warning( "wglSendPbufferToVideoNV", " not available." );
    return 0;
  }

// WGL_OML_sync_control

  static BOOL REGAL_CALL wglGetMscRateOML(HDC hDC, INT32 *numerator, INT32 *denominator)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(numerator);
    UNUSED_PARAMETER(denominator);
    Warning( "wglGetMscRateOML", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglGetSyncValuesOML(HDC hDC, INT64 *ust, INT64 *msc, INT64 *sbc)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(ust);
    UNUSED_PARAMETER(msc);
    UNUSED_PARAMETER(sbc);
    Warning( "wglGetSyncValuesOML", " not available." );
    return 0;
  }

  static INT64 REGAL_CALL wglSwapBuffersMscOML(HDC hDC, INT64 target_msc, INT64 divisor, INT64 remainder)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(target_msc);
    UNUSED_PARAMETER(divisor);
    UNUSED_PARAMETER(remainder);
    Warning( "wglSwapBuffersMscOML", " not available." );
    return 0;
  }

  static INT64 REGAL_CALL wglSwapLayerBuffersMscOML(HDC hDC, int fuPlanes, INT64 target_msc, INT64 divisor, INT64 remainder)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(fuPlanes);
    UNUSED_PARAMETER(target_msc);
    UNUSED_PARAMETER(divisor);
    UNUSED_PARAMETER(remainder);
    Warning( "wglSwapLayerBuffersMscOML", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglWaitForMscOML(HDC hDC, INT64 target_msc, INT64 divisor, INT64 remainder, INT64 *ust, INT64 *msc, INT64 *sbc)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(target_msc);
    UNUSED_PARAMETER(divisor);
    UNUSED_PARAMETER(remainder);
    UNUSED_PARAMETER(ust);
    UNUSED_PARAMETER(msc);
    UNUSED_PARAMETER(sbc);
    Warning( "wglWaitForMscOML", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglWaitForSbcOML(HDC hDC, INT64 target_sbc, INT64 *ust, INT64 *msc, INT64 *sbc)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(target_sbc);
    UNUSED_PARAMETER(ust);
    UNUSED_PARAMETER(msc);
    UNUSED_PARAMETER(sbc);
    Warning( "wglWaitForSbcOML", " not available." );
    return 0;
  }

// WGL_core

  static BOOL REGAL_CALL wglCopyContext(HGLRC hglrcSrc, HGLRC hglrcDst, UINT mask)
{
    UNUSED_PARAMETER(hglrcSrc);
    UNUSED_PARAMETER(hglrcDst);
    UNUSED_PARAMETER(mask);
    Warning( "wglCopyContext", " not available." );
    return 0;
  }

  static HGLRC REGAL_CALL wglCreateContext(HDC hDC)
{
    UNUSED_PARAMETER(hDC);
    Warning( "wglCreateContext", " not available." );
    return NULL;
  }

  static HGLRC REGAL_CALL wglCreateLayerContext(HDC hDC, int iLayerPlane)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iLayerPlane);
    Warning( "wglCreateLayerContext", " not available." );
    return NULL;
  }

  static BOOL REGAL_CALL wglDeleteContext(HGLRC hglrc)
{
    UNUSED_PARAMETER(hglrc);
    Warning( "wglDeleteContext", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglDescribeLayerPlane(HDC hDC, int iPixelFormat, int iLayerPlane, UINT nBytes, LPLAYERPLANEDESCRIPTOR plpd)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iPixelFormat);
    UNUSED_PARAMETER(iLayerPlane);
    UNUSED_PARAMETER(nBytes);
    UNUSED_PARAMETER(plpd);
    Warning( "wglDescribeLayerPlane", " not available." );
    return 0;
  }

  static HGLRC REGAL_CALL wglGetCurrentContext(void)
{
    Warning( "wglGetCurrentContext", " not available." );
    return NULL;
  }

  static HDC REGAL_CALL wglGetCurrentDC(void)
{
    Warning( "wglGetCurrentDC", " not available." );
    return NULL;
  }

  static PROC REGAL_CALL wglGetDefaultProcAddress(LPCSTR lpszProc)
{
    UNUSED_PARAMETER(lpszProc);
    Warning( "wglGetDefaultProcAddress", " not available." );
    return NULL;
  }

  static int REGAL_CALL wglGetLayerPaletteEntries(HDC hDC, int iLayerPlane, int iStart, int nEntries, COLORREF *pcr)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iLayerPlane);
    UNUSED_PARAMETER(iStart);
    UNUSED_PARAMETER(nEntries);
    UNUSED_PARAMETER(pcr);
    Warning( "wglGetLayerPaletteEntries", " not available." );
    return 0;
  }

  static PROC REGAL_CALL wglGetProcAddress(LPCSTR lpszProc)
{
    UNUSED_PARAMETER(lpszProc);
    Warning( "wglGetProcAddress", " not available." );
    return NULL;
  }

  static BOOL REGAL_CALL wglMakeCurrent(HDC hDC, HGLRC hglrc)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(hglrc);
    Warning( "wglMakeCurrent", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglRealizeLayerPalette(HDC hDC, int iLayerPlane, BOOL bRealize)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iLayerPlane);
    UNUSED_PARAMETER(bRealize);
    Warning( "wglRealizeLayerPalette", " not available." );
    return 0;
  }

  static int REGAL_CALL wglSetLayerPaletteEntries(HDC hDC, int iLayerPlane, int iStart, int nEntries, const COLORREF *pcr)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(iLayerPlane);
    UNUSED_PARAMETER(iStart);
    UNUSED_PARAMETER(nEntries);
    UNUSED_PARAMETER(pcr);
    Warning( "wglSetLayerPaletteEntries", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglShareLists(HGLRC hglrcShare, HGLRC hglrcSrc)
{
    UNUSED_PARAMETER(hglrcShare);
    UNUSED_PARAMETER(hglrcSrc);
    Warning( "wglShareLists", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglSwapLayerBuffers(HDC hDC, UINT fuPlanes)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(fuPlanes);
    Warning( "wglSwapLayerBuffers", " not available." );
    return 0;
  }

  static DWORD REGAL_CALL wglSwapMultipleBuffers(UINT n, const WGLSWAP *ps)
{
    UNUSED_PARAMETER(n);
    UNUSED_PARAMETER(ps);
    Warning( "wglSwapMultipleBuffers", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglUseFontBitmapsA(HDC hDC, DWORD first, DWORD count, DWORD listBase)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(listBase);
    Warning( "wglUseFontBitmapsA", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglUseFontBitmapsW(HDC hDC, DWORD first, DWORD count, DWORD listBase)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(listBase);
    Warning( "wglUseFontBitmapsW", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglUseFontOutlinesA(HDC hDC, DWORD first, DWORD count, DWORD listBase, FLOAT deviation, FLOAT extrusion, int format, LPGLYPHMETRICSFLOAT lpgmf)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(listBase);
    UNUSED_PARAMETER(deviation);
    UNUSED_PARAMETER(extrusion);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(lpgmf);
    Warning( "wglUseFontOutlinesA", " not available." );
    return 0;
  }

  static BOOL REGAL_CALL wglUseFontOutlinesW(HDC hDC, DWORD first, DWORD count, DWORD listBase, FLOAT deviation, FLOAT extrusion, int format, LPGLYPHMETRICSFLOAT lpgmf)
{
    UNUSED_PARAMETER(hDC);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(listBase);
    UNUSED_PARAMETER(deviation);
    UNUSED_PARAMETER(extrusion);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(lpgmf);
    Warning( "wglUseFontOutlinesW", " not available." );
    return 0;
  }

#endif // REGAL_SYS_WGL

#if REGAL_SYS_GLX

// GLX_VERSION_1_0

  static XVisualInfo *REGAL_CALL glXChooseVisual(Display *dpy, int screen, int *attribList)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(attribList);
    Warning( "glXChooseVisual", " not available." );
    return NULL;
  }

  static void REGAL_CALL glXCopyContext(Display *dpy, GLXContext src, GLXContext dst, unsigned long mask)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(src);
    UNUSED_PARAMETER(dst);
    UNUSED_PARAMETER(mask);
    Warning( "glXCopyContext", " not available." );
  }

  static GLXContext REGAL_CALL glXCreateContext(Display *dpy, XVisualInfo *vis, GLXContext shareList, Bool direct)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(vis);
    UNUSED_PARAMETER(shareList);
    UNUSED_PARAMETER(direct);
    Warning( "glXCreateContext", " not available." );
    return 0;
  }

  static GLXPixmap REGAL_CALL glXCreateGLXPixmap(Display *dpy, XVisualInfo *vis, Pixmap pixmap)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(vis);
    UNUSED_PARAMETER(pixmap);
    Warning( "glXCreateGLXPixmap", " not available." );
    return 0;
  }

  static void REGAL_CALL glXDestroyContext(Display *dpy, GLXContext ctx)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(ctx);
    Warning( "glXDestroyContext", " not available." );
  }

  static void REGAL_CALL glXDestroyGLXPixmap(Display *dpy, GLXPixmap pix)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(pix);
    Warning( "glXDestroyGLXPixmap", " not available." );
  }

  static int REGAL_CALL glXGetConfig(Display *dpy, XVisualInfo *vis, int attrib, int *value)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(vis);
    UNUSED_PARAMETER(attrib);
    UNUSED_PARAMETER(value);
    Warning( "glXGetConfig", " not available." );
    return 0;
  }

  static GLXContext REGAL_CALL glXGetCurrentContext(void)
{
    Warning( "glXGetCurrentContext", " not available." );
    return 0;
  }

  static GLXDrawable REGAL_CALL glXGetCurrentDrawable(void)
{
    Warning( "glXGetCurrentDrawable", " not available." );
    return 0;
  }

  static Bool REGAL_CALL glXIsDirect(Display *dpy, GLXContext ctx)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(ctx);
    Warning( "glXIsDirect", " not available." );
    return (Bool) 0;
  }

  static Bool REGAL_CALL glXMakeCurrent(Display *dpy, GLXDrawable drawable, GLXContext ctx)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(ctx);
    Warning( "glXMakeCurrent", " not available." );
    return (Bool) 0;
  }

  static Bool REGAL_CALL glXQueryExtension(Display *dpy, int *errorBase, int *eventBase)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(errorBase);
    UNUSED_PARAMETER(eventBase);
    Warning( "glXQueryExtension", " not available." );
    return (Bool) 0;
  }

  static Bool REGAL_CALL glXQueryVersion(Display *dpy, int *major, int *minor)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(major);
    UNUSED_PARAMETER(minor);
    Warning( "glXQueryVersion", " not available." );
    return (Bool) 0;
  }

  static void REGAL_CALL glXSwapBuffers(Display *dpy, GLXDrawable drawable)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    Warning( "glXSwapBuffers", " not available." );
  }

  static void REGAL_CALL glXUseXFont(Font font, int first, int count, int listBase)
{
    UNUSED_PARAMETER(font);
    UNUSED_PARAMETER(first);
    UNUSED_PARAMETER(count);
    UNUSED_PARAMETER(listBase);
    Warning( "glXUseXFont", " not available." );
  }

  static void REGAL_CALL glXWaitGL(void)
{
    Warning( "glXWaitGL", " not available." );
  }

  static void REGAL_CALL glXWaitX(void)
{
    Warning( "glXWaitX", " not available." );
  }

// GLX_VERSION_1_1

  static const char *REGAL_CALL glXGetClientString(Display *dpy, int name)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(name);
    Warning( "glXGetClientString", " not available." );
    return NULL;
  }

  static const char *REGAL_CALL glXQueryExtensionsString(Display *dpy, int screen)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    Warning( "glXQueryExtensionsString", " not available." );
    return NULL;
  }

  static const char *REGAL_CALL glXQueryServerString(Display *dpy, int screen, int name)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(name);
    Warning( "glXQueryServerString", " not available." );
    return NULL;
  }

// GLX_VERSION_1_2

  static Display *REGAL_CALL glXGetCurrentDisplay(void)
{
    Warning( "glXGetCurrentDisplay", " not available." );
    return NULL;
  }

// GLX_VERSION_1_3

  static GLXFBConfig *REGAL_CALL glXChooseFBConfig(Display *dpy, int screen, const int *attrib_list, int *nelements)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(attrib_list);
    UNUSED_PARAMETER(nelements);
    Warning( "glXChooseFBConfig", " not available." );
    return NULL;
  }

  static GLXContext REGAL_CALL glXCreateNewContext(Display *dpy, GLXFBConfig config, int render_type, GLXContext share_list, Bool direct)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(render_type);
    UNUSED_PARAMETER(share_list);
    UNUSED_PARAMETER(direct);
    Warning( "glXCreateNewContext", " not available." );
    return 0;
  }

  static GLXPbuffer REGAL_CALL glXCreatePbuffer(Display *dpy, GLXFBConfig config, const int *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(attrib_list);
    Warning( "glXCreatePbuffer", " not available." );
    return 0;
  }

  static GLXPixmap REGAL_CALL glXCreatePixmap(Display *dpy, GLXFBConfig config, Pixmap pixmap, const int *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(pixmap);
    UNUSED_PARAMETER(attrib_list);
    Warning( "glXCreatePixmap", " not available." );
    return 0;
  }

  static GLXWindow REGAL_CALL glXCreateWindow(Display *dpy, GLXFBConfig config, Window win, const int *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(win);
    UNUSED_PARAMETER(attrib_list);
    Warning( "glXCreateWindow", " not available." );
    return 0;
  }

  static void REGAL_CALL glXDestroyPbuffer(Display *dpy, GLXPbuffer pbuf)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(pbuf);
    Warning( "glXDestroyPbuffer", " not available." );
  }

  static void REGAL_CALL glXDestroyPixmap(Display *dpy, GLXPixmap pixmap)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(pixmap);
    Warning( "glXDestroyPixmap", " not available." );
  }

  static void REGAL_CALL glXDestroyWindow(Display *dpy, GLXWindow win)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(win);
    Warning( "glXDestroyWindow", " not available." );
  }

  static GLXDrawable REGAL_CALL glXGetCurrentReadDrawable(void)
{
    Warning( "glXGetCurrentReadDrawable", " not available." );
    return 0;
  }

  static int REGAL_CALL glXGetFBConfigAttrib(Display *dpy, GLXFBConfig config, int attribute, int *value)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "glXGetFBConfigAttrib", " not available." );
    return 0;
  }

  static GLXFBConfig *REGAL_CALL glXGetFBConfigs(Display *dpy, int screen, int *nelements)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(nelements);
    Warning( "glXGetFBConfigs", " not available." );
    return NULL;
  }

  static void REGAL_CALL glXGetSelectedEvent(Display *dpy, GLXDrawable draw, unsigned long *event_mask)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(draw);
    UNUSED_PARAMETER(event_mask);
    Warning( "glXGetSelectedEvent", " not available." );
  }

  static XVisualInfo *REGAL_CALL glXGetVisualFromFBConfig(Display *dpy, GLXFBConfig config)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    Warning( "glXGetVisualFromFBConfig", " not available." );
    return NULL;
  }

  static Bool REGAL_CALL glXMakeContextCurrent(Display *display, GLXDrawable draw, GLXDrawable read, GLXContext ctx)
{
    UNUSED_PARAMETER(display);
    UNUSED_PARAMETER(draw);
    UNUSED_PARAMETER(read);
    UNUSED_PARAMETER(ctx);
    Warning( "glXMakeContextCurrent", " not available." );
    return (Bool) 0;
  }

  static int REGAL_CALL glXQueryContext(Display *dpy, GLXContext ctx, int attribute, int *value)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "glXQueryContext", " not available." );
    return 0;
  }

  static void REGAL_CALL glXQueryDrawable(Display *dpy, GLXDrawable draw, int attribute, unsigned int *value)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(draw);
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "glXQueryDrawable", " not available." );
  }

  static void REGAL_CALL glXSelectEvent(Display *dpy, GLXDrawable draw, unsigned long event_mask)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(draw);
    UNUSED_PARAMETER(event_mask);
    Warning( "glXSelectEvent", " not available." );
  }

// GLX_VERSION_1_4

  static __GLXextFuncPtr REGAL_CALL glXGetProcAddress(const GLubyte *procName)
{
    UNUSED_PARAMETER(procName);
    Warning( "glXGetProcAddress", " not available." );
    return NULL;
  }

// GLX_AMD_gpu_association

  static void REGAL_CALL glXBlitContextFramebufferAMD(GLXContext dstCtx, GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1, GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1, GLbitfield mask, GLenum filter)
{
    UNUSED_PARAMETER(dstCtx);
    UNUSED_PARAMETER(srcX0);
    UNUSED_PARAMETER(srcY0);
    UNUSED_PARAMETER(srcX1);
    UNUSED_PARAMETER(srcY1);
    UNUSED_PARAMETER(dstX0);
    UNUSED_PARAMETER(dstY0);
    UNUSED_PARAMETER(dstX1);
    UNUSED_PARAMETER(dstY1);
    UNUSED_PARAMETER(mask);
    UNUSED_PARAMETER(filter);
    Warning( "glXBlitContextFramebufferAMD", " not available." );
  }

  static GLXContext REGAL_CALL glXCreateAssociatedContextAMD(unsigned int id, GLXContext share_list)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(share_list);
    Warning( "glXCreateAssociatedContextAMD", " not available." );
    return 0;
  }

  static GLXContext REGAL_CALL glXCreateAssociatedContextAttribsAMD(unsigned int id, GLXContext share_context, const int *attribList)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(share_context);
    UNUSED_PARAMETER(attribList);
    Warning( "glXCreateAssociatedContextAttribsAMD", " not available." );
    return 0;
  }

  static Bool REGAL_CALL glXDeleteAssociatedContextAMD(GLXContext ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "glXDeleteAssociatedContextAMD", " not available." );
    return (Bool) 0;
  }

  static unsigned int REGAL_CALL glXGetContextGPUIDAMD(GLXContext ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "glXGetContextGPUIDAMD", " not available." );
    return (unsigned int) 0;
  }

  static GLXContext REGAL_CALL glXGetCurrentAssociatedContextAMD(void)
{
    Warning( "glXGetCurrentAssociatedContextAMD", " not available." );
    return 0;
  }

  static unsigned int REGAL_CALL glXGetGPUIDsAMD(unsigned int maxCount, unsigned int *ids)
{
    UNUSED_PARAMETER(maxCount);
    UNUSED_PARAMETER(ids);
    Warning( "glXGetGPUIDsAMD", " not available." );
    return (unsigned int) 0;
  }

  static int REGAL_CALL glXGetGPUInfoAMD(unsigned int id, int property, GLenum dataType, unsigned int size, GLvoid *data)
{
    UNUSED_PARAMETER(id);
    UNUSED_PARAMETER(property);
    UNUSED_PARAMETER(dataType);
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(data);
    Warning( "glXGetGPUInfoAMD", " not available." );
    return 0;
  }

  static Bool REGAL_CALL glXMakeAssociatedContextCurrentAMD(GLXContext ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "glXMakeAssociatedContextCurrentAMD", " not available." );
    return (Bool) 0;
  }

// GLX_ARB_create_context

  static GLXContext REGAL_CALL glXCreateContextAttribsARB(Display *dpy, GLXFBConfig config, GLXContext share_context, Bool direct, const int *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(share_context);
    UNUSED_PARAMETER(direct);
    UNUSED_PARAMETER(attrib_list);
    Warning( "glXCreateContextAttribsARB", " not available." );
    return 0;
  }

// GLX_ARB_get_proc_address

  static __GLXextFuncPtr REGAL_CALL glXGetProcAddressARB(const GLubyte *procName)
{
    UNUSED_PARAMETER(procName);
    Warning( "glXGetProcAddressARB", " not available." );
    return NULL;
  }

// GLX_ATI_render_texture

  static void REGAL_CALL glXBindTexImageATI(Display *dpy, GLXPbuffer pbuf, int buffer)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(pbuf);
    UNUSED_PARAMETER(buffer);
    Warning( "glXBindTexImageATI", " not available." );
  }

  static void REGAL_CALL glXDrawableAttribATI(Display *dpy, GLXDrawable draw, const int *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(draw);
    UNUSED_PARAMETER(attrib_list);
    Warning( "glXDrawableAttribATI", " not available." );
  }

  static void REGAL_CALL glXReleaseTexImageATI(Display *dpy, GLXPbuffer pbuf, int buffer)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(pbuf);
    UNUSED_PARAMETER(buffer);
    Warning( "glXReleaseTexImageATI", " not available." );
  }

// GLX_EXT_import_context

  static void REGAL_CALL glXFreeContextEXT(Display *dpy, GLXContext context)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(context);
    Warning( "glXFreeContextEXT", " not available." );
  }

  static GLXContextID REGAL_CALL glXGetContextIDEXT(const GLXContext context)
{
    UNUSED_PARAMETER(context);
    Warning( "glXGetContextIDEXT", " not available." );
    return 0;
  }

  static GLXContext REGAL_CALL glXImportContextEXT(Display *dpy, GLXContextID contextID)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(contextID);
    Warning( "glXImportContextEXT", " not available." );
    return 0;
  }

  static int REGAL_CALL glXQueryContextInfoEXT(Display *dpy, GLXContext context, int attribute, int *value)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(context);
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "glXQueryContextInfoEXT", " not available." );
    return 0;
  }

// GLX_EXT_swap_control

  static void REGAL_CALL glXSwapIntervalEXT(Display *dpy, GLXDrawable drawable, int interval)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(interval);
    Warning( "glXSwapIntervalEXT", " not available." );
  }

// GLX_EXT_texture_from_pixmap

  static void REGAL_CALL glXBindTexImageEXT(Display *display, GLXDrawable drawable, int buffer, const int *attrib_list)
{
    UNUSED_PARAMETER(display);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(attrib_list);
    Warning( "glXBindTexImageEXT", " not available." );
  }

  static void REGAL_CALL glXReleaseTexImageEXT(Display *display, GLXDrawable drawable, int buffer)
{
    UNUSED_PARAMETER(display);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(buffer);
    Warning( "glXReleaseTexImageEXT", " not available." );
  }

// GLX_MESA_agp_offset

  static unsigned int REGAL_CALL glXGetAGPOffsetMESA(const void *pointer)
{
    UNUSED_PARAMETER(pointer);
    Warning( "glXGetAGPOffsetMESA", " not available." );
    return (unsigned int) 0;
  }

// GLX_MESA_copy_sub_buffer

  static void REGAL_CALL glXCopySubBufferMESA(Display *dpy, GLXDrawable drawable, int x, int y, int width, int height)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "glXCopySubBufferMESA", " not available." );
  }

// GLX_MESA_pixmap_colormap

  static GLXPixmap REGAL_CALL glXCreateGLXPixmapMESA(Display *dpy, XVisualInfo *visual, Pixmap pixmap, Colormap cmap)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(visual);
    UNUSED_PARAMETER(pixmap);
    UNUSED_PARAMETER(cmap);
    Warning( "glXCreateGLXPixmapMESA", " not available." );
    return 0;
  }

// GLX_MESA_query_renderer

  static Bool REGAL_CALL glXQueryCurrentRendererIntegerMESA(int attribute, unsigned int *value)
{
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "glXQueryCurrentRendererIntegerMESA", " not available." );
    return (Bool) 0;
  }

  static const char *REGAL_CALL glXQueryCurrentRendererStringMESA(int attribute)
{
    UNUSED_PARAMETER(attribute);
    Warning( "glXQueryCurrentRendererStringMESA", " not available." );
    return NULL;
  }

  static Bool REGAL_CALL glXQueryRendererIntegerMESA(Display *dpy, int screen, int renderer, int attribute, unsigned int *value)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(renderer);
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "glXQueryRendererIntegerMESA", " not available." );
    return (Bool) 0;
  }

  static const char *REGAL_CALL glXQueryRendererStringMESA(Display *dpy, int screen, int renderer, int attribute)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(renderer);
    UNUSED_PARAMETER(attribute);
    Warning( "glXQueryRendererStringMESA", " not available." );
    return NULL;
  }

// GLX_MESA_release_buffers

  static Bool REGAL_CALL glXReleaseBuffersMESA(Display *dpy, GLXDrawable d)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(d);
    Warning( "glXReleaseBuffersMESA", " not available." );
    return (Bool) 0;
  }

// GLX_MESA_set_3dfx_mode

  static GLboolean REGAL_CALL glXSet3DfxModeMESA(GLint mode)
{
    UNUSED_PARAMETER(mode);
    Warning( "glXSet3DfxModeMESA", " not available." );
    return GL_FALSE;
  }

// GLX_MESA_swap_control

  static int REGAL_CALL glXGetSwapIntervalMESA(void)
{
    Warning( "glXGetSwapIntervalMESA", " not available." );
    return 0;
  }

  static int REGAL_CALL glXSwapIntervalMESA(unsigned int interval)
{
    UNUSED_PARAMETER(interval);
    Warning( "glXSwapIntervalMESA", " not available." );
    return 0;
  }

// GLX_NV_copy_buffer

  static void REGAL_CALL glXCopyBufferSubDataNV(Display *dpy, GLXContext readCtx, GLXContext writeCtx, GLenum readTarget, GLenum writeTarget, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(readCtx);
    UNUSED_PARAMETER(writeCtx);
    UNUSED_PARAMETER(readTarget);
    UNUSED_PARAMETER(writeTarget);
    UNUSED_PARAMETER(readOffset);
    UNUSED_PARAMETER(writeOffset);
    UNUSED_PARAMETER(size);
    Warning( "glXCopyBufferSubDataNV", " not available." );
  }

  static void REGAL_CALL glXNamedCopyBufferSubDataNV(Display *dpy, GLXContext readCtx, GLXContext writeCtx, GLuint readBuffer, GLuint writeBuffer, GLintptr readOffset, GLintptr writeOffset, GLsizeiptr size)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(readCtx);
    UNUSED_PARAMETER(writeCtx);
    UNUSED_PARAMETER(readBuffer);
    UNUSED_PARAMETER(writeBuffer);
    UNUSED_PARAMETER(readOffset);
    UNUSED_PARAMETER(writeOffset);
    UNUSED_PARAMETER(size);
    Warning( "glXNamedCopyBufferSubDataNV", " not available." );
  }

// GLX_NV_copy_image

  static void REGAL_CALL glXCopyImageSubDataNV(Display *dpy, GLXContext srcCtx, GLuint srcName, GLenum srcTarget, GLint srcLevel, GLint srcX, GLint srcY, GLint srcZ, GLXContext dstCtx, GLuint dstName, GLenum dstTarget, GLint dstLevel, GLint dstX, GLint dstY, GLint dstZ, GLsizei width, GLsizei height, GLsizei depth)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(srcCtx);
    UNUSED_PARAMETER(srcName);
    UNUSED_PARAMETER(srcTarget);
    UNUSED_PARAMETER(srcLevel);
    UNUSED_PARAMETER(srcX);
    UNUSED_PARAMETER(srcY);
    UNUSED_PARAMETER(srcZ);
    UNUSED_PARAMETER(dstCtx);
    UNUSED_PARAMETER(dstName);
    UNUSED_PARAMETER(dstTarget);
    UNUSED_PARAMETER(dstLevel);
    UNUSED_PARAMETER(dstX);
    UNUSED_PARAMETER(dstY);
    UNUSED_PARAMETER(dstZ);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(depth);
    Warning( "glXCopyImageSubDataNV", " not available." );
  }

// GLX_NV_delay_before_swap

  static Bool REGAL_CALL glXDelayBeforeSwapNV(Display *dpy, GLXDrawable drawable, GLfloat seconds)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(seconds);
    Warning( "glXDelayBeforeSwapNV", " not available." );
    return (Bool) 0;
  }

// GLX_NV_present_video

  static int REGAL_CALL glXBindVideoDeviceNV(Display *dpy, unsigned int video_slot, unsigned int video_device, const int *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(video_slot);
    UNUSED_PARAMETER(video_device);
    UNUSED_PARAMETER(attrib_list);
    Warning( "glXBindVideoDeviceNV", " not available." );
    return 0;
  }

  static unsigned int *REGAL_CALL glXEnumerateVideoDevicesNV(Display *dpy, int screen, int *nelements)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(nelements);
    Warning( "glXEnumerateVideoDevicesNV", " not available." );
    return NULL;
  }

// GLX_NV_swap_group

  static Bool REGAL_CALL glXBindSwapBarrierNV(Display *dpy, GLuint group, GLuint barrier)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(group);
    UNUSED_PARAMETER(barrier);
    Warning( "glXBindSwapBarrierNV", " not available." );
    return (Bool) 0;
  }

  static Bool REGAL_CALL glXJoinSwapGroupNV(Display *dpy, GLXDrawable drawable, GLuint group)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(group);
    Warning( "glXJoinSwapGroupNV", " not available." );
    return (Bool) 0;
  }

  static Bool REGAL_CALL glXQueryFrameCountNV(Display *dpy, int screen, GLuint *count)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(count);
    Warning( "glXQueryFrameCountNV", " not available." );
    return (Bool) 0;
  }

  static Bool REGAL_CALL glXQueryMaxSwapGroupsNV(Display *dpy, int screen, GLuint *maxGroups, GLuint *maxBarriers)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(maxGroups);
    UNUSED_PARAMETER(maxBarriers);
    Warning( "glXQueryMaxSwapGroupsNV", " not available." );
    return (Bool) 0;
  }

  static Bool REGAL_CALL glXQuerySwapGroupNV(Display *dpy, GLXDrawable drawable, GLuint *group, GLuint *barrier)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(group);
    UNUSED_PARAMETER(barrier);
    Warning( "glXQuerySwapGroupNV", " not available." );
    return (Bool) 0;
  }

  static Bool REGAL_CALL glXResetFrameCountNV(Display *dpy, int screen)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    Warning( "glXResetFrameCountNV", " not available." );
    return (Bool) 0;
  }

// GLX_NV_vertex_array_range

  static void *REGAL_CALL glXAllocateMemoryNV(GLsizei size, GLfloat readFrequency, GLfloat writeFrequency, GLfloat priority)
{
    UNUSED_PARAMETER(size);
    UNUSED_PARAMETER(readFrequency);
    UNUSED_PARAMETER(writeFrequency);
    UNUSED_PARAMETER(priority);
    Warning( "glXAllocateMemoryNV", " not available." );
    return NULL;
  }

  static void REGAL_CALL glXFreeMemoryNV(void *pointer)
{
    UNUSED_PARAMETER(pointer);
    Warning( "glXFreeMemoryNV", " not available." );
  }

// GLX_NV_video_capture

  static int REGAL_CALL glXBindVideoCaptureDeviceNV(Display *dpy, unsigned int video_capture_slot, GLXVideoCaptureDeviceNV device)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(video_capture_slot);
    UNUSED_PARAMETER(device);
    Warning( "glXBindVideoCaptureDeviceNV", " not available." );
    return 0;
  }

  static GLXVideoCaptureDeviceNV *REGAL_CALL glXEnumerateVideoCaptureDevicesNV(Display *dpy, int screen, int *nelements)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(nelements);
    Warning( "glXEnumerateVideoCaptureDevicesNV", " not available." );
    return NULL;
  }

  static void REGAL_CALL glXLockVideoCaptureDeviceNV(Display *dpy, GLXVideoCaptureDeviceNV device)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(device);
    Warning( "glXLockVideoCaptureDeviceNV", " not available." );
  }

  static int REGAL_CALL glXQueryVideoCaptureDeviceNV(Display *dpy, GLXVideoCaptureDeviceNV device, int attribute, int *value)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(device);
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "glXQueryVideoCaptureDeviceNV", " not available." );
    return 0;
  }

  static void REGAL_CALL glXReleaseVideoCaptureDeviceNV(Display *dpy, GLXVideoCaptureDeviceNV device)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(device);
    Warning( "glXReleaseVideoCaptureDeviceNV", " not available." );
  }

// GLX_NV_video_output

  static int REGAL_CALL glXBindVideoImageNV(Display *dpy, GLXVideoDeviceNV VideoDevice, GLXPbuffer pbuf, int iVideoBuffer)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(VideoDevice);
    UNUSED_PARAMETER(pbuf);
    UNUSED_PARAMETER(iVideoBuffer);
    Warning( "glXBindVideoImageNV", " not available." );
    return 0;
  }

  static int REGAL_CALL glXGetVideoDeviceNV(Display *dpy, int screen, int numVideoDevices, GLXVideoDeviceNV *pVideoDevice)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(numVideoDevices);
    UNUSED_PARAMETER(pVideoDevice);
    Warning( "glXGetVideoDeviceNV", " not available." );
    return 0;
  }

  static int REGAL_CALL glXGetVideoInfoNV(Display *dpy, int screen, GLXVideoDeviceNV VideoDevice, unsigned long *pulCounterOutputPbuffer, unsigned long *pulCounterOutputVideo)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(VideoDevice);
    UNUSED_PARAMETER(pulCounterOutputPbuffer);
    UNUSED_PARAMETER(pulCounterOutputVideo);
    Warning( "glXGetVideoInfoNV", " not available." );
    return 0;
  }

  static int REGAL_CALL glXReleaseVideoDeviceNV(Display *dpy, int screen, GLXVideoDeviceNV VideoDevice)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(VideoDevice);
    Warning( "glXReleaseVideoDeviceNV", " not available." );
    return 0;
  }

  static int REGAL_CALL glXReleaseVideoImageNV(Display *dpy, GLXPbuffer pbuf)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(pbuf);
    Warning( "glXReleaseVideoImageNV", " not available." );
    return 0;
  }

  static int REGAL_CALL glXSendPbufferToVideoNV(Display *dpy, GLXPbuffer pbuf, int iBufferType, unsigned long *pulCounterPbuffer, GLboolean bBlock)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(pbuf);
    UNUSED_PARAMETER(iBufferType);
    UNUSED_PARAMETER(pulCounterPbuffer);
    UNUSED_PARAMETER(bBlock);
    Warning( "glXSendPbufferToVideoNV", " not available." );
    return 0;
  }

// GLX_OML_sync_control

  static Bool REGAL_CALL glXGetMscRateOML(Display *dpy, GLXDrawable drawable, int32_t *numerator, int32_t *denominator)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(numerator);
    UNUSED_PARAMETER(denominator);
    Warning( "glXGetMscRateOML", " not available." );
    return (Bool) 0;
  }

  static Bool REGAL_CALL glXGetSyncValuesOML(Display *dpy, GLXDrawable drawable, int64_t *ust, int64_t *msc, int64_t *sbc)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(ust);
    UNUSED_PARAMETER(msc);
    UNUSED_PARAMETER(sbc);
    Warning( "glXGetSyncValuesOML", " not available." );
    return (Bool) 0;
  }

  static int64_t REGAL_CALL glXSwapBuffersMscOML(Display *dpy, GLXDrawable drawable, int64_t target_msc, int64_t divisor, int64_t remainder)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(target_msc);
    UNUSED_PARAMETER(divisor);
    UNUSED_PARAMETER(remainder);
    Warning( "glXSwapBuffersMscOML", " not available." );
    return (int64_t) 0;
  }

  static Bool REGAL_CALL glXWaitForMscOML(Display *dpy, GLXDrawable drawable, int64_t target_msc, int64_t divisor, int64_t remainder, int64_t *ust, int64_t *msc, int64_t *sbc)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(target_msc);
    UNUSED_PARAMETER(divisor);
    UNUSED_PARAMETER(remainder);
    UNUSED_PARAMETER(ust);
    UNUSED_PARAMETER(msc);
    UNUSED_PARAMETER(sbc);
    Warning( "glXWaitForMscOML", " not available." );
    return (Bool) 0;
  }

  static Bool REGAL_CALL glXWaitForSbcOML(Display *dpy, GLXDrawable drawable, int64_t target_sbc, int64_t *ust, int64_t *msc, int64_t *sbc)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(target_sbc);
    UNUSED_PARAMETER(ust);
    UNUSED_PARAMETER(msc);
    UNUSED_PARAMETER(sbc);
    Warning( "glXWaitForSbcOML", " not available." );
    return (Bool) 0;
  }

// GLX_SGIX_fbconfig

  static GLXFBConfigSGIX *REGAL_CALL glXChooseFBConfigSGIX(Display *dpy, int screen, const int *attrib_list, int *nelements)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(attrib_list);
    UNUSED_PARAMETER(nelements);
    Warning( "glXChooseFBConfigSGIX", " not available." );
    return NULL;
  }

  static GLXContext REGAL_CALL glXCreateContextWithConfigSGIX(Display *dpy, GLXFBConfig config, int render_type, GLXContext share_list, Bool direct)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(render_type);
    UNUSED_PARAMETER(share_list);
    UNUSED_PARAMETER(direct);
    Warning( "glXCreateContextWithConfigSGIX", " not available." );
    return 0;
  }

  static GLXPixmap REGAL_CALL glXCreateGLXPixmapWithConfigSGIX(Display *dpy, GLXFBConfig config, Pixmap pixmap)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(pixmap);
    Warning( "glXCreateGLXPixmapWithConfigSGIX", " not available." );
    return 0;
  }

  static int REGAL_CALL glXGetFBConfigAttribSGIX(Display *dpy, GLXFBConfigSGIX config, int attribute, int *value)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "glXGetFBConfigAttribSGIX", " not available." );
    return 0;
  }

  static GLXFBConfigSGIX REGAL_CALL glXGetFBConfigFromVisualSGIX(Display *dpy, XVisualInfo *vis)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(vis);
    Warning( "glXGetFBConfigFromVisualSGIX", " not available." );
    return 0;
  }

  static XVisualInfo *REGAL_CALL glXGetVisualFromFBConfigSGIX(Display *dpy, GLXFBConfig config)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    Warning( "glXGetVisualFromFBConfigSGIX", " not available." );
    return NULL;
  }

// GLX_SGIX_pbuffer

  static GLXPbuffer REGAL_CALL glXCreateGLXPbufferSGIX(Display *dpy, GLXFBConfig config, unsigned int width, unsigned int height, int *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(attrib_list);
    Warning( "glXCreateGLXPbufferSGIX", " not available." );
    return 0;
  }

  static void REGAL_CALL glXDestroyGLXPbufferSGIX(Display *dpy, GLXPbuffer pbuf)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(pbuf);
    Warning( "glXDestroyGLXPbufferSGIX", " not available." );
  }

  static void REGAL_CALL glXGetSelectedEventSGIX(Display *dpy, GLXDrawable drawable, unsigned long *mask)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(mask);
    Warning( "glXGetSelectedEventSGIX", " not available." );
  }

  static void REGAL_CALL glXQueryGLXPbufferSGIX(Display *dpy, GLXPbuffer pbuf, int attribute, unsigned int *value)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(pbuf);
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "glXQueryGLXPbufferSGIX", " not available." );
  }

  static void REGAL_CALL glXSelectEventSGIX(Display *dpy, GLXDrawable drawable, unsigned long mask)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(mask);
    Warning( "glXSelectEventSGIX", " not available." );
  }

// GLX_SGIX_swap_barrier

  static void REGAL_CALL glXBindSwapBarrierSGIX(Display *dpy, GLXDrawable drawable, int barrier)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(barrier);
    Warning( "glXBindSwapBarrierSGIX", " not available." );
  }

  static Bool REGAL_CALL glXQueryMaxSwapBarriersSGIX(Display *dpy, int screen, int *max)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(max);
    Warning( "glXQueryMaxSwapBarriersSGIX", " not available." );
    return (Bool) 0;
  }

// GLX_SGIX_swap_group

  static void REGAL_CALL glXJoinSwapGroupSGIX(Display *dpy, GLXDrawable drawable, GLXDrawable member)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(drawable);
    UNUSED_PARAMETER(member);
    Warning( "glXJoinSwapGroupSGIX", " not available." );
  }

// GLX_SGIX_video_resize

  static int REGAL_CALL glXBindChannelToWindowSGIX(Display *display, int screen, int channel, Window window)
{
    UNUSED_PARAMETER(display);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(channel);
    UNUSED_PARAMETER(window);
    Warning( "glXBindChannelToWindowSGIX", " not available." );
    return 0;
  }

  static int REGAL_CALL glXChannelRectSGIX(Display *display, int screen, int channel, int x, int y, int w, int h)
{
    UNUSED_PARAMETER(display);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(channel);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(w);
    UNUSED_PARAMETER(h);
    Warning( "glXChannelRectSGIX", " not available." );
    return 0;
  }

  static int REGAL_CALL glXChannelRectSyncSGIX(Display *display, int screen, int channel, GLenum synctype)
{
    UNUSED_PARAMETER(display);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(channel);
    UNUSED_PARAMETER(synctype);
    Warning( "glXChannelRectSyncSGIX", " not available." );
    return 0;
  }

  static int REGAL_CALL glXQueryChannelDeltasSGIX(Display *display, int screen, int channel, int *x, int *y, int *w, int *h)
{
    UNUSED_PARAMETER(display);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(channel);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(w);
    UNUSED_PARAMETER(h);
    Warning( "glXQueryChannelDeltasSGIX", " not available." );
    return 0;
  }

  static int REGAL_CALL glXQueryChannelRectSGIX(Display *display, int screen, int channel, int *dx, int *dy, int *dw, int *dh)
{
    UNUSED_PARAMETER(display);
    UNUSED_PARAMETER(screen);
    UNUSED_PARAMETER(channel);
    UNUSED_PARAMETER(dx);
    UNUSED_PARAMETER(dy);
    UNUSED_PARAMETER(dw);
    UNUSED_PARAMETER(dh);
    Warning( "glXQueryChannelRectSGIX", " not available." );
    return 0;
  }

// GLX_SGI_cushion

  static void REGAL_CALL glXCushionSGI(Display *dpy, Window window, float cushion)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(window);
    UNUSED_PARAMETER(cushion);
    Warning( "glXCushionSGI", " not available." );
  }

// GLX_SGI_make_current_read

  static GLXDrawable REGAL_CALL glXGetCurrentReadDrawableSGI(void)
{
    Warning( "glXGetCurrentReadDrawableSGI", " not available." );
    return 0;
  }

  static Bool REGAL_CALL glXMakeCurrentReadSGI(Display *dpy, GLXDrawable draw, GLXDrawable read, GLXContext ctx)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(draw);
    UNUSED_PARAMETER(read);
    UNUSED_PARAMETER(ctx);
    Warning( "glXMakeCurrentReadSGI", " not available." );
    return (Bool) 0;
  }

// GLX_SGI_swap_control

  static int REGAL_CALL glXSwapIntervalSGI(int interval)
{
    UNUSED_PARAMETER(interval);
    Warning( "glXSwapIntervalSGI", " not available." );
    return 0;
  }

// GLX_SGI_video_sync

  static int REGAL_CALL glXGetVideoSyncSGI(unsigned int *count)
{
    UNUSED_PARAMETER(count);
    Warning( "glXGetVideoSyncSGI", " not available." );
    return 0;
  }

  static int REGAL_CALL glXWaitVideoSyncSGI(int divisor, int remainder, unsigned int *count)
{
    UNUSED_PARAMETER(divisor);
    UNUSED_PARAMETER(remainder);
    UNUSED_PARAMETER(count);
    Warning( "glXWaitVideoSyncSGI", " not available." );
    return 0;
  }

// GLX_SUN_get_transparent_index

  static Status REGAL_CALL glXGetTransparentIndexSUN(Display *dpy, Window overlay, Window underlay, unsigned long *pTransparentIndex)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(overlay);
    UNUSED_PARAMETER(underlay);
    UNUSED_PARAMETER(pTransparentIndex);
    Warning( "glXGetTransparentIndexSUN", " not available." );
    return (Status) 0;
  }

// GLX_SUN_video_resize

  static int REGAL_CALL glXGetVideoResizeSUN(Display *display, GLXDrawable window, float *factor)
{
    UNUSED_PARAMETER(display);
    UNUSED_PARAMETER(window);
    UNUSED_PARAMETER(factor);
    Warning( "glXGetVideoResizeSUN", " not available." );
    return 0;
  }

  static int REGAL_CALL glXVideoResizeSUN(Display *display, GLXDrawable window, float factor)
{
    UNUSED_PARAMETER(display);
    UNUSED_PARAMETER(window);
    UNUSED_PARAMETER(factor);
    Warning( "glXVideoResizeSUN", " not available." );
    return 0;
  }

#endif // REGAL_SYS_GLX

#if REGAL_SYS_OSX

// CGL_VERSION_1_0

  static CGLError REGAL_CALL CGLChoosePixelFormat(const CGLPixelFormatAttribute *attribs, CGLPixelFormatObj *pix, GLint *npix)
{
    UNUSED_PARAMETER(attribs);
    UNUSED_PARAMETER(pix);
    UNUSED_PARAMETER(npix);
    Warning( "CGLChoosePixelFormat", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLClearDrawable(CGLContextObj ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "CGLClearDrawable", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLCopyContext(CGLContextObj src, CGLContextObj dst, GLbitfield mask)
{
    UNUSED_PARAMETER(src);
    UNUSED_PARAMETER(dst);
    UNUSED_PARAMETER(mask);
    Warning( "CGLCopyContext", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLCreateContext(CGLPixelFormatObj pix, CGLContextObj share, CGLContextObj *ctx)
{
    UNUSED_PARAMETER(pix);
    UNUSED_PARAMETER(share);
    UNUSED_PARAMETER(ctx);
    Warning( "CGLCreateContext", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLDescribePixelFormat(CGLPixelFormatObj pix, GLint pix_num, CGLPixelFormatAttribute attrib, GLint *value)
{
    UNUSED_PARAMETER(pix);
    UNUSED_PARAMETER(pix_num);
    UNUSED_PARAMETER(attrib);
    UNUSED_PARAMETER(value);
    Warning( "CGLDescribePixelFormat", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLDescribeRenderer(CGLRendererInfoObj rend, GLint rend_num, CGLRendererProperty prop, GLint *value)
{
    UNUSED_PARAMETER(rend);
    UNUSED_PARAMETER(rend_num);
    UNUSED_PARAMETER(prop);
    UNUSED_PARAMETER(value);
    Warning( "CGLDescribeRenderer", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLDestroyContext(CGLContextObj ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "CGLDestroyContext", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLDestroyPixelFormat(CGLPixelFormatObj pix)
{
    UNUSED_PARAMETER(pix);
    Warning( "CGLDestroyPixelFormat", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLDestroyRendererInfo(CGLRendererInfoObj rend)
{
    UNUSED_PARAMETER(rend);
    Warning( "CGLDestroyRendererInfo", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLDisable(CGLContextObj ctx, CGLContextEnable pname)
{
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(pname);
    Warning( "CGLDisable", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLEnable(CGLContextObj ctx, CGLContextEnable pname)
{
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(pname);
    Warning( "CGLEnable", " not available." );
    return (CGLError) 0;
  }

  static const char *REGAL_CALL CGLErrorString(CGLError error)
{
    UNUSED_PARAMETER(error);
    Warning( "CGLErrorString", " not available." );
    return NULL;
  }

  static CGLError REGAL_CALL CGLFlushDrawable(CGLContextObj ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "CGLFlushDrawable", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLGetOffScreen(CGLContextObj ctx, GLsizei *width, GLsizei *height, GLsizei *rowbytes, void **baseaddr)
{
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(rowbytes);
    UNUSED_PARAMETER(baseaddr);
    Warning( "CGLGetOffScreen", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLGetOption(CGLGlobalOption pname, GLint *param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "CGLGetOption", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLGetParameter(CGLContextObj ctx, CGLContextParameter pname, GLint *params)
{
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "CGLGetParameter", " not available." );
    return (CGLError) 0;
  }

  static void REGAL_CALL CGLGetVersion(GLint *majorvers, GLint *minorvers)
{
    UNUSED_PARAMETER(majorvers);
    UNUSED_PARAMETER(minorvers);
    Warning( "CGLGetVersion", " not available." );
  }

  static CGLError REGAL_CALL CGLGetVirtualScreen(CGLContextObj ctx, GLint *screen)
{
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(screen);
    Warning( "CGLGetVirtualScreen", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLIsEnabled(CGLContextObj ctx, CGLContextEnable pname, GLint *enable)
{
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(enable);
    Warning( "CGLIsEnabled", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLQueryRendererInfo(GLuint display_mask, CGLRendererInfoObj *rend, GLint *nrend)
{
    UNUSED_PARAMETER(display_mask);
    UNUSED_PARAMETER(rend);
    UNUSED_PARAMETER(nrend);
    Warning( "CGLQueryRendererInfo", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLSetFullScreen(CGLContextObj ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "CGLSetFullScreen", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLSetOffScreen(CGLContextObj ctx, GLsizei width, GLsizei height, GLsizei rowbytes, void *baseaddr)
{
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(rowbytes);
    UNUSED_PARAMETER(baseaddr);
    Warning( "CGLSetOffScreen", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLSetOption(CGLGlobalOption pname, GLint param)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(param);
    Warning( "CGLSetOption", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLSetParameter(CGLContextObj ctx, CGLContextParameter pname, const GLint *params)
{
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "CGLSetParameter", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLSetVirtualScreen(CGLContextObj ctx, GLint screen)
{
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(screen);
    Warning( "CGLSetVirtualScreen", " not available." );
    return (CGLError) 0;
  }

// CGL_VERSION_1_1

  static CGLError REGAL_CALL CGLCreatePBuffer(GLsizei width, GLsizei height, GLenum target, GLenum internalFormat, GLint max_level, CGLPBufferObj *pbuffer)
{
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalFormat);
    UNUSED_PARAMETER(max_level);
    UNUSED_PARAMETER(pbuffer);
    Warning( "CGLCreatePBuffer", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLDescribePBuffer(CGLPBufferObj pbuffer, GLsizei *width, GLsizei *height, GLenum *target, GLenum *internalFormat, GLint *mipmap)
{
    UNUSED_PARAMETER(pbuffer);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internalFormat);
    UNUSED_PARAMETER(mipmap);
    Warning( "CGLDescribePBuffer", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLDestroyPBuffer(CGLPBufferObj pbuffer)
{
    UNUSED_PARAMETER(pbuffer);
    Warning( "CGLDestroyPBuffer", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLGetPBuffer(CGLContextObj ctx, CGLPBufferObj *pbuffer, GLenum *face, GLint *level, GLint *screen)
{
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(pbuffer);
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(screen);
    Warning( "CGLGetPBuffer", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLSetPBuffer(CGLContextObj ctx, CGLPBufferObj pbuffer, GLenum face, GLint level, GLint screen)
{
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(pbuffer);
    UNUSED_PARAMETER(face);
    UNUSED_PARAMETER(level);
    UNUSED_PARAMETER(screen);
    Warning( "CGLSetPBuffer", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLTexImagePBuffer(CGLContextObj ctx, CGLPBufferObj pbuffer, GLenum source)
{
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(pbuffer);
    UNUSED_PARAMETER(source);
    Warning( "CGLTexImagePBuffer", " not available." );
    return (CGLError) 0;
  }

// CGL_VERSION_1_2

  static GLuint REGAL_CALL CGLGetContextRetainCount(CGLContextObj ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "CGLGetContextRetainCount", " not available." );
    return 0;
  }

  static CGLError REGAL_CALL CGLGetGlobalOption(CGLGlobalOption pname, GLint *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "CGLGetGlobalOption", " not available." );
    return (CGLError) 0;
  }

  static GLuint REGAL_CALL CGLGetPBufferRetainCount(CGLPBufferObj pbuffer)
{
    UNUSED_PARAMETER(pbuffer);
    Warning( "CGLGetPBufferRetainCount", " not available." );
    return 0;
  }

  static CGLPixelFormatObj REGAL_CALL CGLGetPixelFormat(CGLContextObj ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "CGLGetPixelFormat", " not available." );
    return 0;
  }

  static GLuint REGAL_CALL CGLGetPixelFormatRetainCount(CGLPixelFormatObj pix)
{
    UNUSED_PARAMETER(pix);
    Warning( "CGLGetPixelFormatRetainCount", " not available." );
    return 0;
  }

  static CGLError REGAL_CALL CGLLockContext(CGLContextObj ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "CGLLockContext", " not available." );
    return (CGLError) 0;
  }

  static void REGAL_CALL CGLReleaseContext(CGLContextObj ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "CGLReleaseContext", " not available." );
  }

  static void REGAL_CALL CGLReleasePBuffer(CGLPBufferObj pbuffer)
{
    UNUSED_PARAMETER(pbuffer);
    Warning( "CGLReleasePBuffer", " not available." );
  }

  static void REGAL_CALL CGLReleasePixelFormat(CGLPixelFormatObj pix)
{
    UNUSED_PARAMETER(pix);
    Warning( "CGLReleasePixelFormat", " not available." );
  }

  static CGLContextObj REGAL_CALL CGLRetainContext(CGLContextObj ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "CGLRetainContext", " not available." );
    return 0;
  }

  static CGLPBufferObj REGAL_CALL CGLRetainPBuffer(CGLPBufferObj pbuffer)
{
    UNUSED_PARAMETER(pbuffer);
    Warning( "CGLRetainPBuffer", " not available." );
    return 0;
  }

  static CGLPixelFormatObj REGAL_CALL CGLRetainPixelFormat(CGLPixelFormatObj pix)
{
    UNUSED_PARAMETER(pix);
    Warning( "CGLRetainPixelFormat", " not available." );
    return 0;
  }

  static CGLError REGAL_CALL CGLSetGlobalOption(CGLGlobalOption pname, const GLint *params)
{
    UNUSED_PARAMETER(pname);
    UNUSED_PARAMETER(params);
    Warning( "CGLSetGlobalOption", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLUnlockContext(CGLContextObj ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "CGLUnlockContext", " not available." );
    return (CGLError) 0;
  }

// CGL_VERSION_1_3

  static CGLContextObj REGAL_CALL CGLGetCurrentContext(void)
{
    Warning( "CGLGetCurrentContext", " not available." );
    return 0;
  }

  static CGLShareGroupObj REGAL_CALL CGLGetShareGroup(CGLContextObj ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "CGLGetShareGroup", " not available." );
    return 0;
  }

  static CGLError REGAL_CALL CGLGetSurface(CGLContextObj ctx, CGSConnectionID *conn, CGSWindowID *win, CGSSurfaceID *srf)
{
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(conn);
    UNUSED_PARAMETER(win);
    UNUSED_PARAMETER(srf);
    Warning( "CGLGetSurface", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLSetCurrentContext(CGLContextObj ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "CGLSetCurrentContext", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLSetSurface(CGLContextObj ctx, CGSConnectionID conn, CGSWindowID win, CGSSurfaceID srf)
{
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(conn);
    UNUSED_PARAMETER(win);
    UNUSED_PARAMETER(srf);
    Warning( "CGLSetSurface", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLTexImageIOSurface2D(CGLContextObj ctx, GLenum target, GLenum internal_format, GLsizei width, GLsizei height, GLenum format, GLenum type, IOSurfaceRef ioSurface, GLuint plane)
{
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(internal_format);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    UNUSED_PARAMETER(format);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(ioSurface);
    UNUSED_PARAMETER(plane);
    Warning( "CGLTexImageIOSurface2D", " not available." );
    return (CGLError) 0;
  }

  static CGLError REGAL_CALL CGLUpdateContext(CGLContextObj ctx)
{
    UNUSED_PARAMETER(ctx);
    Warning( "CGLUpdateContext", " not available." );
    return (CGLError) 0;
  }

#endif // REGAL_SYS_OSX

#if REGAL_SYS_EGL

// EGL_ANGLE_query_surface_pointer

  static EGLBoolean REGAL_CALL eglQuerySurfacePointerANGLE(EGLDisplay dpy, EGLSurface surface, EGLint attribute, GLvoid **value)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(surface);
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "eglQuerySurfacePointerANGLE", " not available." );
    return 0;
  }

// EGL_KHR_fence_sync

  static EGLint REGAL_CALL eglClientWaitSyncKHR(EGLDisplay dpy, EGLSyncKHR GLsync, EGLint flags, EGLTimeKHR timeout)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(GLsync);
    UNUSED_PARAMETER(flags);
    UNUSED_PARAMETER(timeout);
    Warning( "eglClientWaitSyncKHR", " not available." );
    return 0;
  }

  static EGLSyncKHR REGAL_CALL eglCreateSyncKHR(EGLDisplay dpy, EGLenum type, const EGLint *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(type);
    UNUSED_PARAMETER(attrib_list);
    Warning( "eglCreateSyncKHR", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglDestroySyncKHR(EGLDisplay dpy, EGLSyncKHR GLsync)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(GLsync);
    Warning( "eglDestroySyncKHR", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglGetSyncAttribKHR(EGLDisplay dpy, EGLSyncKHR GLsync, EGLint attribute, EGLint *value)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(GLsync);
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "eglGetSyncAttribKHR", " not available." );
    return 0;
  }

// EGL_KHR_image_base

  static EGLImageKHR REGAL_CALL eglCreateImageKHR(EGLDisplay dpy, EGLContext ctx, EGLenum target, EGLClientBuffer buffer, const EGLint *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(target);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(attrib_list);
    Warning( "eglCreateImageKHR", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglDestroyImageKHR(EGLDisplay dpy, EGLImageKHR image)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(image);
    Warning( "eglDestroyImageKHR", " not available." );
    return 0;
  }

// EGL_KHR_lock_surface

  static EGLBoolean REGAL_CALL eglLockSurfaceKHR(EGLDisplay display, EGLSurface surface, const EGLint *attrib_list)
{
    UNUSED_PARAMETER(display);
    UNUSED_PARAMETER(surface);
    UNUSED_PARAMETER(attrib_list);
    Warning( "eglLockSurfaceKHR", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglUnlockSurfaceKHR(EGLDisplay display, EGLSurface surface)
{
    UNUSED_PARAMETER(display);
    UNUSED_PARAMETER(surface);
    Warning( "eglUnlockSurfaceKHR", " not available." );
    return 0;
  }

// EGL_KHR_stream_consumer_gltexture

  static EGLBoolean REGAL_CALL eglStreamConsumerAcquireKHR(EGLDisplay dpy, EGLStreamKHR stream)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(stream);
    Warning( "eglStreamConsumerAcquireKHR", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglStreamConsumerGLTextureExternalKHR(EGLDisplay dpy, EGLStreamKHR stream)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(stream);
    Warning( "eglStreamConsumerGLTextureExternalKHR", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglStreamConsumerReleaseKHR(EGLDisplay dpy, EGLStreamKHR stream)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(stream);
    Warning( "eglStreamConsumerReleaseKHR", " not available." );
    return 0;
  }

// EGL_KHR_stream_cross_process_fd

  static EGLStreamKHR REGAL_CALL eglCreateStreamFromFileDescriptorKHR(EGLDisplay dpy, EGLNativeFileDescriptorKHR file_descriptor)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(file_descriptor);
    Warning( "eglCreateStreamFromFileDescriptorKHR", " not available." );
    return 0;
  }

  static EGLNativeFileDescriptorKHR REGAL_CALL eglGetStreamFileDescriptorKHR(EGLDisplay dpy, EGLStreamKHR stream)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(stream);
    Warning( "eglGetStreamFileDescriptorKHR", " not available." );
    return 0;
  }

// EGL_KHR_stream_producer_eglsurface

  static EGLSurface REGAL_CALL eglCreateStreamProducerSurfaceKHR(EGLDisplay dpy, EGLConfig config, EGLStreamKHR stream, const EGLint *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(stream);
    UNUSED_PARAMETER(attrib_list);
    Warning( "eglCreateStreamProducerSurfaceKHR", " not available." );
    return 0;
  }

// EGL_KHR_wait_sync

  static EGLint REGAL_CALL eglWaitSyncKHR(EGLDisplay dpy, EGLSyncKHR GLsync, EGLint flags)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(GLsync);
    UNUSED_PARAMETER(flags);
    Warning( "eglWaitSyncKHR", " not available." );
    return 0;
  }

// EGL_MESA_drm_image

  static EGLImageKHR REGAL_CALL eglCreateDRMImageMESA(EGLDisplay dpy, const EGLint *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(attrib_list);
    Warning( "eglCreateDRMImageMESA", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglExportDRMImageMESA(EGLDisplay dpy, EGLImageKHR image, EGLint *name, EGLint *handle, EGLint *stride)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(image);
    UNUSED_PARAMETER(name);
    UNUSED_PARAMETER(handle);
    UNUSED_PARAMETER(stride);
    Warning( "eglExportDRMImageMESA", " not available." );
    return 0;
  }

// EGL_NV_coverage_sample

  static void REGAL_CALL eglCoverageMaskNV(GLboolean mask)
{
    UNUSED_PARAMETER(mask);
    Warning( "eglCoverageMaskNV", " not available." );
  }

  static void REGAL_CALL eglCoverageOperationNV(GLenum operation)
{
    UNUSED_PARAMETER(operation);
    Warning( "eglCoverageOperationNV", " not available." );
  }

// EGL_NV_post_sub_buffer

  static EGLBoolean REGAL_CALL eglPostSubBufferNV(EGLDisplay dpy, EGLSurface surface, EGLint x, EGLint y, EGLint width, EGLint height)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(surface);
    UNUSED_PARAMETER(x);
    UNUSED_PARAMETER(y);
    UNUSED_PARAMETER(width);
    UNUSED_PARAMETER(height);
    Warning( "eglPostSubBufferNV", " not available." );
    return 0;
  }

// EGL_NV_sync

  static EGLint REGAL_CALL eglClientWaitSyncNV(EGLSyncNV GLsync, EGLint flags, EGLTimeNV timeout)
{
    UNUSED_PARAMETER(GLsync);
    UNUSED_PARAMETER(flags);
    UNUSED_PARAMETER(timeout);
    Warning( "eglClientWaitSyncNV", " not available." );
    return 0;
  }

  static EGLSyncNV REGAL_CALL eglCreateFenceSyncNV(EGLDisplay dpy, EGLenum condition, const EGLint *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(condition);
    UNUSED_PARAMETER(attrib_list);
    Warning( "eglCreateFenceSyncNV", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglDestroySyncNV(EGLSyncNV GLsync)
{
    UNUSED_PARAMETER(GLsync);
    Warning( "eglDestroySyncNV", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglFenceNV(EGLSyncNV GLsync)
{
    UNUSED_PARAMETER(GLsync);
    Warning( "eglFenceNV", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglGetSyncAttribNV(EGLSyncNV GLsync, EGLint attribute, EGLint *value)
{
    UNUSED_PARAMETER(GLsync);
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "eglGetSyncAttribNV", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglSignalSyncNV(EGLSyncNV GLsync, EGLenum mode)
{
    UNUSED_PARAMETER(GLsync);
    UNUSED_PARAMETER(mode);
    Warning( "eglSignalSyncNV", " not available." );
    return 0;
  }

// EGL_NV_system_time

  static EGLuint64NV REGAL_CALL eglGetSystemTimeFrequencyNV(void)
{
    Warning( "eglGetSystemTimeFrequencyNV", " not available." );
    return 0;
  }

  static EGLuint64NV REGAL_CALL eglGetSystemTimeNV(void)
{
    Warning( "eglGetSystemTimeNV", " not available." );
    return 0;
  }

// EGL_VERSION_1_0

  static EGLBoolean REGAL_CALL eglChooseConfig(EGLDisplay dpy, const EGLint *attrib_list, EGLConfig *configs, EGLint config_size, EGLint *num_config)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(attrib_list);
    UNUSED_PARAMETER(configs);
    UNUSED_PARAMETER(config_size);
    UNUSED_PARAMETER(num_config);
    Warning( "eglChooseConfig", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglCopyBuffers(EGLDisplay dpy, EGLSurface surface, EGLNativePixmapType target)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(surface);
    UNUSED_PARAMETER(target);
    Warning( "eglCopyBuffers", " not available." );
    return 0;
  }

  static EGLContext REGAL_CALL eglCreateContext(EGLDisplay dpy, EGLConfig config, EGLContext share_context, const EGLint *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(share_context);
    UNUSED_PARAMETER(attrib_list);
    Warning( "eglCreateContext", " not available." );
    return 0;
  }

  static EGLSurface REGAL_CALL eglCreatePbufferSurface(EGLDisplay dpy, EGLConfig config, const EGLint *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(attrib_list);
    Warning( "eglCreatePbufferSurface", " not available." );
    return 0;
  }

  static EGLSurface REGAL_CALL eglCreatePixmapSurface(EGLDisplay dpy, EGLConfig config, EGLNativePixmapType pixmap, const EGLint *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(pixmap);
    UNUSED_PARAMETER(attrib_list);
    Warning( "eglCreatePixmapSurface", " not available." );
    return 0;
  }

  static EGLSurface REGAL_CALL eglCreateWindowSurface(EGLDisplay dpy, EGLConfig config, EGLNativeWindowType win, const EGLint *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(win);
    UNUSED_PARAMETER(attrib_list);
    Warning( "eglCreateWindowSurface", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglDestroyContext(EGLDisplay dpy, EGLContext ctx)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(ctx);
    Warning( "eglDestroyContext", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglDestroySurface(EGLDisplay dpy, EGLSurface surface)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(surface);
    Warning( "eglDestroySurface", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglGetConfigAttrib(EGLDisplay dpy, EGLConfig config, EGLint attribute, EGLint *value)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "eglGetConfigAttrib", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglGetConfigs(EGLDisplay dpy, EGLConfig *configs, EGLint config_size, EGLint *num_config)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(configs);
    UNUSED_PARAMETER(config_size);
    UNUSED_PARAMETER(num_config);
    Warning( "eglGetConfigs", " not available." );
    return 0;
  }

  static EGLContext REGAL_CALL eglGetCurrentContext(void)
{
    Warning( "eglGetCurrentContext", " not available." );
    return 0;
  }

  static EGLDisplay REGAL_CALL eglGetCurrentDisplay(void)
{
    Warning( "eglGetCurrentDisplay", " not available." );
    return 0;
  }

  static EGLSurface REGAL_CALL eglGetCurrentSurface(EGLint readdraw)
{
    UNUSED_PARAMETER(readdraw);
    Warning( "eglGetCurrentSurface", " not available." );
    return 0;
  }

  static EGLDisplay REGAL_CALL eglGetDisplay(EGLNativeDisplayType display_id)
{
    UNUSED_PARAMETER(display_id);
    Warning( "eglGetDisplay", " not available." );
    return 0;
  }

  static EGLint REGAL_CALL eglGetError(void)
{
    Warning( "eglGetError", " not available." );
    return 0;
  }

  static __eglMustCastToProperFunctionPointerType REGAL_CALL eglGetProcAddress(const char *procname)
{
    UNUSED_PARAMETER(procname);
    Warning( "eglGetProcAddress", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglInitialize(EGLDisplay dpy, EGLint *major, EGLint *minor)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(major);
    UNUSED_PARAMETER(minor);
    Warning( "eglInitialize", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglMakeCurrent(EGLDisplay dpy, EGLSurface draw, EGLSurface read, EGLContext ctx)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(draw);
    UNUSED_PARAMETER(read);
    UNUSED_PARAMETER(ctx);
    Warning( "eglMakeCurrent", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglQueryContext(EGLDisplay dpy, EGLContext ctx, EGLint attribute, EGLint *value)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(ctx);
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "eglQueryContext", " not available." );
    return 0;
  }

  static const char *REGAL_CALL eglQueryString(EGLDisplay dpy, EGLint name)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(name);
    Warning( "eglQueryString", " not available." );
    return NULL;
  }

  static EGLBoolean REGAL_CALL eglQuerySurface(EGLDisplay dpy, EGLSurface surface, EGLint attribute, EGLint *value)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(surface);
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "eglQuerySurface", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglSwapBuffers(EGLDisplay dpy, EGLSurface surface)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(surface);
    Warning( "eglSwapBuffers", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglTerminate(EGLDisplay dpy)
{
    UNUSED_PARAMETER(dpy);
    Warning( "eglTerminate", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglWaitGL(void)
{
    Warning( "eglWaitGL", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglWaitNative(EGLint engine)
{
    UNUSED_PARAMETER(engine);
    Warning( "eglWaitNative", " not available." );
    return 0;
  }

// EGL_VERSION_1_1

  static EGLBoolean REGAL_CALL eglBindTexImage(EGLDisplay dpy, EGLSurface surface, EGLint buffer)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(surface);
    UNUSED_PARAMETER(buffer);
    Warning( "eglBindTexImage", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglReleaseTexImage(EGLDisplay dpy, EGLSurface surface, EGLint buffer)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(surface);
    UNUSED_PARAMETER(buffer);
    Warning( "eglReleaseTexImage", " not available." );
    return 0;
  }

// EGL_VERSION_1_2

  static EGLBoolean REGAL_CALL eglBindAPI(EGLenum api)
{
    UNUSED_PARAMETER(api);
    Warning( "eglBindAPI", " not available." );
    return 0;
  }

  static EGLSurface REGAL_CALL eglCreatePbufferFromClientBuffer(EGLDisplay dpy, EGLenum buftype, EGLClientBuffer buffer, EGLConfig config, const EGLint *attrib_list)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(buftype);
    UNUSED_PARAMETER(buffer);
    UNUSED_PARAMETER(config);
    UNUSED_PARAMETER(attrib_list);
    Warning( "eglCreatePbufferFromClientBuffer", " not available." );
    return 0;
  }

  static EGLenum REGAL_CALL eglQueryAPI(void)
{
    Warning( "eglQueryAPI", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglReleaseThread(void)
{
    Warning( "eglReleaseThread", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglSurfaceAttrib(EGLDisplay dpy, EGLSurface surface, EGLint attribute, EGLint value)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(surface);
    UNUSED_PARAMETER(attribute);
    UNUSED_PARAMETER(value);
    Warning( "eglSurfaceAttrib", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglSwapInterval(EGLDisplay dpy, EGLint interval)
{
    UNUSED_PARAMETER(dpy);
    UNUSED_PARAMETER(interval);
    Warning( "eglSwapInterval", " not available." );
    return 0;
  }

  static EGLBoolean REGAL_CALL eglWaitClient(void)
{
    Warning( "eglWaitClient", " not available." );
    return 0;
  }

#endif // REGAL_SYS_EGL

  void Init(DispatchTableGL &tbl)
  {

  // GL_VERSION_1_0

    tbl.glAccum = glAccum;
    tbl.glAlphaFunc = glAlphaFunc;
    tbl.glBegin = glBegin;
    tbl.glBitmap = glBitmap;
    tbl.glBlendFunc = glBlendFunc;
    tbl.glCallList = glCallList;
    tbl.glCallLists = glCallLists;
    tbl.glClear = glClear;
    tbl.glClearAccum = glClearAccum;
    tbl.glClearColor = glClearColor;
    tbl.glClearDepth = glClearDepth;
    tbl.glClearIndex = glClearIndex;
    tbl.glClearStencil = glClearStencil;
    tbl.glClipPlane = glClipPlane;
    tbl.glColor3b = glColor3b;
    tbl.glColor3bv = glColor3bv;
    tbl.glColor3d = glColor3d;
    tbl.glColor3dv = glColor3dv;
    tbl.glColor3f = glColor3f;
    tbl.glColor3fv = glColor3fv;
    tbl.glColor3i = glColor3i;
    tbl.glColor3iv = glColor3iv;
    tbl.glColor3s = glColor3s;
    tbl.glColor3sv = glColor3sv;
    tbl.glColor3ub = glColor3ub;
    tbl.glColor3ubv = glColor3ubv;
    tbl.glColor3ui = glColor3ui;
    tbl.glColor3uiv = glColor3uiv;
    tbl.glColor3us = glColor3us;
    tbl.glColor3usv = glColor3usv;
    tbl.glColor4b = glColor4b;
    tbl.glColor4bv = glColor4bv;
    tbl.glColor4d = glColor4d;
    tbl.glColor4dv = glColor4dv;
    tbl.glColor4f = glColor4f;
    tbl.glColor4fv = glColor4fv;
    tbl.glColor4i = glColor4i;
    tbl.glColor4iv = glColor4iv;
    tbl.glColor4s = glColor4s;
    tbl.glColor4sv = glColor4sv;
    tbl.glColor4ub = glColor4ub;
    tbl.glColor4ubv = glColor4ubv;
    tbl.glColor4ui = glColor4ui;
    tbl.glColor4uiv = glColor4uiv;
    tbl.glColor4us = glColor4us;
    tbl.glColor4usv = glColor4usv;
    tbl.glColorMask = glColorMask;
    tbl.glColorMaterial = glColorMaterial;
    tbl.glCopyPixels = glCopyPixels;
    tbl.glCullFace = glCullFace;
    tbl.glDeleteLists = glDeleteLists;
    tbl.glDepthFunc = glDepthFunc;
    tbl.glDepthMask = glDepthMask;
    tbl.glDepthRange = glDepthRange;
    tbl.glDisable = glDisable;
    tbl.glDrawBuffer = glDrawBuffer;
    tbl.glDrawPixels = glDrawPixels;
    tbl.glEdgeFlag = glEdgeFlag;
    tbl.glEdgeFlagv = glEdgeFlagv;
    tbl.glEnable = glEnable;
    tbl.glEnd = glEnd;
    tbl.glEndList = glEndList;
    tbl.glEvalCoord1d = glEvalCoord1d;
    tbl.glEvalCoord1dv = glEvalCoord1dv;
    tbl.glEvalCoord1f = glEvalCoord1f;
    tbl.glEvalCoord1fv = glEvalCoord1fv;
    tbl.glEvalCoord2d = glEvalCoord2d;
    tbl.glEvalCoord2dv = glEvalCoord2dv;
    tbl.glEvalCoord2f = glEvalCoord2f;
    tbl.glEvalCoord2fv = glEvalCoord2fv;
    tbl.glEvalMesh1 = glEvalMesh1;
    tbl.glEvalMesh2 = glEvalMesh2;
    tbl.glEvalPoint1 = glEvalPoint1;
    tbl.glEvalPoint2 = glEvalPoint2;
    tbl.glFeedbackBuffer = glFeedbackBuffer;
    tbl.glFinish = glFinish;
    tbl.glFlush = glFlush;
    tbl.glFogf = glFogf;
    tbl.glFogfv = glFogfv;
    tbl.glFogi = glFogi;
    tbl.glFogiv = glFogiv;
    tbl.glFrontFace = glFrontFace;
    tbl.glFrustum = glFrustum;
    tbl.glGenLists = glGenLists;
    tbl.glGetBooleanv = glGetBooleanv;
    tbl.glGetClipPlane = glGetClipPlane;
    tbl.glGetDoublev = glGetDoublev;
    tbl.glGetError = glGetError;
    tbl.glGetFloatv = glGetFloatv;
    tbl.glGetIntegerv = glGetIntegerv;
    tbl.glGetLightfv = glGetLightfv;
    tbl.glGetLightiv = glGetLightiv;
    tbl.glGetMapdv = glGetMapdv;
    tbl.glGetMapfv = glGetMapfv;
    tbl.glGetMapiv = glGetMapiv;
    tbl.glGetMaterialfv = glGetMaterialfv;
    tbl.glGetMaterialiv = glGetMaterialiv;
    tbl.glGetPixelMapfv = glGetPixelMapfv;
    tbl.glGetPixelMapuiv = glGetPixelMapuiv;
    tbl.glGetPixelMapusv = glGetPixelMapusv;
    tbl.glGetPolygonStipple = glGetPolygonStipple;
    tbl.glGetString = glGetString;
    tbl.glGetTexEnvfv = glGetTexEnvfv;
    tbl.glGetTexEnviv = glGetTexEnviv;
    tbl.glGetTexGendv = glGetTexGendv;
    tbl.glGetTexGenfv = glGetTexGenfv;
    tbl.glGetTexGeniv = glGetTexGeniv;
    tbl.glGetTexImage = glGetTexImage;
    tbl.glGetTexLevelParameterfv = glGetTexLevelParameterfv;
    tbl.glGetTexLevelParameteriv = glGetTexLevelParameteriv;
    tbl.glGetTexParameterfv = glGetTexParameterfv;
    tbl.glGetTexParameteriv = glGetTexParameteriv;
    tbl.glHint = glHint;
    tbl.glIndexMask = glIndexMask;
    tbl.glIndexd = glIndexd;
    tbl.glIndexdv = glIndexdv;
    tbl.glIndexf = glIndexf;
    tbl.glIndexfv = glIndexfv;
    tbl.glIndexi = glIndexi;
    tbl.glIndexiv = glIndexiv;
    tbl.glIndexs = glIndexs;
    tbl.glIndexsv = glIndexsv;
    tbl.glInitNames = glInitNames;
    tbl.glIsEnabled = glIsEnabled;
    tbl.glIsList = glIsList;
    tbl.glLightModelf = glLightModelf;
    tbl.glLightModelfv = glLightModelfv;
    tbl.glLightModeli = glLightModeli;
    tbl.glLightModeliv = glLightModeliv;
    tbl.glLightf = glLightf;
    tbl.glLightfv = glLightfv;
    tbl.glLighti = glLighti;
    tbl.glLightiv = glLightiv;
    tbl.glLineStipple = glLineStipple;
    tbl.glLineWidth = glLineWidth;
    tbl.glListBase = glListBase;
    tbl.glLoadIdentity = glLoadIdentity;
    tbl.glLoadMatrixd = glLoadMatrixd;
    tbl.glLoadMatrixf = glLoadMatrixf;
    tbl.glLoadName = glLoadName;
    tbl.glLogicOp = glLogicOp;
    tbl.glMap1d = glMap1d;
    tbl.glMap1f = glMap1f;
    tbl.glMap2d = glMap2d;
    tbl.glMap2f = glMap2f;
    tbl.glMapGrid1d = glMapGrid1d;
    tbl.glMapGrid1f = glMapGrid1f;
    tbl.glMapGrid2d = glMapGrid2d;
    tbl.glMapGrid2f = glMapGrid2f;
    tbl.glMaterialf = glMaterialf;
    tbl.glMaterialfv = glMaterialfv;
    tbl.glMateriali = glMateriali;
    tbl.glMaterialiv = glMaterialiv;
    tbl.glMatrixMode = glMatrixMode;
    tbl.glMultMatrixd = glMultMatrixd;
    tbl.glMultMatrixf = glMultMatrixf;
    tbl.glNewList = glNewList;
    tbl.glNormal3b = glNormal3b;
    tbl.glNormal3bv = glNormal3bv;
    tbl.glNormal3d = glNormal3d;
    tbl.glNormal3dv = glNormal3dv;
    tbl.glNormal3f = glNormal3f;
    tbl.glNormal3fv = glNormal3fv;
    tbl.glNormal3i = glNormal3i;
    tbl.glNormal3iv = glNormal3iv;
    tbl.glNormal3s = glNormal3s;
    tbl.glNormal3sv = glNormal3sv;
    tbl.glOrtho = glOrtho;
    tbl.glPassThrough = glPassThrough;
    tbl.glPixelMapfv = glPixelMapfv;
    tbl.glPixelMapuiv = glPixelMapuiv;
    tbl.glPixelMapusv = glPixelMapusv;
    tbl.glPixelStoref = glPixelStoref;
    tbl.glPixelStorei = glPixelStorei;
    tbl.glPixelTransferf = glPixelTransferf;
    tbl.glPixelTransferi = glPixelTransferi;
    tbl.glPixelZoom = glPixelZoom;
    tbl.glPointSize = glPointSize;
    tbl.glPolygonMode = glPolygonMode;
    tbl.glPolygonStipple = glPolygonStipple;
    tbl.glPopAttrib = glPopAttrib;
    tbl.glPopMatrix = glPopMatrix;
    tbl.glPopName = glPopName;
    tbl.glPushAttrib = glPushAttrib;
    tbl.glPushMatrix = glPushMatrix;
    tbl.glPushName = glPushName;
    tbl.glRasterPos2d = glRasterPos2d;
    tbl.glRasterPos2dv = glRasterPos2dv;
    tbl.glRasterPos2f = glRasterPos2f;
    tbl.glRasterPos2fv = glRasterPos2fv;
    tbl.glRasterPos2i = glRasterPos2i;
    tbl.glRasterPos2iv = glRasterPos2iv;
    tbl.glRasterPos2s = glRasterPos2s;
    tbl.glRasterPos2sv = glRasterPos2sv;
    tbl.glRasterPos3d = glRasterPos3d;
    tbl.glRasterPos3dv = glRasterPos3dv;
    tbl.glRasterPos3f = glRasterPos3f;
    tbl.glRasterPos3fv = glRasterPos3fv;
    tbl.glRasterPos3i = glRasterPos3i;
    tbl.glRasterPos3iv = glRasterPos3iv;
    tbl.glRasterPos3s = glRasterPos3s;
    tbl.glRasterPos3sv = glRasterPos3sv;
    tbl.glRasterPos4d = glRasterPos4d;
    tbl.glRasterPos4dv = glRasterPos4dv;
    tbl.glRasterPos4f = glRasterPos4f;
    tbl.glRasterPos4fv = glRasterPos4fv;
    tbl.glRasterPos4i = glRasterPos4i;
    tbl.glRasterPos4iv = glRasterPos4iv;
    tbl.glRasterPos4s = glRasterPos4s;
    tbl.glRasterPos4sv = glRasterPos4sv;
    tbl.glReadBuffer = glReadBuffer;
    tbl.glReadPixels = glReadPixels;
    tbl.glRectd = glRectd;
    tbl.glRectdv = glRectdv;
    tbl.glRectf = glRectf;
    tbl.glRectfv = glRectfv;
    tbl.glRecti = glRecti;
    tbl.glRectiv = glRectiv;
    tbl.glRects = glRects;
    tbl.glRectsv = glRectsv;
    tbl.glRenderMode = glRenderMode;
    tbl.glRotated = glRotated;
    tbl.glRotatef = glRotatef;
    tbl.glScaled = glScaled;
    tbl.glScalef = glScalef;
    tbl.glScissor = glScissor;
    tbl.glSelectBuffer = glSelectBuffer;
    tbl.glShadeModel = glShadeModel;
    tbl.glStencilFunc = glStencilFunc;
    tbl.glStencilMask = glStencilMask;
    tbl.glStencilOp = glStencilOp;
    tbl.glTexCoord1d = glTexCoord1d;
    tbl.glTexCoord1dv = glTexCoord1dv;
    tbl.glTexCoord1f = glTexCoord1f;
    tbl.glTexCoord1fv = glTexCoord1fv;
    tbl.glTexCoord1i = glTexCoord1i;
    tbl.glTexCoord1iv = glTexCoord1iv;
    tbl.glTexCoord1s = glTexCoord1s;
    tbl.glTexCoord1sv = glTexCoord1sv;
    tbl.glTexCoord2d = glTexCoord2d;
    tbl.glTexCoord2dv = glTexCoord2dv;
    tbl.glTexCoord2f = glTexCoord2f;
    tbl.glTexCoord2fv = glTexCoord2fv;
    tbl.glTexCoord2i = glTexCoord2i;
    tbl.glTexCoord2iv = glTexCoord2iv;
    tbl.glTexCoord2s = glTexCoord2s;
    tbl.glTexCoord2sv = glTexCoord2sv;
    tbl.glTexCoord3d = glTexCoord3d;
    tbl.glTexCoord3dv = glTexCoord3dv;
    tbl.glTexCoord3f = glTexCoord3f;
    tbl.glTexCoord3fv = glTexCoord3fv;
    tbl.glTexCoord3i = glTexCoord3i;
    tbl.glTexCoord3iv = glTexCoord3iv;
    tbl.glTexCoord3s = glTexCoord3s;
    tbl.glTexCoord3sv = glTexCoord3sv;
    tbl.glTexCoord4d = glTexCoord4d;
    tbl.glTexCoord4dv = glTexCoord4dv;
    tbl.glTexCoord4f = glTexCoord4f;
    tbl.glTexCoord4fv = glTexCoord4fv;
    tbl.glTexCoord4i = glTexCoord4i;
    tbl.glTexCoord4iv = glTexCoord4iv;
    tbl.glTexCoord4s = glTexCoord4s;
    tbl.glTexCoord4sv = glTexCoord4sv;
    tbl.glTexEnvf = glTexEnvf;
    tbl.glTexEnvfv = glTexEnvfv;
    tbl.glTexEnvi = glTexEnvi;
    tbl.glTexEnviv = glTexEnviv;
    tbl.glTexGend = glTexGend;
    tbl.glTexGendv = glTexGendv;
    tbl.glTexGenf = glTexGenf;
    tbl.glTexGenfv = glTexGenfv;
    tbl.glTexGeni = glTexGeni;
    tbl.glTexGeniv = glTexGeniv;
    tbl.glTexImage1D = glTexImage1D;
    tbl.glTexImage2D = glTexImage2D;
    tbl.glTexParameterf = glTexParameterf;
    tbl.glTexParameterfv = glTexParameterfv;
    tbl.glTexParameteri = glTexParameteri;
    tbl.glTexParameteriv = glTexParameteriv;
    tbl.glTranslated = glTranslated;
    tbl.glTranslatef = glTranslatef;
    tbl.glVertex2d = glVertex2d;
    tbl.glVertex2dv = glVertex2dv;
    tbl.glVertex2f = glVertex2f;
    tbl.glVertex2fv = glVertex2fv;
    tbl.glVertex2i = glVertex2i;
    tbl.glVertex2iv = glVertex2iv;
    tbl.glVertex2s = glVertex2s;
    tbl.glVertex2sv = glVertex2sv;
    tbl.glVertex3d = glVertex3d;
    tbl.glVertex3dv = glVertex3dv;
    tbl.glVertex3f = glVertex3f;
    tbl.glVertex3fv = glVertex3fv;
    tbl.glVertex3i = glVertex3i;
    tbl.glVertex3iv = glVertex3iv;
    tbl.glVertex3s = glVertex3s;
    tbl.glVertex3sv = glVertex3sv;
    tbl.glVertex4d = glVertex4d;
    tbl.glVertex4dv = glVertex4dv;
    tbl.glVertex4f = glVertex4f;
    tbl.glVertex4fv = glVertex4fv;
    tbl.glVertex4i = glVertex4i;
    tbl.glVertex4iv = glVertex4iv;
    tbl.glVertex4s = glVertex4s;
    tbl.glVertex4sv = glVertex4sv;
    tbl.glViewport = glViewport;

  // GL_VERSION_1_1

    tbl.glAreTexturesResident = glAreTexturesResident;
    tbl.glArrayElement = glArrayElement;
    tbl.glBindTexture = glBindTexture;
    tbl.glColorPointer = glColorPointer;
    tbl.glCopyTexImage1D = glCopyTexImage1D;
    tbl.glCopyTexImage2D = glCopyTexImage2D;
    tbl.glCopyTexSubImage1D = glCopyTexSubImage1D;
    tbl.glCopyTexSubImage2D = glCopyTexSubImage2D;
    tbl.glDeleteTextures = glDeleteTextures;
    tbl.glDisableClientState = glDisableClientState;
    tbl.glDrawArrays = glDrawArrays;
    tbl.glDrawElements = glDrawElements;
    tbl.glEdgeFlagPointer = glEdgeFlagPointer;
    tbl.glEnableClientState = glEnableClientState;
    tbl.glGenTextures = glGenTextures;
    tbl.glGetPointerv = glGetPointerv;
    tbl.glIndexPointer = glIndexPointer;
    tbl.glIndexub = glIndexub;
    tbl.glIndexubv = glIndexubv;
    tbl.glInterleavedArrays = glInterleavedArrays;
    tbl.glIsTexture = glIsTexture;
    tbl.glNormalPointer = glNormalPointer;
    tbl.glPolygonOffset = glPolygonOffset;
    tbl.glPopClientAttrib = glPopClientAttrib;
    tbl.glPrioritizeTextures = glPrioritizeTextures;
    tbl.glPushClientAttrib = glPushClientAttrib;
    tbl.glTexCoordPointer = glTexCoordPointer;
    tbl.glTexSubImage1D = glTexSubImage1D;
    tbl.glTexSubImage2D = glTexSubImage2D;
    tbl.glVertexPointer = glVertexPointer;

  // GL_VERSION_1_2

    tbl.glCopyTexSubImage3D = glCopyTexSubImage3D;
    tbl.glDrawRangeElements = glDrawRangeElements;
    tbl.glTexImage3D = glTexImage3D;
    tbl.glTexSubImage3D = glTexSubImage3D;

  // GL_VERSION_1_3

    tbl.glActiveTexture = glActiveTexture;
    tbl.glClientActiveTexture = glClientActiveTexture;
    tbl.glCompressedTexImage1D = glCompressedTexImage1D;
    tbl.glCompressedTexImage2D = glCompressedTexImage2D;
    tbl.glCompressedTexImage3D = glCompressedTexImage3D;
    tbl.glCompressedTexSubImage1D = glCompressedTexSubImage1D;
    tbl.glCompressedTexSubImage2D = glCompressedTexSubImage2D;
    tbl.glCompressedTexSubImage3D = glCompressedTexSubImage3D;
    tbl.glGetCompressedTexImage = glGetCompressedTexImage;
    tbl.glLoadTransposeMatrixd = glLoadTransposeMatrixd;
    tbl.glLoadTransposeMatrixf = glLoadTransposeMatrixf;
    tbl.glMultTransposeMatrixd = glMultTransposeMatrixd;
    tbl.glMultTransposeMatrixf = glMultTransposeMatrixf;
    tbl.glMultiTexCoord1d = glMultiTexCoord1d;
    tbl.glMultiTexCoord1dv = glMultiTexCoord1dv;
    tbl.glMultiTexCoord1f = glMultiTexCoord1f;
    tbl.glMultiTexCoord1fv = glMultiTexCoord1fv;
    tbl.glMultiTexCoord1i = glMultiTexCoord1i;
    tbl.glMultiTexCoord1iv = glMultiTexCoord1iv;
    tbl.glMultiTexCoord1s = glMultiTexCoord1s;
    tbl.glMultiTexCoord1sv = glMultiTexCoord1sv;
    tbl.glMultiTexCoord2d = glMultiTexCoord2d;
    tbl.glMultiTexCoord2dv = glMultiTexCoord2dv;
    tbl.glMultiTexCoord2f = glMultiTexCoord2f;
    tbl.glMultiTexCoord2fv = glMultiTexCoord2fv;
    tbl.glMultiTexCoord2i = glMultiTexCoord2i;
    tbl.glMultiTexCoord2iv = glMultiTexCoord2iv;
    tbl.glMultiTexCoord2s = glMultiTexCoord2s;
    tbl.glMultiTexCoord2sv = glMultiTexCoord2sv;
    tbl.glMultiTexCoord3d = glMultiTexCoord3d;
    tbl.glMultiTexCoord3dv = glMultiTexCoord3dv;
    tbl.glMultiTexCoord3f = glMultiTexCoord3f;
    tbl.glMultiTexCoord3fv = glMultiTexCoord3fv;
    tbl.glMultiTexCoord3i = glMultiTexCoord3i;
    tbl.glMultiTexCoord3iv = glMultiTexCoord3iv;
    tbl.glMultiTexCoord3s = glMultiTexCoord3s;
    tbl.glMultiTexCoord3sv = glMultiTexCoord3sv;
    tbl.glMultiTexCoord4d = glMultiTexCoord4d;
    tbl.glMultiTexCoord4dv = glMultiTexCoord4dv;
    tbl.glMultiTexCoord4f = glMultiTexCoord4f;
    tbl.glMultiTexCoord4fv = glMultiTexCoord4fv;
    tbl.glMultiTexCoord4i = glMultiTexCoord4i;
    tbl.glMultiTexCoord4iv = glMultiTexCoord4iv;
    tbl.glMultiTexCoord4s = glMultiTexCoord4s;
    tbl.glMultiTexCoord4sv = glMultiTexCoord4sv;
    tbl.glSampleCoverage = glSampleCoverage;

  // GL_VERSION_1_4

    tbl.glBlendColor = glBlendColor;
    tbl.glBlendEquation = glBlendEquation;
    tbl.glBlendFuncSeparate = glBlendFuncSeparate;
    tbl.glFogCoordPointer = glFogCoordPointer;
    tbl.glFogCoordd = glFogCoordd;
    tbl.glFogCoorddv = glFogCoorddv;
    tbl.glFogCoordf = glFogCoordf;
    tbl.glFogCoordfv = glFogCoordfv;
    tbl.glMultiDrawArrays = glMultiDrawArrays;
    tbl.glMultiDrawElements = glMultiDrawElements;
    tbl.glPointParameterf = glPointParameterf;
    tbl.glPointParameterfv = glPointParameterfv;
    tbl.glPointParameteri = glPointParameteri;
    tbl.glPointParameteriv = glPointParameteriv;
    tbl.glSecondaryColor3b = glSecondaryColor3b;
    tbl.glSecondaryColor3bv = glSecondaryColor3bv;
    tbl.glSecondaryColor3d = glSecondaryColor3d;
    tbl.glSecondaryColor3dv = glSecondaryColor3dv;
    tbl.glSecondaryColor3f = glSecondaryColor3f;
    tbl.glSecondaryColor3fv = glSecondaryColor3fv;
    tbl.glSecondaryColor3i = glSecondaryColor3i;
    tbl.glSecondaryColor3iv = glSecondaryColor3iv;
    tbl.glSecondaryColor3s = glSecondaryColor3s;
    tbl.glSecondaryColor3sv = glSecondaryColor3sv;
    tbl.glSecondaryColor3ub = glSecondaryColor3ub;
    tbl.glSecondaryColor3ubv = glSecondaryColor3ubv;
    tbl.glSecondaryColor3ui = glSecondaryColor3ui;
    tbl.glSecondaryColor3uiv = glSecondaryColor3uiv;
    tbl.glSecondaryColor3us = glSecondaryColor3us;
    tbl.glSecondaryColor3usv = glSecondaryColor3usv;
    tbl.glSecondaryColorPointer = glSecondaryColorPointer;
    tbl.glWindowPos2d = glWindowPos2d;
    tbl.glWindowPos2dv = glWindowPos2dv;
    tbl.glWindowPos2f = glWindowPos2f;
    tbl.glWindowPos2fv = glWindowPos2fv;
    tbl.glWindowPos2i = glWindowPos2i;
    tbl.glWindowPos2iv = glWindowPos2iv;
    tbl.glWindowPos2s = glWindowPos2s;
    tbl.glWindowPos2sv = glWindowPos2sv;
    tbl.glWindowPos3d = glWindowPos3d;
    tbl.glWindowPos3dv = glWindowPos3dv;
    tbl.glWindowPos3f = glWindowPos3f;
    tbl.glWindowPos3fv = glWindowPos3fv;
    tbl.glWindowPos3i = glWindowPos3i;
    tbl.glWindowPos3iv = glWindowPos3iv;
    tbl.glWindowPos3s = glWindowPos3s;
    tbl.glWindowPos3sv = glWindowPos3sv;

  // GL_VERSION_1_5

    tbl.glBeginQuery = glBeginQuery;
    tbl.glBindBuffer = glBindBuffer;
    tbl.glBufferData = glBufferData;
    tbl.glBufferSubData = glBufferSubData;
    tbl.glDeleteBuffers = glDeleteBuffers;
    tbl.glDeleteQueries = glDeleteQueries;
    tbl.glEndQuery = glEndQuery;
    tbl.glGenBuffers = glGenBuffers;
    tbl.glGenQueries = glGenQueries;
    tbl.glGetBufferParameteriv = glGetBufferParameteriv;
    tbl.glGetBufferPointerv = glGetBufferPointerv;
    tbl.glGetBufferSubData = glGetBufferSubData;
    tbl.glGetQueryObjectiv = glGetQueryObjectiv;
    tbl.glGetQueryObjectuiv = glGetQueryObjectuiv;
    tbl.glGetQueryiv = glGetQueryiv;
    tbl.glIsBuffer = glIsBuffer;
    tbl.glIsQuery = glIsQuery;
    tbl.glMapBuffer = glMapBuffer;
    tbl.glUnmapBuffer = glUnmapBuffer;

  // GL_VERSION_2_0

    tbl.glAttachShader = glAttachShader;
    tbl.glBindAttribLocation = glBindAttribLocation;
    tbl.glBlendEquationSeparate = glBlendEquationSeparate;
    tbl.glCompileShader = glCompileShader;
    tbl.glCreateProgram = glCreateProgram;
    tbl.glCreateShader = glCreateShader;
    tbl.glDeleteProgram = glDeleteProgram;
    tbl.glDeleteShader = glDeleteShader;
    tbl.glDetachShader = glDetachShader;
    tbl.glDisableVertexAttribArray = glDisableVertexAttribArray;
    tbl.glDrawBuffers = glDrawBuffers;
    tbl.glEnableVertexAttribArray = glEnableVertexAttribArray;
    tbl.glGetActiveAttrib = glGetActiveAttrib;
    tbl.glGetActiveUniform = glGetActiveUniform;
    tbl.glGetAttachedShaders = glGetAttachedShaders;
    tbl.glGetAttribLocation = glGetAttribLocation;
    tbl.glGetProgramInfoLog = glGetProgramInfoLog;
    tbl.glGetProgramiv = glGetProgramiv;
    tbl.glGetShaderInfoLog = glGetShaderInfoLog;
    tbl.glGetShaderSource = glGetShaderSource;
    tbl.glGetShaderiv = glGetShaderiv;
    tbl.glGetUniformLocation = glGetUniformLocation;
    tbl.glGetUniformfv = glGetUniformfv;
    tbl.glGetUniformiv = glGetUniformiv;
    tbl.glGetVertexAttribPointerv = glGetVertexAttribPointerv;
    tbl.glGetVertexAttribdv = glGetVertexAttribdv;
    tbl.glGetVertexAttribfv = glGetVertexAttribfv;
    tbl.glGetVertexAttribiv = glGetVertexAttribiv;
    tbl.glIsProgram = glIsProgram;
    tbl.glIsShader = glIsShader;
    tbl.glLinkProgram = glLinkProgram;
    tbl.glShaderSource = glShaderSource;
    tbl.glStencilFuncSeparate = glStencilFuncSeparate;
    tbl.glStencilMaskSeparate = glStencilMaskSeparate;
    tbl.glStencilOpSeparate = glStencilOpSeparate;
    tbl.glUniform1f = glUniform1f;
    tbl.glUniform1fv = glUniform1fv;
    tbl.glUniform1i = glUniform1i;
    tbl.glUniform1iv = glUniform1iv;
    tbl.glUniform2f = glUniform2f;
    tbl.glUniform2fv = glUniform2fv;
    tbl.glUniform2i = glUniform2i;
    tbl.glUniform2iv = glUniform2iv;
    tbl.glUniform3f = glUniform3f;
    tbl.glUniform3fv = glUniform3fv;
    tbl.glUniform3i = glUniform3i;
    tbl.glUniform3iv = glUniform3iv;
    tbl.glUniform4f = glUniform4f;
    tbl.glUniform4fv = glUniform4fv;
    tbl.glUniform4i = glUniform4i;
    tbl.glUniform4iv = glUniform4iv;
    tbl.glUniformMatrix2fv = glUniformMatrix2fv;
    tbl.glUniformMatrix3fv = glUniformMatrix3fv;
    tbl.glUniformMatrix4fv = glUniformMatrix4fv;
    tbl.glUseProgram = glUseProgram;
    tbl.glValidateProgram = glValidateProgram;
    tbl.glVertexAttrib1d = glVertexAttrib1d;
    tbl.glVertexAttrib1dv = glVertexAttrib1dv;
    tbl.glVertexAttrib1f = glVertexAttrib1f;
    tbl.glVertexAttrib1fv = glVertexAttrib1fv;
    tbl.glVertexAttrib1s = glVertexAttrib1s;
    tbl.glVertexAttrib1sv = glVertexAttrib1sv;
    tbl.glVertexAttrib2d = glVertexAttrib2d;
    tbl.glVertexAttrib2dv = glVertexAttrib2dv;
    tbl.glVertexAttrib2f = glVertexAttrib2f;
    tbl.glVertexAttrib2fv = glVertexAttrib2fv;
    tbl.glVertexAttrib2s = glVertexAttrib2s;
    tbl.glVertexAttrib2sv = glVertexAttrib2sv;
    tbl.glVertexAttrib3d = glVertexAttrib3d;
    tbl.glVertexAttrib3dv = glVertexAttrib3dv;
    tbl.glVertexAttrib3f = glVertexAttrib3f;
    tbl.glVertexAttrib3fv = glVertexAttrib3fv;
    tbl.glVertexAttrib3s = glVertexAttrib3s;
    tbl.glVertexAttrib3sv = glVertexAttrib3sv;
    tbl.glVertexAttrib4Nbv = glVertexAttrib4Nbv;
    tbl.glVertexAttrib4Niv = glVertexAttrib4Niv;
    tbl.glVertexAttrib4Nsv = glVertexAttrib4Nsv;
    tbl.glVertexAttrib4Nub = glVertexAttrib4Nub;
    tbl.glVertexAttrib4Nubv = glVertexAttrib4Nubv;
    tbl.glVertexAttrib4Nuiv = glVertexAttrib4Nuiv;
    tbl.glVertexAttrib4Nusv = glVertexAttrib4Nusv;
    tbl.glVertexAttrib4bv = glVertexAttrib4bv;
    tbl.glVertexAttrib4d = glVertexAttrib4d;
    tbl.glVertexAttrib4dv = glVertexAttrib4dv;
    tbl.glVertexAttrib4f = glVertexAttrib4f;
    tbl.glVertexAttrib4fv = glVertexAttrib4fv;
    tbl.glVertexAttrib4iv = glVertexAttrib4iv;
    tbl.glVertexAttrib4s = glVertexAttrib4s;
    tbl.glVertexAttrib4sv = glVertexAttrib4sv;
    tbl.glVertexAttrib4ubv = glVertexAttrib4ubv;
    tbl.glVertexAttrib4uiv = glVertexAttrib4uiv;
    tbl.glVertexAttrib4usv = glVertexAttrib4usv;
    tbl.glVertexAttribPointer = glVertexAttribPointer;

  // GL_VERSION_2_1

    tbl.glUniformMatrix2x3fv = glUniformMatrix2x3fv;
    tbl.glUniformMatrix2x4fv = glUniformMatrix2x4fv;
    tbl.glUniformMatrix3x2fv = glUniformMatrix3x2fv;
    tbl.glUniformMatrix3x4fv = glUniformMatrix3x4fv;
    tbl.glUniformMatrix4x2fv = glUniformMatrix4x2fv;
    tbl.glUniformMatrix4x3fv = glUniformMatrix4x3fv;

  // GL_VERSION_3_0

    tbl.glBeginConditionalRender = glBeginConditionalRender;
    tbl.glBeginTransformFeedback = glBeginTransformFeedback;
    tbl.glBindFragDataLocation = glBindFragDataLocation;
    tbl.glClampColor = glClampColor;
    tbl.glClearBufferfi = glClearBufferfi;
    tbl.glClearBufferfv = glClearBufferfv;
    tbl.glClearBufferiv = glClearBufferiv;
    tbl.glClearBufferuiv = glClearBufferuiv;
    tbl.glColorMaski = glColorMaski;
    tbl.glDisablei = glDisablei;
    tbl.glEnablei = glEnablei;
    tbl.glEndConditionalRender = glEndConditionalRender;
    tbl.glEndTransformFeedback = glEndTransformFeedback;
    tbl.glGetBooleani_v = glGetBooleani_v;
    tbl.glGetFragDataLocation = glGetFragDataLocation;
    tbl.glGetStringi = glGetStringi;
    tbl.glGetTexParameterIiv = glGetTexParameterIiv;
    tbl.glGetTexParameterIuiv = glGetTexParameterIuiv;
    tbl.glGetTransformFeedbackVarying = glGetTransformFeedbackVarying;
    tbl.glGetUniformuiv = glGetUniformuiv;
    tbl.glGetVertexAttribIiv = glGetVertexAttribIiv;
    tbl.glGetVertexAttribIuiv = glGetVertexAttribIuiv;
    tbl.glIsEnabledi = glIsEnabledi;
    tbl.glTexParameterIiv = glTexParameterIiv;
    tbl.glTexParameterIuiv = glTexParameterIuiv;
    tbl.glTransformFeedbackVaryings = glTransformFeedbackVaryings;
    tbl.glUniform1ui = glUniform1ui;
    tbl.glUniform1uiv = glUniform1uiv;
    tbl.glUniform2ui = glUniform2ui;
    tbl.glUniform2uiv = glUniform2uiv;
    tbl.glUniform3ui = glUniform3ui;
    tbl.glUniform3uiv = glUniform3uiv;
    tbl.glUniform4ui = glUniform4ui;
    tbl.glUniform4uiv = glUniform4uiv;
    tbl.glVertexAttribI1i = glVertexAttribI1i;
    tbl.glVertexAttribI1iv = glVertexAttribI1iv;
    tbl.glVertexAttribI1ui = glVertexAttribI1ui;
    tbl.glVertexAttribI1uiv = glVertexAttribI1uiv;
    tbl.glVertexAttribI2i = glVertexAttribI2i;
    tbl.glVertexAttribI2iv = glVertexAttribI2iv;
    tbl.glVertexAttribI2ui = glVertexAttribI2ui;
    tbl.glVertexAttribI2uiv = glVertexAttribI2uiv;
    tbl.glVertexAttribI3i = glVertexAttribI3i;
    tbl.glVertexAttribI3iv = glVertexAttribI3iv;
    tbl.glVertexAttribI3ui = glVertexAttribI3ui;
    tbl.glVertexAttribI3uiv = glVertexAttribI3uiv;
    tbl.glVertexAttribI4bv = glVertexAttribI4bv;
    tbl.glVertexAttribI4i = glVertexAttribI4i;
    tbl.glVertexAttribI4iv = glVertexAttribI4iv;
    tbl.glVertexAttribI4sv = glVertexAttribI4sv;
    tbl.glVertexAttribI4ubv = glVertexAttribI4ubv;
    tbl.glVertexAttribI4ui = glVertexAttribI4ui;
    tbl.glVertexAttribI4uiv = glVertexAttribI4uiv;
    tbl.glVertexAttribI4usv = glVertexAttribI4usv;
    tbl.glVertexAttribIPointer = glVertexAttribIPointer;

  // GL_VERSION_3_1

    tbl.glDrawArraysInstanced = glDrawArraysInstanced;
    tbl.glDrawElementsInstanced = glDrawElementsInstanced;
    tbl.glPrimitiveRestartIndex = glPrimitiveRestartIndex;
    tbl.glTexBuffer = glTexBuffer;

  // GL_VERSION_3_2

    tbl.glFramebufferTexture = glFramebufferTexture;
    tbl.glGetBufferParameteri64v = glGetBufferParameteri64v;
    tbl.glGetInteger64i_v = glGetInteger64i_v;

  // GL_VERSION_3_3

    tbl.glVertexAttribDivisor = glVertexAttribDivisor;

  // GL_VERSION_4_0

    tbl.glBlendEquationSeparatei = glBlendEquationSeparatei;
    tbl.glBlendEquationi = glBlendEquationi;
    tbl.glBlendFuncSeparatei = glBlendFuncSeparatei;
    tbl.glBlendFunci = glBlendFunci;
    tbl.glDrawArraysIndirect = glDrawArraysIndirect;
    tbl.glDrawElementsIndirect = glDrawElementsIndirect;
    tbl.glMinSampleShading = glMinSampleShading;

  // GL_3DFX_tbuffer

    tbl.glTbufferMask3DFX = glTbufferMask3DFX;

  // GL_AMD_debug_output

    tbl.glDebugMessageCallbackAMD = glDebugMessageCallbackAMD;
    tbl.glDebugMessageEnableAMD = glDebugMessageEnableAMD;
    tbl.glDebugMessageInsertAMD = glDebugMessageInsertAMD;
    tbl.glGetDebugMessageLogAMD = glGetDebugMessageLogAMD;

  // GL_AMD_draw_buffers_blend

    tbl.glBlendEquationIndexedAMD = glBlendEquationIndexedAMD;
    tbl.glBlendEquationSeparateIndexedAMD = glBlendEquationSeparateIndexedAMD;
    tbl.glBlendFuncIndexedAMD = glBlendFuncIndexedAMD;
    tbl.glBlendFuncSeparateIndexedAMD = glBlendFuncSeparateIndexedAMD;

  // GL_AMD_interleaved_elements

    tbl.glVertexAttribParameteriAMD = glVertexAttribParameteriAMD;

  // GL_AMD_multi_draw_indirect

    tbl.glMultiDrawArraysIndirectAMD = glMultiDrawArraysIndirectAMD;
    tbl.glMultiDrawElementsIndirectAMD = glMultiDrawElementsIndirectAMD;

  // GL_AMD_name_gen_delete

    tbl.glDeleteNamesAMD = glDeleteNamesAMD;
    tbl.glGenNamesAMD = glGenNamesAMD;
    tbl.glIsNameAMD = glIsNameAMD;

  // GL_AMD_performance_monitor

    tbl.glBeginPerfMonitorAMD = glBeginPerfMonitorAMD;
    tbl.glDeletePerfMonitorsAMD = glDeletePerfMonitorsAMD;
    tbl.glEndPerfMonitorAMD = glEndPerfMonitorAMD;
    tbl.glGenPerfMonitorsAMD = glGenPerfMonitorsAMD;
    tbl.glGetPerfMonitorCounterDataAMD = glGetPerfMonitorCounterDataAMD;
    tbl.glGetPerfMonitorCounterInfoAMD = glGetPerfMonitorCounterInfoAMD;
    tbl.glGetPerfMonitorCounterStringAMD = glGetPerfMonitorCounterStringAMD;
    tbl.glGetPerfMonitorCountersAMD = glGetPerfMonitorCountersAMD;
    tbl.glGetPerfMonitorGroupStringAMD = glGetPerfMonitorGroupStringAMD;
    tbl.glGetPerfMonitorGroupsAMD = glGetPerfMonitorGroupsAMD;
    tbl.glSelectPerfMonitorCountersAMD = glSelectPerfMonitorCountersAMD;

  // GL_AMD_sample_positions

    tbl.glSetMultisamplefvAMD = glSetMultisamplefvAMD;

  // GL_AMD_sparse_texture

    tbl.glTexStorageSparseAMD = glTexStorageSparseAMD;
    tbl.glTextureStorageSparseAMD = glTextureStorageSparseAMD;

  // GL_AMD_stencil_operation_extended

    tbl.glStencilOpValueAMD = glStencilOpValueAMD;

  // GL_AMD_vertex_shader_tessellator

    tbl.glTessellationFactorAMD = glTessellationFactorAMD;
    tbl.glTessellationModeAMD = glTessellationModeAMD;

  // GL_ANGLE_framebuffer_blit

    tbl.glBlitFramebufferANGLE = glBlitFramebufferANGLE;

  // GL_ANGLE_framebuffer_multisample

    tbl.glRenderbufferStorageMultisampleANGLE = glRenderbufferStorageMultisampleANGLE;

  // GL_ANGLE_instanced_arrays

    tbl.glDrawArraysInstancedANGLE = glDrawArraysInstancedANGLE;
    tbl.glDrawElementsInstancedANGLE = glDrawElementsInstancedANGLE;
    tbl.glVertexAttribDivisorANGLE = glVertexAttribDivisorANGLE;

  // GL_ANGLE_timer_query

    tbl.glBeginQueryANGLE = glBeginQueryANGLE;
    tbl.glDeleteQueriesANGLE = glDeleteQueriesANGLE;
    tbl.glEndQueryANGLE = glEndQueryANGLE;
    tbl.glGenQueriesANGLE = glGenQueriesANGLE;
    tbl.glGetQueryObjecti64vANGLE = glGetQueryObjecti64vANGLE;
    tbl.glGetQueryObjectivANGLE = glGetQueryObjectivANGLE;
    tbl.glGetQueryObjectui64vANGLE = glGetQueryObjectui64vANGLE;
    tbl.glGetQueryObjectuivANGLE = glGetQueryObjectuivANGLE;
    tbl.glGetQueryivANGLE = glGetQueryivANGLE;
    tbl.glIsQueryANGLE = glIsQueryANGLE;
    tbl.glQueryCounterANGLE = glQueryCounterANGLE;

  // GL_ANGLE_translated_shader_source

    tbl.glGetTranslatedShaderSourceANGLE = glGetTranslatedShaderSourceANGLE;

  // GL_APPLE_copy_texture_levels

    tbl.glCopyTextureLevelsAPPLE = glCopyTextureLevelsAPPLE;

  // GL_APPLE_element_array

    tbl.glDrawElementArrayAPPLE = glDrawElementArrayAPPLE;
    tbl.glDrawRangeElementArrayAPPLE = glDrawRangeElementArrayAPPLE;
    tbl.glElementPointerAPPLE = glElementPointerAPPLE;
    tbl.glMultiDrawElementArrayAPPLE = glMultiDrawElementArrayAPPLE;
    tbl.glMultiDrawRangeElementArrayAPPLE = glMultiDrawRangeElementArrayAPPLE;

  // GL_APPLE_fence

    tbl.glDeleteFencesAPPLE = glDeleteFencesAPPLE;
    tbl.glFinishFenceAPPLE = glFinishFenceAPPLE;
    tbl.glFinishObjectAPPLE = glFinishObjectAPPLE;
    tbl.glGenFencesAPPLE = glGenFencesAPPLE;
    tbl.glIsFenceAPPLE = glIsFenceAPPLE;
    tbl.glSetFenceAPPLE = glSetFenceAPPLE;
    tbl.glTestFenceAPPLE = glTestFenceAPPLE;
    tbl.glTestObjectAPPLE = glTestObjectAPPLE;

  // GL_APPLE_flush_buffer_range

    tbl.glBufferParameteriAPPLE = glBufferParameteriAPPLE;
    tbl.glFlushMappedBufferRangeAPPLE = glFlushMappedBufferRangeAPPLE;

  // GL_APPLE_flush_render

    tbl.glFinishRenderAPPLE = glFinishRenderAPPLE;
    tbl.glFlushRenderAPPLE = glFlushRenderAPPLE;
    tbl.glSwapAPPLE = glSwapAPPLE;

  // GL_APPLE_framebuffer_multisample

    tbl.glRenderbufferStorageMultisampleAPPLE = glRenderbufferStorageMultisampleAPPLE;
    tbl.glResolveMultisampleFramebufferAPPLE = glResolveMultisampleFramebufferAPPLE;

  // GL_APPLE_object_purgeable

    tbl.glGetObjectParameterivAPPLE = glGetObjectParameterivAPPLE;
    tbl.glObjectPurgeableAPPLE = glObjectPurgeableAPPLE;
    tbl.glObjectUnpurgeableAPPLE = glObjectUnpurgeableAPPLE;

  // GL_APPLE_sync

    tbl.glClientWaitSyncAPPLE = glClientWaitSyncAPPLE;
    tbl.glDeleteSyncAPPLE = glDeleteSyncAPPLE;
    tbl.glFenceSyncAPPLE = glFenceSyncAPPLE;
    tbl.glGetInteger64vAPPLE = glGetInteger64vAPPLE;
    tbl.glGetSyncivAPPLE = glGetSyncivAPPLE;
    tbl.glIsSyncAPPLE = glIsSyncAPPLE;
    tbl.glWaitSyncAPPLE = glWaitSyncAPPLE;

  // GL_APPLE_texture_range

    tbl.glGetTexParameterPointervAPPLE = glGetTexParameterPointervAPPLE;
    tbl.glTextureRangeAPPLE = glTextureRangeAPPLE;

  // GL_APPLE_vertex_array_object

    tbl.glBindVertexArrayAPPLE = glBindVertexArrayAPPLE;
    tbl.glDeleteVertexArraysAPPLE = glDeleteVertexArraysAPPLE;
    tbl.glGenVertexArraysAPPLE = glGenVertexArraysAPPLE;
    tbl.glIsVertexArrayAPPLE = glIsVertexArrayAPPLE;

  // GL_APPLE_vertex_array_range

    tbl.glFlushVertexArrayRangeAPPLE = glFlushVertexArrayRangeAPPLE;
    tbl.glVertexArrayParameteriAPPLE = glVertexArrayParameteriAPPLE;
    tbl.glVertexArrayRangeAPPLE = glVertexArrayRangeAPPLE;

  // GL_APPLE_vertex_program_evaluators

    tbl.glDisableVertexAttribAPPLE = glDisableVertexAttribAPPLE;
    tbl.glEnableVertexAttribAPPLE = glEnableVertexAttribAPPLE;
    tbl.glIsVertexAttribEnabledAPPLE = glIsVertexAttribEnabledAPPLE;
    tbl.glMapVertexAttrib1dAPPLE = glMapVertexAttrib1dAPPLE;
    tbl.glMapVertexAttrib1fAPPLE = glMapVertexAttrib1fAPPLE;
    tbl.glMapVertexAttrib2dAPPLE = glMapVertexAttrib2dAPPLE;
    tbl.glMapVertexAttrib2fAPPLE = glMapVertexAttrib2fAPPLE;

  // GL_ARB_ES2_compatibility

    tbl.glClearDepthf = glClearDepthf;
    tbl.glDepthRangef = glDepthRangef;
    tbl.glGetShaderPrecisionFormat = glGetShaderPrecisionFormat;
    tbl.glReleaseShaderCompiler = glReleaseShaderCompiler;
    tbl.glShaderBinary = glShaderBinary;

  // GL_ARB_ES3_1_compatibility

    tbl.glMemoryBarrierByRegion = glMemoryBarrierByRegion;

  // GL_ARB_base_instance

    tbl.glDrawArraysInstancedBaseInstance = glDrawArraysInstancedBaseInstance;
    tbl.glDrawElementsInstancedBaseInstance = glDrawElementsInstancedBaseInstance;
    tbl.glDrawElementsInstancedBaseVertexBaseInstance = glDrawElementsInstancedBaseVertexBaseInstance;

  // GL_ARB_bindless_texture

    tbl.glGetImageHandleARB = glGetImageHandleARB;
    tbl.glGetTextureHandleARB = glGetTextureHandleARB;
    tbl.glGetTextureSamplerHandleARB = glGetTextureSamplerHandleARB;
    tbl.glGetVertexAttribLui64vARB = glGetVertexAttribLui64vARB;
    tbl.glIsImageHandleResidentARB = glIsImageHandleResidentARB;
    tbl.glIsTextureHandleResidentARB = glIsTextureHandleResidentARB;
    tbl.glMakeImageHandleNonResidentARB = glMakeImageHandleNonResidentARB;
    tbl.glMakeImageHandleResidentARB = glMakeImageHandleResidentARB;
    tbl.glMakeTextureHandleNonResidentARB = glMakeTextureHandleNonResidentARB;
    tbl.glMakeTextureHandleResidentARB = glMakeTextureHandleResidentARB;
    tbl.glProgramUniformHandleui64ARB = glProgramUniformHandleui64ARB;
    tbl.glProgramUniformHandleui64vARB = glProgramUniformHandleui64vARB;
    tbl.glUniformHandleui64ARB = glUniformHandleui64ARB;
    tbl.glUniformHandleui64vARB = glUniformHandleui64vARB;
    tbl.glVertexAttribL1ui64ARB = glVertexAttribL1ui64ARB;
    tbl.glVertexAttribL1ui64vARB = glVertexAttribL1ui64vARB;

  // GL_ARB_blend_func_extended

    tbl.glBindFragDataLocationIndexed = glBindFragDataLocationIndexed;
    tbl.glGetFragDataIndex = glGetFragDataIndex;

  // GL_ARB_buffer_storage

    tbl.glBufferStorage = glBufferStorage;
    tbl.glNamedBufferStorageEXT = glNamedBufferStorageEXT;

  // GL_ARB_cl_event

    tbl.glCreateSyncFromCLeventARB = glCreateSyncFromCLeventARB;

  // GL_ARB_clear_buffer_object

    tbl.glClearBufferData = glClearBufferData;
    tbl.glClearBufferSubData = glClearBufferSubData;
    tbl.glClearNamedBufferDataEXT = glClearNamedBufferDataEXT;
    tbl.glClearNamedBufferSubDataEXT = glClearNamedBufferSubDataEXT;

  // GL_ARB_clear_texture

    tbl.glClearTexImage = glClearTexImage;
    tbl.glClearTexSubImage = glClearTexSubImage;

  // GL_ARB_clip_control

    tbl.glClipControl = glClipControl;

  // GL_ARB_color_buffer_float

    tbl.glClampColorARB = glClampColorARB;

  // GL_ARB_compute_shader

    tbl.glDispatchCompute = glDispatchCompute;
    tbl.glDispatchComputeIndirect = glDispatchComputeIndirect;

  // GL_ARB_compute_variable_group_size

    tbl.glDispatchComputeGroupSizeARB = glDispatchComputeGroupSizeARB;

  // GL_ARB_copy_buffer

    tbl.glCopyBufferSubData = glCopyBufferSubData;

  // GL_ARB_copy_image

    tbl.glCopyImageSubData = glCopyImageSubData;

  // GL_ARB_debug_output

    tbl.glDebugMessageCallbackARB = glDebugMessageCallbackARB;
    tbl.glDebugMessageControlARB = glDebugMessageControlARB;
    tbl.glDebugMessageInsertARB = glDebugMessageInsertARB;
    tbl.glGetDebugMessageLogARB = glGetDebugMessageLogARB;

  // GL_ARB_direct_state_access

    tbl.glBindTextureUnit = glBindTextureUnit;
    tbl.glBlitNamedFramebuffer = glBlitNamedFramebuffer;
    tbl.glCheckNamedFramebufferStatus = glCheckNamedFramebufferStatus;
    tbl.glClearNamedBufferData = glClearNamedBufferData;
    tbl.glClearNamedBufferSubData = glClearNamedBufferSubData;
    tbl.glClearNamedFramebufferfi = glClearNamedFramebufferfi;
    tbl.glClearNamedFramebufferfv = glClearNamedFramebufferfv;
    tbl.glClearNamedFramebufferiv = glClearNamedFramebufferiv;
    tbl.glClearNamedFramebufferuiv = glClearNamedFramebufferuiv;
    tbl.glCompressedTextureSubImage1D = glCompressedTextureSubImage1D;
    tbl.glCompressedTextureSubImage2D = glCompressedTextureSubImage2D;
    tbl.glCompressedTextureSubImage3D = glCompressedTextureSubImage3D;
    tbl.glCopyNamedBufferSubData = glCopyNamedBufferSubData;
    tbl.glCopyTextureSubImage1D = glCopyTextureSubImage1D;
    tbl.glCopyTextureSubImage2D = glCopyTextureSubImage2D;
    tbl.glCopyTextureSubImage3D = glCopyTextureSubImage3D;
    tbl.glCreateBuffers = glCreateBuffers;
    tbl.glCreateFramebuffers = glCreateFramebuffers;
    tbl.glCreateProgramPipelines = glCreateProgramPipelines;
    tbl.glCreateQueries = glCreateQueries;
    tbl.glCreateRenderbuffers = glCreateRenderbuffers;
    tbl.glCreateSamplers = glCreateSamplers;
    tbl.glCreateTextures = glCreateTextures;
    tbl.glCreateTransformFeedbacks = glCreateTransformFeedbacks;
    tbl.glCreateVertexArrays = glCreateVertexArrays;
    tbl.glDisableVertexArrayAttrib = glDisableVertexArrayAttrib;
    tbl.glEnableVertexArrayAttrib = glEnableVertexArrayAttrib;
    tbl.glFlushMappedNamedBufferRange = glFlushMappedNamedBufferRange;
    tbl.glGenerateTextureMipmap = glGenerateTextureMipmap;
    tbl.glGetCompressedTextureImage = glGetCompressedTextureImage;
    tbl.glGetNamedBufferParameteri64v = glGetNamedBufferParameteri64v;
    tbl.glGetNamedBufferParameteriv = glGetNamedBufferParameteriv;
    tbl.glGetNamedBufferPointerv = glGetNamedBufferPointerv;
    tbl.glGetNamedBufferSubData = glGetNamedBufferSubData;
    tbl.glGetNamedFramebufferAttachmentParameteriv = glGetNamedFramebufferAttachmentParameteriv;
    tbl.glGetNamedFramebufferParameteriv = glGetNamedFramebufferParameteriv;
    tbl.glGetNamedRenderbufferParameteriv = glGetNamedRenderbufferParameteriv;
    tbl.glGetTextureImage = glGetTextureImage;
    tbl.glGetTextureLevelParameterfv = glGetTextureLevelParameterfv;
    tbl.glGetTextureLevelParameteriv = glGetTextureLevelParameteriv;
    tbl.glGetTextureParameterIiv = glGetTextureParameterIiv;
    tbl.glGetTextureParameterIuiv = glGetTextureParameterIuiv;
    tbl.glGetTextureParameterfv = glGetTextureParameterfv;
    tbl.glGetTextureParameteriv = glGetTextureParameteriv;
    tbl.glGetTransformFeedbacki64_v = glGetTransformFeedbacki64_v;
    tbl.glGetTransformFeedbacki_v = glGetTransformFeedbacki_v;
    tbl.glGetTransformFeedbackiv = glGetTransformFeedbackiv;
    tbl.glGetVertexArrayIndexed64iv = glGetVertexArrayIndexed64iv;
    tbl.glGetVertexArrayIndexediv = glGetVertexArrayIndexediv;
    tbl.glGetVertexArrayiv = glGetVertexArrayiv;
    tbl.glInvalidateNamedFramebufferData = glInvalidateNamedFramebufferData;
    tbl.glInvalidateNamedFramebufferSubData = glInvalidateNamedFramebufferSubData;
    tbl.glMapNamedBuffer = glMapNamedBuffer;
    tbl.glMapNamedBufferRange = glMapNamedBufferRange;
    tbl.glNamedBufferData = glNamedBufferData;
    tbl.glNamedBufferStorage = glNamedBufferStorage;
    tbl.glNamedBufferSubData = glNamedBufferSubData;
    tbl.glNamedFramebufferDrawBuffer = glNamedFramebufferDrawBuffer;
    tbl.glNamedFramebufferDrawBuffers = glNamedFramebufferDrawBuffers;
    tbl.glNamedFramebufferParameteri = glNamedFramebufferParameteri;
    tbl.glNamedFramebufferReadBuffer = glNamedFramebufferReadBuffer;
    tbl.glNamedFramebufferRenderbuffer = glNamedFramebufferRenderbuffer;
    tbl.glNamedFramebufferTexture = glNamedFramebufferTexture;
    tbl.glNamedFramebufferTextureLayer = glNamedFramebufferTextureLayer;
    tbl.glNamedRenderbufferStorage = glNamedRenderbufferStorage;
    tbl.glNamedRenderbufferStorageMultisample = glNamedRenderbufferStorageMultisample;
    tbl.glTextureBuffer = glTextureBuffer;
    tbl.glTextureBufferRange = glTextureBufferRange;
    tbl.glTextureParameterIiv = glTextureParameterIiv;
    tbl.glTextureParameterIuiv = glTextureParameterIuiv;
    tbl.glTextureParameterf = glTextureParameterf;
    tbl.glTextureParameterfv = glTextureParameterfv;
    tbl.glTextureParameteri = glTextureParameteri;
    tbl.glTextureParameteriv = glTextureParameteriv;
    tbl.glTextureStorage1D = glTextureStorage1D;
    tbl.glTextureStorage2D = glTextureStorage2D;
    tbl.glTextureStorage2DMultisample = glTextureStorage2DMultisample;
    tbl.glTextureStorage3D = glTextureStorage3D;
    tbl.glTextureStorage3DMultisample = glTextureStorage3DMultisample;
    tbl.glTextureSubImage1D = glTextureSubImage1D;
    tbl.glTextureSubImage2D = glTextureSubImage2D;
    tbl.glTextureSubImage3D = glTextureSubImage3D;
    tbl.glTransformFeedbackBufferBase = glTransformFeedbackBufferBase;
    tbl.glTransformFeedbackBufferRange = glTransformFeedbackBufferRange;
    tbl.glUnmapNamedBuffer = glUnmapNamedBuffer;
    tbl.glVertexArrayAttribBinding = glVertexArrayAttribBinding;
    tbl.glVertexArrayAttribFormat = glVertexArrayAttribFormat;
    tbl.glVertexArrayAttribIFormat = glVertexArrayAttribIFormat;
    tbl.glVertexArrayAttribLFormat = glVertexArrayAttribLFormat;
    tbl.glVertexArrayBindingDivisor = glVertexArrayBindingDivisor;
    tbl.glVertexArrayElementBuffer = glVertexArrayElementBuffer;
    tbl.glVertexArrayVertexBuffer = glVertexArrayVertexBuffer;
    tbl.glVertexArrayVertexBuffers = glVertexArrayVertexBuffers;

  // GL_ARB_draw_buffers

    tbl.glDrawBuffersARB = glDrawBuffersARB;

  // GL_ARB_draw_buffers_blend

    tbl.glBlendEquationSeparateiARB = glBlendEquationSeparateiARB;
    tbl.glBlendEquationiARB = glBlendEquationiARB;
    tbl.glBlendFuncSeparateiARB = glBlendFuncSeparateiARB;
    tbl.glBlendFunciARB = glBlendFunciARB;

  // GL_ARB_draw_elements_base_vertex

    tbl.glDrawElementsBaseVertex = glDrawElementsBaseVertex;
    tbl.glDrawElementsInstancedBaseVertex = glDrawElementsInstancedBaseVertex;
    tbl.glDrawRangeElementsBaseVertex = glDrawRangeElementsBaseVertex;
    tbl.glMultiDrawElementsBaseVertex = glMultiDrawElementsBaseVertex;

  // GL_ARB_draw_instanced

    tbl.glDrawArraysInstancedARB = glDrawArraysInstancedARB;
    tbl.glDrawElementsInstancedARB = glDrawElementsInstancedARB;

  // GL_ARB_framebuffer_no_attachments

    tbl.glFramebufferParameteri = glFramebufferParameteri;
    tbl.glGetFramebufferParameteriv = glGetFramebufferParameteriv;
    tbl.glGetNamedFramebufferParameterivEXT = glGetNamedFramebufferParameterivEXT;
    tbl.glNamedFramebufferParameteriEXT = glNamedFramebufferParameteriEXT;

  // GL_ARB_framebuffer_object

    tbl.glBindFramebuffer = glBindFramebuffer;
    tbl.glBindRenderbuffer = glBindRenderbuffer;
    tbl.glBlitFramebuffer = glBlitFramebuffer;
    tbl.glCheckFramebufferStatus = glCheckFramebufferStatus;
    tbl.glDeleteFramebuffers = glDeleteFramebuffers;
    tbl.glDeleteRenderbuffers = glDeleteRenderbuffers;
    tbl.glFramebufferRenderbuffer = glFramebufferRenderbuffer;
    tbl.glFramebufferTexture1D = glFramebufferTexture1D;
    tbl.glFramebufferTexture2D = glFramebufferTexture2D;
    tbl.glFramebufferTexture3D = glFramebufferTexture3D;
    tbl.glFramebufferTextureLayer = glFramebufferTextureLayer;
    tbl.glGenFramebuffers = glGenFramebuffers;
    tbl.glGenRenderbuffers = glGenRenderbuffers;
    tbl.glGenerateMipmap = glGenerateMipmap;
    tbl.glGetFramebufferAttachmentParameteriv = glGetFramebufferAttachmentParameteriv;
    tbl.glGetRenderbufferParameteriv = glGetRenderbufferParameteriv;
    tbl.glIsFramebuffer = glIsFramebuffer;
    tbl.glIsRenderbuffer = glIsRenderbuffer;
    tbl.glRenderbufferStorage = glRenderbufferStorage;
    tbl.glRenderbufferStorageMultisample = glRenderbufferStorageMultisample;

  // GL_ARB_geometry_shader4

    tbl.glFramebufferTextureARB = glFramebufferTextureARB;
    tbl.glFramebufferTextureFaceARB = glFramebufferTextureFaceARB;
    tbl.glFramebufferTextureLayerARB = glFramebufferTextureLayerARB;
    tbl.glProgramParameteriARB = glProgramParameteriARB;

  // GL_ARB_get_program_binary

    tbl.glGetProgramBinary = glGetProgramBinary;
    tbl.glProgramBinary = glProgramBinary;
    tbl.glProgramParameteri = glProgramParameteri;

  // GL_ARB_get_texture_sub_image

    tbl.glGetCompressedTextureSubImage = glGetCompressedTextureSubImage;
    tbl.glGetTextureSubImage = glGetTextureSubImage;

  // GL_ARB_gpu_shader_fp64

    tbl.glGetUniformdv = glGetUniformdv;
    tbl.glUniform1d = glUniform1d;
    tbl.glUniform1dv = glUniform1dv;
    tbl.glUniform2d = glUniform2d;
    tbl.glUniform2dv = glUniform2dv;
    tbl.glUniform3d = glUniform3d;
    tbl.glUniform3dv = glUniform3dv;
    tbl.glUniform4d = glUniform4d;
    tbl.glUniform4dv = glUniform4dv;
    tbl.glUniformMatrix2dv = glUniformMatrix2dv;
    tbl.glUniformMatrix2x3dv = glUniformMatrix2x3dv;
    tbl.glUniformMatrix2x4dv = glUniformMatrix2x4dv;
    tbl.glUniformMatrix3dv = glUniformMatrix3dv;
    tbl.glUniformMatrix3x2dv = glUniformMatrix3x2dv;
    tbl.glUniformMatrix3x4dv = glUniformMatrix3x4dv;
    tbl.glUniformMatrix4dv = glUniformMatrix4dv;
    tbl.glUniformMatrix4x2dv = glUniformMatrix4x2dv;
    tbl.glUniformMatrix4x3dv = glUniformMatrix4x3dv;

  // GL_ARB_imaging

    tbl.glColorSubTable = glColorSubTable;
    tbl.glColorTable = glColorTable;
    tbl.glColorTableParameterfv = glColorTableParameterfv;
    tbl.glColorTableParameteriv = glColorTableParameteriv;
    tbl.glConvolutionFilter1D = glConvolutionFilter1D;
    tbl.glConvolutionFilter2D = glConvolutionFilter2D;
    tbl.glConvolutionParameterf = glConvolutionParameterf;
    tbl.glConvolutionParameterfv = glConvolutionParameterfv;
    tbl.glConvolutionParameteri = glConvolutionParameteri;
    tbl.glConvolutionParameteriv = glConvolutionParameteriv;
    tbl.glCopyColorSubTable = glCopyColorSubTable;
    tbl.glCopyColorTable = glCopyColorTable;
    tbl.glCopyConvolutionFilter1D = glCopyConvolutionFilter1D;
    tbl.glCopyConvolutionFilter2D = glCopyConvolutionFilter2D;
    tbl.glGetColorTable = glGetColorTable;
    tbl.glGetColorTableParameterfv = glGetColorTableParameterfv;
    tbl.glGetColorTableParameteriv = glGetColorTableParameteriv;
    tbl.glGetConvolutionFilter = glGetConvolutionFilter;
    tbl.glGetConvolutionParameterfv = glGetConvolutionParameterfv;
    tbl.glGetConvolutionParameteriv = glGetConvolutionParameteriv;
    tbl.glGetHistogram = glGetHistogram;
    tbl.glGetHistogramParameterfv = glGetHistogramParameterfv;
    tbl.glGetHistogramParameteriv = glGetHistogramParameteriv;
    tbl.glGetMinmax = glGetMinmax;
    tbl.glGetMinmaxParameterfv = glGetMinmaxParameterfv;
    tbl.glGetMinmaxParameteriv = glGetMinmaxParameteriv;
    tbl.glGetSeparableFilter = glGetSeparableFilter;
    tbl.glHistogram = glHistogram;
    tbl.glMinmax = glMinmax;
    tbl.glResetHistogram = glResetHistogram;
    tbl.glResetMinmax = glResetMinmax;
    tbl.glSeparableFilter2D = glSeparableFilter2D;

  // GL_ARB_indirect_parameters

    tbl.glMultiDrawArraysIndirectCountARB = glMultiDrawArraysIndirectCountARB;
    tbl.glMultiDrawElementsIndirectCountARB = glMultiDrawElementsIndirectCountARB;

  // GL_ARB_instanced_arrays

    tbl.glVertexAttribDivisorARB = glVertexAttribDivisorARB;

  // GL_ARB_internalformat_query

    tbl.glGetInternalformativ = glGetInternalformativ;

  // GL_ARB_internalformat_query2

    tbl.glGetInternalformati64v = glGetInternalformati64v;

  // GL_ARB_invalidate_subdata

    tbl.glInvalidateBufferData = glInvalidateBufferData;
    tbl.glInvalidateBufferSubData = glInvalidateBufferSubData;
    tbl.glInvalidateFramebuffer = glInvalidateFramebuffer;
    tbl.glInvalidateSubFramebuffer = glInvalidateSubFramebuffer;
    tbl.glInvalidateTexImage = glInvalidateTexImage;
    tbl.glInvalidateTexSubImage = glInvalidateTexSubImage;

  // GL_ARB_map_buffer_range

    tbl.glFlushMappedBufferRange = glFlushMappedBufferRange;
    tbl.glMapBufferRange = glMapBufferRange;

  // GL_ARB_matrix_palette

    tbl.glCurrentPaletteMatrixARB = glCurrentPaletteMatrixARB;
    tbl.glMatrixIndexPointerARB = glMatrixIndexPointerARB;
    tbl.glMatrixIndexubvARB = glMatrixIndexubvARB;
    tbl.glMatrixIndexuivARB = glMatrixIndexuivARB;
    tbl.glMatrixIndexusvARB = glMatrixIndexusvARB;

  // GL_ARB_multi_bind

    tbl.glBindBuffersBase = glBindBuffersBase;
    tbl.glBindBuffersRange = glBindBuffersRange;
    tbl.glBindImageTextures = glBindImageTextures;
    tbl.glBindSamplers = glBindSamplers;
    tbl.glBindTextures = glBindTextures;
    tbl.glBindVertexBuffers = glBindVertexBuffers;

  // GL_ARB_multi_draw_indirect

    tbl.glMultiDrawArraysIndirect = glMultiDrawArraysIndirect;
    tbl.glMultiDrawElementsIndirect = glMultiDrawElementsIndirect;

  // GL_ARB_multisample

    tbl.glSampleCoverageARB = glSampleCoverageARB;

  // GL_ARB_multitexture

    tbl.glActiveTextureARB = glActiveTextureARB;
    tbl.glClientActiveTextureARB = glClientActiveTextureARB;
    tbl.glMultiTexCoord1dARB = glMultiTexCoord1dARB;
    tbl.glMultiTexCoord1dvARB = glMultiTexCoord1dvARB;
    tbl.glMultiTexCoord1fARB = glMultiTexCoord1fARB;
    tbl.glMultiTexCoord1fvARB = glMultiTexCoord1fvARB;
    tbl.glMultiTexCoord1iARB = glMultiTexCoord1iARB;
    tbl.glMultiTexCoord1ivARB = glMultiTexCoord1ivARB;
    tbl.glMultiTexCoord1sARB = glMultiTexCoord1sARB;
    tbl.glMultiTexCoord1svARB = glMultiTexCoord1svARB;
    tbl.glMultiTexCoord2dARB = glMultiTexCoord2dARB;
    tbl.glMultiTexCoord2dvARB = glMultiTexCoord2dvARB;
    tbl.glMultiTexCoord2fARB = glMultiTexCoord2fARB;
    tbl.glMultiTexCoord2fvARB = glMultiTexCoord2fvARB;
    tbl.glMultiTexCoord2iARB = glMultiTexCoord2iARB;
    tbl.glMultiTexCoord2ivARB = glMultiTexCoord2ivARB;
    tbl.glMultiTexCoord2sARB = glMultiTexCoord2sARB;
    tbl.glMultiTexCoord2svARB = glMultiTexCoord2svARB;
    tbl.glMultiTexCoord3dARB = glMultiTexCoord3dARB;
    tbl.glMultiTexCoord3dvARB = glMultiTexCoord3dvARB;
    tbl.glMultiTexCoord3fARB = glMultiTexCoord3fARB;
    tbl.glMultiTexCoord3fvARB = glMultiTexCoord3fvARB;
    tbl.glMultiTexCoord3iARB = glMultiTexCoord3iARB;
    tbl.glMultiTexCoord3ivARB = glMultiTexCoord3ivARB;
    tbl.glMultiTexCoord3sARB = glMultiTexCoord3sARB;
    tbl.glMultiTexCoord3svARB = glMultiTexCoord3svARB;
    tbl.glMultiTexCoord4dARB = glMultiTexCoord4dARB;
    tbl.glMultiTexCoord4dvARB = glMultiTexCoord4dvARB;
    tbl.glMultiTexCoord4fARB = glMultiTexCoord4fARB;
    tbl.glMultiTexCoord4fvARB = glMultiTexCoord4fvARB;
    tbl.glMultiTexCoord4iARB = glMultiTexCoord4iARB;
    tbl.glMultiTexCoord4ivARB = glMultiTexCoord4ivARB;
    tbl.glMultiTexCoord4sARB = glMultiTexCoord4sARB;
    tbl.glMultiTexCoord4svARB = glMultiTexCoord4svARB;

  // GL_ARB_occlusion_query

    tbl.glBeginQueryARB = glBeginQueryARB;
    tbl.glDeleteQueriesARB = glDeleteQueriesARB;
    tbl.glEndQueryARB = glEndQueryARB;
    tbl.glGenQueriesARB = glGenQueriesARB;
    tbl.glGetQueryObjectivARB = glGetQueryObjectivARB;
    tbl.glGetQueryObjectuivARB = glGetQueryObjectuivARB;
    tbl.glGetQueryivARB = glGetQueryivARB;
    tbl.glIsQueryARB = glIsQueryARB;

  // GL_ARB_point_parameters

    tbl.glPointParameterfARB = glPointParameterfARB;
    tbl.glPointParameterfvARB = glPointParameterfvARB;

  // GL_ARB_program_interface_query

    tbl.glGetProgramInterfaceiv = glGetProgramInterfaceiv;
    tbl.glGetProgramResourceIndex = glGetProgramResourceIndex;
    tbl.glGetProgramResourceLocation = glGetProgramResourceLocation;
    tbl.glGetProgramResourceLocationIndex = glGetProgramResourceLocationIndex;
    tbl.glGetProgramResourceName = glGetProgramResourceName;
    tbl.glGetProgramResourceiv = glGetProgramResourceiv;

  // GL_ARB_provoking_vertex

    tbl.glProvokingVertex = glProvokingVertex;

  // GL_ARB_robustness

    tbl.glGetGraphicsResetStatusARB = glGetGraphicsResetStatusARB;
    tbl.glGetnColorTableARB = glGetnColorTableARB;
    tbl.glGetnCompressedTexImageARB = glGetnCompressedTexImageARB;
    tbl.glGetnConvolutionFilterARB = glGetnConvolutionFilterARB;
    tbl.glGetnHistogramARB = glGetnHistogramARB;
    tbl.glGetnMapdvARB = glGetnMapdvARB;
    tbl.glGetnMapfvARB = glGetnMapfvARB;
    tbl.glGetnMapivARB = glGetnMapivARB;
    tbl.glGetnMinmaxARB = glGetnMinmaxARB;
    tbl.glGetnPixelMapfvARB = glGetnPixelMapfvARB;
    tbl.glGetnPixelMapuivARB = glGetnPixelMapuivARB;
    tbl.glGetnPixelMapusvARB = glGetnPixelMapusvARB;
    tbl.glGetnPolygonStippleARB = glGetnPolygonStippleARB;
    tbl.glGetnSeparableFilterARB = glGetnSeparableFilterARB;
    tbl.glGetnTexImageARB = glGetnTexImageARB;
    tbl.glGetnUniformdvARB = glGetnUniformdvARB;
    tbl.glGetnUniformfvARB = glGetnUniformfvARB;
    tbl.glGetnUniformivARB = glGetnUniformivARB;
    tbl.glGetnUniformuivARB = glGetnUniformuivARB;
    tbl.glReadnPixelsARB = glReadnPixelsARB;

  // GL_ARB_sample_shading

    tbl.glMinSampleShadingARB = glMinSampleShadingARB;

  // GL_ARB_sampler_objects

    tbl.glBindSampler = glBindSampler;
    tbl.glDeleteSamplers = glDeleteSamplers;
    tbl.glGenSamplers = glGenSamplers;
    tbl.glGetSamplerParameterIiv = glGetSamplerParameterIiv;
    tbl.glGetSamplerParameterIuiv = glGetSamplerParameterIuiv;
    tbl.glGetSamplerParameterfv = glGetSamplerParameterfv;
    tbl.glGetSamplerParameteriv = glGetSamplerParameteriv;
    tbl.glIsSampler = glIsSampler;
    tbl.glSamplerParameterIiv = glSamplerParameterIiv;
    tbl.glSamplerParameterIuiv = glSamplerParameterIuiv;
    tbl.glSamplerParameterf = glSamplerParameterf;
    tbl.glSamplerParameterfv = glSamplerParameterfv;
    tbl.glSamplerParameteri = glSamplerParameteri;
    tbl.glSamplerParameteriv = glSamplerParameteriv;

  // GL_ARB_separate_shader_objects

    tbl.glActiveShaderProgram = glActiveShaderProgram;
    tbl.glBindProgramPipeline = glBindProgramPipeline;
    tbl.glCreateShaderProgramv = glCreateShaderProgramv;
    tbl.glDeleteProgramPipelines = glDeleteProgramPipelines;
    tbl.glGenProgramPipelines = glGenProgramPipelines;
    tbl.glGetProgramPipelineInfoLog = glGetProgramPipelineInfoLog;
    tbl.glGetProgramPipelineiv = glGetProgramPipelineiv;
    tbl.glIsProgramPipeline = glIsProgramPipeline;
    tbl.glProgramUniform1d = glProgramUniform1d;
    tbl.glProgramUniform1dv = glProgramUniform1dv;
    tbl.glProgramUniform1f = glProgramUniform1f;
    tbl.glProgramUniform1fv = glProgramUniform1fv;
    tbl.glProgramUniform1i = glProgramUniform1i;
    tbl.glProgramUniform1iv = glProgramUniform1iv;
    tbl.glProgramUniform1ui = glProgramUniform1ui;
    tbl.glProgramUniform1uiv = glProgramUniform1uiv;
    tbl.glProgramUniform2d = glProgramUniform2d;
    tbl.glProgramUniform2dv = glProgramUniform2dv;
    tbl.glProgramUniform2f = glProgramUniform2f;
    tbl.glProgramUniform2fv = glProgramUniform2fv;
    tbl.glProgramUniform2i = glProgramUniform2i;
    tbl.glProgramUniform2iv = glProgramUniform2iv;
    tbl.glProgramUniform2ui = glProgramUniform2ui;
    tbl.glProgramUniform2uiv = glProgramUniform2uiv;
    tbl.glProgramUniform3d = glProgramUniform3d;
    tbl.glProgramUniform3dv = glProgramUniform3dv;
    tbl.glProgramUniform3f = glProgramUniform3f;
    tbl.glProgramUniform3fv = glProgramUniform3fv;
    tbl.glProgramUniform3i = glProgramUniform3i;
    tbl.glProgramUniform3iv = glProgramUniform3iv;
    tbl.glProgramUniform3ui = glProgramUniform3ui;
    tbl.glProgramUniform3uiv = glProgramUniform3uiv;
    tbl.glProgramUniform4d = glProgramUniform4d;
    tbl.glProgramUniform4dv = glProgramUniform4dv;
    tbl.glProgramUniform4f = glProgramUniform4f;
    tbl.glProgramUniform4fv = glProgramUniform4fv;
    tbl.glProgramUniform4i = glProgramUniform4i;
    tbl.glProgramUniform4iv = glProgramUniform4iv;
    tbl.glProgramUniform4ui = glProgramUniform4ui;
    tbl.glProgramUniform4uiv = glProgramUniform4uiv;
    tbl.glProgramUniformMatrix2dv = glProgramUniformMatrix2dv;
    tbl.glProgramUniformMatrix2fv = glProgramUniformMatrix2fv;
    tbl.glProgramUniformMatrix2x3dv = glProgramUniformMatrix2x3dv;
    tbl.glProgramUniformMatrix2x3fv = glProgramUniformMatrix2x3fv;
    tbl.glProgramUniformMatrix2x4dv = glProgramUniformMatrix2x4dv;
    tbl.glProgramUniformMatrix2x4fv = glProgramUniformMatrix2x4fv;
    tbl.glProgramUniformMatrix3dv = glProgramUniformMatrix3dv;
    tbl.glProgramUniformMatrix3fv = glProgramUniformMatrix3fv;
    tbl.glProgramUniformMatrix3x2dv = glProgramUniformMatrix3x2dv;
    tbl.glProgramUniformMatrix3x2fv = glProgramUniformMatrix3x2fv;
    tbl.glProgramUniformMatrix3x4dv = glProgramUniformMatrix3x4dv;
    tbl.glProgramUniformMatrix3x4fv = glProgramUniformMatrix3x4fv;
    tbl.glProgramUniformMatrix4dv = glProgramUniformMatrix4dv;
    tbl.glProgramUniformMatrix4fv = glProgramUniformMatrix4fv;
    tbl.glProgramUniformMatrix4x2dv = glProgramUniformMatrix4x2dv;
    tbl.glProgramUniformMatrix4x2fv = glProgramUniformMatrix4x2fv;
    tbl.glProgramUniformMatrix4x3dv = glProgramUniformMatrix4x3dv;
    tbl.glProgramUniformMatrix4x3fv = glProgramUniformMatrix4x3fv;
    tbl.glUseProgramStages = glUseProgramStages;
    tbl.glValidateProgramPipeline = glValidateProgramPipeline;

  // GL_ARB_shader_atomic_counters

    tbl.glGetActiveAtomicCounterBufferiv = glGetActiveAtomicCounterBufferiv;

  // GL_ARB_shader_image_load_store

    tbl.glBindImageTexture = glBindImageTexture;
    tbl.glMemoryBarrier = glMemoryBarrier;

  // GL_ARB_shader_objects

    tbl.glAttachObjectARB = glAttachObjectARB;
    tbl.glCompileShaderARB = glCompileShaderARB;
    tbl.glCreateProgramObjectARB = glCreateProgramObjectARB;
    tbl.glCreateShaderObjectARB = glCreateShaderObjectARB;
    tbl.glDeleteObjectARB = glDeleteObjectARB;
    tbl.glDetachObjectARB = glDetachObjectARB;
    tbl.glGetActiveUniformARB = glGetActiveUniformARB;
    tbl.glGetAttachedObjectsARB = glGetAttachedObjectsARB;
    tbl.glGetHandleARB = glGetHandleARB;
    tbl.glGetInfoLogARB = glGetInfoLogARB;
    tbl.glGetObjectParameterfvARB = glGetObjectParameterfvARB;
    tbl.glGetObjectParameterivARB = glGetObjectParameterivARB;
    tbl.glGetShaderSourceARB = glGetShaderSourceARB;
    tbl.glGetUniformLocationARB = glGetUniformLocationARB;
    tbl.glGetUniformfvARB = glGetUniformfvARB;
    tbl.glGetUniformivARB = glGetUniformivARB;
    tbl.glLinkProgramARB = glLinkProgramARB;
    tbl.glShaderSourceARB = glShaderSourceARB;
    tbl.glUniform1fARB = glUniform1fARB;
    tbl.glUniform1fvARB = glUniform1fvARB;
    tbl.glUniform1iARB = glUniform1iARB;
    tbl.glUniform1ivARB = glUniform1ivARB;
    tbl.glUniform2fARB = glUniform2fARB;
    tbl.glUniform2fvARB = glUniform2fvARB;
    tbl.glUniform2iARB = glUniform2iARB;
    tbl.glUniform2ivARB = glUniform2ivARB;
    tbl.glUniform3fARB = glUniform3fARB;
    tbl.glUniform3fvARB = glUniform3fvARB;
    tbl.glUniform3iARB = glUniform3iARB;
    tbl.glUniform3ivARB = glUniform3ivARB;
    tbl.glUniform4fARB = glUniform4fARB;
    tbl.glUniform4fvARB = glUniform4fvARB;
    tbl.glUniform4iARB = glUniform4iARB;
    tbl.glUniform4ivARB = glUniform4ivARB;
    tbl.glUniformMatrix2fvARB = glUniformMatrix2fvARB;
    tbl.glUniformMatrix3fvARB = glUniformMatrix3fvARB;
    tbl.glUniformMatrix4fvARB = glUniformMatrix4fvARB;
    tbl.glUseProgramObjectARB = glUseProgramObjectARB;
    tbl.glValidateProgramARB = glValidateProgramARB;

  // GL_ARB_shader_storage_buffer_object

    tbl.glShaderStorageBlockBinding = glShaderStorageBlockBinding;

  // GL_ARB_shader_subroutine

    tbl.glGetActiveSubroutineName = glGetActiveSubroutineName;
    tbl.glGetActiveSubroutineUniformName = glGetActiveSubroutineUniformName;
    tbl.glGetActiveSubroutineUniformiv = glGetActiveSubroutineUniformiv;
    tbl.glGetProgramStageiv = glGetProgramStageiv;
    tbl.glGetProgramSubroutineParameteruivNV = glGetProgramSubroutineParameteruivNV;
    tbl.glGetSubroutineIndex = glGetSubroutineIndex;
    tbl.glGetSubroutineUniformLocation = glGetSubroutineUniformLocation;
    tbl.glGetUniformSubroutineuiv = glGetUniformSubroutineuiv;
    tbl.glProgramSubroutineParametersuivNV = glProgramSubroutineParametersuivNV;
    tbl.glUniformSubroutinesuiv = glUniformSubroutinesuiv;

  // GL_ARB_shading_language_include

    tbl.glCompileShaderIncludeARB = glCompileShaderIncludeARB;
    tbl.glDeleteNamedStringARB = glDeleteNamedStringARB;
    tbl.glGetNamedStringARB = glGetNamedStringARB;
    tbl.glGetNamedStringivARB = glGetNamedStringivARB;
    tbl.glIsNamedStringARB = glIsNamedStringARB;
    tbl.glNamedStringARB = glNamedStringARB;

  // GL_ARB_sparse_buffer

    tbl.glBufferPageCommitmentARB = glBufferPageCommitmentARB;

  // GL_ARB_sparse_texture

    tbl.glTexPageCommitmentARB = glTexPageCommitmentARB;
    tbl.glTexturePageCommitmentEXT = glTexturePageCommitmentEXT;

  // GL_ARB_sync

    tbl.glClientWaitSync = glClientWaitSync;
    tbl.glDeleteSync = glDeleteSync;
    tbl.glFenceSync = glFenceSync;
    tbl.glGetInteger64v = glGetInteger64v;
    tbl.glGetSynciv = glGetSynciv;
    tbl.glIsSync = glIsSync;
    tbl.glWaitSync = glWaitSync;

  // GL_ARB_tessellation_shader

    tbl.glPatchParameterfv = glPatchParameterfv;
    tbl.glPatchParameteri = glPatchParameteri;

  // GL_ARB_texture_barrier

    tbl.glTextureBarrier = glTextureBarrier;

  // GL_ARB_texture_buffer_object

    tbl.glTexBufferARB = glTexBufferARB;

  // GL_ARB_texture_buffer_range

    tbl.glTexBufferRange = glTexBufferRange;
    tbl.glTextureBufferRangeEXT = glTextureBufferRangeEXT;

  // GL_ARB_texture_compression

    tbl.glCompressedTexImage1DARB = glCompressedTexImage1DARB;
    tbl.glCompressedTexImage2DARB = glCompressedTexImage2DARB;
    tbl.glCompressedTexImage3DARB = glCompressedTexImage3DARB;
    tbl.glCompressedTexSubImage1DARB = glCompressedTexSubImage1DARB;
    tbl.glCompressedTexSubImage2DARB = glCompressedTexSubImage2DARB;
    tbl.glCompressedTexSubImage3DARB = glCompressedTexSubImage3DARB;
    tbl.glGetCompressedTexImageARB = glGetCompressedTexImageARB;

  // GL_ARB_texture_multisample

    tbl.glGetMultisamplefv = glGetMultisamplefv;
    tbl.glSampleMaski = glSampleMaski;
    tbl.glTexImage2DMultisample = glTexImage2DMultisample;
    tbl.glTexImage3DMultisample = glTexImage3DMultisample;

  // GL_ARB_texture_storage

    tbl.glTexStorage1D = glTexStorage1D;
    tbl.glTexStorage2D = glTexStorage2D;
    tbl.glTexStorage3D = glTexStorage3D;
    tbl.glTextureStorage1DEXT = glTextureStorage1DEXT;
    tbl.glTextureStorage2DEXT = glTextureStorage2DEXT;
    tbl.glTextureStorage3DEXT = glTextureStorage3DEXT;

  // GL_ARB_texture_storage_multisample

    tbl.glTexStorage2DMultisample = glTexStorage2DMultisample;
    tbl.glTexStorage3DMultisample = glTexStorage3DMultisample;
    tbl.glTextureStorage2DMultisampleEXT = glTextureStorage2DMultisampleEXT;
    tbl.glTextureStorage3DMultisampleEXT = glTextureStorage3DMultisampleEXT;

  // GL_ARB_texture_view

    tbl.glTextureView = glTextureView;

  // GL_ARB_timer_query

    tbl.glGetQueryObjecti64v = glGetQueryObjecti64v;
    tbl.glGetQueryObjectui64v = glGetQueryObjectui64v;
    tbl.glQueryCounter = glQueryCounter;

  // GL_ARB_transform_feedback2

    tbl.glBindTransformFeedback = glBindTransformFeedback;
    tbl.glDeleteTransformFeedbacks = glDeleteTransformFeedbacks;
    tbl.glDrawTransformFeedback = glDrawTransformFeedback;
    tbl.glGenTransformFeedbacks = glGenTransformFeedbacks;
    tbl.glIsTransformFeedback = glIsTransformFeedback;
    tbl.glPauseTransformFeedback = glPauseTransformFeedback;
    tbl.glResumeTransformFeedback = glResumeTransformFeedback;

  // GL_ARB_transform_feedback3

    tbl.glBeginQueryIndexed = glBeginQueryIndexed;
    tbl.glDrawTransformFeedbackStream = glDrawTransformFeedbackStream;
    tbl.glEndQueryIndexed = glEndQueryIndexed;
    tbl.glGetQueryIndexediv = glGetQueryIndexediv;

  // GL_ARB_transform_feedback_instanced

    tbl.glDrawTransformFeedbackInstanced = glDrawTransformFeedbackInstanced;
    tbl.glDrawTransformFeedbackStreamInstanced = glDrawTransformFeedbackStreamInstanced;

  // GL_ARB_transpose_matrix

    tbl.glLoadTransposeMatrixdARB = glLoadTransposeMatrixdARB;
    tbl.glLoadTransposeMatrixfARB = glLoadTransposeMatrixfARB;
    tbl.glMultTransposeMatrixdARB = glMultTransposeMatrixdARB;
    tbl.glMultTransposeMatrixfARB = glMultTransposeMatrixfARB;

  // GL_ARB_uniform_buffer_object

    tbl.glBindBufferBase = glBindBufferBase;
    tbl.glBindBufferRange = glBindBufferRange;
    tbl.glGetActiveUniformBlockName = glGetActiveUniformBlockName;
    tbl.glGetActiveUniformBlockiv = glGetActiveUniformBlockiv;
    tbl.glGetActiveUniformName = glGetActiveUniformName;
    tbl.glGetActiveUniformsiv = glGetActiveUniformsiv;
    tbl.glGetIntegeri_v = glGetIntegeri_v;
    tbl.glGetUniformBlockIndex = glGetUniformBlockIndex;
    tbl.glGetUniformIndices = glGetUniformIndices;
    tbl.glUniformBlockBinding = glUniformBlockBinding;

  // GL_ARB_vertex_array_object

    tbl.glBindVertexArray = glBindVertexArray;
    tbl.glDeleteVertexArrays = glDeleteVertexArrays;
    tbl.glGenVertexArrays = glGenVertexArrays;
    tbl.glIsVertexArray = glIsVertexArray;

  // GL_ARB_vertex_attrib_64bit

    tbl.glGetVertexAttribLdv = glGetVertexAttribLdv;
    tbl.glVertexAttribL1d = glVertexAttribL1d;
    tbl.glVertexAttribL1dv = glVertexAttribL1dv;
    tbl.glVertexAttribL2d = glVertexAttribL2d;
    tbl.glVertexAttribL2dv = glVertexAttribL2dv;
    tbl.glVertexAttribL3d = glVertexAttribL3d;
    tbl.glVertexAttribL3dv = glVertexAttribL3dv;
    tbl.glVertexAttribL4d = glVertexAttribL4d;
    tbl.glVertexAttribL4dv = glVertexAttribL4dv;
    tbl.glVertexAttribLPointer = glVertexAttribLPointer;

  // GL_ARB_vertex_attrib_binding

    tbl.glBindVertexBuffer = glBindVertexBuffer;
    tbl.glVertexArrayBindVertexBufferEXT = glVertexArrayBindVertexBufferEXT;
    tbl.glVertexArrayVertexAttribBindingEXT = glVertexArrayVertexAttribBindingEXT;
    tbl.glVertexArrayVertexAttribFormatEXT = glVertexArrayVertexAttribFormatEXT;
    tbl.glVertexArrayVertexAttribIFormatEXT = glVertexArrayVertexAttribIFormatEXT;
    tbl.glVertexArrayVertexAttribLFormatEXT = glVertexArrayVertexAttribLFormatEXT;
    tbl.glVertexArrayVertexBindingDivisorEXT = glVertexArrayVertexBindingDivisorEXT;
    tbl.glVertexAttribBinding = glVertexAttribBinding;
    tbl.glVertexAttribFormat = glVertexAttribFormat;
    tbl.glVertexAttribIFormat = glVertexAttribIFormat;
    tbl.glVertexAttribLFormat = glVertexAttribLFormat;
    tbl.glVertexBindingDivisor = glVertexBindingDivisor;

  // GL_ARB_vertex_blend

    tbl.glVertexBlendARB = glVertexBlendARB;
    tbl.glWeightPointerARB = glWeightPointerARB;
    tbl.glWeightbvARB = glWeightbvARB;
    tbl.glWeightdvARB = glWeightdvARB;
    tbl.glWeightfvARB = glWeightfvARB;
    tbl.glWeightivARB = glWeightivARB;
    tbl.glWeightsvARB = glWeightsvARB;
    tbl.glWeightubvARB = glWeightubvARB;
    tbl.glWeightuivARB = glWeightuivARB;
    tbl.glWeightusvARB = glWeightusvARB;

  // GL_ARB_vertex_buffer_object

    tbl.glBindBufferARB = glBindBufferARB;
    tbl.glBufferDataARB = glBufferDataARB;
    tbl.glBufferSubDataARB = glBufferSubDataARB;
    tbl.glDeleteBuffersARB = glDeleteBuffersARB;
    tbl.glGenBuffersARB = glGenBuffersARB;
    tbl.glGetBufferParameterivARB = glGetBufferParameterivARB;
    tbl.glGetBufferPointervARB = glGetBufferPointervARB;
    tbl.glGetBufferSubDataARB = glGetBufferSubDataARB;
    tbl.glIsBufferARB = glIsBufferARB;
    tbl.glMapBufferARB = glMapBufferARB;
    tbl.glUnmapBufferARB = glUnmapBufferARB;

  // GL_ARB_vertex_program

    tbl.glBindProgramARB = glBindProgramARB;
    tbl.glDeleteProgramsARB = glDeleteProgramsARB;
    tbl.glDisableVertexAttribArrayARB = glDisableVertexAttribArrayARB;
    tbl.glEnableVertexAttribArrayARB = glEnableVertexAttribArrayARB;
    tbl.glGenProgramsARB = glGenProgramsARB;
    tbl.glGetProgramEnvParameterdvARB = glGetProgramEnvParameterdvARB;
    tbl.glGetProgramEnvParameterfvARB = glGetProgramEnvParameterfvARB;
    tbl.glGetProgramLocalParameterdvARB = glGetProgramLocalParameterdvARB;
    tbl.glGetProgramLocalParameterfvARB = glGetProgramLocalParameterfvARB;
    tbl.glGetProgramStringARB = glGetProgramStringARB;
    tbl.glGetProgramivARB = glGetProgramivARB;
    tbl.glGetVertexAttribPointervARB = glGetVertexAttribPointervARB;
    tbl.glGetVertexAttribdvARB = glGetVertexAttribdvARB;
    tbl.glGetVertexAttribfvARB = glGetVertexAttribfvARB;
    tbl.glGetVertexAttribivARB = glGetVertexAttribivARB;
    tbl.glIsProgramARB = glIsProgramARB;
    tbl.glProgramEnvParameter4dARB = glProgramEnvParameter4dARB;
    tbl.glProgramEnvParameter4dvARB = glProgramEnvParameter4dvARB;
    tbl.glProgramEnvParameter4fARB = glProgramEnvParameter4fARB;
    tbl.glProgramEnvParameter4fvARB = glProgramEnvParameter4fvARB;
    tbl.glProgramLocalParameter4dARB = glProgramLocalParameter4dARB;
    tbl.glProgramLocalParameter4dvARB = glProgramLocalParameter4dvARB;
    tbl.glProgramLocalParameter4fARB = glProgramLocalParameter4fARB;
    tbl.glProgramLocalParameter4fvARB = glProgramLocalParameter4fvARB;
    tbl.glProgramStringARB = glProgramStringARB;
    tbl.glVertexAttrib1dARB = glVertexAttrib1dARB;
    tbl.glVertexAttrib1dvARB = glVertexAttrib1dvARB;
    tbl.glVertexAttrib1fARB = glVertexAttrib1fARB;
    tbl.glVertexAttrib1fvARB = glVertexAttrib1fvARB;
    tbl.glVertexAttrib1sARB = glVertexAttrib1sARB;
    tbl.glVertexAttrib1svARB = glVertexAttrib1svARB;
    tbl.glVertexAttrib2dARB = glVertexAttrib2dARB;
    tbl.glVertexAttrib2dvARB = glVertexAttrib2dvARB;
    tbl.glVertexAttrib2fARB = glVertexAttrib2fARB;
    tbl.glVertexAttrib2fvARB = glVertexAttrib2fvARB;
    tbl.glVertexAttrib2sARB = glVertexAttrib2sARB;
    tbl.glVertexAttrib2svARB = glVertexAttrib2svARB;
    tbl.glVertexAttrib3dARB = glVertexAttrib3dARB;
    tbl.glVertexAttrib3dvARB = glVertexAttrib3dvARB;
    tbl.glVertexAttrib3fARB = glVertexAttrib3fARB;
    tbl.glVertexAttrib3fvARB = glVertexAttrib3fvARB;
    tbl.glVertexAttrib3sARB = glVertexAttrib3sARB;
    tbl.glVertexAttrib3svARB = glVertexAttrib3svARB;
    tbl.glVertexAttrib4NbvARB = glVertexAttrib4NbvARB;
    tbl.glVertexAttrib4NivARB = glVertexAttrib4NivARB;
    tbl.glVertexAttrib4NsvARB = glVertexAttrib4NsvARB;
    tbl.glVertexAttrib4NubARB = glVertexAttrib4NubARB;
    tbl.glVertexAttrib4NubvARB = glVertexAttrib4NubvARB;
    tbl.glVertexAttrib4NuivARB = glVertexAttrib4NuivARB;
    tbl.glVertexAttrib4NusvARB = glVertexAttrib4NusvARB;
    tbl.glVertexAttrib4bvARB = glVertexAttrib4bvARB;
    tbl.glVertexAttrib4dARB = glVertexAttrib4dARB;
    tbl.glVertexAttrib4dvARB = glVertexAttrib4dvARB;
    tbl.glVertexAttrib4fARB = glVertexAttrib4fARB;
    tbl.glVertexAttrib4fvARB = glVertexAttrib4fvARB;
    tbl.glVertexAttrib4ivARB = glVertexAttrib4ivARB;
    tbl.glVertexAttrib4sARB = glVertexAttrib4sARB;
    tbl.glVertexAttrib4svARB = glVertexAttrib4svARB;
    tbl.glVertexAttrib4ubvARB = glVertexAttrib4ubvARB;
    tbl.glVertexAttrib4uivARB = glVertexAttrib4uivARB;
    tbl.glVertexAttrib4usvARB = glVertexAttrib4usvARB;
    tbl.glVertexAttribPointerARB = glVertexAttribPointerARB;

  // GL_ARB_vertex_shader

    tbl.glBindAttribLocationARB = glBindAttribLocationARB;
    tbl.glGetActiveAttribARB = glGetActiveAttribARB;
    tbl.glGetAttribLocationARB = glGetAttribLocationARB;

  // GL_ARB_vertex_type_2_10_10_10_rev

    tbl.glColorP3ui = glColorP3ui;
    tbl.glColorP3uiv = glColorP3uiv;
    tbl.glColorP4ui = glColorP4ui;
    tbl.glColorP4uiv = glColorP4uiv;
    tbl.glMultiTexCoordP1ui = glMultiTexCoordP1ui;
    tbl.glMultiTexCoordP1uiv = glMultiTexCoordP1uiv;
    tbl.glMultiTexCoordP2ui = glMultiTexCoordP2ui;
    tbl.glMultiTexCoordP2uiv = glMultiTexCoordP2uiv;
    tbl.glMultiTexCoordP3ui = glMultiTexCoordP3ui;
    tbl.glMultiTexCoordP3uiv = glMultiTexCoordP3uiv;
    tbl.glMultiTexCoordP4ui = glMultiTexCoordP4ui;
    tbl.glMultiTexCoordP4uiv = glMultiTexCoordP4uiv;
    tbl.glNormalP3ui = glNormalP3ui;
    tbl.glNormalP3uiv = glNormalP3uiv;
    tbl.glSecondaryColorP3ui = glSecondaryColorP3ui;
    tbl.glSecondaryColorP3uiv = glSecondaryColorP3uiv;
    tbl.glTexCoordP1ui = glTexCoordP1ui;
    tbl.glTexCoordP1uiv = glTexCoordP1uiv;
    tbl.glTexCoordP2ui = glTexCoordP2ui;
    tbl.glTexCoordP2uiv = glTexCoordP2uiv;
    tbl.glTexCoordP3ui = glTexCoordP3ui;
    tbl.glTexCoordP3uiv = glTexCoordP3uiv;
    tbl.glTexCoordP4ui = glTexCoordP4ui;
    tbl.glTexCoordP4uiv = glTexCoordP4uiv;
    tbl.glVertexAttribP1ui = glVertexAttribP1ui;
    tbl.glVertexAttribP1uiv = glVertexAttribP1uiv;
    tbl.glVertexAttribP2ui = glVertexAttribP2ui;
    tbl.glVertexAttribP2uiv = glVertexAttribP2uiv;
    tbl.glVertexAttribP3ui = glVertexAttribP3ui;
    tbl.glVertexAttribP3uiv = glVertexAttribP3uiv;
    tbl.glVertexAttribP4ui = glVertexAttribP4ui;
    tbl.glVertexAttribP4uiv = glVertexAttribP4uiv;
    tbl.glVertexP2ui = glVertexP2ui;
    tbl.glVertexP2uiv = glVertexP2uiv;
    tbl.glVertexP3ui = glVertexP3ui;
    tbl.glVertexP3uiv = glVertexP3uiv;
    tbl.glVertexP4ui = glVertexP4ui;
    tbl.glVertexP4uiv = glVertexP4uiv;

  // GL_ARB_viewport_array

    tbl.glDepthRangeArrayv = glDepthRangeArrayv;
    tbl.glDepthRangeIndexed = glDepthRangeIndexed;
    tbl.glGetDoublei_v = glGetDoublei_v;
    tbl.glGetFloati_v = glGetFloati_v;
    tbl.glScissorArrayv = glScissorArrayv;
    tbl.glScissorIndexed = glScissorIndexed;
    tbl.glScissorIndexedv = glScissorIndexedv;
    tbl.glViewportArrayv = glViewportArrayv;
    tbl.glViewportIndexedf = glViewportIndexedf;
    tbl.glViewportIndexedfv = glViewportIndexedfv;

  // GL_ARB_window_pos

    tbl.glWindowPos2dARB = glWindowPos2dARB;
    tbl.glWindowPos2dvARB = glWindowPos2dvARB;
    tbl.glWindowPos2fARB = glWindowPos2fARB;
    tbl.glWindowPos2fvARB = glWindowPos2fvARB;
    tbl.glWindowPos2iARB = glWindowPos2iARB;
    tbl.glWindowPos2ivARB = glWindowPos2ivARB;
    tbl.glWindowPos2sARB = glWindowPos2sARB;
    tbl.glWindowPos2svARB = glWindowPos2svARB;
    tbl.glWindowPos3dARB = glWindowPos3dARB;
    tbl.glWindowPos3dvARB = glWindowPos3dvARB;
    tbl.glWindowPos3fARB = glWindowPos3fARB;
    tbl.glWindowPos3fvARB = glWindowPos3fvARB;
    tbl.glWindowPos3iARB = glWindowPos3iARB;
    tbl.glWindowPos3ivARB = glWindowPos3ivARB;
    tbl.glWindowPos3sARB = glWindowPos3sARB;
    tbl.glWindowPos3svARB = glWindowPos3svARB;

  // GL_ATI_draw_buffers

    tbl.glDrawBuffersATI = glDrawBuffersATI;

  // GL_ATI_element_array

    tbl.glDrawElementArrayATI = glDrawElementArrayATI;
    tbl.glDrawRangeElementArrayATI = glDrawRangeElementArrayATI;
    tbl.glElementPointerATI = glElementPointerATI;

  // GL_ATI_envmap_bumpmap

    tbl.glGetTexBumpParameterfvATI = glGetTexBumpParameterfvATI;
    tbl.glGetTexBumpParameterivATI = glGetTexBumpParameterivATI;
    tbl.glTexBumpParameterfvATI = glTexBumpParameterfvATI;
    tbl.glTexBumpParameterivATI = glTexBumpParameterivATI;

  // GL_ATI_fragment_shader

    tbl.glAlphaFragmentOp1ATI = glAlphaFragmentOp1ATI;
    tbl.glAlphaFragmentOp2ATI = glAlphaFragmentOp2ATI;
    tbl.glAlphaFragmentOp3ATI = glAlphaFragmentOp3ATI;
    tbl.glBeginFragmentShaderATI = glBeginFragmentShaderATI;
    tbl.glBindFragmentShaderATI = glBindFragmentShaderATI;
    tbl.glColorFragmentOp1ATI = glColorFragmentOp1ATI;
    tbl.glColorFragmentOp2ATI = glColorFragmentOp2ATI;
    tbl.glColorFragmentOp3ATI = glColorFragmentOp3ATI;
    tbl.glDeleteFragmentShaderATI = glDeleteFragmentShaderATI;
    tbl.glEndFragmentShaderATI = glEndFragmentShaderATI;
    tbl.glGenFragmentShadersATI = glGenFragmentShadersATI;
    tbl.glPassTexCoordATI = glPassTexCoordATI;
    tbl.glSampleMapATI = glSampleMapATI;
    tbl.glSetFragmentShaderConstantATI = glSetFragmentShaderConstantATI;

  // GL_ATI_map_object_buffer

    tbl.glMapObjectBufferATI = glMapObjectBufferATI;
    tbl.glUnmapObjectBufferATI = glUnmapObjectBufferATI;

  // GL_ATI_pn_triangles

    tbl.glPNTrianglesfATI = glPNTrianglesfATI;
    tbl.glPNTrianglesiATI = glPNTrianglesiATI;

  // GL_ATI_separate_stencil

    tbl.glStencilFuncSeparateATI = glStencilFuncSeparateATI;
    tbl.glStencilOpSeparateATI = glStencilOpSeparateATI;

  // GL_ATI_vertex_array_object

    tbl.glArrayObjectATI = glArrayObjectATI;
    tbl.glFreeObjectBufferATI = glFreeObjectBufferATI;
    tbl.glGetArrayObjectfvATI = glGetArrayObjectfvATI;
    tbl.glGetArrayObjectivATI = glGetArrayObjectivATI;
    tbl.glGetObjectBufferfvATI = glGetObjectBufferfvATI;
    tbl.glGetObjectBufferivATI = glGetObjectBufferivATI;
    tbl.glGetVariantArrayObjectfvATI = glGetVariantArrayObjectfvATI;
    tbl.glGetVariantArrayObjectivATI = glGetVariantArrayObjectivATI;
    tbl.glIsObjectBufferATI = glIsObjectBufferATI;
    tbl.glNewObjectBufferATI = glNewObjectBufferATI;
    tbl.glUpdateObjectBufferATI = glUpdateObjectBufferATI;
    tbl.glVariantArrayObjectATI = glVariantArrayObjectATI;

  // GL_ATI_vertex_attrib_array_object

    tbl.glGetVertexAttribArrayObjectfvATI = glGetVertexAttribArrayObjectfvATI;
    tbl.glGetVertexAttribArrayObjectivATI = glGetVertexAttribArrayObjectivATI;
    tbl.glVertexAttribArrayObjectATI = glVertexAttribArrayObjectATI;

  // GL_ATI_vertex_streams

    tbl.glClientActiveVertexStreamATI = glClientActiveVertexStreamATI;
    tbl.glNormalStream3bATI = glNormalStream3bATI;
    tbl.glNormalStream3bvATI = glNormalStream3bvATI;
    tbl.glNormalStream3dATI = glNormalStream3dATI;
    tbl.glNormalStream3dvATI = glNormalStream3dvATI;
    tbl.glNormalStream3fATI = glNormalStream3fATI;
    tbl.glNormalStream3fvATI = glNormalStream3fvATI;
    tbl.glNormalStream3iATI = glNormalStream3iATI;
    tbl.glNormalStream3ivATI = glNormalStream3ivATI;
    tbl.glNormalStream3sATI = glNormalStream3sATI;
    tbl.glNormalStream3svATI = glNormalStream3svATI;
    tbl.glVertexBlendEnvfATI = glVertexBlendEnvfATI;
    tbl.glVertexBlendEnviATI = glVertexBlendEnviATI;
    tbl.glVertexStream1dATI = glVertexStream1dATI;
    tbl.glVertexStream1dvATI = glVertexStream1dvATI;
    tbl.glVertexStream1fATI = glVertexStream1fATI;
    tbl.glVertexStream1fvATI = glVertexStream1fvATI;
    tbl.glVertexStream1iATI = glVertexStream1iATI;
    tbl.glVertexStream1ivATI = glVertexStream1ivATI;
    tbl.glVertexStream1sATI = glVertexStream1sATI;
    tbl.glVertexStream1svATI = glVertexStream1svATI;
    tbl.glVertexStream2dATI = glVertexStream2dATI;
    tbl.glVertexStream2dvATI = glVertexStream2dvATI;
    tbl.glVertexStream2fATI = glVertexStream2fATI;
    tbl.glVertexStream2fvATI = glVertexStream2fvATI;
    tbl.glVertexStream2iATI = glVertexStream2iATI;
    tbl.glVertexStream2ivATI = glVertexStream2ivATI;
    tbl.glVertexStream2sATI = glVertexStream2sATI;
    tbl.glVertexStream2svATI = glVertexStream2svATI;
    tbl.glVertexStream3dATI = glVertexStream3dATI;
    tbl.glVertexStream3dvATI = glVertexStream3dvATI;
    tbl.glVertexStream3fATI = glVertexStream3fATI;
    tbl.glVertexStream3fvATI = glVertexStream3fvATI;
    tbl.glVertexStream3iATI = glVertexStream3iATI;
    tbl.glVertexStream3ivATI = glVertexStream3ivATI;
    tbl.glVertexStream3sATI = glVertexStream3sATI;
    tbl.glVertexStream3svATI = glVertexStream3svATI;
    tbl.glVertexStream4dATI = glVertexStream4dATI;
    tbl.glVertexStream4dvATI = glVertexStream4dvATI;
    tbl.glVertexStream4fATI = glVertexStream4fATI;
    tbl.glVertexStream4fvATI = glVertexStream4fvATI;
    tbl.glVertexStream4iATI = glVertexStream4iATI;
    tbl.glVertexStream4ivATI = glVertexStream4ivATI;
    tbl.glVertexStream4sATI = glVertexStream4sATI;
    tbl.glVertexStream4svATI = glVertexStream4svATI;

  // GL_EXT_bindable_uniform

    tbl.glGetUniformBufferSizeEXT = glGetUniformBufferSizeEXT;
    tbl.glGetUniformOffsetEXT = glGetUniformOffsetEXT;
    tbl.glUniformBufferEXT = glUniformBufferEXT;

  // GL_EXT_blend_color

    tbl.glBlendColorEXT = glBlendColorEXT;

  // GL_EXT_blend_equation_separate

    tbl.glBlendEquationSeparateEXT = glBlendEquationSeparateEXT;

  // GL_EXT_blend_func_separate

    tbl.glBlendFuncSeparateEXT = glBlendFuncSeparateEXT;

  // GL_EXT_blend_minmax

    tbl.glBlendEquationEXT = glBlendEquationEXT;

  // GL_EXT_color_subtable

    tbl.glColorSubTableEXT = glColorSubTableEXT;
    tbl.glCopyColorSubTableEXT = glCopyColorSubTableEXT;

  // GL_EXT_compiled_vertex_array

    tbl.glLockArraysEXT = glLockArraysEXT;
    tbl.glUnlockArraysEXT = glUnlockArraysEXT;

  // GL_EXT_convolution

    tbl.glConvolutionFilter1DEXT = glConvolutionFilter1DEXT;
    tbl.glConvolutionFilter2DEXT = glConvolutionFilter2DEXT;
    tbl.glConvolutionParameterfEXT = glConvolutionParameterfEXT;
    tbl.glConvolutionParameterfvEXT = glConvolutionParameterfvEXT;
    tbl.glConvolutionParameteriEXT = glConvolutionParameteriEXT;
    tbl.glConvolutionParameterivEXT = glConvolutionParameterivEXT;
    tbl.glCopyConvolutionFilter1DEXT = glCopyConvolutionFilter1DEXT;
    tbl.glCopyConvolutionFilter2DEXT = glCopyConvolutionFilter2DEXT;
    tbl.glGetConvolutionFilterEXT = glGetConvolutionFilterEXT;
    tbl.glGetConvolutionParameterfvEXT = glGetConvolutionParameterfvEXT;
    tbl.glGetConvolutionParameterivEXT = glGetConvolutionParameterivEXT;
    tbl.glGetSeparableFilterEXT = glGetSeparableFilterEXT;
    tbl.glSeparableFilter2DEXT = glSeparableFilter2DEXT;

  // GL_EXT_coordinate_frame

    tbl.glBinormal3bEXT = glBinormal3bEXT;
    tbl.glBinormal3bvEXT = glBinormal3bvEXT;
    tbl.glBinormal3dEXT = glBinormal3dEXT;
    tbl.glBinormal3dvEXT = glBinormal3dvEXT;
    tbl.glBinormal3fEXT = glBinormal3fEXT;
    tbl.glBinormal3fvEXT = glBinormal3fvEXT;
    tbl.glBinormal3iEXT = glBinormal3iEXT;
    tbl.glBinormal3ivEXT = glBinormal3ivEXT;
    tbl.glBinormal3sEXT = glBinormal3sEXT;
    tbl.glBinormal3svEXT = glBinormal3svEXT;
    tbl.glBinormalPointerEXT = glBinormalPointerEXT;
    tbl.glTangent3bEXT = glTangent3bEXT;
    tbl.glTangent3bvEXT = glTangent3bvEXT;
    tbl.glTangent3dEXT = glTangent3dEXT;
    tbl.glTangent3dvEXT = glTangent3dvEXT;
    tbl.glTangent3fEXT = glTangent3fEXT;
    tbl.glTangent3fvEXT = glTangent3fvEXT;
    tbl.glTangent3iEXT = glTangent3iEXT;
    tbl.glTangent3ivEXT = glTangent3ivEXT;
    tbl.glTangent3sEXT = glTangent3sEXT;
    tbl.glTangent3svEXT = glTangent3svEXT;
    tbl.glTangentPointerEXT = glTangentPointerEXT;

  // GL_EXT_copy_texture

    tbl.glCopyTexImage1DEXT = glCopyTexImage1DEXT;
    tbl.glCopyTexImage2DEXT = glCopyTexImage2DEXT;
    tbl.glCopyTexSubImage1DEXT = glCopyTexSubImage1DEXT;
    tbl.glCopyTexSubImage2DEXT = glCopyTexSubImage2DEXT;
    tbl.glCopyTexSubImage3DEXT = glCopyTexSubImage3DEXT;

  // GL_EXT_cull_vertex

    tbl.glCullParameterdvEXT = glCullParameterdvEXT;
    tbl.glCullParameterfvEXT = glCullParameterfvEXT;

  // GL_EXT_debug_label

    tbl.glGetObjectLabelEXT = glGetObjectLabelEXT;
    tbl.glLabelObjectEXT = glLabelObjectEXT;

  // GL_EXT_debug_marker

    tbl.glInsertEventMarkerEXT = glInsertEventMarkerEXT;
    tbl.glPopGroupMarkerEXT = glPopGroupMarkerEXT;
    tbl.glPushGroupMarkerEXT = glPushGroupMarkerEXT;

  // GL_EXT_depth_bounds_test

    tbl.glDepthBoundsEXT = glDepthBoundsEXT;

  // GL_EXT_direct_state_access

    tbl.glBindMultiTextureEXT = glBindMultiTextureEXT;
    tbl.glCheckNamedFramebufferStatusEXT = glCheckNamedFramebufferStatusEXT;
    tbl.glClientAttribDefaultEXT = glClientAttribDefaultEXT;
    tbl.glCompressedMultiTexImage1DEXT = glCompressedMultiTexImage1DEXT;
    tbl.glCompressedMultiTexImage2DEXT = glCompressedMultiTexImage2DEXT;
    tbl.glCompressedMultiTexImage3DEXT = glCompressedMultiTexImage3DEXT;
    tbl.glCompressedMultiTexSubImage1DEXT = glCompressedMultiTexSubImage1DEXT;
    tbl.glCompressedMultiTexSubImage2DEXT = glCompressedMultiTexSubImage2DEXT;
    tbl.glCompressedMultiTexSubImage3DEXT = glCompressedMultiTexSubImage3DEXT;
    tbl.glCompressedTextureImage1DEXT = glCompressedTextureImage1DEXT;
    tbl.glCompressedTextureImage2DEXT = glCompressedTextureImage2DEXT;
    tbl.glCompressedTextureImage3DEXT = glCompressedTextureImage3DEXT;
    tbl.glCompressedTextureSubImage1DEXT = glCompressedTextureSubImage1DEXT;
    tbl.glCompressedTextureSubImage2DEXT = glCompressedTextureSubImage2DEXT;
    tbl.glCompressedTextureSubImage3DEXT = glCompressedTextureSubImage3DEXT;
    tbl.glCopyMultiTexImage1DEXT = glCopyMultiTexImage1DEXT;
    tbl.glCopyMultiTexImage2DEXT = glCopyMultiTexImage2DEXT;
    tbl.glCopyMultiTexSubImage1DEXT = glCopyMultiTexSubImage1DEXT;
    tbl.glCopyMultiTexSubImage2DEXT = glCopyMultiTexSubImage2DEXT;
    tbl.glCopyMultiTexSubImage3DEXT = glCopyMultiTexSubImage3DEXT;
    tbl.glCopyTextureImage1DEXT = glCopyTextureImage1DEXT;
    tbl.glCopyTextureImage2DEXT = glCopyTextureImage2DEXT;
    tbl.glCopyTextureSubImage1DEXT = glCopyTextureSubImage1DEXT;
    tbl.glCopyTextureSubImage2DEXT = glCopyTextureSubImage2DEXT;
    tbl.glCopyTextureSubImage3DEXT = glCopyTextureSubImage3DEXT;
    tbl.glDisableClientStateIndexedEXT = glDisableClientStateIndexedEXT;
    tbl.glDisableClientStateiEXT = glDisableClientStateiEXT;
    tbl.glDisableVertexArrayAttribEXT = glDisableVertexArrayAttribEXT;
    tbl.glDisableVertexArrayEXT = glDisableVertexArrayEXT;
    tbl.glEnableClientStateIndexedEXT = glEnableClientStateIndexedEXT;
    tbl.glEnableClientStateiEXT = glEnableClientStateiEXT;
    tbl.glEnableVertexArrayAttribEXT = glEnableVertexArrayAttribEXT;
    tbl.glEnableVertexArrayEXT = glEnableVertexArrayEXT;
    tbl.glFlushMappedNamedBufferRangeEXT = glFlushMappedNamedBufferRangeEXT;
    tbl.glFramebufferDrawBufferEXT = glFramebufferDrawBufferEXT;
    tbl.glFramebufferDrawBuffersEXT = glFramebufferDrawBuffersEXT;
    tbl.glFramebufferReadBufferEXT = glFramebufferReadBufferEXT;
    tbl.glGenerateMultiTexMipmapEXT = glGenerateMultiTexMipmapEXT;
    tbl.glGenerateTextureMipmapEXT = glGenerateTextureMipmapEXT;
    tbl.glGetCompressedMultiTexImageEXT = glGetCompressedMultiTexImageEXT;
    tbl.glGetCompressedTextureImageEXT = glGetCompressedTextureImageEXT;
    tbl.glGetDoubleIndexedvEXT = glGetDoubleIndexedvEXT;
    tbl.glGetDoublei_vEXT = glGetDoublei_vEXT;
    tbl.glGetFloatIndexedvEXT = glGetFloatIndexedvEXT;
    tbl.glGetFloati_vEXT = glGetFloati_vEXT;
    tbl.glGetFramebufferParameterivEXT = glGetFramebufferParameterivEXT;
    tbl.glGetMultiTexEnvfvEXT = glGetMultiTexEnvfvEXT;
    tbl.glGetMultiTexEnvivEXT = glGetMultiTexEnvivEXT;
    tbl.glGetMultiTexGendvEXT = glGetMultiTexGendvEXT;
    tbl.glGetMultiTexGenfvEXT = glGetMultiTexGenfvEXT;
    tbl.glGetMultiTexGenivEXT = glGetMultiTexGenivEXT;
    tbl.glGetMultiTexImageEXT = glGetMultiTexImageEXT;
    tbl.glGetMultiTexLevelParameterfvEXT = glGetMultiTexLevelParameterfvEXT;
    tbl.glGetMultiTexLevelParameterivEXT = glGetMultiTexLevelParameterivEXT;
    tbl.glGetMultiTexParameterIivEXT = glGetMultiTexParameterIivEXT;
    tbl.glGetMultiTexParameterIuivEXT = glGetMultiTexParameterIuivEXT;
    tbl.glGetMultiTexParameterfvEXT = glGetMultiTexParameterfvEXT;
    tbl.glGetMultiTexParameterivEXT = glGetMultiTexParameterivEXT;
    tbl.glGetNamedBufferParameterivEXT = glGetNamedBufferParameterivEXT;
    tbl.glGetNamedBufferPointervEXT = glGetNamedBufferPointervEXT;
    tbl.glGetNamedBufferSubDataEXT = glGetNamedBufferSubDataEXT;
    tbl.glGetNamedFramebufferAttachmentParameterivEXT = glGetNamedFramebufferAttachmentParameterivEXT;
    tbl.glGetNamedProgramLocalParameterIivEXT = glGetNamedProgramLocalParameterIivEXT;
    tbl.glGetNamedProgramLocalParameterIuivEXT = glGetNamedProgramLocalParameterIuivEXT;
    tbl.glGetNamedProgramLocalParameterdvEXT = glGetNamedProgramLocalParameterdvEXT;
    tbl.glGetNamedProgramLocalParameterfvEXT = glGetNamedProgramLocalParameterfvEXT;
    tbl.glGetNamedProgramStringEXT = glGetNamedProgramStringEXT;
    tbl.glGetNamedProgramivEXT = glGetNamedProgramivEXT;
    tbl.glGetNamedRenderbufferParameterivEXT = glGetNamedRenderbufferParameterivEXT;
    tbl.glGetPointerIndexedvEXT = glGetPointerIndexedvEXT;
    tbl.glGetPointeri_vEXT = glGetPointeri_vEXT;
    tbl.glGetTextureImageEXT = glGetTextureImageEXT;
    tbl.glGetTextureLevelParameterfvEXT = glGetTextureLevelParameterfvEXT;
    tbl.glGetTextureLevelParameterivEXT = glGetTextureLevelParameterivEXT;
    tbl.glGetTextureParameterIivEXT = glGetTextureParameterIivEXT;
    tbl.glGetTextureParameterIuivEXT = glGetTextureParameterIuivEXT;
    tbl.glGetTextureParameterfvEXT = glGetTextureParameterfvEXT;
    tbl.glGetTextureParameterivEXT = glGetTextureParameterivEXT;
    tbl.glGetVertexArrayIntegeri_vEXT = glGetVertexArrayIntegeri_vEXT;
    tbl.glGetVertexArrayIntegervEXT = glGetVertexArrayIntegervEXT;
    tbl.glGetVertexArrayPointeri_vEXT = glGetVertexArrayPointeri_vEXT;
    tbl.glGetVertexArrayPointervEXT = glGetVertexArrayPointervEXT;
    tbl.glMapNamedBufferEXT = glMapNamedBufferEXT;
    tbl.glMapNamedBufferRangeEXT = glMapNamedBufferRangeEXT;
    tbl.glMatrixFrustumEXT = glMatrixFrustumEXT;
    tbl.glMatrixLoadIdentityEXT = glMatrixLoadIdentityEXT;
    tbl.glMatrixLoadTransposedEXT = glMatrixLoadTransposedEXT;
    tbl.glMatrixLoadTransposefEXT = glMatrixLoadTransposefEXT;
    tbl.glMatrixLoaddEXT = glMatrixLoaddEXT;
    tbl.glMatrixLoadfEXT = glMatrixLoadfEXT;
    tbl.glMatrixMultTransposedEXT = glMatrixMultTransposedEXT;
    tbl.glMatrixMultTransposefEXT = glMatrixMultTransposefEXT;
    tbl.glMatrixMultdEXT = glMatrixMultdEXT;
    tbl.glMatrixMultfEXT = glMatrixMultfEXT;
    tbl.glMatrixOrthoEXT = glMatrixOrthoEXT;
    tbl.glMatrixPopEXT = glMatrixPopEXT;
    tbl.glMatrixPushEXT = glMatrixPushEXT;
    tbl.glMatrixRotatedEXT = glMatrixRotatedEXT;
    tbl.glMatrixRotatefEXT = glMatrixRotatefEXT;
    tbl.glMatrixScaledEXT = glMatrixScaledEXT;
    tbl.glMatrixScalefEXT = glMatrixScalefEXT;
    tbl.glMatrixTranslatedEXT = glMatrixTranslatedEXT;
    tbl.glMatrixTranslatefEXT = glMatrixTranslatefEXT;
    tbl.glMultiTexBufferEXT = glMultiTexBufferEXT;
    tbl.glMultiTexCoordPointerEXT = glMultiTexCoordPointerEXT;
    tbl.glMultiTexEnvfEXT = glMultiTexEnvfEXT;
    tbl.glMultiTexEnvfvEXT = glMultiTexEnvfvEXT;
    tbl.glMultiTexEnviEXT = glMultiTexEnviEXT;
    tbl.glMultiTexEnvivEXT = glMultiTexEnvivEXT;
    tbl.glMultiTexGendEXT = glMultiTexGendEXT;
    tbl.glMultiTexGendvEXT = glMultiTexGendvEXT;
    tbl.glMultiTexGenfEXT = glMultiTexGenfEXT;
    tbl.glMultiTexGenfvEXT = glMultiTexGenfvEXT;
    tbl.glMultiTexGeniEXT = glMultiTexGeniEXT;
    tbl.glMultiTexGenivEXT = glMultiTexGenivEXT;
    tbl.glMultiTexImage1DEXT = glMultiTexImage1DEXT;
    tbl.glMultiTexImage2DEXT = glMultiTexImage2DEXT;
    tbl.glMultiTexImage3DEXT = glMultiTexImage3DEXT;
    tbl.glMultiTexParameterIivEXT = glMultiTexParameterIivEXT;
    tbl.glMultiTexParameterIuivEXT = glMultiTexParameterIuivEXT;
    tbl.glMultiTexParameterfEXT = glMultiTexParameterfEXT;
    tbl.glMultiTexParameterfvEXT = glMultiTexParameterfvEXT;
    tbl.glMultiTexParameteriEXT = glMultiTexParameteriEXT;
    tbl.glMultiTexParameterivEXT = glMultiTexParameterivEXT;
    tbl.glMultiTexRenderbufferEXT = glMultiTexRenderbufferEXT;
    tbl.glMultiTexSubImage1DEXT = glMultiTexSubImage1DEXT;
    tbl.glMultiTexSubImage2DEXT = glMultiTexSubImage2DEXT;
    tbl.glMultiTexSubImage3DEXT = glMultiTexSubImage3DEXT;
    tbl.glNamedBufferDataEXT = glNamedBufferDataEXT;
    tbl.glNamedBufferSubDataEXT = glNamedBufferSubDataEXT;
    tbl.glNamedCopyBufferSubDataEXT = glNamedCopyBufferSubDataEXT;
    tbl.glNamedFramebufferRenderbufferEXT = glNamedFramebufferRenderbufferEXT;
    tbl.glNamedFramebufferTexture1DEXT = glNamedFramebufferTexture1DEXT;
    tbl.glNamedFramebufferTexture2DEXT = glNamedFramebufferTexture2DEXT;
    tbl.glNamedFramebufferTexture3DEXT = glNamedFramebufferTexture3DEXT;
    tbl.glNamedFramebufferTextureEXT = glNamedFramebufferTextureEXT;
    tbl.glNamedFramebufferTextureFaceEXT = glNamedFramebufferTextureFaceEXT;
    tbl.glNamedFramebufferTextureLayerEXT = glNamedFramebufferTextureLayerEXT;
    tbl.glNamedProgramLocalParameter4dEXT = glNamedProgramLocalParameter4dEXT;
    tbl.glNamedProgramLocalParameter4dvEXT = glNamedProgramLocalParameter4dvEXT;
    tbl.glNamedProgramLocalParameter4fEXT = glNamedProgramLocalParameter4fEXT;
    tbl.glNamedProgramLocalParameter4fvEXT = glNamedProgramLocalParameter4fvEXT;
    tbl.glNamedProgramLocalParameterI4iEXT = glNamedProgramLocalParameterI4iEXT;
    tbl.glNamedProgramLocalParameterI4ivEXT = glNamedProgramLocalParameterI4ivEXT;
    tbl.glNamedProgramLocalParameterI4uiEXT = glNamedProgramLocalParameterI4uiEXT;
    tbl.glNamedProgramLocalParameterI4uivEXT = glNamedProgramLocalParameterI4uivEXT;
    tbl.glNamedProgramLocalParameters4fvEXT = glNamedProgramLocalParameters4fvEXT;
    tbl.glNamedProgramLocalParametersI4ivEXT = glNamedProgramLocalParametersI4ivEXT;
    tbl.glNamedProgramLocalParametersI4uivEXT = glNamedProgramLocalParametersI4uivEXT;
    tbl.glNamedProgramStringEXT = glNamedProgramStringEXT;
    tbl.glNamedRenderbufferStorageEXT = glNamedRenderbufferStorageEXT;
    tbl.glNamedRenderbufferStorageMultisampleCoverageEXT = glNamedRenderbufferStorageMultisampleCoverageEXT;
    tbl.glNamedRenderbufferStorageMultisampleEXT = glNamedRenderbufferStorageMultisampleEXT;
    tbl.glProgramUniform1dEXT = glProgramUniform1dEXT;
    tbl.glProgramUniform1dvEXT = glProgramUniform1dvEXT;
    tbl.glProgramUniform1fEXT = glProgramUniform1fEXT;
    tbl.glProgramUniform1fvEXT = glProgramUniform1fvEXT;
    tbl.glProgramUniform1iEXT = glProgramUniform1iEXT;
    tbl.glProgramUniform1ivEXT = glProgramUniform1ivEXT;
    tbl.glProgramUniform1uiEXT = glProgramUniform1uiEXT;
    tbl.glProgramUniform1uivEXT = glProgramUniform1uivEXT;
    tbl.glProgramUniform2dEXT = glProgramUniform2dEXT;
    tbl.glProgramUniform2dvEXT = glProgramUniform2dvEXT;
    tbl.glProgramUniform2fEXT = glProgramUniform2fEXT;
    tbl.glProgramUniform2fvEXT = glProgramUniform2fvEXT;
    tbl.glProgramUniform2iEXT = glProgramUniform2iEXT;
    tbl.glProgramUniform2ivEXT = glProgramUniform2ivEXT;
    tbl.glProgramUniform2uiEXT = glProgramUniform2uiEXT;
    tbl.glProgramUniform2uivEXT = glProgramUniform2uivEXT;
    tbl.glProgramUniform3dEXT = glProgramUniform3dEXT;
    tbl.glProgramUniform3dvEXT = glProgramUniform3dvEXT;
    tbl.glProgramUniform3fEXT = glProgramUniform3fEXT;
    tbl.glProgramUniform3fvEXT = glProgramUniform3fvEXT;
    tbl.glProgramUniform3iEXT = glProgramUniform3iEXT;
    tbl.glProgramUniform3ivEXT = glProgramUniform3ivEXT;
    tbl.glProgramUniform3uiEXT = glProgramUniform3uiEXT;
    tbl.glProgramUniform3uivEXT = glProgramUniform3uivEXT;
    tbl.glProgramUniform4dEXT = glProgramUniform4dEXT;
    tbl.glProgramUniform4dvEXT = glProgramUniform4dvEXT;
    tbl.glProgramUniform4fEXT = glProgramUniform4fEXT;
    tbl.glProgramUniform4fvEXT = glProgramUniform4fvEXT;
    tbl.glProgramUniform4iEXT = glProgramUniform4iEXT;
    tbl.glProgramUniform4ivEXT = glProgramUniform4ivEXT;
    tbl.glProgramUniform4uiEXT = glProgramUniform4uiEXT;
    tbl.glProgramUniform4uivEXT = glProgramUniform4uivEXT;
    tbl.glProgramUniformMatrix2dvEXT = glProgramUniformMatrix2dvEXT;
    tbl.glProgramUniformMatrix2fvEXT = glProgramUniformMatrix2fvEXT;
    tbl.glProgramUniformMatrix2x3dvEXT = glProgramUniformMatrix2x3dvEXT;
    tbl.glProgramUniformMatrix2x3fvEXT = glProgramUniformMatrix2x3fvEXT;
    tbl.glProgramUniformMatrix2x4dvEXT = glProgramUniformMatrix2x4dvEXT;
    tbl.glProgramUniformMatrix2x4fvEXT = glProgramUniformMatrix2x4fvEXT;
    tbl.glProgramUniformMatrix3dvEXT = glProgramUniformMatrix3dvEXT;
    tbl.glProgramUniformMatrix3fvEXT = glProgramUniformMatrix3fvEXT;
    tbl.glProgramUniformMatrix3x2dvEXT = glProgramUniformMatrix3x2dvEXT;
    tbl.glProgramUniformMatrix3x2fvEXT = glProgramUniformMatrix3x2fvEXT;
    tbl.glProgramUniformMatrix3x4dvEXT = glProgramUniformMatrix3x4dvEXT;
    tbl.glProgramUniformMatrix3x4fvEXT = glProgramUniformMatrix3x4fvEXT;
    tbl.glProgramUniformMatrix4dvEXT = glProgramUniformMatrix4dvEXT;
    tbl.glProgramUniformMatrix4fvEXT = glProgramUniformMatrix4fvEXT;
    tbl.glProgramUniformMatrix4x2dvEXT = glProgramUniformMatrix4x2dvEXT;
    tbl.glProgramUniformMatrix4x2fvEXT = glProgramUniformMatrix4x2fvEXT;
    tbl.glProgramUniformMatrix4x3dvEXT = glProgramUniformMatrix4x3dvEXT;
    tbl.glProgramUniformMatrix4x3fvEXT = glProgramUniformMatrix4x3fvEXT;
    tbl.glPushClientAttribDefaultEXT = glPushClientAttribDefaultEXT;
    tbl.glTextureBufferEXT = glTextureBufferEXT;
    tbl.glTextureImage1DEXT = glTextureImage1DEXT;
    tbl.glTextureImage2DEXT = glTextureImage2DEXT;
    tbl.glTextureImage3DEXT = glTextureImage3DEXT;
    tbl.glTextureParameterIivEXT = glTextureParameterIivEXT;
    tbl.glTextureParameterIuivEXT = glTextureParameterIuivEXT;
    tbl.glTextureParameterfEXT = glTextureParameterfEXT;
    tbl.glTextureParameterfvEXT = glTextureParameterfvEXT;
    tbl.glTextureParameteriEXT = glTextureParameteriEXT;
    tbl.glTextureParameterivEXT = glTextureParameterivEXT;
    tbl.glTextureRenderbufferEXT = glTextureRenderbufferEXT;
    tbl.glTextureSubImage1DEXT = glTextureSubImage1DEXT;
    tbl.glTextureSubImage2DEXT = glTextureSubImage2DEXT;
    tbl.glTextureSubImage3DEXT = glTextureSubImage3DEXT;
    tbl.glUnmapNamedBufferEXT = glUnmapNamedBufferEXT;
    tbl.glVertexArrayColorOffsetEXT = glVertexArrayColorOffsetEXT;
    tbl.glVertexArrayEdgeFlagOffsetEXT = glVertexArrayEdgeFlagOffsetEXT;
    tbl.glVertexArrayFogCoordOffsetEXT = glVertexArrayFogCoordOffsetEXT;
    tbl.glVertexArrayIndexOffsetEXT = glVertexArrayIndexOffsetEXT;
    tbl.glVertexArrayMultiTexCoordOffsetEXT = glVertexArrayMultiTexCoordOffsetEXT;
    tbl.glVertexArrayNormalOffsetEXT = glVertexArrayNormalOffsetEXT;
    tbl.glVertexArraySecondaryColorOffsetEXT = glVertexArraySecondaryColorOffsetEXT;
    tbl.glVertexArrayTexCoordOffsetEXT = glVertexArrayTexCoordOffsetEXT;
    tbl.glVertexArrayVertexAttribIOffsetEXT = glVertexArrayVertexAttribIOffsetEXT;
    tbl.glVertexArrayVertexAttribOffsetEXT = glVertexArrayVertexAttribOffsetEXT;
    tbl.glVertexArrayVertexOffsetEXT = glVertexArrayVertexOffsetEXT;

  // GL_EXT_discard_framebuffer

    tbl.glDiscardFramebufferEXT = glDiscardFramebufferEXT;

  // GL_EXT_disjoint_timer_query

    tbl.glGetQueryObjectivEXT = glGetQueryObjectivEXT;
    tbl.glQueryCounterEXT = glQueryCounterEXT;

  // GL_EXT_draw_buffers2

    tbl.glColorMaskIndexedEXT = glColorMaskIndexedEXT;
    tbl.glDisableIndexedEXT = glDisableIndexedEXT;
    tbl.glEnableIndexedEXT = glEnableIndexedEXT;
    tbl.glGetBooleanIndexedvEXT = glGetBooleanIndexedvEXT;
    tbl.glGetIntegerIndexedvEXT = glGetIntegerIndexedvEXT;
    tbl.glIsEnabledIndexedEXT = glIsEnabledIndexedEXT;

  // GL_EXT_draw_instanced

    tbl.glDrawArraysInstancedEXT = glDrawArraysInstancedEXT;
    tbl.glDrawElementsInstancedEXT = glDrawElementsInstancedEXT;

  // GL_EXT_draw_range_elements

    tbl.glDrawRangeElementsEXT = glDrawRangeElementsEXT;

  // GL_EXT_fog_coord

    tbl.glFogCoordPointerEXT = glFogCoordPointerEXT;
    tbl.glFogCoorddEXT = glFogCoorddEXT;
    tbl.glFogCoorddvEXT = glFogCoorddvEXT;
    tbl.glFogCoordfEXT = glFogCoordfEXT;
    tbl.glFogCoordfvEXT = glFogCoordfvEXT;

  // GL_EXT_fragment_lighting

    tbl.glFragmentColorMaterialEXT = glFragmentColorMaterialEXT;
    tbl.glFragmentLightModelfEXT = glFragmentLightModelfEXT;
    tbl.glFragmentLightModelfvEXT = glFragmentLightModelfvEXT;
    tbl.glFragmentLightModeliEXT = glFragmentLightModeliEXT;
    tbl.glFragmentLightModelivEXT = glFragmentLightModelivEXT;
    tbl.glFragmentLightfEXT = glFragmentLightfEXT;
    tbl.glFragmentLightfvEXT = glFragmentLightfvEXT;
    tbl.glFragmentLightiEXT = glFragmentLightiEXT;
    tbl.glFragmentLightivEXT = glFragmentLightivEXT;
    tbl.glFragmentMaterialfEXT = glFragmentMaterialfEXT;
    tbl.glFragmentMaterialfvEXT = glFragmentMaterialfvEXT;
    tbl.glFragmentMaterialiEXT = glFragmentMaterialiEXT;
    tbl.glFragmentMaterialivEXT = glFragmentMaterialivEXT;
    tbl.glGetFragmentLightfvEXT = glGetFragmentLightfvEXT;
    tbl.glGetFragmentLightivEXT = glGetFragmentLightivEXT;
    tbl.glGetFragmentMaterialfvEXT = glGetFragmentMaterialfvEXT;
    tbl.glGetFragmentMaterialivEXT = glGetFragmentMaterialivEXT;
    tbl.glLightEnviEXT = glLightEnviEXT;

  // GL_EXT_framebuffer_blit

    tbl.glBlitFramebufferEXT = glBlitFramebufferEXT;

  // GL_EXT_framebuffer_multisample

    tbl.glRenderbufferStorageMultisampleEXT = glRenderbufferStorageMultisampleEXT;

  // GL_EXT_framebuffer_object

    tbl.glBindFramebufferEXT = glBindFramebufferEXT;
    tbl.glBindRenderbufferEXT = glBindRenderbufferEXT;
    tbl.glCheckFramebufferStatusEXT = glCheckFramebufferStatusEXT;
    tbl.glDeleteFramebuffersEXT = glDeleteFramebuffersEXT;
    tbl.glDeleteRenderbuffersEXT = glDeleteRenderbuffersEXT;
    tbl.glFramebufferRenderbufferEXT = glFramebufferRenderbufferEXT;
    tbl.glFramebufferTexture1DEXT = glFramebufferTexture1DEXT;
    tbl.glFramebufferTexture2DEXT = glFramebufferTexture2DEXT;
    tbl.glFramebufferTexture3DEXT = glFramebufferTexture3DEXT;
    tbl.glGenFramebuffersEXT = glGenFramebuffersEXT;
    tbl.glGenRenderbuffersEXT = glGenRenderbuffersEXT;
    tbl.glGenerateMipmapEXT = glGenerateMipmapEXT;
    tbl.glGetFramebufferAttachmentParameterivEXT = glGetFramebufferAttachmentParameterivEXT;
    tbl.glGetRenderbufferParameterivEXT = glGetRenderbufferParameterivEXT;
    tbl.glIsFramebufferEXT = glIsFramebufferEXT;
    tbl.glIsRenderbufferEXT = glIsRenderbufferEXT;
    tbl.glRenderbufferStorageEXT = glRenderbufferStorageEXT;

  // GL_EXT_geometry_shader4

    tbl.glFramebufferTextureEXT = glFramebufferTextureEXT;
    tbl.glFramebufferTextureFaceEXT = glFramebufferTextureFaceEXT;
    tbl.glProgramParameteriEXT = glProgramParameteriEXT;

  // GL_EXT_gpu_program_parameters

    tbl.glProgramEnvParameters4fvEXT = glProgramEnvParameters4fvEXT;
    tbl.glProgramLocalParameters4fvEXT = glProgramLocalParameters4fvEXT;

  // GL_EXT_gpu_shader4

    tbl.glBindFragDataLocationEXT = glBindFragDataLocationEXT;
    tbl.glGetFragDataLocationEXT = glGetFragDataLocationEXT;
    tbl.glGetUniformuivEXT = glGetUniformuivEXT;
    tbl.glGetVertexAttribIivEXT = glGetVertexAttribIivEXT;
    tbl.glGetVertexAttribIuivEXT = glGetVertexAttribIuivEXT;
    tbl.glUniform1uiEXT = glUniform1uiEXT;
    tbl.glUniform1uivEXT = glUniform1uivEXT;
    tbl.glUniform2uiEXT = glUniform2uiEXT;
    tbl.glUniform2uivEXT = glUniform2uivEXT;
    tbl.glUniform3uiEXT = glUniform3uiEXT;
    tbl.glUniform3uivEXT = glUniform3uivEXT;
    tbl.glUniform4uiEXT = glUniform4uiEXT;
    tbl.glUniform4uivEXT = glUniform4uivEXT;
    tbl.glVertexAttribI1iEXT = glVertexAttribI1iEXT;
    tbl.glVertexAttribI1ivEXT = glVertexAttribI1ivEXT;
    tbl.glVertexAttribI1uiEXT = glVertexAttribI1uiEXT;
    tbl.glVertexAttribI1uivEXT = glVertexAttribI1uivEXT;
    tbl.glVertexAttribI2iEXT = glVertexAttribI2iEXT;
    tbl.glVertexAttribI2ivEXT = glVertexAttribI2ivEXT;
    tbl.glVertexAttribI2uiEXT = glVertexAttribI2uiEXT;
    tbl.glVertexAttribI2uivEXT = glVertexAttribI2uivEXT;
    tbl.glVertexAttribI3iEXT = glVertexAttribI3iEXT;
    tbl.glVertexAttribI3ivEXT = glVertexAttribI3ivEXT;
    tbl.glVertexAttribI3uiEXT = glVertexAttribI3uiEXT;
    tbl.glVertexAttribI3uivEXT = glVertexAttribI3uivEXT;
    tbl.glVertexAttribI4bvEXT = glVertexAttribI4bvEXT;
    tbl.glVertexAttribI4iEXT = glVertexAttribI4iEXT;
    tbl.glVertexAttribI4ivEXT = glVertexAttribI4ivEXT;
    tbl.glVertexAttribI4svEXT = glVertexAttribI4svEXT;
    tbl.glVertexAttribI4ubvEXT = glVertexAttribI4ubvEXT;
    tbl.glVertexAttribI4uiEXT = glVertexAttribI4uiEXT;
    tbl.glVertexAttribI4uivEXT = glVertexAttribI4uivEXT;
    tbl.glVertexAttribI4usvEXT = glVertexAttribI4usvEXT;
    tbl.glVertexAttribIPointerEXT = glVertexAttribIPointerEXT;

  // GL_EXT_histogram

    tbl.glGetHistogramEXT = glGetHistogramEXT;
    tbl.glGetHistogramParameterfvEXT = glGetHistogramParameterfvEXT;
    tbl.glGetHistogramParameterivEXT = glGetHistogramParameterivEXT;
    tbl.glGetMinmaxEXT = glGetMinmaxEXT;
    tbl.glGetMinmaxParameterfvEXT = glGetMinmaxParameterfvEXT;
    tbl.glGetMinmaxParameterivEXT = glGetMinmaxParameterivEXT;
    tbl.glHistogramEXT = glHistogramEXT;
    tbl.glMinmaxEXT = glMinmaxEXT;
    tbl.glResetHistogramEXT = glResetHistogramEXT;
    tbl.glResetMinmaxEXT = glResetMinmaxEXT;

  // GL_EXT_index_func

    tbl.glIndexFuncEXT = glIndexFuncEXT;

  // GL_EXT_index_material

    tbl.glIndexMaterialEXT = glIndexMaterialEXT;

  // GL_EXT_light_texture

    tbl.glApplyTextureEXT = glApplyTextureEXT;
    tbl.glTextureLightEXT = glTextureLightEXT;
    tbl.glTextureMaterialEXT = glTextureMaterialEXT;

  // GL_EXT_map_buffer_range

    tbl.glFlushMappedBufferRangeEXT = glFlushMappedBufferRangeEXT;
    tbl.glMapBufferRangeEXT = glMapBufferRangeEXT;

  // GL_EXT_multi_draw_arrays

    tbl.glMultiDrawArraysEXT = glMultiDrawArraysEXT;
    tbl.glMultiDrawElementsEXT = glMultiDrawElementsEXT;

  // GL_EXT_multisample

    tbl.glSampleMaskEXT = glSampleMaskEXT;
    tbl.glSamplePatternEXT = glSamplePatternEXT;

  // GL_EXT_multisampled_render_to_texture

    tbl.glFramebufferTexture2DMultisampleEXT = glFramebufferTexture2DMultisampleEXT;

  // GL_EXT_multiview_draw_buffers

    tbl.glDrawBuffersIndexedEXT = glDrawBuffersIndexedEXT;
    tbl.glGetIntegeri_vEXT = glGetIntegeri_vEXT;
    tbl.glReadBufferIndexedEXT = glReadBufferIndexedEXT;

  // GL_EXT_occlusion_query_boolean

    tbl.glBeginQueryEXT = glBeginQueryEXT;
    tbl.glDeleteQueriesEXT = glDeleteQueriesEXT;
    tbl.glEndQueryEXT = glEndQueryEXT;
    tbl.glGenQueriesEXT = glGenQueriesEXT;
    tbl.glGetQueryObjectuivEXT = glGetQueryObjectuivEXT;
    tbl.glGetQueryivEXT = glGetQueryivEXT;
    tbl.glIsQueryEXT = glIsQueryEXT;

  // GL_EXT_paletted_texture

    tbl.glColorTableEXT = glColorTableEXT;
    tbl.glGetColorTableEXT = glGetColorTableEXT;
    tbl.glGetColorTableParameterfvEXT = glGetColorTableParameterfvEXT;
    tbl.glGetColorTableParameterivEXT = glGetColorTableParameterivEXT;

  // GL_EXT_pixel_transform

    tbl.glGetPixelTransformParameterfvEXT = glGetPixelTransformParameterfvEXT;
    tbl.glGetPixelTransformParameterivEXT = glGetPixelTransformParameterivEXT;
    tbl.glPixelTransformParameterfEXT = glPixelTransformParameterfEXT;
    tbl.glPixelTransformParameterfvEXT = glPixelTransformParameterfvEXT;
    tbl.glPixelTransformParameteriEXT = glPixelTransformParameteriEXT;
    tbl.glPixelTransformParameterivEXT = glPixelTransformParameterivEXT;

  // GL_EXT_point_parameters

    tbl.glPointParameterfEXT = glPointParameterfEXT;
    tbl.glPointParameterfvEXT = glPointParameterfvEXT;

  // GL_EXT_polygon_offset

    tbl.glPolygonOffsetEXT = glPolygonOffsetEXT;

  // GL_EXT_provoking_vertex

    tbl.glProvokingVertexEXT = glProvokingVertexEXT;

  // GL_EXT_robustness

    tbl.glGetnUniformfvEXT = glGetnUniformfvEXT;
    tbl.glGetnUniformivEXT = glGetnUniformivEXT;
    tbl.glReadnPixelsEXT = glReadnPixelsEXT;

  // GL_EXT_scene_marker

    tbl.glBeginSceneEXT = glBeginSceneEXT;
    tbl.glEndSceneEXT = glEndSceneEXT;

  // GL_EXT_secondary_color

    tbl.glSecondaryColor3bEXT = glSecondaryColor3bEXT;
    tbl.glSecondaryColor3bvEXT = glSecondaryColor3bvEXT;
    tbl.glSecondaryColor3dEXT = glSecondaryColor3dEXT;
    tbl.glSecondaryColor3dvEXT = glSecondaryColor3dvEXT;
    tbl.glSecondaryColor3fEXT = glSecondaryColor3fEXT;
    tbl.glSecondaryColor3fvEXT = glSecondaryColor3fvEXT;
    tbl.glSecondaryColor3iEXT = glSecondaryColor3iEXT;
    tbl.glSecondaryColor3ivEXT = glSecondaryColor3ivEXT;
    tbl.glSecondaryColor3sEXT = glSecondaryColor3sEXT;
    tbl.glSecondaryColor3svEXT = glSecondaryColor3svEXT;
    tbl.glSecondaryColor3ubEXT = glSecondaryColor3ubEXT;
    tbl.glSecondaryColor3ubvEXT = glSecondaryColor3ubvEXT;
    tbl.glSecondaryColor3uiEXT = glSecondaryColor3uiEXT;
    tbl.glSecondaryColor3uivEXT = glSecondaryColor3uivEXT;
    tbl.glSecondaryColor3usEXT = glSecondaryColor3usEXT;
    tbl.glSecondaryColor3usvEXT = glSecondaryColor3usvEXT;
    tbl.glSecondaryColorPointerEXT = glSecondaryColorPointerEXT;

  // GL_EXT_separate_shader_objects

    tbl.glActiveProgramEXT = glActiveProgramEXT;
    tbl.glCreateShaderProgramEXT = glCreateShaderProgramEXT;
    tbl.glUseShaderProgramEXT = glUseShaderProgramEXT;

  // GL_EXT_shader_image_load_store

    tbl.glBindImageTextureEXT = glBindImageTextureEXT;
    tbl.glMemoryBarrierEXT = glMemoryBarrierEXT;

  // GL_EXT_stencil_clear_tag

    tbl.glStencilClearTagEXT = glStencilClearTagEXT;

  // GL_EXT_stencil_two_side

    tbl.glActiveStencilFaceEXT = glActiveStencilFaceEXT;

  // GL_EXT_subtexture

    tbl.glTexSubImage1DEXT = glTexSubImage1DEXT;
    tbl.glTexSubImage2DEXT = glTexSubImage2DEXT;
    tbl.glTexSubImage3DEXT = glTexSubImage3DEXT;

  // GL_EXT_texture3D

    tbl.glTexImage3DEXT = glTexImage3DEXT;

  // GL_EXT_texture_array

    tbl.glFramebufferTextureLayerEXT = glFramebufferTextureLayerEXT;

  // GL_EXT_texture_buffer_object

    tbl.glTexBufferEXT = glTexBufferEXT;

  // GL_EXT_texture_integer

    tbl.glClearColorIiEXT = glClearColorIiEXT;
    tbl.glClearColorIuiEXT = glClearColorIuiEXT;
    tbl.glGetTexParameterIivEXT = glGetTexParameterIivEXT;
    tbl.glGetTexParameterIuivEXT = glGetTexParameterIuivEXT;
    tbl.glTexParameterIivEXT = glTexParameterIivEXT;
    tbl.glTexParameterIuivEXT = glTexParameterIuivEXT;

  // GL_EXT_texture_object

    tbl.glAreTexturesResidentEXT = glAreTexturesResidentEXT;
    tbl.glBindTextureEXT = glBindTextureEXT;
    tbl.glDeleteTexturesEXT = glDeleteTexturesEXT;
    tbl.glGenTexturesEXT = glGenTexturesEXT;
    tbl.glIsTextureEXT = glIsTextureEXT;
    tbl.glPrioritizeTexturesEXT = glPrioritizeTexturesEXT;

  // GL_EXT_texture_perturb_normal

    tbl.glTextureNormalEXT = glTextureNormalEXT;

  // GL_EXT_texture_storage

    tbl.glTexStorage1DEXT = glTexStorage1DEXT;
    tbl.glTexStorage2DEXT = glTexStorage2DEXT;
    tbl.glTexStorage3DEXT = glTexStorage3DEXT;

  // GL_EXT_timer_query

    tbl.glGetQueryObjecti64vEXT = glGetQueryObjecti64vEXT;
    tbl.glGetQueryObjectui64vEXT = glGetQueryObjectui64vEXT;

  // GL_EXT_transform_feedback

    tbl.glBeginTransformFeedbackEXT = glBeginTransformFeedbackEXT;
    tbl.glBindBufferBaseEXT = glBindBufferBaseEXT;
    tbl.glBindBufferOffsetEXT = glBindBufferOffsetEXT;
    tbl.glBindBufferRangeEXT = glBindBufferRangeEXT;
    tbl.glEndTransformFeedbackEXT = glEndTransformFeedbackEXT;
    tbl.glGetTransformFeedbackVaryingEXT = glGetTransformFeedbackVaryingEXT;
    tbl.glTransformFeedbackVaryingsEXT = glTransformFeedbackVaryingsEXT;

  // GL_EXT_vertex_array

    tbl.glArrayElementEXT = glArrayElementEXT;
    tbl.glColorPointerEXT = glColorPointerEXT;
    tbl.glDrawArraysEXT = glDrawArraysEXT;
    tbl.glEdgeFlagPointerEXT = glEdgeFlagPointerEXT;
    tbl.glGetPointervEXT = glGetPointervEXT;
    tbl.glIndexPointerEXT = glIndexPointerEXT;
    tbl.glNormalPointerEXT = glNormalPointerEXT;
    tbl.glTexCoordPointerEXT = glTexCoordPointerEXT;
    tbl.glVertexPointerEXT = glVertexPointerEXT;

  // GL_EXT_vertex_attrib_64bit

    tbl.glGetVertexAttribLdvEXT = glGetVertexAttribLdvEXT;
    tbl.glVertexArrayVertexAttribLOffsetEXT = glVertexArrayVertexAttribLOffsetEXT;
    tbl.glVertexAttribL1dEXT = glVertexAttribL1dEXT;
    tbl.glVertexAttribL1dvEXT = glVertexAttribL1dvEXT;
    tbl.glVertexAttribL2dEXT = glVertexAttribL2dEXT;
    tbl.glVertexAttribL2dvEXT = glVertexAttribL2dvEXT;
    tbl.glVertexAttribL3dEXT = glVertexAttribL3dEXT;
    tbl.glVertexAttribL3dvEXT = glVertexAttribL3dvEXT;
    tbl.glVertexAttribL4dEXT = glVertexAttribL4dEXT;
    tbl.glVertexAttribL4dvEXT = glVertexAttribL4dvEXT;
    tbl.glVertexAttribLPointerEXT = glVertexAttribLPointerEXT;

  // GL_EXT_vertex_shader

    tbl.glBeginVertexShaderEXT = glBeginVertexShaderEXT;
    tbl.glBindLightParameterEXT = glBindLightParameterEXT;
    tbl.glBindMaterialParameterEXT = glBindMaterialParameterEXT;
    tbl.glBindParameterEXT = glBindParameterEXT;
    tbl.glBindTexGenParameterEXT = glBindTexGenParameterEXT;
    tbl.glBindTextureUnitParameterEXT = glBindTextureUnitParameterEXT;
    tbl.glBindVertexShaderEXT = glBindVertexShaderEXT;
    tbl.glDeleteVertexShaderEXT = glDeleteVertexShaderEXT;
    tbl.glDisableVariantClientStateEXT = glDisableVariantClientStateEXT;
    tbl.glEnableVariantClientStateEXT = glEnableVariantClientStateEXT;
    tbl.glEndVertexShaderEXT = glEndVertexShaderEXT;
    tbl.glExtractComponentEXT = glExtractComponentEXT;
    tbl.glGenSymbolsEXT = glGenSymbolsEXT;
    tbl.glGenVertexShadersEXT = glGenVertexShadersEXT;
    tbl.glGetInvariantBooleanvEXT = glGetInvariantBooleanvEXT;
    tbl.glGetInvariantFloatvEXT = glGetInvariantFloatvEXT;
    tbl.glGetInvariantIntegervEXT = glGetInvariantIntegervEXT;
    tbl.glGetLocalConstantBooleanvEXT = glGetLocalConstantBooleanvEXT;
    tbl.glGetLocalConstantFloatvEXT = glGetLocalConstantFloatvEXT;
    tbl.glGetLocalConstantIntegervEXT = glGetLocalConstantIntegervEXT;
    tbl.glGetVariantBooleanvEXT = glGetVariantBooleanvEXT;
    tbl.glGetVariantFloatvEXT = glGetVariantFloatvEXT;
    tbl.glGetVariantIntegervEXT = glGetVariantIntegervEXT;
    tbl.glGetVariantPointervEXT = glGetVariantPointervEXT;
    tbl.glInsertComponentEXT = glInsertComponentEXT;
    tbl.glIsVariantEnabledEXT = glIsVariantEnabledEXT;
    tbl.glSetInvariantEXT = glSetInvariantEXT;
    tbl.glSetLocalConstantEXT = glSetLocalConstantEXT;
    tbl.glShaderOp1EXT = glShaderOp1EXT;
    tbl.glShaderOp2EXT = glShaderOp2EXT;
    tbl.glShaderOp3EXT = glShaderOp3EXT;
    tbl.glSwizzleEXT = glSwizzleEXT;
    tbl.glVariantPointerEXT = glVariantPointerEXT;
    tbl.glVariantbvEXT = glVariantbvEXT;
    tbl.glVariantdvEXT = glVariantdvEXT;
    tbl.glVariantfvEXT = glVariantfvEXT;
    tbl.glVariantivEXT = glVariantivEXT;
    tbl.glVariantsvEXT = glVariantsvEXT;
    tbl.glVariantubvEXT = glVariantubvEXT;
    tbl.glVariantuivEXT = glVariantuivEXT;
    tbl.glVariantusvEXT = glVariantusvEXT;
    tbl.glWriteMaskEXT = glWriteMaskEXT;

  // GL_EXT_vertex_weighting

    tbl.glVertexWeightPointerEXT = glVertexWeightPointerEXT;
    tbl.glVertexWeightfEXT = glVertexWeightfEXT;
    tbl.glVertexWeightfvEXT = glVertexWeightfvEXT;

  // GL_EXT_x11_sync_object

    tbl.glImportSyncEXT = glImportSyncEXT;

  // GL_GREMEDY_frame_terminator

    tbl.glFrameTerminatorGREMEDY = glFrameTerminatorGREMEDY;

  // GL_GREMEDY_string_marker

    tbl.glStringMarkerGREMEDY = glStringMarkerGREMEDY;

  // GL_HP_image_transform

    tbl.glGetImageTransformParameterfvHP = glGetImageTransformParameterfvHP;
    tbl.glGetImageTransformParameterivHP = glGetImageTransformParameterivHP;
    tbl.glImageTransformParameterfHP = glImageTransformParameterfHP;
    tbl.glImageTransformParameterfvHP = glImageTransformParameterfvHP;
    tbl.glImageTransformParameteriHP = glImageTransformParameteriHP;
    tbl.glImageTransformParameterivHP = glImageTransformParameterivHP;

  // GL_IBM_multimode_draw_arrays

    tbl.glMultiModeDrawArraysIBM = glMultiModeDrawArraysIBM;
    tbl.glMultiModeDrawElementsIBM = glMultiModeDrawElementsIBM;

  // GL_IBM_vertex_array_lists

    tbl.glColorPointerListIBM = glColorPointerListIBM;
    tbl.glEdgeFlagPointerListIBM = glEdgeFlagPointerListIBM;
    tbl.glFogCoordPointerListIBM = glFogCoordPointerListIBM;
    tbl.glIndexPointerListIBM = glIndexPointerListIBM;
    tbl.glNormalPointerListIBM = glNormalPointerListIBM;
    tbl.glSecondaryColorPointerListIBM = glSecondaryColorPointerListIBM;
    tbl.glTexCoordPointerListIBM = glTexCoordPointerListIBM;
    tbl.glVertexPointerListIBM = glVertexPointerListIBM;

  // GL_IMG_multisampled_render_to_texture

    tbl.glFramebufferTexture2DMultisampleIMG = glFramebufferTexture2DMultisampleIMG;
    tbl.glRenderbufferStorageMultisampleIMG = glRenderbufferStorageMultisampleIMG;

  // GL_INGR_blend_func_separate

    tbl.glBlendFuncSeparateINGR = glBlendFuncSeparateINGR;

  // GL_INTEL_map_texture

    tbl.glMapTexture2DINTEL = glMapTexture2DINTEL;
    tbl.glSyncTextureINTEL = glSyncTextureINTEL;
    tbl.glUnmapTexture2DINTEL = glUnmapTexture2DINTEL;

  // GL_INTEL_parallel_arrays

    tbl.glColorPointervINTEL = glColorPointervINTEL;
    tbl.glNormalPointervINTEL = glNormalPointervINTEL;
    tbl.glTexCoordPointervINTEL = glTexCoordPointervINTEL;
    tbl.glVertexPointervINTEL = glVertexPointervINTEL;

  // GL_INTEL_texture_scissor

    tbl.glTexScissorFuncINTEL = glTexScissorFuncINTEL;
    tbl.glTexScissorINTEL = glTexScissorINTEL;

  // GL_KHR_blend_equation_advanced

    tbl.glBlendBarrierKHR = glBlendBarrierKHR;

  // GL_KHR_debug

    tbl.glDebugMessageCallback = glDebugMessageCallback;
    tbl.glDebugMessageControl = glDebugMessageControl;
    tbl.glDebugMessageInsert = glDebugMessageInsert;
    tbl.glGetDebugMessageLog = glGetDebugMessageLog;
    tbl.glGetObjectLabel = glGetObjectLabel;
    tbl.glGetObjectPtrLabel = glGetObjectPtrLabel;
    tbl.glObjectLabel = glObjectLabel;
    tbl.glObjectPtrLabel = glObjectPtrLabel;
    tbl.glPopDebugGroup = glPopDebugGroup;
    tbl.glPushDebugGroup = glPushDebugGroup;

  // GL_KHR_robustness

    tbl.glGetnUniformfv = glGetnUniformfv;
    tbl.glGetnUniformiv = glGetnUniformiv;
    tbl.glGetnUniformuiv = glGetnUniformuiv;
    tbl.glReadnPixels = glReadnPixels;

  // GL_KTX_buffer_region

    tbl.glBufferRegionEnabled = glBufferRegionEnabled;
    tbl.glDeleteBufferRegion = glDeleteBufferRegion;
    tbl.glDrawBufferRegion = glDrawBufferRegion;
    tbl.glNewBufferRegion = glNewBufferRegion;
    tbl.glReadBufferRegion = glReadBufferRegion;

  // GL_MESA_resize_buffers

    tbl.glResizeBuffersMESA = glResizeBuffersMESA;

  // GL_MESA_window_pos

    tbl.glWindowPos2dMESA = glWindowPos2dMESA;
    tbl.glWindowPos2dvMESA = glWindowPos2dvMESA;
    tbl.glWindowPos2fMESA = glWindowPos2fMESA;
    tbl.glWindowPos2fvMESA = glWindowPos2fvMESA;
    tbl.glWindowPos2iMESA = glWindowPos2iMESA;
    tbl.glWindowPos2ivMESA = glWindowPos2ivMESA;
    tbl.glWindowPos2sMESA = glWindowPos2sMESA;
    tbl.glWindowPos2svMESA = glWindowPos2svMESA;
    tbl.glWindowPos3dMESA = glWindowPos3dMESA;
    tbl.glWindowPos3dvMESA = glWindowPos3dvMESA;
    tbl.glWindowPos3fMESA = glWindowPos3fMESA;
    tbl.glWindowPos3fvMESA = glWindowPos3fvMESA;
    tbl.glWindowPos3iMESA = glWindowPos3iMESA;
    tbl.glWindowPos3ivMESA = glWindowPos3ivMESA;
    tbl.glWindowPos3sMESA = glWindowPos3sMESA;
    tbl.glWindowPos3svMESA = glWindowPos3svMESA;
    tbl.glWindowPos4dMESA = glWindowPos4dMESA;
    tbl.glWindowPos4dvMESA = glWindowPos4dvMESA;
    tbl.glWindowPos4fMESA = glWindowPos4fMESA;
    tbl.glWindowPos4fvMESA = glWindowPos4fvMESA;
    tbl.glWindowPos4iMESA = glWindowPos4iMESA;
    tbl.glWindowPos4ivMESA = glWindowPos4ivMESA;
    tbl.glWindowPos4sMESA = glWindowPos4sMESA;
    tbl.glWindowPos4svMESA = glWindowPos4svMESA;

  // GL_NVX_conditional_render

    tbl.glBeginConditionalRenderNVX = glBeginConditionalRenderNVX;
    tbl.glEndConditionalRenderNVX = glEndConditionalRenderNVX;

  // GL_NV_bindless_texture

    tbl.glGetImageHandleNV = glGetImageHandleNV;
    tbl.glGetTextureHandleNV = glGetTextureHandleNV;
    tbl.glGetTextureSamplerHandleNV = glGetTextureSamplerHandleNV;
    tbl.glIsImageHandleResidentNV = glIsImageHandleResidentNV;
    tbl.glIsTextureHandleResidentNV = glIsTextureHandleResidentNV;
    tbl.glMakeImageHandleNonResidentNV = glMakeImageHandleNonResidentNV;
    tbl.glMakeImageHandleResidentNV = glMakeImageHandleResidentNV;
    tbl.glMakeTextureHandleNonResidentNV = glMakeTextureHandleNonResidentNV;
    tbl.glMakeTextureHandleResidentNV = glMakeTextureHandleResidentNV;
    tbl.glProgramUniformHandleui64NV = glProgramUniformHandleui64NV;
    tbl.glProgramUniformHandleui64vNV = glProgramUniformHandleui64vNV;
    tbl.glUniformHandleui64NV = glUniformHandleui64NV;
    tbl.glUniformHandleui64vNV = glUniformHandleui64vNV;

  // GL_NV_blend_equation_advanced

    tbl.glBlendBarrierNV = glBlendBarrierNV;
    tbl.glBlendParameteriNV = glBlendParameteriNV;

  // GL_NV_conditional_render

    tbl.glBeginConditionalRenderNV = glBeginConditionalRenderNV;
    tbl.glEndConditionalRenderNV = glEndConditionalRenderNV;

  // GL_NV_copy_buffer

    tbl.glCopyBufferSubDataNV = glCopyBufferSubDataNV;

  // GL_NV_copy_image

    tbl.glCopyImageSubDataNV = glCopyImageSubDataNV;

  // GL_NV_coverage_sample

    tbl.glCoverageMaskNV = glCoverageMaskNV;
    tbl.glCoverageOperationNV = glCoverageOperationNV;

  // GL_NV_depth_buffer_float

    tbl.glClearDepthdNV = glClearDepthdNV;
    tbl.glDepthBoundsdNV = glDepthBoundsdNV;
    tbl.glDepthRangedNV = glDepthRangedNV;

  // GL_NV_draw_buffers

    tbl.glDrawBuffersNV = glDrawBuffersNV;

  // GL_NV_draw_texture

    tbl.glDrawTextureNV = glDrawTextureNV;

  // GL_NV_evaluators

    tbl.glEvalMapsNV = glEvalMapsNV;
    tbl.glGetMapAttribParameterfvNV = glGetMapAttribParameterfvNV;
    tbl.glGetMapAttribParameterivNV = glGetMapAttribParameterivNV;
    tbl.glGetMapControlPointsNV = glGetMapControlPointsNV;
    tbl.glGetMapParameterfvNV = glGetMapParameterfvNV;
    tbl.glGetMapParameterivNV = glGetMapParameterivNV;
    tbl.glMapControlPointsNV = glMapControlPointsNV;
    tbl.glMapParameterfvNV = glMapParameterfvNV;
    tbl.glMapParameterivNV = glMapParameterivNV;

  // GL_NV_explicit_multisample

    tbl.glGetMultisamplefvNV = glGetMultisamplefvNV;
    tbl.glSampleMaskIndexedNV = glSampleMaskIndexedNV;
    tbl.glTexRenderbufferNV = glTexRenderbufferNV;

  // GL_NV_fence

    tbl.glDeleteFencesNV = glDeleteFencesNV;
    tbl.glFinishFenceNV = glFinishFenceNV;
    tbl.glGenFencesNV = glGenFencesNV;
    tbl.glGetFenceivNV = glGetFenceivNV;
    tbl.glIsFenceNV = glIsFenceNV;
    tbl.glSetFenceNV = glSetFenceNV;
    tbl.glTestFenceNV = glTestFenceNV;

  // GL_NV_fragment_program

    tbl.glGetProgramNamedParameterdvNV = glGetProgramNamedParameterdvNV;
    tbl.glGetProgramNamedParameterfvNV = glGetProgramNamedParameterfvNV;
    tbl.glProgramNamedParameter4dNV = glProgramNamedParameter4dNV;
    tbl.glProgramNamedParameter4dvNV = glProgramNamedParameter4dvNV;
    tbl.glProgramNamedParameter4fNV = glProgramNamedParameter4fNV;
    tbl.glProgramNamedParameter4fvNV = glProgramNamedParameter4fvNV;

  // GL_NV_framebuffer_blit

    tbl.glBlitFramebufferNV = glBlitFramebufferNV;

  // GL_NV_framebuffer_multisample_coverage

    tbl.glRenderbufferStorageMultisampleCoverageNV = glRenderbufferStorageMultisampleCoverageNV;

  // GL_NV_geometry_program4

    tbl.glProgramVertexLimitNV = glProgramVertexLimitNV;

  // GL_NV_gpu_program4

    tbl.glGetProgramEnvParameterIivNV = glGetProgramEnvParameterIivNV;
    tbl.glGetProgramEnvParameterIuivNV = glGetProgramEnvParameterIuivNV;
    tbl.glGetProgramLocalParameterIivNV = glGetProgramLocalParameterIivNV;
    tbl.glGetProgramLocalParameterIuivNV = glGetProgramLocalParameterIuivNV;
    tbl.glProgramEnvParameterI4iNV = glProgramEnvParameterI4iNV;
    tbl.glProgramEnvParameterI4ivNV = glProgramEnvParameterI4ivNV;
    tbl.glProgramEnvParameterI4uiNV = glProgramEnvParameterI4uiNV;
    tbl.glProgramEnvParameterI4uivNV = glProgramEnvParameterI4uivNV;
    tbl.glProgramEnvParametersI4ivNV = glProgramEnvParametersI4ivNV;
    tbl.glProgramEnvParametersI4uivNV = glProgramEnvParametersI4uivNV;
    tbl.glProgramLocalParameterI4iNV = glProgramLocalParameterI4iNV;
    tbl.glProgramLocalParameterI4ivNV = glProgramLocalParameterI4ivNV;
    tbl.glProgramLocalParameterI4uiNV = glProgramLocalParameterI4uiNV;
    tbl.glProgramLocalParameterI4uivNV = glProgramLocalParameterI4uivNV;
    tbl.glProgramLocalParametersI4ivNV = glProgramLocalParametersI4ivNV;
    tbl.glProgramLocalParametersI4uivNV = glProgramLocalParametersI4uivNV;

  // GL_NV_gpu_shader5

    tbl.glGetUniformi64vNV = glGetUniformi64vNV;
    tbl.glProgramUniform1i64NV = glProgramUniform1i64NV;
    tbl.glProgramUniform1i64vNV = glProgramUniform1i64vNV;
    tbl.glProgramUniform1ui64NV = glProgramUniform1ui64NV;
    tbl.glProgramUniform1ui64vNV = glProgramUniform1ui64vNV;
    tbl.glProgramUniform2i64NV = glProgramUniform2i64NV;
    tbl.glProgramUniform2i64vNV = glProgramUniform2i64vNV;
    tbl.glProgramUniform2ui64NV = glProgramUniform2ui64NV;
    tbl.glProgramUniform2ui64vNV = glProgramUniform2ui64vNV;
    tbl.glProgramUniform3i64NV = glProgramUniform3i64NV;
    tbl.glProgramUniform3i64vNV = glProgramUniform3i64vNV;
    tbl.glProgramUniform3ui64NV = glProgramUniform3ui64NV;
    tbl.glProgramUniform3ui64vNV = glProgramUniform3ui64vNV;
    tbl.glProgramUniform4i64NV = glProgramUniform4i64NV;
    tbl.glProgramUniform4i64vNV = glProgramUniform4i64vNV;
    tbl.glProgramUniform4ui64NV = glProgramUniform4ui64NV;
    tbl.glProgramUniform4ui64vNV = glProgramUniform4ui64vNV;
    tbl.glUniform1i64NV = glUniform1i64NV;
    tbl.glUniform1i64vNV = glUniform1i64vNV;
    tbl.glUniform1ui64NV = glUniform1ui64NV;
    tbl.glUniform1ui64vNV = glUniform1ui64vNV;
    tbl.glUniform2i64NV = glUniform2i64NV;
    tbl.glUniform2i64vNV = glUniform2i64vNV;
    tbl.glUniform2ui64NV = glUniform2ui64NV;
    tbl.glUniform2ui64vNV = glUniform2ui64vNV;
    tbl.glUniform3i64NV = glUniform3i64NV;
    tbl.glUniform3i64vNV = glUniform3i64vNV;
    tbl.glUniform3ui64NV = glUniform3ui64NV;
    tbl.glUniform3ui64vNV = glUniform3ui64vNV;
    tbl.glUniform4i64NV = glUniform4i64NV;
    tbl.glUniform4i64vNV = glUniform4i64vNV;
    tbl.glUniform4ui64NV = glUniform4ui64NV;
    tbl.glUniform4ui64vNV = glUniform4ui64vNV;

  // GL_NV_half_float

    tbl.glColor3hNV = glColor3hNV;
    tbl.glColor3hvNV = glColor3hvNV;
    tbl.glColor4hNV = glColor4hNV;
    tbl.glColor4hvNV = glColor4hvNV;
    tbl.glFogCoordhNV = glFogCoordhNV;
    tbl.glFogCoordhvNV = glFogCoordhvNV;
    tbl.glMultiTexCoord1hNV = glMultiTexCoord1hNV;
    tbl.glMultiTexCoord1hvNV = glMultiTexCoord1hvNV;
    tbl.glMultiTexCoord2hNV = glMultiTexCoord2hNV;
    tbl.glMultiTexCoord2hvNV = glMultiTexCoord2hvNV;
    tbl.glMultiTexCoord3hNV = glMultiTexCoord3hNV;
    tbl.glMultiTexCoord3hvNV = glMultiTexCoord3hvNV;
    tbl.glMultiTexCoord4hNV = glMultiTexCoord4hNV;
    tbl.glMultiTexCoord4hvNV = glMultiTexCoord4hvNV;
    tbl.glNormal3hNV = glNormal3hNV;
    tbl.glNormal3hvNV = glNormal3hvNV;
    tbl.glSecondaryColor3hNV = glSecondaryColor3hNV;
    tbl.glSecondaryColor3hvNV = glSecondaryColor3hvNV;
    tbl.glTexCoord1hNV = glTexCoord1hNV;
    tbl.glTexCoord1hvNV = glTexCoord1hvNV;
    tbl.glTexCoord2hNV = glTexCoord2hNV;
    tbl.glTexCoord2hvNV = glTexCoord2hvNV;
    tbl.glTexCoord3hNV = glTexCoord3hNV;
    tbl.glTexCoord3hvNV = glTexCoord3hvNV;
    tbl.glTexCoord4hNV = glTexCoord4hNV;
    tbl.glTexCoord4hvNV = glTexCoord4hvNV;
    tbl.glVertex2hNV = glVertex2hNV;
    tbl.glVertex2hvNV = glVertex2hvNV;
    tbl.glVertex3hNV = glVertex3hNV;
    tbl.glVertex3hvNV = glVertex3hvNV;
    tbl.glVertex4hNV = glVertex4hNV;
    tbl.glVertex4hvNV = glVertex4hvNV;
    tbl.glVertexAttrib1hNV = glVertexAttrib1hNV;
    tbl.glVertexAttrib1hvNV = glVertexAttrib1hvNV;
    tbl.glVertexAttrib2hNV = glVertexAttrib2hNV;
    tbl.glVertexAttrib2hvNV = glVertexAttrib2hvNV;
    tbl.glVertexAttrib3hNV = glVertexAttrib3hNV;
    tbl.glVertexAttrib3hvNV = glVertexAttrib3hvNV;
    tbl.glVertexAttrib4hNV = glVertexAttrib4hNV;
    tbl.glVertexAttrib4hvNV = glVertexAttrib4hvNV;
    tbl.glVertexAttribs1hvNV = glVertexAttribs1hvNV;
    tbl.glVertexAttribs2hvNV = glVertexAttribs2hvNV;
    tbl.glVertexAttribs3hvNV = glVertexAttribs3hvNV;
    tbl.glVertexAttribs4hvNV = glVertexAttribs4hvNV;
    tbl.glVertexWeighthNV = glVertexWeighthNV;
    tbl.glVertexWeighthvNV = glVertexWeighthvNV;

  // GL_NV_non_square_matrices

    tbl.glUniformMatrix2x3fvNV = glUniformMatrix2x3fvNV;
    tbl.glUniformMatrix2x4fvNV = glUniformMatrix2x4fvNV;
    tbl.glUniformMatrix3x2fvNV = glUniformMatrix3x2fvNV;
    tbl.glUniformMatrix3x4fvNV = glUniformMatrix3x4fvNV;
    tbl.glUniformMatrix4x2fvNV = glUniformMatrix4x2fvNV;
    tbl.glUniformMatrix4x3fvNV = glUniformMatrix4x3fvNV;

  // GL_NV_occlusion_query

    tbl.glBeginOcclusionQueryNV = glBeginOcclusionQueryNV;
    tbl.glDeleteOcclusionQueriesNV = glDeleteOcclusionQueriesNV;
    tbl.glEndOcclusionQueryNV = glEndOcclusionQueryNV;
    tbl.glGenOcclusionQueriesNV = glGenOcclusionQueriesNV;
    tbl.glGetOcclusionQueryivNV = glGetOcclusionQueryivNV;
    tbl.glGetOcclusionQueryuivNV = glGetOcclusionQueryuivNV;
    tbl.glIsOcclusionQueryNV = glIsOcclusionQueryNV;

  // GL_NV_parameter_buffer_object

    tbl.glProgramBufferParametersIivNV = glProgramBufferParametersIivNV;
    tbl.glProgramBufferParametersIuivNV = glProgramBufferParametersIuivNV;
    tbl.glProgramBufferParametersfvNV = glProgramBufferParametersfvNV;

  // GL_NV_path_rendering

    tbl.glCopyPathNV = glCopyPathNV;
    tbl.glCoverFillPathInstancedNV = glCoverFillPathInstancedNV;
    tbl.glCoverFillPathNV = glCoverFillPathNV;
    tbl.glCoverStrokePathInstancedNV = glCoverStrokePathInstancedNV;
    tbl.glCoverStrokePathNV = glCoverStrokePathNV;
    tbl.glDeletePathsNV = glDeletePathsNV;
    tbl.glGenPathsNV = glGenPathsNV;
    tbl.glGetPathColorGenfvNV = glGetPathColorGenfvNV;
    tbl.glGetPathColorGenivNV = glGetPathColorGenivNV;
    tbl.glGetPathCommandsNV = glGetPathCommandsNV;
    tbl.glGetPathCoordsNV = glGetPathCoordsNV;
    tbl.glGetPathDashArrayNV = glGetPathDashArrayNV;
    tbl.glGetPathLengthNV = glGetPathLengthNV;
    tbl.glGetPathMetricRangeNV = glGetPathMetricRangeNV;
    tbl.glGetPathMetricsNV = glGetPathMetricsNV;
    tbl.glGetPathParameterfvNV = glGetPathParameterfvNV;
    tbl.glGetPathParameterivNV = glGetPathParameterivNV;
    tbl.glGetPathSpacingNV = glGetPathSpacingNV;
    tbl.glGetPathTexGenfvNV = glGetPathTexGenfvNV;
    tbl.glGetPathTexGenivNV = glGetPathTexGenivNV;
    tbl.glInterpolatePathsNV = glInterpolatePathsNV;
    tbl.glIsPathNV = glIsPathNV;
    tbl.glIsPointInFillPathNV = glIsPointInFillPathNV;
    tbl.glIsPointInStrokePathNV = glIsPointInStrokePathNV;
    tbl.glPathColorGenNV = glPathColorGenNV;
    tbl.glPathCommandsNV = glPathCommandsNV;
    tbl.glPathCoordsNV = glPathCoordsNV;
    tbl.glPathCoverDepthFuncNV = glPathCoverDepthFuncNV;
    tbl.glPathDashArrayNV = glPathDashArrayNV;
    tbl.glPathFogGenNV = glPathFogGenNV;
    tbl.glPathGlyphRangeNV = glPathGlyphRangeNV;
    tbl.glPathGlyphsNV = glPathGlyphsNV;
    tbl.glPathParameterfNV = glPathParameterfNV;
    tbl.glPathParameterfvNV = glPathParameterfvNV;
    tbl.glPathParameteriNV = glPathParameteriNV;
    tbl.glPathParameterivNV = glPathParameterivNV;
    tbl.glPathStencilDepthOffsetNV = glPathStencilDepthOffsetNV;
    tbl.glPathStencilFuncNV = glPathStencilFuncNV;
    tbl.glPathStringNV = glPathStringNV;
    tbl.glPathSubCommandsNV = glPathSubCommandsNV;
    tbl.glPathSubCoordsNV = glPathSubCoordsNV;
    tbl.glPathTexGenNV = glPathTexGenNV;
    tbl.glPointAlongPathNV = glPointAlongPathNV;
    tbl.glStencilFillPathInstancedNV = glStencilFillPathInstancedNV;
    tbl.glStencilFillPathNV = glStencilFillPathNV;
    tbl.glStencilStrokePathInstancedNV = glStencilStrokePathInstancedNV;
    tbl.glStencilStrokePathNV = glStencilStrokePathNV;
    tbl.glTransformPathNV = glTransformPathNV;
    tbl.glWeightPathsNV = glWeightPathsNV;

  // GL_NV_pixel_data_range

    tbl.glFlushPixelDataRangeNV = glFlushPixelDataRangeNV;
    tbl.glPixelDataRangeNV = glPixelDataRangeNV;

  // GL_NV_point_sprite

    tbl.glPointParameteriNV = glPointParameteriNV;
    tbl.glPointParameterivNV = glPointParameterivNV;

  // GL_NV_present_video

    tbl.glGetVideoi64vNV = glGetVideoi64vNV;
    tbl.glGetVideoivNV = glGetVideoivNV;
    tbl.glGetVideoui64vNV = glGetVideoui64vNV;
    tbl.glGetVideouivNV = glGetVideouivNV;
    tbl.glPresentFrameDualFillNV = glPresentFrameDualFillNV;
    tbl.glPresentFrameKeyedNV = glPresentFrameKeyedNV;

  // GL_NV_primitive_restart

    tbl.glPrimitiveRestartIndexNV = glPrimitiveRestartIndexNV;
    tbl.glPrimitiveRestartNV = glPrimitiveRestartNV;

  // GL_NV_read_buffer

    tbl.glReadBufferNV = glReadBufferNV;

  // GL_NV_register_combiners

    tbl.glCombinerInputNV = glCombinerInputNV;
    tbl.glCombinerOutputNV = glCombinerOutputNV;
    tbl.glCombinerParameterfNV = glCombinerParameterfNV;
    tbl.glCombinerParameterfvNV = glCombinerParameterfvNV;
    tbl.glCombinerParameteriNV = glCombinerParameteriNV;
    tbl.glCombinerParameterivNV = glCombinerParameterivNV;
    tbl.glFinalCombinerInputNV = glFinalCombinerInputNV;
    tbl.glGetCombinerInputParameterfvNV = glGetCombinerInputParameterfvNV;
    tbl.glGetCombinerInputParameterivNV = glGetCombinerInputParameterivNV;
    tbl.glGetCombinerOutputParameterfvNV = glGetCombinerOutputParameterfvNV;
    tbl.glGetCombinerOutputParameterivNV = glGetCombinerOutputParameterivNV;
    tbl.glGetFinalCombinerInputParameterfvNV = glGetFinalCombinerInputParameterfvNV;
    tbl.glGetFinalCombinerInputParameterivNV = glGetFinalCombinerInputParameterivNV;

  // GL_NV_register_combiners2

    tbl.glCombinerStageParameterfvNV = glCombinerStageParameterfvNV;
    tbl.glGetCombinerStageParameterfvNV = glGetCombinerStageParameterfvNV;

  // GL_NV_shader_buffer_load

    tbl.glGetBufferParameterui64vNV = glGetBufferParameterui64vNV;
    tbl.glGetIntegerui64vNV = glGetIntegerui64vNV;
    tbl.glGetNamedBufferParameterui64vNV = glGetNamedBufferParameterui64vNV;
    tbl.glGetUniformui64vNV = glGetUniformui64vNV;
    tbl.glIsBufferResidentNV = glIsBufferResidentNV;
    tbl.glIsNamedBufferResidentNV = glIsNamedBufferResidentNV;
    tbl.glMakeBufferNonResidentNV = glMakeBufferNonResidentNV;
    tbl.glMakeBufferResidentNV = glMakeBufferResidentNV;
    tbl.glMakeNamedBufferNonResidentNV = glMakeNamedBufferNonResidentNV;
    tbl.glMakeNamedBufferResidentNV = glMakeNamedBufferResidentNV;
    tbl.glProgramUniformui64NV = glProgramUniformui64NV;
    tbl.glProgramUniformui64vNV = glProgramUniformui64vNV;
    tbl.glUniformui64NV = glUniformui64NV;
    tbl.glUniformui64vNV = glUniformui64vNV;

  // GL_NV_texture_barrier

    tbl.glTextureBarrierNV = glTextureBarrierNV;

  // GL_NV_texture_multisample

    tbl.glTexImage2DMultisampleCoverageNV = glTexImage2DMultisampleCoverageNV;
    tbl.glTexImage3DMultisampleCoverageNV = glTexImage3DMultisampleCoverageNV;
    tbl.glTextureImage2DMultisampleCoverageNV = glTextureImage2DMultisampleCoverageNV;
    tbl.glTextureImage2DMultisampleNV = glTextureImage2DMultisampleNV;
    tbl.glTextureImage3DMultisampleCoverageNV = glTextureImage3DMultisampleCoverageNV;
    tbl.glTextureImage3DMultisampleNV = glTextureImage3DMultisampleNV;

  // GL_NV_transform_feedback

    tbl.glActiveVaryingNV = glActiveVaryingNV;
    tbl.glBeginTransformFeedbackNV = glBeginTransformFeedbackNV;
    tbl.glBindBufferBaseNV = glBindBufferBaseNV;
    tbl.glBindBufferOffsetNV = glBindBufferOffsetNV;
    tbl.glBindBufferRangeNV = glBindBufferRangeNV;
    tbl.glEndTransformFeedbackNV = glEndTransformFeedbackNV;
    tbl.glGetActiveVaryingNV = glGetActiveVaryingNV;
    tbl.glGetTransformFeedbackVaryingNV = glGetTransformFeedbackVaryingNV;
    tbl.glGetVaryingLocationNV = glGetVaryingLocationNV;
    tbl.glTransformFeedbackAttribsNV = glTransformFeedbackAttribsNV;
    tbl.glTransformFeedbackVaryingsNV = glTransformFeedbackVaryingsNV;

  // GL_NV_transform_feedback2

    tbl.glBindTransformFeedbackNV = glBindTransformFeedbackNV;
    tbl.glDeleteTransformFeedbacksNV = glDeleteTransformFeedbacksNV;
    tbl.glDrawTransformFeedbackNV = glDrawTransformFeedbackNV;
    tbl.glGenTransformFeedbacksNV = glGenTransformFeedbacksNV;
    tbl.glIsTransformFeedbackNV = glIsTransformFeedbackNV;
    tbl.glPauseTransformFeedbackNV = glPauseTransformFeedbackNV;
    tbl.glResumeTransformFeedbackNV = glResumeTransformFeedbackNV;

  // GL_NV_vdpau_interop

    tbl.glVDPAUFiniNV = glVDPAUFiniNV;
    tbl.glVDPAUGetSurfaceivNV = glVDPAUGetSurfaceivNV;
    tbl.glVDPAUInitNV = glVDPAUInitNV;
    tbl.glVDPAUIsSurfaceNV = glVDPAUIsSurfaceNV;
    tbl.glVDPAUMapSurfacesNV = glVDPAUMapSurfacesNV;
    tbl.glVDPAURegisterOutputSurfaceNV = glVDPAURegisterOutputSurfaceNV;
    tbl.glVDPAURegisterVideoSurfaceNV = glVDPAURegisterVideoSurfaceNV;
    tbl.glVDPAUSurfaceAccessNV = glVDPAUSurfaceAccessNV;
    tbl.glVDPAUUnmapSurfacesNV = glVDPAUUnmapSurfacesNV;
    tbl.glVDPAUUnregisterSurfaceNV = glVDPAUUnregisterSurfaceNV;

  // GL_NV_vertex_array_range

    tbl.glFlushVertexArrayRangeNV = glFlushVertexArrayRangeNV;
    tbl.glVertexArrayRangeNV = glVertexArrayRangeNV;

  // GL_NV_vertex_attrib_integer_64bit

    tbl.glGetVertexAttribLi64vNV = glGetVertexAttribLi64vNV;
    tbl.glGetVertexAttribLui64vNV = glGetVertexAttribLui64vNV;
    tbl.glVertexAttribL1i64NV = glVertexAttribL1i64NV;
    tbl.glVertexAttribL1i64vNV = glVertexAttribL1i64vNV;
    tbl.glVertexAttribL1ui64NV = glVertexAttribL1ui64NV;
    tbl.glVertexAttribL1ui64vNV = glVertexAttribL1ui64vNV;
    tbl.glVertexAttribL2i64NV = glVertexAttribL2i64NV;
    tbl.glVertexAttribL2i64vNV = glVertexAttribL2i64vNV;
    tbl.glVertexAttribL2ui64NV = glVertexAttribL2ui64NV;
    tbl.glVertexAttribL2ui64vNV = glVertexAttribL2ui64vNV;
    tbl.glVertexAttribL3i64NV = glVertexAttribL3i64NV;
    tbl.glVertexAttribL3i64vNV = glVertexAttribL3i64vNV;
    tbl.glVertexAttribL3ui64NV = glVertexAttribL3ui64NV;
    tbl.glVertexAttribL3ui64vNV = glVertexAttribL3ui64vNV;
    tbl.glVertexAttribL4i64NV = glVertexAttribL4i64NV;
    tbl.glVertexAttribL4i64vNV = glVertexAttribL4i64vNV;
    tbl.glVertexAttribL4ui64NV = glVertexAttribL4ui64NV;
    tbl.glVertexAttribL4ui64vNV = glVertexAttribL4ui64vNV;
    tbl.glVertexAttribLFormatNV = glVertexAttribLFormatNV;

  // GL_NV_vertex_buffer_unified_memory

    tbl.glBufferAddressRangeNV = glBufferAddressRangeNV;
    tbl.glColorFormatNV = glColorFormatNV;
    tbl.glEdgeFlagFormatNV = glEdgeFlagFormatNV;
    tbl.glFogCoordFormatNV = glFogCoordFormatNV;
    tbl.glGetIntegerui64i_vNV = glGetIntegerui64i_vNV;
    tbl.glIndexFormatNV = glIndexFormatNV;
    tbl.glNormalFormatNV = glNormalFormatNV;
    tbl.glSecondaryColorFormatNV = glSecondaryColorFormatNV;
    tbl.glTexCoordFormatNV = glTexCoordFormatNV;
    tbl.glVertexAttribFormatNV = glVertexAttribFormatNV;
    tbl.glVertexAttribIFormatNV = glVertexAttribIFormatNV;
    tbl.glVertexFormatNV = glVertexFormatNV;

  // GL_NV_vertex_program

    tbl.glAreProgramsResidentNV = glAreProgramsResidentNV;
    tbl.glBindProgramNV = glBindProgramNV;
    tbl.glDeleteProgramsNV = glDeleteProgramsNV;
    tbl.glExecuteProgramNV = glExecuteProgramNV;
    tbl.glGenProgramsNV = glGenProgramsNV;
    tbl.glGetProgramParameterdvNV = glGetProgramParameterdvNV;
    tbl.glGetProgramParameterfvNV = glGetProgramParameterfvNV;
    tbl.glGetProgramStringNV = glGetProgramStringNV;
    tbl.glGetProgramivNV = glGetProgramivNV;
    tbl.glGetTrackMatrixivNV = glGetTrackMatrixivNV;
    tbl.glGetVertexAttribPointervNV = glGetVertexAttribPointervNV;
    tbl.glGetVertexAttribdvNV = glGetVertexAttribdvNV;
    tbl.glGetVertexAttribfvNV = glGetVertexAttribfvNV;
    tbl.glGetVertexAttribivNV = glGetVertexAttribivNV;
    tbl.glIsProgramNV = glIsProgramNV;
    tbl.glLoadProgramNV = glLoadProgramNV;
    tbl.glProgramParameter4dNV = glProgramParameter4dNV;
    tbl.glProgramParameter4dvNV = glProgramParameter4dvNV;
    tbl.glProgramParameter4fNV = glProgramParameter4fNV;
    tbl.glProgramParameter4fvNV = glProgramParameter4fvNV;
    tbl.glProgramParameters4dvNV = glProgramParameters4dvNV;
    tbl.glProgramParameters4fvNV = glProgramParameters4fvNV;
    tbl.glRequestResidentProgramsNV = glRequestResidentProgramsNV;
    tbl.glTrackMatrixNV = glTrackMatrixNV;
    tbl.glVertexAttrib1dNV = glVertexAttrib1dNV;
    tbl.glVertexAttrib1dvNV = glVertexAttrib1dvNV;
    tbl.glVertexAttrib1fNV = glVertexAttrib1fNV;
    tbl.glVertexAttrib1fvNV = glVertexAttrib1fvNV;
    tbl.glVertexAttrib1sNV = glVertexAttrib1sNV;
    tbl.glVertexAttrib1svNV = glVertexAttrib1svNV;
    tbl.glVertexAttrib2dNV = glVertexAttrib2dNV;
    tbl.glVertexAttrib2dvNV = glVertexAttrib2dvNV;
    tbl.glVertexAttrib2fNV = glVertexAttrib2fNV;
    tbl.glVertexAttrib2fvNV = glVertexAttrib2fvNV;
    tbl.glVertexAttrib2sNV = glVertexAttrib2sNV;
    tbl.glVertexAttrib2svNV = glVertexAttrib2svNV;
    tbl.glVertexAttrib3dNV = glVertexAttrib3dNV;
    tbl.glVertexAttrib3dvNV = glVertexAttrib3dvNV;
    tbl.glVertexAttrib3fNV = glVertexAttrib3fNV;
    tbl.glVertexAttrib3fvNV = glVertexAttrib3fvNV;
    tbl.glVertexAttrib3sNV = glVertexAttrib3sNV;
    tbl.glVertexAttrib3svNV = glVertexAttrib3svNV;
    tbl.glVertexAttrib4dNV = glVertexAttrib4dNV;
    tbl.glVertexAttrib4dvNV = glVertexAttrib4dvNV;
    tbl.glVertexAttrib4fNV = glVertexAttrib4fNV;
    tbl.glVertexAttrib4fvNV = glVertexAttrib4fvNV;
    tbl.glVertexAttrib4sNV = glVertexAttrib4sNV;
    tbl.glVertexAttrib4svNV = glVertexAttrib4svNV;
    tbl.glVertexAttrib4ubNV = glVertexAttrib4ubNV;
    tbl.glVertexAttrib4ubvNV = glVertexAttrib4ubvNV;
    tbl.glVertexAttribPointerNV = glVertexAttribPointerNV;
    tbl.glVertexAttribs1dvNV = glVertexAttribs1dvNV;
    tbl.glVertexAttribs1fvNV = glVertexAttribs1fvNV;
    tbl.glVertexAttribs1svNV = glVertexAttribs1svNV;
    tbl.glVertexAttribs2dvNV = glVertexAttribs2dvNV;
    tbl.glVertexAttribs2fvNV = glVertexAttribs2fvNV;
    tbl.glVertexAttribs2svNV = glVertexAttribs2svNV;
    tbl.glVertexAttribs3dvNV = glVertexAttribs3dvNV;
    tbl.glVertexAttribs3fvNV = glVertexAttribs3fvNV;
    tbl.glVertexAttribs3svNV = glVertexAttribs3svNV;
    tbl.glVertexAttribs4dvNV = glVertexAttribs4dvNV;
    tbl.glVertexAttribs4fvNV = glVertexAttribs4fvNV;
    tbl.glVertexAttribs4svNV = glVertexAttribs4svNV;
    tbl.glVertexAttribs4ubvNV = glVertexAttribs4ubvNV;

  // GL_NV_video_capture

    tbl.glBeginVideoCaptureNV = glBeginVideoCaptureNV;
    tbl.glBindVideoCaptureStreamBufferNV = glBindVideoCaptureStreamBufferNV;
    tbl.glBindVideoCaptureStreamTextureNV = glBindVideoCaptureStreamTextureNV;
    tbl.glEndVideoCaptureNV = glEndVideoCaptureNV;
    tbl.glGetVideoCaptureStreamdvNV = glGetVideoCaptureStreamdvNV;
    tbl.glGetVideoCaptureStreamfvNV = glGetVideoCaptureStreamfvNV;
    tbl.glGetVideoCaptureStreamivNV = glGetVideoCaptureStreamivNV;
    tbl.glGetVideoCaptureivNV = glGetVideoCaptureivNV;
    tbl.glVideoCaptureNV = glVideoCaptureNV;
    tbl.glVideoCaptureStreamParameterdvNV = glVideoCaptureStreamParameterdvNV;
    tbl.glVideoCaptureStreamParameterfvNV = glVideoCaptureStreamParameterfvNV;
    tbl.glVideoCaptureStreamParameterivNV = glVideoCaptureStreamParameterivNV;

  // GL_OES_blend_equation_separate

    tbl.glBlendEquationSeparateOES = glBlendEquationSeparateOES;

  // GL_OES_blend_func_separate

    tbl.glBlendFuncSeparateOES = glBlendFuncSeparateOES;

  // GL_OES_blend_subtract

    tbl.glBlendEquationOES = glBlendEquationOES;

  // GL_OES_framebuffer_object

    tbl.glBindFramebufferOES = glBindFramebufferOES;
    tbl.glBindRenderbufferOES = glBindRenderbufferOES;
    tbl.glCheckFramebufferStatusOES = glCheckFramebufferStatusOES;
    tbl.glDeleteFramebuffersOES = glDeleteFramebuffersOES;
    tbl.glDeleteRenderbuffersOES = glDeleteRenderbuffersOES;
    tbl.glFramebufferRenderbufferOES = glFramebufferRenderbufferOES;
    tbl.glFramebufferTexture2DOES = glFramebufferTexture2DOES;
    tbl.glGenFramebuffersOES = glGenFramebuffersOES;
    tbl.glGenRenderbuffersOES = glGenRenderbuffersOES;
    tbl.glGenerateMipmapOES = glGenerateMipmapOES;
    tbl.glGetFramebufferAttachmentParameterivOES = glGetFramebufferAttachmentParameterivOES;
    tbl.glGetRenderbufferParameterivOES = glGetRenderbufferParameterivOES;
    tbl.glIsFramebufferOES = glIsFramebufferOES;
    tbl.glIsRenderbufferOES = glIsRenderbufferOES;
    tbl.glRenderbufferStorageOES = glRenderbufferStorageOES;

  // GL_OES_get_program_binary

    tbl.glGetProgramBinaryOES = glGetProgramBinaryOES;
    tbl.glProgramBinaryOES = glProgramBinaryOES;

  // GL_OES_mapbuffer

    tbl.glGetBufferPointervOES = glGetBufferPointervOES;
    tbl.glMapBufferOES = glMapBufferOES;
    tbl.glUnmapBufferOES = glUnmapBufferOES;

  // GL_OES_matrix_palette

    tbl.glCurrentPaletteMatrixOES = glCurrentPaletteMatrixOES;
    tbl.glMatrixIndexPointerOES = glMatrixIndexPointerOES;
    tbl.glWeightPointerOES = glWeightPointerOES;

  // GL_OES_single_precision

    tbl.glClearDepthfOES = glClearDepthfOES;
    tbl.glClipPlanefOES = glClipPlanefOES;
    tbl.glDepthRangefOES = glDepthRangefOES;
    tbl.glFrustumfOES = glFrustumfOES;
    tbl.glGetClipPlanefOES = glGetClipPlanefOES;
    tbl.glOrthofOES = glOrthofOES;

  // GL_OES_texture_3D

    tbl.glCompressedTexImage3DOES = glCompressedTexImage3DOES;
    tbl.glCompressedTexSubImage3DOES = glCompressedTexSubImage3DOES;
    tbl.glCopyTexSubImage3DOES = glCopyTexSubImage3DOES;
    tbl.glFramebufferTexture3DOES = glFramebufferTexture3DOES;
    tbl.glTexImage3DOES = glTexImage3DOES;
    tbl.glTexSubImage3DOES = glTexSubImage3DOES;

  // GL_OES_texture_cube_map

    tbl.glGetTexGenfvOES = glGetTexGenfvOES;
    tbl.glGetTexGenivOES = glGetTexGenivOES;
    tbl.glGetTexGenxvOES = glGetTexGenxvOES;
    tbl.glTexGenfOES = glTexGenfOES;
    tbl.glTexGenfvOES = glTexGenfvOES;
    tbl.glTexGeniOES = glTexGeniOES;
    tbl.glTexGenivOES = glTexGenivOES;
    tbl.glTexGenxOES = glTexGenxOES;
    tbl.glTexGenxvOES = glTexGenxvOES;

  // GL_OES_vertex_array_object

    tbl.glBindVertexArrayOES = glBindVertexArrayOES;
    tbl.glDeleteVertexArraysOES = glDeleteVertexArraysOES;
    tbl.glGenVertexArraysOES = glGenVertexArraysOES;
    tbl.glIsVertexArrayOES = glIsVertexArrayOES;

  // GL_PGI_misc_hints

    tbl.glHintPGI = glHintPGI;

  // GL_QCOM_alpha_test

    tbl.glAlphaFuncQCOM = glAlphaFuncQCOM;

  // GL_QCOM_driver_control

    tbl.glDisableDriverControlQCOM = glDisableDriverControlQCOM;
    tbl.glEnableDriverControlQCOM = glEnableDriverControlQCOM;
    tbl.glGetDriverControlStringQCOM = glGetDriverControlStringQCOM;
    tbl.glGetDriverControlsQCOM = glGetDriverControlsQCOM;

  // GL_QCOM_extended_get

    tbl.glExtGetBufferPointervQCOM = glExtGetBufferPointervQCOM;
    tbl.glExtGetBuffersQCOM = glExtGetBuffersQCOM;
    tbl.glExtGetFramebuffersQCOM = glExtGetFramebuffersQCOM;
    tbl.glExtGetRenderbuffersQCOM = glExtGetRenderbuffersQCOM;
    tbl.glExtGetTexLevelParameterivQCOM = glExtGetTexLevelParameterivQCOM;
    tbl.glExtGetTexSubImageQCOM = glExtGetTexSubImageQCOM;
    tbl.glExtGetTexturesQCOM = glExtGetTexturesQCOM;
    tbl.glExtTexObjectStateOverrideiQCOM = glExtTexObjectStateOverrideiQCOM;

  // GL_QCOM_extended_get2

    tbl.glExtGetProgramBinarySourceQCOM = glExtGetProgramBinarySourceQCOM;
    tbl.glExtGetProgramsQCOM = glExtGetProgramsQCOM;
    tbl.glExtGetShadersQCOM = glExtGetShadersQCOM;
    tbl.glExtIsProgramBinaryQCOM = glExtIsProgramBinaryQCOM;

  // GL_QCOM_tiled_rendering

    tbl.glEndTilingQCOM = glEndTilingQCOM;
    tbl.glStartTilingQCOM = glStartTilingQCOM;

  // GL_REGAL_ES1_0_compatibility

    tbl.glAlphaFuncx = glAlphaFuncx;
    tbl.glClearColorx = glClearColorx;
    tbl.glClearDepthx = glClearDepthx;
    tbl.glColor4x = glColor4x;
    tbl.glDepthRangex = glDepthRangex;
    tbl.glFogx = glFogx;
    tbl.glFogxv = glFogxv;
    tbl.glFrustumf = glFrustumf;
    tbl.glFrustumx = glFrustumx;
    tbl.glLightModelx = glLightModelx;
    tbl.glLightModelxv = glLightModelxv;
    tbl.glLightx = glLightx;
    tbl.glLightxv = glLightxv;
    tbl.glLineWidthx = glLineWidthx;
    tbl.glLoadMatrixx = glLoadMatrixx;
    tbl.glMaterialx = glMaterialx;
    tbl.glMaterialxv = glMaterialxv;
    tbl.glMultMatrixx = glMultMatrixx;
    tbl.glMultiTexCoord4x = glMultiTexCoord4x;
    tbl.glNormal3x = glNormal3x;
    tbl.glOrthof = glOrthof;
    tbl.glOrthox = glOrthox;
    tbl.glPointSizex = glPointSizex;
    tbl.glPolygonOffsetx = glPolygonOffsetx;
    tbl.glRotatex = glRotatex;
    tbl.glSampleCoveragex = glSampleCoveragex;
    tbl.glScalex = glScalex;
    tbl.glTexEnvx = glTexEnvx;
    tbl.glTexEnvxv = glTexEnvxv;
    tbl.glTexParameterx = glTexParameterx;
    tbl.glTranslatex = glTranslatex;

  // GL_REGAL_ES1_1_compatibility

    tbl.glClipPlanef = glClipPlanef;
    tbl.glClipPlanex = glClipPlanex;
    tbl.glGetClipPlanef = glGetClipPlanef;
    tbl.glGetClipPlanex = glGetClipPlanex;
    tbl.glGetFixedv = glGetFixedv;
    tbl.glGetLightxv = glGetLightxv;
    tbl.glGetMaterialxv = glGetMaterialxv;
    tbl.glGetTexEnvxv = glGetTexEnvxv;
    tbl.glGetTexParameterxv = glGetTexParameterxv;
    tbl.glPointParameterx = glPointParameterx;
    tbl.glPointParameterxv = glPointParameterxv;
    tbl.glPointSizePointerOES = glPointSizePointerOES;
    tbl.glTexParameterxv = glTexParameterxv;

  // GL_REGAL_log

    tbl.glLogMessageCallbackREGAL = glLogMessageCallbackREGAL;

  // GL_SGIS_detail_texture

    tbl.glDetailTexFuncSGIS = glDetailTexFuncSGIS;
    tbl.glGetDetailTexFuncSGIS = glGetDetailTexFuncSGIS;

  // GL_SGIS_fog_function

    tbl.glFogFuncSGIS = glFogFuncSGIS;
    tbl.glGetFogFuncSGIS = glGetFogFuncSGIS;

  // GL_SGIS_multisample

    tbl.glSampleMaskSGIS = glSampleMaskSGIS;
    tbl.glSamplePatternSGIS = glSamplePatternSGIS;

  // GL_SGIS_pixel_texture

    tbl.glGetPixelTexGenParameterfvSGIS = glGetPixelTexGenParameterfvSGIS;
    tbl.glGetPixelTexGenParameterivSGIS = glGetPixelTexGenParameterivSGIS;
    tbl.glPixelTexGenParameterfSGIS = glPixelTexGenParameterfSGIS;
    tbl.glPixelTexGenParameterfvSGIS = glPixelTexGenParameterfvSGIS;
    tbl.glPixelTexGenParameteriSGIS = glPixelTexGenParameteriSGIS;
    tbl.glPixelTexGenParameterivSGIS = glPixelTexGenParameterivSGIS;

  // GL_SGIS_point_parameters

    tbl.glPointParameterfSGIS = glPointParameterfSGIS;
    tbl.glPointParameterfvSGIS = glPointParameterfvSGIS;

  // GL_SGIS_sharpen_texture

    tbl.glGetSharpenTexFuncSGIS = glGetSharpenTexFuncSGIS;
    tbl.glSharpenTexFuncSGIS = glSharpenTexFuncSGIS;

  // GL_SGIS_texture4D

    tbl.glTexImage4DSGIS = glTexImage4DSGIS;
    tbl.glTexSubImage4DSGIS = glTexSubImage4DSGIS;

  // GL_SGIS_texture_color_mask

    tbl.glTextureColorMaskSGIS = glTextureColorMaskSGIS;

  // GL_SGIS_texture_filter4

    tbl.glGetTexFilterFuncSGIS = glGetTexFilterFuncSGIS;
    tbl.glTexFilterFuncSGIS = glTexFilterFuncSGIS;

  // GL_SGIX_async

    tbl.glAsyncMarkerSGIX = glAsyncMarkerSGIX;
    tbl.glDeleteAsyncMarkersSGIX = glDeleteAsyncMarkersSGIX;
    tbl.glFinishAsyncSGIX = glFinishAsyncSGIX;
    tbl.glGenAsyncMarkersSGIX = glGenAsyncMarkersSGIX;
    tbl.glIsAsyncMarkerSGIX = glIsAsyncMarkerSGIX;
    tbl.glPollAsyncSGIX = glPollAsyncSGIX;

  // GL_SGIX_flush_raster

    tbl.glFlushRasterSGIX = glFlushRasterSGIX;

  // GL_SGIX_fog_texture

    tbl.glTextureFogSGIX = glTextureFogSGIX;

  // GL_SGIX_fragment_lighting

    tbl.glFragmentColorMaterialSGIX = glFragmentColorMaterialSGIX;
    tbl.glFragmentLightModelfSGIX = glFragmentLightModelfSGIX;
    tbl.glFragmentLightModelfvSGIX = glFragmentLightModelfvSGIX;
    tbl.glFragmentLightModeliSGIX = glFragmentLightModeliSGIX;
    tbl.glFragmentLightModelivSGIX = glFragmentLightModelivSGIX;
    tbl.glFragmentLightfSGIX = glFragmentLightfSGIX;
    tbl.glFragmentLightfvSGIX = glFragmentLightfvSGIX;
    tbl.glFragmentLightiSGIX = glFragmentLightiSGIX;
    tbl.glFragmentLightivSGIX = glFragmentLightivSGIX;
    tbl.glFragmentMaterialfSGIX = glFragmentMaterialfSGIX;
    tbl.glFragmentMaterialfvSGIX = glFragmentMaterialfvSGIX;
    tbl.glFragmentMaterialiSGIX = glFragmentMaterialiSGIX;
    tbl.glFragmentMaterialivSGIX = glFragmentMaterialivSGIX;
    tbl.glGetFragmentLightfvSGIX = glGetFragmentLightfvSGIX;
    tbl.glGetFragmentLightivSGIX = glGetFragmentLightivSGIX;
    tbl.glGetFragmentMaterialfvSGIX = glGetFragmentMaterialfvSGIX;
    tbl.glGetFragmentMaterialivSGIX = glGetFragmentMaterialivSGIX;
    tbl.glLightEnviSGIX = glLightEnviSGIX;

  // GL_SGIX_framezoom

    tbl.glFrameZoomSGIX = glFrameZoomSGIX;

  // GL_SGIX_igloo_interface

    tbl.glIglooInterfaceSGIX = glIglooInterfaceSGIX;

  // GL_SGIX_instruments

    tbl.glGetInstrumentsSGIX = glGetInstrumentsSGIX;
    tbl.glInstrumentsBufferSGIX = glInstrumentsBufferSGIX;
    tbl.glPollInstrumentsSGIX = glPollInstrumentsSGIX;
    tbl.glReadInstrumentsSGIX = glReadInstrumentsSGIX;
    tbl.glStartInstrumentsSGIX = glStartInstrumentsSGIX;
    tbl.glStopInstrumentsSGIX = glStopInstrumentsSGIX;

  // GL_SGIX_list_priority

    tbl.glGetListParameterfvSGIX = glGetListParameterfvSGIX;
    tbl.glGetListParameterivSGIX = glGetListParameterivSGIX;
    tbl.glListParameterfSGIX = glListParameterfSGIX;
    tbl.glListParameterfvSGIX = glListParameterfvSGIX;
    tbl.glListParameteriSGIX = glListParameteriSGIX;
    tbl.glListParameterivSGIX = glListParameterivSGIX;

  // GL_SGIX_pixel_texture

    tbl.glPixelTexGenSGIX = glPixelTexGenSGIX;

  // GL_SGIX_polynomial_ffd

    tbl.glDeformSGIX = glDeformSGIX;
    tbl.glDeformationMap3dSGIX = glDeformationMap3dSGIX;
    tbl.glDeformationMap3fSGIX = glDeformationMap3fSGIX;
    tbl.glLoadIdentityDeformationMapSGIX = glLoadIdentityDeformationMapSGIX;

  // GL_SGIX_reference_plane

    tbl.glReferencePlaneSGIX = glReferencePlaneSGIX;

  // GL_SGIX_sprite

    tbl.glSpriteParameterfSGIX = glSpriteParameterfSGIX;
    tbl.glSpriteParameterfvSGIX = glSpriteParameterfvSGIX;
    tbl.glSpriteParameteriSGIX = glSpriteParameteriSGIX;
    tbl.glSpriteParameterivSGIX = glSpriteParameterivSGIX;

  // GL_SGIX_tag_sample_buffer

    tbl.glTagSampleBufferSGIX = glTagSampleBufferSGIX;

  // GL_SGI_color_table

    tbl.glColorTableParameterfvSGI = glColorTableParameterfvSGI;
    tbl.glColorTableParameterivSGI = glColorTableParameterivSGI;
    tbl.glColorTableSGI = glColorTableSGI;
    tbl.glCopyColorTableSGI = glCopyColorTableSGI;
    tbl.glGetColorTableParameterfvSGI = glGetColorTableParameterfvSGI;
    tbl.glGetColorTableParameterivSGI = glGetColorTableParameterivSGI;
    tbl.glGetColorTableSGI = glGetColorTableSGI;

  // GL_SUNX_constant_data

    tbl.glFinishTextureSUNX = glFinishTextureSUNX;

  // GL_SUN_global_alpha

    tbl.glGlobalAlphaFactorbSUN = glGlobalAlphaFactorbSUN;
    tbl.glGlobalAlphaFactordSUN = glGlobalAlphaFactordSUN;
    tbl.glGlobalAlphaFactorfSUN = glGlobalAlphaFactorfSUN;
    tbl.glGlobalAlphaFactoriSUN = glGlobalAlphaFactoriSUN;
    tbl.glGlobalAlphaFactorsSUN = glGlobalAlphaFactorsSUN;
    tbl.glGlobalAlphaFactorubSUN = glGlobalAlphaFactorubSUN;
    tbl.glGlobalAlphaFactoruiSUN = glGlobalAlphaFactoruiSUN;
    tbl.glGlobalAlphaFactorusSUN = glGlobalAlphaFactorusSUN;

  // GL_SUN_mesh_array

    tbl.glDrawMeshArraysSUN = glDrawMeshArraysSUN;

  // GL_SUN_read_video_pixels

    tbl.glReadVideoPixelsSUN = glReadVideoPixelsSUN;

  // GL_SUN_triangle_list

    tbl.glReplacementCodePointerSUN = glReplacementCodePointerSUN;
    tbl.glReplacementCodeubSUN = glReplacementCodeubSUN;
    tbl.glReplacementCodeubvSUN = glReplacementCodeubvSUN;
    tbl.glReplacementCodeuiSUN = glReplacementCodeuiSUN;
    tbl.glReplacementCodeuivSUN = glReplacementCodeuivSUN;
    tbl.glReplacementCodeusSUN = glReplacementCodeusSUN;
    tbl.glReplacementCodeusvSUN = glReplacementCodeusvSUN;

  // GL_SUN_vertex

    tbl.glColor3fVertex3fSUN = glColor3fVertex3fSUN;
    tbl.glColor3fVertex3fvSUN = glColor3fVertex3fvSUN;
    tbl.glColor4fNormal3fVertex3fSUN = glColor4fNormal3fVertex3fSUN;
    tbl.glColor4fNormal3fVertex3fvSUN = glColor4fNormal3fVertex3fvSUN;
    tbl.glColor4ubVertex2fSUN = glColor4ubVertex2fSUN;
    tbl.glColor4ubVertex2fvSUN = glColor4ubVertex2fvSUN;
    tbl.glColor4ubVertex3fSUN = glColor4ubVertex3fSUN;
    tbl.glColor4ubVertex3fvSUN = glColor4ubVertex3fvSUN;
    tbl.glNormal3fVertex3fSUN = glNormal3fVertex3fSUN;
    tbl.glNormal3fVertex3fvSUN = glNormal3fVertex3fvSUN;
    tbl.glReplacementCodeuiColor3fVertex3fSUN = glReplacementCodeuiColor3fVertex3fSUN;
    tbl.glReplacementCodeuiColor3fVertex3fvSUN = glReplacementCodeuiColor3fVertex3fvSUN;
    tbl.glReplacementCodeuiColor4fNormal3fVertex3fSUN = glReplacementCodeuiColor4fNormal3fVertex3fSUN;
    tbl.glReplacementCodeuiColor4fNormal3fVertex3fvSUN = glReplacementCodeuiColor4fNormal3fVertex3fvSUN;
    tbl.glReplacementCodeuiColor4ubVertex3fSUN = glReplacementCodeuiColor4ubVertex3fSUN;
    tbl.glReplacementCodeuiColor4ubVertex3fvSUN = glReplacementCodeuiColor4ubVertex3fvSUN;
    tbl.glReplacementCodeuiNormal3fVertex3fSUN = glReplacementCodeuiNormal3fVertex3fSUN;
    tbl.glReplacementCodeuiNormal3fVertex3fvSUN = glReplacementCodeuiNormal3fVertex3fvSUN;
    tbl.glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN = glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN;
    tbl.glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN = glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN;
    tbl.glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN = glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN;
    tbl.glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN = glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN;
    tbl.glReplacementCodeuiTexCoord2fVertex3fSUN = glReplacementCodeuiTexCoord2fVertex3fSUN;
    tbl.glReplacementCodeuiTexCoord2fVertex3fvSUN = glReplacementCodeuiTexCoord2fVertex3fvSUN;
    tbl.glReplacementCodeuiVertex3fSUN = glReplacementCodeuiVertex3fSUN;
    tbl.glReplacementCodeuiVertex3fvSUN = glReplacementCodeuiVertex3fvSUN;
    tbl.glTexCoord2fColor3fVertex3fSUN = glTexCoord2fColor3fVertex3fSUN;
    tbl.glTexCoord2fColor3fVertex3fvSUN = glTexCoord2fColor3fVertex3fvSUN;
    tbl.glTexCoord2fColor4fNormal3fVertex3fSUN = glTexCoord2fColor4fNormal3fVertex3fSUN;
    tbl.glTexCoord2fColor4fNormal3fVertex3fvSUN = glTexCoord2fColor4fNormal3fVertex3fvSUN;
    tbl.glTexCoord2fColor4ubVertex3fSUN = glTexCoord2fColor4ubVertex3fSUN;
    tbl.glTexCoord2fColor4ubVertex3fvSUN = glTexCoord2fColor4ubVertex3fvSUN;
    tbl.glTexCoord2fNormal3fVertex3fSUN = glTexCoord2fNormal3fVertex3fSUN;
    tbl.glTexCoord2fNormal3fVertex3fvSUN = glTexCoord2fNormal3fVertex3fvSUN;
    tbl.glTexCoord2fVertex3fSUN = glTexCoord2fVertex3fSUN;
    tbl.glTexCoord2fVertex3fvSUN = glTexCoord2fVertex3fvSUN;
    tbl.glTexCoord4fColor4fNormal3fVertex4fSUN = glTexCoord4fColor4fNormal3fVertex4fSUN;
    tbl.glTexCoord4fColor4fNormal3fVertex4fvSUN = glTexCoord4fColor4fNormal3fVertex4fvSUN;
    tbl.glTexCoord4fVertex4fSUN = glTexCoord4fVertex4fSUN;
    tbl.glTexCoord4fVertex4fvSUN = glTexCoord4fVertex4fvSUN;

  // GL_WIN_swap_hint

    tbl.glAddSwapHintRectWIN = glAddSwapHintRectWIN;

  }

void Init(DispatchTableGlobal &tbl)
{

#if REGAL_SYS_WGL
  // WGL_3DL_stereo_control

    tbl.wglSetStereoEmitterState3DL = wglSetStereoEmitterState3DL;

  // WGL_AMD_gpu_association

    tbl.wglBlitContextFramebufferAMD = wglBlitContextFramebufferAMD;
    tbl.wglCreateAssociatedContextAMD = wglCreateAssociatedContextAMD;
    tbl.wglCreateAssociatedContextAttribsAMD = wglCreateAssociatedContextAttribsAMD;
    tbl.wglDeleteAssociatedContextAMD = wglDeleteAssociatedContextAMD;
    tbl.wglGetContextGPUIDAMD = wglGetContextGPUIDAMD;
    tbl.wglGetCurrentAssociatedContextAMD = wglGetCurrentAssociatedContextAMD;
    tbl.wglGetGPUIDsAMD = wglGetGPUIDsAMD;
    tbl.wglGetGPUInfoAMD = wglGetGPUInfoAMD;
    tbl.wglMakeAssociatedContextCurrentAMD = wglMakeAssociatedContextCurrentAMD;

  // WGL_ARB_buffer_region

    tbl.wglCreateBufferRegionARB = wglCreateBufferRegionARB;
    tbl.wglDeleteBufferRegionARB = wglDeleteBufferRegionARB;
    tbl.wglRestoreBufferRegionARB = wglRestoreBufferRegionARB;
    tbl.wglSaveBufferRegionARB = wglSaveBufferRegionARB;

  // WGL_ARB_create_context

    tbl.wglCreateContextAttribsARB = wglCreateContextAttribsARB;

  // WGL_ARB_extensions_string

    tbl.wglGetExtensionsStringARB = wglGetExtensionsStringARB;

  // WGL_ARB_make_current_read

    tbl.wglGetCurrentReadDCARB = wglGetCurrentReadDCARB;
    tbl.wglMakeContextCurrentARB = wglMakeContextCurrentARB;

  // WGL_ARB_pbuffer

    tbl.wglCreatePbufferARB = wglCreatePbufferARB;
    tbl.wglDestroyPbufferARB = wglDestroyPbufferARB;
    tbl.wglGetPbufferDCARB = wglGetPbufferDCARB;
    tbl.wglQueryPbufferARB = wglQueryPbufferARB;
    tbl.wglReleasePbufferDCARB = wglReleasePbufferDCARB;

  // WGL_ARB_pixel_format

    tbl.wglChoosePixelFormatARB = wglChoosePixelFormatARB;
    tbl.wglGetPixelFormatAttribfvARB = wglGetPixelFormatAttribfvARB;
    tbl.wglGetPixelFormatAttribivARB = wglGetPixelFormatAttribivARB;

  // WGL_ARB_render_texture

    tbl.wglBindTexImageARB = wglBindTexImageARB;
    tbl.wglReleaseTexImageARB = wglReleaseTexImageARB;
    tbl.wglSetPbufferAttribARB = wglSetPbufferAttribARB;

  // WGL_EXT_display_color_table

    tbl.wglBindDisplayColorTableEXT = wglBindDisplayColorTableEXT;
    tbl.wglCreateDisplayColorTableEXT = wglCreateDisplayColorTableEXT;
    tbl.wglDestroyDisplayColorTableEXT = wglDestroyDisplayColorTableEXT;
    tbl.wglLoadDisplayColorTableEXT = wglLoadDisplayColorTableEXT;

  // WGL_EXT_extensions_string

    tbl.wglGetExtensionsStringEXT = wglGetExtensionsStringEXT;

  // WGL_EXT_make_current_read

    tbl.wglGetCurrentReadDCEXT = wglGetCurrentReadDCEXT;
    tbl.wglMakeContextCurrentEXT = wglMakeContextCurrentEXT;

  // WGL_EXT_pbuffer

    tbl.wglCreatePbufferEXT = wglCreatePbufferEXT;
    tbl.wglDestroyPbufferEXT = wglDestroyPbufferEXT;
    tbl.wglGetPbufferDCEXT = wglGetPbufferDCEXT;
    tbl.wglQueryPbufferEXT = wglQueryPbufferEXT;
    tbl.wglReleasePbufferDCEXT = wglReleasePbufferDCEXT;

  // WGL_EXT_pixel_format

    tbl.wglChoosePixelFormatEXT = wglChoosePixelFormatEXT;
    tbl.wglGetPixelFormatAttribfvEXT = wglGetPixelFormatAttribfvEXT;
    tbl.wglGetPixelFormatAttribivEXT = wglGetPixelFormatAttribivEXT;

  // WGL_EXT_swap_control

    tbl.wglGetSwapIntervalEXT = wglGetSwapIntervalEXT;
    tbl.wglSwapIntervalEXT = wglSwapIntervalEXT;

  // WGL_GDI

    tbl.wglChoosePixelFormat = wglChoosePixelFormat;
    tbl.wglDescribePixelFormat = wglDescribePixelFormat;
    tbl.wglGetPixelFormat = wglGetPixelFormat;
    tbl.wglSetPixelFormat = wglSetPixelFormat;
    tbl.wglSwapBuffers = wglSwapBuffers;

  // WGL_I3D_digital_video_control

    tbl.wglGetDigitalVideoParametersI3D = wglGetDigitalVideoParametersI3D;
    tbl.wglSetDigitalVideoParametersI3D = wglSetDigitalVideoParametersI3D;

  // WGL_I3D_gamma

    tbl.wglGetGammaTableI3D = wglGetGammaTableI3D;
    tbl.wglGetGammaTableParametersI3D = wglGetGammaTableParametersI3D;
    tbl.wglSetGammaTableI3D = wglSetGammaTableI3D;
    tbl.wglSetGammaTableParametersI3D = wglSetGammaTableParametersI3D;

  // WGL_I3D_genlock

    tbl.wglDisableGenlockI3D = wglDisableGenlockI3D;
    tbl.wglEnableGenlockI3D = wglEnableGenlockI3D;
    tbl.wglGenlockSampleRateI3D = wglGenlockSampleRateI3D;
    tbl.wglGenlockSourceDelayI3D = wglGenlockSourceDelayI3D;
    tbl.wglGenlockSourceEdgeI3D = wglGenlockSourceEdgeI3D;
    tbl.wglGenlockSourceI3D = wglGenlockSourceI3D;
    tbl.wglGetGenlockSampleRateI3D = wglGetGenlockSampleRateI3D;
    tbl.wglGetGenlockSourceDelayI3D = wglGetGenlockSourceDelayI3D;
    tbl.wglGetGenlockSourceEdgeI3D = wglGetGenlockSourceEdgeI3D;
    tbl.wglGetGenlockSourceI3D = wglGetGenlockSourceI3D;
    tbl.wglIsEnabledGenlockI3D = wglIsEnabledGenlockI3D;
    tbl.wglQueryGenlockMaxSourceDelayI3D = wglQueryGenlockMaxSourceDelayI3D;

  // WGL_I3D_image_buffer

    tbl.wglAssociateImageBufferEventsI3D = wglAssociateImageBufferEventsI3D;
    tbl.wglCreateImageBufferI3D = wglCreateImageBufferI3D;
    tbl.wglDestroyImageBufferI3D = wglDestroyImageBufferI3D;
    tbl.wglReleaseImageBufferEventsI3D = wglReleaseImageBufferEventsI3D;

  // WGL_I3D_swap_frame_lock

    tbl.wglDisableFrameLockI3D = wglDisableFrameLockI3D;
    tbl.wglEnableFrameLockI3D = wglEnableFrameLockI3D;
    tbl.wglIsEnabledFrameLockI3D = wglIsEnabledFrameLockI3D;
    tbl.wglQueryFrameLockMasterI3D = wglQueryFrameLockMasterI3D;

  // WGL_I3D_swap_frame_usage

    tbl.wglBeginFrameTrackingI3D = wglBeginFrameTrackingI3D;
    tbl.wglEndFrameTrackingI3D = wglEndFrameTrackingI3D;
    tbl.wglGetFrameUsageI3D = wglGetFrameUsageI3D;
    tbl.wglQueryFrameTrackingI3D = wglQueryFrameTrackingI3D;

  // WGL_NV_DX_interop

    tbl.wglDXCloseDeviceNV = wglDXCloseDeviceNV;
    tbl.wglDXLockObjectsNV = wglDXLockObjectsNV;
    tbl.wglDXObjectAccessNV = wglDXObjectAccessNV;
    tbl.wglDXOpenDeviceNV = wglDXOpenDeviceNV;
    tbl.wglDXRegisterObjectNV = wglDXRegisterObjectNV;
    tbl.wglDXSetResourceShareHandleNV = wglDXSetResourceShareHandleNV;
    tbl.wglDXUnlockObjectsNV = wglDXUnlockObjectsNV;
    tbl.wglDXUnregisterObjectNV = wglDXUnregisterObjectNV;

  // WGL_NV_copy_image

    tbl.wglCopyImageSubDataNV = wglCopyImageSubDataNV;

  // WGL_NV_delay_before_swap

    tbl.wglDelayBeforeSwapNV = wglDelayBeforeSwapNV;

  // WGL_NV_gpu_affinity

    tbl.wglCreateAffinityDCNV = wglCreateAffinityDCNV;
    tbl.wglDeleteDCNV = wglDeleteDCNV;
    tbl.wglEnumGpuDevicesNV = wglEnumGpuDevicesNV;
    tbl.wglEnumGpusFromAffinityDCNV = wglEnumGpusFromAffinityDCNV;
    tbl.wglEnumGpusNV = wglEnumGpusNV;

  // WGL_NV_present_video

    tbl.wglBindVideoDeviceNV = wglBindVideoDeviceNV;
    tbl.wglEnumerateVideoDevicesNV = wglEnumerateVideoDevicesNV;
    tbl.wglQueryCurrentContextNV = wglQueryCurrentContextNV;

  // WGL_NV_swap_group

    tbl.wglBindSwapBarrierNV = wglBindSwapBarrierNV;
    tbl.wglJoinSwapGroupNV = wglJoinSwapGroupNV;
    tbl.wglQueryFrameCountNV = wglQueryFrameCountNV;
    tbl.wglQueryMaxSwapGroupsNV = wglQueryMaxSwapGroupsNV;
    tbl.wglQuerySwapGroupNV = wglQuerySwapGroupNV;
    tbl.wglResetFrameCountNV = wglResetFrameCountNV;

  // WGL_NV_vertex_array_range

    tbl.wglAllocateMemoryNV = wglAllocateMemoryNV;
    tbl.wglFreeMemoryNV = wglFreeMemoryNV;

  // WGL_NV_video_capture

    tbl.wglBindVideoCaptureDeviceNV = wglBindVideoCaptureDeviceNV;
    tbl.wglEnumerateVideoCaptureDevicesNV = wglEnumerateVideoCaptureDevicesNV;
    tbl.wglLockVideoCaptureDeviceNV = wglLockVideoCaptureDeviceNV;
    tbl.wglQueryVideoCaptureDeviceNV = wglQueryVideoCaptureDeviceNV;
    tbl.wglReleaseVideoCaptureDeviceNV = wglReleaseVideoCaptureDeviceNV;

  // WGL_NV_video_output

    tbl.wglBindVideoImageNV = wglBindVideoImageNV;
    tbl.wglGetVideoDeviceNV = wglGetVideoDeviceNV;
    tbl.wglGetVideoInfoNV = wglGetVideoInfoNV;
    tbl.wglReleaseVideoDeviceNV = wglReleaseVideoDeviceNV;
    tbl.wglReleaseVideoImageNV = wglReleaseVideoImageNV;
    tbl.wglSendPbufferToVideoNV = wglSendPbufferToVideoNV;

  // WGL_OML_sync_control

    tbl.wglGetMscRateOML = wglGetMscRateOML;
    tbl.wglGetSyncValuesOML = wglGetSyncValuesOML;
    tbl.wglSwapBuffersMscOML = wglSwapBuffersMscOML;
    tbl.wglSwapLayerBuffersMscOML = wglSwapLayerBuffersMscOML;
    tbl.wglWaitForMscOML = wglWaitForMscOML;
    tbl.wglWaitForSbcOML = wglWaitForSbcOML;

  // WGL_core

    tbl.wglCopyContext = wglCopyContext;
    tbl.wglCreateContext = wglCreateContext;
    tbl.wglCreateLayerContext = wglCreateLayerContext;
    tbl.wglDeleteContext = wglDeleteContext;
    tbl.wglDescribeLayerPlane = wglDescribeLayerPlane;
    tbl.wglGetCurrentContext = wglGetCurrentContext;
    tbl.wglGetCurrentDC = wglGetCurrentDC;
    tbl.wglGetDefaultProcAddress = wglGetDefaultProcAddress;
    tbl.wglGetLayerPaletteEntries = wglGetLayerPaletteEntries;
    tbl.wglGetProcAddress = wglGetProcAddress;
    tbl.wglMakeCurrent = wglMakeCurrent;
    tbl.wglRealizeLayerPalette = wglRealizeLayerPalette;
    tbl.wglSetLayerPaletteEntries = wglSetLayerPaletteEntries;
    tbl.wglShareLists = wglShareLists;
    tbl.wglSwapLayerBuffers = wglSwapLayerBuffers;
    tbl.wglSwapMultipleBuffers = wglSwapMultipleBuffers;
    tbl.wglUseFontBitmapsA = wglUseFontBitmapsA;
    tbl.wglUseFontBitmapsW = wglUseFontBitmapsW;
    tbl.wglUseFontOutlinesA = wglUseFontOutlinesA;
    tbl.wglUseFontOutlinesW = wglUseFontOutlinesW;
#endif // REGAL_SYS_WGL

#if REGAL_SYS_GLX

  // GLX_VERSION_1_0

    tbl.glXChooseVisual = glXChooseVisual;
    tbl.glXCopyContext = glXCopyContext;
    tbl.glXCreateContext = glXCreateContext;
    tbl.glXCreateGLXPixmap = glXCreateGLXPixmap;
    tbl.glXDestroyContext = glXDestroyContext;
    tbl.glXDestroyGLXPixmap = glXDestroyGLXPixmap;
    tbl.glXGetConfig = glXGetConfig;
    tbl.glXGetCurrentContext = glXGetCurrentContext;
    tbl.glXGetCurrentDrawable = glXGetCurrentDrawable;
    tbl.glXIsDirect = glXIsDirect;
    tbl.glXMakeCurrent = glXMakeCurrent;
    tbl.glXQueryExtension = glXQueryExtension;
    tbl.glXQueryVersion = glXQueryVersion;
    tbl.glXSwapBuffers = glXSwapBuffers;
    tbl.glXUseXFont = glXUseXFont;
    tbl.glXWaitGL = glXWaitGL;
    tbl.glXWaitX = glXWaitX;

  // GLX_VERSION_1_1

    tbl.glXGetClientString = glXGetClientString;
    tbl.glXQueryExtensionsString = glXQueryExtensionsString;
    tbl.glXQueryServerString = glXQueryServerString;

  // GLX_VERSION_1_2

    tbl.glXGetCurrentDisplay = glXGetCurrentDisplay;

  // GLX_VERSION_1_3

    tbl.glXChooseFBConfig = glXChooseFBConfig;
    tbl.glXCreateNewContext = glXCreateNewContext;
    tbl.glXCreatePbuffer = glXCreatePbuffer;
    tbl.glXCreatePixmap = glXCreatePixmap;
    tbl.glXCreateWindow = glXCreateWindow;
    tbl.glXDestroyPbuffer = glXDestroyPbuffer;
    tbl.glXDestroyPixmap = glXDestroyPixmap;
    tbl.glXDestroyWindow = glXDestroyWindow;
    tbl.glXGetCurrentReadDrawable = glXGetCurrentReadDrawable;
    tbl.glXGetFBConfigAttrib = glXGetFBConfigAttrib;
    tbl.glXGetFBConfigs = glXGetFBConfigs;
    tbl.glXGetSelectedEvent = glXGetSelectedEvent;
    tbl.glXGetVisualFromFBConfig = glXGetVisualFromFBConfig;
    tbl.glXMakeContextCurrent = glXMakeContextCurrent;
    tbl.glXQueryContext = glXQueryContext;
    tbl.glXQueryDrawable = glXQueryDrawable;
    tbl.glXSelectEvent = glXSelectEvent;

  // GLX_VERSION_1_4

    tbl.glXGetProcAddress = glXGetProcAddress;

  // GLX_AMD_gpu_association

    tbl.glXBlitContextFramebufferAMD = glXBlitContextFramebufferAMD;
    tbl.glXCreateAssociatedContextAMD = glXCreateAssociatedContextAMD;
    tbl.glXCreateAssociatedContextAttribsAMD = glXCreateAssociatedContextAttribsAMD;
    tbl.glXDeleteAssociatedContextAMD = glXDeleteAssociatedContextAMD;
    tbl.glXGetContextGPUIDAMD = glXGetContextGPUIDAMD;
    tbl.glXGetCurrentAssociatedContextAMD = glXGetCurrentAssociatedContextAMD;
    tbl.glXGetGPUIDsAMD = glXGetGPUIDsAMD;
    tbl.glXGetGPUInfoAMD = glXGetGPUInfoAMD;
    tbl.glXMakeAssociatedContextCurrentAMD = glXMakeAssociatedContextCurrentAMD;

  // GLX_ARB_create_context

    tbl.glXCreateContextAttribsARB = glXCreateContextAttribsARB;

  // GLX_ARB_get_proc_address

    tbl.glXGetProcAddressARB = glXGetProcAddressARB;

  // GLX_ATI_render_texture

    tbl.glXBindTexImageATI = glXBindTexImageATI;
    tbl.glXDrawableAttribATI = glXDrawableAttribATI;
    tbl.glXReleaseTexImageATI = glXReleaseTexImageATI;

  // GLX_EXT_import_context

    tbl.glXFreeContextEXT = glXFreeContextEXT;
    tbl.glXGetContextIDEXT = glXGetContextIDEXT;
    tbl.glXImportContextEXT = glXImportContextEXT;
    tbl.glXQueryContextInfoEXT = glXQueryContextInfoEXT;

  // GLX_EXT_swap_control

    tbl.glXSwapIntervalEXT = glXSwapIntervalEXT;

  // GLX_EXT_texture_from_pixmap

    tbl.glXBindTexImageEXT = glXBindTexImageEXT;
    tbl.glXReleaseTexImageEXT = glXReleaseTexImageEXT;

  // GLX_MESA_agp_offset

    tbl.glXGetAGPOffsetMESA = glXGetAGPOffsetMESA;

  // GLX_MESA_copy_sub_buffer

    tbl.glXCopySubBufferMESA = glXCopySubBufferMESA;

  // GLX_MESA_pixmap_colormap

    tbl.glXCreateGLXPixmapMESA = glXCreateGLXPixmapMESA;

  // GLX_MESA_query_renderer

    tbl.glXQueryCurrentRendererIntegerMESA = glXQueryCurrentRendererIntegerMESA;
    tbl.glXQueryCurrentRendererStringMESA = glXQueryCurrentRendererStringMESA;
    tbl.glXQueryRendererIntegerMESA = glXQueryRendererIntegerMESA;
    tbl.glXQueryRendererStringMESA = glXQueryRendererStringMESA;

  // GLX_MESA_release_buffers

    tbl.glXReleaseBuffersMESA = glXReleaseBuffersMESA;

  // GLX_MESA_set_3dfx_mode

    tbl.glXSet3DfxModeMESA = glXSet3DfxModeMESA;

  // GLX_MESA_swap_control

    tbl.glXGetSwapIntervalMESA = glXGetSwapIntervalMESA;
    tbl.glXSwapIntervalMESA = glXSwapIntervalMESA;

  // GLX_NV_copy_buffer

    tbl.glXCopyBufferSubDataNV = glXCopyBufferSubDataNV;
    tbl.glXNamedCopyBufferSubDataNV = glXNamedCopyBufferSubDataNV;

  // GLX_NV_copy_image

    tbl.glXCopyImageSubDataNV = glXCopyImageSubDataNV;

  // GLX_NV_delay_before_swap

    tbl.glXDelayBeforeSwapNV = glXDelayBeforeSwapNV;

  // GLX_NV_present_video

    tbl.glXBindVideoDeviceNV = glXBindVideoDeviceNV;
    tbl.glXEnumerateVideoDevicesNV = glXEnumerateVideoDevicesNV;

  // GLX_NV_swap_group

    tbl.glXBindSwapBarrierNV = glXBindSwapBarrierNV;
    tbl.glXJoinSwapGroupNV = glXJoinSwapGroupNV;
    tbl.glXQueryFrameCountNV = glXQueryFrameCountNV;
    tbl.glXQueryMaxSwapGroupsNV = glXQueryMaxSwapGroupsNV;
    tbl.glXQuerySwapGroupNV = glXQuerySwapGroupNV;
    tbl.glXResetFrameCountNV = glXResetFrameCountNV;

  // GLX_NV_vertex_array_range

    tbl.glXAllocateMemoryNV = glXAllocateMemoryNV;
    tbl.glXFreeMemoryNV = glXFreeMemoryNV;

  // GLX_NV_video_capture

    tbl.glXBindVideoCaptureDeviceNV = glXBindVideoCaptureDeviceNV;
    tbl.glXEnumerateVideoCaptureDevicesNV = glXEnumerateVideoCaptureDevicesNV;
    tbl.glXLockVideoCaptureDeviceNV = glXLockVideoCaptureDeviceNV;
    tbl.glXQueryVideoCaptureDeviceNV = glXQueryVideoCaptureDeviceNV;
    tbl.glXReleaseVideoCaptureDeviceNV = glXReleaseVideoCaptureDeviceNV;

  // GLX_NV_video_output

    tbl.glXBindVideoImageNV = glXBindVideoImageNV;
    tbl.glXGetVideoDeviceNV = glXGetVideoDeviceNV;
    tbl.glXGetVideoInfoNV = glXGetVideoInfoNV;
    tbl.glXReleaseVideoDeviceNV = glXReleaseVideoDeviceNV;
    tbl.glXReleaseVideoImageNV = glXReleaseVideoImageNV;
    tbl.glXSendPbufferToVideoNV = glXSendPbufferToVideoNV;

  // GLX_OML_sync_control

    tbl.glXGetMscRateOML = glXGetMscRateOML;
    tbl.glXGetSyncValuesOML = glXGetSyncValuesOML;
    tbl.glXSwapBuffersMscOML = glXSwapBuffersMscOML;
    tbl.glXWaitForMscOML = glXWaitForMscOML;
    tbl.glXWaitForSbcOML = glXWaitForSbcOML;

  // GLX_SGIX_fbconfig

    tbl.glXChooseFBConfigSGIX = glXChooseFBConfigSGIX;
    tbl.glXCreateContextWithConfigSGIX = glXCreateContextWithConfigSGIX;
    tbl.glXCreateGLXPixmapWithConfigSGIX = glXCreateGLXPixmapWithConfigSGIX;
    tbl.glXGetFBConfigAttribSGIX = glXGetFBConfigAttribSGIX;
    tbl.glXGetFBConfigFromVisualSGIX = glXGetFBConfigFromVisualSGIX;
    tbl.glXGetVisualFromFBConfigSGIX = glXGetVisualFromFBConfigSGIX;

  // GLX_SGIX_pbuffer

    tbl.glXCreateGLXPbufferSGIX = glXCreateGLXPbufferSGIX;
    tbl.glXDestroyGLXPbufferSGIX = glXDestroyGLXPbufferSGIX;
    tbl.glXGetSelectedEventSGIX = glXGetSelectedEventSGIX;
    tbl.glXQueryGLXPbufferSGIX = glXQueryGLXPbufferSGIX;
    tbl.glXSelectEventSGIX = glXSelectEventSGIX;

  // GLX_SGIX_swap_barrier

    tbl.glXBindSwapBarrierSGIX = glXBindSwapBarrierSGIX;
    tbl.glXQueryMaxSwapBarriersSGIX = glXQueryMaxSwapBarriersSGIX;

  // GLX_SGIX_swap_group

    tbl.glXJoinSwapGroupSGIX = glXJoinSwapGroupSGIX;

  // GLX_SGIX_video_resize

    tbl.glXBindChannelToWindowSGIX = glXBindChannelToWindowSGIX;
    tbl.glXChannelRectSGIX = glXChannelRectSGIX;
    tbl.glXChannelRectSyncSGIX = glXChannelRectSyncSGIX;
    tbl.glXQueryChannelDeltasSGIX = glXQueryChannelDeltasSGIX;
    tbl.glXQueryChannelRectSGIX = glXQueryChannelRectSGIX;

  // GLX_SGI_cushion

    tbl.glXCushionSGI = glXCushionSGI;

  // GLX_SGI_make_current_read

    tbl.glXGetCurrentReadDrawableSGI = glXGetCurrentReadDrawableSGI;
    tbl.glXMakeCurrentReadSGI = glXMakeCurrentReadSGI;

  // GLX_SGI_swap_control

    tbl.glXSwapIntervalSGI = glXSwapIntervalSGI;

  // GLX_SGI_video_sync

    tbl.glXGetVideoSyncSGI = glXGetVideoSyncSGI;
    tbl.glXWaitVideoSyncSGI = glXWaitVideoSyncSGI;

  // GLX_SUN_get_transparent_index

    tbl.glXGetTransparentIndexSUN = glXGetTransparentIndexSUN;

  // GLX_SUN_video_resize

    tbl.glXGetVideoResizeSUN = glXGetVideoResizeSUN;
    tbl.glXVideoResizeSUN = glXVideoResizeSUN;
#endif // REGAL_SYS_GLX

#if REGAL_SYS_OSX

  // CGL_VERSION_1_0

    tbl.CGLChoosePixelFormat = CGLChoosePixelFormat;
    tbl.CGLClearDrawable = CGLClearDrawable;
    tbl.CGLCopyContext = CGLCopyContext;
    tbl.CGLCreateContext = CGLCreateContext;
    tbl.CGLDescribePixelFormat = CGLDescribePixelFormat;
    tbl.CGLDescribeRenderer = CGLDescribeRenderer;
    tbl.CGLDestroyContext = CGLDestroyContext;
    tbl.CGLDestroyPixelFormat = CGLDestroyPixelFormat;
    tbl.CGLDestroyRendererInfo = CGLDestroyRendererInfo;
    tbl.CGLDisable = CGLDisable;
    tbl.CGLEnable = CGLEnable;
    tbl.CGLErrorString = CGLErrorString;
    tbl.CGLFlushDrawable = CGLFlushDrawable;
    tbl.CGLGetOffScreen = CGLGetOffScreen;
    tbl.CGLGetOption = CGLGetOption;
    tbl.CGLGetParameter = CGLGetParameter;
    tbl.CGLGetVersion = CGLGetVersion;
    tbl.CGLGetVirtualScreen = CGLGetVirtualScreen;
    tbl.CGLIsEnabled = CGLIsEnabled;
    tbl.CGLQueryRendererInfo = CGLQueryRendererInfo;
    tbl.CGLSetFullScreen = CGLSetFullScreen;
    tbl.CGLSetOffScreen = CGLSetOffScreen;
    tbl.CGLSetOption = CGLSetOption;
    tbl.CGLSetParameter = CGLSetParameter;
    tbl.CGLSetVirtualScreen = CGLSetVirtualScreen;

  // CGL_VERSION_1_1

    tbl.CGLCreatePBuffer = CGLCreatePBuffer;
    tbl.CGLDescribePBuffer = CGLDescribePBuffer;
    tbl.CGLDestroyPBuffer = CGLDestroyPBuffer;
    tbl.CGLGetPBuffer = CGLGetPBuffer;
    tbl.CGLSetPBuffer = CGLSetPBuffer;
    tbl.CGLTexImagePBuffer = CGLTexImagePBuffer;

  // CGL_VERSION_1_2

    tbl.CGLGetContextRetainCount = CGLGetContextRetainCount;
    tbl.CGLGetGlobalOption = CGLGetGlobalOption;
    tbl.CGLGetPBufferRetainCount = CGLGetPBufferRetainCount;
    tbl.CGLGetPixelFormat = CGLGetPixelFormat;
    tbl.CGLGetPixelFormatRetainCount = CGLGetPixelFormatRetainCount;
    tbl.CGLLockContext = CGLLockContext;
    tbl.CGLReleaseContext = CGLReleaseContext;
    tbl.CGLReleasePBuffer = CGLReleasePBuffer;
    tbl.CGLReleasePixelFormat = CGLReleasePixelFormat;
    tbl.CGLRetainContext = CGLRetainContext;
    tbl.CGLRetainPBuffer = CGLRetainPBuffer;
    tbl.CGLRetainPixelFormat = CGLRetainPixelFormat;
    tbl.CGLSetGlobalOption = CGLSetGlobalOption;
    tbl.CGLUnlockContext = CGLUnlockContext;

  // CGL_VERSION_1_3

    tbl.CGLGetCurrentContext = CGLGetCurrentContext;
    tbl.CGLGetShareGroup = CGLGetShareGroup;
    tbl.CGLGetSurface = CGLGetSurface;
    tbl.CGLSetCurrentContext = CGLSetCurrentContext;
    tbl.CGLSetSurface = CGLSetSurface;
    tbl.CGLTexImageIOSurface2D = CGLTexImageIOSurface2D;
    tbl.CGLUpdateContext = CGLUpdateContext;
#endif // REGAL_SYS_OSX

#if REGAL_SYS_EGL

  // EGL_ANGLE_query_surface_pointer

    tbl.eglQuerySurfacePointerANGLE = eglQuerySurfacePointerANGLE;

  // EGL_KHR_fence_sync

    tbl.eglClientWaitSyncKHR = eglClientWaitSyncKHR;
    tbl.eglCreateSyncKHR = eglCreateSyncKHR;
    tbl.eglDestroySyncKHR = eglDestroySyncKHR;
    tbl.eglGetSyncAttribKHR = eglGetSyncAttribKHR;

  // EGL_KHR_image_base

    tbl.eglCreateImageKHR = eglCreateImageKHR;
    tbl.eglDestroyImageKHR = eglDestroyImageKHR;

  // EGL_KHR_lock_surface

    tbl.eglLockSurfaceKHR = eglLockSurfaceKHR;
    tbl.eglUnlockSurfaceKHR = eglUnlockSurfaceKHR;

  // EGL_KHR_stream_consumer_gltexture

    tbl.eglStreamConsumerAcquireKHR = eglStreamConsumerAcquireKHR;
    tbl.eglStreamConsumerGLTextureExternalKHR = eglStreamConsumerGLTextureExternalKHR;
    tbl.eglStreamConsumerReleaseKHR = eglStreamConsumerReleaseKHR;

  // EGL_KHR_stream_cross_process_fd

    tbl.eglCreateStreamFromFileDescriptorKHR = eglCreateStreamFromFileDescriptorKHR;
    tbl.eglGetStreamFileDescriptorKHR = eglGetStreamFileDescriptorKHR;

  // EGL_KHR_stream_producer_eglsurface

    tbl.eglCreateStreamProducerSurfaceKHR = eglCreateStreamProducerSurfaceKHR;

  // EGL_KHR_wait_sync

    tbl.eglWaitSyncKHR = eglWaitSyncKHR;

  // EGL_MESA_drm_image

    tbl.eglCreateDRMImageMESA = eglCreateDRMImageMESA;
    tbl.eglExportDRMImageMESA = eglExportDRMImageMESA;

  // EGL_NV_coverage_sample

    tbl.eglCoverageMaskNV = eglCoverageMaskNV;
    tbl.eglCoverageOperationNV = eglCoverageOperationNV;

  // EGL_NV_post_sub_buffer

    tbl.eglPostSubBufferNV = eglPostSubBufferNV;

  // EGL_NV_sync

    tbl.eglClientWaitSyncNV = eglClientWaitSyncNV;
    tbl.eglCreateFenceSyncNV = eglCreateFenceSyncNV;
    tbl.eglDestroySyncNV = eglDestroySyncNV;
    tbl.eglFenceNV = eglFenceNV;
    tbl.eglGetSyncAttribNV = eglGetSyncAttribNV;
    tbl.eglSignalSyncNV = eglSignalSyncNV;

  // EGL_NV_system_time

    tbl.eglGetSystemTimeFrequencyNV = eglGetSystemTimeFrequencyNV;
    tbl.eglGetSystemTimeNV = eglGetSystemTimeNV;

  // EGL_VERSION_1_0

    tbl.eglChooseConfig = eglChooseConfig;
    tbl.eglCopyBuffers = eglCopyBuffers;
    tbl.eglCreateContext = eglCreateContext;
    tbl.eglCreatePbufferSurface = eglCreatePbufferSurface;
    tbl.eglCreatePixmapSurface = eglCreatePixmapSurface;
    tbl.eglCreateWindowSurface = eglCreateWindowSurface;
    tbl.eglDestroyContext = eglDestroyContext;
    tbl.eglDestroySurface = eglDestroySurface;
    tbl.eglGetConfigAttrib = eglGetConfigAttrib;
    tbl.eglGetConfigs = eglGetConfigs;
    tbl.eglGetCurrentContext = eglGetCurrentContext;
    tbl.eglGetCurrentDisplay = eglGetCurrentDisplay;
    tbl.eglGetCurrentSurface = eglGetCurrentSurface;
    tbl.eglGetDisplay = eglGetDisplay;
    tbl.eglGetError = eglGetError;
    tbl.eglGetProcAddress = eglGetProcAddress;
    tbl.eglInitialize = eglInitialize;
    tbl.eglMakeCurrent = eglMakeCurrent;
    tbl.eglQueryContext = eglQueryContext;
    tbl.eglQueryString = eglQueryString;
    tbl.eglQuerySurface = eglQuerySurface;
    tbl.eglSwapBuffers = eglSwapBuffers;
    tbl.eglTerminate = eglTerminate;
    tbl.eglWaitGL = eglWaitGL;
    tbl.eglWaitNative = eglWaitNative;

  // EGL_VERSION_1_1

    tbl.eglBindTexImage = eglBindTexImage;
    tbl.eglReleaseTexImage = eglReleaseTexImage;

  // EGL_VERSION_1_2

    tbl.eglBindAPI = eglBindAPI;
    tbl.eglCreatePbufferFromClientBuffer = eglCreatePbufferFromClientBuffer;
    tbl.eglQueryAPI = eglQueryAPI;
    tbl.eglReleaseThread = eglReleaseThread;
    tbl.eglSurfaceAttrib = eglSurfaceAttrib;
    tbl.eglSwapInterval = eglSwapInterval;
    tbl.eglWaitClient = eglWaitClient;
#endif // REGAL_SYS_EGL

}

} // namespace Missing

REGAL_NAMESPACE_END

#endif
