/* NOTE: Do not edit this file, it is generated by a script:
   Export.py --api gl 4.5 --api wgl 4.5 --api glx 4.5 --api cgl 1.4 --api egl 1.0 --outdir .
*/

/*
  Copyright (c) 2011-2014 NVIDIA Corporation
  Copyright (c) 2012-2014 Scott Nations
  Copyright (c) 2012-2014 Nigel Stewart
  Copyright (c) 2011-2013 Cass Everitt
  Copyright (c) 2012 Mathias Schott
  Copyright (c) 2012-2013 Google Inc.
  All rights reserved.

  Redistribution and use in source and binary forms, with or without modification,
  are permitted provided that the following conditions are met:

    Redistributions of source code must retain the above copyright notice, this
    list of conditions and the following disclaimer.

    Redistributions in binary form must reproduce the above copyright notice,
    this list of conditions and the following disclaimer in the documentation
    and/or other materials provided with the distribution.

  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
  IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
  INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
  BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
  OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
  OF THE POSSIBILITY OF SUCH DAMAGE.
*/

/*
  Intended formatting conventions:
  $ astyle --style=allman --indent=spaces=2 --indent-switches
*/

#include "pch.h" /* For MS precompiled header support */

#include "RegalUtil.h"

#if REGAL_STATISTICS

REGAL_GLOBAL_BEGIN

#include <GL/Regal.h>

#include "RegalStatistics.h"

#include <boost/print/interface.hpp>
#include <boost/print/string_list.hpp>
using namespace boost::print;

#include "RegalToken.h"
#include "RegalContext.h"

REGAL_GLOBAL_END

REGAL_NAMESPACE_BEGIN

using namespace ::REGAL_NAMESPACE_INTERNAL::Logging;
using namespace ::REGAL_NAMESPACE_INTERNAL::Token;

Statistics::Statistics()
{
   Internal("Statistics::Statistics","()");
   reset();
}

Statistics::~Statistics()
{
   Internal("Statistics::~Statistics","()");
}

void
Statistics::reset()
{
  ::memset(this,0,sizeof(Statistics));
}

void
Statistics::log() const
{
  log("GL_VERSION_1_0",gl_version_1_0);
  log("GL_VERSION_1_1",gl_version_1_1);
  log("GL_VERSION_1_2",gl_version_1_2);
  log("GL_VERSION_1_3",gl_version_1_3);
  log("GL_VERSION_1_4",gl_version_1_4);
  log("GL_VERSION_1_5",gl_version_1_5);
  log("GL_VERSION_2_0",gl_version_2_0);
  log("GL_VERSION_2_1",gl_version_2_1);
  log("GL_VERSION_3_0",gl_version_3_0);
  log("GL_VERSION_3_1",gl_version_3_1);
  log("GL_VERSION_3_2",gl_version_3_2);
  log("GL_VERSION_3_3",gl_version_3_3);
  log("GL_VERSION_4_0",gl_version_4_0);
  log("GL_VERSION_4_1",gl_version_4_1);
  log("GL_VERSION_4_2",gl_version_4_2);
  log("GL_VERSION_4_3",gl_version_4_3);
  log("GL_VERSION_4_4",gl_version_4_4);
  log("GL_VERSION_4_5",gl_version_4_5);
  log("GLX_VERSION_1_0",glx_version_1_0);
  log("GLX_VERSION_1_1",glx_version_1_1);
  log("GLX_VERSION_1_2",glx_version_1_2);
  log("GLX_VERSION_1_3",glx_version_1_3);
  log("GLX_VERSION_1_4",glx_version_1_4);
  log("EGL_VERSION_1_0",egl_version_1_0);
  log("EGL_VERSION_1_1",egl_version_1_1);
  log("EGL_VERSION_1_2",egl_version_1_2);
  log("GL_3DFX_MULTISAMPLE",gl_3dfx_multisample);
  log("GL_3DFX_TBUFFER",gl_3dfx_tbuffer);
  log("GL_3DFX_TEXTURE_COMPRESSION_FXT1",gl_3dfx_texture_compression_fxt1);
  log("GL_AMD_BLEND_MINMAX_FACTOR",gl_amd_blend_minmax_factor);
  log("GL_AMD_COMPRESSED_3DC_TEXTURE",gl_amd_compressed_3dc_texture);
  log("GL_AMD_COMPRESSED_ATC_TEXTURE",gl_amd_compressed_atc_texture);
  log("GL_AMD_DEBUG_OUTPUT",gl_amd_debug_output);
  log("GL_AMD_DEPTH_CLAMP_SEPARATE",gl_amd_depth_clamp_separate);
  log("GL_AMD_DRAW_BUFFERS_BLEND",gl_amd_draw_buffers_blend);
  log("GL_AMD_INTERLEAVED_ELEMENTS",gl_amd_interleaved_elements);
  log("GL_AMD_MULTI_DRAW_INDIRECT",gl_amd_multi_draw_indirect);
  log("GL_AMD_NAME_GEN_DELETE",gl_amd_name_gen_delete);
  log("GL_AMD_PERFORMANCE_MONITOR",gl_amd_performance_monitor);
  log("GL_AMD_PINNED_MEMORY",gl_amd_pinned_memory);
  log("GL_AMD_PROGRAM_BINARY_Z400",gl_amd_program_binary_z400);
  log("GL_AMD_QUERY_BUFFER_OBJECT",gl_amd_query_buffer_object);
  log("GL_AMD_SAMPLE_POSITIONS",gl_amd_sample_positions);
  log("GL_AMD_SEAMLESS_CUBEMAP_PER_TEXTURE",gl_amd_seamless_cubemap_per_texture);
  log("GL_AMD_SPARSE_TEXTURE",gl_amd_sparse_texture);
  log("GL_AMD_STENCIL_OPERATION_EXTENDED",gl_amd_stencil_operation_extended);
  log("GL_AMD_VERTEX_SHADER_TESSELLATOR",gl_amd_vertex_shader_tessellator);
  log("GL_ANGLE_FRAMEBUFFER_BLIT",gl_angle_framebuffer_blit);
  log("GL_ANGLE_FRAMEBUFFER_MULTISAMPLE",gl_angle_framebuffer_multisample);
  log("GL_ANGLE_INSTANCED_ARRAYS",gl_angle_instanced_arrays);
  log("GL_ANGLE_PACK_REVERSE_ROW_ORDER",gl_angle_pack_reverse_row_order);
  log("GL_ANGLE_PROGRAM_BINARY",gl_angle_program_binary);
  log("GL_ANGLE_TEXTURE_COMPRESSION_DXT1",gl_angle_texture_compression_dxt1);
  log("GL_ANGLE_TEXTURE_COMPRESSION_DXT3",gl_angle_texture_compression_dxt3);
  log("GL_ANGLE_TEXTURE_COMPRESSION_DXT5",gl_angle_texture_compression_dxt5);
  log("GL_ANGLE_TEXTURE_USAGE",gl_angle_texture_usage);
  log("GL_ANGLE_TIMER_QUERY",gl_angle_timer_query);
  log("GL_ANGLE_TRANSLATED_SHADER_SOURCE",gl_angle_translated_shader_source);
  log("GL_APPLE_AUX_DEPTH_STENCIL",gl_apple_aux_depth_stencil);
  log("GL_APPLE_CLIENT_STORAGE",gl_apple_client_storage);
  log("GL_APPLE_COPY_TEXTURE_LEVELS",gl_apple_copy_texture_levels);
  log("GL_APPLE_ELEMENT_ARRAY",gl_apple_element_array);
  log("GL_APPLE_FENCE",gl_apple_fence);
  log("GL_APPLE_FLOAT_PIXELS",gl_apple_float_pixels);
  log("GL_APPLE_FLUSH_BUFFER_RANGE",gl_apple_flush_buffer_range);
  log("GL_APPLE_FLUSH_RENDER",gl_apple_flush_render);
  log("GL_APPLE_FRAMEBUFFER_MULTISAMPLE",gl_apple_framebuffer_multisample);
  log("GL_APPLE_OBJECT_PURGEABLE",gl_apple_object_purgeable);
  log("GL_APPLE_PIXEL_BUFFER",gl_apple_pixel_buffer);
  log("GL_APPLE_RGB_422",gl_apple_rgb_422);
  log("GL_APPLE_ROW_BYTES",gl_apple_row_bytes);
  log("GL_APPLE_SPECULAR_VECTOR",gl_apple_specular_vector);
  log("GL_APPLE_SYNC",gl_apple_sync);
  log("GL_APPLE_TEXTURE_MAX_LEVEL",gl_apple_texture_max_level);
  log("GL_APPLE_TEXTURE_RANGE",gl_apple_texture_range);
  log("GL_APPLE_TRANSFORM_HINT",gl_apple_transform_hint);
  log("GL_APPLE_VERTEX_ARRAY_OBJECT",gl_apple_vertex_array_object);
  log("GL_APPLE_VERTEX_ARRAY_RANGE",gl_apple_vertex_array_range);
  log("GL_APPLE_VERTEX_PROGRAM_EVALUATORS",gl_apple_vertex_program_evaluators);
  log("GL_APPLE_YCBCR_422",gl_apple_ycbcr_422);
  log("GL_ARB_ES2_COMPATIBILITY",gl_arb_es2_compatibility);
  log("GL_ARB_ES3_1_COMPATIBILITY",gl_arb_es3_1_compatibility);
  log("GL_ARB_ES3_COMPATIBILITY",gl_arb_es3_compatibility);
  log("GL_ARB_BASE_INSTANCE",gl_arb_base_instance);
  log("GL_ARB_BINDLESS_TEXTURE",gl_arb_bindless_texture);
  log("GL_ARB_BLEND_FUNC_EXTENDED",gl_arb_blend_func_extended);
  log("GL_ARB_BUFFER_STORAGE",gl_arb_buffer_storage);
  log("GL_ARB_CL_EVENT",gl_arb_cl_event);
  log("GL_ARB_CLEAR_BUFFER_OBJECT",gl_arb_clear_buffer_object);
  log("GL_ARB_CLEAR_TEXTURE",gl_arb_clear_texture);
  log("GL_ARB_CLIP_CONTROL",gl_arb_clip_control);
  log("GL_ARB_COLOR_BUFFER_FLOAT",gl_arb_color_buffer_float);
  log("GL_ARB_COMPRESSED_TEXTURE_PIXEL_STORAGE",gl_arb_compressed_texture_pixel_storage);
  log("GL_ARB_COMPUTE_SHADER",gl_arb_compute_shader);
  log("GL_ARB_COMPUTE_VARIABLE_GROUP_SIZE",gl_arb_compute_variable_group_size);
  log("GL_ARB_CONDITIONAL_RENDER_INVERTED",gl_arb_conditional_render_inverted);
  log("GL_ARB_COPY_BUFFER",gl_arb_copy_buffer);
  log("GL_ARB_COPY_IMAGE",gl_arb_copy_image);
  log("GL_ARB_CULL_DISTANCE",gl_arb_cull_distance);
  log("GL_ARB_DEBUG_OUTPUT",gl_arb_debug_output);
  log("GL_ARB_DEPTH_BUFFER_FLOAT",gl_arb_depth_buffer_float);
  log("GL_ARB_DEPTH_CLAMP",gl_arb_depth_clamp);
  log("GL_ARB_DEPTH_TEXTURE",gl_arb_depth_texture);
  log("GL_ARB_DIRECT_STATE_ACCESS",gl_arb_direct_state_access);
  log("GL_ARB_DRAW_BUFFERS",gl_arb_draw_buffers);
  log("GL_ARB_DRAW_BUFFERS_BLEND",gl_arb_draw_buffers_blend);
  log("GL_ARB_DRAW_ELEMENTS_BASE_VERTEX",gl_arb_draw_elements_base_vertex);
  log("GL_ARB_DRAW_INDIRECT",gl_arb_draw_indirect);
  log("GL_ARB_DRAW_INSTANCED",gl_arb_draw_instanced);
  log("GL_ARB_ENHANCED_LAYOUTS",gl_arb_enhanced_layouts);
  log("GL_ARB_EXPLICIT_UNIFORM_LOCATION",gl_arb_explicit_uniform_location);
  log("GL_ARB_FRAGMENT_PROGRAM",gl_arb_fragment_program);
  log("GL_ARB_FRAGMENT_SHADER",gl_arb_fragment_shader);
  log("GL_ARB_FRAMEBUFFER_NO_ATTACHMENTS",gl_arb_framebuffer_no_attachments);
  log("GL_ARB_FRAMEBUFFER_OBJECT",gl_arb_framebuffer_object);
  log("GL_ARB_FRAMEBUFFER_SRGB",gl_arb_framebuffer_srgb);
  log("GL_ARB_GEOMETRY_SHADER4",gl_arb_geometry_shader4);
  log("GL_ARB_GET_PROGRAM_BINARY",gl_arb_get_program_binary);
  log("GL_ARB_GET_TEXTURE_SUB_IMAGE",gl_arb_get_texture_sub_image);
  log("GL_ARB_GPU_SHADER5",gl_arb_gpu_shader5);
  log("GL_ARB_GPU_SHADER_FP64",gl_arb_gpu_shader_fp64);
  log("GL_ARB_HALF_FLOAT_PIXEL",gl_arb_half_float_pixel);
  log("GL_ARB_HALF_FLOAT_VERTEX",gl_arb_half_float_vertex);
  log("GL_ARB_IMAGING",gl_arb_imaging);
  log("GL_ARB_INDIRECT_PARAMETERS",gl_arb_indirect_parameters);
  log("GL_ARB_INSTANCED_ARRAYS",gl_arb_instanced_arrays);
  log("GL_ARB_INTERNALFORMAT_QUERY",gl_arb_internalformat_query);
  log("GL_ARB_INTERNALFORMAT_QUERY2",gl_arb_internalformat_query2);
  log("GL_ARB_INVALIDATE_SUBDATA",gl_arb_invalidate_subdata);
  log("GL_ARB_MAP_BUFFER_ALIGNMENT",gl_arb_map_buffer_alignment);
  log("GL_ARB_MAP_BUFFER_RANGE",gl_arb_map_buffer_range);
  log("GL_ARB_MATRIX_PALETTE",gl_arb_matrix_palette);
  log("GL_ARB_MULTI_BIND",gl_arb_multi_bind);
  log("GL_ARB_MULTI_DRAW_INDIRECT",gl_arb_multi_draw_indirect);
  log("GL_ARB_MULTISAMPLE",gl_arb_multisample);
  log("GL_ARB_MULTITEXTURE",gl_arb_multitexture);
  log("GL_ARB_OCCLUSION_QUERY",gl_arb_occlusion_query);
  log("GL_ARB_OCCLUSION_QUERY2",gl_arb_occlusion_query2);
  log("GL_ARB_PIPELINE_STATISTICS_QUERY",gl_arb_pipeline_statistics_query);
  log("GL_ARB_PIXEL_BUFFER_OBJECT",gl_arb_pixel_buffer_object);
  log("GL_ARB_POINT_PARAMETERS",gl_arb_point_parameters);
  log("GL_ARB_POINT_SPRITE",gl_arb_point_sprite);
  log("GL_ARB_PROGRAM_INTERFACE_QUERY",gl_arb_program_interface_query);
  log("GL_ARB_PROVOKING_VERTEX",gl_arb_provoking_vertex);
  log("GL_ARB_QUERY_BUFFER_OBJECT",gl_arb_query_buffer_object);
  log("GL_ARB_ROBUSTNESS",gl_arb_robustness);
  log("GL_ARB_SAMPLE_SHADING",gl_arb_sample_shading);
  log("GL_ARB_SAMPLER_OBJECTS",gl_arb_sampler_objects);
  log("GL_ARB_SEAMLESS_CUBE_MAP",gl_arb_seamless_cube_map);
  log("GL_ARB_SEPARATE_SHADER_OBJECTS",gl_arb_separate_shader_objects);
  log("GL_ARB_SHADER_ATOMIC_COUNTERS",gl_arb_shader_atomic_counters);
  log("GL_ARB_SHADER_IMAGE_LOAD_STORE",gl_arb_shader_image_load_store);
  log("GL_ARB_SHADER_OBJECTS",gl_arb_shader_objects);
  log("GL_ARB_SHADER_STORAGE_BUFFER_OBJECT",gl_arb_shader_storage_buffer_object);
  log("GL_ARB_SHADER_SUBROUTINE",gl_arb_shader_subroutine);
  log("GL_ARB_SHADING_LANGUAGE_100",gl_arb_shading_language_100);
  log("GL_ARB_SHADING_LANGUAGE_INCLUDE",gl_arb_shading_language_include);
  log("GL_ARB_SHADOW",gl_arb_shadow);
  log("GL_ARB_SHADOW_AMBIENT",gl_arb_shadow_ambient);
  log("GL_ARB_SPARSE_BUFFER",gl_arb_sparse_buffer);
  log("GL_ARB_SPARSE_TEXTURE",gl_arb_sparse_texture);
  log("GL_ARB_STENCIL_TEXTURING",gl_arb_stencil_texturing);
  log("GL_ARB_SYNC",gl_arb_sync);
  log("GL_ARB_TESSELLATION_SHADER",gl_arb_tessellation_shader);
  log("GL_ARB_TEXTURE_BARRIER",gl_arb_texture_barrier);
  log("GL_ARB_TEXTURE_BORDER_CLAMP",gl_arb_texture_border_clamp);
  log("GL_ARB_TEXTURE_BUFFER_OBJECT",gl_arb_texture_buffer_object);
  log("GL_ARB_TEXTURE_BUFFER_RANGE",gl_arb_texture_buffer_range);
  log("GL_ARB_TEXTURE_COMPRESSION",gl_arb_texture_compression);
  log("GL_ARB_TEXTURE_COMPRESSION_BPTC",gl_arb_texture_compression_bptc);
  log("GL_ARB_TEXTURE_COMPRESSION_RGTC",gl_arb_texture_compression_rgtc);
  log("GL_ARB_TEXTURE_CUBE_MAP",gl_arb_texture_cube_map);
  log("GL_ARB_TEXTURE_CUBE_MAP_ARRAY",gl_arb_texture_cube_map_array);
  log("GL_ARB_TEXTURE_ENV_COMBINE",gl_arb_texture_env_combine);
  log("GL_ARB_TEXTURE_ENV_DOT3",gl_arb_texture_env_dot3);
  log("GL_ARB_TEXTURE_FLOAT",gl_arb_texture_float);
  log("GL_ARB_TEXTURE_GATHER",gl_arb_texture_gather);
  log("GL_ARB_TEXTURE_MIRROR_CLAMP_TO_EDGE",gl_arb_texture_mirror_clamp_to_edge);
  log("GL_ARB_TEXTURE_MIRRORED_REPEAT",gl_arb_texture_mirrored_repeat);
  log("GL_ARB_TEXTURE_MULTISAMPLE",gl_arb_texture_multisample);
  log("GL_ARB_TEXTURE_RECTANGLE",gl_arb_texture_rectangle);
  log("GL_ARB_TEXTURE_RG",gl_arb_texture_rg);
  log("GL_ARB_TEXTURE_RGB10_A2UI",gl_arb_texture_rgb10_a2ui);
  log("GL_ARB_TEXTURE_STORAGE",gl_arb_texture_storage);
  log("GL_ARB_TEXTURE_STORAGE_MULTISAMPLE",gl_arb_texture_storage_multisample);
  log("GL_ARB_TEXTURE_SWIZZLE",gl_arb_texture_swizzle);
  log("GL_ARB_TEXTURE_VIEW",gl_arb_texture_view);
  log("GL_ARB_TIMER_QUERY",gl_arb_timer_query);
  log("GL_ARB_TRANSFORM_FEEDBACK2",gl_arb_transform_feedback2);
  log("GL_ARB_TRANSFORM_FEEDBACK3",gl_arb_transform_feedback3);
  log("GL_ARB_TRANSFORM_FEEDBACK_INSTANCED",gl_arb_transform_feedback_instanced);
  log("GL_ARB_TRANSFORM_FEEDBACK_OVERFLOW_QUERY",gl_arb_transform_feedback_overflow_query);
  log("GL_ARB_TRANSPOSE_MATRIX",gl_arb_transpose_matrix);
  log("GL_ARB_UNIFORM_BUFFER_OBJECT",gl_arb_uniform_buffer_object);
  log("GL_ARB_VERTEX_ARRAY_OBJECT",gl_arb_vertex_array_object);
  log("GL_ARB_VERTEX_ATTRIB_64BIT",gl_arb_vertex_attrib_64bit);
  log("GL_ARB_VERTEX_ATTRIB_BINDING",gl_arb_vertex_attrib_binding);
  log("GL_ARB_VERTEX_BLEND",gl_arb_vertex_blend);
  log("GL_ARB_VERTEX_BUFFER_OBJECT",gl_arb_vertex_buffer_object);
  log("GL_ARB_VERTEX_PROGRAM",gl_arb_vertex_program);
  log("GL_ARB_VERTEX_SHADER",gl_arb_vertex_shader);
  log("GL_ARB_VERTEX_TYPE_2_10_10_10_REV",gl_arb_vertex_type_2_10_10_10_rev);
  log("GL_ARB_VIEWPORT_ARRAY",gl_arb_viewport_array);
  log("GL_ARB_WINDOW_POS",gl_arb_window_pos);
  log("GL_ARM_MALI_PROGRAM_BINARY",gl_arm_mali_program_binary);
  log("GL_ARM_MALI_SHADER_BINARY",gl_arm_mali_shader_binary);
  log("GL_ATI_DRAW_BUFFERS",gl_ati_draw_buffers);
  log("GL_ATI_ELEMENT_ARRAY",gl_ati_element_array);
  log("GL_ATI_ENVMAP_BUMPMAP",gl_ati_envmap_bumpmap);
  log("GL_ATI_FRAGMENT_SHADER",gl_ati_fragment_shader);
  log("GL_ATI_MAP_OBJECT_BUFFER",gl_ati_map_object_buffer);
  log("GL_ATI_MEMINFO",gl_ati_meminfo);
  log("GL_ATI_PN_TRIANGLES",gl_ati_pn_triangles);
  log("GL_ATI_SEPARATE_STENCIL",gl_ati_separate_stencil);
  log("GL_ATI_TEXT_FRAGMENT_SHADER",gl_ati_text_fragment_shader);
  log("GL_ATI_TEXTURE_COMPRESSION_3DC",gl_ati_texture_compression_3dc);
  log("GL_ATI_TEXTURE_ENV_COMBINE3",gl_ati_texture_env_combine3);
  log("GL_ATI_TEXTURE_FLOAT",gl_ati_texture_float);
  log("GL_ATI_TEXTURE_MIRROR_ONCE",gl_ati_texture_mirror_once);
  log("GL_ATI_VERTEX_ARRAY_OBJECT",gl_ati_vertex_array_object);
  log("GL_ATI_VERTEX_ATTRIB_ARRAY_OBJECT",gl_ati_vertex_attrib_array_object);
  log("GL_ATI_VERTEX_STREAMS",gl_ati_vertex_streams);
  log("GL_DMP_SHADER_BINARY",gl_dmp_shader_binary);
  log("GL_EXT_422_PIXELS",gl_ext_422_pixels);
  log("GL_EXT_CG_SHADER",gl_ext_cg_shader);
  log("GL_EXT_ABGR",gl_ext_abgr);
  log("GL_EXT_BGRA",gl_ext_bgra);
  log("GL_EXT_BINDABLE_UNIFORM",gl_ext_bindable_uniform);
  log("GL_EXT_BLEND_COLOR",gl_ext_blend_color);
  log("GL_EXT_BLEND_EQUATION_SEPARATE",gl_ext_blend_equation_separate);
  log("GL_EXT_BLEND_FUNC_SEPARATE",gl_ext_blend_func_separate);
  log("GL_EXT_BLEND_MINMAX",gl_ext_blend_minmax);
  log("GL_EXT_BLEND_SUBTRACT",gl_ext_blend_subtract);
  log("GL_EXT_CLIP_VOLUME_HINT",gl_ext_clip_volume_hint);
  log("GL_EXT_CMYKA",gl_ext_cmyka);
  log("GL_EXT_COLOR_BUFFER_HALF_FLOAT",gl_ext_color_buffer_half_float);
  log("GL_EXT_COLOR_SUBTABLE",gl_ext_color_subtable);
  log("GL_EXT_COMPILED_VERTEX_ARRAY",gl_ext_compiled_vertex_array);
  log("GL_EXT_CONVOLUTION",gl_ext_convolution);
  log("GL_EXT_COORDINATE_FRAME",gl_ext_coordinate_frame);
  log("GL_EXT_COPY_TEXTURE",gl_ext_copy_texture);
  log("GL_EXT_CULL_VERTEX",gl_ext_cull_vertex);
  log("GL_EXT_DEBUG_LABEL",gl_ext_debug_label);
  log("GL_EXT_DEBUG_MARKER",gl_ext_debug_marker);
  log("GL_EXT_DEPTH_BOUNDS_TEST",gl_ext_depth_bounds_test);
  log("GL_EXT_DIRECT_STATE_ACCESS",gl_ext_direct_state_access);
  log("GL_EXT_DISCARD_FRAMEBUFFER",gl_ext_discard_framebuffer);
  log("GL_EXT_DISJOINT_TIMER_QUERY",gl_ext_disjoint_timer_query);
  log("GL_EXT_DRAW_BUFFERS2",gl_ext_draw_buffers2);
  log("GL_EXT_DRAW_INSTANCED",gl_ext_draw_instanced);
  log("GL_EXT_DRAW_RANGE_ELEMENTS",gl_ext_draw_range_elements);
  log("GL_EXT_FOG_COORD",gl_ext_fog_coord);
  log("GL_EXT_FRAGMENT_LIGHTING",gl_ext_fragment_lighting);
  log("GL_EXT_FRAMEBUFFER_BLIT",gl_ext_framebuffer_blit);
  log("GL_EXT_FRAMEBUFFER_MULTISAMPLE",gl_ext_framebuffer_multisample);
  log("GL_EXT_FRAMEBUFFER_MULTISAMPLE_BLIT_SCALED",gl_ext_framebuffer_multisample_blit_scaled);
  log("GL_EXT_FRAMEBUFFER_OBJECT",gl_ext_framebuffer_object);
  log("GL_EXT_FRAMEBUFFER_SRGB",gl_ext_framebuffer_srgb);
  log("GL_EXT_GEOMETRY_SHADER4",gl_ext_geometry_shader4);
  log("GL_EXT_GPU_PROGRAM_PARAMETERS",gl_ext_gpu_program_parameters);
  log("GL_EXT_GPU_SHADER4",gl_ext_gpu_shader4);
  log("GL_EXT_HISTOGRAM",gl_ext_histogram);
  log("GL_EXT_INDEX_FUNC",gl_ext_index_func);
  log("GL_EXT_INDEX_MATERIAL",gl_ext_index_material);
  log("GL_EXT_LIGHT_TEXTURE",gl_ext_light_texture);
  log("GL_EXT_MAP_BUFFER_RANGE",gl_ext_map_buffer_range);
  log("GL_EXT_MULTI_DRAW_ARRAYS",gl_ext_multi_draw_arrays);
  log("GL_EXT_MULTISAMPLE",gl_ext_multisample);
  log("GL_EXT_MULTISAMPLED_RENDER_TO_TEXTURE",gl_ext_multisampled_render_to_texture);
  log("GL_EXT_MULTIVIEW_DRAW_BUFFERS",gl_ext_multiview_draw_buffers);
  log("GL_EXT_OCCLUSION_QUERY_BOOLEAN",gl_ext_occlusion_query_boolean);
  log("GL_EXT_PACKED_DEPTH_STENCIL",gl_ext_packed_depth_stencil);
  log("GL_EXT_PACKED_FLOAT",gl_ext_packed_float);
  log("GL_EXT_PACKED_PIXELS",gl_ext_packed_pixels);
  log("GL_EXT_PALETTED_TEXTURE",gl_ext_paletted_texture);
  log("GL_EXT_PIXEL_BUFFER_OBJECT",gl_ext_pixel_buffer_object);
  log("GL_EXT_PIXEL_TRANSFORM",gl_ext_pixel_transform);
  log("GL_EXT_POINT_PARAMETERS",gl_ext_point_parameters);
  log("GL_EXT_POLYGON_OFFSET",gl_ext_polygon_offset);
  log("GL_EXT_PROVOKING_VERTEX",gl_ext_provoking_vertex);
  log("GL_EXT_READ_FORMAT_BGRA",gl_ext_read_format_bgra);
  log("GL_EXT_RESCALE_NORMAL",gl_ext_rescale_normal);
  log("GL_EXT_ROBUSTNESS",gl_ext_robustness);
  log("GL_EXT_SRGB",gl_ext_srgb);
  log("GL_EXT_SCENE_MARKER",gl_ext_scene_marker);
  log("GL_EXT_SECONDARY_COLOR",gl_ext_secondary_color);
  log("GL_EXT_SEPARATE_SHADER_OBJECTS",gl_ext_separate_shader_objects);
  log("GL_EXT_SEPARATE_SPECULAR_COLOR",gl_ext_separate_specular_color);
  log("GL_EXT_SHADER_FRAMEBUFFER_FETCH",gl_ext_shader_framebuffer_fetch);
  log("GL_EXT_SHADER_IMAGE_LOAD_STORE",gl_ext_shader_image_load_store);
  log("GL_EXT_SHADOW_SAMPLERS",gl_ext_shadow_samplers);
  log("GL_EXT_SHARED_TEXTURE_PALETTE",gl_ext_shared_texture_palette);
  log("GL_EXT_STENCIL_CLEAR_TAG",gl_ext_stencil_clear_tag);
  log("GL_EXT_STENCIL_TWO_SIDE",gl_ext_stencil_two_side);
  log("GL_EXT_STENCIL_WRAP",gl_ext_stencil_wrap);
  log("GL_EXT_SUBTEXTURE",gl_ext_subtexture);
  log("GL_EXT_TEXTURE",gl_ext_texture);
  log("GL_EXT_TEXTURE3D",gl_ext_texture3d);
  log("GL_EXT_TEXTURE_ARRAY",gl_ext_texture_array);
  log("GL_EXT_TEXTURE_BUFFER_OBJECT",gl_ext_texture_buffer_object);
  log("GL_EXT_TEXTURE_COMPRESSION_LATC",gl_ext_texture_compression_latc);
  log("GL_EXT_TEXTURE_COMPRESSION_RGTC",gl_ext_texture_compression_rgtc);
  log("GL_EXT_TEXTURE_COMPRESSION_S3TC",gl_ext_texture_compression_s3tc);
  log("GL_EXT_TEXTURE_CUBE_MAP",gl_ext_texture_cube_map);
  log("GL_EXT_TEXTURE_EDGE_CLAMP",gl_ext_texture_edge_clamp);
  log("GL_EXT_TEXTURE_ENV_COMBINE",gl_ext_texture_env_combine);
  log("GL_EXT_TEXTURE_ENV_DOT3",gl_ext_texture_env_dot3);
  log("GL_EXT_TEXTURE_FILTER_ANISOTROPIC",gl_ext_texture_filter_anisotropic);
  log("GL_EXT_TEXTURE_FORMAT_BGRA8888",gl_ext_texture_format_bgra8888);
  log("GL_EXT_TEXTURE_INTEGER",gl_ext_texture_integer);
  log("GL_EXT_TEXTURE_LOD_BIAS",gl_ext_texture_lod_bias);
  log("GL_EXT_TEXTURE_MIRROR_CLAMP",gl_ext_texture_mirror_clamp);
  log("GL_EXT_TEXTURE_OBJECT",gl_ext_texture_object);
  log("GL_EXT_TEXTURE_PERTURB_NORMAL",gl_ext_texture_perturb_normal);
  log("GL_EXT_TEXTURE_RECTANGLE",gl_ext_texture_rectangle);
  log("GL_EXT_TEXTURE_RG",gl_ext_texture_rg);
  log("GL_EXT_TEXTURE_SRGB",gl_ext_texture_srgb);
  log("GL_EXT_TEXTURE_SRGB_DECODE",gl_ext_texture_srgb_decode);
  log("GL_EXT_TEXTURE_SHARED_EXPONENT",gl_ext_texture_shared_exponent);
  log("GL_EXT_TEXTURE_SNORM",gl_ext_texture_snorm);
  log("GL_EXT_TEXTURE_STORAGE",gl_ext_texture_storage);
  log("GL_EXT_TEXTURE_SWIZZLE",gl_ext_texture_swizzle);
  log("GL_EXT_TEXTURE_TYPE_2_10_10_10_REV",gl_ext_texture_type_2_10_10_10_rev);
  log("GL_EXT_TIMER_QUERY",gl_ext_timer_query);
  log("GL_EXT_TRANSFORM_FEEDBACK",gl_ext_transform_feedback);
  log("GL_EXT_UNPACK_SUBIMAGE",gl_ext_unpack_subimage);
  log("GL_EXT_VERTEX_ARRAY",gl_ext_vertex_array);
  log("GL_EXT_VERTEX_ATTRIB_64BIT",gl_ext_vertex_attrib_64bit);
  log("GL_EXT_VERTEX_SHADER",gl_ext_vertex_shader);
  log("GL_EXT_VERTEX_WEIGHTING",gl_ext_vertex_weighting);
  log("GL_EXT_X11_SYNC_OBJECT",gl_ext_x11_sync_object);
  log("GL_FJ_SHADER_BINARY_GCCSO",gl_fj_shader_binary_gccso);
  log("GL_GREMEDY_FRAME_TERMINATOR",gl_gremedy_frame_terminator);
  log("GL_GREMEDY_STRING_MARKER",gl_gremedy_string_marker);
  log("GL_HP_IMAGE_TRANSFORM",gl_hp_image_transform);
  log("GL_HP_OCCLUSION_TEST",gl_hp_occlusion_test);
  log("GL_IBM_CULL_VERTEX",gl_ibm_cull_vertex);
  log("GL_IBM_MULTIMODE_DRAW_ARRAYS",gl_ibm_multimode_draw_arrays);
  log("GL_IBM_RASTERPOS_CLIP",gl_ibm_rasterpos_clip);
  log("GL_IBM_STATIC_DATA",gl_ibm_static_data);
  log("GL_IBM_TEXTURE_MIRRORED_REPEAT",gl_ibm_texture_mirrored_repeat);
  log("GL_IBM_VERTEX_ARRAY_LISTS",gl_ibm_vertex_array_lists);
  log("GL_IMG_MULTISAMPLED_RENDER_TO_TEXTURE",gl_img_multisampled_render_to_texture);
  log("GL_IMG_PROGRAM_BINARY",gl_img_program_binary);
  log("GL_IMG_READ_FORMAT",gl_img_read_format);
  log("GL_IMG_SHADER_BINARY",gl_img_shader_binary);
  log("GL_IMG_TEXTURE_COMPRESSION_PVRTC",gl_img_texture_compression_pvrtc);
  log("GL_IMG_TEXTURE_COMPRESSION_PVRTC2",gl_img_texture_compression_pvrtc2);
  log("GL_IMG_TEXTURE_ENV_ENHANCED_FIXED_FUNCTION",gl_img_texture_env_enhanced_fixed_function);
  log("GL_IMG_USER_CLIP_PLANE",gl_img_user_clip_plane);
  log("GL_INGR_BLEND_FUNC_SEPARATE",gl_ingr_blend_func_separate);
  log("GL_INGR_COLOR_CLAMP",gl_ingr_color_clamp);
  log("GL_INGR_INTERLACE_READ",gl_ingr_interlace_read);
  log("GL_INTEL_MAP_TEXTURE",gl_intel_map_texture);
  log("GL_INTEL_PARALLEL_ARRAYS",gl_intel_parallel_arrays);
  log("GL_INTEL_TEXTURE_SCISSOR",gl_intel_texture_scissor);
  log("GL_KHR_BLEND_EQUATION_ADVANCED",gl_khr_blend_equation_advanced);
  log("GL_KHR_DEBUG",gl_khr_debug);
  log("GL_KHR_ROBUSTNESS",gl_khr_robustness);
  log("GL_KHR_TEXTURE_COMPRESSION_ASTC_LDR",gl_khr_texture_compression_astc_ldr);
  log("GL_KTX_BUFFER_REGION",gl_ktx_buffer_region);
  log("GL_MESAX_TEXTURE_STACK",gl_mesax_texture_stack);
  log("GL_MESA_PACK_INVERT",gl_mesa_pack_invert);
  log("GL_MESA_RESIZE_BUFFERS",gl_mesa_resize_buffers);
  log("GL_MESA_WINDOW_POS",gl_mesa_window_pos);
  log("GL_MESA_YCBCR_TEXTURE",gl_mesa_ycbcr_texture);
  log("GL_NVX_CONDITIONAL_RENDER",gl_nvx_conditional_render);
  log("GL_NVX_GPU_MEMORY_INFO",gl_nvx_gpu_memory_info);
  log("GL_NV_3DVISION_SETTINGS",gl_nv_3dvision_settings);
  log("GL_NV_BGR",gl_nv_bgr);
  log("GL_NV_BINDLESS_TEXTURE",gl_nv_bindless_texture);
  log("GL_NV_BLEND_EQUATION_ADVANCED",gl_nv_blend_equation_advanced);
  log("GL_NV_BLEND_SQUARE",gl_nv_blend_square);
  log("GL_NV_COMPUTE_PROGRAM5",gl_nv_compute_program5);
  log("GL_NV_CONDITIONAL_RENDER",gl_nv_conditional_render);
  log("GL_NV_COPY_BUFFER",gl_nv_copy_buffer);
  log("GL_NV_COPY_DEPTH_TO_COLOR",gl_nv_copy_depth_to_color);
  log("GL_NV_COPY_IMAGE",gl_nv_copy_image);
  log("GL_NV_COVERAGE_SAMPLE",gl_nv_coverage_sample);
  log("GL_NV_DEEP_TEXTURE3D",gl_nv_deep_texture3d);
  log("GL_NV_DEPTH_BUFFER_FLOAT",gl_nv_depth_buffer_float);
  log("GL_NV_DEPTH_CLAMP",gl_nv_depth_clamp);
  log("GL_NV_DEPTH_NONLINEAR",gl_nv_depth_nonlinear);
  log("GL_NV_DEPTH_RANGE_UNCLAMPED",gl_nv_depth_range_unclamped);
  log("GL_NV_DRAW_BUFFERS",gl_nv_draw_buffers);
  log("GL_NV_DRAW_TEXTURE",gl_nv_draw_texture);
  log("GL_NV_EVALUATORS",gl_nv_evaluators);
  log("GL_NV_EXPLICIT_MULTISAMPLE",gl_nv_explicit_multisample);
  log("GL_NV_FBO_COLOR_ATTACHMENTS",gl_nv_fbo_color_attachments);
  log("GL_NV_FENCE",gl_nv_fence);
  log("GL_NV_FLOAT_BUFFER",gl_nv_float_buffer);
  log("GL_NV_FOG_DISTANCE",gl_nv_fog_distance);
  log("GL_NV_FRAGMENT_PROGRAM",gl_nv_fragment_program);
  log("GL_NV_FRAGMENT_PROGRAM2",gl_nv_fragment_program2);
  log("GL_NV_FRAMEBUFFER_BLIT",gl_nv_framebuffer_blit);
  log("GL_NV_FRAMEBUFFER_MULTISAMPLE",gl_nv_framebuffer_multisample);
  log("GL_NV_FRAMEBUFFER_MULTISAMPLE_COVERAGE",gl_nv_framebuffer_multisample_coverage);
  log("GL_NV_GEOMETRY_PROGRAM4",gl_nv_geometry_program4);
  log("GL_NV_GPU_PROGRAM4",gl_nv_gpu_program4);
  log("GL_NV_GPU_PROGRAM5",gl_nv_gpu_program5);
  log("GL_NV_GPU_SHADER5",gl_nv_gpu_shader5);
  log("GL_NV_HALF_FLOAT",gl_nv_half_float);
  log("GL_NV_INSTANCED_ARRAYS",gl_nv_instanced_arrays);
  log("GL_NV_LIGHT_MAX_EXPONENT",gl_nv_light_max_exponent);
  log("GL_NV_MULTISAMPLE_COVERAGE",gl_nv_multisample_coverage);
  log("GL_NV_MULTISAMPLE_FILTER_HINT",gl_nv_multisample_filter_hint);
  log("GL_NV_NON_SQUARE_MATRICES",gl_nv_non_square_matrices);
  log("GL_NV_OCCLUSION_QUERY",gl_nv_occlusion_query);
  log("GL_NV_PACK_SUBIMAGE",gl_nv_pack_subimage);
  log("GL_NV_PACKED_DEPTH_STENCIL",gl_nv_packed_depth_stencil);
  log("GL_NV_PACKED_FLOAT_LINEAR",gl_nv_packed_float_linear);
  log("GL_NV_PARAMETER_BUFFER_OBJECT",gl_nv_parameter_buffer_object);
  log("GL_NV_PATH_RENDERING",gl_nv_path_rendering);
  log("GL_NV_PIXEL_BUFFER_OBJECT",gl_nv_pixel_buffer_object);
  log("GL_NV_PIXEL_DATA_RANGE",gl_nv_pixel_data_range);
  log("GL_NV_PLATFORM_BINARY",gl_nv_platform_binary);
  log("GL_NV_POINT_SPRITE",gl_nv_point_sprite);
  log("GL_NV_PRESENT_VIDEO",gl_nv_present_video);
  log("GL_NV_PRIMITIVE_RESTART",gl_nv_primitive_restart);
  log("GL_NV_READ_BUFFER",gl_nv_read_buffer);
  log("GL_NV_READ_BUFFER_FRONT",gl_nv_read_buffer_front);
  log("GL_NV_REGISTER_COMBINERS",gl_nv_register_combiners);
  log("GL_NV_REGISTER_COMBINERS2",gl_nv_register_combiners2);
  log("GL_NV_SRGB_FORMATS",gl_nv_srgb_formats);
  log("GL_NV_SHADER_BUFFER_LOAD",gl_nv_shader_buffer_load);
  log("GL_NV_SHADOW_SAMPLERS_ARRAY",gl_nv_shadow_samplers_array);
  log("GL_NV_SHADOW_SAMPLERS_CUBE",gl_nv_shadow_samplers_cube);
  log("GL_NV_TESSELLATION_PROGRAM5",gl_nv_tessellation_program5);
  log("GL_NV_TEXGEN_EMBOSS",gl_nv_texgen_emboss);
  log("GL_NV_TEXGEN_REFLECTION",gl_nv_texgen_reflection);
  log("GL_NV_TEXTURE_ARRAY",gl_nv_texture_array);
  log("GL_NV_TEXTURE_BARRIER",gl_nv_texture_barrier);
  log("GL_NV_TEXTURE_BORDER_CLAMP",gl_nv_texture_border_clamp);
  log("GL_NV_TEXTURE_COMPRESSION_LATC",gl_nv_texture_compression_latc);
  log("GL_NV_TEXTURE_COMPRESSION_S3TC",gl_nv_texture_compression_s3tc);
  log("GL_NV_TEXTURE_ENV_COMBINE4",gl_nv_texture_env_combine4);
  log("GL_NV_TEXTURE_EXPAND_NORMAL",gl_nv_texture_expand_normal);
  log("GL_NV_TEXTURE_MULTISAMPLE",gl_nv_texture_multisample);
  log("GL_NV_TEXTURE_RECTANGLE",gl_nv_texture_rectangle);
  log("GL_NV_TEXTURE_SHADER",gl_nv_texture_shader);
  log("GL_NV_TEXTURE_SHADER2",gl_nv_texture_shader2);
  log("GL_NV_TEXTURE_SHADER3",gl_nv_texture_shader3);
  log("GL_NV_TRANSFORM_FEEDBACK",gl_nv_transform_feedback);
  log("GL_NV_TRANSFORM_FEEDBACK2",gl_nv_transform_feedback2);
  log("GL_NV_VDPAU_INTEROP",gl_nv_vdpau_interop);
  log("GL_NV_VERTEX_ARRAY_RANGE",gl_nv_vertex_array_range);
  log("GL_NV_VERTEX_ARRAY_RANGE2",gl_nv_vertex_array_range2);
  log("GL_NV_VERTEX_ATTRIB_INTEGER_64BIT",gl_nv_vertex_attrib_integer_64bit);
  log("GL_NV_VERTEX_BUFFER_UNIFIED_MEMORY",gl_nv_vertex_buffer_unified_memory);
  log("GL_NV_VERTEX_PROGRAM",gl_nv_vertex_program);
  log("GL_NV_VERTEX_PROGRAM2_OPTION",gl_nv_vertex_program2_option);
  log("GL_NV_VERTEX_PROGRAM3",gl_nv_vertex_program3);
  log("GL_NV_VERTEX_PROGRAM4",gl_nv_vertex_program4);
  log("GL_NV_VIDEO_CAPTURE",gl_nv_video_capture);
  log("GL_OES_EGL_IMAGE_EXTERNAL",gl_oes_egl_image_external);
  log("GL_OES_BLEND_EQUATION_SEPARATE",gl_oes_blend_equation_separate);
  log("GL_OES_BLEND_FUNC_SEPARATE",gl_oes_blend_func_separate);
  log("GL_OES_BLEND_SUBTRACT",gl_oes_blend_subtract);
  log("GL_OES_COMPRESSED_ETC1_RGB8_TEXTURE",gl_oes_compressed_etc1_rgb8_texture);
  log("GL_OES_COMPRESSED_PALETTED_TEXTURE",gl_oes_compressed_paletted_texture);
  log("GL_OES_DEPTH_TEXTURE",gl_oes_depth_texture);
  log("GL_OES_DRAW_TEXTURE",gl_oes_draw_texture);
  log("GL_OES_ELEMENT_INDEX_UINT",gl_oes_element_index_uint);
  log("GL_OES_FBO_RENDER_MIPMAP",gl_oes_fbo_render_mipmap);
  log("GL_OES_FRAMEBUFFER_OBJECT",gl_oes_framebuffer_object);
  log("GL_OES_GET_PROGRAM_BINARY",gl_oes_get_program_binary);
  log("GL_OES_MAPBUFFER",gl_oes_mapbuffer);
  log("GL_OES_MATRIX_GET",gl_oes_matrix_get);
  log("GL_OES_MATRIX_PALETTE",gl_oes_matrix_palette);
  log("GL_OES_PACKED_DEPTH_STENCIL",gl_oes_packed_depth_stencil);
  log("GL_OES_POINT_SIZE_ARRAY",gl_oes_point_size_array);
  log("GL_OES_POINT_SPRITE",gl_oes_point_sprite);
  log("GL_OES_READ_FORMAT",gl_oes_read_format);
  log("GL_OES_REQUIRED_INTERNALFORMAT",gl_oes_required_internalformat);
  log("GL_OES_RGB8_RGBA8",gl_oes_rgb8_rgba8);
  log("GL_OES_SINGLE_PRECISION",gl_oes_single_precision);
  log("GL_OES_STANDARD_DERIVATIVES",gl_oes_standard_derivatives);
  log("GL_OES_STENCIL1",gl_oes_stencil1);
  log("GL_OES_STENCIL4",gl_oes_stencil4);
  log("GL_OES_STENCIL8",gl_oes_stencil8);
  log("GL_OES_SURFACELESS_CONTEXT",gl_oes_surfaceless_context);
  log("GL_OES_TEXTURE_3D",gl_oes_texture_3d);
  log("GL_OES_TEXTURE_CUBE_MAP",gl_oes_texture_cube_map);
  log("GL_OES_TEXTURE_MIRRORED_REPEAT",gl_oes_texture_mirrored_repeat);
  log("GL_OES_VERTEX_ARRAY_OBJECT",gl_oes_vertex_array_object);
  log("GL_OES_VERTEX_HALF_FLOAT",gl_oes_vertex_half_float);
  log("GL_OES_VERTEX_TYPE_10_10_10_2",gl_oes_vertex_type_10_10_10_2);
  log("GL_OML_INTERLACE",gl_oml_interlace);
  log("GL_OML_RESAMPLE",gl_oml_resample);
  log("GL_OML_SUBSAMPLE",gl_oml_subsample);
  log("GL_PGI_MISC_HINTS",gl_pgi_misc_hints);
  log("GL_PGI_VERTEX_HINTS",gl_pgi_vertex_hints);
  log("GL_QCOM_ALPHA_TEST",gl_qcom_alpha_test);
  log("GL_QCOM_BINNING_CONTROL",gl_qcom_binning_control);
  log("GL_QCOM_DRIVER_CONTROL",gl_qcom_driver_control);
  log("GL_QCOM_EXTENDED_GET",gl_qcom_extended_get);
  log("GL_QCOM_EXTENDED_GET2",gl_qcom_extended_get2);
  log("GL_QCOM_PERFMON_GLOBAL_MODE",gl_qcom_perfmon_global_mode);
  log("GL_QCOM_TILED_RENDERING",gl_qcom_tiled_rendering);
  log("GL_QCOM_WRITEONLY_RENDERING",gl_qcom_writeonly_rendering);
  log("GL_REGAL_ES1_0_COMPATIBILITY",gl_regal_es1_0_compatibility);
  log("GL_REGAL_ES1_1_COMPATIBILITY",gl_regal_es1_1_compatibility);
  log("GL_REGAL_ENABLE",gl_regal_enable);
  log("GL_REGAL_ERROR_STRING",gl_regal_error_string);
  log("GL_REGAL_EXTENSION_QUERY",gl_regal_extension_query);
  log("GL_REGAL_LOG",gl_regal_log);
  log("GL_REGAL_PROC_ADDRESS",gl_regal_proc_address);
  log("GL_REND_SCREEN_COORDINATES",gl_rend_screen_coordinates);
  log("GL_S3_S3TC",gl_s3_s3tc);
  log("GL_SGIS_COLOR_RANGE",gl_sgis_color_range);
  log("GL_SGIS_DETAIL_TEXTURE",gl_sgis_detail_texture);
  log("GL_SGIS_FOG_FUNCTION",gl_sgis_fog_function);
  log("GL_SGIS_GENERATE_MIPMAP",gl_sgis_generate_mipmap);
  log("GL_SGIS_MULTISAMPLE",gl_sgis_multisample);
  log("GL_SGIS_PIXEL_TEXTURE",gl_sgis_pixel_texture);
  log("GL_SGIS_POINT_LINE_TEXGEN",gl_sgis_point_line_texgen);
  log("GL_SGIS_POINT_PARAMETERS",gl_sgis_point_parameters);
  log("GL_SGIS_SHARPEN_TEXTURE",gl_sgis_sharpen_texture);
  log("GL_SGIS_TEXTURE4D",gl_sgis_texture4d);
  log("GL_SGIS_TEXTURE_BORDER_CLAMP",gl_sgis_texture_border_clamp);
  log("GL_SGIS_TEXTURE_COLOR_MASK",gl_sgis_texture_color_mask);
  log("GL_SGIS_TEXTURE_EDGE_CLAMP",gl_sgis_texture_edge_clamp);
  log("GL_SGIS_TEXTURE_FILTER4",gl_sgis_texture_filter4);
  log("GL_SGIS_TEXTURE_LOD",gl_sgis_texture_lod);
  log("GL_SGIX_ASYNC",gl_sgix_async);
  log("GL_SGIX_ASYNC_HISTOGRAM",gl_sgix_async_histogram);
  log("GL_SGIX_ASYNC_PIXEL",gl_sgix_async_pixel);
  log("GL_SGIX_BLEND_ALPHA_MINMAX",gl_sgix_blend_alpha_minmax);
  log("GL_SGIX_CONVOLUTION_ACCURACY",gl_sgix_convolution_accuracy);
  log("GL_SGIX_DEPTH_TEXTURE",gl_sgix_depth_texture);
  log("GL_SGIX_FLUSH_RASTER",gl_sgix_flush_raster);
  log("GL_SGIX_FOG_OFFSET",gl_sgix_fog_offset);
  log("GL_SGIX_FOG_TEXTURE",gl_sgix_fog_texture);
  log("GL_SGIX_FRAGMENT_LIGHTING",gl_sgix_fragment_lighting);
  log("GL_SGIX_FRAMEZOOM",gl_sgix_framezoom);
  log("GL_SGIX_IGLOO_INTERFACE",gl_sgix_igloo_interface);
  log("GL_SGIX_INSTRUMENTS",gl_sgix_instruments);
  log("GL_SGIX_INTERLACE",gl_sgix_interlace);
  log("GL_SGIX_LIST_PRIORITY",gl_sgix_list_priority);
  log("GL_SGIX_PIXEL_TEXTURE",gl_sgix_pixel_texture);
  log("GL_SGIX_POLYNOMIAL_FFD",gl_sgix_polynomial_ffd);
  log("GL_SGIX_REFERENCE_PLANE",gl_sgix_reference_plane);
  log("GL_SGIX_RESAMPLE",gl_sgix_resample);
  log("GL_SGIX_SHADOW",gl_sgix_shadow);
  log("GL_SGIX_SHADOW_AMBIENT",gl_sgix_shadow_ambient);
  log("GL_SGIX_SPRITE",gl_sgix_sprite);
  log("GL_SGIX_TAG_SAMPLE_BUFFER",gl_sgix_tag_sample_buffer);
  log("GL_SGIX_TEXTURE_COORDINATE_CLAMP",gl_sgix_texture_coordinate_clamp);
  log("GL_SGIX_TEXTURE_MULTI_BUFFER",gl_sgix_texture_multi_buffer);
  log("GL_SGIX_TEXTURE_RANGE",gl_sgix_texture_range);
  log("GL_SGIX_TEXTURE_SCALE_BIAS",gl_sgix_texture_scale_bias);
  log("GL_SGIX_VERTEX_PRECLIP",gl_sgix_vertex_preclip);
  log("GL_SGIX_YCRCB",gl_sgix_ycrcb);
  log("GL_SGI_COLOR_MATRIX",gl_sgi_color_matrix);
  log("GL_SGI_COLOR_TABLE",gl_sgi_color_table);
  log("GL_SGI_TEXTURE_COLOR_TABLE",gl_sgi_texture_color_table);
  log("GL_SUNX_CONSTANT_DATA",gl_sunx_constant_data);
  log("GL_SUN_CONVOLUTION_BORDER_MODES",gl_sun_convolution_border_modes);
  log("GL_SUN_GLOBAL_ALPHA",gl_sun_global_alpha);
  log("GL_SUN_MESH_ARRAY",gl_sun_mesh_array);
  log("GL_SUN_READ_VIDEO_PIXELS",gl_sun_read_video_pixels);
  log("GL_SUN_SLICE_ACCUM",gl_sun_slice_accum);
  log("GL_SUN_TRIANGLE_LIST",gl_sun_triangle_list);
  log("GL_SUN_VERTEX",gl_sun_vertex);
  log("GL_VIV_SHADER_BINARY",gl_viv_shader_binary);
  log("GL_WIN_PHONG_SHADING",gl_win_phong_shading);
  log("GL_WIN_SPECULAR_FOG",gl_win_specular_fog);
  log("GL_WIN_SWAP_HINT",gl_win_swap_hint);
#if REGAL_SYS_WGL
  log("WGL_3DL_STEREO_CONTROL",wgl_3dl_stereo_control);
  log("WGL_AMD_GPU_ASSOCIATION",wgl_amd_gpu_association);
  log("WGL_ARB_BUFFER_REGION",wgl_arb_buffer_region);
  log("WGL_ARB_CREATE_CONTEXT",wgl_arb_create_context);
  log("WGL_ARB_CREATE_CONTEXT_PROFILE",wgl_arb_create_context_profile);
  log("WGL_ARB_CREATE_CONTEXT_ROBUSTNESS",wgl_arb_create_context_robustness);
  log("WGL_ARB_EXTENSIONS_STRING",wgl_arb_extensions_string);
  log("WGL_ARB_FRAMEBUFFER_SRGB",wgl_arb_framebuffer_srgb);
  log("WGL_ARB_MAKE_CURRENT_READ",wgl_arb_make_current_read);
  log("WGL_ARB_MULTISAMPLE",wgl_arb_multisample);
  log("WGL_ARB_PBUFFER",wgl_arb_pbuffer);
  log("WGL_ARB_PIXEL_FORMAT",wgl_arb_pixel_format);
  log("WGL_ARB_PIXEL_FORMAT_FLOAT",wgl_arb_pixel_format_float);
  log("WGL_ARB_RENDER_TEXTURE",wgl_arb_render_texture);
  log("WGL_ARB_ROBUSTNESS_SHARE_GROUP_ISOLATION",wgl_arb_robustness_share_group_isolation);
  log("WGL_ATI_PIXEL_FORMAT_FLOAT",wgl_ati_pixel_format_float);
  log("WGL_ATI_RENDER_TEXTURE_RECTANGLE",wgl_ati_render_texture_rectangle);
  log("WGL_EXT_CREATE_CONTEXT_ES2_PROFILE",wgl_ext_create_context_es2_profile);
  log("WGL_EXT_CREATE_CONTEXT_ES_PROFILE",wgl_ext_create_context_es_profile);
  log("WGL_EXT_DEPTH_FLOAT",wgl_ext_depth_float);
  log("WGL_EXT_DISPLAY_COLOR_TABLE",wgl_ext_display_color_table);
  log("WGL_EXT_EXTENSIONS_STRING",wgl_ext_extensions_string);
  log("WGL_EXT_FRAMEBUFFER_SRGB",wgl_ext_framebuffer_srgb);
  log("WGL_EXT_MAKE_CURRENT_READ",wgl_ext_make_current_read);
  log("WGL_EXT_MULTISAMPLE",wgl_ext_multisample);
  log("WGL_EXT_PBUFFER",wgl_ext_pbuffer);
  log("WGL_EXT_PIXEL_FORMAT",wgl_ext_pixel_format);
  log("WGL_EXT_PIXEL_FORMAT_PACKED_FLOAT",wgl_ext_pixel_format_packed_float);
  log("WGL_EXT_SWAP_CONTROL",wgl_ext_swap_control);
  log("WGL_GDI",wgl_gdi);
  log("WGL_I3D_DIGITAL_VIDEO_CONTROL",wgl_i3d_digital_video_control);
  log("WGL_I3D_GAMMA",wgl_i3d_gamma);
  log("WGL_I3D_GENLOCK",wgl_i3d_genlock);
  log("WGL_I3D_IMAGE_BUFFER",wgl_i3d_image_buffer);
  log("WGL_I3D_SWAP_FRAME_LOCK",wgl_i3d_swap_frame_lock);
  log("WGL_I3D_SWAP_FRAME_USAGE",wgl_i3d_swap_frame_usage);
  log("WGL_NV_DX_INTEROP",wgl_nv_dx_interop);
  log("WGL_NV_COPY_IMAGE",wgl_nv_copy_image);
  log("WGL_NV_DELAY_BEFORE_SWAP",wgl_nv_delay_before_swap);
  log("WGL_NV_FLOAT_BUFFER",wgl_nv_float_buffer);
  log("WGL_NV_GPU_AFFINITY",wgl_nv_gpu_affinity);
  log("WGL_NV_MULTISAMPLE_COVERAGE",wgl_nv_multisample_coverage);
  log("WGL_NV_PRESENT_VIDEO",wgl_nv_present_video);
  log("WGL_NV_RENDER_DEPTH_TEXTURE",wgl_nv_render_depth_texture);
  log("WGL_NV_RENDER_TEXTURE_RECTANGLE",wgl_nv_render_texture_rectangle);
  log("WGL_NV_SWAP_GROUP",wgl_nv_swap_group);
  log("WGL_NV_VERTEX_ARRAY_RANGE",wgl_nv_vertex_array_range);
  log("WGL_NV_VIDEO_CAPTURE",wgl_nv_video_capture);
  log("WGL_NV_VIDEO_OUTPUT",wgl_nv_video_output);
  log("WGL_OML_SYNC_CONTROL",wgl_oml_sync_control);
#endif
#if REGAL_SYS_GLX
  log("GLX_3DFX_MULTISAMPLE",glx_3dfx_multisample);
  log("GLX_AMD_GPU_ASSOCIATION",glx_amd_gpu_association);
  log("GLX_ARB_CREATE_CONTEXT",glx_arb_create_context);
  log("GLX_ARB_CREATE_CONTEXT_PROFILE",glx_arb_create_context_profile);
  log("GLX_ARB_CREATE_CONTEXT_ROBUSTNESS",glx_arb_create_context_robustness);
  log("GLX_ARB_FBCONFIG_FLOAT",glx_arb_fbconfig_float);
  log("GLX_ARB_FRAMEBUFFER_SRGB",glx_arb_framebuffer_srgb);
  log("GLX_ARB_GET_PROC_ADDRESS",glx_arb_get_proc_address);
  log("GLX_ARB_MULTISAMPLE",glx_arb_multisample);
  log("GLX_ARB_ROBUSTNESS_SHARE_GROUP_ISOLATION",glx_arb_robustness_share_group_isolation);
  log("GLX_ARB_VERTEX_BUFFER_OBJECT",glx_arb_vertex_buffer_object);
  log("GLX_ATI_PIXEL_FORMAT_FLOAT",glx_ati_pixel_format_float);
  log("GLX_ATI_RENDER_TEXTURE",glx_ati_render_texture);
  log("GLX_EXT_BUFFER_AGE",glx_ext_buffer_age);
  log("GLX_EXT_CREATE_CONTEXT_ES2_PROFILE",glx_ext_create_context_es2_profile);
  log("GLX_EXT_CREATE_CONTEXT_ES_PROFILE",glx_ext_create_context_es_profile);
  log("GLX_EXT_FBCONFIG_PACKED_FLOAT",glx_ext_fbconfig_packed_float);
  log("GLX_EXT_FRAMEBUFFER_SRGB",glx_ext_framebuffer_srgb);
  log("GLX_EXT_IMPORT_CONTEXT",glx_ext_import_context);
  log("GLX_EXT_STEREO_TREE",glx_ext_stereo_tree);
  log("GLX_EXT_SWAP_CONTROL",glx_ext_swap_control);
  log("GLX_EXT_SWAP_CONTROL_TEAR",glx_ext_swap_control_tear);
  log("GLX_EXT_TEXTURE_FROM_PIXMAP",glx_ext_texture_from_pixmap);
  log("GLX_EXT_VISUAL_INFO",glx_ext_visual_info);
  log("GLX_EXT_VISUAL_RATING",glx_ext_visual_rating);
  log("GLX_INTEL_SWAP_EVENT",glx_intel_swap_event);
  log("GLX_MESA_AGP_OFFSET",glx_mesa_agp_offset);
  log("GLX_MESA_COPY_SUB_BUFFER",glx_mesa_copy_sub_buffer);
  log("GLX_MESA_PIXMAP_COLORMAP",glx_mesa_pixmap_colormap);
  log("GLX_MESA_QUERY_RENDERER",glx_mesa_query_renderer);
  log("GLX_MESA_RELEASE_BUFFERS",glx_mesa_release_buffers);
  log("GLX_MESA_SET_3DFX_MODE",glx_mesa_set_3dfx_mode);
  log("GLX_MESA_SWAP_CONTROL",glx_mesa_swap_control);
  log("GLX_NV_COPY_BUFFER",glx_nv_copy_buffer);
  log("GLX_NV_COPY_IMAGE",glx_nv_copy_image);
  log("GLX_NV_DELAY_BEFORE_SWAP",glx_nv_delay_before_swap);
  log("GLX_NV_FLOAT_BUFFER",glx_nv_float_buffer);
  log("GLX_NV_MULTISAMPLE_COVERAGE",glx_nv_multisample_coverage);
  log("GLX_NV_PRESENT_VIDEO",glx_nv_present_video);
  log("GLX_NV_SWAP_GROUP",glx_nv_swap_group);
  log("GLX_NV_VERTEX_ARRAY_RANGE",glx_nv_vertex_array_range);
  log("GLX_NV_VIDEO_CAPTURE",glx_nv_video_capture);
  log("GLX_NV_VIDEO_OUTPUT",glx_nv_video_output);
  log("GLX_OML_SWAP_METHOD",glx_oml_swap_method);
  log("GLX_OML_SYNC_CONTROL",glx_oml_sync_control);
  log("GLX_SGIS_BLENDED_OVERLAY",glx_sgis_blended_overlay);
  log("GLX_SGIS_COLOR_RANGE",glx_sgis_color_range);
  log("GLX_SGIS_MULTISAMPLE",glx_sgis_multisample);
  log("GLX_SGIS_SHARED_MULTISAMPLE",glx_sgis_shared_multisample);
  log("GLX_SGIX_FBCONFIG",glx_sgix_fbconfig);
  log("GLX_SGIX_HYPERPIPE",glx_sgix_hyperpipe);
  log("GLX_SGIX_PBUFFER",glx_sgix_pbuffer);
  log("GLX_SGIX_SWAP_BARRIER",glx_sgix_swap_barrier);
  log("GLX_SGIX_SWAP_GROUP",glx_sgix_swap_group);
  log("GLX_SGIX_VIDEO_RESIZE",glx_sgix_video_resize);
  log("GLX_SGIX_VISUAL_SELECT_GROUP",glx_sgix_visual_select_group);
  log("GLX_SGI_CUSHION",glx_sgi_cushion);
  log("GLX_SGI_MAKE_CURRENT_READ",glx_sgi_make_current_read);
  log("GLX_SGI_SWAP_CONTROL",glx_sgi_swap_control);
  log("GLX_SGI_VIDEO_SYNC",glx_sgi_video_sync);
  log("GLX_SUN_GET_TRANSPARENT_INDEX",glx_sun_get_transparent_index);
  log("GLX_SUN_VIDEO_RESIZE",glx_sun_video_resize);
#endif
#if REGAL_SYS_EGL
  log("EGL_ANGLE_QUERY_SURFACE_POINTER",egl_angle_query_surface_pointer);
  log("EGL_ANGLE_SURFACE_D3D_TEXTURE_2D_SHARE_HANDLE",egl_angle_surface_d3d_texture_2d_share_handle);
  log("EGL_EXT_CREATE_CONTEXT_ROBUSTNESS",egl_ext_create_context_robustness);
  log("EGL_EXT_MULTIVIEW_WINDOW",egl_ext_multiview_window);
  log("EGL_HI_COLORFORMATS",egl_hi_colorformats);
  log("EGL_IMG_CONTEXT_PRIORITY",egl_img_context_priority);
  log("EGL_KHR_CONFIG_ATTRIBS",egl_khr_config_attribs);
  log("EGL_KHR_CREATE_CONTEXT",egl_khr_create_context);
  log("EGL_KHR_FENCE_SYNC",egl_khr_fence_sync);
  log("EGL_KHR_GL_TEXTURE_CUBEMAP_IMAGE",egl_khr_gl_texture_cubemap_image);
  log("EGL_KHR_IMAGE_BASE",egl_khr_image_base);
  log("EGL_KHR_IMAGE_PIXMAP",egl_khr_image_pixmap);
  log("EGL_KHR_LOCK_SURFACE",egl_khr_lock_surface);
  log("EGL_KHR_LOCK_SURFACE2",egl_khr_lock_surface2);
  log("EGL_KHR_REUSABLE_SYNC",egl_khr_reusable_sync);
  log("EGL_KHR_STREAM",egl_khr_stream);
  log("EGL_KHR_STREAM_CONSUMER_GLTEXTURE",egl_khr_stream_consumer_gltexture);
  log("EGL_KHR_STREAM_CROSS_PROCESS_FD",egl_khr_stream_cross_process_fd);
  log("EGL_KHR_STREAM_FIFO",egl_khr_stream_fifo);
  log("EGL_KHR_STREAM_PRODUCER_EGLSURFACE",egl_khr_stream_producer_eglsurface);
  log("EGL_KHR_VG_PARENT_IMAGE",egl_khr_vg_parent_image);
  log("EGL_KHR_WAIT_SYNC",egl_khr_wait_sync);
  log("EGL_MESA_DRM_IMAGE",egl_mesa_drm_image);
  log("EGL_NV_COVERAGE_SAMPLE",egl_nv_coverage_sample);
  log("EGL_NV_COVERAGE_SAMPLE_RESOLVE",egl_nv_coverage_sample_resolve);
  log("EGL_NV_POST_SUB_BUFFER",egl_nv_post_sub_buffer);
  log("EGL_NV_SYNC",egl_nv_sync);
  log("EGL_NV_SYSTEM_TIME",egl_nv_system_time);
#endif

/* GL_VERSION_1_0 */

  log("glAccum",glAccum);
  log("glAlphaFunc",glAlphaFunc);
  log("glBegin",glBegin);
  log("glBitmap",glBitmap);
  log("glBlendFunc",glBlendFunc);
  log("glCallList",glCallList);
  log("glCallLists",glCallLists);
  log("glClear",glClear);
  log("glClearAccum",glClearAccum);
  log("glClearColor",glClearColor);
  log("glClearDepth",glClearDepth);
  log("glClearIndex",glClearIndex);
  log("glClearStencil",glClearStencil);
  log("glClipPlane",glClipPlane);
  log("glColor3b",glColor3b);
  log("glColor3bv",glColor3bv);
  log("glColor3d",glColor3d);
  log("glColor3dv",glColor3dv);
  log("glColor3f",glColor3f);
  log("glColor3fv",glColor3fv);
  log("glColor3i",glColor3i);
  log("glColor3iv",glColor3iv);
  log("glColor3s",glColor3s);
  log("glColor3sv",glColor3sv);
  log("glColor3ub",glColor3ub);
  log("glColor3ubv",glColor3ubv);
  log("glColor3ui",glColor3ui);
  log("glColor3uiv",glColor3uiv);
  log("glColor3us",glColor3us);
  log("glColor3usv",glColor3usv);
  log("glColor4b",glColor4b);
  log("glColor4bv",glColor4bv);
  log("glColor4d",glColor4d);
  log("glColor4dv",glColor4dv);
  log("glColor4f",glColor4f);
  log("glColor4fv",glColor4fv);
  log("glColor4i",glColor4i);
  log("glColor4iv",glColor4iv);
  log("glColor4s",glColor4s);
  log("glColor4sv",glColor4sv);
  log("glColor4ub",glColor4ub);
  log("glColor4ubv",glColor4ubv);
  log("glColor4ui",glColor4ui);
  log("glColor4uiv",glColor4uiv);
  log("glColor4us",glColor4us);
  log("glColor4usv",glColor4usv);
  log("glColorMask",glColorMask);
  log("glColorMaterial",glColorMaterial);
  log("glCopyPixels",glCopyPixels);
  log("glCullFace",glCullFace);
  log("glDeleteLists",glDeleteLists);
  log("glDepthFunc",glDepthFunc);
  log("glDepthMask",glDepthMask);
  log("glDepthRange",glDepthRange);
  log("glDisable",glDisable);
  log("glDrawBuffer",glDrawBuffer);
  log("glDrawPixels",glDrawPixels);
  log("glEdgeFlag",glEdgeFlag);
  log("glEdgeFlagv",glEdgeFlagv);
  log("glEnable",glEnable);
  log("glEnd",glEnd);
  log("glEndList",glEndList);
  log("glEvalCoord1d",glEvalCoord1d);
  log("glEvalCoord1dv",glEvalCoord1dv);
  log("glEvalCoord1f",glEvalCoord1f);
  log("glEvalCoord1fv",glEvalCoord1fv);
  log("glEvalCoord2d",glEvalCoord2d);
  log("glEvalCoord2dv",glEvalCoord2dv);
  log("glEvalCoord2f",glEvalCoord2f);
  log("glEvalCoord2fv",glEvalCoord2fv);
  log("glEvalMesh1",glEvalMesh1);
  log("glEvalMesh2",glEvalMesh2);
  log("glEvalPoint1",glEvalPoint1);
  log("glEvalPoint2",glEvalPoint2);
  log("glFeedbackBuffer",glFeedbackBuffer);
  log("glFinish",glFinish);
  log("glFlush",glFlush);
  log("glFogf",glFogf);
  log("glFogfv",glFogfv);
  log("glFogi",glFogi);
  log("glFogiv",glFogiv);
  log("glFrontFace",glFrontFace);
  log("glFrustum",glFrustum);
  log("glGenLists",glGenLists);
  log("glGetBooleanv",glGetBooleanv);
  log("glGetClipPlane",glGetClipPlane);
  log("glGetDoublev",glGetDoublev);
  log("glGetError",glGetError);
  log("glGetFloatv",glGetFloatv);
  log("glGetIntegerv",glGetIntegerv);
  log("glGetLightfv",glGetLightfv);
  log("glGetLightiv",glGetLightiv);
  log("glGetMapdv",glGetMapdv);
  log("glGetMapfv",glGetMapfv);
  log("glGetMapiv",glGetMapiv);
  log("glGetMaterialfv",glGetMaterialfv);
  log("glGetMaterialiv",glGetMaterialiv);
  log("glGetPixelMapfv",glGetPixelMapfv);
  log("glGetPixelMapuiv",glGetPixelMapuiv);
  log("glGetPixelMapusv",glGetPixelMapusv);
  log("glGetPolygonStipple",glGetPolygonStipple);
  log("glGetString",glGetString);
  log("glGetTexEnvfv",glGetTexEnvfv);
  log("glGetTexEnviv",glGetTexEnviv);
  log("glGetTexGendv",glGetTexGendv);
  log("glGetTexGenfv",glGetTexGenfv);
  log("glGetTexGeniv",glGetTexGeniv);
  log("glGetTexImage",glGetTexImage);
  log("glGetTexLevelParameterfv",glGetTexLevelParameterfv);
  log("glGetTexLevelParameteriv",glGetTexLevelParameteriv);
  log("glGetTexParameterfv",glGetTexParameterfv);
  log("glGetTexParameteriv",glGetTexParameteriv);
  log("glHint",glHint);
  log("glIndexMask",glIndexMask);
  log("glIndexd",glIndexd);
  log("glIndexdv",glIndexdv);
  log("glIndexf",glIndexf);
  log("glIndexfv",glIndexfv);
  log("glIndexi",glIndexi);
  log("glIndexiv",glIndexiv);
  log("glIndexs",glIndexs);
  log("glIndexsv",glIndexsv);
  log("glInitNames",glInitNames);
  log("glIsEnabled",glIsEnabled);
  log("glIsList",glIsList);
  log("glLightModelf",glLightModelf);
  log("glLightModelfv",glLightModelfv);
  log("glLightModeli",glLightModeli);
  log("glLightModeliv",glLightModeliv);
  log("glLightf",glLightf);
  log("glLightfv",glLightfv);
  log("glLighti",glLighti);
  log("glLightiv",glLightiv);
  log("glLineStipple",glLineStipple);
  log("glLineWidth",glLineWidth);
  log("glListBase",glListBase);
  log("glLoadIdentity",glLoadIdentity);
  log("glLoadMatrixd",glLoadMatrixd);
  log("glLoadMatrixf",glLoadMatrixf);
  log("glLoadName",glLoadName);
  log("glLogicOp",glLogicOp);
  log("glMap1d",glMap1d);
  log("glMap1f",glMap1f);
  log("glMap2d",glMap2d);
  log("glMap2f",glMap2f);
  log("glMapGrid1d",glMapGrid1d);
  log("glMapGrid1f",glMapGrid1f);
  log("glMapGrid2d",glMapGrid2d);
  log("glMapGrid2f",glMapGrid2f);
  log("glMaterialf",glMaterialf);
  log("glMaterialfv",glMaterialfv);
  log("glMateriali",glMateriali);
  log("glMaterialiv",glMaterialiv);
  log("glMatrixMode",glMatrixMode);
  log("glMultMatrixd",glMultMatrixd);
  log("glMultMatrixf",glMultMatrixf);
  log("glNewList",glNewList);
  log("glNormal3b",glNormal3b);
  log("glNormal3bv",glNormal3bv);
  log("glNormal3d",glNormal3d);
  log("glNormal3dv",glNormal3dv);
  log("glNormal3f",glNormal3f);
  log("glNormal3fv",glNormal3fv);
  log("glNormal3i",glNormal3i);
  log("glNormal3iv",glNormal3iv);
  log("glNormal3s",glNormal3s);
  log("glNormal3sv",glNormal3sv);
  log("glOrtho",glOrtho);
  log("glPassThrough",glPassThrough);
  log("glPixelMapfv",glPixelMapfv);
  log("glPixelMapuiv",glPixelMapuiv);
  log("glPixelMapusv",glPixelMapusv);
  log("glPixelStoref",glPixelStoref);
  log("glPixelStorei",glPixelStorei);
  log("glPixelTransferf",glPixelTransferf);
  log("glPixelTransferi",glPixelTransferi);
  log("glPixelZoom",glPixelZoom);
  log("glPointSize",glPointSize);
  log("glPolygonMode",glPolygonMode);
  log("glPolygonStipple",glPolygonStipple);
  log("glPopAttrib",glPopAttrib);
  log("glPopMatrix",glPopMatrix);
  log("glPopName",glPopName);
  log("glPushAttrib",glPushAttrib);
  log("glPushMatrix",glPushMatrix);
  log("glPushName",glPushName);
  log("glRasterPos2d",glRasterPos2d);
  log("glRasterPos2dv",glRasterPos2dv);
  log("glRasterPos2f",glRasterPos2f);
  log("glRasterPos2fv",glRasterPos2fv);
  log("glRasterPos2i",glRasterPos2i);
  log("glRasterPos2iv",glRasterPos2iv);
  log("glRasterPos2s",glRasterPos2s);
  log("glRasterPos2sv",glRasterPos2sv);
  log("glRasterPos3d",glRasterPos3d);
  log("glRasterPos3dv",glRasterPos3dv);
  log("glRasterPos3f",glRasterPos3f);
  log("glRasterPos3fv",glRasterPos3fv);
  log("glRasterPos3i",glRasterPos3i);
  log("glRasterPos3iv",glRasterPos3iv);
  log("glRasterPos3s",glRasterPos3s);
  log("glRasterPos3sv",glRasterPos3sv);
  log("glRasterPos4d",glRasterPos4d);
  log("glRasterPos4dv",glRasterPos4dv);
  log("glRasterPos4f",glRasterPos4f);
  log("glRasterPos4fv",glRasterPos4fv);
  log("glRasterPos4i",glRasterPos4i);
  log("glRasterPos4iv",glRasterPos4iv);
  log("glRasterPos4s",glRasterPos4s);
  log("glRasterPos4sv",glRasterPos4sv);
  log("glReadBuffer",glReadBuffer);
  log("glReadPixels",glReadPixels);
  log("glRectd",glRectd);
  log("glRectdv",glRectdv);
  log("glRectf",glRectf);
  log("glRectfv",glRectfv);
  log("glRecti",glRecti);
  log("glRectiv",glRectiv);
  log("glRects",glRects);
  log("glRectsv",glRectsv);
  log("glRenderMode",glRenderMode);
  log("glRotated",glRotated);
  log("glRotatef",glRotatef);
  log("glScaled",glScaled);
  log("glScalef",glScalef);
  log("glScissor",glScissor);
  log("glSelectBuffer",glSelectBuffer);
  log("glShadeModel",glShadeModel);
  log("glStencilFunc",glStencilFunc);
  log("glStencilMask",glStencilMask);
  log("glStencilOp",glStencilOp);
  log("glTexCoord1d",glTexCoord1d);
  log("glTexCoord1dv",glTexCoord1dv);
  log("glTexCoord1f",glTexCoord1f);
  log("glTexCoord1fv",glTexCoord1fv);
  log("glTexCoord1i",glTexCoord1i);
  log("glTexCoord1iv",glTexCoord1iv);
  log("glTexCoord1s",glTexCoord1s);
  log("glTexCoord1sv",glTexCoord1sv);
  log("glTexCoord2d",glTexCoord2d);
  log("glTexCoord2dv",glTexCoord2dv);
  log("glTexCoord2f",glTexCoord2f);
  log("glTexCoord2fv",glTexCoord2fv);
  log("glTexCoord2i",glTexCoord2i);
  log("glTexCoord2iv",glTexCoord2iv);
  log("glTexCoord2s",glTexCoord2s);
  log("glTexCoord2sv",glTexCoord2sv);
  log("glTexCoord3d",glTexCoord3d);
  log("glTexCoord3dv",glTexCoord3dv);
  log("glTexCoord3f",glTexCoord3f);
  log("glTexCoord3fv",glTexCoord3fv);
  log("glTexCoord3i",glTexCoord3i);
  log("glTexCoord3iv",glTexCoord3iv);
  log("glTexCoord3s",glTexCoord3s);
  log("glTexCoord3sv",glTexCoord3sv);
  log("glTexCoord4d",glTexCoord4d);
  log("glTexCoord4dv",glTexCoord4dv);
  log("glTexCoord4f",glTexCoord4f);
  log("glTexCoord4fv",glTexCoord4fv);
  log("glTexCoord4i",glTexCoord4i);
  log("glTexCoord4iv",glTexCoord4iv);
  log("glTexCoord4s",glTexCoord4s);
  log("glTexCoord4sv",glTexCoord4sv);
  log("glTexEnvf",glTexEnvf);
  log("glTexEnvfv",glTexEnvfv);
  log("glTexEnvi",glTexEnvi);
  log("glTexEnviv",glTexEnviv);
  log("glTexGend",glTexGend);
  log("glTexGendv",glTexGendv);
  log("glTexGenf",glTexGenf);
  log("glTexGenfv",glTexGenfv);
  log("glTexGeni",glTexGeni);
  log("glTexGeniv",glTexGeniv);
  log("glTexImage1D",glTexImage1D);
  log("glTexImage2D",glTexImage2D);
  log("glTexParameterf",glTexParameterf);
  log("glTexParameterfv",glTexParameterfv);
  log("glTexParameteri",glTexParameteri);
  log("glTexParameteriv",glTexParameteriv);
  log("glTranslated",glTranslated);
  log("glTranslatef",glTranslatef);
  log("glVertex2d",glVertex2d);
  log("glVertex2dv",glVertex2dv);
  log("glVertex2f",glVertex2f);
  log("glVertex2fv",glVertex2fv);
  log("glVertex2i",glVertex2i);
  log("glVertex2iv",glVertex2iv);
  log("glVertex2s",glVertex2s);
  log("glVertex2sv",glVertex2sv);
  log("glVertex3d",glVertex3d);
  log("glVertex3dv",glVertex3dv);
  log("glVertex3f",glVertex3f);
  log("glVertex3fv",glVertex3fv);
  log("glVertex3i",glVertex3i);
  log("glVertex3iv",glVertex3iv);
  log("glVertex3s",glVertex3s);
  log("glVertex3sv",glVertex3sv);
  log("glVertex4d",glVertex4d);
  log("glVertex4dv",glVertex4dv);
  log("glVertex4f",glVertex4f);
  log("glVertex4fv",glVertex4fv);
  log("glVertex4i",glVertex4i);
  log("glVertex4iv",glVertex4iv);
  log("glVertex4s",glVertex4s);
  log("glVertex4sv",glVertex4sv);
  log("glViewport",glViewport);

/* GL_VERSION_1_1 */

  log("glAreTexturesResident",glAreTexturesResident);
  log("glArrayElement",glArrayElement);
  log("glBindTexture",glBindTexture);
  log("glColorPointer",glColorPointer);
  log("glCopyTexImage1D",glCopyTexImage1D);
  log("glCopyTexImage2D",glCopyTexImage2D);
  log("glCopyTexSubImage1D",glCopyTexSubImage1D);
  log("glCopyTexSubImage2D",glCopyTexSubImage2D);
  log("glDeleteTextures",glDeleteTextures);
  log("glDisableClientState",glDisableClientState);
  log("glDrawArrays",glDrawArrays);
  log("glDrawElements",glDrawElements);
  log("glEdgeFlagPointer",glEdgeFlagPointer);
  log("glEnableClientState",glEnableClientState);
  log("glGenTextures",glGenTextures);
  log("glGetPointerv",glGetPointerv);
  log("glIndexPointer",glIndexPointer);
  log("glIndexub",glIndexub);
  log("glIndexubv",glIndexubv);
  log("glInterleavedArrays",glInterleavedArrays);
  log("glIsTexture",glIsTexture);
  log("glNormalPointer",glNormalPointer);
  log("glPolygonOffset",glPolygonOffset);
  log("glPopClientAttrib",glPopClientAttrib);
  log("glPrioritizeTextures",glPrioritizeTextures);
  log("glPushClientAttrib",glPushClientAttrib);
  log("glTexCoordPointer",glTexCoordPointer);
  log("glTexSubImage1D",glTexSubImage1D);
  log("glTexSubImage2D",glTexSubImage2D);
  log("glVertexPointer",glVertexPointer);

/* GL_VERSION_1_2 */

  log("glCopyTexSubImage3D",glCopyTexSubImage3D);
  log("glDrawRangeElements",glDrawRangeElements);
  log("glTexImage3D",glTexImage3D);
  log("glTexSubImage3D",glTexSubImage3D);

/* GL_VERSION_1_3 */

  log("glActiveTexture",glActiveTexture);
  log("glClientActiveTexture",glClientActiveTexture);
  log("glCompressedTexImage1D",glCompressedTexImage1D);
  log("glCompressedTexImage2D",glCompressedTexImage2D);
  log("glCompressedTexImage3D",glCompressedTexImage3D);
  log("glCompressedTexSubImage1D",glCompressedTexSubImage1D);
  log("glCompressedTexSubImage2D",glCompressedTexSubImage2D);
  log("glCompressedTexSubImage3D",glCompressedTexSubImage3D);
  log("glGetCompressedTexImage",glGetCompressedTexImage);
  log("glLoadTransposeMatrixd",glLoadTransposeMatrixd);
  log("glLoadTransposeMatrixf",glLoadTransposeMatrixf);
  log("glMultTransposeMatrixd",glMultTransposeMatrixd);
  log("glMultTransposeMatrixf",glMultTransposeMatrixf);
  log("glMultiTexCoord1d",glMultiTexCoord1d);
  log("glMultiTexCoord1dv",glMultiTexCoord1dv);
  log("glMultiTexCoord1f",glMultiTexCoord1f);
  log("glMultiTexCoord1fv",glMultiTexCoord1fv);
  log("glMultiTexCoord1i",glMultiTexCoord1i);
  log("glMultiTexCoord1iv",glMultiTexCoord1iv);
  log("glMultiTexCoord1s",glMultiTexCoord1s);
  log("glMultiTexCoord1sv",glMultiTexCoord1sv);
  log("glMultiTexCoord2d",glMultiTexCoord2d);
  log("glMultiTexCoord2dv",glMultiTexCoord2dv);
  log("glMultiTexCoord2f",glMultiTexCoord2f);
  log("glMultiTexCoord2fv",glMultiTexCoord2fv);
  log("glMultiTexCoord2i",glMultiTexCoord2i);
  log("glMultiTexCoord2iv",glMultiTexCoord2iv);
  log("glMultiTexCoord2s",glMultiTexCoord2s);
  log("glMultiTexCoord2sv",glMultiTexCoord2sv);
  log("glMultiTexCoord3d",glMultiTexCoord3d);
  log("glMultiTexCoord3dv",glMultiTexCoord3dv);
  log("glMultiTexCoord3f",glMultiTexCoord3f);
  log("glMultiTexCoord3fv",glMultiTexCoord3fv);
  log("glMultiTexCoord3i",glMultiTexCoord3i);
  log("glMultiTexCoord3iv",glMultiTexCoord3iv);
  log("glMultiTexCoord3s",glMultiTexCoord3s);
  log("glMultiTexCoord3sv",glMultiTexCoord3sv);
  log("glMultiTexCoord4d",glMultiTexCoord4d);
  log("glMultiTexCoord4dv",glMultiTexCoord4dv);
  log("glMultiTexCoord4f",glMultiTexCoord4f);
  log("glMultiTexCoord4fv",glMultiTexCoord4fv);
  log("glMultiTexCoord4i",glMultiTexCoord4i);
  log("glMultiTexCoord4iv",glMultiTexCoord4iv);
  log("glMultiTexCoord4s",glMultiTexCoord4s);
  log("glMultiTexCoord4sv",glMultiTexCoord4sv);
  log("glSampleCoverage",glSampleCoverage);

/* GL_VERSION_1_4 */

  log("glBlendColor",glBlendColor);
  log("glBlendEquation",glBlendEquation);
  log("glBlendFuncSeparate",glBlendFuncSeparate);
  log("glFogCoordPointer",glFogCoordPointer);
  log("glFogCoordd",glFogCoordd);
  log("glFogCoorddv",glFogCoorddv);
  log("glFogCoordf",glFogCoordf);
  log("glFogCoordfv",glFogCoordfv);
  log("glMultiDrawArrays",glMultiDrawArrays);
  log("glMultiDrawElements",glMultiDrawElements);
  log("glPointParameterf",glPointParameterf);
  log("glPointParameterfv",glPointParameterfv);
  log("glPointParameteri",glPointParameteri);
  log("glPointParameteriv",glPointParameteriv);
  log("glSecondaryColor3b",glSecondaryColor3b);
  log("glSecondaryColor3bv",glSecondaryColor3bv);
  log("glSecondaryColor3d",glSecondaryColor3d);
  log("glSecondaryColor3dv",glSecondaryColor3dv);
  log("glSecondaryColor3f",glSecondaryColor3f);
  log("glSecondaryColor3fv",glSecondaryColor3fv);
  log("glSecondaryColor3i",glSecondaryColor3i);
  log("glSecondaryColor3iv",glSecondaryColor3iv);
  log("glSecondaryColor3s",glSecondaryColor3s);
  log("glSecondaryColor3sv",glSecondaryColor3sv);
  log("glSecondaryColor3ub",glSecondaryColor3ub);
  log("glSecondaryColor3ubv",glSecondaryColor3ubv);
  log("glSecondaryColor3ui",glSecondaryColor3ui);
  log("glSecondaryColor3uiv",glSecondaryColor3uiv);
  log("glSecondaryColor3us",glSecondaryColor3us);
  log("glSecondaryColor3usv",glSecondaryColor3usv);
  log("glSecondaryColorPointer",glSecondaryColorPointer);
  log("glWindowPos2d",glWindowPos2d);
  log("glWindowPos2dv",glWindowPos2dv);
  log("glWindowPos2f",glWindowPos2f);
  log("glWindowPos2fv",glWindowPos2fv);
  log("glWindowPos2i",glWindowPos2i);
  log("glWindowPos2iv",glWindowPos2iv);
  log("glWindowPos2s",glWindowPos2s);
  log("glWindowPos2sv",glWindowPos2sv);
  log("glWindowPos3d",glWindowPos3d);
  log("glWindowPos3dv",glWindowPos3dv);
  log("glWindowPos3f",glWindowPos3f);
  log("glWindowPos3fv",glWindowPos3fv);
  log("glWindowPos3i",glWindowPos3i);
  log("glWindowPos3iv",glWindowPos3iv);
  log("glWindowPos3s",glWindowPos3s);
  log("glWindowPos3sv",glWindowPos3sv);

/* GL_VERSION_1_5 */

  log("glBeginQuery",glBeginQuery);
  log("glBindBuffer",glBindBuffer);
  log("glBufferData",glBufferData);
  log("glBufferSubData",glBufferSubData);
  log("glDeleteBuffers",glDeleteBuffers);
  log("glDeleteQueries",glDeleteQueries);
  log("glEndQuery",glEndQuery);
  log("glGenBuffers",glGenBuffers);
  log("glGenQueries",glGenQueries);
  log("glGetBufferParameteriv",glGetBufferParameteriv);
  log("glGetBufferPointerv",glGetBufferPointerv);
  log("glGetBufferSubData",glGetBufferSubData);
  log("glGetQueryObjectiv",glGetQueryObjectiv);
  log("glGetQueryObjectuiv",glGetQueryObjectuiv);
  log("glGetQueryiv",glGetQueryiv);
  log("glIsBuffer",glIsBuffer);
  log("glIsQuery",glIsQuery);
  log("glMapBuffer",glMapBuffer);
  log("glUnmapBuffer",glUnmapBuffer);

/* GL_VERSION_2_0 */

  log("glAttachShader",glAttachShader);
  log("glBindAttribLocation",glBindAttribLocation);
  log("glBlendEquationSeparate",glBlendEquationSeparate);
  log("glCompileShader",glCompileShader);
  log("glCreateProgram",glCreateProgram);
  log("glCreateShader",glCreateShader);
  log("glDeleteProgram",glDeleteProgram);
  log("glDeleteShader",glDeleteShader);
  log("glDetachShader",glDetachShader);
  log("glDisableVertexAttribArray",glDisableVertexAttribArray);
  log("glDrawBuffers",glDrawBuffers);
  log("glEnableVertexAttribArray",glEnableVertexAttribArray);
  log("glGetActiveAttrib",glGetActiveAttrib);
  log("glGetActiveUniform",glGetActiveUniform);
  log("glGetAttachedShaders",glGetAttachedShaders);
  log("glGetAttribLocation",glGetAttribLocation);
  log("glGetProgramInfoLog",glGetProgramInfoLog);
  log("glGetProgramiv",glGetProgramiv);
  log("glGetShaderInfoLog",glGetShaderInfoLog);
  log("glGetShaderSource",glGetShaderSource);
  log("glGetShaderiv",glGetShaderiv);
  log("glGetUniformLocation",glGetUniformLocation);
  log("glGetUniformfv",glGetUniformfv);
  log("glGetUniformiv",glGetUniformiv);
  log("glGetVertexAttribPointerv",glGetVertexAttribPointerv);
  log("glGetVertexAttribdv",glGetVertexAttribdv);
  log("glGetVertexAttribfv",glGetVertexAttribfv);
  log("glGetVertexAttribiv",glGetVertexAttribiv);
  log("glIsProgram",glIsProgram);
  log("glIsShader",glIsShader);
  log("glLinkProgram",glLinkProgram);
  log("glShaderSource",glShaderSource);
  log("glStencilFuncSeparate",glStencilFuncSeparate);
  log("glStencilMaskSeparate",glStencilMaskSeparate);
  log("glStencilOpSeparate",glStencilOpSeparate);
  log("glUniform1f",glUniform1f);
  log("glUniform1fv",glUniform1fv);
  log("glUniform1i",glUniform1i);
  log("glUniform1iv",glUniform1iv);
  log("glUniform2f",glUniform2f);
  log("glUniform2fv",glUniform2fv);
  log("glUniform2i",glUniform2i);
  log("glUniform2iv",glUniform2iv);
  log("glUniform3f",glUniform3f);
  log("glUniform3fv",glUniform3fv);
  log("glUniform3i",glUniform3i);
  log("glUniform3iv",glUniform3iv);
  log("glUniform4f",glUniform4f);
  log("glUniform4fv",glUniform4fv);
  log("glUniform4i",glUniform4i);
  log("glUniform4iv",glUniform4iv);
  log("glUniformMatrix2fv",glUniformMatrix2fv);
  log("glUniformMatrix3fv",glUniformMatrix3fv);
  log("glUniformMatrix4fv",glUniformMatrix4fv);
  log("glUseProgram",glUseProgram);
  log("glValidateProgram",glValidateProgram);
  log("glVertexAttrib1d",glVertexAttrib1d);
  log("glVertexAttrib1dv",glVertexAttrib1dv);
  log("glVertexAttrib1f",glVertexAttrib1f);
  log("glVertexAttrib1fv",glVertexAttrib1fv);
  log("glVertexAttrib1s",glVertexAttrib1s);
  log("glVertexAttrib1sv",glVertexAttrib1sv);
  log("glVertexAttrib2d",glVertexAttrib2d);
  log("glVertexAttrib2dv",glVertexAttrib2dv);
  log("glVertexAttrib2f",glVertexAttrib2f);
  log("glVertexAttrib2fv",glVertexAttrib2fv);
  log("glVertexAttrib2s",glVertexAttrib2s);
  log("glVertexAttrib2sv",glVertexAttrib2sv);
  log("glVertexAttrib3d",glVertexAttrib3d);
  log("glVertexAttrib3dv",glVertexAttrib3dv);
  log("glVertexAttrib3f",glVertexAttrib3f);
  log("glVertexAttrib3fv",glVertexAttrib3fv);
  log("glVertexAttrib3s",glVertexAttrib3s);
  log("glVertexAttrib3sv",glVertexAttrib3sv);
  log("glVertexAttrib4Nbv",glVertexAttrib4Nbv);
  log("glVertexAttrib4Niv",glVertexAttrib4Niv);
  log("glVertexAttrib4Nsv",glVertexAttrib4Nsv);
  log("glVertexAttrib4Nub",glVertexAttrib4Nub);
  log("glVertexAttrib4Nubv",glVertexAttrib4Nubv);
  log("glVertexAttrib4Nuiv",glVertexAttrib4Nuiv);
  log("glVertexAttrib4Nusv",glVertexAttrib4Nusv);
  log("glVertexAttrib4bv",glVertexAttrib4bv);
  log("glVertexAttrib4d",glVertexAttrib4d);
  log("glVertexAttrib4dv",glVertexAttrib4dv);
  log("glVertexAttrib4f",glVertexAttrib4f);
  log("glVertexAttrib4fv",glVertexAttrib4fv);
  log("glVertexAttrib4iv",glVertexAttrib4iv);
  log("glVertexAttrib4s",glVertexAttrib4s);
  log("glVertexAttrib4sv",glVertexAttrib4sv);
  log("glVertexAttrib4ubv",glVertexAttrib4ubv);
  log("glVertexAttrib4uiv",glVertexAttrib4uiv);
  log("glVertexAttrib4usv",glVertexAttrib4usv);
  log("glVertexAttribPointer",glVertexAttribPointer);

/* GL_VERSION_2_1 */

  log("glUniformMatrix2x3fv",glUniformMatrix2x3fv);
  log("glUniformMatrix2x4fv",glUniformMatrix2x4fv);
  log("glUniformMatrix3x2fv",glUniformMatrix3x2fv);
  log("glUniformMatrix3x4fv",glUniformMatrix3x4fv);
  log("glUniformMatrix4x2fv",glUniformMatrix4x2fv);
  log("glUniformMatrix4x3fv",glUniformMatrix4x3fv);

/* GL_VERSION_3_0 */

  log("glBeginConditionalRender",glBeginConditionalRender);
  log("glBeginTransformFeedback",glBeginTransformFeedback);
  log("glBindFragDataLocation",glBindFragDataLocation);
  log("glClampColor",glClampColor);
  log("glClearBufferfi",glClearBufferfi);
  log("glClearBufferfv",glClearBufferfv);
  log("glClearBufferiv",glClearBufferiv);
  log("glClearBufferuiv",glClearBufferuiv);
  log("glColorMaski",glColorMaski);
  log("glDisablei",glDisablei);
  log("glEnablei",glEnablei);
  log("glEndConditionalRender",glEndConditionalRender);
  log("glEndTransformFeedback",glEndTransformFeedback);
  log("glGetBooleani_v",glGetBooleani_v);
  log("glGetFragDataLocation",glGetFragDataLocation);
  log("glGetStringi",glGetStringi);
  log("glGetTexParameterIiv",glGetTexParameterIiv);
  log("glGetTexParameterIuiv",glGetTexParameterIuiv);
  log("glGetTransformFeedbackVarying",glGetTransformFeedbackVarying);
  log("glGetUniformuiv",glGetUniformuiv);
  log("glGetVertexAttribIiv",glGetVertexAttribIiv);
  log("glGetVertexAttribIuiv",glGetVertexAttribIuiv);
  log("glIsEnabledi",glIsEnabledi);
  log("glTexParameterIiv",glTexParameterIiv);
  log("glTexParameterIuiv",glTexParameterIuiv);
  log("glTransformFeedbackVaryings",glTransformFeedbackVaryings);
  log("glUniform1ui",glUniform1ui);
  log("glUniform1uiv",glUniform1uiv);
  log("glUniform2ui",glUniform2ui);
  log("glUniform2uiv",glUniform2uiv);
  log("glUniform3ui",glUniform3ui);
  log("glUniform3uiv",glUniform3uiv);
  log("glUniform4ui",glUniform4ui);
  log("glUniform4uiv",glUniform4uiv);
  log("glVertexAttribI1i",glVertexAttribI1i);
  log("glVertexAttribI1iv",glVertexAttribI1iv);
  log("glVertexAttribI1ui",glVertexAttribI1ui);
  log("glVertexAttribI1uiv",glVertexAttribI1uiv);
  log("glVertexAttribI2i",glVertexAttribI2i);
  log("glVertexAttribI2iv",glVertexAttribI2iv);
  log("glVertexAttribI2ui",glVertexAttribI2ui);
  log("glVertexAttribI2uiv",glVertexAttribI2uiv);
  log("glVertexAttribI3i",glVertexAttribI3i);
  log("glVertexAttribI3iv",glVertexAttribI3iv);
  log("glVertexAttribI3ui",glVertexAttribI3ui);
  log("glVertexAttribI3uiv",glVertexAttribI3uiv);
  log("glVertexAttribI4bv",glVertexAttribI4bv);
  log("glVertexAttribI4i",glVertexAttribI4i);
  log("glVertexAttribI4iv",glVertexAttribI4iv);
  log("glVertexAttribI4sv",glVertexAttribI4sv);
  log("glVertexAttribI4ubv",glVertexAttribI4ubv);
  log("glVertexAttribI4ui",glVertexAttribI4ui);
  log("glVertexAttribI4uiv",glVertexAttribI4uiv);
  log("glVertexAttribI4usv",glVertexAttribI4usv);
  log("glVertexAttribIPointer",glVertexAttribIPointer);

/* GL_VERSION_3_1 */

  log("glDrawArraysInstanced",glDrawArraysInstanced);
  log("glDrawElementsInstanced",glDrawElementsInstanced);
  log("glPrimitiveRestartIndex",glPrimitiveRestartIndex);
  log("glTexBuffer",glTexBuffer);

/* GL_VERSION_3_2 */

  log("glFramebufferTexture",glFramebufferTexture);
  log("glGetBufferParameteri64v",glGetBufferParameteri64v);
  log("glGetInteger64i_v",glGetInteger64i_v);

/* GL_VERSION_3_3 */

  log("glVertexAttribDivisor",glVertexAttribDivisor);

/* GL_VERSION_4_0 */

  log("glBlendEquationSeparatei",glBlendEquationSeparatei);
  log("glBlendEquationi",glBlendEquationi);
  log("glBlendFuncSeparatei",glBlendFuncSeparatei);
  log("glBlendFunci",glBlendFunci);
  log("glDrawArraysIndirect",glDrawArraysIndirect);
  log("glDrawElementsIndirect",glDrawElementsIndirect);
  log("glMinSampleShading",glMinSampleShading);

/* GL_3DFX_tbuffer */

  log("glTbufferMask3DFX",glTbufferMask3DFX);

/* GL_AMD_debug_output */

  log("glDebugMessageCallbackAMD",glDebugMessageCallbackAMD);
  log("glDebugMessageEnableAMD",glDebugMessageEnableAMD);
  log("glDebugMessageInsertAMD",glDebugMessageInsertAMD);
  log("glGetDebugMessageLogAMD",glGetDebugMessageLogAMD);

/* GL_AMD_draw_buffers_blend */

  log("glBlendEquationIndexedAMD",glBlendEquationIndexedAMD);
  log("glBlendEquationSeparateIndexedAMD",glBlendEquationSeparateIndexedAMD);
  log("glBlendFuncIndexedAMD",glBlendFuncIndexedAMD);
  log("glBlendFuncSeparateIndexedAMD",glBlendFuncSeparateIndexedAMD);

/* GL_AMD_interleaved_elements */

  log("glVertexAttribParameteriAMD",glVertexAttribParameteriAMD);

/* GL_AMD_multi_draw_indirect */

  log("glMultiDrawArraysIndirectAMD",glMultiDrawArraysIndirectAMD);
  log("glMultiDrawElementsIndirectAMD",glMultiDrawElementsIndirectAMD);

/* GL_AMD_name_gen_delete */

  log("glDeleteNamesAMD",glDeleteNamesAMD);
  log("glGenNamesAMD",glGenNamesAMD);
  log("glIsNameAMD",glIsNameAMD);

/* GL_AMD_performance_monitor */

  log("glBeginPerfMonitorAMD",glBeginPerfMonitorAMD);
  log("glDeletePerfMonitorsAMD",glDeletePerfMonitorsAMD);
  log("glEndPerfMonitorAMD",glEndPerfMonitorAMD);
  log("glGenPerfMonitorsAMD",glGenPerfMonitorsAMD);
  log("glGetPerfMonitorCounterDataAMD",glGetPerfMonitorCounterDataAMD);
  log("glGetPerfMonitorCounterInfoAMD",glGetPerfMonitorCounterInfoAMD);
  log("glGetPerfMonitorCounterStringAMD",glGetPerfMonitorCounterStringAMD);
  log("glGetPerfMonitorCountersAMD",glGetPerfMonitorCountersAMD);
  log("glGetPerfMonitorGroupStringAMD",glGetPerfMonitorGroupStringAMD);
  log("glGetPerfMonitorGroupsAMD",glGetPerfMonitorGroupsAMD);
  log("glSelectPerfMonitorCountersAMD",glSelectPerfMonitorCountersAMD);

/* GL_AMD_sample_positions */

  log("glSetMultisamplefvAMD",glSetMultisamplefvAMD);

/* GL_AMD_sparse_texture */

  log("glTexStorageSparseAMD",glTexStorageSparseAMD);
  log("glTextureStorageSparseAMD",glTextureStorageSparseAMD);

/* GL_AMD_stencil_operation_extended */

  log("glStencilOpValueAMD",glStencilOpValueAMD);

/* GL_AMD_vertex_shader_tessellator */

  log("glTessellationFactorAMD",glTessellationFactorAMD);
  log("glTessellationModeAMD",glTessellationModeAMD);

/* GL_ANGLE_framebuffer_blit */

  log("glBlitFramebufferANGLE",glBlitFramebufferANGLE);

/* GL_ANGLE_framebuffer_multisample */

  log("glRenderbufferStorageMultisampleANGLE",glRenderbufferStorageMultisampleANGLE);

/* GL_ANGLE_instanced_arrays */

  log("glDrawArraysInstancedANGLE",glDrawArraysInstancedANGLE);
  log("glDrawElementsInstancedANGLE",glDrawElementsInstancedANGLE);
  log("glVertexAttribDivisorANGLE",glVertexAttribDivisorANGLE);

/* GL_ANGLE_timer_query */

  log("glBeginQueryANGLE",glBeginQueryANGLE);
  log("glDeleteQueriesANGLE",glDeleteQueriesANGLE);
  log("glEndQueryANGLE",glEndQueryANGLE);
  log("glGenQueriesANGLE",glGenQueriesANGLE);
  log("glGetQueryObjecti64vANGLE",glGetQueryObjecti64vANGLE);
  log("glGetQueryObjectivANGLE",glGetQueryObjectivANGLE);
  log("glGetQueryObjectui64vANGLE",glGetQueryObjectui64vANGLE);
  log("glGetQueryObjectuivANGLE",glGetQueryObjectuivANGLE);
  log("glGetQueryivANGLE",glGetQueryivANGLE);
  log("glIsQueryANGLE",glIsQueryANGLE);
  log("glQueryCounterANGLE",glQueryCounterANGLE);

/* GL_ANGLE_translated_shader_source */

  log("glGetTranslatedShaderSourceANGLE",glGetTranslatedShaderSourceANGLE);

/* GL_APPLE_copy_texture_levels */

  log("glCopyTextureLevelsAPPLE",glCopyTextureLevelsAPPLE);

/* GL_APPLE_element_array */

  log("glDrawElementArrayAPPLE",glDrawElementArrayAPPLE);
  log("glDrawRangeElementArrayAPPLE",glDrawRangeElementArrayAPPLE);
  log("glElementPointerAPPLE",glElementPointerAPPLE);
  log("glMultiDrawElementArrayAPPLE",glMultiDrawElementArrayAPPLE);
  log("glMultiDrawRangeElementArrayAPPLE",glMultiDrawRangeElementArrayAPPLE);

/* GL_APPLE_fence */

  log("glDeleteFencesAPPLE",glDeleteFencesAPPLE);
  log("glFinishFenceAPPLE",glFinishFenceAPPLE);
  log("glFinishObjectAPPLE",glFinishObjectAPPLE);
  log("glGenFencesAPPLE",glGenFencesAPPLE);
  log("glIsFenceAPPLE",glIsFenceAPPLE);
  log("glSetFenceAPPLE",glSetFenceAPPLE);
  log("glTestFenceAPPLE",glTestFenceAPPLE);
  log("glTestObjectAPPLE",glTestObjectAPPLE);

/* GL_APPLE_flush_buffer_range */

  log("glBufferParameteriAPPLE",glBufferParameteriAPPLE);
  log("glFlushMappedBufferRangeAPPLE",glFlushMappedBufferRangeAPPLE);

/* GL_APPLE_flush_render */

  log("glFinishRenderAPPLE",glFinishRenderAPPLE);
  log("glFlushRenderAPPLE",glFlushRenderAPPLE);
  log("glSwapAPPLE",glSwapAPPLE);

/* GL_APPLE_framebuffer_multisample */

  log("glRenderbufferStorageMultisampleAPPLE",glRenderbufferStorageMultisampleAPPLE);
  log("glResolveMultisampleFramebufferAPPLE",glResolveMultisampleFramebufferAPPLE);

/* GL_APPLE_object_purgeable */

  log("glGetObjectParameterivAPPLE",glGetObjectParameterivAPPLE);
  log("glObjectPurgeableAPPLE",glObjectPurgeableAPPLE);
  log("glObjectUnpurgeableAPPLE",glObjectUnpurgeableAPPLE);

/* GL_APPLE_sync */

  log("glClientWaitSyncAPPLE",glClientWaitSyncAPPLE);
  log("glDeleteSyncAPPLE",glDeleteSyncAPPLE);
  log("glFenceSyncAPPLE",glFenceSyncAPPLE);
  log("glGetInteger64vAPPLE",glGetInteger64vAPPLE);
  log("glGetSyncivAPPLE",glGetSyncivAPPLE);
  log("glIsSyncAPPLE",glIsSyncAPPLE);
  log("glWaitSyncAPPLE",glWaitSyncAPPLE);

/* GL_APPLE_texture_range */

  log("glGetTexParameterPointervAPPLE",glGetTexParameterPointervAPPLE);
  log("glTextureRangeAPPLE",glTextureRangeAPPLE);

/* GL_APPLE_vertex_array_object */

  log("glBindVertexArrayAPPLE",glBindVertexArrayAPPLE);
  log("glDeleteVertexArraysAPPLE",glDeleteVertexArraysAPPLE);
  log("glGenVertexArraysAPPLE",glGenVertexArraysAPPLE);
  log("glIsVertexArrayAPPLE",glIsVertexArrayAPPLE);

/* GL_APPLE_vertex_array_range */

  log("glFlushVertexArrayRangeAPPLE",glFlushVertexArrayRangeAPPLE);
  log("glVertexArrayParameteriAPPLE",glVertexArrayParameteriAPPLE);
  log("glVertexArrayRangeAPPLE",glVertexArrayRangeAPPLE);

/* GL_APPLE_vertex_program_evaluators */

  log("glDisableVertexAttribAPPLE",glDisableVertexAttribAPPLE);
  log("glEnableVertexAttribAPPLE",glEnableVertexAttribAPPLE);
  log("glIsVertexAttribEnabledAPPLE",glIsVertexAttribEnabledAPPLE);
  log("glMapVertexAttrib1dAPPLE",glMapVertexAttrib1dAPPLE);
  log("glMapVertexAttrib1fAPPLE",glMapVertexAttrib1fAPPLE);
  log("glMapVertexAttrib2dAPPLE",glMapVertexAttrib2dAPPLE);
  log("glMapVertexAttrib2fAPPLE",glMapVertexAttrib2fAPPLE);

/* GL_ARB_ES2_compatibility */

  log("glClearDepthf",glClearDepthf);
  log("glDepthRangef",glDepthRangef);
  log("glGetShaderPrecisionFormat",glGetShaderPrecisionFormat);
  log("glReleaseShaderCompiler",glReleaseShaderCompiler);
  log("glShaderBinary",glShaderBinary);

/* GL_ARB_ES3_1_compatibility */

  log("glMemoryBarrierByRegion",glMemoryBarrierByRegion);

/* GL_ARB_base_instance */

  log("glDrawArraysInstancedBaseInstance",glDrawArraysInstancedBaseInstance);
  log("glDrawElementsInstancedBaseInstance",glDrawElementsInstancedBaseInstance);
  log("glDrawElementsInstancedBaseVertexBaseInstance",glDrawElementsInstancedBaseVertexBaseInstance);

/* GL_ARB_bindless_texture */

  log("glGetImageHandleARB",glGetImageHandleARB);
  log("glGetTextureHandleARB",glGetTextureHandleARB);
  log("glGetTextureSamplerHandleARB",glGetTextureSamplerHandleARB);
  log("glGetVertexAttribLui64vARB",glGetVertexAttribLui64vARB);
  log("glIsImageHandleResidentARB",glIsImageHandleResidentARB);
  log("glIsTextureHandleResidentARB",glIsTextureHandleResidentARB);
  log("glMakeImageHandleNonResidentARB",glMakeImageHandleNonResidentARB);
  log("glMakeImageHandleResidentARB",glMakeImageHandleResidentARB);
  log("glMakeTextureHandleNonResidentARB",glMakeTextureHandleNonResidentARB);
  log("glMakeTextureHandleResidentARB",glMakeTextureHandleResidentARB);
  log("glProgramUniformHandleui64ARB",glProgramUniformHandleui64ARB);
  log("glProgramUniformHandleui64vARB",glProgramUniformHandleui64vARB);
  log("glUniformHandleui64ARB",glUniformHandleui64ARB);
  log("glUniformHandleui64vARB",glUniformHandleui64vARB);
  log("glVertexAttribL1ui64ARB",glVertexAttribL1ui64ARB);
  log("glVertexAttribL1ui64vARB",glVertexAttribL1ui64vARB);

/* GL_ARB_blend_func_extended */

  log("glBindFragDataLocationIndexed",glBindFragDataLocationIndexed);
  log("glGetFragDataIndex",glGetFragDataIndex);

/* GL_ARB_buffer_storage */

  log("glBufferStorage",glBufferStorage);
  log("glNamedBufferStorageEXT",glNamedBufferStorageEXT);

/* GL_ARB_cl_event */

  log("glCreateSyncFromCLeventARB",glCreateSyncFromCLeventARB);

/* GL_ARB_clear_buffer_object */

  log("glClearBufferData",glClearBufferData);
  log("glClearBufferSubData",glClearBufferSubData);
  log("glClearNamedBufferDataEXT",glClearNamedBufferDataEXT);
  log("glClearNamedBufferSubDataEXT",glClearNamedBufferSubDataEXT);

/* GL_ARB_clear_texture */

  log("glClearTexImage",glClearTexImage);
  log("glClearTexSubImage",glClearTexSubImage);

/* GL_ARB_clip_control */

  log("glClipControl",glClipControl);

/* GL_ARB_color_buffer_float */

  log("glClampColorARB",glClampColorARB);

/* GL_ARB_compute_shader */

  log("glDispatchCompute",glDispatchCompute);
  log("glDispatchComputeIndirect",glDispatchComputeIndirect);

/* GL_ARB_compute_variable_group_size */

  log("glDispatchComputeGroupSizeARB",glDispatchComputeGroupSizeARB);

/* GL_ARB_copy_buffer */

  log("glCopyBufferSubData",glCopyBufferSubData);

/* GL_ARB_copy_image */

  log("glCopyImageSubData",glCopyImageSubData);

/* GL_ARB_debug_output */

  log("glDebugMessageCallbackARB",glDebugMessageCallbackARB);
  log("glDebugMessageControlARB",glDebugMessageControlARB);
  log("glDebugMessageInsertARB",glDebugMessageInsertARB);
  log("glGetDebugMessageLogARB",glGetDebugMessageLogARB);

/* GL_ARB_direct_state_access */

  log("glBindTextureUnit",glBindTextureUnit);
  log("glBlitNamedFramebuffer",glBlitNamedFramebuffer);
  log("glCheckNamedFramebufferStatus",glCheckNamedFramebufferStatus);
  log("glClearNamedBufferData",glClearNamedBufferData);
  log("glClearNamedBufferSubData",glClearNamedBufferSubData);
  log("glClearNamedFramebufferfi",glClearNamedFramebufferfi);
  log("glClearNamedFramebufferfv",glClearNamedFramebufferfv);
  log("glClearNamedFramebufferiv",glClearNamedFramebufferiv);
  log("glClearNamedFramebufferuiv",glClearNamedFramebufferuiv);
  log("glCompressedTextureSubImage1D",glCompressedTextureSubImage1D);
  log("glCompressedTextureSubImage2D",glCompressedTextureSubImage2D);
  log("glCompressedTextureSubImage3D",glCompressedTextureSubImage3D);
  log("glCopyNamedBufferSubData",glCopyNamedBufferSubData);
  log("glCopyTextureSubImage1D",glCopyTextureSubImage1D);
  log("glCopyTextureSubImage2D",glCopyTextureSubImage2D);
  log("glCopyTextureSubImage3D",glCopyTextureSubImage3D);
  log("glCreateBuffers",glCreateBuffers);
  log("glCreateFramebuffers",glCreateFramebuffers);
  log("glCreateProgramPipelines",glCreateProgramPipelines);
  log("glCreateQueries",glCreateQueries);
  log("glCreateRenderbuffers",glCreateRenderbuffers);
  log("glCreateSamplers",glCreateSamplers);
  log("glCreateTextures",glCreateTextures);
  log("glCreateTransformFeedbacks",glCreateTransformFeedbacks);
  log("glCreateVertexArrays",glCreateVertexArrays);
  log("glDisableVertexArrayAttrib",glDisableVertexArrayAttrib);
  log("glEnableVertexArrayAttrib",glEnableVertexArrayAttrib);
  log("glFlushMappedNamedBufferRange",glFlushMappedNamedBufferRange);
  log("glGenerateTextureMipmap",glGenerateTextureMipmap);
  log("glGetCompressedTextureImage",glGetCompressedTextureImage);
  log("glGetNamedBufferParameteri64v",glGetNamedBufferParameteri64v);
  log("glGetNamedBufferParameteriv",glGetNamedBufferParameteriv);
  log("glGetNamedBufferPointerv",glGetNamedBufferPointerv);
  log("glGetNamedBufferSubData",glGetNamedBufferSubData);
  log("glGetNamedFramebufferAttachmentParameteriv",glGetNamedFramebufferAttachmentParameteriv);
  log("glGetNamedFramebufferParameteriv",glGetNamedFramebufferParameteriv);
  log("glGetNamedRenderbufferParameteriv",glGetNamedRenderbufferParameteriv);
  log("glGetTextureImage",glGetTextureImage);
  log("glGetTextureLevelParameterfv",glGetTextureLevelParameterfv);
  log("glGetTextureLevelParameteriv",glGetTextureLevelParameteriv);
  log("glGetTextureParameterIiv",glGetTextureParameterIiv);
  log("glGetTextureParameterIuiv",glGetTextureParameterIuiv);
  log("glGetTextureParameterfv",glGetTextureParameterfv);
  log("glGetTextureParameteriv",glGetTextureParameteriv);
  log("glGetTransformFeedbacki64_v",glGetTransformFeedbacki64_v);
  log("glGetTransformFeedbacki_v",glGetTransformFeedbacki_v);
  log("glGetTransformFeedbackiv",glGetTransformFeedbackiv);
  log("glGetVertexArrayIndexed64iv",glGetVertexArrayIndexed64iv);
  log("glGetVertexArrayIndexediv",glGetVertexArrayIndexediv);
  log("glGetVertexArrayiv",glGetVertexArrayiv);
  log("glInvalidateNamedFramebufferData",glInvalidateNamedFramebufferData);
  log("glInvalidateNamedFramebufferSubData",glInvalidateNamedFramebufferSubData);
  log("glMapNamedBuffer",glMapNamedBuffer);
  log("glMapNamedBufferRange",glMapNamedBufferRange);
  log("glNamedBufferData",glNamedBufferData);
  log("glNamedBufferStorage",glNamedBufferStorage);
  log("glNamedBufferSubData",glNamedBufferSubData);
  log("glNamedFramebufferDrawBuffer",glNamedFramebufferDrawBuffer);
  log("glNamedFramebufferDrawBuffers",glNamedFramebufferDrawBuffers);
  log("glNamedFramebufferParameteri",glNamedFramebufferParameteri);
  log("glNamedFramebufferReadBuffer",glNamedFramebufferReadBuffer);
  log("glNamedFramebufferRenderbuffer",glNamedFramebufferRenderbuffer);
  log("glNamedFramebufferTexture",glNamedFramebufferTexture);
  log("glNamedFramebufferTextureLayer",glNamedFramebufferTextureLayer);
  log("glNamedRenderbufferStorage",glNamedRenderbufferStorage);
  log("glNamedRenderbufferStorageMultisample",glNamedRenderbufferStorageMultisample);
  log("glTextureBuffer",glTextureBuffer);
  log("glTextureBufferRange",glTextureBufferRange);
  log("glTextureParameterIiv",glTextureParameterIiv);
  log("glTextureParameterIuiv",glTextureParameterIuiv);
  log("glTextureParameterf",glTextureParameterf);
  log("glTextureParameterfv",glTextureParameterfv);
  log("glTextureParameteri",glTextureParameteri);
  log("glTextureParameteriv",glTextureParameteriv);
  log("glTextureStorage1D",glTextureStorage1D);
  log("glTextureStorage2D",glTextureStorage2D);
  log("glTextureStorage2DMultisample",glTextureStorage2DMultisample);
  log("glTextureStorage3D",glTextureStorage3D);
  log("glTextureStorage3DMultisample",glTextureStorage3DMultisample);
  log("glTextureSubImage1D",glTextureSubImage1D);
  log("glTextureSubImage2D",glTextureSubImage2D);
  log("glTextureSubImage3D",glTextureSubImage3D);
  log("glTransformFeedbackBufferBase",glTransformFeedbackBufferBase);
  log("glTransformFeedbackBufferRange",glTransformFeedbackBufferRange);
  log("glUnmapNamedBuffer",glUnmapNamedBuffer);
  log("glVertexArrayAttribBinding",glVertexArrayAttribBinding);
  log("glVertexArrayAttribFormat",glVertexArrayAttribFormat);
  log("glVertexArrayAttribIFormat",glVertexArrayAttribIFormat);
  log("glVertexArrayAttribLFormat",glVertexArrayAttribLFormat);
  log("glVertexArrayBindingDivisor",glVertexArrayBindingDivisor);
  log("glVertexArrayElementBuffer",glVertexArrayElementBuffer);
  log("glVertexArrayVertexBuffer",glVertexArrayVertexBuffer);
  log("glVertexArrayVertexBuffers",glVertexArrayVertexBuffers);

/* GL_ARB_draw_buffers */

  log("glDrawBuffersARB",glDrawBuffersARB);

/* GL_ARB_draw_buffers_blend */

  log("glBlendEquationSeparateiARB",glBlendEquationSeparateiARB);
  log("glBlendEquationiARB",glBlendEquationiARB);
  log("glBlendFuncSeparateiARB",glBlendFuncSeparateiARB);
  log("glBlendFunciARB",glBlendFunciARB);

/* GL_ARB_draw_elements_base_vertex */

  log("glDrawElementsBaseVertex",glDrawElementsBaseVertex);
  log("glDrawElementsInstancedBaseVertex",glDrawElementsInstancedBaseVertex);
  log("glDrawRangeElementsBaseVertex",glDrawRangeElementsBaseVertex);
  log("glMultiDrawElementsBaseVertex",glMultiDrawElementsBaseVertex);

/* GL_ARB_draw_instanced */

  log("glDrawArraysInstancedARB",glDrawArraysInstancedARB);
  log("glDrawElementsInstancedARB",glDrawElementsInstancedARB);

/* GL_ARB_framebuffer_no_attachments */

  log("glFramebufferParameteri",glFramebufferParameteri);
  log("glGetFramebufferParameteriv",glGetFramebufferParameteriv);
  log("glGetNamedFramebufferParameterivEXT",glGetNamedFramebufferParameterivEXT);
  log("glNamedFramebufferParameteriEXT",glNamedFramebufferParameteriEXT);

/* GL_ARB_framebuffer_object */

  log("glBindFramebuffer",glBindFramebuffer);
  log("glBindRenderbuffer",glBindRenderbuffer);
  log("glBlitFramebuffer",glBlitFramebuffer);
  log("glCheckFramebufferStatus",glCheckFramebufferStatus);
  log("glDeleteFramebuffers",glDeleteFramebuffers);
  log("glDeleteRenderbuffers",glDeleteRenderbuffers);
  log("glFramebufferRenderbuffer",glFramebufferRenderbuffer);
  log("glFramebufferTexture1D",glFramebufferTexture1D);
  log("glFramebufferTexture2D",glFramebufferTexture2D);
  log("glFramebufferTexture3D",glFramebufferTexture3D);
  log("glFramebufferTextureLayer",glFramebufferTextureLayer);
  log("glGenFramebuffers",glGenFramebuffers);
  log("glGenRenderbuffers",glGenRenderbuffers);
  log("glGenerateMipmap",glGenerateMipmap);
  log("glGetFramebufferAttachmentParameteriv",glGetFramebufferAttachmentParameteriv);
  log("glGetRenderbufferParameteriv",glGetRenderbufferParameteriv);
  log("glIsFramebuffer",glIsFramebuffer);
  log("glIsRenderbuffer",glIsRenderbuffer);
  log("glRenderbufferStorage",glRenderbufferStorage);
  log("glRenderbufferStorageMultisample",glRenderbufferStorageMultisample);

/* GL_ARB_geometry_shader4 */

  log("glFramebufferTextureARB",glFramebufferTextureARB);
  log("glFramebufferTextureFaceARB",glFramebufferTextureFaceARB);
  log("glFramebufferTextureLayerARB",glFramebufferTextureLayerARB);
  log("glProgramParameteriARB",glProgramParameteriARB);

/* GL_ARB_get_program_binary */

  log("glGetProgramBinary",glGetProgramBinary);
  log("glProgramBinary",glProgramBinary);
  log("glProgramParameteri",glProgramParameteri);

/* GL_ARB_get_texture_sub_image */

  log("glGetCompressedTextureSubImage",glGetCompressedTextureSubImage);
  log("glGetTextureSubImage",glGetTextureSubImage);

/* GL_ARB_gpu_shader_fp64 */

  log("glGetUniformdv",glGetUniformdv);
  log("glUniform1d",glUniform1d);
  log("glUniform1dv",glUniform1dv);
  log("glUniform2d",glUniform2d);
  log("glUniform2dv",glUniform2dv);
  log("glUniform3d",glUniform3d);
  log("glUniform3dv",glUniform3dv);
  log("glUniform4d",glUniform4d);
  log("glUniform4dv",glUniform4dv);
  log("glUniformMatrix2dv",glUniformMatrix2dv);
  log("glUniformMatrix2x3dv",glUniformMatrix2x3dv);
  log("glUniformMatrix2x4dv",glUniformMatrix2x4dv);
  log("glUniformMatrix3dv",glUniformMatrix3dv);
  log("glUniformMatrix3x2dv",glUniformMatrix3x2dv);
  log("glUniformMatrix3x4dv",glUniformMatrix3x4dv);
  log("glUniformMatrix4dv",glUniformMatrix4dv);
  log("glUniformMatrix4x2dv",glUniformMatrix4x2dv);
  log("glUniformMatrix4x3dv",glUniformMatrix4x3dv);

/* GL_ARB_imaging */

  log("glColorSubTable",glColorSubTable);
  log("glColorTable",glColorTable);
  log("glColorTableParameterfv",glColorTableParameterfv);
  log("glColorTableParameteriv",glColorTableParameteriv);
  log("glConvolutionFilter1D",glConvolutionFilter1D);
  log("glConvolutionFilter2D",glConvolutionFilter2D);
  log("glConvolutionParameterf",glConvolutionParameterf);
  log("glConvolutionParameterfv",glConvolutionParameterfv);
  log("glConvolutionParameteri",glConvolutionParameteri);
  log("glConvolutionParameteriv",glConvolutionParameteriv);
  log("glCopyColorSubTable",glCopyColorSubTable);
  log("glCopyColorTable",glCopyColorTable);
  log("glCopyConvolutionFilter1D",glCopyConvolutionFilter1D);
  log("glCopyConvolutionFilter2D",glCopyConvolutionFilter2D);
  log("glGetColorTable",glGetColorTable);
  log("glGetColorTableParameterfv",glGetColorTableParameterfv);
  log("glGetColorTableParameteriv",glGetColorTableParameteriv);
  log("glGetConvolutionFilter",glGetConvolutionFilter);
  log("glGetConvolutionParameterfv",glGetConvolutionParameterfv);
  log("glGetConvolutionParameteriv",glGetConvolutionParameteriv);
  log("glGetHistogram",glGetHistogram);
  log("glGetHistogramParameterfv",glGetHistogramParameterfv);
  log("glGetHistogramParameteriv",glGetHistogramParameteriv);
  log("glGetMinmax",glGetMinmax);
  log("glGetMinmaxParameterfv",glGetMinmaxParameterfv);
  log("glGetMinmaxParameteriv",glGetMinmaxParameteriv);
  log("glGetSeparableFilter",glGetSeparableFilter);
  log("glHistogram",glHistogram);
  log("glMinmax",glMinmax);
  log("glResetHistogram",glResetHistogram);
  log("glResetMinmax",glResetMinmax);
  log("glSeparableFilter2D",glSeparableFilter2D);

/* GL_ARB_indirect_parameters */

  log("glMultiDrawArraysIndirectCountARB",glMultiDrawArraysIndirectCountARB);
  log("glMultiDrawElementsIndirectCountARB",glMultiDrawElementsIndirectCountARB);

/* GL_ARB_instanced_arrays */

  log("glVertexAttribDivisorARB",glVertexAttribDivisorARB);

/* GL_ARB_internalformat_query */

  log("glGetInternalformativ",glGetInternalformativ);

/* GL_ARB_internalformat_query2 */

  log("glGetInternalformati64v",glGetInternalformati64v);

/* GL_ARB_invalidate_subdata */

  log("glInvalidateBufferData",glInvalidateBufferData);
  log("glInvalidateBufferSubData",glInvalidateBufferSubData);
  log("glInvalidateFramebuffer",glInvalidateFramebuffer);
  log("glInvalidateSubFramebuffer",glInvalidateSubFramebuffer);
  log("glInvalidateTexImage",glInvalidateTexImage);
  log("glInvalidateTexSubImage",glInvalidateTexSubImage);

/* GL_ARB_map_buffer_range */

  log("glFlushMappedBufferRange",glFlushMappedBufferRange);
  log("glMapBufferRange",glMapBufferRange);

/* GL_ARB_matrix_palette */

  log("glCurrentPaletteMatrixARB",glCurrentPaletteMatrixARB);
  log("glMatrixIndexPointerARB",glMatrixIndexPointerARB);
  log("glMatrixIndexubvARB",glMatrixIndexubvARB);
  log("glMatrixIndexuivARB",glMatrixIndexuivARB);
  log("glMatrixIndexusvARB",glMatrixIndexusvARB);

/* GL_ARB_multi_bind */

  log("glBindBuffersBase",glBindBuffersBase);
  log("glBindBuffersRange",glBindBuffersRange);
  log("glBindImageTextures",glBindImageTextures);
  log("glBindSamplers",glBindSamplers);
  log("glBindTextures",glBindTextures);
  log("glBindVertexBuffers",glBindVertexBuffers);

/* GL_ARB_multi_draw_indirect */

  log("glMultiDrawArraysIndirect",glMultiDrawArraysIndirect);
  log("glMultiDrawElementsIndirect",glMultiDrawElementsIndirect);

/* GL_ARB_multisample */

  log("glSampleCoverageARB",glSampleCoverageARB);

/* GL_ARB_multitexture */

  log("glActiveTextureARB",glActiveTextureARB);
  log("glClientActiveTextureARB",glClientActiveTextureARB);
  log("glMultiTexCoord1dARB",glMultiTexCoord1dARB);
  log("glMultiTexCoord1dvARB",glMultiTexCoord1dvARB);
  log("glMultiTexCoord1fARB",glMultiTexCoord1fARB);
  log("glMultiTexCoord1fvARB",glMultiTexCoord1fvARB);
  log("glMultiTexCoord1iARB",glMultiTexCoord1iARB);
  log("glMultiTexCoord1ivARB",glMultiTexCoord1ivARB);
  log("glMultiTexCoord1sARB",glMultiTexCoord1sARB);
  log("glMultiTexCoord1svARB",glMultiTexCoord1svARB);
  log("glMultiTexCoord2dARB",glMultiTexCoord2dARB);
  log("glMultiTexCoord2dvARB",glMultiTexCoord2dvARB);
  log("glMultiTexCoord2fARB",glMultiTexCoord2fARB);
  log("glMultiTexCoord2fvARB",glMultiTexCoord2fvARB);
  log("glMultiTexCoord2iARB",glMultiTexCoord2iARB);
  log("glMultiTexCoord2ivARB",glMultiTexCoord2ivARB);
  log("glMultiTexCoord2sARB",glMultiTexCoord2sARB);
  log("glMultiTexCoord2svARB",glMultiTexCoord2svARB);
  log("glMultiTexCoord3dARB",glMultiTexCoord3dARB);
  log("glMultiTexCoord3dvARB",glMultiTexCoord3dvARB);
  log("glMultiTexCoord3fARB",glMultiTexCoord3fARB);
  log("glMultiTexCoord3fvARB",glMultiTexCoord3fvARB);
  log("glMultiTexCoord3iARB",glMultiTexCoord3iARB);
  log("glMultiTexCoord3ivARB",glMultiTexCoord3ivARB);
  log("glMultiTexCoord3sARB",glMultiTexCoord3sARB);
  log("glMultiTexCoord3svARB",glMultiTexCoord3svARB);
  log("glMultiTexCoord4dARB",glMultiTexCoord4dARB);
  log("glMultiTexCoord4dvARB",glMultiTexCoord4dvARB);
  log("glMultiTexCoord4fARB",glMultiTexCoord4fARB);
  log("glMultiTexCoord4fvARB",glMultiTexCoord4fvARB);
  log("glMultiTexCoord4iARB",glMultiTexCoord4iARB);
  log("glMultiTexCoord4ivARB",glMultiTexCoord4ivARB);
  log("glMultiTexCoord4sARB",glMultiTexCoord4sARB);
  log("glMultiTexCoord4svARB",glMultiTexCoord4svARB);

/* GL_ARB_occlusion_query */

  log("glBeginQueryARB",glBeginQueryARB);
  log("glDeleteQueriesARB",glDeleteQueriesARB);
  log("glEndQueryARB",glEndQueryARB);
  log("glGenQueriesARB",glGenQueriesARB);
  log("glGetQueryObjectivARB",glGetQueryObjectivARB);
  log("glGetQueryObjectuivARB",glGetQueryObjectuivARB);
  log("glGetQueryivARB",glGetQueryivARB);
  log("glIsQueryARB",glIsQueryARB);

/* GL_ARB_point_parameters */

  log("glPointParameterfARB",glPointParameterfARB);
  log("glPointParameterfvARB",glPointParameterfvARB);

/* GL_ARB_program_interface_query */

  log("glGetProgramInterfaceiv",glGetProgramInterfaceiv);
  log("glGetProgramResourceIndex",glGetProgramResourceIndex);
  log("glGetProgramResourceLocation",glGetProgramResourceLocation);
  log("glGetProgramResourceLocationIndex",glGetProgramResourceLocationIndex);
  log("glGetProgramResourceName",glGetProgramResourceName);
  log("glGetProgramResourceiv",glGetProgramResourceiv);

/* GL_ARB_provoking_vertex */

  log("glProvokingVertex",glProvokingVertex);

/* GL_ARB_robustness */

  log("glGetGraphicsResetStatusARB",glGetGraphicsResetStatusARB);
  log("glGetnColorTableARB",glGetnColorTableARB);
  log("glGetnCompressedTexImageARB",glGetnCompressedTexImageARB);
  log("glGetnConvolutionFilterARB",glGetnConvolutionFilterARB);
  log("glGetnHistogramARB",glGetnHistogramARB);
  log("glGetnMapdvARB",glGetnMapdvARB);
  log("glGetnMapfvARB",glGetnMapfvARB);
  log("glGetnMapivARB",glGetnMapivARB);
  log("glGetnMinmaxARB",glGetnMinmaxARB);
  log("glGetnPixelMapfvARB",glGetnPixelMapfvARB);
  log("glGetnPixelMapuivARB",glGetnPixelMapuivARB);
  log("glGetnPixelMapusvARB",glGetnPixelMapusvARB);
  log("glGetnPolygonStippleARB",glGetnPolygonStippleARB);
  log("glGetnSeparableFilterARB",glGetnSeparableFilterARB);
  log("glGetnTexImageARB",glGetnTexImageARB);
  log("glGetnUniformdvARB",glGetnUniformdvARB);
  log("glGetnUniformfvARB",glGetnUniformfvARB);
  log("glGetnUniformivARB",glGetnUniformivARB);
  log("glGetnUniformuivARB",glGetnUniformuivARB);
  log("glReadnPixelsARB",glReadnPixelsARB);

/* GL_ARB_sample_shading */

  log("glMinSampleShadingARB",glMinSampleShadingARB);

/* GL_ARB_sampler_objects */

  log("glBindSampler",glBindSampler);
  log("glDeleteSamplers",glDeleteSamplers);
  log("glGenSamplers",glGenSamplers);
  log("glGetSamplerParameterIiv",glGetSamplerParameterIiv);
  log("glGetSamplerParameterIuiv",glGetSamplerParameterIuiv);
  log("glGetSamplerParameterfv",glGetSamplerParameterfv);
  log("glGetSamplerParameteriv",glGetSamplerParameteriv);
  log("glIsSampler",glIsSampler);
  log("glSamplerParameterIiv",glSamplerParameterIiv);
  log("glSamplerParameterIuiv",glSamplerParameterIuiv);
  log("glSamplerParameterf",glSamplerParameterf);
  log("glSamplerParameterfv",glSamplerParameterfv);
  log("glSamplerParameteri",glSamplerParameteri);
  log("glSamplerParameteriv",glSamplerParameteriv);

/* GL_ARB_separate_shader_objects */

  log("glActiveShaderProgram",glActiveShaderProgram);
  log("glBindProgramPipeline",glBindProgramPipeline);
  log("glCreateShaderProgramv",glCreateShaderProgramv);
  log("glDeleteProgramPipelines",glDeleteProgramPipelines);
  log("glGenProgramPipelines",glGenProgramPipelines);
  log("glGetProgramPipelineInfoLog",glGetProgramPipelineInfoLog);
  log("glGetProgramPipelineiv",glGetProgramPipelineiv);
  log("glIsProgramPipeline",glIsProgramPipeline);
  log("glProgramUniform1d",glProgramUniform1d);
  log("glProgramUniform1dv",glProgramUniform1dv);
  log("glProgramUniform1f",glProgramUniform1f);
  log("glProgramUniform1fv",glProgramUniform1fv);
  log("glProgramUniform1i",glProgramUniform1i);
  log("glProgramUniform1iv",glProgramUniform1iv);
  log("glProgramUniform1ui",glProgramUniform1ui);
  log("glProgramUniform1uiv",glProgramUniform1uiv);
  log("glProgramUniform2d",glProgramUniform2d);
  log("glProgramUniform2dv",glProgramUniform2dv);
  log("glProgramUniform2f",glProgramUniform2f);
  log("glProgramUniform2fv",glProgramUniform2fv);
  log("glProgramUniform2i",glProgramUniform2i);
  log("glProgramUniform2iv",glProgramUniform2iv);
  log("glProgramUniform2ui",glProgramUniform2ui);
  log("glProgramUniform2uiv",glProgramUniform2uiv);
  log("glProgramUniform3d",glProgramUniform3d);
  log("glProgramUniform3dv",glProgramUniform3dv);
  log("glProgramUniform3f",glProgramUniform3f);
  log("glProgramUniform3fv",glProgramUniform3fv);
  log("glProgramUniform3i",glProgramUniform3i);
  log("glProgramUniform3iv",glProgramUniform3iv);
  log("glProgramUniform3ui",glProgramUniform3ui);
  log("glProgramUniform3uiv",glProgramUniform3uiv);
  log("glProgramUniform4d",glProgramUniform4d);
  log("glProgramUniform4dv",glProgramUniform4dv);
  log("glProgramUniform4f",glProgramUniform4f);
  log("glProgramUniform4fv",glProgramUniform4fv);
  log("glProgramUniform4i",glProgramUniform4i);
  log("glProgramUniform4iv",glProgramUniform4iv);
  log("glProgramUniform4ui",glProgramUniform4ui);
  log("glProgramUniform4uiv",glProgramUniform4uiv);
  log("glProgramUniformMatrix2dv",glProgramUniformMatrix2dv);
  log("glProgramUniformMatrix2fv",glProgramUniformMatrix2fv);
  log("glProgramUniformMatrix2x3dv",glProgramUniformMatrix2x3dv);
  log("glProgramUniformMatrix2x3fv",glProgramUniformMatrix2x3fv);
  log("glProgramUniformMatrix2x4dv",glProgramUniformMatrix2x4dv);
  log("glProgramUniformMatrix2x4fv",glProgramUniformMatrix2x4fv);
  log("glProgramUniformMatrix3dv",glProgramUniformMatrix3dv);
  log("glProgramUniformMatrix3fv",glProgramUniformMatrix3fv);
  log("glProgramUniformMatrix3x2dv",glProgramUniformMatrix3x2dv);
  log("glProgramUniformMatrix3x2fv",glProgramUniformMatrix3x2fv);
  log("glProgramUniformMatrix3x4dv",glProgramUniformMatrix3x4dv);
  log("glProgramUniformMatrix3x4fv",glProgramUniformMatrix3x4fv);
  log("glProgramUniformMatrix4dv",glProgramUniformMatrix4dv);
  log("glProgramUniformMatrix4fv",glProgramUniformMatrix4fv);
  log("glProgramUniformMatrix4x2dv",glProgramUniformMatrix4x2dv);
  log("glProgramUniformMatrix4x2fv",glProgramUniformMatrix4x2fv);
  log("glProgramUniformMatrix4x3dv",glProgramUniformMatrix4x3dv);
  log("glProgramUniformMatrix4x3fv",glProgramUniformMatrix4x3fv);
  log("glUseProgramStages",glUseProgramStages);
  log("glValidateProgramPipeline",glValidateProgramPipeline);

/* GL_ARB_shader_atomic_counters */

  log("glGetActiveAtomicCounterBufferiv",glGetActiveAtomicCounterBufferiv);

/* GL_ARB_shader_image_load_store */

  log("glBindImageTexture",glBindImageTexture);
  log("glMemoryBarrier",glMemoryBarrier);

/* GL_ARB_shader_objects */

  log("glAttachObjectARB",glAttachObjectARB);
  log("glCompileShaderARB",glCompileShaderARB);
  log("glCreateProgramObjectARB",glCreateProgramObjectARB);
  log("glCreateShaderObjectARB",glCreateShaderObjectARB);
  log("glDeleteObjectARB",glDeleteObjectARB);
  log("glDetachObjectARB",glDetachObjectARB);
  log("glGetActiveUniformARB",glGetActiveUniformARB);
  log("glGetAttachedObjectsARB",glGetAttachedObjectsARB);
  log("glGetHandleARB",glGetHandleARB);
  log("glGetInfoLogARB",glGetInfoLogARB);
  log("glGetObjectParameterfvARB",glGetObjectParameterfvARB);
  log("glGetObjectParameterivARB",glGetObjectParameterivARB);
  log("glGetShaderSourceARB",glGetShaderSourceARB);
  log("glGetUniformLocationARB",glGetUniformLocationARB);
  log("glGetUniformfvARB",glGetUniformfvARB);
  log("glGetUniformivARB",glGetUniformivARB);
  log("glLinkProgramARB",glLinkProgramARB);
  log("glShaderSourceARB",glShaderSourceARB);
  log("glUniform1fARB",glUniform1fARB);
  log("glUniform1fvARB",glUniform1fvARB);
  log("glUniform1iARB",glUniform1iARB);
  log("glUniform1ivARB",glUniform1ivARB);
  log("glUniform2fARB",glUniform2fARB);
  log("glUniform2fvARB",glUniform2fvARB);
  log("glUniform2iARB",glUniform2iARB);
  log("glUniform2ivARB",glUniform2ivARB);
  log("glUniform3fARB",glUniform3fARB);
  log("glUniform3fvARB",glUniform3fvARB);
  log("glUniform3iARB",glUniform3iARB);
  log("glUniform3ivARB",glUniform3ivARB);
  log("glUniform4fARB",glUniform4fARB);
  log("glUniform4fvARB",glUniform4fvARB);
  log("glUniform4iARB",glUniform4iARB);
  log("glUniform4ivARB",glUniform4ivARB);
  log("glUniformMatrix2fvARB",glUniformMatrix2fvARB);
  log("glUniformMatrix3fvARB",glUniformMatrix3fvARB);
  log("glUniformMatrix4fvARB",glUniformMatrix4fvARB);
  log("glUseProgramObjectARB",glUseProgramObjectARB);
  log("glValidateProgramARB",glValidateProgramARB);

/* GL_ARB_shader_storage_buffer_object */

  log("glShaderStorageBlockBinding",glShaderStorageBlockBinding);

/* GL_ARB_shader_subroutine */

  log("glGetActiveSubroutineName",glGetActiveSubroutineName);
  log("glGetActiveSubroutineUniformName",glGetActiveSubroutineUniformName);
  log("glGetActiveSubroutineUniformiv",glGetActiveSubroutineUniformiv);
  log("glGetProgramStageiv",glGetProgramStageiv);
  log("glGetProgramSubroutineParameteruivNV",glGetProgramSubroutineParameteruivNV);
  log("glGetSubroutineIndex",glGetSubroutineIndex);
  log("glGetSubroutineUniformLocation",glGetSubroutineUniformLocation);
  log("glGetUniformSubroutineuiv",glGetUniformSubroutineuiv);
  log("glProgramSubroutineParametersuivNV",glProgramSubroutineParametersuivNV);
  log("glUniformSubroutinesuiv",glUniformSubroutinesuiv);

/* GL_ARB_shading_language_include */

  log("glCompileShaderIncludeARB",glCompileShaderIncludeARB);
  log("glDeleteNamedStringARB",glDeleteNamedStringARB);
  log("glGetNamedStringARB",glGetNamedStringARB);
  log("glGetNamedStringivARB",glGetNamedStringivARB);
  log("glIsNamedStringARB",glIsNamedStringARB);
  log("glNamedStringARB",glNamedStringARB);

/* GL_ARB_sparse_buffer */

  log("glBufferPageCommitmentARB",glBufferPageCommitmentARB);

/* GL_ARB_sparse_texture */

  log("glTexPageCommitmentARB",glTexPageCommitmentARB);
  log("glTexturePageCommitmentEXT",glTexturePageCommitmentEXT);

/* GL_ARB_sync */

  log("glClientWaitSync",glClientWaitSync);
  log("glDeleteSync",glDeleteSync);
  log("glFenceSync",glFenceSync);
  log("glGetInteger64v",glGetInteger64v);
  log("glGetSynciv",glGetSynciv);
  log("glIsSync",glIsSync);
  log("glWaitSync",glWaitSync);

/* GL_ARB_tessellation_shader */

  log("glPatchParameterfv",glPatchParameterfv);
  log("glPatchParameteri",glPatchParameteri);

/* GL_ARB_texture_barrier */

  log("glTextureBarrier",glTextureBarrier);

/* GL_ARB_texture_buffer_object */

  log("glTexBufferARB",glTexBufferARB);

/* GL_ARB_texture_buffer_range */

  log("glTexBufferRange",glTexBufferRange);
  log("glTextureBufferRangeEXT",glTextureBufferRangeEXT);

/* GL_ARB_texture_compression */

  log("glCompressedTexImage1DARB",glCompressedTexImage1DARB);
  log("glCompressedTexImage2DARB",glCompressedTexImage2DARB);
  log("glCompressedTexImage3DARB",glCompressedTexImage3DARB);
  log("glCompressedTexSubImage1DARB",glCompressedTexSubImage1DARB);
  log("glCompressedTexSubImage2DARB",glCompressedTexSubImage2DARB);
  log("glCompressedTexSubImage3DARB",glCompressedTexSubImage3DARB);
  log("glGetCompressedTexImageARB",glGetCompressedTexImageARB);

/* GL_ARB_texture_multisample */

  log("glGetMultisamplefv",glGetMultisamplefv);
  log("glSampleMaski",glSampleMaski);
  log("glTexImage2DMultisample",glTexImage2DMultisample);
  log("glTexImage3DMultisample",glTexImage3DMultisample);

/* GL_ARB_texture_storage */

  log("glTexStorage1D",glTexStorage1D);
  log("glTexStorage2D",glTexStorage2D);
  log("glTexStorage3D",glTexStorage3D);
  log("glTextureStorage1DEXT",glTextureStorage1DEXT);
  log("glTextureStorage2DEXT",glTextureStorage2DEXT);
  log("glTextureStorage3DEXT",glTextureStorage3DEXT);

/* GL_ARB_texture_storage_multisample */

  log("glTexStorage2DMultisample",glTexStorage2DMultisample);
  log("glTexStorage3DMultisample",glTexStorage3DMultisample);
  log("glTextureStorage2DMultisampleEXT",glTextureStorage2DMultisampleEXT);
  log("glTextureStorage3DMultisampleEXT",glTextureStorage3DMultisampleEXT);

/* GL_ARB_texture_view */

  log("glTextureView",glTextureView);

/* GL_ARB_timer_query */

  log("glGetQueryObjecti64v",glGetQueryObjecti64v);
  log("glGetQueryObjectui64v",glGetQueryObjectui64v);
  log("glQueryCounter",glQueryCounter);

/* GL_ARB_transform_feedback2 */

  log("glBindTransformFeedback",glBindTransformFeedback);
  log("glDeleteTransformFeedbacks",glDeleteTransformFeedbacks);
  log("glDrawTransformFeedback",glDrawTransformFeedback);
  log("glGenTransformFeedbacks",glGenTransformFeedbacks);
  log("glIsTransformFeedback",glIsTransformFeedback);
  log("glPauseTransformFeedback",glPauseTransformFeedback);
  log("glResumeTransformFeedback",glResumeTransformFeedback);

/* GL_ARB_transform_feedback3 */

  log("glBeginQueryIndexed",glBeginQueryIndexed);
  log("glDrawTransformFeedbackStream",glDrawTransformFeedbackStream);
  log("glEndQueryIndexed",glEndQueryIndexed);
  log("glGetQueryIndexediv",glGetQueryIndexediv);

/* GL_ARB_transform_feedback_instanced */

  log("glDrawTransformFeedbackInstanced",glDrawTransformFeedbackInstanced);
  log("glDrawTransformFeedbackStreamInstanced",glDrawTransformFeedbackStreamInstanced);

/* GL_ARB_transpose_matrix */

  log("glLoadTransposeMatrixdARB",glLoadTransposeMatrixdARB);
  log("glLoadTransposeMatrixfARB",glLoadTransposeMatrixfARB);
  log("glMultTransposeMatrixdARB",glMultTransposeMatrixdARB);
  log("glMultTransposeMatrixfARB",glMultTransposeMatrixfARB);

/* GL_ARB_uniform_buffer_object */

  log("glBindBufferBase",glBindBufferBase);
  log("glBindBufferRange",glBindBufferRange);
  log("glGetActiveUniformBlockName",glGetActiveUniformBlockName);
  log("glGetActiveUniformBlockiv",glGetActiveUniformBlockiv);
  log("glGetActiveUniformName",glGetActiveUniformName);
  log("glGetActiveUniformsiv",glGetActiveUniformsiv);
  log("glGetIntegeri_v",glGetIntegeri_v);
  log("glGetUniformBlockIndex",glGetUniformBlockIndex);
  log("glGetUniformIndices",glGetUniformIndices);
  log("glUniformBlockBinding",glUniformBlockBinding);

/* GL_ARB_vertex_array_object */

  log("glBindVertexArray",glBindVertexArray);
  log("glDeleteVertexArrays",glDeleteVertexArrays);
  log("glGenVertexArrays",glGenVertexArrays);
  log("glIsVertexArray",glIsVertexArray);

/* GL_ARB_vertex_attrib_64bit */

  log("glGetVertexAttribLdv",glGetVertexAttribLdv);
  log("glVertexAttribL1d",glVertexAttribL1d);
  log("glVertexAttribL1dv",glVertexAttribL1dv);
  log("glVertexAttribL2d",glVertexAttribL2d);
  log("glVertexAttribL2dv",glVertexAttribL2dv);
  log("glVertexAttribL3d",glVertexAttribL3d);
  log("glVertexAttribL3dv",glVertexAttribL3dv);
  log("glVertexAttribL4d",glVertexAttribL4d);
  log("glVertexAttribL4dv",glVertexAttribL4dv);
  log("glVertexAttribLPointer",glVertexAttribLPointer);

/* GL_ARB_vertex_attrib_binding */

  log("glBindVertexBuffer",glBindVertexBuffer);
  log("glVertexArrayBindVertexBufferEXT",glVertexArrayBindVertexBufferEXT);
  log("glVertexArrayVertexAttribBindingEXT",glVertexArrayVertexAttribBindingEXT);
  log("glVertexArrayVertexAttribFormatEXT",glVertexArrayVertexAttribFormatEXT);
  log("glVertexArrayVertexAttribIFormatEXT",glVertexArrayVertexAttribIFormatEXT);
  log("glVertexArrayVertexAttribLFormatEXT",glVertexArrayVertexAttribLFormatEXT);
  log("glVertexArrayVertexBindingDivisorEXT",glVertexArrayVertexBindingDivisorEXT);
  log("glVertexAttribBinding",glVertexAttribBinding);
  log("glVertexAttribFormat",glVertexAttribFormat);
  log("glVertexAttribIFormat",glVertexAttribIFormat);
  log("glVertexAttribLFormat",glVertexAttribLFormat);
  log("glVertexBindingDivisor",glVertexBindingDivisor);

/* GL_ARB_vertex_blend */

  log("glVertexBlendARB",glVertexBlendARB);
  log("glWeightPointerARB",glWeightPointerARB);
  log("glWeightbvARB",glWeightbvARB);
  log("glWeightdvARB",glWeightdvARB);
  log("glWeightfvARB",glWeightfvARB);
  log("glWeightivARB",glWeightivARB);
  log("glWeightsvARB",glWeightsvARB);
  log("glWeightubvARB",glWeightubvARB);
  log("glWeightuivARB",glWeightuivARB);
  log("glWeightusvARB",glWeightusvARB);

/* GL_ARB_vertex_buffer_object */

  log("glBindBufferARB",glBindBufferARB);
  log("glBufferDataARB",glBufferDataARB);
  log("glBufferSubDataARB",glBufferSubDataARB);
  log("glDeleteBuffersARB",glDeleteBuffersARB);
  log("glGenBuffersARB",glGenBuffersARB);
  log("glGetBufferParameterivARB",glGetBufferParameterivARB);
  log("glGetBufferPointervARB",glGetBufferPointervARB);
  log("glGetBufferSubDataARB",glGetBufferSubDataARB);
  log("glIsBufferARB",glIsBufferARB);
  log("glMapBufferARB",glMapBufferARB);
  log("glUnmapBufferARB",glUnmapBufferARB);

/* GL_ARB_vertex_program */

  log("glBindProgramARB",glBindProgramARB);
  log("glDeleteProgramsARB",glDeleteProgramsARB);
  log("glDisableVertexAttribArrayARB",glDisableVertexAttribArrayARB);
  log("glEnableVertexAttribArrayARB",glEnableVertexAttribArrayARB);
  log("glGenProgramsARB",glGenProgramsARB);
  log("glGetProgramEnvParameterdvARB",glGetProgramEnvParameterdvARB);
  log("glGetProgramEnvParameterfvARB",glGetProgramEnvParameterfvARB);
  log("glGetProgramLocalParameterdvARB",glGetProgramLocalParameterdvARB);
  log("glGetProgramLocalParameterfvARB",glGetProgramLocalParameterfvARB);
  log("glGetProgramStringARB",glGetProgramStringARB);
  log("glGetProgramivARB",glGetProgramivARB);
  log("glGetVertexAttribPointervARB",glGetVertexAttribPointervARB);
  log("glGetVertexAttribdvARB",glGetVertexAttribdvARB);
  log("glGetVertexAttribfvARB",glGetVertexAttribfvARB);
  log("glGetVertexAttribivARB",glGetVertexAttribivARB);
  log("glIsProgramARB",glIsProgramARB);
  log("glProgramEnvParameter4dARB",glProgramEnvParameter4dARB);
  log("glProgramEnvParameter4dvARB",glProgramEnvParameter4dvARB);
  log("glProgramEnvParameter4fARB",glProgramEnvParameter4fARB);
  log("glProgramEnvParameter4fvARB",glProgramEnvParameter4fvARB);
  log("glProgramLocalParameter4dARB",glProgramLocalParameter4dARB);
  log("glProgramLocalParameter4dvARB",glProgramLocalParameter4dvARB);
  log("glProgramLocalParameter4fARB",glProgramLocalParameter4fARB);
  log("glProgramLocalParameter4fvARB",glProgramLocalParameter4fvARB);
  log("glProgramStringARB",glProgramStringARB);
  log("glVertexAttrib1dARB",glVertexAttrib1dARB);
  log("glVertexAttrib1dvARB",glVertexAttrib1dvARB);
  log("glVertexAttrib1fARB",glVertexAttrib1fARB);
  log("glVertexAttrib1fvARB",glVertexAttrib1fvARB);
  log("glVertexAttrib1sARB",glVertexAttrib1sARB);
  log("glVertexAttrib1svARB",glVertexAttrib1svARB);
  log("glVertexAttrib2dARB",glVertexAttrib2dARB);
  log("glVertexAttrib2dvARB",glVertexAttrib2dvARB);
  log("glVertexAttrib2fARB",glVertexAttrib2fARB);
  log("glVertexAttrib2fvARB",glVertexAttrib2fvARB);
  log("glVertexAttrib2sARB",glVertexAttrib2sARB);
  log("glVertexAttrib2svARB",glVertexAttrib2svARB);
  log("glVertexAttrib3dARB",glVertexAttrib3dARB);
  log("glVertexAttrib3dvARB",glVertexAttrib3dvARB);
  log("glVertexAttrib3fARB",glVertexAttrib3fARB);
  log("glVertexAttrib3fvARB",glVertexAttrib3fvARB);
  log("glVertexAttrib3sARB",glVertexAttrib3sARB);
  log("glVertexAttrib3svARB",glVertexAttrib3svARB);
  log("glVertexAttrib4NbvARB",glVertexAttrib4NbvARB);
  log("glVertexAttrib4NivARB",glVertexAttrib4NivARB);
  log("glVertexAttrib4NsvARB",glVertexAttrib4NsvARB);
  log("glVertexAttrib4NubARB",glVertexAttrib4NubARB);
  log("glVertexAttrib4NubvARB",glVertexAttrib4NubvARB);
  log("glVertexAttrib4NuivARB",glVertexAttrib4NuivARB);
  log("glVertexAttrib4NusvARB",glVertexAttrib4NusvARB);
  log("glVertexAttrib4bvARB",glVertexAttrib4bvARB);
  log("glVertexAttrib4dARB",glVertexAttrib4dARB);
  log("glVertexAttrib4dvARB",glVertexAttrib4dvARB);
  log("glVertexAttrib4fARB",glVertexAttrib4fARB);
  log("glVertexAttrib4fvARB",glVertexAttrib4fvARB);
  log("glVertexAttrib4ivARB",glVertexAttrib4ivARB);
  log("glVertexAttrib4sARB",glVertexAttrib4sARB);
  log("glVertexAttrib4svARB",glVertexAttrib4svARB);
  log("glVertexAttrib4ubvARB",glVertexAttrib4ubvARB);
  log("glVertexAttrib4uivARB",glVertexAttrib4uivARB);
  log("glVertexAttrib4usvARB",glVertexAttrib4usvARB);
  log("glVertexAttribPointerARB",glVertexAttribPointerARB);

/* GL_ARB_vertex_shader */

  log("glBindAttribLocationARB",glBindAttribLocationARB);
  log("glGetActiveAttribARB",glGetActiveAttribARB);
  log("glGetAttribLocationARB",glGetAttribLocationARB);

/* GL_ARB_vertex_type_2_10_10_10_rev */

  log("glColorP3ui",glColorP3ui);
  log("glColorP3uiv",glColorP3uiv);
  log("glColorP4ui",glColorP4ui);
  log("glColorP4uiv",glColorP4uiv);
  log("glMultiTexCoordP1ui",glMultiTexCoordP1ui);
  log("glMultiTexCoordP1uiv",glMultiTexCoordP1uiv);
  log("glMultiTexCoordP2ui",glMultiTexCoordP2ui);
  log("glMultiTexCoordP2uiv",glMultiTexCoordP2uiv);
  log("glMultiTexCoordP3ui",glMultiTexCoordP3ui);
  log("glMultiTexCoordP3uiv",glMultiTexCoordP3uiv);
  log("glMultiTexCoordP4ui",glMultiTexCoordP4ui);
  log("glMultiTexCoordP4uiv",glMultiTexCoordP4uiv);
  log("glNormalP3ui",glNormalP3ui);
  log("glNormalP3uiv",glNormalP3uiv);
  log("glSecondaryColorP3ui",glSecondaryColorP3ui);
  log("glSecondaryColorP3uiv",glSecondaryColorP3uiv);
  log("glTexCoordP1ui",glTexCoordP1ui);
  log("glTexCoordP1uiv",glTexCoordP1uiv);
  log("glTexCoordP2ui",glTexCoordP2ui);
  log("glTexCoordP2uiv",glTexCoordP2uiv);
  log("glTexCoordP3ui",glTexCoordP3ui);
  log("glTexCoordP3uiv",glTexCoordP3uiv);
  log("glTexCoordP4ui",glTexCoordP4ui);
  log("glTexCoordP4uiv",glTexCoordP4uiv);
  log("glVertexAttribP1ui",glVertexAttribP1ui);
  log("glVertexAttribP1uiv",glVertexAttribP1uiv);
  log("glVertexAttribP2ui",glVertexAttribP2ui);
  log("glVertexAttribP2uiv",glVertexAttribP2uiv);
  log("glVertexAttribP3ui",glVertexAttribP3ui);
  log("glVertexAttribP3uiv",glVertexAttribP3uiv);
  log("glVertexAttribP4ui",glVertexAttribP4ui);
  log("glVertexAttribP4uiv",glVertexAttribP4uiv);
  log("glVertexP2ui",glVertexP2ui);
  log("glVertexP2uiv",glVertexP2uiv);
  log("glVertexP3ui",glVertexP3ui);
  log("glVertexP3uiv",glVertexP3uiv);
  log("glVertexP4ui",glVertexP4ui);
  log("glVertexP4uiv",glVertexP4uiv);

/* GL_ARB_viewport_array */

  log("glDepthRangeArrayv",glDepthRangeArrayv);
  log("glDepthRangeIndexed",glDepthRangeIndexed);
  log("glGetDoublei_v",glGetDoublei_v);
  log("glGetFloati_v",glGetFloati_v);
  log("glScissorArrayv",glScissorArrayv);
  log("glScissorIndexed",glScissorIndexed);
  log("glScissorIndexedv",glScissorIndexedv);
  log("glViewportArrayv",glViewportArrayv);
  log("glViewportIndexedf",glViewportIndexedf);
  log("glViewportIndexedfv",glViewportIndexedfv);

/* GL_ARB_window_pos */

  log("glWindowPos2dARB",glWindowPos2dARB);
  log("glWindowPos2dvARB",glWindowPos2dvARB);
  log("glWindowPos2fARB",glWindowPos2fARB);
  log("glWindowPos2fvARB",glWindowPos2fvARB);
  log("glWindowPos2iARB",glWindowPos2iARB);
  log("glWindowPos2ivARB",glWindowPos2ivARB);
  log("glWindowPos2sARB",glWindowPos2sARB);
  log("glWindowPos2svARB",glWindowPos2svARB);
  log("glWindowPos3dARB",glWindowPos3dARB);
  log("glWindowPos3dvARB",glWindowPos3dvARB);
  log("glWindowPos3fARB",glWindowPos3fARB);
  log("glWindowPos3fvARB",glWindowPos3fvARB);
  log("glWindowPos3iARB",glWindowPos3iARB);
  log("glWindowPos3ivARB",glWindowPos3ivARB);
  log("glWindowPos3sARB",glWindowPos3sARB);
  log("glWindowPos3svARB",glWindowPos3svARB);

/* GL_ATI_draw_buffers */

  log("glDrawBuffersATI",glDrawBuffersATI);

/* GL_ATI_element_array */

  log("glDrawElementArrayATI",glDrawElementArrayATI);
  log("glDrawRangeElementArrayATI",glDrawRangeElementArrayATI);
  log("glElementPointerATI",glElementPointerATI);

/* GL_ATI_envmap_bumpmap */

  log("glGetTexBumpParameterfvATI",glGetTexBumpParameterfvATI);
  log("glGetTexBumpParameterivATI",glGetTexBumpParameterivATI);
  log("glTexBumpParameterfvATI",glTexBumpParameterfvATI);
  log("glTexBumpParameterivATI",glTexBumpParameterivATI);

/* GL_ATI_fragment_shader */

  log("glAlphaFragmentOp1ATI",glAlphaFragmentOp1ATI);
  log("glAlphaFragmentOp2ATI",glAlphaFragmentOp2ATI);
  log("glAlphaFragmentOp3ATI",glAlphaFragmentOp3ATI);
  log("glBeginFragmentShaderATI",glBeginFragmentShaderATI);
  log("glBindFragmentShaderATI",glBindFragmentShaderATI);
  log("glColorFragmentOp1ATI",glColorFragmentOp1ATI);
  log("glColorFragmentOp2ATI",glColorFragmentOp2ATI);
  log("glColorFragmentOp3ATI",glColorFragmentOp3ATI);
  log("glDeleteFragmentShaderATI",glDeleteFragmentShaderATI);
  log("glEndFragmentShaderATI",glEndFragmentShaderATI);
  log("glGenFragmentShadersATI",glGenFragmentShadersATI);
  log("glPassTexCoordATI",glPassTexCoordATI);
  log("glSampleMapATI",glSampleMapATI);
  log("glSetFragmentShaderConstantATI",glSetFragmentShaderConstantATI);

/* GL_ATI_map_object_buffer */

  log("glMapObjectBufferATI",glMapObjectBufferATI);
  log("glUnmapObjectBufferATI",glUnmapObjectBufferATI);

/* GL_ATI_pn_triangles */

  log("glPNTrianglesfATI",glPNTrianglesfATI);
  log("glPNTrianglesiATI",glPNTrianglesiATI);

/* GL_ATI_separate_stencil */

  log("glStencilFuncSeparateATI",glStencilFuncSeparateATI);
  log("glStencilOpSeparateATI",glStencilOpSeparateATI);

/* GL_ATI_vertex_array_object */

  log("glArrayObjectATI",glArrayObjectATI);
  log("glFreeObjectBufferATI",glFreeObjectBufferATI);
  log("glGetArrayObjectfvATI",glGetArrayObjectfvATI);
  log("glGetArrayObjectivATI",glGetArrayObjectivATI);
  log("glGetObjectBufferfvATI",glGetObjectBufferfvATI);
  log("glGetObjectBufferivATI",glGetObjectBufferivATI);
  log("glGetVariantArrayObjectfvATI",glGetVariantArrayObjectfvATI);
  log("glGetVariantArrayObjectivATI",glGetVariantArrayObjectivATI);
  log("glIsObjectBufferATI",glIsObjectBufferATI);
  log("glNewObjectBufferATI",glNewObjectBufferATI);
  log("glUpdateObjectBufferATI",glUpdateObjectBufferATI);
  log("glVariantArrayObjectATI",glVariantArrayObjectATI);

/* GL_ATI_vertex_attrib_array_object */

  log("glGetVertexAttribArrayObjectfvATI",glGetVertexAttribArrayObjectfvATI);
  log("glGetVertexAttribArrayObjectivATI",glGetVertexAttribArrayObjectivATI);
  log("glVertexAttribArrayObjectATI",glVertexAttribArrayObjectATI);

/* GL_ATI_vertex_streams */

  log("glClientActiveVertexStreamATI",glClientActiveVertexStreamATI);
  log("glNormalStream3bATI",glNormalStream3bATI);
  log("glNormalStream3bvATI",glNormalStream3bvATI);
  log("glNormalStream3dATI",glNormalStream3dATI);
  log("glNormalStream3dvATI",glNormalStream3dvATI);
  log("glNormalStream3fATI",glNormalStream3fATI);
  log("glNormalStream3fvATI",glNormalStream3fvATI);
  log("glNormalStream3iATI",glNormalStream3iATI);
  log("glNormalStream3ivATI",glNormalStream3ivATI);
  log("glNormalStream3sATI",glNormalStream3sATI);
  log("glNormalStream3svATI",glNormalStream3svATI);
  log("glVertexBlendEnvfATI",glVertexBlendEnvfATI);
  log("glVertexBlendEnviATI",glVertexBlendEnviATI);
  log("glVertexStream1dATI",glVertexStream1dATI);
  log("glVertexStream1dvATI",glVertexStream1dvATI);
  log("glVertexStream1fATI",glVertexStream1fATI);
  log("glVertexStream1fvATI",glVertexStream1fvATI);
  log("glVertexStream1iATI",glVertexStream1iATI);
  log("glVertexStream1ivATI",glVertexStream1ivATI);
  log("glVertexStream1sATI",glVertexStream1sATI);
  log("glVertexStream1svATI",glVertexStream1svATI);
  log("glVertexStream2dATI",glVertexStream2dATI);
  log("glVertexStream2dvATI",glVertexStream2dvATI);
  log("glVertexStream2fATI",glVertexStream2fATI);
  log("glVertexStream2fvATI",glVertexStream2fvATI);
  log("glVertexStream2iATI",glVertexStream2iATI);
  log("glVertexStream2ivATI",glVertexStream2ivATI);
  log("glVertexStream2sATI",glVertexStream2sATI);
  log("glVertexStream2svATI",glVertexStream2svATI);
  log("glVertexStream3dATI",glVertexStream3dATI);
  log("glVertexStream3dvATI",glVertexStream3dvATI);
  log("glVertexStream3fATI",glVertexStream3fATI);
  log("glVertexStream3fvATI",glVertexStream3fvATI);
  log("glVertexStream3iATI",glVertexStream3iATI);
  log("glVertexStream3ivATI",glVertexStream3ivATI);
  log("glVertexStream3sATI",glVertexStream3sATI);
  log("glVertexStream3svATI",glVertexStream3svATI);
  log("glVertexStream4dATI",glVertexStream4dATI);
  log("glVertexStream4dvATI",glVertexStream4dvATI);
  log("glVertexStream4fATI",glVertexStream4fATI);
  log("glVertexStream4fvATI",glVertexStream4fvATI);
  log("glVertexStream4iATI",glVertexStream4iATI);
  log("glVertexStream4ivATI",glVertexStream4ivATI);
  log("glVertexStream4sATI",glVertexStream4sATI);
  log("glVertexStream4svATI",glVertexStream4svATI);

/* GL_EXT_bindable_uniform */

  log("glGetUniformBufferSizeEXT",glGetUniformBufferSizeEXT);
  log("glGetUniformOffsetEXT",glGetUniformOffsetEXT);
  log("glUniformBufferEXT",glUniformBufferEXT);

/* GL_EXT_blend_color */

  log("glBlendColorEXT",glBlendColorEXT);

/* GL_EXT_blend_equation_separate */

  log("glBlendEquationSeparateEXT",glBlendEquationSeparateEXT);

/* GL_EXT_blend_func_separate */

  log("glBlendFuncSeparateEXT",glBlendFuncSeparateEXT);

/* GL_EXT_blend_minmax */

  log("glBlendEquationEXT",glBlendEquationEXT);

/* GL_EXT_color_subtable */

  log("glColorSubTableEXT",glColorSubTableEXT);
  log("glCopyColorSubTableEXT",glCopyColorSubTableEXT);

/* GL_EXT_compiled_vertex_array */

  log("glLockArraysEXT",glLockArraysEXT);
  log("glUnlockArraysEXT",glUnlockArraysEXT);

/* GL_EXT_convolution */

  log("glConvolutionFilter1DEXT",glConvolutionFilter1DEXT);
  log("glConvolutionFilter2DEXT",glConvolutionFilter2DEXT);
  log("glConvolutionParameterfEXT",glConvolutionParameterfEXT);
  log("glConvolutionParameterfvEXT",glConvolutionParameterfvEXT);
  log("glConvolutionParameteriEXT",glConvolutionParameteriEXT);
  log("glConvolutionParameterivEXT",glConvolutionParameterivEXT);
  log("glCopyConvolutionFilter1DEXT",glCopyConvolutionFilter1DEXT);
  log("glCopyConvolutionFilter2DEXT",glCopyConvolutionFilter2DEXT);
  log("glGetConvolutionFilterEXT",glGetConvolutionFilterEXT);
  log("glGetConvolutionParameterfvEXT",glGetConvolutionParameterfvEXT);
  log("glGetConvolutionParameterivEXT",glGetConvolutionParameterivEXT);
  log("glGetSeparableFilterEXT",glGetSeparableFilterEXT);
  log("glSeparableFilter2DEXT",glSeparableFilter2DEXT);

/* GL_EXT_coordinate_frame */

  log("glBinormal3bEXT",glBinormal3bEXT);
  log("glBinormal3bvEXT",glBinormal3bvEXT);
  log("glBinormal3dEXT",glBinormal3dEXT);
  log("glBinormal3dvEXT",glBinormal3dvEXT);
  log("glBinormal3fEXT",glBinormal3fEXT);
  log("glBinormal3fvEXT",glBinormal3fvEXT);
  log("glBinormal3iEXT",glBinormal3iEXT);
  log("glBinormal3ivEXT",glBinormal3ivEXT);
  log("glBinormal3sEXT",glBinormal3sEXT);
  log("glBinormal3svEXT",glBinormal3svEXT);
  log("glBinormalPointerEXT",glBinormalPointerEXT);
  log("glTangent3bEXT",glTangent3bEXT);
  log("glTangent3bvEXT",glTangent3bvEXT);
  log("glTangent3dEXT",glTangent3dEXT);
  log("glTangent3dvEXT",glTangent3dvEXT);
  log("glTangent3fEXT",glTangent3fEXT);
  log("glTangent3fvEXT",glTangent3fvEXT);
  log("glTangent3iEXT",glTangent3iEXT);
  log("glTangent3ivEXT",glTangent3ivEXT);
  log("glTangent3sEXT",glTangent3sEXT);
  log("glTangent3svEXT",glTangent3svEXT);
  log("glTangentPointerEXT",glTangentPointerEXT);

/* GL_EXT_copy_texture */

  log("glCopyTexImage1DEXT",glCopyTexImage1DEXT);
  log("glCopyTexImage2DEXT",glCopyTexImage2DEXT);
  log("glCopyTexSubImage1DEXT",glCopyTexSubImage1DEXT);
  log("glCopyTexSubImage2DEXT",glCopyTexSubImage2DEXT);
  log("glCopyTexSubImage3DEXT",glCopyTexSubImage3DEXT);

/* GL_EXT_cull_vertex */

  log("glCullParameterdvEXT",glCullParameterdvEXT);
  log("glCullParameterfvEXT",glCullParameterfvEXT);

/* GL_EXT_debug_label */

  log("glGetObjectLabelEXT",glGetObjectLabelEXT);
  log("glLabelObjectEXT",glLabelObjectEXT);

/* GL_EXT_debug_marker */

  log("glInsertEventMarkerEXT",glInsertEventMarkerEXT);
  log("glPopGroupMarkerEXT",glPopGroupMarkerEXT);
  log("glPushGroupMarkerEXT",glPushGroupMarkerEXT);

/* GL_EXT_depth_bounds_test */

  log("glDepthBoundsEXT",glDepthBoundsEXT);

/* GL_EXT_direct_state_access */

  log("glBindMultiTextureEXT",glBindMultiTextureEXT);
  log("glCheckNamedFramebufferStatusEXT",glCheckNamedFramebufferStatusEXT);
  log("glClientAttribDefaultEXT",glClientAttribDefaultEXT);
  log("glCompressedMultiTexImage1DEXT",glCompressedMultiTexImage1DEXT);
  log("glCompressedMultiTexImage2DEXT",glCompressedMultiTexImage2DEXT);
  log("glCompressedMultiTexImage3DEXT",glCompressedMultiTexImage3DEXT);
  log("glCompressedMultiTexSubImage1DEXT",glCompressedMultiTexSubImage1DEXT);
  log("glCompressedMultiTexSubImage2DEXT",glCompressedMultiTexSubImage2DEXT);
  log("glCompressedMultiTexSubImage3DEXT",glCompressedMultiTexSubImage3DEXT);
  log("glCompressedTextureImage1DEXT",glCompressedTextureImage1DEXT);
  log("glCompressedTextureImage2DEXT",glCompressedTextureImage2DEXT);
  log("glCompressedTextureImage3DEXT",glCompressedTextureImage3DEXT);
  log("glCompressedTextureSubImage1DEXT",glCompressedTextureSubImage1DEXT);
  log("glCompressedTextureSubImage2DEXT",glCompressedTextureSubImage2DEXT);
  log("glCompressedTextureSubImage3DEXT",glCompressedTextureSubImage3DEXT);
  log("glCopyMultiTexImage1DEXT",glCopyMultiTexImage1DEXT);
  log("glCopyMultiTexImage2DEXT",glCopyMultiTexImage2DEXT);
  log("glCopyMultiTexSubImage1DEXT",glCopyMultiTexSubImage1DEXT);
  log("glCopyMultiTexSubImage2DEXT",glCopyMultiTexSubImage2DEXT);
  log("glCopyMultiTexSubImage3DEXT",glCopyMultiTexSubImage3DEXT);
  log("glCopyTextureImage1DEXT",glCopyTextureImage1DEXT);
  log("glCopyTextureImage2DEXT",glCopyTextureImage2DEXT);
  log("glCopyTextureSubImage1DEXT",glCopyTextureSubImage1DEXT);
  log("glCopyTextureSubImage2DEXT",glCopyTextureSubImage2DEXT);
  log("glCopyTextureSubImage3DEXT",glCopyTextureSubImage3DEXT);
  log("glDisableClientStateIndexedEXT",glDisableClientStateIndexedEXT);
  log("glDisableClientStateiEXT",glDisableClientStateiEXT);
  log("glDisableVertexArrayAttribEXT",glDisableVertexArrayAttribEXT);
  log("glDisableVertexArrayEXT",glDisableVertexArrayEXT);
  log("glEnableClientStateIndexedEXT",glEnableClientStateIndexedEXT);
  log("glEnableClientStateiEXT",glEnableClientStateiEXT);
  log("glEnableVertexArrayAttribEXT",glEnableVertexArrayAttribEXT);
  log("glEnableVertexArrayEXT",glEnableVertexArrayEXT);
  log("glFlushMappedNamedBufferRangeEXT",glFlushMappedNamedBufferRangeEXT);
  log("glFramebufferDrawBufferEXT",glFramebufferDrawBufferEXT);
  log("glFramebufferDrawBuffersEXT",glFramebufferDrawBuffersEXT);
  log("glFramebufferReadBufferEXT",glFramebufferReadBufferEXT);
  log("glGenerateMultiTexMipmapEXT",glGenerateMultiTexMipmapEXT);
  log("glGenerateTextureMipmapEXT",glGenerateTextureMipmapEXT);
  log("glGetCompressedMultiTexImageEXT",glGetCompressedMultiTexImageEXT);
  log("glGetCompressedTextureImageEXT",glGetCompressedTextureImageEXT);
  log("glGetDoubleIndexedvEXT",glGetDoubleIndexedvEXT);
  log("glGetDoublei_vEXT",glGetDoublei_vEXT);
  log("glGetFloatIndexedvEXT",glGetFloatIndexedvEXT);
  log("glGetFloati_vEXT",glGetFloati_vEXT);
  log("glGetFramebufferParameterivEXT",glGetFramebufferParameterivEXT);
  log("glGetMultiTexEnvfvEXT",glGetMultiTexEnvfvEXT);
  log("glGetMultiTexEnvivEXT",glGetMultiTexEnvivEXT);
  log("glGetMultiTexGendvEXT",glGetMultiTexGendvEXT);
  log("glGetMultiTexGenfvEXT",glGetMultiTexGenfvEXT);
  log("glGetMultiTexGenivEXT",glGetMultiTexGenivEXT);
  log("glGetMultiTexImageEXT",glGetMultiTexImageEXT);
  log("glGetMultiTexLevelParameterfvEXT",glGetMultiTexLevelParameterfvEXT);
  log("glGetMultiTexLevelParameterivEXT",glGetMultiTexLevelParameterivEXT);
  log("glGetMultiTexParameterIivEXT",glGetMultiTexParameterIivEXT);
  log("glGetMultiTexParameterIuivEXT",glGetMultiTexParameterIuivEXT);
  log("glGetMultiTexParameterfvEXT",glGetMultiTexParameterfvEXT);
  log("glGetMultiTexParameterivEXT",glGetMultiTexParameterivEXT);
  log("glGetNamedBufferParameterivEXT",glGetNamedBufferParameterivEXT);
  log("glGetNamedBufferPointervEXT",glGetNamedBufferPointervEXT);
  log("glGetNamedBufferSubDataEXT",glGetNamedBufferSubDataEXT);
  log("glGetNamedFramebufferAttachmentParameterivEXT",glGetNamedFramebufferAttachmentParameterivEXT);
  log("glGetNamedProgramLocalParameterIivEXT",glGetNamedProgramLocalParameterIivEXT);
  log("glGetNamedProgramLocalParameterIuivEXT",glGetNamedProgramLocalParameterIuivEXT);
  log("glGetNamedProgramLocalParameterdvEXT",glGetNamedProgramLocalParameterdvEXT);
  log("glGetNamedProgramLocalParameterfvEXT",glGetNamedProgramLocalParameterfvEXT);
  log("glGetNamedProgramStringEXT",glGetNamedProgramStringEXT);
  log("glGetNamedProgramivEXT",glGetNamedProgramivEXT);
  log("glGetNamedRenderbufferParameterivEXT",glGetNamedRenderbufferParameterivEXT);
  log("glGetPointerIndexedvEXT",glGetPointerIndexedvEXT);
  log("glGetPointeri_vEXT",glGetPointeri_vEXT);
  log("glGetTextureImageEXT",glGetTextureImageEXT);
  log("glGetTextureLevelParameterfvEXT",glGetTextureLevelParameterfvEXT);
  log("glGetTextureLevelParameterivEXT",glGetTextureLevelParameterivEXT);
  log("glGetTextureParameterIivEXT",glGetTextureParameterIivEXT);
  log("glGetTextureParameterIuivEXT",glGetTextureParameterIuivEXT);
  log("glGetTextureParameterfvEXT",glGetTextureParameterfvEXT);
  log("glGetTextureParameterivEXT",glGetTextureParameterivEXT);
  log("glGetVertexArrayIntegeri_vEXT",glGetVertexArrayIntegeri_vEXT);
  log("glGetVertexArrayIntegervEXT",glGetVertexArrayIntegervEXT);
  log("glGetVertexArrayPointeri_vEXT",glGetVertexArrayPointeri_vEXT);
  log("glGetVertexArrayPointervEXT",glGetVertexArrayPointervEXT);
  log("glMapNamedBufferEXT",glMapNamedBufferEXT);
  log("glMapNamedBufferRangeEXT",glMapNamedBufferRangeEXT);
  log("glMatrixFrustumEXT",glMatrixFrustumEXT);
  log("glMatrixLoadIdentityEXT",glMatrixLoadIdentityEXT);
  log("glMatrixLoadTransposedEXT",glMatrixLoadTransposedEXT);
  log("glMatrixLoadTransposefEXT",glMatrixLoadTransposefEXT);
  log("glMatrixLoaddEXT",glMatrixLoaddEXT);
  log("glMatrixLoadfEXT",glMatrixLoadfEXT);
  log("glMatrixMultTransposedEXT",glMatrixMultTransposedEXT);
  log("glMatrixMultTransposefEXT",glMatrixMultTransposefEXT);
  log("glMatrixMultdEXT",glMatrixMultdEXT);
  log("glMatrixMultfEXT",glMatrixMultfEXT);
  log("glMatrixOrthoEXT",glMatrixOrthoEXT);
  log("glMatrixPopEXT",glMatrixPopEXT);
  log("glMatrixPushEXT",glMatrixPushEXT);
  log("glMatrixRotatedEXT",glMatrixRotatedEXT);
  log("glMatrixRotatefEXT",glMatrixRotatefEXT);
  log("glMatrixScaledEXT",glMatrixScaledEXT);
  log("glMatrixScalefEXT",glMatrixScalefEXT);
  log("glMatrixTranslatedEXT",glMatrixTranslatedEXT);
  log("glMatrixTranslatefEXT",glMatrixTranslatefEXT);
  log("glMultiTexBufferEXT",glMultiTexBufferEXT);
  log("glMultiTexCoordPointerEXT",glMultiTexCoordPointerEXT);
  log("glMultiTexEnvfEXT",glMultiTexEnvfEXT);
  log("glMultiTexEnvfvEXT",glMultiTexEnvfvEXT);
  log("glMultiTexEnviEXT",glMultiTexEnviEXT);
  log("glMultiTexEnvivEXT",glMultiTexEnvivEXT);
  log("glMultiTexGendEXT",glMultiTexGendEXT);
  log("glMultiTexGendvEXT",glMultiTexGendvEXT);
  log("glMultiTexGenfEXT",glMultiTexGenfEXT);
  log("glMultiTexGenfvEXT",glMultiTexGenfvEXT);
  log("glMultiTexGeniEXT",glMultiTexGeniEXT);
  log("glMultiTexGenivEXT",glMultiTexGenivEXT);
  log("glMultiTexImage1DEXT",glMultiTexImage1DEXT);
  log("glMultiTexImage2DEXT",glMultiTexImage2DEXT);
  log("glMultiTexImage3DEXT",glMultiTexImage3DEXT);
  log("glMultiTexParameterIivEXT",glMultiTexParameterIivEXT);
  log("glMultiTexParameterIuivEXT",glMultiTexParameterIuivEXT);
  log("glMultiTexParameterfEXT",glMultiTexParameterfEXT);
  log("glMultiTexParameterfvEXT",glMultiTexParameterfvEXT);
  log("glMultiTexParameteriEXT",glMultiTexParameteriEXT);
  log("glMultiTexParameterivEXT",glMultiTexParameterivEXT);
  log("glMultiTexRenderbufferEXT",glMultiTexRenderbufferEXT);
  log("glMultiTexSubImage1DEXT",glMultiTexSubImage1DEXT);
  log("glMultiTexSubImage2DEXT",glMultiTexSubImage2DEXT);
  log("glMultiTexSubImage3DEXT",glMultiTexSubImage3DEXT);
  log("glNamedBufferDataEXT",glNamedBufferDataEXT);
  log("glNamedBufferSubDataEXT",glNamedBufferSubDataEXT);
  log("glNamedCopyBufferSubDataEXT",glNamedCopyBufferSubDataEXT);
  log("glNamedFramebufferRenderbufferEXT",glNamedFramebufferRenderbufferEXT);
  log("glNamedFramebufferTexture1DEXT",glNamedFramebufferTexture1DEXT);
  log("glNamedFramebufferTexture2DEXT",glNamedFramebufferTexture2DEXT);
  log("glNamedFramebufferTexture3DEXT",glNamedFramebufferTexture3DEXT);
  log("glNamedFramebufferTextureEXT",glNamedFramebufferTextureEXT);
  log("glNamedFramebufferTextureFaceEXT",glNamedFramebufferTextureFaceEXT);
  log("glNamedFramebufferTextureLayerEXT",glNamedFramebufferTextureLayerEXT);
  log("glNamedProgramLocalParameter4dEXT",glNamedProgramLocalParameter4dEXT);
  log("glNamedProgramLocalParameter4dvEXT",glNamedProgramLocalParameter4dvEXT);
  log("glNamedProgramLocalParameter4fEXT",glNamedProgramLocalParameter4fEXT);
  log("glNamedProgramLocalParameter4fvEXT",glNamedProgramLocalParameter4fvEXT);
  log("glNamedProgramLocalParameterI4iEXT",glNamedProgramLocalParameterI4iEXT);
  log("glNamedProgramLocalParameterI4ivEXT",glNamedProgramLocalParameterI4ivEXT);
  log("glNamedProgramLocalParameterI4uiEXT",glNamedProgramLocalParameterI4uiEXT);
  log("glNamedProgramLocalParameterI4uivEXT",glNamedProgramLocalParameterI4uivEXT);
  log("glNamedProgramLocalParameters4fvEXT",glNamedProgramLocalParameters4fvEXT);
  log("glNamedProgramLocalParametersI4ivEXT",glNamedProgramLocalParametersI4ivEXT);
  log("glNamedProgramLocalParametersI4uivEXT",glNamedProgramLocalParametersI4uivEXT);
  log("glNamedProgramStringEXT",glNamedProgramStringEXT);
  log("glNamedRenderbufferStorageEXT",glNamedRenderbufferStorageEXT);
  log("glNamedRenderbufferStorageMultisampleCoverageEXT",glNamedRenderbufferStorageMultisampleCoverageEXT);
  log("glNamedRenderbufferStorageMultisampleEXT",glNamedRenderbufferStorageMultisampleEXT);
  log("glProgramUniform1dEXT",glProgramUniform1dEXT);
  log("glProgramUniform1dvEXT",glProgramUniform1dvEXT);
  log("glProgramUniform1fEXT",glProgramUniform1fEXT);
  log("glProgramUniform1fvEXT",glProgramUniform1fvEXT);
  log("glProgramUniform1iEXT",glProgramUniform1iEXT);
  log("glProgramUniform1ivEXT",glProgramUniform1ivEXT);
  log("glProgramUniform1uiEXT",glProgramUniform1uiEXT);
  log("glProgramUniform1uivEXT",glProgramUniform1uivEXT);
  log("glProgramUniform2dEXT",glProgramUniform2dEXT);
  log("glProgramUniform2dvEXT",glProgramUniform2dvEXT);
  log("glProgramUniform2fEXT",glProgramUniform2fEXT);
  log("glProgramUniform2fvEXT",glProgramUniform2fvEXT);
  log("glProgramUniform2iEXT",glProgramUniform2iEXT);
  log("glProgramUniform2ivEXT",glProgramUniform2ivEXT);
  log("glProgramUniform2uiEXT",glProgramUniform2uiEXT);
  log("glProgramUniform2uivEXT",glProgramUniform2uivEXT);
  log("glProgramUniform3dEXT",glProgramUniform3dEXT);
  log("glProgramUniform3dvEXT",glProgramUniform3dvEXT);
  log("glProgramUniform3fEXT",glProgramUniform3fEXT);
  log("glProgramUniform3fvEXT",glProgramUniform3fvEXT);
  log("glProgramUniform3iEXT",glProgramUniform3iEXT);
  log("glProgramUniform3ivEXT",glProgramUniform3ivEXT);
  log("glProgramUniform3uiEXT",glProgramUniform3uiEXT);
  log("glProgramUniform3uivEXT",glProgramUniform3uivEXT);
  log("glProgramUniform4dEXT",glProgramUniform4dEXT);
  log("glProgramUniform4dvEXT",glProgramUniform4dvEXT);
  log("glProgramUniform4fEXT",glProgramUniform4fEXT);
  log("glProgramUniform4fvEXT",glProgramUniform4fvEXT);
  log("glProgramUniform4iEXT",glProgramUniform4iEXT);
  log("glProgramUniform4ivEXT",glProgramUniform4ivEXT);
  log("glProgramUniform4uiEXT",glProgramUniform4uiEXT);
  log("glProgramUniform4uivEXT",glProgramUniform4uivEXT);
  log("glProgramUniformMatrix2dvEXT",glProgramUniformMatrix2dvEXT);
  log("glProgramUniformMatrix2fvEXT",glProgramUniformMatrix2fvEXT);
  log("glProgramUniformMatrix2x3dvEXT",glProgramUniformMatrix2x3dvEXT);
  log("glProgramUniformMatrix2x3fvEXT",glProgramUniformMatrix2x3fvEXT);
  log("glProgramUniformMatrix2x4dvEXT",glProgramUniformMatrix2x4dvEXT);
  log("glProgramUniformMatrix2x4fvEXT",glProgramUniformMatrix2x4fvEXT);
  log("glProgramUniformMatrix3dvEXT",glProgramUniformMatrix3dvEXT);
  log("glProgramUniformMatrix3fvEXT",glProgramUniformMatrix3fvEXT);
  log("glProgramUniformMatrix3x2dvEXT",glProgramUniformMatrix3x2dvEXT);
  log("glProgramUniformMatrix3x2fvEXT",glProgramUniformMatrix3x2fvEXT);
  log("glProgramUniformMatrix3x4dvEXT",glProgramUniformMatrix3x4dvEXT);
  log("glProgramUniformMatrix3x4fvEXT",glProgramUniformMatrix3x4fvEXT);
  log("glProgramUniformMatrix4dvEXT",glProgramUniformMatrix4dvEXT);
  log("glProgramUniformMatrix4fvEXT",glProgramUniformMatrix4fvEXT);
  log("glProgramUniformMatrix4x2dvEXT",glProgramUniformMatrix4x2dvEXT);
  log("glProgramUniformMatrix4x2fvEXT",glProgramUniformMatrix4x2fvEXT);
  log("glProgramUniformMatrix4x3dvEXT",glProgramUniformMatrix4x3dvEXT);
  log("glProgramUniformMatrix4x3fvEXT",glProgramUniformMatrix4x3fvEXT);
  log("glPushClientAttribDefaultEXT",glPushClientAttribDefaultEXT);
  log("glTextureBufferEXT",glTextureBufferEXT);
  log("glTextureImage1DEXT",glTextureImage1DEXT);
  log("glTextureImage2DEXT",glTextureImage2DEXT);
  log("glTextureImage3DEXT",glTextureImage3DEXT);
  log("glTextureParameterIivEXT",glTextureParameterIivEXT);
  log("glTextureParameterIuivEXT",glTextureParameterIuivEXT);
  log("glTextureParameterfEXT",glTextureParameterfEXT);
  log("glTextureParameterfvEXT",glTextureParameterfvEXT);
  log("glTextureParameteriEXT",glTextureParameteriEXT);
  log("glTextureParameterivEXT",glTextureParameterivEXT);
  log("glTextureRenderbufferEXT",glTextureRenderbufferEXT);
  log("glTextureSubImage1DEXT",glTextureSubImage1DEXT);
  log("glTextureSubImage2DEXT",glTextureSubImage2DEXT);
  log("glTextureSubImage3DEXT",glTextureSubImage3DEXT);
  log("glUnmapNamedBufferEXT",glUnmapNamedBufferEXT);
  log("glVertexArrayColorOffsetEXT",glVertexArrayColorOffsetEXT);
  log("glVertexArrayEdgeFlagOffsetEXT",glVertexArrayEdgeFlagOffsetEXT);
  log("glVertexArrayFogCoordOffsetEXT",glVertexArrayFogCoordOffsetEXT);
  log("glVertexArrayIndexOffsetEXT",glVertexArrayIndexOffsetEXT);
  log("glVertexArrayMultiTexCoordOffsetEXT",glVertexArrayMultiTexCoordOffsetEXT);
  log("glVertexArrayNormalOffsetEXT",glVertexArrayNormalOffsetEXT);
  log("glVertexArraySecondaryColorOffsetEXT",glVertexArraySecondaryColorOffsetEXT);
  log("glVertexArrayTexCoordOffsetEXT",glVertexArrayTexCoordOffsetEXT);
  log("glVertexArrayVertexAttribIOffsetEXT",glVertexArrayVertexAttribIOffsetEXT);
  log("glVertexArrayVertexAttribOffsetEXT",glVertexArrayVertexAttribOffsetEXT);
  log("glVertexArrayVertexOffsetEXT",glVertexArrayVertexOffsetEXT);

/* GL_EXT_discard_framebuffer */

  log("glDiscardFramebufferEXT",glDiscardFramebufferEXT);

/* GL_EXT_disjoint_timer_query */

  log("glGetQueryObjectivEXT",glGetQueryObjectivEXT);
  log("glQueryCounterEXT",glQueryCounterEXT);

/* GL_EXT_draw_buffers2 */

  log("glColorMaskIndexedEXT",glColorMaskIndexedEXT);
  log("glDisableIndexedEXT",glDisableIndexedEXT);
  log("glEnableIndexedEXT",glEnableIndexedEXT);
  log("glGetBooleanIndexedvEXT",glGetBooleanIndexedvEXT);
  log("glGetIntegerIndexedvEXT",glGetIntegerIndexedvEXT);
  log("glIsEnabledIndexedEXT",glIsEnabledIndexedEXT);

/* GL_EXT_draw_instanced */

  log("glDrawArraysInstancedEXT",glDrawArraysInstancedEXT);
  log("glDrawElementsInstancedEXT",glDrawElementsInstancedEXT);

/* GL_EXT_draw_range_elements */

  log("glDrawRangeElementsEXT",glDrawRangeElementsEXT);

/* GL_EXT_fog_coord */

  log("glFogCoordPointerEXT",glFogCoordPointerEXT);
  log("glFogCoorddEXT",glFogCoorddEXT);
  log("glFogCoorddvEXT",glFogCoorddvEXT);
  log("glFogCoordfEXT",glFogCoordfEXT);
  log("glFogCoordfvEXT",glFogCoordfvEXT);

/* GL_EXT_fragment_lighting */

  log("glFragmentColorMaterialEXT",glFragmentColorMaterialEXT);
  log("glFragmentLightModelfEXT",glFragmentLightModelfEXT);
  log("glFragmentLightModelfvEXT",glFragmentLightModelfvEXT);
  log("glFragmentLightModeliEXT",glFragmentLightModeliEXT);
  log("glFragmentLightModelivEXT",glFragmentLightModelivEXT);
  log("glFragmentLightfEXT",glFragmentLightfEXT);
  log("glFragmentLightfvEXT",glFragmentLightfvEXT);
  log("glFragmentLightiEXT",glFragmentLightiEXT);
  log("glFragmentLightivEXT",glFragmentLightivEXT);
  log("glFragmentMaterialfEXT",glFragmentMaterialfEXT);
  log("glFragmentMaterialfvEXT",glFragmentMaterialfvEXT);
  log("glFragmentMaterialiEXT",glFragmentMaterialiEXT);
  log("glFragmentMaterialivEXT",glFragmentMaterialivEXT);
  log("glGetFragmentLightfvEXT",glGetFragmentLightfvEXT);
  log("glGetFragmentLightivEXT",glGetFragmentLightivEXT);
  log("glGetFragmentMaterialfvEXT",glGetFragmentMaterialfvEXT);
  log("glGetFragmentMaterialivEXT",glGetFragmentMaterialivEXT);
  log("glLightEnviEXT",glLightEnviEXT);

/* GL_EXT_framebuffer_blit */

  log("glBlitFramebufferEXT",glBlitFramebufferEXT);

/* GL_EXT_framebuffer_multisample */

  log("glRenderbufferStorageMultisampleEXT",glRenderbufferStorageMultisampleEXT);

/* GL_EXT_framebuffer_object */

  log("glBindFramebufferEXT",glBindFramebufferEXT);
  log("glBindRenderbufferEXT",glBindRenderbufferEXT);
  log("glCheckFramebufferStatusEXT",glCheckFramebufferStatusEXT);
  log("glDeleteFramebuffersEXT",glDeleteFramebuffersEXT);
  log("glDeleteRenderbuffersEXT",glDeleteRenderbuffersEXT);
  log("glFramebufferRenderbufferEXT",glFramebufferRenderbufferEXT);
  log("glFramebufferTexture1DEXT",glFramebufferTexture1DEXT);
  log("glFramebufferTexture2DEXT",glFramebufferTexture2DEXT);
  log("glFramebufferTexture3DEXT",glFramebufferTexture3DEXT);
  log("glGenFramebuffersEXT",glGenFramebuffersEXT);
  log("glGenRenderbuffersEXT",glGenRenderbuffersEXT);
  log("glGenerateMipmapEXT",glGenerateMipmapEXT);
  log("glGetFramebufferAttachmentParameterivEXT",glGetFramebufferAttachmentParameterivEXT);
  log("glGetRenderbufferParameterivEXT",glGetRenderbufferParameterivEXT);
  log("glIsFramebufferEXT",glIsFramebufferEXT);
  log("glIsRenderbufferEXT",glIsRenderbufferEXT);
  log("glRenderbufferStorageEXT",glRenderbufferStorageEXT);

/* GL_EXT_geometry_shader4 */

  log("glFramebufferTextureEXT",glFramebufferTextureEXT);
  log("glFramebufferTextureFaceEXT",glFramebufferTextureFaceEXT);
  log("glProgramParameteriEXT",glProgramParameteriEXT);

/* GL_EXT_gpu_program_parameters */

  log("glProgramEnvParameters4fvEXT",glProgramEnvParameters4fvEXT);
  log("glProgramLocalParameters4fvEXT",glProgramLocalParameters4fvEXT);

/* GL_EXT_gpu_shader4 */

  log("glBindFragDataLocationEXT",glBindFragDataLocationEXT);
  log("glGetFragDataLocationEXT",glGetFragDataLocationEXT);
  log("glGetUniformuivEXT",glGetUniformuivEXT);
  log("glGetVertexAttribIivEXT",glGetVertexAttribIivEXT);
  log("glGetVertexAttribIuivEXT",glGetVertexAttribIuivEXT);
  log("glUniform1uiEXT",glUniform1uiEXT);
  log("glUniform1uivEXT",glUniform1uivEXT);
  log("glUniform2uiEXT",glUniform2uiEXT);
  log("glUniform2uivEXT",glUniform2uivEXT);
  log("glUniform3uiEXT",glUniform3uiEXT);
  log("glUniform3uivEXT",glUniform3uivEXT);
  log("glUniform4uiEXT",glUniform4uiEXT);
  log("glUniform4uivEXT",glUniform4uivEXT);
  log("glVertexAttribI1iEXT",glVertexAttribI1iEXT);
  log("glVertexAttribI1ivEXT",glVertexAttribI1ivEXT);
  log("glVertexAttribI1uiEXT",glVertexAttribI1uiEXT);
  log("glVertexAttribI1uivEXT",glVertexAttribI1uivEXT);
  log("glVertexAttribI2iEXT",glVertexAttribI2iEXT);
  log("glVertexAttribI2ivEXT",glVertexAttribI2ivEXT);
  log("glVertexAttribI2uiEXT",glVertexAttribI2uiEXT);
  log("glVertexAttribI2uivEXT",glVertexAttribI2uivEXT);
  log("glVertexAttribI3iEXT",glVertexAttribI3iEXT);
  log("glVertexAttribI3ivEXT",glVertexAttribI3ivEXT);
  log("glVertexAttribI3uiEXT",glVertexAttribI3uiEXT);
  log("glVertexAttribI3uivEXT",glVertexAttribI3uivEXT);
  log("glVertexAttribI4bvEXT",glVertexAttribI4bvEXT);
  log("glVertexAttribI4iEXT",glVertexAttribI4iEXT);
  log("glVertexAttribI4ivEXT",glVertexAttribI4ivEXT);
  log("glVertexAttribI4svEXT",glVertexAttribI4svEXT);
  log("glVertexAttribI4ubvEXT",glVertexAttribI4ubvEXT);
  log("glVertexAttribI4uiEXT",glVertexAttribI4uiEXT);
  log("glVertexAttribI4uivEXT",glVertexAttribI4uivEXT);
  log("glVertexAttribI4usvEXT",glVertexAttribI4usvEXT);
  log("glVertexAttribIPointerEXT",glVertexAttribIPointerEXT);

/* GL_EXT_histogram */

  log("glGetHistogramEXT",glGetHistogramEXT);
  log("glGetHistogramParameterfvEXT",glGetHistogramParameterfvEXT);
  log("glGetHistogramParameterivEXT",glGetHistogramParameterivEXT);
  log("glGetMinmaxEXT",glGetMinmaxEXT);
  log("glGetMinmaxParameterfvEXT",glGetMinmaxParameterfvEXT);
  log("glGetMinmaxParameterivEXT",glGetMinmaxParameterivEXT);
  log("glHistogramEXT",glHistogramEXT);
  log("glMinmaxEXT",glMinmaxEXT);
  log("glResetHistogramEXT",glResetHistogramEXT);
  log("glResetMinmaxEXT",glResetMinmaxEXT);

/* GL_EXT_index_func */

  log("glIndexFuncEXT",glIndexFuncEXT);

/* GL_EXT_index_material */

  log("glIndexMaterialEXT",glIndexMaterialEXT);

/* GL_EXT_light_texture */

  log("glApplyTextureEXT",glApplyTextureEXT);
  log("glTextureLightEXT",glTextureLightEXT);
  log("glTextureMaterialEXT",glTextureMaterialEXT);

/* GL_EXT_map_buffer_range */

  log("glFlushMappedBufferRangeEXT",glFlushMappedBufferRangeEXT);
  log("glMapBufferRangeEXT",glMapBufferRangeEXT);

/* GL_EXT_multi_draw_arrays */

  log("glMultiDrawArraysEXT",glMultiDrawArraysEXT);
  log("glMultiDrawElementsEXT",glMultiDrawElementsEXT);

/* GL_EXT_multisample */

  log("glSampleMaskEXT",glSampleMaskEXT);
  log("glSamplePatternEXT",glSamplePatternEXT);

/* GL_EXT_multisampled_render_to_texture */

  log("glFramebufferTexture2DMultisampleEXT",glFramebufferTexture2DMultisampleEXT);

/* GL_EXT_multiview_draw_buffers */

  log("glDrawBuffersIndexedEXT",glDrawBuffersIndexedEXT);
  log("glGetIntegeri_vEXT",glGetIntegeri_vEXT);
  log("glReadBufferIndexedEXT",glReadBufferIndexedEXT);

/* GL_EXT_occlusion_query_boolean */

  log("glBeginQueryEXT",glBeginQueryEXT);
  log("glDeleteQueriesEXT",glDeleteQueriesEXT);
  log("glEndQueryEXT",glEndQueryEXT);
  log("glGenQueriesEXT",glGenQueriesEXT);
  log("glGetQueryObjectuivEXT",glGetQueryObjectuivEXT);
  log("glGetQueryivEXT",glGetQueryivEXT);
  log("glIsQueryEXT",glIsQueryEXT);

/* GL_EXT_paletted_texture */

  log("glColorTableEXT",glColorTableEXT);
  log("glGetColorTableEXT",glGetColorTableEXT);
  log("glGetColorTableParameterfvEXT",glGetColorTableParameterfvEXT);
  log("glGetColorTableParameterivEXT",glGetColorTableParameterivEXT);

/* GL_EXT_pixel_transform */

  log("glGetPixelTransformParameterfvEXT",glGetPixelTransformParameterfvEXT);
  log("glGetPixelTransformParameterivEXT",glGetPixelTransformParameterivEXT);
  log("glPixelTransformParameterfEXT",glPixelTransformParameterfEXT);
  log("glPixelTransformParameterfvEXT",glPixelTransformParameterfvEXT);
  log("glPixelTransformParameteriEXT",glPixelTransformParameteriEXT);
  log("glPixelTransformParameterivEXT",glPixelTransformParameterivEXT);

/* GL_EXT_point_parameters */

  log("glPointParameterfEXT",glPointParameterfEXT);
  log("glPointParameterfvEXT",glPointParameterfvEXT);

/* GL_EXT_polygon_offset */

  log("glPolygonOffsetEXT",glPolygonOffsetEXT);

/* GL_EXT_provoking_vertex */

  log("glProvokingVertexEXT",glProvokingVertexEXT);

/* GL_EXT_robustness */

  log("glGetnUniformfvEXT",glGetnUniformfvEXT);
  log("glGetnUniformivEXT",glGetnUniformivEXT);
  log("glReadnPixelsEXT",glReadnPixelsEXT);

/* GL_EXT_scene_marker */

  log("glBeginSceneEXT",glBeginSceneEXT);
  log("glEndSceneEXT",glEndSceneEXT);

/* GL_EXT_secondary_color */

  log("glSecondaryColor3bEXT",glSecondaryColor3bEXT);
  log("glSecondaryColor3bvEXT",glSecondaryColor3bvEXT);
  log("glSecondaryColor3dEXT",glSecondaryColor3dEXT);
  log("glSecondaryColor3dvEXT",glSecondaryColor3dvEXT);
  log("glSecondaryColor3fEXT",glSecondaryColor3fEXT);
  log("glSecondaryColor3fvEXT",glSecondaryColor3fvEXT);
  log("glSecondaryColor3iEXT",glSecondaryColor3iEXT);
  log("glSecondaryColor3ivEXT",glSecondaryColor3ivEXT);
  log("glSecondaryColor3sEXT",glSecondaryColor3sEXT);
  log("glSecondaryColor3svEXT",glSecondaryColor3svEXT);
  log("glSecondaryColor3ubEXT",glSecondaryColor3ubEXT);
  log("glSecondaryColor3ubvEXT",glSecondaryColor3ubvEXT);
  log("glSecondaryColor3uiEXT",glSecondaryColor3uiEXT);
  log("glSecondaryColor3uivEXT",glSecondaryColor3uivEXT);
  log("glSecondaryColor3usEXT",glSecondaryColor3usEXT);
  log("glSecondaryColor3usvEXT",glSecondaryColor3usvEXT);
  log("glSecondaryColorPointerEXT",glSecondaryColorPointerEXT);

/* GL_EXT_separate_shader_objects */

  log("glActiveProgramEXT",glActiveProgramEXT);
  log("glCreateShaderProgramEXT",glCreateShaderProgramEXT);
  log("glUseShaderProgramEXT",glUseShaderProgramEXT);

/* GL_EXT_shader_image_load_store */

  log("glBindImageTextureEXT",glBindImageTextureEXT);
  log("glMemoryBarrierEXT",glMemoryBarrierEXT);

/* GL_EXT_stencil_clear_tag */

  log("glStencilClearTagEXT",glStencilClearTagEXT);

/* GL_EXT_stencil_two_side */

  log("glActiveStencilFaceEXT",glActiveStencilFaceEXT);

/* GL_EXT_subtexture */

  log("glTexSubImage1DEXT",glTexSubImage1DEXT);
  log("glTexSubImage2DEXT",glTexSubImage2DEXT);
  log("glTexSubImage3DEXT",glTexSubImage3DEXT);

/* GL_EXT_texture3D */

  log("glTexImage3DEXT",glTexImage3DEXT);

/* GL_EXT_texture_array */

  log("glFramebufferTextureLayerEXT",glFramebufferTextureLayerEXT);

/* GL_EXT_texture_buffer_object */

  log("glTexBufferEXT",glTexBufferEXT);

/* GL_EXT_texture_integer */

  log("glClearColorIiEXT",glClearColorIiEXT);
  log("glClearColorIuiEXT",glClearColorIuiEXT);
  log("glGetTexParameterIivEXT",glGetTexParameterIivEXT);
  log("glGetTexParameterIuivEXT",glGetTexParameterIuivEXT);
  log("glTexParameterIivEXT",glTexParameterIivEXT);
  log("glTexParameterIuivEXT",glTexParameterIuivEXT);

/* GL_EXT_texture_object */

  log("glAreTexturesResidentEXT",glAreTexturesResidentEXT);
  log("glBindTextureEXT",glBindTextureEXT);
  log("glDeleteTexturesEXT",glDeleteTexturesEXT);
  log("glGenTexturesEXT",glGenTexturesEXT);
  log("glIsTextureEXT",glIsTextureEXT);
  log("glPrioritizeTexturesEXT",glPrioritizeTexturesEXT);

/* GL_EXT_texture_perturb_normal */

  log("glTextureNormalEXT",glTextureNormalEXT);

/* GL_EXT_texture_storage */

  log("glTexStorage1DEXT",glTexStorage1DEXT);
  log("glTexStorage2DEXT",glTexStorage2DEXT);
  log("glTexStorage3DEXT",glTexStorage3DEXT);

/* GL_EXT_timer_query */

  log("glGetQueryObjecti64vEXT",glGetQueryObjecti64vEXT);
  log("glGetQueryObjectui64vEXT",glGetQueryObjectui64vEXT);

/* GL_EXT_transform_feedback */

  log("glBeginTransformFeedbackEXT",glBeginTransformFeedbackEXT);
  log("glBindBufferBaseEXT",glBindBufferBaseEXT);
  log("glBindBufferOffsetEXT",glBindBufferOffsetEXT);
  log("glBindBufferRangeEXT",glBindBufferRangeEXT);
  log("glEndTransformFeedbackEXT",glEndTransformFeedbackEXT);
  log("glGetTransformFeedbackVaryingEXT",glGetTransformFeedbackVaryingEXT);
  log("glTransformFeedbackVaryingsEXT",glTransformFeedbackVaryingsEXT);

/* GL_EXT_vertex_array */

  log("glArrayElementEXT",glArrayElementEXT);
  log("glColorPointerEXT",glColorPointerEXT);
  log("glDrawArraysEXT",glDrawArraysEXT);
  log("glEdgeFlagPointerEXT",glEdgeFlagPointerEXT);
  log("glGetPointervEXT",glGetPointervEXT);
  log("glIndexPointerEXT",glIndexPointerEXT);
  log("glNormalPointerEXT",glNormalPointerEXT);
  log("glTexCoordPointerEXT",glTexCoordPointerEXT);
  log("glVertexPointerEXT",glVertexPointerEXT);

/* GL_EXT_vertex_attrib_64bit */

  log("glGetVertexAttribLdvEXT",glGetVertexAttribLdvEXT);
  log("glVertexArrayVertexAttribLOffsetEXT",glVertexArrayVertexAttribLOffsetEXT);
  log("glVertexAttribL1dEXT",glVertexAttribL1dEXT);
  log("glVertexAttribL1dvEXT",glVertexAttribL1dvEXT);
  log("glVertexAttribL2dEXT",glVertexAttribL2dEXT);
  log("glVertexAttribL2dvEXT",glVertexAttribL2dvEXT);
  log("glVertexAttribL3dEXT",glVertexAttribL3dEXT);
  log("glVertexAttribL3dvEXT",glVertexAttribL3dvEXT);
  log("glVertexAttribL4dEXT",glVertexAttribL4dEXT);
  log("glVertexAttribL4dvEXT",glVertexAttribL4dvEXT);
  log("glVertexAttribLPointerEXT",glVertexAttribLPointerEXT);

/* GL_EXT_vertex_shader */

  log("glBeginVertexShaderEXT",glBeginVertexShaderEXT);
  log("glBindLightParameterEXT",glBindLightParameterEXT);
  log("glBindMaterialParameterEXT",glBindMaterialParameterEXT);
  log("glBindParameterEXT",glBindParameterEXT);
  log("glBindTexGenParameterEXT",glBindTexGenParameterEXT);
  log("glBindTextureUnitParameterEXT",glBindTextureUnitParameterEXT);
  log("glBindVertexShaderEXT",glBindVertexShaderEXT);
  log("glDeleteVertexShaderEXT",glDeleteVertexShaderEXT);
  log("glDisableVariantClientStateEXT",glDisableVariantClientStateEXT);
  log("glEnableVariantClientStateEXT",glEnableVariantClientStateEXT);
  log("glEndVertexShaderEXT",glEndVertexShaderEXT);
  log("glExtractComponentEXT",glExtractComponentEXT);
  log("glGenSymbolsEXT",glGenSymbolsEXT);
  log("glGenVertexShadersEXT",glGenVertexShadersEXT);
  log("glGetInvariantBooleanvEXT",glGetInvariantBooleanvEXT);
  log("glGetInvariantFloatvEXT",glGetInvariantFloatvEXT);
  log("glGetInvariantIntegervEXT",glGetInvariantIntegervEXT);
  log("glGetLocalConstantBooleanvEXT",glGetLocalConstantBooleanvEXT);
  log("glGetLocalConstantFloatvEXT",glGetLocalConstantFloatvEXT);
  log("glGetLocalConstantIntegervEXT",glGetLocalConstantIntegervEXT);
  log("glGetVariantBooleanvEXT",glGetVariantBooleanvEXT);
  log("glGetVariantFloatvEXT",glGetVariantFloatvEXT);
  log("glGetVariantIntegervEXT",glGetVariantIntegervEXT);
  log("glGetVariantPointervEXT",glGetVariantPointervEXT);
  log("glInsertComponentEXT",glInsertComponentEXT);
  log("glIsVariantEnabledEXT",glIsVariantEnabledEXT);
  log("glSetInvariantEXT",glSetInvariantEXT);
  log("glSetLocalConstantEXT",glSetLocalConstantEXT);
  log("glShaderOp1EXT",glShaderOp1EXT);
  log("glShaderOp2EXT",glShaderOp2EXT);
  log("glShaderOp3EXT",glShaderOp3EXT);
  log("glSwizzleEXT",glSwizzleEXT);
  log("glVariantPointerEXT",glVariantPointerEXT);
  log("glVariantbvEXT",glVariantbvEXT);
  log("glVariantdvEXT",glVariantdvEXT);
  log("glVariantfvEXT",glVariantfvEXT);
  log("glVariantivEXT",glVariantivEXT);
  log("glVariantsvEXT",glVariantsvEXT);
  log("glVariantubvEXT",glVariantubvEXT);
  log("glVariantuivEXT",glVariantuivEXT);
  log("glVariantusvEXT",glVariantusvEXT);
  log("glWriteMaskEXT",glWriteMaskEXT);

/* GL_EXT_vertex_weighting */

  log("glVertexWeightPointerEXT",glVertexWeightPointerEXT);
  log("glVertexWeightfEXT",glVertexWeightfEXT);
  log("glVertexWeightfvEXT",glVertexWeightfvEXT);

/* GL_EXT_x11_sync_object */

  log("glImportSyncEXT",glImportSyncEXT);

/* GL_GREMEDY_frame_terminator */

  log("glFrameTerminatorGREMEDY",glFrameTerminatorGREMEDY);

/* GL_GREMEDY_string_marker */

  log("glStringMarkerGREMEDY",glStringMarkerGREMEDY);

/* GL_HP_image_transform */

  log("glGetImageTransformParameterfvHP",glGetImageTransformParameterfvHP);
  log("glGetImageTransformParameterivHP",glGetImageTransformParameterivHP);
  log("glImageTransformParameterfHP",glImageTransformParameterfHP);
  log("glImageTransformParameterfvHP",glImageTransformParameterfvHP);
  log("glImageTransformParameteriHP",glImageTransformParameteriHP);
  log("glImageTransformParameterivHP",glImageTransformParameterivHP);

/* GL_IBM_multimode_draw_arrays */

  log("glMultiModeDrawArraysIBM",glMultiModeDrawArraysIBM);
  log("glMultiModeDrawElementsIBM",glMultiModeDrawElementsIBM);

/* GL_IBM_vertex_array_lists */

  log("glColorPointerListIBM",glColorPointerListIBM);
  log("glEdgeFlagPointerListIBM",glEdgeFlagPointerListIBM);
  log("glFogCoordPointerListIBM",glFogCoordPointerListIBM);
  log("glIndexPointerListIBM",glIndexPointerListIBM);
  log("glNormalPointerListIBM",glNormalPointerListIBM);
  log("glSecondaryColorPointerListIBM",glSecondaryColorPointerListIBM);
  log("glTexCoordPointerListIBM",glTexCoordPointerListIBM);
  log("glVertexPointerListIBM",glVertexPointerListIBM);

/* GL_IMG_multisampled_render_to_texture */

  log("glFramebufferTexture2DMultisampleIMG",glFramebufferTexture2DMultisampleIMG);
  log("glRenderbufferStorageMultisampleIMG",glRenderbufferStorageMultisampleIMG);

/* GL_INGR_blend_func_separate */

  log("glBlendFuncSeparateINGR",glBlendFuncSeparateINGR);

/* GL_INTEL_map_texture */

  log("glMapTexture2DINTEL",glMapTexture2DINTEL);
  log("glSyncTextureINTEL",glSyncTextureINTEL);
  log("glUnmapTexture2DINTEL",glUnmapTexture2DINTEL);

/* GL_INTEL_parallel_arrays */

  log("glColorPointervINTEL",glColorPointervINTEL);
  log("glNormalPointervINTEL",glNormalPointervINTEL);
  log("glTexCoordPointervINTEL",glTexCoordPointervINTEL);
  log("glVertexPointervINTEL",glVertexPointervINTEL);

/* GL_INTEL_texture_scissor */

  log("glTexScissorFuncINTEL",glTexScissorFuncINTEL);
  log("glTexScissorINTEL",glTexScissorINTEL);

/* GL_KHR_blend_equation_advanced */

  log("glBlendBarrierKHR",glBlendBarrierKHR);

/* GL_KHR_debug */

  log("glDebugMessageCallback",glDebugMessageCallback);
  log("glDebugMessageControl",glDebugMessageControl);
  log("glDebugMessageInsert",glDebugMessageInsert);
  log("glGetDebugMessageLog",glGetDebugMessageLog);
  log("glGetObjectLabel",glGetObjectLabel);
  log("glGetObjectPtrLabel",glGetObjectPtrLabel);
  log("glObjectLabel",glObjectLabel);
  log("glObjectPtrLabel",glObjectPtrLabel);
  log("glPopDebugGroup",glPopDebugGroup);
  log("glPushDebugGroup",glPushDebugGroup);

/* GL_KHR_robustness */

  log("glGetnUniformfv",glGetnUniformfv);
  log("glGetnUniformiv",glGetnUniformiv);
  log("glGetnUniformuiv",glGetnUniformuiv);
  log("glReadnPixels",glReadnPixels);

/* GL_KTX_buffer_region */

  log("glBufferRegionEnabled",glBufferRegionEnabled);
  log("glDeleteBufferRegion",glDeleteBufferRegion);
  log("glDrawBufferRegion",glDrawBufferRegion);
  log("glNewBufferRegion",glNewBufferRegion);
  log("glReadBufferRegion",glReadBufferRegion);

/* GL_MESA_resize_buffers */

  log("glResizeBuffersMESA",glResizeBuffersMESA);

/* GL_MESA_window_pos */

  log("glWindowPos2dMESA",glWindowPos2dMESA);
  log("glWindowPos2dvMESA",glWindowPos2dvMESA);
  log("glWindowPos2fMESA",glWindowPos2fMESA);
  log("glWindowPos2fvMESA",glWindowPos2fvMESA);
  log("glWindowPos2iMESA",glWindowPos2iMESA);
  log("glWindowPos2ivMESA",glWindowPos2ivMESA);
  log("glWindowPos2sMESA",glWindowPos2sMESA);
  log("glWindowPos2svMESA",glWindowPos2svMESA);
  log("glWindowPos3dMESA",glWindowPos3dMESA);
  log("glWindowPos3dvMESA",glWindowPos3dvMESA);
  log("glWindowPos3fMESA",glWindowPos3fMESA);
  log("glWindowPos3fvMESA",glWindowPos3fvMESA);
  log("glWindowPos3iMESA",glWindowPos3iMESA);
  log("glWindowPos3ivMESA",glWindowPos3ivMESA);
  log("glWindowPos3sMESA",glWindowPos3sMESA);
  log("glWindowPos3svMESA",glWindowPos3svMESA);
  log("glWindowPos4dMESA",glWindowPos4dMESA);
  log("glWindowPos4dvMESA",glWindowPos4dvMESA);
  log("glWindowPos4fMESA",glWindowPos4fMESA);
  log("glWindowPos4fvMESA",glWindowPos4fvMESA);
  log("glWindowPos4iMESA",glWindowPos4iMESA);
  log("glWindowPos4ivMESA",glWindowPos4ivMESA);
  log("glWindowPos4sMESA",glWindowPos4sMESA);
  log("glWindowPos4svMESA",glWindowPos4svMESA);

/* GL_NVX_conditional_render */

  log("glBeginConditionalRenderNVX",glBeginConditionalRenderNVX);
  log("glEndConditionalRenderNVX",glEndConditionalRenderNVX);

/* GL_NV_bindless_texture */

  log("glGetImageHandleNV",glGetImageHandleNV);
  log("glGetTextureHandleNV",glGetTextureHandleNV);
  log("glGetTextureSamplerHandleNV",glGetTextureSamplerHandleNV);
  log("glIsImageHandleResidentNV",glIsImageHandleResidentNV);
  log("glIsTextureHandleResidentNV",glIsTextureHandleResidentNV);
  log("glMakeImageHandleNonResidentNV",glMakeImageHandleNonResidentNV);
  log("glMakeImageHandleResidentNV",glMakeImageHandleResidentNV);
  log("glMakeTextureHandleNonResidentNV",glMakeTextureHandleNonResidentNV);
  log("glMakeTextureHandleResidentNV",glMakeTextureHandleResidentNV);
  log("glProgramUniformHandleui64NV",glProgramUniformHandleui64NV);
  log("glProgramUniformHandleui64vNV",glProgramUniformHandleui64vNV);
  log("glUniformHandleui64NV",glUniformHandleui64NV);
  log("glUniformHandleui64vNV",glUniformHandleui64vNV);

/* GL_NV_blend_equation_advanced */

  log("glBlendBarrierNV",glBlendBarrierNV);
  log("glBlendParameteriNV",glBlendParameteriNV);

/* GL_NV_conditional_render */

  log("glBeginConditionalRenderNV",glBeginConditionalRenderNV);
  log("glEndConditionalRenderNV",glEndConditionalRenderNV);

/* GL_NV_copy_buffer */

  log("glCopyBufferSubDataNV",glCopyBufferSubDataNV);

/* GL_NV_copy_image */

  log("glCopyImageSubDataNV",glCopyImageSubDataNV);

/* GL_NV_coverage_sample */

  log("glCoverageMaskNV",glCoverageMaskNV);
  log("glCoverageOperationNV",glCoverageOperationNV);

/* GL_NV_depth_buffer_float */

  log("glClearDepthdNV",glClearDepthdNV);
  log("glDepthBoundsdNV",glDepthBoundsdNV);
  log("glDepthRangedNV",glDepthRangedNV);

/* GL_NV_draw_buffers */

  log("glDrawBuffersNV",glDrawBuffersNV);

/* GL_NV_draw_texture */

  log("glDrawTextureNV",glDrawTextureNV);

/* GL_NV_evaluators */

  log("glEvalMapsNV",glEvalMapsNV);
  log("glGetMapAttribParameterfvNV",glGetMapAttribParameterfvNV);
  log("glGetMapAttribParameterivNV",glGetMapAttribParameterivNV);
  log("glGetMapControlPointsNV",glGetMapControlPointsNV);
  log("glGetMapParameterfvNV",glGetMapParameterfvNV);
  log("glGetMapParameterivNV",glGetMapParameterivNV);
  log("glMapControlPointsNV",glMapControlPointsNV);
  log("glMapParameterfvNV",glMapParameterfvNV);
  log("glMapParameterivNV",glMapParameterivNV);

/* GL_NV_explicit_multisample */

  log("glGetMultisamplefvNV",glGetMultisamplefvNV);
  log("glSampleMaskIndexedNV",glSampleMaskIndexedNV);
  log("glTexRenderbufferNV",glTexRenderbufferNV);

/* GL_NV_fence */

  log("glDeleteFencesNV",glDeleteFencesNV);
  log("glFinishFenceNV",glFinishFenceNV);
  log("glGenFencesNV",glGenFencesNV);
  log("glGetFenceivNV",glGetFenceivNV);
  log("glIsFenceNV",glIsFenceNV);
  log("glSetFenceNV",glSetFenceNV);
  log("glTestFenceNV",glTestFenceNV);

/* GL_NV_fragment_program */

  log("glGetProgramNamedParameterdvNV",glGetProgramNamedParameterdvNV);
  log("glGetProgramNamedParameterfvNV",glGetProgramNamedParameterfvNV);
  log("glProgramNamedParameter4dNV",glProgramNamedParameter4dNV);
  log("glProgramNamedParameter4dvNV",glProgramNamedParameter4dvNV);
  log("glProgramNamedParameter4fNV",glProgramNamedParameter4fNV);
  log("glProgramNamedParameter4fvNV",glProgramNamedParameter4fvNV);

/* GL_NV_framebuffer_blit */

  log("glBlitFramebufferNV",glBlitFramebufferNV);

/* GL_NV_framebuffer_multisample_coverage */

  log("glRenderbufferStorageMultisampleCoverageNV",glRenderbufferStorageMultisampleCoverageNV);

/* GL_NV_geometry_program4 */

  log("glProgramVertexLimitNV",glProgramVertexLimitNV);

/* GL_NV_gpu_program4 */

  log("glGetProgramEnvParameterIivNV",glGetProgramEnvParameterIivNV);
  log("glGetProgramEnvParameterIuivNV",glGetProgramEnvParameterIuivNV);
  log("glGetProgramLocalParameterIivNV",glGetProgramLocalParameterIivNV);
  log("glGetProgramLocalParameterIuivNV",glGetProgramLocalParameterIuivNV);
  log("glProgramEnvParameterI4iNV",glProgramEnvParameterI4iNV);
  log("glProgramEnvParameterI4ivNV",glProgramEnvParameterI4ivNV);
  log("glProgramEnvParameterI4uiNV",glProgramEnvParameterI4uiNV);
  log("glProgramEnvParameterI4uivNV",glProgramEnvParameterI4uivNV);
  log("glProgramEnvParametersI4ivNV",glProgramEnvParametersI4ivNV);
  log("glProgramEnvParametersI4uivNV",glProgramEnvParametersI4uivNV);
  log("glProgramLocalParameterI4iNV",glProgramLocalParameterI4iNV);
  log("glProgramLocalParameterI4ivNV",glProgramLocalParameterI4ivNV);
  log("glProgramLocalParameterI4uiNV",glProgramLocalParameterI4uiNV);
  log("glProgramLocalParameterI4uivNV",glProgramLocalParameterI4uivNV);
  log("glProgramLocalParametersI4ivNV",glProgramLocalParametersI4ivNV);
  log("glProgramLocalParametersI4uivNV",glProgramLocalParametersI4uivNV);

/* GL_NV_gpu_shader5 */

  log("glGetUniformi64vNV",glGetUniformi64vNV);
  log("glProgramUniform1i64NV",glProgramUniform1i64NV);
  log("glProgramUniform1i64vNV",glProgramUniform1i64vNV);
  log("glProgramUniform1ui64NV",glProgramUniform1ui64NV);
  log("glProgramUniform1ui64vNV",glProgramUniform1ui64vNV);
  log("glProgramUniform2i64NV",glProgramUniform2i64NV);
  log("glProgramUniform2i64vNV",glProgramUniform2i64vNV);
  log("glProgramUniform2ui64NV",glProgramUniform2ui64NV);
  log("glProgramUniform2ui64vNV",glProgramUniform2ui64vNV);
  log("glProgramUniform3i64NV",glProgramUniform3i64NV);
  log("glProgramUniform3i64vNV",glProgramUniform3i64vNV);
  log("glProgramUniform3ui64NV",glProgramUniform3ui64NV);
  log("glProgramUniform3ui64vNV",glProgramUniform3ui64vNV);
  log("glProgramUniform4i64NV",glProgramUniform4i64NV);
  log("glProgramUniform4i64vNV",glProgramUniform4i64vNV);
  log("glProgramUniform4ui64NV",glProgramUniform4ui64NV);
  log("glProgramUniform4ui64vNV",glProgramUniform4ui64vNV);
  log("glUniform1i64NV",glUniform1i64NV);
  log("glUniform1i64vNV",glUniform1i64vNV);
  log("glUniform1ui64NV",glUniform1ui64NV);
  log("glUniform1ui64vNV",glUniform1ui64vNV);
  log("glUniform2i64NV",glUniform2i64NV);
  log("glUniform2i64vNV",glUniform2i64vNV);
  log("glUniform2ui64NV",glUniform2ui64NV);
  log("glUniform2ui64vNV",glUniform2ui64vNV);
  log("glUniform3i64NV",glUniform3i64NV);
  log("glUniform3i64vNV",glUniform3i64vNV);
  log("glUniform3ui64NV",glUniform3ui64NV);
  log("glUniform3ui64vNV",glUniform3ui64vNV);
  log("glUniform4i64NV",glUniform4i64NV);
  log("glUniform4i64vNV",glUniform4i64vNV);
  log("glUniform4ui64NV",glUniform4ui64NV);
  log("glUniform4ui64vNV",glUniform4ui64vNV);

/* GL_NV_half_float */

  log("glColor3hNV",glColor3hNV);
  log("glColor3hvNV",glColor3hvNV);
  log("glColor4hNV",glColor4hNV);
  log("glColor4hvNV",glColor4hvNV);
  log("glFogCoordhNV",glFogCoordhNV);
  log("glFogCoordhvNV",glFogCoordhvNV);
  log("glMultiTexCoord1hNV",glMultiTexCoord1hNV);
  log("glMultiTexCoord1hvNV",glMultiTexCoord1hvNV);
  log("glMultiTexCoord2hNV",glMultiTexCoord2hNV);
  log("glMultiTexCoord2hvNV",glMultiTexCoord2hvNV);
  log("glMultiTexCoord3hNV",glMultiTexCoord3hNV);
  log("glMultiTexCoord3hvNV",glMultiTexCoord3hvNV);
  log("glMultiTexCoord4hNV",glMultiTexCoord4hNV);
  log("glMultiTexCoord4hvNV",glMultiTexCoord4hvNV);
  log("glNormal3hNV",glNormal3hNV);
  log("glNormal3hvNV",glNormal3hvNV);
  log("glSecondaryColor3hNV",glSecondaryColor3hNV);
  log("glSecondaryColor3hvNV",glSecondaryColor3hvNV);
  log("glTexCoord1hNV",glTexCoord1hNV);
  log("glTexCoord1hvNV",glTexCoord1hvNV);
  log("glTexCoord2hNV",glTexCoord2hNV);
  log("glTexCoord2hvNV",glTexCoord2hvNV);
  log("glTexCoord3hNV",glTexCoord3hNV);
  log("glTexCoord3hvNV",glTexCoord3hvNV);
  log("glTexCoord4hNV",glTexCoord4hNV);
  log("glTexCoord4hvNV",glTexCoord4hvNV);
  log("glVertex2hNV",glVertex2hNV);
  log("glVertex2hvNV",glVertex2hvNV);
  log("glVertex3hNV",glVertex3hNV);
  log("glVertex3hvNV",glVertex3hvNV);
  log("glVertex4hNV",glVertex4hNV);
  log("glVertex4hvNV",glVertex4hvNV);
  log("glVertexAttrib1hNV",glVertexAttrib1hNV);
  log("glVertexAttrib1hvNV",glVertexAttrib1hvNV);
  log("glVertexAttrib2hNV",glVertexAttrib2hNV);
  log("glVertexAttrib2hvNV",glVertexAttrib2hvNV);
  log("glVertexAttrib3hNV",glVertexAttrib3hNV);
  log("glVertexAttrib3hvNV",glVertexAttrib3hvNV);
  log("glVertexAttrib4hNV",glVertexAttrib4hNV);
  log("glVertexAttrib4hvNV",glVertexAttrib4hvNV);
  log("glVertexAttribs1hvNV",glVertexAttribs1hvNV);
  log("glVertexAttribs2hvNV",glVertexAttribs2hvNV);
  log("glVertexAttribs3hvNV",glVertexAttribs3hvNV);
  log("glVertexAttribs4hvNV",glVertexAttribs4hvNV);
  log("glVertexWeighthNV",glVertexWeighthNV);
  log("glVertexWeighthvNV",glVertexWeighthvNV);

/* GL_NV_non_square_matrices */

  log("glUniformMatrix2x3fvNV",glUniformMatrix2x3fvNV);
  log("glUniformMatrix2x4fvNV",glUniformMatrix2x4fvNV);
  log("glUniformMatrix3x2fvNV",glUniformMatrix3x2fvNV);
  log("glUniformMatrix3x4fvNV",glUniformMatrix3x4fvNV);
  log("glUniformMatrix4x2fvNV",glUniformMatrix4x2fvNV);
  log("glUniformMatrix4x3fvNV",glUniformMatrix4x3fvNV);

/* GL_NV_occlusion_query */

  log("glBeginOcclusionQueryNV",glBeginOcclusionQueryNV);
  log("glDeleteOcclusionQueriesNV",glDeleteOcclusionQueriesNV);
  log("glEndOcclusionQueryNV",glEndOcclusionQueryNV);
  log("glGenOcclusionQueriesNV",glGenOcclusionQueriesNV);
  log("glGetOcclusionQueryivNV",glGetOcclusionQueryivNV);
  log("glGetOcclusionQueryuivNV",glGetOcclusionQueryuivNV);
  log("glIsOcclusionQueryNV",glIsOcclusionQueryNV);

/* GL_NV_parameter_buffer_object */

  log("glProgramBufferParametersIivNV",glProgramBufferParametersIivNV);
  log("glProgramBufferParametersIuivNV",glProgramBufferParametersIuivNV);
  log("glProgramBufferParametersfvNV",glProgramBufferParametersfvNV);

/* GL_NV_path_rendering */

  log("glCopyPathNV",glCopyPathNV);
  log("glCoverFillPathInstancedNV",glCoverFillPathInstancedNV);
  log("glCoverFillPathNV",glCoverFillPathNV);
  log("glCoverStrokePathInstancedNV",glCoverStrokePathInstancedNV);
  log("glCoverStrokePathNV",glCoverStrokePathNV);
  log("glDeletePathsNV",glDeletePathsNV);
  log("glGenPathsNV",glGenPathsNV);
  log("glGetPathColorGenfvNV",glGetPathColorGenfvNV);
  log("glGetPathColorGenivNV",glGetPathColorGenivNV);
  log("glGetPathCommandsNV",glGetPathCommandsNV);
  log("glGetPathCoordsNV",glGetPathCoordsNV);
  log("glGetPathDashArrayNV",glGetPathDashArrayNV);
  log("glGetPathLengthNV",glGetPathLengthNV);
  log("glGetPathMetricRangeNV",glGetPathMetricRangeNV);
  log("glGetPathMetricsNV",glGetPathMetricsNV);
  log("glGetPathParameterfvNV",glGetPathParameterfvNV);
  log("glGetPathParameterivNV",glGetPathParameterivNV);
  log("glGetPathSpacingNV",glGetPathSpacingNV);
  log("glGetPathTexGenfvNV",glGetPathTexGenfvNV);
  log("glGetPathTexGenivNV",glGetPathTexGenivNV);
  log("glInterpolatePathsNV",glInterpolatePathsNV);
  log("glIsPathNV",glIsPathNV);
  log("glIsPointInFillPathNV",glIsPointInFillPathNV);
  log("glIsPointInStrokePathNV",glIsPointInStrokePathNV);
  log("glPathColorGenNV",glPathColorGenNV);
  log("glPathCommandsNV",glPathCommandsNV);
  log("glPathCoordsNV",glPathCoordsNV);
  log("glPathCoverDepthFuncNV",glPathCoverDepthFuncNV);
  log("glPathDashArrayNV",glPathDashArrayNV);
  log("glPathFogGenNV",glPathFogGenNV);
  log("glPathGlyphRangeNV",glPathGlyphRangeNV);
  log("glPathGlyphsNV",glPathGlyphsNV);
  log("glPathParameterfNV",glPathParameterfNV);
  log("glPathParameterfvNV",glPathParameterfvNV);
  log("glPathParameteriNV",glPathParameteriNV);
  log("glPathParameterivNV",glPathParameterivNV);
  log("glPathStencilDepthOffsetNV",glPathStencilDepthOffsetNV);
  log("glPathStencilFuncNV",glPathStencilFuncNV);
  log("glPathStringNV",glPathStringNV);
  log("glPathSubCommandsNV",glPathSubCommandsNV);
  log("glPathSubCoordsNV",glPathSubCoordsNV);
  log("glPathTexGenNV",glPathTexGenNV);
  log("glPointAlongPathNV",glPointAlongPathNV);
  log("glStencilFillPathInstancedNV",glStencilFillPathInstancedNV);
  log("glStencilFillPathNV",glStencilFillPathNV);
  log("glStencilStrokePathInstancedNV",glStencilStrokePathInstancedNV);
  log("glStencilStrokePathNV",glStencilStrokePathNV);
  log("glTransformPathNV",glTransformPathNV);
  log("glWeightPathsNV",glWeightPathsNV);

/* GL_NV_pixel_data_range */

  log("glFlushPixelDataRangeNV",glFlushPixelDataRangeNV);
  log("glPixelDataRangeNV",glPixelDataRangeNV);

/* GL_NV_point_sprite */

  log("glPointParameteriNV",glPointParameteriNV);
  log("glPointParameterivNV",glPointParameterivNV);

/* GL_NV_present_video */

  log("glGetVideoi64vNV",glGetVideoi64vNV);
  log("glGetVideoivNV",glGetVideoivNV);
  log("glGetVideoui64vNV",glGetVideoui64vNV);
  log("glGetVideouivNV",glGetVideouivNV);
  log("glPresentFrameDualFillNV",glPresentFrameDualFillNV);
  log("glPresentFrameKeyedNV",glPresentFrameKeyedNV);

/* GL_NV_primitive_restart */

  log("glPrimitiveRestartIndexNV",glPrimitiveRestartIndexNV);
  log("glPrimitiveRestartNV",glPrimitiveRestartNV);

/* GL_NV_read_buffer */

  log("glReadBufferNV",glReadBufferNV);

/* GL_NV_register_combiners */

  log("glCombinerInputNV",glCombinerInputNV);
  log("glCombinerOutputNV",glCombinerOutputNV);
  log("glCombinerParameterfNV",glCombinerParameterfNV);
  log("glCombinerParameterfvNV",glCombinerParameterfvNV);
  log("glCombinerParameteriNV",glCombinerParameteriNV);
  log("glCombinerParameterivNV",glCombinerParameterivNV);
  log("glFinalCombinerInputNV",glFinalCombinerInputNV);
  log("glGetCombinerInputParameterfvNV",glGetCombinerInputParameterfvNV);
  log("glGetCombinerInputParameterivNV",glGetCombinerInputParameterivNV);
  log("glGetCombinerOutputParameterfvNV",glGetCombinerOutputParameterfvNV);
  log("glGetCombinerOutputParameterivNV",glGetCombinerOutputParameterivNV);
  log("glGetFinalCombinerInputParameterfvNV",glGetFinalCombinerInputParameterfvNV);
  log("glGetFinalCombinerInputParameterivNV",glGetFinalCombinerInputParameterivNV);

/* GL_NV_register_combiners2 */

  log("glCombinerStageParameterfvNV",glCombinerStageParameterfvNV);
  log("glGetCombinerStageParameterfvNV",glGetCombinerStageParameterfvNV);

/* GL_NV_shader_buffer_load */

  log("glGetBufferParameterui64vNV",glGetBufferParameterui64vNV);
  log("glGetIntegerui64vNV",glGetIntegerui64vNV);
  log("glGetNamedBufferParameterui64vNV",glGetNamedBufferParameterui64vNV);
  log("glGetUniformui64vNV",glGetUniformui64vNV);
  log("glIsBufferResidentNV",glIsBufferResidentNV);
  log("glIsNamedBufferResidentNV",glIsNamedBufferResidentNV);
  log("glMakeBufferNonResidentNV",glMakeBufferNonResidentNV);
  log("glMakeBufferResidentNV",glMakeBufferResidentNV);
  log("glMakeNamedBufferNonResidentNV",glMakeNamedBufferNonResidentNV);
  log("glMakeNamedBufferResidentNV",glMakeNamedBufferResidentNV);
  log("glProgramUniformui64NV",glProgramUniformui64NV);
  log("glProgramUniformui64vNV",glProgramUniformui64vNV);
  log("glUniformui64NV",glUniformui64NV);
  log("glUniformui64vNV",glUniformui64vNV);

/* GL_NV_texture_barrier */

  log("glTextureBarrierNV",glTextureBarrierNV);

/* GL_NV_texture_multisample */

  log("glTexImage2DMultisampleCoverageNV",glTexImage2DMultisampleCoverageNV);
  log("glTexImage3DMultisampleCoverageNV",glTexImage3DMultisampleCoverageNV);
  log("glTextureImage2DMultisampleCoverageNV",glTextureImage2DMultisampleCoverageNV);
  log("glTextureImage2DMultisampleNV",glTextureImage2DMultisampleNV);
  log("glTextureImage3DMultisampleCoverageNV",glTextureImage3DMultisampleCoverageNV);
  log("glTextureImage3DMultisampleNV",glTextureImage3DMultisampleNV);

/* GL_NV_transform_feedback */

  log("glActiveVaryingNV",glActiveVaryingNV);
  log("glBeginTransformFeedbackNV",glBeginTransformFeedbackNV);
  log("glBindBufferBaseNV",glBindBufferBaseNV);
  log("glBindBufferOffsetNV",glBindBufferOffsetNV);
  log("glBindBufferRangeNV",glBindBufferRangeNV);
  log("glEndTransformFeedbackNV",glEndTransformFeedbackNV);
  log("glGetActiveVaryingNV",glGetActiveVaryingNV);
  log("glGetTransformFeedbackVaryingNV",glGetTransformFeedbackVaryingNV);
  log("glGetVaryingLocationNV",glGetVaryingLocationNV);
  log("glTransformFeedbackAttribsNV",glTransformFeedbackAttribsNV);
  log("glTransformFeedbackVaryingsNV",glTransformFeedbackVaryingsNV);

/* GL_NV_transform_feedback2 */

  log("glBindTransformFeedbackNV",glBindTransformFeedbackNV);
  log("glDeleteTransformFeedbacksNV",glDeleteTransformFeedbacksNV);
  log("glDrawTransformFeedbackNV",glDrawTransformFeedbackNV);
  log("glGenTransformFeedbacksNV",glGenTransformFeedbacksNV);
  log("glIsTransformFeedbackNV",glIsTransformFeedbackNV);
  log("glPauseTransformFeedbackNV",glPauseTransformFeedbackNV);
  log("glResumeTransformFeedbackNV",glResumeTransformFeedbackNV);

/* GL_NV_vdpau_interop */

  log("glVDPAUFiniNV",glVDPAUFiniNV);
  log("glVDPAUGetSurfaceivNV",glVDPAUGetSurfaceivNV);
  log("glVDPAUInitNV",glVDPAUInitNV);
  log("glVDPAUIsSurfaceNV",glVDPAUIsSurfaceNV);
  log("glVDPAUMapSurfacesNV",glVDPAUMapSurfacesNV);
  log("glVDPAURegisterOutputSurfaceNV",glVDPAURegisterOutputSurfaceNV);
  log("glVDPAURegisterVideoSurfaceNV",glVDPAURegisterVideoSurfaceNV);
  log("glVDPAUSurfaceAccessNV",glVDPAUSurfaceAccessNV);
  log("glVDPAUUnmapSurfacesNV",glVDPAUUnmapSurfacesNV);
  log("glVDPAUUnregisterSurfaceNV",glVDPAUUnregisterSurfaceNV);

/* GL_NV_vertex_array_range */

  log("glFlushVertexArrayRangeNV",glFlushVertexArrayRangeNV);
  log("glVertexArrayRangeNV",glVertexArrayRangeNV);

/* GL_NV_vertex_attrib_integer_64bit */

  log("glGetVertexAttribLi64vNV",glGetVertexAttribLi64vNV);
  log("glGetVertexAttribLui64vNV",glGetVertexAttribLui64vNV);
  log("glVertexAttribL1i64NV",glVertexAttribL1i64NV);
  log("glVertexAttribL1i64vNV",glVertexAttribL1i64vNV);
  log("glVertexAttribL1ui64NV",glVertexAttribL1ui64NV);
  log("glVertexAttribL1ui64vNV",glVertexAttribL1ui64vNV);
  log("glVertexAttribL2i64NV",glVertexAttribL2i64NV);
  log("glVertexAttribL2i64vNV",glVertexAttribL2i64vNV);
  log("glVertexAttribL2ui64NV",glVertexAttribL2ui64NV);
  log("glVertexAttribL2ui64vNV",glVertexAttribL2ui64vNV);
  log("glVertexAttribL3i64NV",glVertexAttribL3i64NV);
  log("glVertexAttribL3i64vNV",glVertexAttribL3i64vNV);
  log("glVertexAttribL3ui64NV",glVertexAttribL3ui64NV);
  log("glVertexAttribL3ui64vNV",glVertexAttribL3ui64vNV);
  log("glVertexAttribL4i64NV",glVertexAttribL4i64NV);
  log("glVertexAttribL4i64vNV",glVertexAttribL4i64vNV);
  log("glVertexAttribL4ui64NV",glVertexAttribL4ui64NV);
  log("glVertexAttribL4ui64vNV",glVertexAttribL4ui64vNV);
  log("glVertexAttribLFormatNV",glVertexAttribLFormatNV);

/* GL_NV_vertex_buffer_unified_memory */

  log("glBufferAddressRangeNV",glBufferAddressRangeNV);
  log("glColorFormatNV",glColorFormatNV);
  log("glEdgeFlagFormatNV",glEdgeFlagFormatNV);
  log("glFogCoordFormatNV",glFogCoordFormatNV);
  log("glGetIntegerui64i_vNV",glGetIntegerui64i_vNV);
  log("glIndexFormatNV",glIndexFormatNV);
  log("glNormalFormatNV",glNormalFormatNV);
  log("glSecondaryColorFormatNV",glSecondaryColorFormatNV);
  log("glTexCoordFormatNV",glTexCoordFormatNV);
  log("glVertexAttribFormatNV",glVertexAttribFormatNV);
  log("glVertexAttribIFormatNV",glVertexAttribIFormatNV);
  log("glVertexFormatNV",glVertexFormatNV);

/* GL_NV_vertex_program */

  log("glAreProgramsResidentNV",glAreProgramsResidentNV);
  log("glBindProgramNV",glBindProgramNV);
  log("glDeleteProgramsNV",glDeleteProgramsNV);
  log("glExecuteProgramNV",glExecuteProgramNV);
  log("glGenProgramsNV",glGenProgramsNV);
  log("glGetProgramParameterdvNV",glGetProgramParameterdvNV);
  log("glGetProgramParameterfvNV",glGetProgramParameterfvNV);
  log("glGetProgramStringNV",glGetProgramStringNV);
  log("glGetProgramivNV",glGetProgramivNV);
  log("glGetTrackMatrixivNV",glGetTrackMatrixivNV);
  log("glGetVertexAttribPointervNV",glGetVertexAttribPointervNV);
  log("glGetVertexAttribdvNV",glGetVertexAttribdvNV);
  log("glGetVertexAttribfvNV",glGetVertexAttribfvNV);
  log("glGetVertexAttribivNV",glGetVertexAttribivNV);
  log("glIsProgramNV",glIsProgramNV);
  log("glLoadProgramNV",glLoadProgramNV);
  log("glProgramParameter4dNV",glProgramParameter4dNV);
  log("glProgramParameter4dvNV",glProgramParameter4dvNV);
  log("glProgramParameter4fNV",glProgramParameter4fNV);
  log("glProgramParameter4fvNV",glProgramParameter4fvNV);
  log("glProgramParameters4dvNV",glProgramParameters4dvNV);
  log("glProgramParameters4fvNV",glProgramParameters4fvNV);
  log("glRequestResidentProgramsNV",glRequestResidentProgramsNV);
  log("glTrackMatrixNV",glTrackMatrixNV);
  log("glVertexAttrib1dNV",glVertexAttrib1dNV);
  log("glVertexAttrib1dvNV",glVertexAttrib1dvNV);
  log("glVertexAttrib1fNV",glVertexAttrib1fNV);
  log("glVertexAttrib1fvNV",glVertexAttrib1fvNV);
  log("glVertexAttrib1sNV",glVertexAttrib1sNV);
  log("glVertexAttrib1svNV",glVertexAttrib1svNV);
  log("glVertexAttrib2dNV",glVertexAttrib2dNV);
  log("glVertexAttrib2dvNV",glVertexAttrib2dvNV);
  log("glVertexAttrib2fNV",glVertexAttrib2fNV);
  log("glVertexAttrib2fvNV",glVertexAttrib2fvNV);
  log("glVertexAttrib2sNV",glVertexAttrib2sNV);
  log("glVertexAttrib2svNV",glVertexAttrib2svNV);
  log("glVertexAttrib3dNV",glVertexAttrib3dNV);
  log("glVertexAttrib3dvNV",glVertexAttrib3dvNV);
  log("glVertexAttrib3fNV",glVertexAttrib3fNV);
  log("glVertexAttrib3fvNV",glVertexAttrib3fvNV);
  log("glVertexAttrib3sNV",glVertexAttrib3sNV);
  log("glVertexAttrib3svNV",glVertexAttrib3svNV);
  log("glVertexAttrib4dNV",glVertexAttrib4dNV);
  log("glVertexAttrib4dvNV",glVertexAttrib4dvNV);
  log("glVertexAttrib4fNV",glVertexAttrib4fNV);
  log("glVertexAttrib4fvNV",glVertexAttrib4fvNV);
  log("glVertexAttrib4sNV",glVertexAttrib4sNV);
  log("glVertexAttrib4svNV",glVertexAttrib4svNV);
  log("glVertexAttrib4ubNV",glVertexAttrib4ubNV);
  log("glVertexAttrib4ubvNV",glVertexAttrib4ubvNV);
  log("glVertexAttribPointerNV",glVertexAttribPointerNV);
  log("glVertexAttribs1dvNV",glVertexAttribs1dvNV);
  log("glVertexAttribs1fvNV",glVertexAttribs1fvNV);
  log("glVertexAttribs1svNV",glVertexAttribs1svNV);
  log("glVertexAttribs2dvNV",glVertexAttribs2dvNV);
  log("glVertexAttribs2fvNV",glVertexAttribs2fvNV);
  log("glVertexAttribs2svNV",glVertexAttribs2svNV);
  log("glVertexAttribs3dvNV",glVertexAttribs3dvNV);
  log("glVertexAttribs3fvNV",glVertexAttribs3fvNV);
  log("glVertexAttribs3svNV",glVertexAttribs3svNV);
  log("glVertexAttribs4dvNV",glVertexAttribs4dvNV);
  log("glVertexAttribs4fvNV",glVertexAttribs4fvNV);
  log("glVertexAttribs4svNV",glVertexAttribs4svNV);
  log("glVertexAttribs4ubvNV",glVertexAttribs4ubvNV);

/* GL_NV_video_capture */

  log("glBeginVideoCaptureNV",glBeginVideoCaptureNV);
  log("glBindVideoCaptureStreamBufferNV",glBindVideoCaptureStreamBufferNV);
  log("glBindVideoCaptureStreamTextureNV",glBindVideoCaptureStreamTextureNV);
  log("glEndVideoCaptureNV",glEndVideoCaptureNV);
  log("glGetVideoCaptureStreamdvNV",glGetVideoCaptureStreamdvNV);
  log("glGetVideoCaptureStreamfvNV",glGetVideoCaptureStreamfvNV);
  log("glGetVideoCaptureStreamivNV",glGetVideoCaptureStreamivNV);
  log("glGetVideoCaptureivNV",glGetVideoCaptureivNV);
  log("glVideoCaptureNV",glVideoCaptureNV);
  log("glVideoCaptureStreamParameterdvNV",glVideoCaptureStreamParameterdvNV);
  log("glVideoCaptureStreamParameterfvNV",glVideoCaptureStreamParameterfvNV);
  log("glVideoCaptureStreamParameterivNV",glVideoCaptureStreamParameterivNV);

/* GL_OES_blend_equation_separate */

  log("glBlendEquationSeparateOES",glBlendEquationSeparateOES);

/* GL_OES_blend_func_separate */

  log("glBlendFuncSeparateOES",glBlendFuncSeparateOES);

/* GL_OES_blend_subtract */

  log("glBlendEquationOES",glBlendEquationOES);

/* GL_OES_framebuffer_object */

  log("glBindFramebufferOES",glBindFramebufferOES);
  log("glBindRenderbufferOES",glBindRenderbufferOES);
  log("glCheckFramebufferStatusOES",glCheckFramebufferStatusOES);
  log("glDeleteFramebuffersOES",glDeleteFramebuffersOES);
  log("glDeleteRenderbuffersOES",glDeleteRenderbuffersOES);
  log("glFramebufferRenderbufferOES",glFramebufferRenderbufferOES);
  log("glFramebufferTexture2DOES",glFramebufferTexture2DOES);
  log("glGenFramebuffersOES",glGenFramebuffersOES);
  log("glGenRenderbuffersOES",glGenRenderbuffersOES);
  log("glGenerateMipmapOES",glGenerateMipmapOES);
  log("glGetFramebufferAttachmentParameterivOES",glGetFramebufferAttachmentParameterivOES);
  log("glGetRenderbufferParameterivOES",glGetRenderbufferParameterivOES);
  log("glIsFramebufferOES",glIsFramebufferOES);
  log("glIsRenderbufferOES",glIsRenderbufferOES);
  log("glRenderbufferStorageOES",glRenderbufferStorageOES);

/* GL_OES_get_program_binary */

  log("glGetProgramBinaryOES",glGetProgramBinaryOES);
  log("glProgramBinaryOES",glProgramBinaryOES);

/* GL_OES_mapbuffer */

  log("glGetBufferPointervOES",glGetBufferPointervOES);
  log("glMapBufferOES",glMapBufferOES);
  log("glUnmapBufferOES",glUnmapBufferOES);

/* GL_OES_matrix_palette */

  log("glCurrentPaletteMatrixOES",glCurrentPaletteMatrixOES);
  log("glMatrixIndexPointerOES",glMatrixIndexPointerOES);
  log("glWeightPointerOES",glWeightPointerOES);

/* GL_OES_single_precision */

  log("glClearDepthfOES",glClearDepthfOES);
  log("glClipPlanefOES",glClipPlanefOES);
  log("glDepthRangefOES",glDepthRangefOES);
  log("glFrustumfOES",glFrustumfOES);
  log("glGetClipPlanefOES",glGetClipPlanefOES);
  log("glOrthofOES",glOrthofOES);

/* GL_OES_texture_3D */

  log("glCompressedTexImage3DOES",glCompressedTexImage3DOES);
  log("glCompressedTexSubImage3DOES",glCompressedTexSubImage3DOES);
  log("glCopyTexSubImage3DOES",glCopyTexSubImage3DOES);
  log("glFramebufferTexture3DOES",glFramebufferTexture3DOES);
  log("glTexImage3DOES",glTexImage3DOES);
  log("glTexSubImage3DOES",glTexSubImage3DOES);

/* GL_OES_texture_cube_map */

  log("glGetTexGenfvOES",glGetTexGenfvOES);
  log("glGetTexGenivOES",glGetTexGenivOES);
  log("glGetTexGenxvOES",glGetTexGenxvOES);
  log("glTexGenfOES",glTexGenfOES);
  log("glTexGenfvOES",glTexGenfvOES);
  log("glTexGeniOES",glTexGeniOES);
  log("glTexGenivOES",glTexGenivOES);
  log("glTexGenxOES",glTexGenxOES);
  log("glTexGenxvOES",glTexGenxvOES);

/* GL_OES_vertex_array_object */

  log("glBindVertexArrayOES",glBindVertexArrayOES);
  log("glDeleteVertexArraysOES",glDeleteVertexArraysOES);
  log("glGenVertexArraysOES",glGenVertexArraysOES);
  log("glIsVertexArrayOES",glIsVertexArrayOES);

/* GL_PGI_misc_hints */

  log("glHintPGI",glHintPGI);

/* GL_QCOM_alpha_test */

  log("glAlphaFuncQCOM",glAlphaFuncQCOM);

/* GL_QCOM_driver_control */

  log("glDisableDriverControlQCOM",glDisableDriverControlQCOM);
  log("glEnableDriverControlQCOM",glEnableDriverControlQCOM);
  log("glGetDriverControlStringQCOM",glGetDriverControlStringQCOM);
  log("glGetDriverControlsQCOM",glGetDriverControlsQCOM);

/* GL_QCOM_extended_get */

  log("glExtGetBufferPointervQCOM",glExtGetBufferPointervQCOM);
  log("glExtGetBuffersQCOM",glExtGetBuffersQCOM);
  log("glExtGetFramebuffersQCOM",glExtGetFramebuffersQCOM);
  log("glExtGetRenderbuffersQCOM",glExtGetRenderbuffersQCOM);
  log("glExtGetTexLevelParameterivQCOM",glExtGetTexLevelParameterivQCOM);
  log("glExtGetTexSubImageQCOM",glExtGetTexSubImageQCOM);
  log("glExtGetTexturesQCOM",glExtGetTexturesQCOM);
  log("glExtTexObjectStateOverrideiQCOM",glExtTexObjectStateOverrideiQCOM);

/* GL_QCOM_extended_get2 */

  log("glExtGetProgramBinarySourceQCOM",glExtGetProgramBinarySourceQCOM);
  log("glExtGetProgramsQCOM",glExtGetProgramsQCOM);
  log("glExtGetShadersQCOM",glExtGetShadersQCOM);
  log("glExtIsProgramBinaryQCOM",glExtIsProgramBinaryQCOM);

/* GL_QCOM_tiled_rendering */

  log("glEndTilingQCOM",glEndTilingQCOM);
  log("glStartTilingQCOM",glStartTilingQCOM);

/* GL_REGAL_ES1_0_compatibility */

  log("glAlphaFuncx",glAlphaFuncx);
  log("glClearColorx",glClearColorx);
  log("glClearDepthx",glClearDepthx);
  log("glColor4x",glColor4x);
  log("glDepthRangex",glDepthRangex);
  log("glFogx",glFogx);
  log("glFogxv",glFogxv);
  log("glFrustumf",glFrustumf);
  log("glFrustumx",glFrustumx);
  log("glLightModelx",glLightModelx);
  log("glLightModelxv",glLightModelxv);
  log("glLightx",glLightx);
  log("glLightxv",glLightxv);
  log("glLineWidthx",glLineWidthx);
  log("glLoadMatrixx",glLoadMatrixx);
  log("glMaterialx",glMaterialx);
  log("glMaterialxv",glMaterialxv);
  log("glMultMatrixx",glMultMatrixx);
  log("glMultiTexCoord4x",glMultiTexCoord4x);
  log("glNormal3x",glNormal3x);
  log("glOrthof",glOrthof);
  log("glOrthox",glOrthox);
  log("glPointSizex",glPointSizex);
  log("glPolygonOffsetx",glPolygonOffsetx);
  log("glRotatex",glRotatex);
  log("glSampleCoveragex",glSampleCoveragex);
  log("glScalex",glScalex);
  log("glTexEnvx",glTexEnvx);
  log("glTexEnvxv",glTexEnvxv);
  log("glTexParameterx",glTexParameterx);
  log("glTranslatex",glTranslatex);

/* GL_REGAL_ES1_1_compatibility */

  log("glClipPlanef",glClipPlanef);
  log("glClipPlanex",glClipPlanex);
  log("glGetClipPlanef",glGetClipPlanef);
  log("glGetClipPlanex",glGetClipPlanex);
  log("glGetFixedv",glGetFixedv);
  log("glGetLightxv",glGetLightxv);
  log("glGetMaterialxv",glGetMaterialxv);
  log("glGetTexEnvxv",glGetTexEnvxv);
  log("glGetTexParameterxv",glGetTexParameterxv);
  log("glPointParameterx",glPointParameterx);
  log("glPointParameterxv",glPointParameterxv);
  log("glPointSizePointerOES",glPointSizePointerOES);
  log("glTexParameterxv",glTexParameterxv);

/* GL_REGAL_log */

  log("glLogMessageCallbackREGAL",glLogMessageCallbackREGAL);

/* GL_SGIS_detail_texture */

  log("glDetailTexFuncSGIS",glDetailTexFuncSGIS);
  log("glGetDetailTexFuncSGIS",glGetDetailTexFuncSGIS);

/* GL_SGIS_fog_function */

  log("glFogFuncSGIS",glFogFuncSGIS);
  log("glGetFogFuncSGIS",glGetFogFuncSGIS);

/* GL_SGIS_multisample */

  log("glSampleMaskSGIS",glSampleMaskSGIS);
  log("glSamplePatternSGIS",glSamplePatternSGIS);

/* GL_SGIS_pixel_texture */

  log("glGetPixelTexGenParameterfvSGIS",glGetPixelTexGenParameterfvSGIS);
  log("glGetPixelTexGenParameterivSGIS",glGetPixelTexGenParameterivSGIS);
  log("glPixelTexGenParameterfSGIS",glPixelTexGenParameterfSGIS);
  log("glPixelTexGenParameterfvSGIS",glPixelTexGenParameterfvSGIS);
  log("glPixelTexGenParameteriSGIS",glPixelTexGenParameteriSGIS);
  log("glPixelTexGenParameterivSGIS",glPixelTexGenParameterivSGIS);

/* GL_SGIS_point_parameters */

  log("glPointParameterfSGIS",glPointParameterfSGIS);
  log("glPointParameterfvSGIS",glPointParameterfvSGIS);

/* GL_SGIS_sharpen_texture */

  log("glGetSharpenTexFuncSGIS",glGetSharpenTexFuncSGIS);
  log("glSharpenTexFuncSGIS",glSharpenTexFuncSGIS);

/* GL_SGIS_texture4D */

  log("glTexImage4DSGIS",glTexImage4DSGIS);
  log("glTexSubImage4DSGIS",glTexSubImage4DSGIS);

/* GL_SGIS_texture_color_mask */

  log("glTextureColorMaskSGIS",glTextureColorMaskSGIS);

/* GL_SGIS_texture_filter4 */

  log("glGetTexFilterFuncSGIS",glGetTexFilterFuncSGIS);
  log("glTexFilterFuncSGIS",glTexFilterFuncSGIS);

/* GL_SGIX_async */

  log("glAsyncMarkerSGIX",glAsyncMarkerSGIX);
  log("glDeleteAsyncMarkersSGIX",glDeleteAsyncMarkersSGIX);
  log("glFinishAsyncSGIX",glFinishAsyncSGIX);
  log("glGenAsyncMarkersSGIX",glGenAsyncMarkersSGIX);
  log("glIsAsyncMarkerSGIX",glIsAsyncMarkerSGIX);
  log("glPollAsyncSGIX",glPollAsyncSGIX);

/* GL_SGIX_flush_raster */

  log("glFlushRasterSGIX",glFlushRasterSGIX);

/* GL_SGIX_fog_texture */

  log("glTextureFogSGIX",glTextureFogSGIX);

/* GL_SGIX_fragment_lighting */

  log("glFragmentColorMaterialSGIX",glFragmentColorMaterialSGIX);
  log("glFragmentLightModelfSGIX",glFragmentLightModelfSGIX);
  log("glFragmentLightModelfvSGIX",glFragmentLightModelfvSGIX);
  log("glFragmentLightModeliSGIX",glFragmentLightModeliSGIX);
  log("glFragmentLightModelivSGIX",glFragmentLightModelivSGIX);
  log("glFragmentLightfSGIX",glFragmentLightfSGIX);
  log("glFragmentLightfvSGIX",glFragmentLightfvSGIX);
  log("glFragmentLightiSGIX",glFragmentLightiSGIX);
  log("glFragmentLightivSGIX",glFragmentLightivSGIX);
  log("glFragmentMaterialfSGIX",glFragmentMaterialfSGIX);
  log("glFragmentMaterialfvSGIX",glFragmentMaterialfvSGIX);
  log("glFragmentMaterialiSGIX",glFragmentMaterialiSGIX);
  log("glFragmentMaterialivSGIX",glFragmentMaterialivSGIX);
  log("glGetFragmentLightfvSGIX",glGetFragmentLightfvSGIX);
  log("glGetFragmentLightivSGIX",glGetFragmentLightivSGIX);
  log("glGetFragmentMaterialfvSGIX",glGetFragmentMaterialfvSGIX);
  log("glGetFragmentMaterialivSGIX",glGetFragmentMaterialivSGIX);
  log("glLightEnviSGIX",glLightEnviSGIX);

/* GL_SGIX_framezoom */

  log("glFrameZoomSGIX",glFrameZoomSGIX);

/* GL_SGIX_igloo_interface */

  log("glIglooInterfaceSGIX",glIglooInterfaceSGIX);

/* GL_SGIX_instruments */

  log("glGetInstrumentsSGIX",glGetInstrumentsSGIX);
  log("glInstrumentsBufferSGIX",glInstrumentsBufferSGIX);
  log("glPollInstrumentsSGIX",glPollInstrumentsSGIX);
  log("glReadInstrumentsSGIX",glReadInstrumentsSGIX);
  log("glStartInstrumentsSGIX",glStartInstrumentsSGIX);
  log("glStopInstrumentsSGIX",glStopInstrumentsSGIX);

/* GL_SGIX_list_priority */

  log("glGetListParameterfvSGIX",glGetListParameterfvSGIX);
  log("glGetListParameterivSGIX",glGetListParameterivSGIX);
  log("glListParameterfSGIX",glListParameterfSGIX);
  log("glListParameterfvSGIX",glListParameterfvSGIX);
  log("glListParameteriSGIX",glListParameteriSGIX);
  log("glListParameterivSGIX",glListParameterivSGIX);

/* GL_SGIX_pixel_texture */

  log("glPixelTexGenSGIX",glPixelTexGenSGIX);

/* GL_SGIX_polynomial_ffd */

  log("glDeformSGIX",glDeformSGIX);
  log("glDeformationMap3dSGIX",glDeformationMap3dSGIX);
  log("glDeformationMap3fSGIX",glDeformationMap3fSGIX);
  log("glLoadIdentityDeformationMapSGIX",glLoadIdentityDeformationMapSGIX);

/* GL_SGIX_reference_plane */

  log("glReferencePlaneSGIX",glReferencePlaneSGIX);

/* GL_SGIX_sprite */

  log("glSpriteParameterfSGIX",glSpriteParameterfSGIX);
  log("glSpriteParameterfvSGIX",glSpriteParameterfvSGIX);
  log("glSpriteParameteriSGIX",glSpriteParameteriSGIX);
  log("glSpriteParameterivSGIX",glSpriteParameterivSGIX);

/* GL_SGIX_tag_sample_buffer */

  log("glTagSampleBufferSGIX",glTagSampleBufferSGIX);

/* GL_SGI_color_table */

  log("glColorTableParameterfvSGI",glColorTableParameterfvSGI);
  log("glColorTableParameterivSGI",glColorTableParameterivSGI);
  log("glColorTableSGI",glColorTableSGI);
  log("glCopyColorTableSGI",glCopyColorTableSGI);
  log("glGetColorTableParameterfvSGI",glGetColorTableParameterfvSGI);
  log("glGetColorTableParameterivSGI",glGetColorTableParameterivSGI);
  log("glGetColorTableSGI",glGetColorTableSGI);

/* GL_SUNX_constant_data */

  log("glFinishTextureSUNX",glFinishTextureSUNX);

/* GL_SUN_global_alpha */

  log("glGlobalAlphaFactorbSUN",glGlobalAlphaFactorbSUN);
  log("glGlobalAlphaFactordSUN",glGlobalAlphaFactordSUN);
  log("glGlobalAlphaFactorfSUN",glGlobalAlphaFactorfSUN);
  log("glGlobalAlphaFactoriSUN",glGlobalAlphaFactoriSUN);
  log("glGlobalAlphaFactorsSUN",glGlobalAlphaFactorsSUN);
  log("glGlobalAlphaFactorubSUN",glGlobalAlphaFactorubSUN);
  log("glGlobalAlphaFactoruiSUN",glGlobalAlphaFactoruiSUN);
  log("glGlobalAlphaFactorusSUN",glGlobalAlphaFactorusSUN);

/* GL_SUN_mesh_array */

  log("glDrawMeshArraysSUN",glDrawMeshArraysSUN);

/* GL_SUN_read_video_pixels */

  log("glReadVideoPixelsSUN",glReadVideoPixelsSUN);

/* GL_SUN_triangle_list */

  log("glReplacementCodePointerSUN",glReplacementCodePointerSUN);
  log("glReplacementCodeubSUN",glReplacementCodeubSUN);
  log("glReplacementCodeubvSUN",glReplacementCodeubvSUN);
  log("glReplacementCodeuiSUN",glReplacementCodeuiSUN);
  log("glReplacementCodeuivSUN",glReplacementCodeuivSUN);
  log("glReplacementCodeusSUN",glReplacementCodeusSUN);
  log("glReplacementCodeusvSUN",glReplacementCodeusvSUN);

/* GL_SUN_vertex */

  log("glColor3fVertex3fSUN",glColor3fVertex3fSUN);
  log("glColor3fVertex3fvSUN",glColor3fVertex3fvSUN);
  log("glColor4fNormal3fVertex3fSUN",glColor4fNormal3fVertex3fSUN);
  log("glColor4fNormal3fVertex3fvSUN",glColor4fNormal3fVertex3fvSUN);
  log("glColor4ubVertex2fSUN",glColor4ubVertex2fSUN);
  log("glColor4ubVertex2fvSUN",glColor4ubVertex2fvSUN);
  log("glColor4ubVertex3fSUN",glColor4ubVertex3fSUN);
  log("glColor4ubVertex3fvSUN",glColor4ubVertex3fvSUN);
  log("glNormal3fVertex3fSUN",glNormal3fVertex3fSUN);
  log("glNormal3fVertex3fvSUN",glNormal3fVertex3fvSUN);
  log("glReplacementCodeuiColor3fVertex3fSUN",glReplacementCodeuiColor3fVertex3fSUN);
  log("glReplacementCodeuiColor3fVertex3fvSUN",glReplacementCodeuiColor3fVertex3fvSUN);
  log("glReplacementCodeuiColor4fNormal3fVertex3fSUN",glReplacementCodeuiColor4fNormal3fVertex3fSUN);
  log("glReplacementCodeuiColor4fNormal3fVertex3fvSUN",glReplacementCodeuiColor4fNormal3fVertex3fvSUN);
  log("glReplacementCodeuiColor4ubVertex3fSUN",glReplacementCodeuiColor4ubVertex3fSUN);
  log("glReplacementCodeuiColor4ubVertex3fvSUN",glReplacementCodeuiColor4ubVertex3fvSUN);
  log("glReplacementCodeuiNormal3fVertex3fSUN",glReplacementCodeuiNormal3fVertex3fSUN);
  log("glReplacementCodeuiNormal3fVertex3fvSUN",glReplacementCodeuiNormal3fVertex3fvSUN);
  log("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN",glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fSUN);
  log("glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN",glReplacementCodeuiTexCoord2fColor4fNormal3fVertex3fvSUN);
  log("glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN",glReplacementCodeuiTexCoord2fNormal3fVertex3fSUN);
  log("glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN",glReplacementCodeuiTexCoord2fNormal3fVertex3fvSUN);
  log("glReplacementCodeuiTexCoord2fVertex3fSUN",glReplacementCodeuiTexCoord2fVertex3fSUN);
  log("glReplacementCodeuiTexCoord2fVertex3fvSUN",glReplacementCodeuiTexCoord2fVertex3fvSUN);
  log("glReplacementCodeuiVertex3fSUN",glReplacementCodeuiVertex3fSUN);
  log("glReplacementCodeuiVertex3fvSUN",glReplacementCodeuiVertex3fvSUN);
  log("glTexCoord2fColor3fVertex3fSUN",glTexCoord2fColor3fVertex3fSUN);
  log("glTexCoord2fColor3fVertex3fvSUN",glTexCoord2fColor3fVertex3fvSUN);
  log("glTexCoord2fColor4fNormal3fVertex3fSUN",glTexCoord2fColor4fNormal3fVertex3fSUN);
  log("glTexCoord2fColor4fNormal3fVertex3fvSUN",glTexCoord2fColor4fNormal3fVertex3fvSUN);
  log("glTexCoord2fColor4ubVertex3fSUN",glTexCoord2fColor4ubVertex3fSUN);
  log("glTexCoord2fColor4ubVertex3fvSUN",glTexCoord2fColor4ubVertex3fvSUN);
  log("glTexCoord2fNormal3fVertex3fSUN",glTexCoord2fNormal3fVertex3fSUN);
  log("glTexCoord2fNormal3fVertex3fvSUN",glTexCoord2fNormal3fVertex3fvSUN);
  log("glTexCoord2fVertex3fSUN",glTexCoord2fVertex3fSUN);
  log("glTexCoord2fVertex3fvSUN",glTexCoord2fVertex3fvSUN);
  log("glTexCoord4fColor4fNormal3fVertex4fSUN",glTexCoord4fColor4fNormal3fVertex4fSUN);
  log("glTexCoord4fColor4fNormal3fVertex4fvSUN",glTexCoord4fColor4fNormal3fVertex4fvSUN);
  log("glTexCoord4fVertex4fSUN",glTexCoord4fVertex4fSUN);
  log("glTexCoord4fVertex4fvSUN",glTexCoord4fVertex4fvSUN);

/* GL_WIN_swap_hint */

  log("glAddSwapHintRectWIN",glAddSwapHintRectWIN);

#if REGAL_SYS_WGL

/* WGL_3DL_stereo_control */

  log("wglSetStereoEmitterState3DL",wglSetStereoEmitterState3DL);

/* WGL_AMD_gpu_association */

  log("wglBlitContextFramebufferAMD",wglBlitContextFramebufferAMD);
  log("wglCreateAssociatedContextAMD",wglCreateAssociatedContextAMD);
  log("wglCreateAssociatedContextAttribsAMD",wglCreateAssociatedContextAttribsAMD);
  log("wglDeleteAssociatedContextAMD",wglDeleteAssociatedContextAMD);
  log("wglGetContextGPUIDAMD",wglGetContextGPUIDAMD);
  log("wglGetCurrentAssociatedContextAMD",wglGetCurrentAssociatedContextAMD);
  log("wglGetGPUIDsAMD",wglGetGPUIDsAMD);
  log("wglGetGPUInfoAMD",wglGetGPUInfoAMD);
  log("wglMakeAssociatedContextCurrentAMD",wglMakeAssociatedContextCurrentAMD);

/* WGL_ARB_buffer_region */

  log("wglCreateBufferRegionARB",wglCreateBufferRegionARB);
  log("wglDeleteBufferRegionARB",wglDeleteBufferRegionARB);
  log("wglRestoreBufferRegionARB",wglRestoreBufferRegionARB);
  log("wglSaveBufferRegionARB",wglSaveBufferRegionARB);

/* WGL_ARB_create_context */

  log("wglCreateContextAttribsARB",wglCreateContextAttribsARB);

/* WGL_ARB_extensions_string */

  log("wglGetExtensionsStringARB",wglGetExtensionsStringARB);

/* WGL_ARB_make_current_read */

  log("wglGetCurrentReadDCARB",wglGetCurrentReadDCARB);
  log("wglMakeContextCurrentARB",wglMakeContextCurrentARB);

/* WGL_ARB_pbuffer */

  log("wglCreatePbufferARB",wglCreatePbufferARB);
  log("wglDestroyPbufferARB",wglDestroyPbufferARB);
  log("wglGetPbufferDCARB",wglGetPbufferDCARB);
  log("wglQueryPbufferARB",wglQueryPbufferARB);
  log("wglReleasePbufferDCARB",wglReleasePbufferDCARB);

/* WGL_ARB_pixel_format */

  log("wglChoosePixelFormatARB",wglChoosePixelFormatARB);
  log("wglGetPixelFormatAttribfvARB",wglGetPixelFormatAttribfvARB);
  log("wglGetPixelFormatAttribivARB",wglGetPixelFormatAttribivARB);

/* WGL_ARB_render_texture */

  log("wglBindTexImageARB",wglBindTexImageARB);
  log("wglReleaseTexImageARB",wglReleaseTexImageARB);
  log("wglSetPbufferAttribARB",wglSetPbufferAttribARB);

/* WGL_EXT_display_color_table */

  log("wglBindDisplayColorTableEXT",wglBindDisplayColorTableEXT);
  log("wglCreateDisplayColorTableEXT",wglCreateDisplayColorTableEXT);
  log("wglDestroyDisplayColorTableEXT",wglDestroyDisplayColorTableEXT);
  log("wglLoadDisplayColorTableEXT",wglLoadDisplayColorTableEXT);

/* WGL_EXT_extensions_string */

  log("wglGetExtensionsStringEXT",wglGetExtensionsStringEXT);

/* WGL_EXT_make_current_read */

  log("wglGetCurrentReadDCEXT",wglGetCurrentReadDCEXT);
  log("wglMakeContextCurrentEXT",wglMakeContextCurrentEXT);

/* WGL_EXT_pbuffer */

  log("wglCreatePbufferEXT",wglCreatePbufferEXT);
  log("wglDestroyPbufferEXT",wglDestroyPbufferEXT);
  log("wglGetPbufferDCEXT",wglGetPbufferDCEXT);
  log("wglQueryPbufferEXT",wglQueryPbufferEXT);
  log("wglReleasePbufferDCEXT",wglReleasePbufferDCEXT);

/* WGL_EXT_pixel_format */

  log("wglChoosePixelFormatEXT",wglChoosePixelFormatEXT);
  log("wglGetPixelFormatAttribfvEXT",wglGetPixelFormatAttribfvEXT);
  log("wglGetPixelFormatAttribivEXT",wglGetPixelFormatAttribivEXT);

/* WGL_EXT_swap_control */

  log("wglGetSwapIntervalEXT",wglGetSwapIntervalEXT);
  log("wglSwapIntervalEXT",wglSwapIntervalEXT);

/* WGL_GDI */

  log("wglChoosePixelFormat",wglChoosePixelFormat);
  log("wglDescribePixelFormat",wglDescribePixelFormat);
  log("wglGetPixelFormat",wglGetPixelFormat);
  log("wglSetPixelFormat",wglSetPixelFormat);
  log("wglSwapBuffers",wglSwapBuffers);

/* WGL_I3D_digital_video_control */

  log("wglGetDigitalVideoParametersI3D",wglGetDigitalVideoParametersI3D);
  log("wglSetDigitalVideoParametersI3D",wglSetDigitalVideoParametersI3D);

/* WGL_I3D_gamma */

  log("wglGetGammaTableI3D",wglGetGammaTableI3D);
  log("wglGetGammaTableParametersI3D",wglGetGammaTableParametersI3D);
  log("wglSetGammaTableI3D",wglSetGammaTableI3D);
  log("wglSetGammaTableParametersI3D",wglSetGammaTableParametersI3D);

/* WGL_I3D_genlock */

  log("wglDisableGenlockI3D",wglDisableGenlockI3D);
  log("wglEnableGenlockI3D",wglEnableGenlockI3D);
  log("wglGenlockSampleRateI3D",wglGenlockSampleRateI3D);
  log("wglGenlockSourceDelayI3D",wglGenlockSourceDelayI3D);
  log("wglGenlockSourceEdgeI3D",wglGenlockSourceEdgeI3D);
  log("wglGenlockSourceI3D",wglGenlockSourceI3D);
  log("wglGetGenlockSampleRateI3D",wglGetGenlockSampleRateI3D);
  log("wglGetGenlockSourceDelayI3D",wglGetGenlockSourceDelayI3D);
  log("wglGetGenlockSourceEdgeI3D",wglGetGenlockSourceEdgeI3D);
  log("wglGetGenlockSourceI3D",wglGetGenlockSourceI3D);
  log("wglIsEnabledGenlockI3D",wglIsEnabledGenlockI3D);
  log("wglQueryGenlockMaxSourceDelayI3D",wglQueryGenlockMaxSourceDelayI3D);

/* WGL_I3D_image_buffer */

  log("wglAssociateImageBufferEventsI3D",wglAssociateImageBufferEventsI3D);
  log("wglCreateImageBufferI3D",wglCreateImageBufferI3D);
  log("wglDestroyImageBufferI3D",wglDestroyImageBufferI3D);
  log("wglReleaseImageBufferEventsI3D",wglReleaseImageBufferEventsI3D);

/* WGL_I3D_swap_frame_lock */

  log("wglDisableFrameLockI3D",wglDisableFrameLockI3D);
  log("wglEnableFrameLockI3D",wglEnableFrameLockI3D);
  log("wglIsEnabledFrameLockI3D",wglIsEnabledFrameLockI3D);
  log("wglQueryFrameLockMasterI3D",wglQueryFrameLockMasterI3D);

/* WGL_I3D_swap_frame_usage */

  log("wglBeginFrameTrackingI3D",wglBeginFrameTrackingI3D);
  log("wglEndFrameTrackingI3D",wglEndFrameTrackingI3D);
  log("wglGetFrameUsageI3D",wglGetFrameUsageI3D);
  log("wglQueryFrameTrackingI3D",wglQueryFrameTrackingI3D);

/* WGL_NV_DX_interop */

  log("wglDXCloseDeviceNV",wglDXCloseDeviceNV);
  log("wglDXLockObjectsNV",wglDXLockObjectsNV);
  log("wglDXObjectAccessNV",wglDXObjectAccessNV);
  log("wglDXOpenDeviceNV",wglDXOpenDeviceNV);
  log("wglDXRegisterObjectNV",wglDXRegisterObjectNV);
  log("wglDXSetResourceShareHandleNV",wglDXSetResourceShareHandleNV);
  log("wglDXUnlockObjectsNV",wglDXUnlockObjectsNV);
  log("wglDXUnregisterObjectNV",wglDXUnregisterObjectNV);

/* WGL_NV_copy_image */

  log("wglCopyImageSubDataNV",wglCopyImageSubDataNV);

/* WGL_NV_delay_before_swap */

  log("wglDelayBeforeSwapNV",wglDelayBeforeSwapNV);

/* WGL_NV_gpu_affinity */

  log("wglCreateAffinityDCNV",wglCreateAffinityDCNV);
  log("wglDeleteDCNV",wglDeleteDCNV);
  log("wglEnumGpuDevicesNV",wglEnumGpuDevicesNV);
  log("wglEnumGpusFromAffinityDCNV",wglEnumGpusFromAffinityDCNV);
  log("wglEnumGpusNV",wglEnumGpusNV);

/* WGL_NV_present_video */

  log("wglBindVideoDeviceNV",wglBindVideoDeviceNV);
  log("wglEnumerateVideoDevicesNV",wglEnumerateVideoDevicesNV);
  log("wglQueryCurrentContextNV",wglQueryCurrentContextNV);

/* WGL_NV_swap_group */

  log("wglBindSwapBarrierNV",wglBindSwapBarrierNV);
  log("wglJoinSwapGroupNV",wglJoinSwapGroupNV);
  log("wglQueryFrameCountNV",wglQueryFrameCountNV);
  log("wglQueryMaxSwapGroupsNV",wglQueryMaxSwapGroupsNV);
  log("wglQuerySwapGroupNV",wglQuerySwapGroupNV);
  log("wglResetFrameCountNV",wglResetFrameCountNV);

/* WGL_NV_vertex_array_range */

  log("wglAllocateMemoryNV",wglAllocateMemoryNV);
  log("wglFreeMemoryNV",wglFreeMemoryNV);

/* WGL_NV_video_capture */

  log("wglBindVideoCaptureDeviceNV",wglBindVideoCaptureDeviceNV);
  log("wglEnumerateVideoCaptureDevicesNV",wglEnumerateVideoCaptureDevicesNV);
  log("wglLockVideoCaptureDeviceNV",wglLockVideoCaptureDeviceNV);
  log("wglQueryVideoCaptureDeviceNV",wglQueryVideoCaptureDeviceNV);
  log("wglReleaseVideoCaptureDeviceNV",wglReleaseVideoCaptureDeviceNV);

/* WGL_NV_video_output */

  log("wglBindVideoImageNV",wglBindVideoImageNV);
  log("wglGetVideoDeviceNV",wglGetVideoDeviceNV);
  log("wglGetVideoInfoNV",wglGetVideoInfoNV);
  log("wglReleaseVideoDeviceNV",wglReleaseVideoDeviceNV);
  log("wglReleaseVideoImageNV",wglReleaseVideoImageNV);
  log("wglSendPbufferToVideoNV",wglSendPbufferToVideoNV);

/* WGL_OML_sync_control */

  log("wglGetMscRateOML",wglGetMscRateOML);
  log("wglGetSyncValuesOML",wglGetSyncValuesOML);
  log("wglSwapBuffersMscOML",wglSwapBuffersMscOML);
  log("wglSwapLayerBuffersMscOML",wglSwapLayerBuffersMscOML);
  log("wglWaitForMscOML",wglWaitForMscOML);
  log("wglWaitForSbcOML",wglWaitForSbcOML);

/* WGL_core */

  log("wglCopyContext",wglCopyContext);
  log("wglCreateContext",wglCreateContext);
  log("wglCreateLayerContext",wglCreateLayerContext);
  log("wglDeleteContext",wglDeleteContext);
  log("wglDescribeLayerPlane",wglDescribeLayerPlane);
  log("wglGetCurrentContext",wglGetCurrentContext);
  log("wglGetCurrentDC",wglGetCurrentDC);
  log("wglGetDefaultProcAddress",wglGetDefaultProcAddress);
  log("wglGetLayerPaletteEntries",wglGetLayerPaletteEntries);
  log("wglGetProcAddress",wglGetProcAddress);
  log("wglMakeCurrent",wglMakeCurrent);
  log("wglRealizeLayerPalette",wglRealizeLayerPalette);
  log("wglSetLayerPaletteEntries",wglSetLayerPaletteEntries);
  log("wglShareLists",wglShareLists);
  log("wglSwapLayerBuffers",wglSwapLayerBuffers);
  log("wglSwapMultipleBuffers",wglSwapMultipleBuffers);
  log("wglUseFontBitmapsA",wglUseFontBitmapsA);
  log("wglUseFontBitmapsW",wglUseFontBitmapsW);
  log("wglUseFontOutlinesA",wglUseFontOutlinesA);
  log("wglUseFontOutlinesW",wglUseFontOutlinesW);
#endif /* REGAL_SYS_WGL */

#if REGAL_SYS_GLX

/* GLX_VERSION_1_0 */

  log("glXChooseVisual",glXChooseVisual);
  log("glXCopyContext",glXCopyContext);
  log("glXCreateContext",glXCreateContext);
  log("glXCreateGLXPixmap",glXCreateGLXPixmap);
  log("glXDestroyContext",glXDestroyContext);
  log("glXDestroyGLXPixmap",glXDestroyGLXPixmap);
  log("glXGetConfig",glXGetConfig);
  log("glXGetCurrentContext",glXGetCurrentContext);
  log("glXGetCurrentDrawable",glXGetCurrentDrawable);
  log("glXIsDirect",glXIsDirect);
  log("glXMakeCurrent",glXMakeCurrent);
  log("glXQueryExtension",glXQueryExtension);
  log("glXQueryVersion",glXQueryVersion);
  log("glXSwapBuffers",glXSwapBuffers);
  log("glXUseXFont",glXUseXFont);
  log("glXWaitGL",glXWaitGL);
  log("glXWaitX",glXWaitX);

/* GLX_VERSION_1_1 */

  log("glXGetClientString",glXGetClientString);
  log("glXQueryExtensionsString",glXQueryExtensionsString);
  log("glXQueryServerString",glXQueryServerString);

/* GLX_VERSION_1_2 */

  log("glXGetCurrentDisplay",glXGetCurrentDisplay);

/* GLX_VERSION_1_3 */

  log("glXChooseFBConfig",glXChooseFBConfig);
  log("glXCreateNewContext",glXCreateNewContext);
  log("glXCreatePbuffer",glXCreatePbuffer);
  log("glXCreatePixmap",glXCreatePixmap);
  log("glXCreateWindow",glXCreateWindow);
  log("glXDestroyPbuffer",glXDestroyPbuffer);
  log("glXDestroyPixmap",glXDestroyPixmap);
  log("glXDestroyWindow",glXDestroyWindow);
  log("glXGetCurrentReadDrawable",glXGetCurrentReadDrawable);
  log("glXGetFBConfigAttrib",glXGetFBConfigAttrib);
  log("glXGetFBConfigs",glXGetFBConfigs);
  log("glXGetSelectedEvent",glXGetSelectedEvent);
  log("glXGetVisualFromFBConfig",glXGetVisualFromFBConfig);
  log("glXMakeContextCurrent",glXMakeContextCurrent);
  log("glXQueryContext",glXQueryContext);
  log("glXQueryDrawable",glXQueryDrawable);
  log("glXSelectEvent",glXSelectEvent);

/* GLX_VERSION_1_4 */

  log("glXGetProcAddress",glXGetProcAddress);

/* GLX_AMD_gpu_association */

  log("glXBlitContextFramebufferAMD",glXBlitContextFramebufferAMD);
  log("glXCreateAssociatedContextAMD",glXCreateAssociatedContextAMD);
  log("glXCreateAssociatedContextAttribsAMD",glXCreateAssociatedContextAttribsAMD);
  log("glXDeleteAssociatedContextAMD",glXDeleteAssociatedContextAMD);
  log("glXGetContextGPUIDAMD",glXGetContextGPUIDAMD);
  log("glXGetCurrentAssociatedContextAMD",glXGetCurrentAssociatedContextAMD);
  log("glXGetGPUIDsAMD",glXGetGPUIDsAMD);
  log("glXGetGPUInfoAMD",glXGetGPUInfoAMD);
  log("glXMakeAssociatedContextCurrentAMD",glXMakeAssociatedContextCurrentAMD);

/* GLX_ARB_create_context */

  log("glXCreateContextAttribsARB",glXCreateContextAttribsARB);

/* GLX_ARB_get_proc_address */

  log("glXGetProcAddressARB",glXGetProcAddressARB);

/* GLX_ATI_render_texture */

  log("glXBindTexImageATI",glXBindTexImageATI);
  log("glXDrawableAttribATI",glXDrawableAttribATI);
  log("glXReleaseTexImageATI",glXReleaseTexImageATI);

/* GLX_EXT_import_context */

  log("glXFreeContextEXT",glXFreeContextEXT);
  log("glXGetContextIDEXT",glXGetContextIDEXT);
  log("glXImportContextEXT",glXImportContextEXT);
  log("glXQueryContextInfoEXT",glXQueryContextInfoEXT);

/* GLX_EXT_swap_control */

  log("glXSwapIntervalEXT",glXSwapIntervalEXT);

/* GLX_EXT_texture_from_pixmap */

  log("glXBindTexImageEXT",glXBindTexImageEXT);
  log("glXReleaseTexImageEXT",glXReleaseTexImageEXT);

/* GLX_MESA_agp_offset */

  log("glXGetAGPOffsetMESA",glXGetAGPOffsetMESA);

/* GLX_MESA_copy_sub_buffer */

  log("glXCopySubBufferMESA",glXCopySubBufferMESA);

/* GLX_MESA_pixmap_colormap */

  log("glXCreateGLXPixmapMESA",glXCreateGLXPixmapMESA);

/* GLX_MESA_query_renderer */

  log("glXQueryCurrentRendererIntegerMESA",glXQueryCurrentRendererIntegerMESA);
  log("glXQueryCurrentRendererStringMESA",glXQueryCurrentRendererStringMESA);
  log("glXQueryRendererIntegerMESA",glXQueryRendererIntegerMESA);
  log("glXQueryRendererStringMESA",glXQueryRendererStringMESA);

/* GLX_MESA_release_buffers */

  log("glXReleaseBuffersMESA",glXReleaseBuffersMESA);

/* GLX_MESA_set_3dfx_mode */

  log("glXSet3DfxModeMESA",glXSet3DfxModeMESA);

/* GLX_MESA_swap_control */

  log("glXGetSwapIntervalMESA",glXGetSwapIntervalMESA);
  log("glXSwapIntervalMESA",glXSwapIntervalMESA);

/* GLX_NV_copy_buffer */

  log("glXCopyBufferSubDataNV",glXCopyBufferSubDataNV);
  log("glXNamedCopyBufferSubDataNV",glXNamedCopyBufferSubDataNV);

/* GLX_NV_copy_image */

  log("glXCopyImageSubDataNV",glXCopyImageSubDataNV);

/* GLX_NV_delay_before_swap */

  log("glXDelayBeforeSwapNV",glXDelayBeforeSwapNV);

/* GLX_NV_present_video */

  log("glXBindVideoDeviceNV",glXBindVideoDeviceNV);
  log("glXEnumerateVideoDevicesNV",glXEnumerateVideoDevicesNV);

/* GLX_NV_swap_group */

  log("glXBindSwapBarrierNV",glXBindSwapBarrierNV);
  log("glXJoinSwapGroupNV",glXJoinSwapGroupNV);
  log("glXQueryFrameCountNV",glXQueryFrameCountNV);
  log("glXQueryMaxSwapGroupsNV",glXQueryMaxSwapGroupsNV);
  log("glXQuerySwapGroupNV",glXQuerySwapGroupNV);
  log("glXResetFrameCountNV",glXResetFrameCountNV);

/* GLX_NV_vertex_array_range */

  log("glXAllocateMemoryNV",glXAllocateMemoryNV);
  log("glXFreeMemoryNV",glXFreeMemoryNV);

/* GLX_NV_video_capture */

  log("glXBindVideoCaptureDeviceNV",glXBindVideoCaptureDeviceNV);
  log("glXEnumerateVideoCaptureDevicesNV",glXEnumerateVideoCaptureDevicesNV);
  log("glXLockVideoCaptureDeviceNV",glXLockVideoCaptureDeviceNV);
  log("glXQueryVideoCaptureDeviceNV",glXQueryVideoCaptureDeviceNV);
  log("glXReleaseVideoCaptureDeviceNV",glXReleaseVideoCaptureDeviceNV);

/* GLX_NV_video_output */

  log("glXBindVideoImageNV",glXBindVideoImageNV);
  log("glXGetVideoDeviceNV",glXGetVideoDeviceNV);
  log("glXGetVideoInfoNV",glXGetVideoInfoNV);
  log("glXReleaseVideoDeviceNV",glXReleaseVideoDeviceNV);
  log("glXReleaseVideoImageNV",glXReleaseVideoImageNV);
  log("glXSendPbufferToVideoNV",glXSendPbufferToVideoNV);

/* GLX_OML_sync_control */

  log("glXGetMscRateOML",glXGetMscRateOML);
  log("glXGetSyncValuesOML",glXGetSyncValuesOML);
  log("glXSwapBuffersMscOML",glXSwapBuffersMscOML);
  log("glXWaitForMscOML",glXWaitForMscOML);
  log("glXWaitForSbcOML",glXWaitForSbcOML);

/* GLX_SGIX_fbconfig */

  log("glXChooseFBConfigSGIX",glXChooseFBConfigSGIX);
  log("glXCreateContextWithConfigSGIX",glXCreateContextWithConfigSGIX);
  log("glXCreateGLXPixmapWithConfigSGIX",glXCreateGLXPixmapWithConfigSGIX);
  log("glXGetFBConfigAttribSGIX",glXGetFBConfigAttribSGIX);
  log("glXGetFBConfigFromVisualSGIX",glXGetFBConfigFromVisualSGIX);
  log("glXGetVisualFromFBConfigSGIX",glXGetVisualFromFBConfigSGIX);

/* GLX_SGIX_pbuffer */

  log("glXCreateGLXPbufferSGIX",glXCreateGLXPbufferSGIX);
  log("glXDestroyGLXPbufferSGIX",glXDestroyGLXPbufferSGIX);
  log("glXGetSelectedEventSGIX",glXGetSelectedEventSGIX);
  log("glXQueryGLXPbufferSGIX",glXQueryGLXPbufferSGIX);
  log("glXSelectEventSGIX",glXSelectEventSGIX);

/* GLX_SGIX_swap_barrier */

  log("glXBindSwapBarrierSGIX",glXBindSwapBarrierSGIX);
  log("glXQueryMaxSwapBarriersSGIX",glXQueryMaxSwapBarriersSGIX);

/* GLX_SGIX_swap_group */

  log("glXJoinSwapGroupSGIX",glXJoinSwapGroupSGIX);

/* GLX_SGIX_video_resize */

  log("glXBindChannelToWindowSGIX",glXBindChannelToWindowSGIX);
  log("glXChannelRectSGIX",glXChannelRectSGIX);
  log("glXChannelRectSyncSGIX",glXChannelRectSyncSGIX);
  log("glXQueryChannelDeltasSGIX",glXQueryChannelDeltasSGIX);
  log("glXQueryChannelRectSGIX",glXQueryChannelRectSGIX);

/* GLX_SGI_cushion */

  log("glXCushionSGI",glXCushionSGI);

/* GLX_SGI_make_current_read */

  log("glXGetCurrentReadDrawableSGI",glXGetCurrentReadDrawableSGI);
  log("glXMakeCurrentReadSGI",glXMakeCurrentReadSGI);

/* GLX_SGI_swap_control */

  log("glXSwapIntervalSGI",glXSwapIntervalSGI);

/* GLX_SGI_video_sync */

  log("glXGetVideoSyncSGI",glXGetVideoSyncSGI);
  log("glXWaitVideoSyncSGI",glXWaitVideoSyncSGI);

/* GLX_SUN_get_transparent_index */

  log("glXGetTransparentIndexSUN",glXGetTransparentIndexSUN);

/* GLX_SUN_video_resize */

  log("glXGetVideoResizeSUN",glXGetVideoResizeSUN);
  log("glXVideoResizeSUN",glXVideoResizeSUN);
#endif /* REGAL_SYS_GLX */

#if REGAL_SYS_OSX

/* CGL_VERSION_1_0 */

  log("CGLChoosePixelFormat",CGLChoosePixelFormat);
  log("CGLClearDrawable",CGLClearDrawable);
  log("CGLCopyContext",CGLCopyContext);
  log("CGLCreateContext",CGLCreateContext);
  log("CGLDescribePixelFormat",CGLDescribePixelFormat);
  log("CGLDescribeRenderer",CGLDescribeRenderer);
  log("CGLDestroyContext",CGLDestroyContext);
  log("CGLDestroyPixelFormat",CGLDestroyPixelFormat);
  log("CGLDestroyRendererInfo",CGLDestroyRendererInfo);
  log("CGLDisable",CGLDisable);
  log("CGLEnable",CGLEnable);
  log("CGLErrorString",CGLErrorString);
  log("CGLFlushDrawable",CGLFlushDrawable);
  log("CGLGetOffScreen",CGLGetOffScreen);
  log("CGLGetOption",CGLGetOption);
  log("CGLGetParameter",CGLGetParameter);
  log("CGLGetVersion",CGLGetVersion);
  log("CGLGetVirtualScreen",CGLGetVirtualScreen);
  log("CGLIsEnabled",CGLIsEnabled);
  log("CGLQueryRendererInfo",CGLQueryRendererInfo);
  log("CGLSetFullScreen",CGLSetFullScreen);
  log("CGLSetOffScreen",CGLSetOffScreen);
  log("CGLSetOption",CGLSetOption);
  log("CGLSetParameter",CGLSetParameter);
  log("CGLSetVirtualScreen",CGLSetVirtualScreen);

/* CGL_VERSION_1_1 */

  log("CGLCreatePBuffer",CGLCreatePBuffer);
  log("CGLDescribePBuffer",CGLDescribePBuffer);
  log("CGLDestroyPBuffer",CGLDestroyPBuffer);
  log("CGLGetPBuffer",CGLGetPBuffer);
  log("CGLSetPBuffer",CGLSetPBuffer);
  log("CGLTexImagePBuffer",CGLTexImagePBuffer);

/* CGL_VERSION_1_2 */

  log("CGLGetContextRetainCount",CGLGetContextRetainCount);
  log("CGLGetGlobalOption",CGLGetGlobalOption);
  log("CGLGetPBufferRetainCount",CGLGetPBufferRetainCount);
  log("CGLGetPixelFormat",CGLGetPixelFormat);
  log("CGLGetPixelFormatRetainCount",CGLGetPixelFormatRetainCount);
  log("CGLLockContext",CGLLockContext);
  log("CGLReleaseContext",CGLReleaseContext);
  log("CGLReleasePBuffer",CGLReleasePBuffer);
  log("CGLReleasePixelFormat",CGLReleasePixelFormat);
  log("CGLRetainContext",CGLRetainContext);
  log("CGLRetainPBuffer",CGLRetainPBuffer);
  log("CGLRetainPixelFormat",CGLRetainPixelFormat);
  log("CGLSetGlobalOption",CGLSetGlobalOption);
  log("CGLUnlockContext",CGLUnlockContext);

/* CGL_VERSION_1_3 */

  log("CGLGetCurrentContext",CGLGetCurrentContext);
  log("CGLGetShareGroup",CGLGetShareGroup);
  log("CGLGetSurface",CGLGetSurface);
  log("CGLSetCurrentContext",CGLSetCurrentContext);
  log("CGLSetSurface",CGLSetSurface);
  log("CGLTexImageIOSurface2D",CGLTexImageIOSurface2D);
  log("CGLUpdateContext",CGLUpdateContext);
#endif /* REGAL_SYS_OSX */

#if REGAL_SYS_EGL

/* EGL_ANGLE_query_surface_pointer */

  log("eglQuerySurfacePointerANGLE",eglQuerySurfacePointerANGLE);

/* EGL_KHR_fence_sync */

  log("eglClientWaitSyncKHR",eglClientWaitSyncKHR);
  log("eglCreateSyncKHR",eglCreateSyncKHR);
  log("eglDestroySyncKHR",eglDestroySyncKHR);
  log("eglGetSyncAttribKHR",eglGetSyncAttribKHR);

/* EGL_KHR_image_base */

  log("eglCreateImageKHR",eglCreateImageKHR);
  log("eglDestroyImageKHR",eglDestroyImageKHR);

/* EGL_KHR_lock_surface */

  log("eglLockSurfaceKHR",eglLockSurfaceKHR);
  log("eglUnlockSurfaceKHR",eglUnlockSurfaceKHR);

/* EGL_KHR_stream_consumer_gltexture */

  log("eglStreamConsumerAcquireKHR",eglStreamConsumerAcquireKHR);
  log("eglStreamConsumerGLTextureExternalKHR",eglStreamConsumerGLTextureExternalKHR);
  log("eglStreamConsumerReleaseKHR",eglStreamConsumerReleaseKHR);

/* EGL_KHR_stream_cross_process_fd */

  log("eglCreateStreamFromFileDescriptorKHR",eglCreateStreamFromFileDescriptorKHR);
  log("eglGetStreamFileDescriptorKHR",eglGetStreamFileDescriptorKHR);

/* EGL_KHR_stream_producer_eglsurface */

  log("eglCreateStreamProducerSurfaceKHR",eglCreateStreamProducerSurfaceKHR);

/* EGL_KHR_wait_sync */

  log("eglWaitSyncKHR",eglWaitSyncKHR);

/* EGL_MESA_drm_image */

  log("eglCreateDRMImageMESA",eglCreateDRMImageMESA);
  log("eglExportDRMImageMESA",eglExportDRMImageMESA);

/* EGL_NV_coverage_sample */

  log("eglCoverageMaskNV",eglCoverageMaskNV);
  log("eglCoverageOperationNV",eglCoverageOperationNV);

/* EGL_NV_post_sub_buffer */

  log("eglPostSubBufferNV",eglPostSubBufferNV);

/* EGL_NV_sync */

  log("eglClientWaitSyncNV",eglClientWaitSyncNV);
  log("eglCreateFenceSyncNV",eglCreateFenceSyncNV);
  log("eglDestroySyncNV",eglDestroySyncNV);
  log("eglFenceNV",eglFenceNV);
  log("eglGetSyncAttribNV",eglGetSyncAttribNV);
  log("eglSignalSyncNV",eglSignalSyncNV);

/* EGL_NV_system_time */

  log("eglGetSystemTimeFrequencyNV",eglGetSystemTimeFrequencyNV);
  log("eglGetSystemTimeNV",eglGetSystemTimeNV);

/* EGL_VERSION_1_0 */

  log("eglChooseConfig",eglChooseConfig);
  log("eglCopyBuffers",eglCopyBuffers);
  log("eglCreateContext",eglCreateContext);
  log("eglCreatePbufferSurface",eglCreatePbufferSurface);
  log("eglCreatePixmapSurface",eglCreatePixmapSurface);
  log("eglCreateWindowSurface",eglCreateWindowSurface);
  log("eglDestroyContext",eglDestroyContext);
  log("eglDestroySurface",eglDestroySurface);
  log("eglGetConfigAttrib",eglGetConfigAttrib);
  log("eglGetConfigs",eglGetConfigs);
  log("eglGetCurrentContext",eglGetCurrentContext);
  log("eglGetCurrentDisplay",eglGetCurrentDisplay);
  log("eglGetCurrentSurface",eglGetCurrentSurface);
  log("eglGetDisplay",eglGetDisplay);
  log("eglGetError",eglGetError);
  log("eglGetProcAddress",eglGetProcAddress);
  log("eglInitialize",eglInitialize);
  log("eglMakeCurrent",eglMakeCurrent);
  log("eglQueryContext",eglQueryContext);
  log("eglQueryString",eglQueryString);
  log("eglQuerySurface",eglQuerySurface);
  log("eglSwapBuffers",eglSwapBuffers);
  log("eglTerminate",eglTerminate);
  log("eglWaitGL",eglWaitGL);
  log("eglWaitNative",eglWaitNative);

/* EGL_VERSION_1_1 */

  log("eglBindTexImage",eglBindTexImage);
  log("eglReleaseTexImage",eglReleaseTexImage);

/* EGL_VERSION_1_2 */

  log("eglBindAPI",eglBindAPI);
  log("eglCreatePbufferFromClientBuffer",eglCreatePbufferFromClientBuffer);
  log("eglQueryAPI",eglQueryAPI);
  log("eglReleaseThread",eglReleaseThread);
  log("eglSurfaceAttrib",eglSurfaceAttrib);
  log("eglSwapInterval",eglSwapInterval);
  log("eglWaitClient",eglWaitClient);
#endif /* REGAL_SYS_EGL */

  log("glEnable(GL_BLEND)",enable_GL_BLEND);
  log("glEnable(GL_CLIP_DISTANCE0)",enable_GL_CLIP_DISTANCE0);
  log("glEnable(GL_CLIP_DISTANCE1)",enable_GL_CLIP_DISTANCE1);
  log("glEnable(GL_CLIP_DISTANCE2)",enable_GL_CLIP_DISTANCE2);
  log("glEnable(GL_CLIP_DISTANCE3)",enable_GL_CLIP_DISTANCE3);
  log("glEnable(GL_CLIP_DISTANCE4)",enable_GL_CLIP_DISTANCE4);
  log("glEnable(GL_CLIP_DISTANCE5)",enable_GL_CLIP_DISTANCE5);
  log("glEnable(GL_CLIP_DISTANCE6)",enable_GL_CLIP_DISTANCE6);
  log("glEnable(GL_CLIP_DISTANCE7)",enable_GL_CLIP_DISTANCE7);
  log("glEnable(GL_COLOR_LOGIC_OP)",enable_GL_COLOR_LOGIC_OP);
  log("glEnable(GL_CULL_FACE)",enable_GL_CULL_FACE);
  log("glEnable(GL_DEBUG_OUTPUT)",enable_GL_DEBUG_OUTPUT);
  log("glEnable(GL_DEBUG_OUTPUT_SYNCHRONOUS)",enable_GL_DEBUG_OUTPUT_SYNCHRONOUS);
  log("glEnable(GL_DEPTH_CLAMP)",enable_GL_DEPTH_CLAMP);
  log("glEnable(GL_DEPTH_TEST)",enable_GL_DEPTH_TEST);
  log("glEnable(GL_DITHER)",enable_GL_DITHER);
  log("glEnable(GL_FRAMEBUFFER_SRGB)",enable_GL_FRAMEBUFFER_SRGB);
  log("glEnable(GL_LINE_SMOOTH)",enable_GL_LINE_SMOOTH);
  log("glEnable(GL_MULTISAMPLE)",enable_GL_MULTISAMPLE);
  log("glEnable(GL_POLYGON_OFFSET_FILL)",enable_GL_POLYGON_OFFSET_FILL);
  log("glEnable(GL_POLYGON_OFFSET_LINE)",enable_GL_POLYGON_OFFSET_LINE);
  log("glEnable(GL_POLYGON_OFFSET_POINT)",enable_GL_POLYGON_OFFSET_POINT);
  log("glEnable(GL_POLYGON_SMOOTH)",enable_GL_POLYGON_SMOOTH);
  log("glEnable(GL_PRIMITIVE_RESTART)",enable_GL_PRIMITIVE_RESTART);
  log("glEnable(GL_PRIMITIVE_RESTART_FIXED_INDEX)",enable_GL_PRIMITIVE_RESTART_FIXED_INDEX);
  log("glEnable(GL_PROGRAM_POINT_SIZE)",enable_GL_PROGRAM_POINT_SIZE);
  log("glEnable(GL_RESCALE_NORMAL)",enable_GL_RESCALE_NORMAL);
  log("glEnable(GL_SAMPLE_ALPHA_TO_COVERAGE)",enable_GL_SAMPLE_ALPHA_TO_COVERAGE);
  log("glEnable(GL_SAMPLE_ALPHA_TO_ONE)",enable_GL_SAMPLE_ALPHA_TO_ONE);
  log("glEnable(GL_SAMPLE_COVERAGE)",enable_GL_SAMPLE_COVERAGE);
  log("glEnable(GL_SAMPLE_MASK)",enable_GL_SAMPLE_MASK);
  log("glEnable(GL_SCISSOR_TEST)",enable_GL_SCISSOR_TEST);
  log("glEnable(GL_STENCIL_TEST)",enable_GL_STENCIL_TEST);
  log("glEnable(GL_TEXTURE_2D)",enable_GL_TEXTURE_2D);
  log("glEnable(GL_TEXTURE_CUBE_MAP_SEAMLESS)",enable_GL_TEXTURE_CUBE_MAP_SEAMLESS);

  log("glDisable(GL_BLEND)",disable_GL_BLEND);
  log("glDisable(GL_CLIP_DISTANCE0)",disable_GL_CLIP_DISTANCE0);
  log("glDisable(GL_CLIP_DISTANCE1)",disable_GL_CLIP_DISTANCE1);
  log("glDisable(GL_CLIP_DISTANCE2)",disable_GL_CLIP_DISTANCE2);
  log("glDisable(GL_CLIP_DISTANCE3)",disable_GL_CLIP_DISTANCE3);
  log("glDisable(GL_CLIP_DISTANCE4)",disable_GL_CLIP_DISTANCE4);
  log("glDisable(GL_CLIP_DISTANCE5)",disable_GL_CLIP_DISTANCE5);
  log("glDisable(GL_CLIP_DISTANCE6)",disable_GL_CLIP_DISTANCE6);
  log("glDisable(GL_CLIP_DISTANCE7)",disable_GL_CLIP_DISTANCE7);
  log("glDisable(GL_COLOR_LOGIC_OP)",disable_GL_COLOR_LOGIC_OP);
  log("glDisable(GL_CULL_FACE)",disable_GL_CULL_FACE);
  log("glDisable(GL_DEBUG_OUTPUT)",disable_GL_DEBUG_OUTPUT);
  log("glDisable(GL_DEBUG_OUTPUT_SYNCHRONOUS)",disable_GL_DEBUG_OUTPUT_SYNCHRONOUS);
  log("glDisable(GL_DEPTH_CLAMP)",disable_GL_DEPTH_CLAMP);
  log("glDisable(GL_DEPTH_TEST)",disable_GL_DEPTH_TEST);
  log("glDisable(GL_DITHER)",disable_GL_DITHER);
  log("glDisable(GL_FRAMEBUFFER_SRGB)",disable_GL_FRAMEBUFFER_SRGB);
  log("glDisable(GL_LINE_SMOOTH)",disable_GL_LINE_SMOOTH);
  log("glDisable(GL_MULTISAMPLE)",disable_GL_MULTISAMPLE);
  log("glDisable(GL_POLYGON_OFFSET_FILL)",disable_GL_POLYGON_OFFSET_FILL);
  log("glDisable(GL_POLYGON_OFFSET_LINE)",disable_GL_POLYGON_OFFSET_LINE);
  log("glDisable(GL_POLYGON_OFFSET_POINT)",disable_GL_POLYGON_OFFSET_POINT);
  log("glDisable(GL_POLYGON_SMOOTH)",disable_GL_POLYGON_SMOOTH);
  log("glDisable(GL_PRIMITIVE_RESTART)",disable_GL_PRIMITIVE_RESTART);
  log("glDisable(GL_PRIMITIVE_RESTART_FIXED_INDEX)",disable_GL_PRIMITIVE_RESTART_FIXED_INDEX);
  log("glDisable(GL_PROGRAM_POINT_SIZE)",disable_GL_PROGRAM_POINT_SIZE);
  log("glDisable(GL_RESCALE_NORMAL)",disable_GL_RESCALE_NORMAL);
  log("glDisable(GL_SAMPLE_ALPHA_TO_COVERAGE)",disable_GL_SAMPLE_ALPHA_TO_COVERAGE);
  log("glDisable(GL_SAMPLE_ALPHA_TO_ONE)",disable_GL_SAMPLE_ALPHA_TO_ONE);
  log("glDisable(GL_SAMPLE_COVERAGE)",disable_GL_SAMPLE_COVERAGE);
  log("glDisable(GL_SAMPLE_MASK)",disable_GL_SAMPLE_MASK);
  log("glDisable(GL_SCISSOR_TEST)",disable_GL_SCISSOR_TEST);
  log("glDisable(GL_STENCIL_TEST)",disable_GL_STENCIL_TEST);
  log("glDisable(GL_TEXTURE_2D)",disable_GL_TEXTURE_2D);
  log("glDisable(GL_TEXTURE_CUBE_MAP_SEAMLESS)",disable_GL_TEXTURE_CUBE_MAP_SEAMLESS);

}

void
Statistics::log(const char *name, const GLuint count)
{
  if (count)
    Info("Statistics ",left(name,30,' '),right(count,6,' '));
}

REGAL_NAMESPACE_END

#endif // REGAL_STATISTICS
